diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 257be7e..3beba17 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -64439,7 +64439,7 @@ InputForm():
       ++ would transform s to f.
       ++ Error: if f is not the parsed form of a string.
     parse : String -> %
-      ++ parse is the inverse of unparse. It parses a string to InputForm.
+      ++ parse(s) is the inverse of unparse. It parses a string to InputForm.
     declare  : List %   -> Symbol
       ++ declare(t) returns a name f such that f has been
       ++ declared to the interpreter to be of type t, but has
@@ -64507,8 +64507,9 @@ InputForm():
       symbol? s => string symbol s
       error "strsym: form is neither a string or symbol"
 
+    -- given a function this will attempt to recreate the input string
     unparse x ==
-      atom?(s:% := form2String(x)$Lisp) => strsym s
+      atom?(s:% := unparseInputForm(x)$Lisp) => strsym s
       concat [strsym a for a in destruct s]
 
     parse(s:String):% ==
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 5d88cf9..81328bf 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -156533,11 +156533,11 @@ ViewDefaultsPackage():Exports == Implementation where
       ++ pointSizeDefault(i) sets the default size of the points in a 2D 
       ++ viewport to i.
     viewPosDefault      :  () -> L NNI
-      ++ viewPosDefault() returns the default X and Y position of a
+      ++ viewPosDefault() returns the default x and y position of a
       ++ viewport window unless overriden explicityly, newly created
       ++ viewports will have this X and Y coordinate.
     viewPosDefault      :  L NNI -> L NNI
-      ++ viewPosDefault([x,y]) sets the default X and Y position of a
+      ++ viewPosDefault([x,y]) sets the default x and y position of a
       ++ viewport window unless overriden explicityly, newly created
       ++ viewports will have th X and Y coordinates x, y.
     viewSizeDefault : () -> L PI
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 71b5414..a54c06d 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -140,9 +140,9 @@ of effort. We would like to acknowledge and thank the following people:
 "Tony Kennedy           Ted Kosan              Paul Kosinski"
 "Klaus Kusche           Bernhard Kutzler"
 "Tim Lahey              Larry Lambe            Kaj Laurson"
-"George L. Legendre     Franz Lehner           Frederic Lehobey"
-"Michel Levaud          Howard Levy            Liu Xiaojun"
-"Rudiger Loos           Michael Lucks          Richard Luczak"
+"Franz Lehner           Frederic Lehobey       Michel Levaud"
+"Howard Levy            Liu Xiaojun            Rudiger Loos"
+"Michael Lucks          Richard Luczak"
 "Camm Maguire           Francois Maltey        Alasdair McAndrew"
 "Bob McElrath           Michael McGettrick     Ian Meikle"
 "David Mentre           Victor S. Miller       Gerard Milmeister"
@@ -38929,6 +38929,23 @@ but the Axiom semantics are not the same. Because Axiom was originally
 written in Maclisp, then VMLisp, and then Common Lisp some of these old
 semantics survive. 
 
+\section{InputForm}
+\defun{unparseInputForm}{unparseInputForm}
+This fixes bug 7217. The default title generation is bogus.
+This is called from the unparse function in InputForm, bookvol10.3
+Given a form, $u$, we try to recover the input line that created it.
+\defsdollar{unparseInputForm}{InteractiveMode}
+\defsdollar{unparseInputForm}{formatSigAsTex}
+\begin{chunk}{defun unparseInputForm}
+(defun |unparseInputForm| (u)
+ (let (|$formatSigAsTeX| |$InteractiveMode|)
+ (declare (special |$formatSigAsTeX| |$InteractiveMode|))
+  (setq |$formatSigAsTeX| 1)
+  (setq |$InteractiveMode| nil)
+  (|form2StringLocal| u)))
+
+\end{chunk}
+
 \section{Void}
 \defun{voidValue}{voidValue}
 \begin{chunk}{defun voidValue}
@@ -44959,6 +44976,7 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun unescapeStringsInForm}
 \getchunk{defun unifyStruct}
 \getchunk{defun unifyStructVar}
+\getchunk{defun unparseInputForm}
 \getchunk{defun unsqueeze}
 \getchunk{defun untrace}
 \getchunk{defun untraceDomainConstructor}
diff --git a/buglist b/buglist
index a9aa39b..848a407 100644
--- a/buglist
+++ b/buglist
@@ -1,12 +1,40 @@
 =========================================================================
 
-bug 7226: 
+bug 7229: 
 todo 329:
 wish 1011:
 meh 5:
 
 =========================================================================
 
+bug 7228: graphics crash running space3
+
+The src/input/space3.input causes an early exit
+
+=========================================================================
+
+bug 7227: Unexpected end of #<input stream 
+
+see exampleagcode.output, test 3. Now gives the result
+
+Unexpected end of 
+  #<input stream "/research/test/mnt/ubuntu/algebra/interp.daase">
+
+This is caused by the removal of PAFFFF from the current system.
+
+=========================================================================
+
+bug 7226: )d op coerce regression caused by waldek format update.
+
+correct in git 95402C
+
+see src/input/dop test 69
+appears to be in ALGSC
+[4] Vector D2 -> AlgebraGivenByStructuralConstants(D2,D3,D4,D5)
+    from AlgebraGivenByStructuralConstants(D2,D3,D4,D5)
+
+=========================================================================
+
 bug 7225: Lasagna Larga Doppia Riccia does not plot 0.0
 
 See bookvol8.1, section Lasagna Larga Doppia Riccia
@@ -255,28 +283,6 @@ so I suspect the equations are wrong in some way. --tpd
 
 =========================================================================
 
-bug 7217: bad title generated in Axiom 3D output
-
-given:
-
-cf(x,y) == 0.5
-draw(exp(cos(x-y)-sin(x*y))-2,x=-5..5,y=-5..5,_
-     colorFunction==cf,style=="smooth")
-
-The title reads:
-  DEXP((-DSIN(x*y))+DCOS(y-x))-2
-but should read:
-  exp(cos(x-y)-sin(x*y))-2
-
-bug is probably here:
-src/interp/newfort.lisp.pamphlet:;    op = '"cos" => '"DCOS"
-src/interp/newfort.lisp.pamphlet:;    op = '"cosh" => '"DCOSH"
-src/interp/newfort.lisp.pamphlet:           ((BOOT-EQUAL |op| "cos") "DCOS")
-src/interp/newfort.lisp.pamphlet:           ((BOOT-EQUAL |op| "cosh") "DCOSH")
-
-
-=========================================================================
-
 bug 7216: 
 
 t0207:= -a^3*(a+b*x)*Ei(log(c*(a+b*x)^n)/n)/((c*(a+b*x)^n)^(1/n))/b^4/n+3*a^2*(a+b*x)^2*Ei(2*log(c*(a+b*x)^n)/n)/((c*(a+b*x)^n)^(2/n))/b^4/n-3*a*(a+b*x)^3*Ei(3*log(c*(a+b*x)^n)/n)/((c*(a+b*x)^n)^(3/n))/b^4/n+(a+b*x)^4*Ei(4*log(c*(a+b*x)^n)/n)/((c*(a+b*x)^n)^(4/n))/b^4/n
@@ -24310,3 +24316,29 @@ endif
 export COMPILER
 
 
+=========================================================================
+fixed 20120219. 
+
+merged waldek's format.lisp with my format.lisp.
+Note that this breaks the printing of types.
+
+bug 7217: bad title generated in Axiom 3D output
+
+given:
+
+cf(x,y) == 0.5
+draw(exp(cos(x-y)-sin(x*y))-2,x=-5..5,y=-5..5,_
+     colorFunction==cf,style=="smooth")
+
+The title reads:
+  DEXP((-DSIN(x*y))+DCOS(y-x))-2
+but should read:
+  exp(cos(x-y)-sin(x*y))-2
+
+bug is probably here:
+src/interp/newfort.lisp.pamphlet:;    op = '"cos" => '"DCOS"
+src/interp/newfort.lisp.pamphlet:;    op = '"cosh" => '"DCOSH"
+src/interp/newfort.lisp.pamphlet:           ((BOOT-EQUAL |op| "cos") "DCOS")
+src/interp/newfort.lisp.pamphlet:           ((BOOT-EQUAL |op| "cosh") "DCOSH")
+
+
diff --git a/changelog b/changelog
index 54ea166..87a547e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,305 @@
+20120227 tpd src/axiom-website/patches.html 20120227.01.tpd.patch
+20120227 tpd src/interp/format.lisp fix bug 7217
+20120227 tpd src/input/zimmer.input fix bug 7217
+20120227 tpd src/input/zimmbron.input fix bug 7217
+20120227 tpd src/input/unittest4.input fix bug 7217
+20120227 tpd src/input/unittest1.input fix bug 7217
+20120227 tpd src/input/uniseg.input fix bug 7217
+20120227 tpd src/input/typetower.input fix bug 7217
+20120227 tpd src/input/tutchap1.input fix bug 7217
+20120227 tpd src/input/tsetcatvermeer.input fix bug 7217
+20120227 tpd src/input/tpiezas002.input fix bug 7217
+20120227 tpd src/input/tpiezas001.input fix bug 7217
+20120227 tpd src/input/testprob.input fix bug 7217
+20120227 tpd src/input/test.input fix bug 7217
+20120227 tpd src/input/telford.input fix bug 7217
+20120227 tpd src/input/tanhcoth.input fix bug 7217
+20120227 tpd src/input/tancot.input fix bug 7217
+20120227 tpd src/input/tanatan.input fix bug 7217
+20120227 tpd src/input/table.input fix bug 7217
+20120227 tpd src/input/t111293.input fix bug 7217
+20120227 tpd src/input/symbol.input fix bug 7217
+20120227 tpd src/input/summation.input fix bug 7217
+20120227 tpd src/input/strtbl.input fix bug 7217
+20120227 tpd src/input/string.input fix bug 7217
+20120227 tpd src/input/streams.input fix bug 7217
+20120227 tpd src/input/stream2.input fix bug 7217
+20120227 tpd src/input/stream.input fix bug 7217
+20120227 tpd src/input/stbl.input fix bug 7217
+20120227 tpd src/input/sregset.input fix bug 7217
+20120227 tpd src/input/sqrt3.input fix bug 7217
+20120227 tpd src/input/sqmatrix.input fix bug 7217
+20120227 tpd src/input/spline.input fix bug 7217
+20120227 tpd src/input/space3.input fix bug 7217
+20120227 tpd src/input/solvetra.input fix bug 7217
+20120227 tpd src/input/solveperf.input fix bug 7217
+20120227 tpd src/input/slowint.input fix bug 7217
+20120227 tpd src/input/skew.input fix bug 7217
+20120227 tpd src/input/sinhcosh.input fix bug 7217
+20120227 tpd src/input/sincosex.input fix bug 7217
+20120227 tpd src/input/sincos.input fix bug 7217
+20120227 tpd src/input/set.input fix bug 7217
+20120227 tpd src/input/sersolve.input fix bug 7217
+20120227 tpd src/input/series2.input fix bug 7217
+20120227 tpd src/input/series.input fix bug 7217
+20120227 tpd src/input/segbind.input fix bug 7217
+20120227 tpd src/input/seg.input fix bug 7217
+20120227 tpd src/input/seccsc.input fix bug 7217
+20120227 tpd src/input/sae.input fix bug 7217
+20120227 tpd src/input/ruleset.input fix bug 7217
+20120227 tpd src/input/rules.input fix bug 7217
+20120227 tpd src/input/rubey.input fix bug 7217
+20120227 tpd src/input/roots.input fix bug 7217
+20120227 tpd src/input/roman.input fix bug 7217
+20120227 tpd src/input/robidoux.input fix bug 7217
+20120227 tpd src/input/risch.input fix bug 7217
+20120227 tpd src/input/repa6.input fix bug 7217
+20120227 tpd src/input/regset.input fix bug 7217
+20120227 tpd src/input/reclos2.input fix bug 7217
+20120227 tpd src/input/reclos.input fix bug 7217
+20120227 tpd src/input/realclos.input fix bug 7217
+20120227 tpd src/input/radix.input fix bug 7217
+20120227 tpd src/input/radff.input fix bug 7217
+20120227 tpd src/input/r21bugsbig.input fix bug 7217
+20120227 tpd src/input/r21bugs.input fix bug 7217
+20120227 tpd src/input/r20bugs.input fix bug 7217
+20120227 tpd src/input/r20abugs.input fix bug 7217
+20120227 tpd src/input/quat1.input fix bug 7217
+20120227 tpd src/input/quat.input fix bug 7217
+20120227 tpd src/input/psgenfcn.input fix bug 7217
+20120227 tpd src/input/polycoer.input fix bug 7217
+20120227 tpd src/input/poly1.input fix bug 7217
+20120227 tpd src/input/poly.input fix bug 7217
+20120227 tpd src/input/pmint.input fix bug 7217
+20120227 tpd src/input/pfr1.input fix bug 7217
+20120227 tpd src/input/pfr.input fix bug 7217
+20120227 tpd src/input/pfaffian.input fix bug 7217
+20120227 tpd src/input/perman.input fix bug 7217
+20120227 tpd src/input/perm.input fix bug 7217
+20120227 tpd src/input/patmatch.input fix bug 7217
+20120227 tpd src/input/patch51.input fix bug 7217
+20120227 tpd src/input/pat.input fix bug 7217
+20120227 tpd src/input/pascal1.input fix bug 7217
+20120227 tpd src/input/pascal.input fix bug 7217
+20120227 tpd src/input/parabola.input fix bug 7217
+20120227 tpd src/input/page.input fix bug 7217
+20120227 tpd src/input/padic.input fix bug 7217
+20120227 tpd src/input/overload.input fix bug 7217
+20120227 tpd src/input/ovar.input fix bug 7217
+20120227 tpd src/input/operator.input fix bug 7217
+20120227 tpd src/input/opalg.input fix bug 7217
+20120227 tpd src/input/op1.input fix bug 7217
+20120227 tpd src/input/op.input fix bug 7217
+20120227 tpd src/input/odpol.input fix bug 7217
+20120227 tpd src/input/ode.input fix bug 7217
+20120227 tpd src/input/octonion.input fix bug 7217
+20120227 tpd src/input/oct.input fix bug 7217
+20120227 tpd src/input/numericgamma.input fix bug 7217
+20120227 tpd src/input/numbers.input fix bug 7217
+20120227 tpd src/input/nsfip.input fix bug 7217
+20120227 tpd src/input/nqip.input fix bug 7217
+20120227 tpd src/input/noptip.input fix bug 7217
+20120227 tpd src/input/noonburg.input fix bug 7217
+20120227 tpd src/input/nonlinhomodiffeq.input fix bug 7217
+20120227 tpd src/input/none.input fix bug 7217
+20120227 tpd src/input/nlode.input fix bug 7217
+20120227 tpd src/input/newtonlisp.input fix bug 7217
+20120227 tpd src/input/newton.input fix bug 7217
+20120227 tpd src/input/newlodo.input fix bug 7217
+20120227 tpd src/input/nepip.input fix bug 7217
+20120227 tpd src/input/ndftip.input fix bug 7217
+20120227 tpd src/input/multiple.input fix bug 7217
+20120227 tpd src/input/multfact.input fix bug 7217
+20120227 tpd src/input/mset2.input fix bug 7217
+20120227 tpd src/input/mset.input fix bug 7217
+20120227 tpd src/input/mpoly.input fix bug 7217
+20120227 tpd src/input/mkfunc.input fix bug 7217
+20120227 tpd src/input/mfinfact.input fix bug 7217
+20120227 tpd src/input/matrix1.input fix bug 7217
+20120227 tpd src/input/matrix.input fix bug 7217
+20120227 tpd src/input/mathml.input fix bug 7217
+20120227 tpd src/input/matbug.input fix bug 7217
+20120227 tpd src/input/mapleok.input fix bug 7217
+20120227 tpd src/input/manuel.input fix bug 7217
+20120227 tpd src/input/magma.input fix bug 7217
+20120227 tpd src/input/macbug.input fix bug 7217
+20120227 tpd src/input/lword.input fix bug 7217
+20120227 tpd src/input/lupfact.input fix bug 7217
+20120227 tpd src/input/lpoly.input fix bug 7217
+20120227 tpd src/input/log.input fix bug 7217
+20120227 tpd src/input/lodof.input fix bug 7217
+20120227 tpd src/input/lodo3.input fix bug 7217
+20120227 tpd src/input/lodo2.input fix bug 7217
+20120227 tpd src/input/lodo1.input fix bug 7217
+20120227 tpd src/input/lodo.input fix bug 7217
+20120227 tpd src/input/lodesys.input fix bug 7217
+20120227 tpd src/input/lode.input fix bug 7217
+20120227 tpd src/input/list.input fix bug 7217
+20120227 tpd src/input/liska.input fix bug 7217
+20120227 tpd src/input/lindep.input fix bug 7217
+20120227 tpd src/input/limit.input fix bug 7217
+20120227 tpd src/input/leg.input fix bug 7217
+20120227 tpd src/input/laplace.input fix bug 7217
+20120227 tpd src/input/kuipers.input fix bug 7217
+20120227 tpd src/input/kovacic.input fix bug 7217
+20120227 tpd src/input/knot2.input fix bug 7217
+20120227 tpd src/input/kernel.input fix bug 7217
+20120227 tpd src/input/isprime.input fix bug 7217
+20120227 tpd src/input/is.input fix bug 7217
+20120227 tpd src/input/ipftest.input fix bug 7217
+20120227 tpd src/input/intrf.input fix bug 7217
+20120227 tpd src/input/intmix2.input fix bug 7217
+20120227 tpd src/input/intmix.input fix bug 7217
+20120227 tpd src/input/intheory.input fix bug 7217
+20120227 tpd src/input/intg0.input fix bug 7217
+20120227 tpd src/input/intef2.input fix bug 7217
+20120227 tpd src/input/intef.input fix bug 7217
+20120227 tpd src/input/intdeq.input fix bug 7217
+20120227 tpd src/input/intbypart.input fix bug 7217
+20120227 tpd src/input/intaf.input fix bug 7217
+20120227 tpd src/input/int.input fix bug 7217
+20120227 tpd src/input/ifthenelse.input fix bug 7217
+20120227 tpd src/input/ifact.input fix bug 7217
+20120227 tpd src/input/ideal.input fix bug 7217
+20120227 tpd src/input/ico.input fix bug 7217
+20120227 tpd src/input/i2e.input fix bug 7217
+20120227 tpd src/input/hyperell.input fix bug 7217
+20120227 tpd src/input/hyperbolicrules.input fix bug 7217
+20120227 tpd src/input/hexadec.input fix bug 7217
+20120227 tpd src/input/heugcd.input fix bug 7217
+20120227 tpd src/input/herm.input fix bug 7217
+20120227 tpd src/input/help.input fix bug 7217
+20120227 tpd src/input/heat.input fix bug 7217
+20120227 tpd src/input/heap.input fix bug 7217
+20120227 tpd src/input/gstbl.input fix bug 7217
+20120227 tpd src/input/grpthry.input fix bug 7217
+20120227 tpd src/input/gonshor.input fix bug 7217
+20120227 tpd src/input/genups.input fix bug 7217
+20120227 tpd src/input/gbf.input fix bug 7217
+20120227 tpd src/input/gamma.input fix bug 7217
+20120227 tpd src/input/galois.input fix bug 7217
+20120227 tpd src/input/function.input fix bug 7217
+20120227 tpd src/input/free.input fix bug 7217
+20120227 tpd src/input/frame.input fix bug 7217
+20120227 tpd src/input/frac.input fix bug 7217
+20120227 tpd src/input/fr2.input fix bug 7217
+20120227 tpd src/input/fr1.input fix bug 7217
+20120227 tpd src/input/fr.input fix bug 7217
+20120227 tpd src/input/fparfrc.input fix bug 7217
+20120227 tpd src/input/fparfrac.input fix bug 7217
+20120227 tpd src/input/fns.input fix bug 7217
+20120227 tpd src/input/fname.input fix bug 7217
+20120227 tpd src/input/float1.input fix bug 7217
+20120227 tpd src/input/fixed.input fix bug 7217
+20120227 tpd src/input/finitegraph.input fix bug 7217
+20120227 tpd src/input/file.input fix bug 7217
+20120227 tpd src/input/ffx72.input fix bug 7217
+20120227 tpd src/input/ffieldbug.input fix bug 7217
+20120227 tpd src/input/fferr.input fix bug 7217
+20120227 tpd src/input/ffdemo.input fix bug 7217
+20120227 tpd src/input/farray.input fix bug 7217
+20120227 tpd src/input/exsum.input fix bug 7217
+20120227 tpd src/input/exseries.input fix bug 7217
+20120227 tpd src/input/exprpoly.input fix bug 7217
+20120227 tpd src/input/exprode.input fix bug 7217
+20120227 tpd src/input/expr1.input fix bug 7217
+20120227 tpd src/input/expr.input fix bug 7217
+20120227 tpd src/input/explim.input fix bug 7217
+20120227 tpd src/input/expexpan.input fix bug 7217
+20120227 tpd src/input/exp.input fix bug 7217
+20120227 tpd src/input/exlimit.input fix bug 7217
+20120227 tpd src/input/exlap.input fix bug 7217
+20120227 tpd src/input/exint.input fix bug 7217
+20120227 tpd src/input/exdiff.input fix bug 7217
+20120227 tpd src/input/exampleagcode.input fix bug 7217
+20120227 tpd src/input/evalex.input fix bug 7217
+20120227 tpd src/input/eval.input fix bug 7217
+20120227 tpd src/input/erf.input fix bug 7217
+20120227 tpd src/input/equation2.input fix bug 7217
+20120227 tpd src/input/equation.input fix bug 7217
+20120227 tpd src/input/eqtbl.input fix bug 7217
+20120227 tpd src/input/eq.input fix bug 7217
+20120227 tpd src/input/en.input fix bug 7217
+20120227 tpd src/input/elt.input fix bug 7217
+20120227 tpd src/input/elfuts.input fix bug 7217
+20120227 tpd src/input/elemnum.input fix bug 7217
+20120227 tpd src/input/elemfun.input fix bug 7217
+20120227 tpd src/input/eigen.input fix bug 7217
+20120227 tpd src/input/ei.input fix bug 7217
+20120227 tpd src/input/efi.input fix bug 7217
+20120227 tpd src/input/easter.input fix bug 7217
+20120227 tpd src/input/e1.input fix bug 7217
+20120227 tpd src/input/dpol.input fix bug 7217
+20120227 tpd src/input/dop.input fix bug 7217
+20120227 tpd src/input/donsimple.input fix bug 7217
+20120227 tpd src/input/dmp.input fix bug 7217
+20120227 tpd src/input/divisor.input fix bug 7217
+20120227 tpd src/input/distexpr.input fix bug 7217
+20120227 tpd src/input/dhtri.input fix bug 7217
+20120227 tpd src/input/dhmatrix.input fix bug 7217
+20120227 tpd src/input/dfloat.input fix bug 7217
+20120227 tpd src/input/derivefail.input fix bug 7217
+20120227 tpd src/input/derham.input fix bug 7217
+20120227 tpd src/input/defintrf.input fix bug 7217
+20120227 tpd src/input/defintef.input fix bug 7217
+20120227 tpd src/input/decimal.input fix bug 7217
+20120227 tpd src/input/davis.input fix bug 7217
+20120227 tpd src/input/davenport.input fix bug 7217
+20120227 tpd src/input/danzwill2.input fix bug 7217
+20120227 tpd src/input/danzwill.input fix bug 7217
+20120227 tpd src/input/cyfactor.input fix bug 7217
+20120227 tpd src/input/cycles1.input fix bug 7217
+20120227 tpd src/input/cycles.input fix bug 7217
+20120227 tpd src/input/curry.input fix bug 7217
+20120227 tpd src/input/curl.input fix bug 7217
+20120227 tpd src/input/contfrc.input fix bug 7217
+20120227 tpd src/input/contfrac.input fix bug 7217
+20120227 tpd src/input/conformal.input fix bug 7217
+20120227 tpd src/input/complexfactor.input fix bug 7217
+20120227 tpd src/input/complex.input fix bug 7217
+20120227 tpd src/input/collect.input fix bug 7217
+20120227 tpd src/input/coercels.input fix bug 7217
+20120227 tpd src/input/clifford.input fix bug 7217
+20120227 tpd src/input/clif.input fix bug 7217
+20120227 tpd src/input/classtalk.input fix bug 7217
+20120227 tpd src/input/chtheorem.input fix bug 7217
+20120227 tpd src/input/char.input fix bug 7217
+20120227 tpd src/input/ch.input fix bug 7217
+20120227 tpd src/input/carten.input fix bug 7217
+20120227 tpd src/input/cardinal.input fix bug 7217
+20120227 tpd src/input/card.input fix bug 7217
+20120227 tpd src/input/calculus2.input fix bug 7217
+20120227 tpd src/input/calculus.input fix bug 7217
+20120227 tpd src/input/calcprob.input fix bug 7217
+20120227 tpd src/input/bugs.input fix bug 7217
+20120227 tpd src/input/bug9057.input fix bug 7217
+20120227 tpd src/input/bug6357.input fix bug 7217
+20120227 tpd src/input/bug10312.input fix bug 7217
+20120227 tpd src/input/bug103.input fix bug 7217
+20120227 tpd src/input/bug101.input fix bug 7217
+20120227 tpd src/input/bug100.input fix bug 7217
+20120227 tpd src/input/bstree.input fix bug 7217
+20120227 tpd src/input/branchcut.input fix bug 7217
+20120227 tpd src/input/bop.input fix bug 7217
+20120227 tpd src/input/biquat.input fix bug 7217
+20120227 tpd src/input/binary.input fix bug 7217
+20120227 tpd src/input/besselk.input fix bug 7217
+20120227 tpd src/input/bbtree.input fix bug 7217
+20120227 tpd src/input/atansqrt.input fix bug 7217
+20120227 tpd src/input/asinhatanh.input fix bug 7217
+20120227 tpd src/input/asinatan.input fix bug 7217
+20120227 tpd src/input/array2.input fix bug 7217
+20120227 tpd src/input/array1.input fix bug 7217
+20120227 tpd src/input/arith.input fix bug 7217
+20120227 tpd src/input/antoine.input fix bug 7217
+20120227 tpd src/input/allfact.input fix bug 7217
+20120227 tpd src/input/algfacob.input fix bug 7217
+20120227 tpd src/input/algaggr.input fix bug 7217
+20120227 tpd src/input/ackermann.input fix bug 7217
+20120227 tpd buglist fix bug 7217
+20120227 tpd books/bookvol5 fix bug 7217
+20120227 tpd books/bookvol10.4 fix bug 7217
+20120227 tpd books/bookvol10.3 fix bug 7217
 20120224 tpd src/axiom-website/patches.html 20120224.01.tpd.patch
 20120224 tpd books/ps/v81icosahedron.eps Icosahedron
 20120224 tpd books/ps/v81equation103.eps remove duplicate
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bc7470c..f8a4946 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3826,5 +3826,7 @@ buglist 7225: Lasagna Larga Doppia Riccia does not plot 0.0<br/>
 books/bookvol8.1 add Klein bagel example<br/>
 <a href="patches/20120224.01.tpd.patch">20120224.01.tpd.patch</a>
 books/bookvol8.1 add Icosahedron, remove v18equation103<br/>
+<a href="patches/20120227.01.tpd.patch">20120227.01.tpd.patch</a>
+buglist fix bug 7217<br/>
  </body>
 </html>
diff --git a/src/input/ackermann.input.pamphlet b/src/input/ackermann.input.pamphlet
index 4251b11..9d90ad3 100644
--- a/src/input/ackermann.input.pamphlet
+++ b/src/input/ackermann.input.pamphlet
@@ -46,7 +46,7 @@ cache:Table(List Integer,Integer):=empty()
 --R 
 --R
 --R   (3)  table()
---R                                            Type: Table(List Integer,Integer)
+--R                                           Type: Table(List(Integer),Integer)
 --I                                                   Time: 0.01 (OT) = 0.01 sec
 --E 3
 
@@ -87,7 +87,7 @@ ackermann(0,0)
 --R 
 --R
 --R   (6)  [5,13,29,61,125,253,509,1021,2045,4093,8189]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --I                                       Time: 7.03 (EV) + 0.28 (GC) = 7.31 sec
 --E 6
 
@@ -96,7 +96,7 @@ ackermann(0,0)
 --R 
 --R
 --R   (7)  [5,13,29,61,125,253,509,1021,2045,4093,8189]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --I                                       Time: 7.03 (EV) + 0.21 (GC) = 7.24 sec
 --E 7
 
@@ -105,7 +105,7 @@ ackermann(0,0)
 --R 
 --R
 --R   (8)  [5,13,29,61,125,253,509,1021,2045,4093,8189]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --I                         Time: 0.11 (IN) + 15.32 (EV) + 0.03 (GC) = 15.46 sec
 --E 8
 
@@ -114,7 +114,7 @@ ackermann(0,0)
 --R 
 --R
 --R   (9)  [5,13,29,61,125,253,509,1021,2045,4093,8189]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --I                                                   Time: 0.02 (EV) = 0.02 sec
 --E 9
 
@@ -228,7 +228,7 @@ ackerslow(3,10)
 --R 
 --R
 --R   (21)  [5,13,29,61,125,253,509,1021,2045,4093,8189]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --I                                       Time: 7.01 (EV) + 0.26 (GC) = 7.27 sec
 --E 22
 
@@ -237,7 +237,7 @@ ackerslow(3,10)
 --R 
 --R
 --R   (22)  [5,13,29,61,125,253,509,1021,2045,4093,8189]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --I                                       Time: 7.00 (EV) + 0.27 (GC) = 7.27 sec
 --E 23
 
diff --git a/src/input/algaggr.input.pamphlet b/src/input/algaggr.input.pamphlet
index 7068d9e..dba6249 100644
--- a/src/input/algaggr.input.pamphlet
+++ b/src/input/algaggr.input.pamphlet
@@ -26,7 +26,7 @@ l := [1,4,2,-6,0,3,5,4,2,3]
 --R 
 --R
 --R   (1)  [1,4,2,- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 1
 
 --S 2 of 28
@@ -34,7 +34,7 @@ m := list 555555
 --R 
 --R
 --R   (2)  [555555]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 2
 
 --S 3 of 28
@@ -42,7 +42,7 @@ concat(5,l)
 --R 
 --R
 --R   (3)  [5,1,4,2,- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 3
 
 --S 4 of 28
@@ -50,7 +50,7 @@ concat(m,l)
 --R 
 --R
 --R   (4)  [555555,1,4,2,- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 4
 
 --S 5 of 28
@@ -58,7 +58,7 @@ removeDuplicates l
 --R 
 --R
 --R   (5)  [1,4,2,- 6,0,3,5]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 5
 
 --S 6 of 28
@@ -74,7 +74,7 @@ rest l
 --R 
 --R
 --R   (7)  [4,2,- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 7
 
 --S 8 of 28
@@ -98,7 +98,7 @@ l
 --R 
 --R
 --R   (10)  [1,4,2,- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 10
 
 --S 11 of 28
@@ -106,7 +106,7 @@ first(l,3)
 --R 
 --R
 --R   (11)  [1,4,2]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 11
 
 --S 12 of 28
@@ -114,7 +114,7 @@ rest(l,3)
 --R 
 --R
 --R   (12)  [- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 12
 
 --S 13 of 28
@@ -154,7 +154,7 @@ l
 --R 
 --R
 --R   (17)  [1000000000,4,2,- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 17
 
 --S 18 of 28
@@ -162,7 +162,7 @@ insert(10,l,4)
 --R 
 --R
 --R   (18)  [1000000000,4,2,10,- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 18
 
 --S 19 of 28
@@ -170,7 +170,7 @@ insert(2,l,1)
 --R 
 --R
 --R   (19)  [2,1000000000,4,2,- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 19
 
 --S 20 of 28
@@ -186,7 +186,7 @@ reverse l
 --R 
 --R
 --R   (21)  [3,2,4,5,3,0,- 6,2,4,1000000000]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 21
 
 --S 22 of 28
@@ -194,7 +194,7 @@ l
 --R 
 --R
 --R   (22)  [1000000000,4,2,- 6,0,3,5,4,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 22
 
 --S 23 of 28
@@ -202,7 +202,7 @@ m := [4,2,3,6,5,7,-9,1,2,3,2]
 --R 
 --R
 --R   (23)  [4,2,3,6,5,7,- 9,1,2,3,2]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 23
 
 --S 24 of 28
@@ -210,7 +210,7 @@ sl:SET(INT) := brace l
 --R 
 --R
 --R   (24)  {- 6,0,2,3,4,5,1000000000}
---R                                                            Type: Set Integer
+--R                                                           Type: Set(Integer)
 --E 24
 
 --S 25 of 28
@@ -218,7 +218,7 @@ sm:SET(INT) := brace m
 --R 
 --R
 --R   (25)  {- 9,1,2,3,4,5,6,7}
---R                                                            Type: Set Integer
+--R                                                           Type: Set(Integer)
 --E 25
 
 --S 26 of 28
@@ -226,7 +226,7 @@ difference(sl, sm)
 --R 
 --R
 --R   (26)  {- 6,0,1000000000}
---R                                                            Type: Set Integer
+--R                                                           Type: Set(Integer)
 --E 26
 
 --S 27 of 28
@@ -234,7 +234,7 @@ intersect(sl,sm)
 --R 
 --R
 --R   (27)  {2,3,4,5}
---R                                                            Type: Set Integer
+--R                                                           Type: Set(Integer)
 --E 27
 
 --S 28 of 28
@@ -242,7 +242,7 @@ union(sl,sm)
 --R 
 --R
 --R   (28)  {- 9,- 6,0,1,2,3,4,5,6,7,1000000000}
---R                                                            Type: Set Integer
+--R                                                           Type: Set(Integer)
 --E 28
 )spool 
 )lisp (bye)
diff --git a/src/input/algfacob.input.pamphlet b/src/input/algfacob.input.pamphlet
index 19da787..1428a8c 100644
--- a/src/input/algfacob.input.pamphlet
+++ b/src/input/algfacob.input.pamphlet
@@ -33,7 +33,7 @@ x := 2**8 * 78**7 * 111**3 * 74534
 --R
 --R         16 10  7  3
 --R   (2)  2  3  13 37 83 449
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 2
 
 --S 3 of 37
@@ -42,7 +42,7 @@ y := nilFactor(2,10) * nilFactor(3,20) * nilFactor(5,30)
 --R
 --R         10 20 30
 --R   (3)  2  3  5
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 3
 
 --S 4 of 37
@@ -51,7 +51,7 @@ x*y
 --R
 --R         26 30 30  7  3
 --R   (4)  2  3  5  13 37 83 449
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 4
 
 --S 5 of 37
@@ -60,7 +60,7 @@ w := x+y
 --R
 --R         10 10
 --R   (5)  2  3  13535311 4062978256593778783
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 5
 
 --S 6 of 37
@@ -80,7 +80,7 @@ f := x/y
 --R   (7)  --------------
 --R             10 30
 --R            3  5
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 7
 
 --S 8 of 37
@@ -92,7 +92,7 @@ g := (x**9)/y
 --R   (8)  ----------------------
 --R                   30
 --R                  5
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 8
 
 --S 9 of 37
@@ -104,7 +104,7 @@ f*g
 --R   (9)  ------------------------
 --R                    60
 --R                   5
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 9
 
 --S 10 of 37
@@ -116,7 +116,7 @@ h := (f*g)/(g*nilFactor(2,200))
 --R   (10)  ------------
 --R           194 10 30
 --R          2   3  5
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 10
 
 )clear all
@@ -133,7 +133,7 @@ u := factor (x**4 - y**4)
 --R
 --R                          2    2
 --R   (2)  - (y - x)(y + x)(y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 12
 
 --S 13 of 37
@@ -142,7 +142,7 @@ v := nilFactor(x-y,2) * nilFactor(x+y,2) * nilFactor(x**2 + y**2,1)
 --R
 --R               2       2  2    2
 --R   (3)  (y - x) (y + x) (y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 13
 
 --S 14 of 37
@@ -151,7 +151,7 @@ w := factor(x**2 + 2*x*y + 2*x + 2*y + y**2 + 1) * nilFactor(x-y,2)
 --R
 --R               2           2
 --R   (4)  (y - x) (y + x + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 14
 
 --S 15 of 37
@@ -159,7 +159,7 @@ nthFactor(u,1)
 --R 
 --R
 --R   (5)  y - x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 15
 
 --S 16 of 37
@@ -167,7 +167,7 @@ nthFactor(u,2)
 --R 
 --R
 --R   (6)  y + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 16
 
 --S 17 of 37
@@ -176,7 +176,7 @@ nthFactor(u,3)
 --R
 --R         2    2
 --R   (7)  y  + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 17
 
 --S 18 of 37
@@ -184,7 +184,7 @@ nthFactor(u,4)
 --R 
 --R
 --R   (8)  1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 18
 
 --S 19 of 37
@@ -193,7 +193,7 @@ gcd(u,v)
 --R
 --R                        2    2
 --R   (9)  (y - x)(y + x)(y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 19
 
 --S 20 of 37
@@ -202,7 +202,7 @@ u + v
 --R
 --R                         2    2       2    2
 --R   (10)  (y - x)(y + x)(y  - x  - 1)(y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 20
 
 --S 21 of 37
@@ -211,7 +211,7 @@ lcm(u,v)
 --R
 --R                  2       2  2    2
 --R   (11)  - (y - x) (y + x) (y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 21
 
 --S 22 of 37
@@ -220,7 +220,7 @@ u * v * w
 --R
 --R                  5       3           2  2    2 2
 --R   (12)  - (y - x) (y + x) (y + x + 1) (y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 22
 
 --S 23 of 37
@@ -239,7 +239,7 @@ expand %
 --R   + 
 --R          12     11      14     13    12
 --R     (- 2x   - 2x  )y + x   + 2x   + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 23
 
 --S 24 of 37
@@ -251,7 +251,7 @@ u/w
 --R   (14)  - -------------------
 --R                             2
 --R           (y - x)(y + x + 1)
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 24
 
 --S 25 of 37
@@ -263,7 +263,7 @@ w/(u*v)
 --R   (15)  - -------------------------
 --R                         3  2    2 2
 --R           (y - x)(y + x) (y  + x )
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 25
 
 --S 26 of 37
@@ -274,7 +274,7 @@ w/(u*v)
 --R   (16)  -------------------------
 --R                2       2  2    2
 --R         (y - x) (y + x) (y  + x )
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 26
 
 --S 27 of 37
@@ -286,7 +286,7 @@ w/(u*v)
 --R   (17)  - ----------------------------------
 --R                      2       3  2    2 2
 --R               (y - x) (y + x) (y  + x )
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 27
 
 )clear all
@@ -297,7 +297,7 @@ f : FR INT := 144000
 --R
 --R         7 2 3
 --R   (1)  2 3 5
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 28
 
 --S 29 of 37
@@ -346,7 +346,7 @@ factors f
 --R
 --R   (7)
 --R   [[factor= 2,exponent= 7],[factor= 3,exponent= 2],[factor= 5,exponent= 3]]
---R                         Type: List Record(factor: Integer,exponent: Integer)
+--R                        Type: List(Record(factor: Integer,exponent: Integer))
 --E 34
 
 --S 35 of 37
@@ -363,7 +363,7 @@ f
 --R
 --R         7 2 3
 --R   (9)  2 3 5
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 36
 
 --S 37 of 37
@@ -371,7 +371,7 @@ reduce(*,[nthFactor(f,i) :: (FR INT) for i in 1..numberOfFactors(f)])
 --R 
 --R
 --R   (10)  2 3 5
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 37
 )spool
 )lisp (bye)
diff --git a/src/input/allfact.input.pamphlet b/src/input/allfact.input.pamphlet
index cc75047..8b86206 100644
--- a/src/input/allfact.input.pamphlet
+++ b/src/input/allfact.input.pamphlet
@@ -34,7 +34,7 @@ factor n
 --R 
 --R
 --R   (2)  13 19 269 8387 81173
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 2
 
 -- factorization of gaussian integers
@@ -43,7 +43,7 @@ m:(Complex Integer) := 1324567+%i*53523582
 --R 
 --R
 --R   (3)  1324567 + 53523582%i
---R                                                        Type: Complex Integer
+--R                                                       Type: Complex(Integer)
 --E 3
 
 --S 4 of 21
@@ -51,7 +51,7 @@ factor m
 --R 
 --R
 --R   (4)  (2 + 7%i)(7119136 + 1844815%i)
---R                                               Type: Factored Complex Integer
+--R                                             Type: Factored(Complex(Integer))
 --E 4
 
 -- factorization of polynomials over finite fields
@@ -61,7 +61,7 @@ u:UP(x,PF(19)) :=3*x**4+2*x**2+15*x+18
 --R
 --R          4     2
 --R   (5)  3x  + 2x  + 15x + 18
---R                                  Type: UnivariatePolynomial(x,PrimeField 19)
+--R                                 Type: UnivariatePolynomial(x,PrimeField(19))
 --E 5
 
 --S 6 of 21
@@ -70,7 +70,7 @@ factor u
 --R
 --R                   3    2
 --R   (6)  3(x + 18)(x  + x  + 8x + 13)
---R                         Type: Factored UnivariatePolynomial(x,PrimeField 19)
+--R                       Type: Factored(UnivariatePolynomial(x,PrimeField(19)))
 --E 6
 
 -- factorization of polynomials over the integers
@@ -89,7 +89,7 @@ factor v
 --R
 --R           3     2         5    3
 --R   (8)  (4x  + 2x  + 1)(12x  - x  + 12)
---R                               Type: Factored UnivariatePolynomial(x,Integer)
+--R                              Type: Factored(UnivariatePolynomial(x,Integer))
 --E 8
 
 -- factorization of multivariate polynomial over the integers
@@ -108,7 +108,7 @@ factor w
 --R
 --R                   2    2    2   2    2    2
 --R   (10)  z(y + 3)(x  - y  - z )(x  + y  + z )
---R                       Type: Factored MultivariatePolynomial([x,y,z],Integer)
+--R                      Type: Factored(MultivariatePolynomial([x,y,z],Integer))
 --E 10
 
 -- factorization of univariate and multivariate over the rational numbers
@@ -119,7 +119,7 @@ f:MPOLY([x,y,z],FRAC INT) :=(4/9*x**2-1/16)*(x**3/27+125)
 --R          4   5    1   3   500  2   125
 --R   (11)  --- x  - --- x  + --- x  - ---
 --R         243      432       9        16
---R                       Type: MultivariatePolynomial([x,y,z],Fraction Integer)
+--R                      Type: MultivariatePolynomial([x,y,z],Fraction(Integer))
 --E 11
 
 --S 12 of 21
@@ -129,7 +129,7 @@ factor f
 --R          4       3      3           2
 --R   (12)  --- (x - -)(x + -)(x + 15)(x  - 15x + 225)
 --R         243      8      8
---R              Type: Factored MultivariatePolynomial([x,y,z],Fraction Integer)
+--R            Type: Factored(MultivariatePolynomial([x,y,z],Fraction(Integer)))
 --E 12
 
 -- factorization over rational functions
@@ -142,7 +142,7 @@ g:DMP([x,y],FRAC POLY INT):=a**2*x**2/b**2 -c**2*y**2/d**2
 --R   (13)  -- x  - -- y
 --R          2       2
 --R         b       d
---R   Type: DistributedMultivariatePolynomial([x,y],Fraction Polynomial Integer)
+--R Type: DistributedMultivariatePolynomial([x,y],Fraction(Polynomial(Integer)))
 --E 13
 
 --S 14 of 21
@@ -168,7 +168,7 @@ r:FRAC POLY INT:= (a**3/b**3-c**3/(b+1)**3)*(a*d+a/c)
 --R   -----------------------------------------------------------------------------
 --R                                 6     5     4    3
 --R                               (b  + 3b  + 3b  + b )c
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 15
 
 --S 16 of 21
@@ -180,7 +180,7 @@ factorFraction r
 --R   (16)  - ------------------------------------------------------------------
 --R                                        3       3
 --R                                       b (b + 1) c
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 16
 
 -- factorization over simple algebraic extensions
@@ -235,7 +235,7 @@ factor(x**2+x+1,[a])
 --R              - a + 1      a + 1
 --R   (21)  (x + -------)(x + -----)
 --R                 2           2
---R                                    Type: Factored Polynomial AlgebraicNumber
+--R                                  Type: Factored(Polynomial(AlgebraicNumber))
 --E 21
 )spool
 )lisp (bye)
diff --git a/src/input/antoine.input.pamphlet b/src/input/antoine.input.pamphlet
index 29d01c7..660154a 100644
--- a/src/input/antoine.input.pamphlet
+++ b/src/input/antoine.input.pamphlet
@@ -44,8 +44,8 @@ tri2tri(t1: List Point DoubleFloat, t2: List Point DoubleFloat): _
   n2 := triangleNormal(t2)
   tet2tet(concat(t1, n1), concat(t2, n2))
 --R 
---R   Function declaration tri2tri : (List Point DoubleFloat,List Point 
---R      DoubleFloat) -> DenavitHartenbergMatrix DoubleFloat has been 
+--R   Function declaration tri2tri : (List(Point(DoubleFloat)),List(Point(
+--R      DoubleFloat))) -> DenavitHartenbergMatrix(DoubleFloat) has been 
 --R      added to workspace.
 --R                                                                   Type: Void
 --E 2
@@ -61,8 +61,8 @@ tet2tet(t1: List Point DoubleFloat, t2: List Point DoubleFloat): _
   m2 := makeColumnMatrix t2
   m2 * inverse(m1)
 --R 
---R   Function declaration tet2tet : (List Point DoubleFloat,List Point 
---R      DoubleFloat) -> DenavitHartenbergMatrix DoubleFloat has been 
+--R   Function declaration tet2tet : (List(Point(DoubleFloat)),List(Point(
+--R      DoubleFloat))) -> DenavitHartenbergMatrix(DoubleFloat) has been 
 --R      added to workspace.
 --R                                                                   Type: Void
 --E 3
diff --git a/src/input/arith.input.pamphlet b/src/input/arith.input.pamphlet
index e35af47..72c1feb 100644
--- a/src/input/arith.input.pamphlet
+++ b/src/input/arith.input.pamphlet
@@ -55,7 +55,7 @@ factor %
 --R
 --R         108 216  108
 --R   (4)  2   3   13
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 4
 
 --S 5 of 25
@@ -65,7 +65,7 @@ z := 1/2
 --R        1
 --R   (5)  -
 --R        2
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 5
 
 --S 6 of 25
@@ -75,7 +75,7 @@ v := (z + 1) ** 10
 --R        59049
 --R   (6)  -----
 --R         1024
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 6
 
 --S 7 of 25
@@ -83,7 +83,7 @@ v := (z + 1) ** 10
 --R 
 --R
 --R   (7)  59049
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 7
 
 --S 8 of 25
@@ -92,7 +92,7 @@ u := (x+1)**6
 --R
 --R         6     5      4      3      2
 --R   (8)  x  + 6x  + 15x  + 20x  + 15x  + 6x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 8
 
 --S 9 of 25
@@ -101,7 +101,7 @@ differentiate(u,x)
 --R
 --R          5      4      3      2
 --R   (9)  6x  + 30x  + 60x  + 60x  + 30x + 6
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 9
 
 -- factor %
@@ -168,14 +168,14 @@ leg(n | n > 1)  == ((2*n-1)*x*leg(n-1)-(n-1)*leg(n-2))/n
 --S 18 of 25
 leg 3
 --R 
---R   Compiling function leg with type Integer -> Polynomial Fraction 
---R      Integer 
+--R   Compiling function leg with type Integer -> Polynomial(Fraction(
+--R      Integer)) 
 --R   Compiling function leg as a recurrence relation.
 --R
 --R        5  3   3
 --R   (4)  - x  - - x
 --R        2      2
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 18
 
 --S 19 of 25
@@ -190,7 +190,7 @@ leg 14
 --R       765765  4   45045  2    429
 --R     - ------ x  + ----- x  - ----
 --R        2048        2048      2048
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 19
 
 -- look at it as a polynomial with rational number coefficients
diff --git a/src/input/array1.input.pamphlet b/src/input/array1.input.pamphlet
index 23aad75..b65d175 100644
--- a/src/input/array1.input.pamphlet
+++ b/src/input/array1.input.pamphlet
@@ -26,7 +26,7 @@ oneDimensionalArray [i**2 for i in 1..10]
 --R 
 --R
 --R   (1)  [1,4,9,16,25,36,49,64,81,100]
---R                                    Type: OneDimensionalArray PositiveInteger
+--R                                   Type: OneDimensionalArray(PositiveInteger)
 --E 1
 
 --S 2 of 9
@@ -34,7 +34,7 @@ a : ARRAY1 INT := new(10,0)
 --R 
 --R
 --R   (2)  [0,0,0,0,0,0,0,0,0,0]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 2
 
 --S 3 of 9
@@ -42,7 +42,7 @@ for i in 1..10 repeat a.i := i; a
 --R 
 --R
 --R   (3)  [1,2,3,4,5,6,7,8,9,10]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 3
 
 --S 4 of 9
@@ -50,7 +50,7 @@ map!(i +-> i ** 2,a); a
 --R 
 --R
 --R   (4)  [1,4,9,16,25,36,49,64,81,100]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 4
 
 --S 5 of 9
@@ -58,7 +58,7 @@ reverse! a
 --R 
 --R
 --R   (5)  [100,81,64,49,36,25,16,9,4,1]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 5
 
 --S 6 of 9
@@ -66,7 +66,7 @@ swap!(a,4,5); a
 --R 
 --R
 --R   (6)  [100,81,64,36,49,25,16,9,4,1]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 6
 
 --S 7 of 9
@@ -74,7 +74,7 @@ sort! a
 --R 
 --R
 --R   (7)  [1,4,9,16,25,36,49,64,81,100]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 7
 
 --S 8 of 9
@@ -82,7 +82,7 @@ b := a(6..10)
 --R 
 --R
 --R   (8)  [36,49,64,81,100]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 8
 
 --S 9 of 9
@@ -90,7 +90,7 @@ copyInto!(a,b,1)
 --R 
 --R
 --R   (9)  [36,49,64,81,100,36,49,64,81,100]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 9
 )spool
 )lisp (bye)
diff --git a/src/input/array2.input.pamphlet b/src/input/array2.input.pamphlet
index f502313..071060a 100644
--- a/src/input/array2.input.pamphlet
+++ b/src/input/array2.input.pamphlet
@@ -34,7 +34,7 @@ arr : ARRAY2 INT := new(5,4,0)
 --R        |0  0  0  0|
 --R        |          |
 --R        +0  0  0  0+
---R                                            Type: TwoDimensionalArray Integer
+--R                                           Type: TwoDimensionalArray(Integer)
 --E 1
 
 --S 2 of 20
@@ -58,7 +58,7 @@ arr
 --R        |0   0  0  0|
 --R        |           |
 --R        +0   0  0  0+
---R                                            Type: TwoDimensionalArray Integer
+--R                                           Type: TwoDimensionalArray(Integer)
 --E 3
 
 --S 4 of 20
@@ -90,7 +90,7 @@ row(arr,1)
 --R 
 --R
 --R   (7)  [17,0,0,0]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 7
 
 --S 8 of 20
@@ -98,7 +98,7 @@ column(arr,1)
 --R 
 --R
 --R   (8)  [17,0,0,0,0]
---R                                            Type: OneDimensionalArray Integer
+--R                                           Type: OneDimensionalArray(Integer)
 --E 8
 
 --S 9 of 20
@@ -130,7 +130,7 @@ map(-,arr)
 --R         | 0     0    0  0|
 --R         |                |
 --R         + 0     0    0  0+
---R                                            Type: TwoDimensionalArray Integer
+--R                                           Type: TwoDimensionalArray(Integer)
 --E 11
 
 --S 12 of 20
@@ -146,7 +146,7 @@ map((x +-> x + x),arr)
 --R         |0   0   0  0|
 --R         |            |
 --R         +0   0   0  0+
---R                                            Type: TwoDimensionalArray Integer
+--R                                           Type: TwoDimensionalArray(Integer)
 --E 12
 
 --S 13 of 20
@@ -162,7 +162,7 @@ arrc := copy(arr)
 --R         |0   0   0  0|
 --R         |            |
 --R         +0   0   0  0+
---R                                            Type: TwoDimensionalArray Integer
+--R                                           Type: TwoDimensionalArray(Integer)
 --E 13
 
 --S 14 of 20
@@ -178,7 +178,7 @@ map!(-,arrc)
 --R         | 0     0    0  0|
 --R         |                |
 --R         + 0     0    0  0+
---R                                            Type: TwoDimensionalArray Integer
+--R                                           Type: TwoDimensionalArray(Integer)
 --E 14
 
 --S 15 of 20
@@ -194,7 +194,7 @@ arrc
 --R         | 0     0    0  0|
 --R         |                |
 --R         + 0     0    0  0+
---R                                            Type: TwoDimensionalArray Integer
+--R                                           Type: TwoDimensionalArray(Integer)
 --E 15
 
 --S 16 of 20
@@ -210,7 +210,7 @@ arr
 --R         |0   0   0  0|
 --R         |            |
 --R         +0   0   0  0+
---R                                            Type: TwoDimensionalArray Integer
+--R                                           Type: TwoDimensionalArray(Integer)
 --E 16
 
 --S 17 of 20
diff --git a/src/input/asinatan.input.pamphlet b/src/input/asinatan.input.pamphlet
index fcbd653..74a975d 100644
--- a/src/input/asinatan.input.pamphlet
+++ b/src/input/asinatan.input.pamphlet
@@ -228,7 +228,7 @@ Dover Publications, Inc. New York 1965. pp203-212
 --R    [0.98,1.3704614844 72,1.3704614844 717770265,- 0.2229735 E -12],
 --R    [0.99,1.4292568534 7,1.4292568534 704694005,0.4694005 E -12],
 --R    [1.0,1.5707963267 95,1.5707963267 948966192,- 0.103381 E -12]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 \end{chunk}
 In the following table there are 4 columns. The first column
@@ -442,7 +442,7 @@ Dover Publications, Inc. New York 1965. pp203-212
 --R    [0.98,0.7752974968 12,0.7752974968 1212640304,0.126403 E -12],
 --R    [0.99,0.7803730800 67,0.7803730800 666358989,- 0.3641011 E -12],
 --R    [1.0,0.7853981633 97,0.7853981633 9744830961,0.4483096 E -12]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 2
 
 )spool 
diff --git a/src/input/asinhatanh.input.pamphlet b/src/input/asinhatanh.input.pamphlet
index cc26f46..d7735cc 100644
--- a/src/input/asinhatanh.input.pamphlet
+++ b/src/input/asinhatanh.input.pamphlet
@@ -230,7 +230,7 @@ Dover Publications, Inc. New York 1965. pp221
 --R    [0.98,0.867160507,0.8671605068 2966515846,- 0.1703348415 E -9],
 --R    [0.99,0.874284812,0.8742848121 8729492676,0.1872949268 E -9],
 --R    [1.0,0.881373587,0.8813735870 1954302523,0.195430252 E -10]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 \end{chunk}
 In the following table there are 4 columns. The first column
@@ -444,7 +444,7 @@ Dover Publications, Inc. New York 1965. pp221
 --R    [0.97,2.09229572,2.0922957200 349394077,0.349394077 E -10],
 --R    [0.98,2.297559925,2.2975599250 672949634,0.672949634 E -10],
 --R    [0.99,2.646652412,2.6466524123 622461976,0.3622461976 E -9]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 2
 
 )spool 
diff --git a/src/input/atansqrt.input.pamphlet b/src/input/atansqrt.input.pamphlet
index e164208..552def3 100644
--- a/src/input/atansqrt.input.pamphlet
+++ b/src/input/atansqrt.input.pamphlet
@@ -32,7 +32,7 @@ z:=atan sqrt ((1-cos x)/(1+cos x))
 --R              |- cos(x) + 1
 --R   (1)  atan( |------------ )
 --R             \| cos(x) + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 \end{chunk}
 this should generate x/2
@@ -44,7 +44,7 @@ integrate(differentiate(z,x),x)
 --R        x
 --R   (2)  -
 --R        2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 \end{chunk}
 so should this be x/2
@@ -56,7 +56,7 @@ rootSimp(normalize(z))
 --R        x
 --R   (3)  -
 --R        2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 )spool
 )lisp (bye)
diff --git a/src/input/bbtree.input.pamphlet b/src/input/bbtree.input.pamphlet
index 601781a..1d20add 100644
--- a/src/input/bbtree.input.pamphlet
+++ b/src/input/bbtree.input.pamphlet
@@ -26,7 +26,7 @@ lm := [3,5,7,11]
 --R 
 --R
 --R   (1)  [3,5,7,11]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 1
 
 --S 2 of 10
@@ -34,7 +34,7 @@ modTree(12,lm)
 --R 
 --R
 --R   (2)  [0,2,5,1]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 2
 
 --S 3 of 10
@@ -42,7 +42,7 @@ t := balancedBinaryTree(#lm, 0)
 --R 
 --R
 --R   (3)  [[0,0,0],0,[0,0,0]]
---R                                  Type: BalancedBinaryTree NonNegativeInteger
+--R                                 Type: BalancedBinaryTree(NonNegativeInteger)
 --E 3
 
 --S 4 of 10
@@ -50,7 +50,7 @@ setleaves!(t,lm)
 --R 
 --R
 --R   (4)  [[3,0,5],0,[7,0,11]]
---R                                  Type: BalancedBinaryTree NonNegativeInteger
+--R                                 Type: BalancedBinaryTree(NonNegativeInteger)
 --E 4
 
 --S 5 of 10
@@ -66,7 +66,7 @@ t
 --R 
 --R
 --R   (6)  [[3,15,5],1155,[7,77,11]]
---R                                  Type: BalancedBinaryTree NonNegativeInteger
+--R                                 Type: BalancedBinaryTree(NonNegativeInteger)
 --E 6
 
 --S 7 of 10
@@ -74,7 +74,7 @@ mapDown!(t,12,_rem)
 --R 
 --R
 --R   (7)  [[0,12,2],12,[5,12,1]]
---R                                  Type: BalancedBinaryTree NonNegativeInteger
+--R                                 Type: BalancedBinaryTree(NonNegativeInteger)
 --E 7
 
 --S 8 of 10
@@ -82,7 +82,7 @@ leaves %
 --R 
 --R
 --R   (8)  [0,2,5,1]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 8
 
 --S 9 of 10
@@ -90,7 +90,7 @@ squares := [x**2 rem m for x in % for m in lm]
 --R 
 --R
 --R   (9)  [0,4,4,1]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 9
 
 --S 10 of 10
diff --git a/src/input/besselk.input.pamphlet b/src/input/besselk.input.pamphlet
index 2617e57..21a0c08 100644
--- a/src/input/besselk.input.pamphlet
+++ b/src/input/besselk.input.pamphlet
@@ -28,7 +28,7 @@ D(besselK(a,x),x)
 --R        - besselK(a + 1,x) - besselK(a - 1,x)
 --R   (1)  -------------------------------------
 --R                          2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 6
@@ -36,14 +36,14 @@ D(besselK(a,x),a)
 --R
 --R   (2)  besselK  (a,x)
 --R               ,1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 6
 integrate(D(besselK(a,x),a),a)
 --R
 --R   (3)  besselK(a,x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 3
 
 --S 4 of 6
diff --git a/src/input/binary.input.pamphlet b/src/input/binary.input.pamphlet
index 0fa7dde..7ce04fd 100644
--- a/src/input/binary.input.pamphlet
+++ b/src/input/binary.input.pamphlet
@@ -49,7 +49,7 @@ r + binary(6/7)
 --R    0.000000100111011, 0.000000100111,
 --R       ____________________________________________________
 --R    0.00000010011010100100001110011111011001010110111100011]
---R                                                   Type: List BinaryExpansion
+--R                                                  Type: List(BinaryExpansion)
 --E 3
 
 --S 4 of 7
@@ -75,7 +75,7 @@ p := binary(1/4)*x**2 + binary(2/3)*x + binary(4/9)
 --R
 --R             2     __      ______
 --R   (5)  0.01x  + 0.10x + 0.011100
---R                                             Type: Polynomial BinaryExpansion
+--R                                            Type: Polynomial(BinaryExpansion)
 --E 5
 
 --S 6 of 7
@@ -84,7 +84,7 @@ q := D(p, x)
 --R
 --R                 __
 --R   (6)  0.1x + 0.10
---R                                             Type: Polynomial BinaryExpansion
+--R                                            Type: Polynomial(BinaryExpansion)
 --E 6
 
 --S 7 of 7
@@ -93,7 +93,7 @@ g := gcd(p, q)
 --R
 --R              __
 --R   (7)  x + 1.01
---R                                             Type: Polynomial BinaryExpansion
+--R                                            Type: Polynomial(BinaryExpansion)
 --E 7
 )spool
 )lisp (bye)
diff --git a/src/input/biquat.input.pamphlet b/src/input/biquat.input.pamphlet
index baa3ee4..07299a8 100644
--- a/src/input/biquat.input.pamphlet
+++ b/src/input/biquat.input.pamphlet
@@ -28,7 +28,7 @@ Clifford biquaternions which are an entirely different object)
 C:=Complex Expression Integer
 --R 
 --R
---R   (1)  Complex Expression Integer
+--R   (1)  Complex(Expression(Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -36,7 +36,7 @@ C:=Complex Expression Integer
 Q:=Quaternion C
 --R 
 --R
---R   (2)  Quaternion Complex Expression Integer
+--R   (2)  Quaternion(Complex(Expression(Integer)))
 --R                                                                 Type: Domain
 --E 2
 
@@ -45,7 +45,7 @@ q:Q:=quatern(q0,q1,q2,q3)
 --R 
 --R
 --R   (3)  q0 + q1 i + q2 j + q3 k
---R                                  Type: Quaternion Complex Expression Integer
+--R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 3
 
 \end{chunk}
@@ -56,8 +56,8 @@ quaternion
 --S 4 of 43
 qlist(l:List C):Q==quatern(1.1,1.2,1.3,1.4)
 --R 
---R   Function declaration qlist : List Complex Expression Integer -> 
---R      Quaternion Complex Expression Integer has been added to 
+--R   Function declaration qlist : List(Complex(Expression(Integer))) -> 
+--R      Quaternion(Complex(Expression(Integer))) has been added to 
 --R      workspace.
 --R                                                                   Type: Void
 --E 4
@@ -69,8 +69,9 @@ Define a function that takes a quaternion into a list
 --S 5 of 43
 listq(x:Q):List C == [real x, imagI x, imagJ x, imagK x]
 --R 
---R   Function declaration listq : Quaternion Complex Expression Integer
---R       -> List Complex Expression Integer has been added to workspace.
+--R   Function declaration listq : Quaternion(Complex(Expression(Integer))
+--R      ) -> List(Complex(Expression(Integer))) has been added to 
+--R      workspace.
 --R                                                                   Type: Void
 --E 5
 
@@ -83,8 +84,8 @@ matrixq(x:Q):Matrix C == matrix _
              [[real x + %i*imagI(x), imagJ x + %i*imagK(x)],_
              [-imagJ(x) + %i*imagK(x), real x - %i*imagI(x)]]
 --R 
---R   Function declaration matrixq : Quaternion Complex Expression Integer
---R       -> Matrix Complex Expression Integer has been added to 
+--R   Function declaration matrixq : Quaternion(Complex(Expression(Integer
+--R      ))) -> Matrix(Complex(Expression(Integer))) has been added to 
 --R      workspace.
 --R                                                                   Type: Void
 --E 6
@@ -109,7 +110,7 @@ sig0:=quatern(1,0,0,0)::Q
 --R 
 --R
 --R   (7)  1
---R                                  Type: Quaternion Complex Expression Integer
+--R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 7
 
 --S 8 of 43
@@ -117,7 +118,7 @@ sig1:=%i*quatern(0,0,0,1)::Q
 --R 
 --R
 --R   (8)  %i k
---R                                  Type: Quaternion Complex Expression Integer
+--R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 8
 
 --S 9 of 43
@@ -125,7 +126,7 @@ sig2:=%i*quatern(0,0,1,0)::Q
 --R 
 --R
 --R   (9)  %i j
---R                                  Type: Quaternion Complex Expression Integer
+--R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 9
 
 --S 10 of 43
@@ -133,7 +134,7 @@ sig3:=-%i*quatern(0,1,0,0)::Q
 --R 
 --R
 --R   (10)  - %i i
---R                                  Type: Quaternion Complex Expression Integer
+--R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 10
 
 \end{chunk}
@@ -165,8 +166,9 @@ biquaternion.
 --S 11 of 43
 siglist(x:Q):List C == [real x, -imagK(x)*%i, -imagJ(x)*%i, %i*imagI(x)]
 --R 
---R   Function declaration siglist : Quaternion Complex Expression Integer
---R       -> List Complex Expression Integer has been added to workspace.
+--R   Function declaration siglist : Quaternion(Complex(Expression(Integer
+--R      ))) -> List(Complex(Expression(Integer))) has been added to 
+--R      workspace.
 --R                                                                   Type: Void
 --E 11
 
@@ -179,8 +181,8 @@ Define the quaternion derivative (Morgan, 2001, Eq. 2)
 --S 12 of 43
 D(q:Q,x:Symbol,y:Symbol,z:Symbol):Q==sig1*D(q,x)+sig2*D(q,y)+sig3*D(q,z)
 --R 
---R   Function declaration D : (Quaternion Complex Expression Integer,
---R      Symbol,Symbol,Symbol) -> Quaternion Complex Expression Integer 
+--R   Function declaration D : (Quaternion(Complex(Expression(Integer))),
+--R      Symbol,Symbol,Symbol) -> Quaternion(Complex(Expression(Integer)))
 --R      has been added to workspace.
 --R                                                                   Type: Void
 --E 12
@@ -230,7 +232,7 @@ F:Q:=Ft(x,y,z)*sig0+Fx(x,y,z)*sig1+Fy(x,y,z)*sig2+Fz(x,y,z)*sig3
 --R 
 --R
 --R   (17)  Ft(x,y,z) - Fz(x,y,z)%i i + Fy(x,y,z)%i j + Fx(x,y,z)%i k
---R                                  Type: Quaternion Complex Expression Integer
+--R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 17
 
 \end{chunk}
@@ -244,11 +246,11 @@ In the Pauli basis the derivative of this biquat should produce
 --S 18 of 43
 siglist(D(F,x,y,z))
 --R 
---R   Compiling function D with type (Quaternion Complex Expression 
---R      Integer,Symbol,Symbol,Symbol) -> Quaternion Complex Expression 
---R      Integer 
---R   Compiling function siglist with type Quaternion Complex Expression 
---R      Integer -> List Complex Expression Integer 
+--R   Compiling function D with type (Quaternion(Complex(Expression(
+--R      Integer))),Symbol,Symbol,Symbol) -> Quaternion(Complex(Expression
+--R      (Integer))) 
+--R   Compiling function siglist with type Quaternion(Complex(Expression(
+--R      Integer))) -> List(Complex(Expression(Integer))) 
 --R
 --R   (18)
 --R   [Fz  (x,y,z) + Fy  (x,y,z) + Fx  (x,y,z),
@@ -259,7 +261,7 @@ siglist(D(F,x,y,z))
 --R      ,2               ,1            ,3
 --R    Ft  (x,y,z) + (Fy  (x,y,z) - Fx  (x,y,z))%i]
 --R      ,3             ,1            ,2
---R                                        Type: List Complex Expression Integer
+--R                                     Type: List(Complex(Expression(Integer)))
 --E 18
 
 \end{chunk}
@@ -301,9 +303,9 @@ rotation of $\theta$ radians about the axis defined by the unit $q$ biquat
 --S 19 of 43
 rot(theta:Expression Integer,q:Q):Q==cos(theta/2)-%i::Q*q*sin(theta/2)
 --R 
---R   Function declaration rot : (Expression Integer,Quaternion Complex 
---R      Expression Integer) -> Quaternion Complex Expression Integer has 
---R      been added to workspace.
+--R   Function declaration rot : (Expression(Integer),Quaternion(Complex(
+--R      Expression(Integer)))) -> Quaternion(Complex(Expression(Integer))
+--R      ) has been added to workspace.
 --R                                                                   Type: Void
 --E 19
 
@@ -319,17 +321,17 @@ the name to avoid this confusion.
 --S 20 of 43
 ((x:Q)/(y:Q)):Q == x*inv(y)
 --R 
---R   Function declaration ?/? : (Quaternion Complex Expression Integer,
---R      Quaternion Complex Expression Integer) -> Quaternion Complex 
---R      Expression Integer has been added to workspace.
+--R   Function declaration ?/? : (Quaternion(Complex(Expression(Integer)))
+--R      ,Quaternion(Complex(Expression(Integer)))) -> Quaternion(Complex(
+--R      Expression(Integer))) has been added to workspace.
 --R                                                                   Type: Void
 --E 20
 
 --S 21 of 43
 abs(q:Q):C == sqrt((q*conjugate(q))::C)
 --R 
---R   Function declaration abs : Quaternion Complex Expression Integer -> 
---R      Complex Expression Integer has been added to workspace.
+--R   Function declaration abs : Quaternion(Complex(Expression(Integer)))
+--R       -> Complex(Expression(Integer)) has been added to workspace.
 --R                                                                   Type: Void
 --E 21
 
@@ -339,8 +341,8 @@ exp(q:Q):Q == (_
   exp( (q+conjugate(q))::C/2)$C * (sig0*cos(abs(q)) +_
   (q-conjugate(q))/abs(q-conjugate(q))*sin(abs(q))) )
 --R 
---R   Function declaration exp : Quaternion Complex Expression Integer -> 
---R      Quaternion Complex Expression Integer has been added to 
+--R   Function declaration exp : Quaternion(Complex(Expression(Integer)))
+--R       -> Quaternion(Complex(Expression(Integer))) has been added to 
 --R      workspace.
 --R                                                                   Type: Void
 --E 22
@@ -356,15 +358,15 @@ qx:=sig1
 --R 
 --R
 --R   (23)  %i k
---R                                  Type: Quaternion Complex Expression Integer
+--R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 23
 
 --S 24 of 43
 mm:=siglist(rot(2,qx))
 --R 
---R   Compiling function / with type (Quaternion Complex Expression 
---R      Integer,Quaternion Complex Expression Integer) -> Quaternion 
---R      Complex Expression Integer 
+--R   Compiling function / with type (Quaternion(Complex(Expression(
+--R      Integer))),Quaternion(Complex(Expression(Integer)))) -> 
+--R      Quaternion(Complex(Expression(Integer))) 
 --R   There are 2 exposed and 6 unexposed library operations named cos 
 --R      having 1 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
@@ -374,14 +376,14 @@ mm:=siglist(rot(2,qx))
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named cos 
 --R      with argument type(s) 
---R                    Quaternion Complex Expression Integer
+--R                  Quaternion(Complex(Expression(Integer)))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
 --R   AXIOM will attempt to step through and interpret the code.
---R   Compiling function rot with type (Expression Integer,Quaternion 
---R      Complex Expression Integer) -> Quaternion Complex Expression 
---R      Integer 
+--R   Compiling function rot with type (Expression(Integer),Quaternion(
+--R      Complex(Expression(Integer)))) -> Quaternion(Complex(Expression(
+--R      Integer))) 
 --R
 --R   (24)
 --R                2         3                  3          2
@@ -395,7 +397,7 @@ mm:=siglist(rot(2,qx))
 --R                   2          2                        2          2
 --R            2sin(1)  + 2cos(1)                  2sin(1)  + 2cos(1)
 --R    0, 0]
---R                                        Type: List Complex Expression Integer
+--R                                     Type: List(Complex(Expression(Integer)))
 --E 24
 
 --S 25 of 43
@@ -410,15 +412,15 @@ nn:=siglist(exp(-%i::Q*qx))
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named exp 
 --R      with argument type(s) 
---R                    Quaternion Complex Expression Integer
+--R                  Quaternion(Complex(Expression(Integer)))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
 --R   AXIOM will attempt to step through and interpret the code.
---R   Compiling function exp with type Quaternion Complex Expression 
---R      Integer -> Quaternion Complex Expression Integer 
---R   Compiling function abs with type Quaternion Complex Expression 
---R      Integer -> Complex Expression Integer 
+--R   Compiling function exp with type Quaternion(Complex(Expression(
+--R      Integer))) -> Quaternion(Complex(Expression(Integer))) 
+--R   Compiling function abs with type Quaternion(Complex(Expression(
+--R      Integer))) -> Complex(Expression(Integer)) 
 --R
 --R   (25)
 --R                2         3                  3          2
@@ -432,7 +434,7 @@ nn:=siglist(exp(-%i::Q*qx))
 --R                   2          2                        2          2
 --R            2sin(1)  + 2cos(1)                  2sin(1)  + 2cos(1)
 --R    0, 0]
---R                                        Type: List Complex Expression Integer
+--R                                     Type: List(Complex(Expression(Integer)))
 --E 25
 
 --S 26 of 43
@@ -464,7 +466,7 @@ qnv:=q1*sig1+q2*sig2+sqrt(1-q1^2-q2^2)*sig3
 --R            +---------------+
 --R            |    2     2
 --R   (27)  - \|- q2  - q1  + 1 %i i + q2 %i j + q1 %i k
---R                                  Type: Quaternion Complex Expression Integer
+--R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 27
 
 \end{chunk}
@@ -492,7 +494,7 @@ theta:=_\theta
 --R 
 --R
 --R   (28)  \theta
---R                                                        Type: Variable \theta
+--R                                                       Type: Variable(\theta)
 --E 28
 
 --S 29 of 43
@@ -534,7 +536,7 @@ testqeq:=map(simplify,siglist(rot(theta,qnv)-exp((-theta/2)*%i*qnv)))_
 --R    /
 --R       \theta
 --R     ]
---R                                        Type: List Expression Complex Integer
+--R                                     Type: List(Expression(Complex(Integer)))
 --E 29
 
 \end{chunk}
@@ -567,7 +569,7 @@ posthetaRule:=rule sqrt(theta^2)==theta
 --R          +------+
 --R          |     2
 --R   (30)  \|theta   == theta
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 30
 
 \end{chunk}
@@ -584,7 +586,7 @@ map(x+->posthetaRule(x), [0,sqrt(theta^2),0,sqrt(theta^2)])
 --R 
 --R
 --R   (31)  [0,\theta,0,\theta]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 31
 
 \end{chunk}
@@ -604,7 +606,7 @@ posthetaRule testqeq.1
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      posthetaRule with argument type(s) 
---R                         Expression Complex Integer
+--R                        Expression(Complex(Integer))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -621,7 +623,7 @@ we are testing I can successfully get one answer.
 --R 
 --R
 --R   (32)  [0]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 33
 
 \end{chunk}
@@ -633,8 +635,8 @@ But this doesn't extend to the remainder of the list.
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Expression Complex Integer to Expression 
---R      Integer for value
+--R   Cannot convert from type Expression(Complex(Integer)) to Expression(
+--R      Integer) for value
 --R                       +-------+
 --R         +-------+     |      2
 --R         |      2     \|\theta                       \theta
@@ -664,16 +666,16 @@ So let's find out more about this domain:
 --R Issue )edit bookvol10.3.pamphlet to see algebra source code for RULE 
 --R
 --R------------------------------- Operations --------------------------------
---R ?=? : (%,%) -> Boolean                coerce : Equation F -> %
+--R ?=? : (%,%) -> Boolean                coerce : Equation(F) -> %
 --R coerce : % -> OutputForm              elt : (%,F,PositiveInteger) -> F
 --R ?.? : (%,F) -> F                      hash : % -> SingleInteger
 --R latex : % -> String                   lhs : % -> F
---R pattern : % -> Pattern Base           retract : % -> Equation F
---R rhs : % -> F                          rule : (F,F,List Symbol) -> %
+--R pattern : % -> Pattern(Base)          retract : % -> Equation(F)
+--R rhs : % -> F                          rule : (F,F,List(Symbol)) -> %
 --R rule : (F,F) -> %                     ?~=? : (%,%) -> Boolean
---R quotedOperators : % -> List Symbol
---R retractIfCan : % -> Union(Equation F,"failed")
---R suchThat : (%,List Symbol,(List F -> Boolean)) -> %
+--R quotedOperators : % -> List(Symbol)
+--R retractIfCan : % -> Union(Equation(F),"failed")
+--R suchThat : (%,List(Symbol),(List(F) -> Boolean)) -> %
 --R
 --E 35
 
@@ -717,7 +719,7 @@ posxRule:=(rule sqrt('theta^2)==theta)$RewriteRule(Integer,Complex Integer,_
 --R          +------+
 --R          |     2
 --R   (36)  \|theta   == theta
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 39
 
 --S 40 of 43
@@ -725,7 +727,7 @@ map(x+->posxRule x, testqeq)
 --R 
 --R
 --R   (37)  [0,0,0,0]
---R                                        Type: List Expression Complex Integer
+--R                                     Type: List(Expression(Complex(Integer)))
 --E 40
 
 \end{chunk}
@@ -777,7 +779,7 @@ eval(eval(testqeq,theta=sqrt(beta)),sqrt(beta)=theta)
 --R 
 --R
 --R   (40)  [0,0,0,0]
---R                                        Type: List Expression Complex Integer
+--R                                     Type: List(Expression(Complex(Integer)))
 --E 43
 
 )spool 
diff --git a/src/input/bop.input.pamphlet b/src/input/bop.input.pamphlet
index c86a602..0e4aed2 100644
--- a/src/input/bop.input.pamphlet
+++ b/src/input/bop.input.pamphlet
@@ -36,7 +36,7 @@ deq := D(y x, x, 2) + D(y x, x) + y x = 0
 --R         ,,       ,
 --R   (2)  y  (x) + y (x) + y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 2
 
 --S 3 of 17
diff --git a/src/input/branchcut.input.pamphlet b/src/input/branchcut.input.pamphlet
index 31c8ac0..50cb95d 100644
--- a/src/input/branchcut.input.pamphlet
+++ b/src/input/branchcut.input.pamphlet
@@ -51,7 +51,7 @@ t1:=integrate(a/(a*x+b),x=0..1,"noPole")
 --R        log(b  + 2a b + a ) - log(b )
 --R   (1)  -----------------------------
 --R                      2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 1
 
 --S 2 of 5
@@ -63,7 +63,7 @@ t2:=(1/a)*log((a+b)/b)
 --R              b
 --R   (2)  ----------
 --R             a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 5
@@ -75,7 +75,7 @@ complexNormalize t1-t2
 --R                                                   b
 --R   (3)  -----------------------------------------------
 --R                               2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 5
@@ -85,7 +85,7 @@ t3:=log(a+b)/a-log(b)/a
 --R        log(b + a) - log(b)
 --R   (4)  -------------------
 --R                 a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 5
@@ -96,7 +96,7 @@ complexNormalize t1-t3
 --R        a log(b  + 2a b + a ) - a log(b ) - 2log(b + a) + 2log(b)
 --R   (5)  ---------------------------------------------------------
 --R                                    2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 )spool 
diff --git a/src/input/bstree.input.pamphlet b/src/input/bstree.input.pamphlet
index fa10cbe..df39544 100644
--- a/src/input/bstree.input.pamphlet
+++ b/src/input/bstree.input.pamphlet
@@ -26,7 +26,7 @@ lv := [8,3,5,4,6,2,1,5,7]
 --R 
 --R
 --R   (1)  [8,3,5,4,6,2,1,5,7]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 1
 
 --S 2 of 12
@@ -34,7 +34,7 @@ t := binarySearchTree lv
 --R 
 --R
 --R   (2)  [[[1,2,.],3,[4,5,[5,6,7]]],8,.]
---R                                       Type: BinarySearchTree PositiveInteger
+--R                                      Type: BinarySearchTree(PositiveInteger)
 --E 2
 
 --S 3 of 12
@@ -42,7 +42,7 @@ emptybst := empty()$BSTREE(INT)
 --R 
 --R
 --R   (3)  []
---R                                               Type: BinarySearchTree Integer
+--R                                              Type: BinarySearchTree(Integer)
 --E 3
 
 --S 4 of 12
@@ -50,7 +50,7 @@ t1 := insert!(8,emptybst)
 --R 
 --R
 --R   (4)  8
---R                                               Type: BinarySearchTree Integer
+--R                                              Type: BinarySearchTree(Integer)
 --E 4
 
 --S 5 of 12
@@ -58,7 +58,7 @@ insert!(3,t1)
 --R 
 --R
 --R   (5)  [3,8,.]
---R                                               Type: BinarySearchTree Integer
+--R                                              Type: BinarySearchTree(Integer)
 --E 5
 
 --S 6 of 12
@@ -66,7 +66,7 @@ leaves t
 --R 
 --R
 --R   (6)  [1,4,5,7]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 6
 
 --S 7 of 12
@@ -100,13 +100,13 @@ buildFromRoot ls == reduce(insertRoot,ls,emptybst)
 --S 11 of 12
 rt := buildFromRoot reverse lv
 --R 
---R   Compiling function buildFromRoot with type List PositiveInteger -> 
---R      BinarySearchTree Integer 
---R   Compiling function insertRoot with type (Integer,BinarySearchTree 
---R      Integer) -> BinarySearchTree Integer 
+--R   Compiling function buildFromRoot with type List(PositiveInteger) -> 
+--R      BinarySearchTree(Integer) 
+--R   Compiling function insertRoot with type (Integer,BinarySearchTree(
+--R      Integer)) -> BinarySearchTree(Integer) 
 --R
 --R   (11)  [[[1,2,.],3,[4,5,[5,6,7]]],8,.]
---R                                               Type: BinarySearchTree Integer
+--R                                              Type: BinarySearchTree(Integer)
 --E 11
 
 --S 12 of 12
diff --git a/src/input/bug100.input.pamphlet b/src/input/bug100.input.pamphlet
index c6fc0d6..4c01fb6 100644
--- a/src/input/bug100.input.pamphlet
+++ b/src/input/bug100.input.pamphlet
@@ -58,7 +58,7 @@ integrate((z^a+1)^b,z)
 --R         ++     a     b
 --R   (1)   |   (%I  + 1) d%I
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 1
 \end{chunk}
 If we substitute z for %I we get:
diff --git a/src/input/bug101.input.pamphlet b/src/input/bug101.input.pamphlet
index 10f97a9..d7210bb 100644
--- a/src/input/bug101.input.pamphlet
+++ b/src/input/bug101.input.pamphlet
@@ -37,7 +37,7 @@ A more reasonable return value, not supported by Axiom, would be:
 laplace(log(z),z,w)
 --R
 --R   (1)  laplace(log(z),z,w)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 2
@@ -46,7 +46,7 @@ laplace(log(z),w,z)
 --R        log(z)
 --R   (2)  ------
 --R           z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 \end{chunk}
 \begin{chunk}{*}
diff --git a/src/input/bug103.input.pamphlet b/src/input/bug103.input.pamphlet
index 6479735..8f0e298 100644
--- a/src/input/bug103.input.pamphlet
+++ b/src/input/bug103.input.pamphlet
@@ -60,7 +60,7 @@ solve(z=z,z)
 --R 
 --R
 --R   (1)  [0= 0]
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 1
 \end{chunk}
 If we substitute z for %I we get:
diff --git a/src/input/bug10312.input.pamphlet b/src/input/bug10312.input.pamphlet
index 886463c..a0b642b 100644
--- a/src/input/bug10312.input.pamphlet
+++ b/src/input/bug10312.input.pamphlet
@@ -28,7 +28,7 @@ p:=(1/2+n)::UTS(FRAC INT, 'n, 0)
 --R        1
 --R   (1)  - + n
 --R        2
---R                           Type: UnivariateTaylorSeries(Fraction Integer,n,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),n,0)
 --E 1
 
 --S 2 of 2
@@ -42,7 +42,7 @@ p:=(1/2+n)::UTS(FRAC INT, 'n, 0)
 --R   + 
 --R          10      11
 --R     2048n   + O(n  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,n,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),n,0)
 --E 2
 )spool
 )lisp (bye)
diff --git a/src/input/bug6357.input.pamphlet b/src/input/bug6357.input.pamphlet
index 8850d8d..7705a02 100644
--- a/src/input/bug6357.input.pamphlet
+++ b/src/input/bug6357.input.pamphlet
@@ -47,7 +47,7 @@ sqrt(-1/abs(x))-1/sqrt(-abs(x))
 --R   (2)  --------------------------
 --R                 +--------+
 --R                \|- abs(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 )spool
 )lisp (bye)
diff --git a/src/input/bug9057.input.pamphlet b/src/input/bug9057.input.pamphlet
index 6d2707d..de033b2 100644
--- a/src/input/bug9057.input.pamphlet
+++ b/src/input/bug9057.input.pamphlet
@@ -38,11 +38,11 @@ f==n+->sum(g(j),j=1..n)
 --S 3 of 9
 f(1)
 --R 
---R   Compiling function f with type PositiveInteger -> Expression Integer
---R      
+--R   Compiling function f with type PositiveInteger -> Expression(Integer
+--R      ) 
 --R
 --R   (3)  g(1)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 9
@@ -56,11 +56,11 @@ f==n+->product(sum(1/i,i=1..j),j=1..n)
 --S 5 of 9
 f(1)
 --R 
---R   Compiling function f with type PositiveInteger -> Expression Integer
---R      
+--R   Compiling function f with type PositiveInteger -> Expression(Integer
+--R      ) 
 --R
 --R   (5)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 9
@@ -74,11 +74,11 @@ f==n+->product(product(1/i,i=1..j),j=1..n)
 --S 7 of 9
 f(1)
 --R 
---R   Compiling function f with type PositiveInteger -> Expression Integer
---R      
+--R   Compiling function f with type PositiveInteger -> Expression(Integer
+--R      ) 
 --R
 --R   (7)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 9
@@ -101,15 +101,15 @@ f(1)
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named sum 
 --R      with argument type(s) 
---R            Union(Fraction Polynomial Integer,Expression Integer)
---R                       SegmentBinding PositiveInteger
+--R          Union(Fraction(Polynomial(Integer)),Expression(Integer))
+--R                       SegmentBinding(PositiveInteger)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
 --R   AXIOM will attempt to step through and interpret the code.
 --R
 --R   (9)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 )spool
 )lisp (bye)
diff --git a/src/input/bugs.input.pamphlet b/src/input/bugs.input.pamphlet
index 37030c0..68628be 100644
--- a/src/input/bugs.input.pamphlet
+++ b/src/input/bugs.input.pamphlet
@@ -34,7 +34,7 @@ eq1:= A*x**2 + B*x*y + C*y**2 +D*x + E*y + F
 --R
 --R           2                   2
 --R   (1)  C y  + (B x + E)y + A x  + D x + F
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 44 
@@ -50,7 +50,7 @@ eq2:= eval(eq1,[x= xdot*cos(t) - ydot*sin(t), y=xdot*sin(t) + ydot*cos(t)])
 --R   + 
 --R            2                       2       2
 --R     (C ydot  + B xdot ydot + A xdot )cos(t)  + (E ydot + D xdot)cos(t) + F
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 -- UTS coercions.  Fixed by SCM, verified on 10/30/90
@@ -69,7 +69,7 @@ taylor exp x
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 3
 
 --S 4 of 44 
@@ -84,7 +84,7 @@ s := %
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 4
 
 --S 5 of 44 
@@ -106,7 +106,7 @@ s::(UTS(EXPR FLOAT, x, 0))
 --R   + 
 --R                                   10      11
 --R     0.2755731922 3985890653 E -6 x   + O(x  )
---R                         Type: UnivariateTaylorSeries(Expression Float,x,0.0)
+--R                        Type: UnivariateTaylorSeries(Expression(Float),x,0.0)
 --E 5
 
 --S 6 of 44 
@@ -138,7 +138,7 @@ eval(s,1)
 --R             5 8 65 163 1957 685 109601 98641
 --R   (5)  [1,2,-,-,--,---,----,---,------,-----,...]
 --R             2 3 24  60  720 252  40320 36288
---R                                              Type: Stream Expression Integer
+--R                                            Type: Stream(Expression(Integer))
 --E 7
 
 --S 8 of 44 
@@ -149,7 +149,7 @@ eval(s,1)
 --R   [1.0, 2.0, 2.5, 2.6666666666 666666667, 2.7083333333 333333333,
 --R    2.7166666666 666666667, 2.7180555555 555555556, 2.7182539682 53968254,
 --R    2.7182787698 412698413, 2.7182815255 731922399, ...]
---R                                                           Type: Stream Float
+--R                                                          Type: Stream(Float)
 --E 8
 
 -- overloading interpreter maps on arity
@@ -199,11 +199,11 @@ f(5)
 --S 14 of 44 
 f(1,x)
 --R 
---R   Compiling function f with type (PositiveInteger,Variable x) -> 
---R      Polynomial Integer 
+--R   Compiling function f with type (PositiveInteger,Variable(x)) -> 
+--R      Polynomial(Integer) 
 --R
 --R   (6)  x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 14
 
 -- targetted function requiring a coercion
@@ -219,7 +219,7 @@ series(n +-> bernoulli(n)/factorial(n), t=0)
 --R       1      1  2    1   4     1    6      1     8       1     10      11
 --R   1 - - t + -- t  - --- t  + ----- t  - ------- t  + -------- t   + O(t  )
 --R       2     12      720      30240      1209600      47900160
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,t,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),t,0)
 --E 15
 
 -- in-homogeneous list mapping
@@ -232,7 +232,7 @@ l := [1,2,-1]
 --R 
 --R
 --R   (1)  [1,2,- 1]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 16
 
 --S 17 of 44 
@@ -250,10 +250,10 @@ f x == x
 --S 19 of 44 
 map(f, l)
 --R 
---R   Compiling function f with type Integer -> Fraction Integer 
+--R   Compiling function f with type Integer -> Fraction(Integer) 
 --R
 --R   (4)  [1,2,- 1]
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 19
 
 -- Function args to interpreter functions
@@ -300,7 +300,7 @@ groebner [x**2 - y, y**3+1]
 --R
 --R              2  6
 --R   (1)  [y - x ,x  + 1]
---R                                                Type: List Polynomial Integer
+--R                                              Type: List(Polynomial(Integer))
 --E 24
 
 -- operations requiring polynomials, passed variables
@@ -313,7 +313,7 @@ factor x
 --R 
 --R
 --R   (1)  x
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 25
 
 -- bracket parsing and empty-set types
@@ -326,7 +326,7 @@ factor x
 --R 
 --R 
 --RDaly Bug
---R   The function SEQ is not implemented in List Integer .
+--R   The function SEQ is not implemented in List(Integer) .
 --E 26
 
 --S 27 of 44 
@@ -347,7 +347,7 @@ map(variable, [x,y])
 --R 
 --R
 --R   (1)  [x,y]
---R                         Type: List Union(OrderedVariableList [x,y],"failed")
+--R                       Type: List(Union(OrderedVariableList([x,y]),"failed"))
 --E 28
 
 -- Recursive map type analysis bug
@@ -371,17 +371,17 @@ pp(n,x) == if n=0 then 1 else if n<0 then (-1)**n/p(-n,1-x) else p(n,x)
 --S 31 of 44 
 pp(-1,x) -- should be 1/(x-1)
 --R 
---R   Compiling function p with type (Integer,Polynomial Integer) -> 
---R      Polynomial Integer 
---R   Compiling function p with type (Integer,Variable x) -> Polynomial 
---R      Integer 
---R   Compiling function pp with type (Integer,Variable x) -> Fraction 
---R      Polynomial Fraction Integer 
+--R   Compiling function p with type (Integer,Polynomial(Integer)) -> 
+--R      Polynomial(Integer) 
+--R   Compiling function p with type (Integer,Variable(x)) -> Polynomial(
+--R      Integer) 
+--R   Compiling function pp with type (Integer,Variable(x)) -> Fraction(
+--R      Polynomial(Fraction(Integer))) 
 --R
 --R          1
 --R   (3)  -----
 --R        x - 1
---R                                   Type: Fraction Polynomial Fraction Integer
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
 --E 31
 
 -- interpret-code mode for iterators is broken
@@ -473,23 +473,23 @@ mp(x,l) ==
 --S 37 of 44 
 mp(x, [1,3,4, 2])
 --R 
---R   Compiling function mp with type (Variable x,List PositiveInteger)
---R       -> Polynomial Integer 
+--R   Compiling function mp with type (Variable(x),List(PositiveInteger))
+--R       -> Polynomial(Integer) 
 --R
 --R         3     2
 --R   (2)  x  + 3x  + 4x + 2
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 37
 
 --S 38 of 44 
 mp(x, [1,2,-3, 4])
 --R 
---R   Compiling function mp with type (Variable x,List Integer) -> 
---R      Polynomial Integer 
+--R   Compiling function mp with type (Variable(x),List(Integer)) -> 
+--R      Polynomial(Integer) 
 --R
 --R         3     2
 --R   (3)  x  + 2x  - 3x + 4
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 38
 
 -- Tests compilation of recursive functions
@@ -547,7 +547,7 @@ f5 n == if n=0 or n=1 then 1 else f5(n-1)+f5(n-2)
 --R   Compiling function f5 with type Integer -> PositiveInteger 
 --R
 --R   (6)  [3,3,3,3,3]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 44
 )spool
 )lisp (bye)
diff --git a/src/input/calcprob.input.pamphlet b/src/input/calcprob.input.pamphlet
index e5eeaa6..ba6d6d5 100644
--- a/src/input/calcprob.input.pamphlet
+++ b/src/input/calcprob.input.pamphlet
@@ -22,7 +22,7 @@ Cover a range of calculus problems
 solve(3*x-(x-7)=4*x-5,x)
 --R
 --R   (1)  [x= 6]
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 1
 
 --S 2 of 12
@@ -31,7 +31,7 @@ solve(4*x-3*y=9,y)::List Equation Polynomial Fraction Integer
 --R            4
 --R   (2)  [y= - x - 3]
 --R            3
---R                              Type: List Equation Polynomial Fraction Integer
+--R                          Type: List(Equation(Polynomial(Fraction(Integer))))
 --E 2
 
 --S 3 of 12
@@ -40,7 +40,7 @@ solve(A*x+B*y=C,y)
 --R            - A x + C
 --R   (3)  [y= ---------]
 --R                B
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 3
 
 --S 4 of 12
@@ -49,7 +49,7 @@ m:=3*x-4*(x-(2/3)*y)=(4/5)*x-(7*y+3)
 --R        8               4
 --R   (4)  - y - x= - 7y + - x - 3
 --R        3               5
---R                                   Type: Equation Polynomial Fraction Integer
+--R                                Type: Equation(Polynomial(Fraction(Integer)))
 --E 4
 
 --S 5 of 12
@@ -58,14 +58,14 @@ n:=solve(m*15,y)
 --R            27x - 45
 --R   (5)  [y= --------]
 --R               145
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 5
 
 --S 6 of 12
 p:=n.1*145-27*x
 --R
 --R   (6)  145y - 27x= - 45
---R                                   Type: Equation Fraction Polynomial Integer
+--R                                Type: Equation(Fraction(Polynomial(Integer)))
 --E 6
 
 --S 7 of 12
@@ -88,14 +88,14 @@ m:=(y2-y1)/(x2-x1)
 --R          10
 --R   (9)  - --
 --R           3
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 9
 
 --S 10 of 12
 solve(y1=m*x1+b,b)
 --R
 --R   (10)  [b= - 18]
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 10
 
 --S 11 of 12
@@ -111,7 +111,7 @@ y=m*x+b
 --R              10
 --R   (12)  y= - -- x - 18
 --R               3
---R                                   Type: Equation Polynomial Fraction Integer
+--R                                Type: Equation(Polynomial(Fraction(Integer)))
 --E 12
 )spool 
 )lisp (bye)
diff --git a/src/input/calculus.input.pamphlet b/src/input/calculus.input.pamphlet
index 50b5237..13cf593 100644
--- a/src/input/calculus.input.pamphlet
+++ b/src/input/calculus.input.pamphlet
@@ -28,7 +28,7 @@ differentiate(f, x)
 --R 
 --R
 --R   (1)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 24
@@ -61,7 +61,7 @@ a := f(x z, y z, z**2) + x y(z+1)
 --R
 --R                                   2
 --R   (5)  x(y(z + 1)) + f(x(z),y(z),z )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 24
@@ -76,7 +76,7 @@ dadz := differentiate(a, z)
 --R      ,           ,
 --R     x (y(z + 1))y (z + 1)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 24
@@ -93,7 +93,7 @@ eval(eval(dadz, 'x, z +-> exp z), 'y, z +-> log(z+1))
 --R                  ,1
 --R  /
 --R     z + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 24
@@ -102,7 +102,7 @@ eval(eval(a, 'x, z +-> exp z), 'y, z +-> log(z+1))
 --R
 --R            z             2
 --R   (8)  f(%e ,log(z + 1),z ) + z + 2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 24
@@ -119,7 +119,7 @@ differentiate(%, z)
 --R                  ,1
 --R  /
 --R     z + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 -- Input for page LaplacePage
@@ -130,7 +130,7 @@ sin(a*t) * cosh(a*t) - cos(a*t) * sinh(a*t)
 --R 
 --R
 --R   (1)  - cos(a t)sinh(a t) + cosh(a t)sin(a t)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 24
@@ -142,7 +142,7 @@ laplace(%, t, s)
 --R   (2)  --------
 --R         4     4
 --R        s  + 4a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 24
@@ -150,7 +150,7 @@ laplace((exp(a*t) - exp(b*t))/t, t, s)
 --R 
 --R
 --R   (3)  - log(s - a) + log(s - b)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 24
@@ -159,7 +159,7 @@ laplace(2/t * (1 - cos(a*t)), t, s)
 --R
 --R             2    2
 --R   (4)  log(s  + a ) - 2log(s)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 24
@@ -170,7 +170,7 @@ laplace(exp(-a*t) * sin(b*t) / b**2, t, s)
 --R   (5)  ------------------------
 --R           2             3    2
 --R        b s  + 2a b s + b  + a b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 24
@@ -181,7 +181,7 @@ laplace((cos(a*t) - cos(b*t))/t, t, s)
 --R        log(s  + b ) - log(s  + a )
 --R   (6)  ---------------------------
 --R                     2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 24
@@ -193,7 +193,7 @@ laplace(exp(a*t+b)*Ei(c*t), t, s)
 --R                   c
 --R   (7)  -----------------
 --R              s - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 24
@@ -207,7 +207,7 @@ laplace(a*Ci(b*t) + c*Si(d*t), t, s)
 --R                 b
 --R   (8)  ---------------------------
 --R                     2s
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 24
@@ -220,7 +220,7 @@ laplace(sin(a*t) - a*t*cos(a*t) + exp(t**2), t, s)
 --R   (9)  ----------------------------------------
 --R                      4     2 2    4
 --R                     s  + 2a s  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 -- Input for page DerivativePage
@@ -233,7 +233,7 @@ f := exp exp x
 --R            x
 --R          %e
 --R   (1)  %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 24
@@ -243,7 +243,7 @@ differentiate(f, x)
 --R               x
 --R          x  %e
 --R   (2)  %e %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 --S 21 of 24
@@ -253,7 +253,7 @@ differentiate(f, x, 4)
 --R                                              x
 --R            x 4       x 3       x 2     x   %e
 --R   (3)  ((%e )  + 6(%e )  + 7(%e )  + %e )%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 --S 22 of 24
@@ -262,7 +262,7 @@ g := sin(x**2 + y)
 --R
 --R                 2
 --R   (4)  sin(y + x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 
 --S 23 of 24
@@ -271,7 +271,7 @@ differentiate(g, y)
 --R
 --R                 2
 --R   (5)  cos(y + x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 
 --S 24 of 24
@@ -280,7 +280,7 @@ differentiate(g, [y, y, x, x])
 --R
 --R          2         2              2
 --R   (6)  4x sin(y + x ) - 2cos(y + x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 24
  
 )spool
diff --git a/src/input/calculus2.input.pamphlet b/src/input/calculus2.input.pamphlet
index 9a522be..bc5d87d 100644
--- a/src/input/calculus2.input.pamphlet
+++ b/src/input/calculus2.input.pamphlet
@@ -28,7 +28,7 @@ differentiate(f, x)
 --R 
 --R
 --R   (1)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 112
@@ -61,7 +61,7 @@ a := f(x z, y z, z**2) + x y(z+1)
 --R
 --R                                   2
 --R   (5)  x(y(z + 1)) + f(x(z),y(z),z )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 112
@@ -76,7 +76,7 @@ dadz := differentiate(a, z)
 --R      ,           ,
 --R     x (y(z + 1))y (z + 1)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 112
@@ -93,7 +93,7 @@ eval(eval(dadz, 'x, z +-> exp z), 'y, z +-> log(z+1))
 --R                  ,1
 --R  /
 --R     z + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 112
@@ -102,7 +102,7 @@ eval(eval(a, 'x, z +-> exp z), 'y, z +-> log(z+1))
 --R
 --R            z             2
 --R   (8)  f(%e ,log(z + 1),z ) + z + 2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 112
@@ -119,7 +119,7 @@ differentiate(%, z)
 --R                  ,1
 --R  /
 --R     z + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 -- Input for page SeriesArithmeticPage
@@ -130,7 +130,7 @@ x := series x
 --R 
 --R
 --R   (1)  x
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 10
 
 --S 11 of 112
@@ -138,7 +138,7 @@ num := 3 + x
 --R 
 --R
 --R   (2)  3 + x
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 11
 
 --S 12 of 112
@@ -146,7 +146,7 @@ den := 1 + 7 * x
 --R 
 --R
 --R   (3)  1 + 7x
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 12
 
 --S 13 of 112
@@ -159,7 +159,7 @@ num / den
 --R   + 
 --R              8             9             10      11
 --R     16470860x  - 115296020x  + 807072140x   + O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 13
 
 --S 14 of 112
@@ -168,7 +168,7 @@ base := 1 / (1 - x)
 --R
 --R                 2    3    4    5    6    7    8    9    10      11
 --R   (5)  1 + x + x  + x  + x  + x  + x  + x  + x  + x  + x   + O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 14
 
 --S 15 of 112
@@ -177,7 +177,7 @@ expon := x * base
 --R
 --R             2    3    4    5    6    7    8    9    10    11      12
 --R   (6)  x + x  + x  + x  + x  + x  + x  + x  + x  + x   + x   + O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 15
 
 --S 16 of 112
@@ -192,7 +192,7 @@ base ** expon
 --R     245339  10      11
 --R     ------ x   + O(x  )
 --R      10080
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 16
 
 -- Input for page SeriesConversionPage
@@ -203,7 +203,7 @@ f := sin(a*x)
 --R 
 --R
 --R   (1)  sin(a x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 112
@@ -214,7 +214,7 @@ series(f,x = 0)
 --R              a   3    a   5    a    7     a     9      a      11      12
 --R   (2)  a x - -- x  + --- x  - ---- x  + ------ x  - -------- x   + O(x  )
 --R               6      120      5040      362880      39916800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 18
 
 --S 19 of 112
@@ -225,7 +225,7 @@ g := y / (exp(y) - 1)
 --R   (3)  -------
 --R          y
 --R        %e  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 112
@@ -236,7 +236,7 @@ series(g)
 --R       1      1  2    1   4     1    6      1     8       1     10      11
 --R   1 - - y + -- y  - --- y  + ----- y  - ------- y  + -------- y   + O(y  )
 --R       2     12      720      30240      1209600      47900160
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,y,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),y,0)
 --E 20
 
 --S 21 of 112
@@ -244,7 +244,7 @@ h := sin(3*x)
 --R 
 --R
 --R   (5)  sin(3x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 --S 22 of 112
@@ -267,7 +267,7 @@ series(h,x,x = %pi/12)
 --R                 %pi 11          %pi 12
 --R     sin(33)(x - ---)   + O((x - ---)  )
 --R                  12              12
---R                    Type: UnivariatePuiseuxSeries(Expression Integer,x,pi/12)
+--R                  Type: UnivariatePuiseuxSeries(Expression(Integer),x,%pi/12)
 --E 22
 
 --S 23 of 112
@@ -279,7 +279,7 @@ series(sqrt(tan(a*x)),x = 0)
 --R         +-+ 2   a \|a   2   19a \|a   2      6
 --R   (7)  \|a x  + ------ x  + -------- x  + O(x )
 --R                    6           360
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 23
 
 --S 24 of 112
@@ -294,7 +294,7 @@ series(sec(x) ** 2,x = %pi/2)
 --R       2        %pi 8          %pi 9
 --R     ----- (x - ---)  + O((x - ---) )
 --R     10395       2              2
---R                     Type: UnivariatePuiseuxSeries(Expression Integer,x,pi/2)
+--R                   Type: UnivariatePuiseuxSeries(Expression(Integer),x,%pi/2)
 --E 24
 
 --S 25 of 112
@@ -306,7 +306,7 @@ bern := t * exp(t*x) / (exp(t) - 1)
 --R   (9)  -------
 --R          t
 --R        %e  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 25
 
 --S 26 of 112
@@ -343,7 +343,7 @@ series(bern,t = 0)
 --R     66x   - 330x  + 495x  - 462x  + 330x  - 99x  + 5  10      11
 --R     ------------------------------------------------ t   + O(t  )
 --R                         239500800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,t,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),t,0)
 --E 26
 
 -- Input for page SeriesDifferentialEquationPage
@@ -367,15 +367,15 @@ eq := differentiate(y(x), x, 3) - sin(differentiate(y(x), x, 2))_
 --R         ,,,        y(x)     ,,
 --R   (2)  y   (x) - %e    sin(y  (x))= cos(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 28
 
 --S 29 of 112
 seriesSolve(eq, y, x = 0, [1, 0, 0])
 --R 
---I   Compiling function %B with type List UnivariateTaylorSeries(
---R      Expression Integer,x,0) -> UnivariateTaylorSeries(Expression 
---R      Integer,x,0) 
+--I   Compiling function %B with type List(UnivariateTaylorSeries(
+--R      Expression(Integer),x,0)) -> UnivariateTaylorSeries(Expression(
+--R      Integer),x,0) 
 --R
 --R   (3)
 --R                          2            3              4      2
@@ -385,7 +385,7 @@ seriesSolve(eq, y, x = 0, [1, 0, 0])
 --R   + 
 --R        8
 --R     O(x )
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 29
 
 --S 30 of 112
@@ -404,7 +404,7 @@ eq1 := differentiate(x(t), t) = 1 + x(t)**2
 --R         ,         2
 --R   (5)  x (t)= x(t)  + 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 31
 
 --S 32 of 112
@@ -414,23 +414,23 @@ eq2 := differentiate(y(t), t) = x(t) * y(t)
 --R         ,
 --R   (6)  y (t)= x(t)y(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 32
 
 --S 33 of 112
 seriesSolve([eq2, eq1], [x, y], t = 0, [y(0) = 1, x(0) = 0])
 --R 
---I   Compiling function %D with type List UnivariateTaylorSeries(
---R      Expression Integer,t,0) -> UnivariateTaylorSeries(Expression 
---R      Integer,t,0) 
---I   Compiling function %E with type List UnivariateTaylorSeries(
---R      Expression Integer,t,0) -> UnivariateTaylorSeries(Expression 
---R      Integer,t,0) 
+--I   Compiling function %D with type List(UnivariateTaylorSeries(
+--R      Expression(Integer),t,0)) -> UnivariateTaylorSeries(Expression(
+--R      Integer),t,0) 
+--I   Compiling function %E with type List(UnivariateTaylorSeries(
+--R      Expression(Integer),t,0)) -> UnivariateTaylorSeries(Expression(
+--R      Integer),t,0) 
 --R
 --R             1  3    2  5    17  7      8      1  2    5  4    61  6      8
 --R   (7)  [t + - t  + -- t  + --- t  + O(t ),1 + - t  + -- t  + --- t  + O(t )]
 --R             3      15      315                2      24      720
---R                    Type: List UnivariateTaylorSeries(Expression Integer,t,0)
+--R                  Type: List(UnivariateTaylorSeries(Expression(Integer),t,0))
 --E 33
 
 -- Input for page LaplacePage
@@ -441,7 +441,7 @@ sin(a*t) * cosh(a*t) - cos(a*t) * sinh(a*t)
 --R 
 --R
 --R   (1)  - cos(a t)sinh(a t) + cosh(a t)sin(a t)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 34
 
 --S 35 of 112
@@ -453,7 +453,7 @@ laplace(%, t, s)
 --R   (2)  --------
 --R         4     4
 --R        s  + 4a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 35
 
 --S 36 of 112
@@ -461,7 +461,7 @@ laplace((exp(a*t) - exp(b*t))/t, t, s)
 --R 
 --R
 --R   (3)  - log(s - a) + log(s - b)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 36
 
 --S 37 of 112
@@ -470,7 +470,7 @@ laplace(2/t * (1 - cos(a*t)), t, s)
 --R
 --R             2    2
 --R   (4)  log(s  + a ) - 2log(s)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 37
 
 --S 38 of 112
@@ -481,7 +481,7 @@ laplace(exp(-a*t) * sin(b*t) / b**2, t, s)
 --R   (5)  ------------------------
 --R           2             3    2
 --R        b s  + 2a b s + b  + a b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 38
 
 --S 39 of 112
@@ -492,7 +492,7 @@ laplace((cos(a*t) - cos(b*t))/t, t, s)
 --R        log(s  + b ) - log(s  + a )
 --R   (6)  ---------------------------
 --R                     2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 39
 
 --S 40 of 112
@@ -503,7 +503,7 @@ laplace(exp(a*t+b)*Ei(c*t), t, s)
 --R                   c
 --R   (7)  -----------------
 --R              s - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 40
 
 --S 41 of 112
@@ -516,7 +516,7 @@ laplace(a*Ci(b*t) + c*Si(d*t), t, s)
 --R                 b
 --R   (8)  ---------------------------
 --R                     2s
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 41
 
 --S 42 of 112
@@ -529,7 +529,7 @@ laplace(sin(a*t) - a*t*cos(a*t) + exp(t**2), t, s)
 --R   (9)  ----------------------------------------
 --R                      4     2 2    4
 --R                     s  + 2a s  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 42
 
 -- Input for page SeriesCoefficientPage
@@ -540,7 +540,7 @@ x := series(x)
 --R 
 --R
 --R   (1)  x
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 43
 
 --S 44 of 112
@@ -550,7 +550,7 @@ y := exp(x) * sin(x)
 --R             2   1  3    1  5    1  6    1   7      9
 --R   (2)  x + x  + - x  - -- x  - -- x  - --- x  + O(x )
 --R                 3      30      90      630
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 44
 
 --S 45 of 112
@@ -560,7 +560,7 @@ coefficient(y,6)
 --R           1
 --R   (3)  - --
 --R          90
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 45
 
 --S 46 of 112
@@ -570,7 +570,7 @@ coefficient(y,15)
 --R               1
 --R   (4)  - -----------
 --R          10216206000
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 --S 47 of 112
@@ -585,7 +585,7 @@ y
 --R        1     11       1     13       1      14        1       15      16
 --R     ------- x   - -------- x   - --------- x   - ----------- x   + O(x  )
 --R     1247400       97297200       681080400       10216206000
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 47
 
 -- Input for page SymbolicIntegrationPage
@@ -600,7 +600,7 @@ f := (x**2+2*x+1) / (x**6+6*x**5+15*x**4+20*x**3+15*x**2+6*x+2)
 --R   (1)  --------------------------------------
 --R         6     5      4      3      2
 --R        x  + 6x  + 15x  + 20x  + 15x  + 6x + 2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 48
 
 --S 49 of 112
@@ -611,7 +611,7 @@ integrate(f, x)
 --R        atan(x  + 3x  + 3x + 1)
 --R   (2)  -----------------------
 --R                   3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 49
 
 --S 50 of 112
@@ -622,7 +622,7 @@ g := log(1 + sqrt(a * x + b)) / x
 --R        log(\|a x + b  + 1)
 --R   (3)  -------------------
 --R                 x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 50
 
 --S 51 of 112
@@ -633,7 +633,7 @@ integrate(g, x)
 --I         ++  log(\|b + %G a  + 1)
 --I   (4)   |   -------------------- d%G
 --I        ++            %G
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 51
 
 --S 52 of 112
@@ -648,7 +648,7 @@ integrate(1/(x**2 - 2),x)
 --R   (5)  ----------------------
 --R                   +-+
 --R                 2\|2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 52
 
 --S 53 of 112
@@ -662,7 +662,7 @@ integrate(1/(x**2 + 2),x)
 --R   (6)  -----------
 --R             +-+
 --R            \|2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 53
 
 --S 54 of 112
@@ -674,7 +674,7 @@ h := x**2 / (x**4 - a**2)
 --R   (7)  -------
 --R         4    2
 --R        x  - a
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 54
 
 --S 55 of 112
@@ -698,7 +698,7 @@ integrate(h, x)
 --R    -------------------------------------------]
 --R                        +---+
 --R                      4\|- a
---R                                     Type: Union(List Expression Integer,...)
+--R                                   Type: Union(List(Expression(Integer)),...)
 --E 55
 
 --S 56 of 112
@@ -717,7 +717,7 @@ complexIntegrate(h, x)
 --R         \|  4a         \|  4a         \|4a         \|4a
 --R  /
 --R     2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 56
 
 --S 57 of 112
@@ -741,7 +741,7 @@ expandLog %
 --R                 \|  4a
 --R  /
 --R     2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 57
 
 --S 58 of 112
@@ -763,7 +763,7 @@ rootSimp %
 --R  /
 --R       +---+ +-+
 --R     4\|- a \|a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 58
 
 --S 59 of 112
@@ -778,7 +778,7 @@ ratForm %
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      ratForm with argument type(s) 
---R                             Expression Integer
+--R                             Expression(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -794,7 +794,7 @@ f := exp exp x
 --R            x
 --R          %e
 --R   (1)  %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 60
 
 --S 61 of 112
@@ -804,7 +804,7 @@ differentiate(f, x)
 --R               x
 --R          x  %e
 --R   (2)  %e %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 61
 
 --S 62 of 112
@@ -814,7 +814,7 @@ differentiate(f, x, 4)
 --R                                              x
 --R            x 4       x 3       x 2     x   %e
 --R   (3)  ((%e )  + 6(%e )  + 7(%e )  + %e )%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 62
 
 --S 63 of 112
@@ -823,7 +823,7 @@ g := sin(x**2 + y)
 --R
 --R                 2
 --R   (4)  sin(y + x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 63
 
 --S 64 of 112
@@ -832,7 +832,7 @@ differentiate(g, y)
 --R
 --R                 2
 --R   (5)  cos(y + x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 64
 
 --S 65 of 112
@@ -841,7 +841,7 @@ differentiate(g, [y, y, x, x])
 --R
 --R          2         2              2
 --R   (6)  4x sin(y + x ) - 2cos(y + x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 65
 
 -- Input for page SeriesFormulaPage
@@ -854,7 +854,7 @@ taylor(n +-> 1/factorial(n),x = 0)
 --R                1  2   1  3    1  4    1   5    1   6     1   7      8
 --R   (1)  1 + x + - x  + - x  + -- x  + --- x  + --- x  + ---- x  + O(x )
 --R                2      6      24      120      720      5040
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 66
 
 --S 67 of 112
@@ -869,7 +869,7 @@ taylor(n +-> (-1)**(n-1)/n,x = 1,1..)
 --R     1        7            8
 --R     - (x - 1)  + O((x - 1) )
 --R     7
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,1)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,1)
 --E 67
 
 --S 68 of 112
@@ -884,7 +884,7 @@ taylor(n +-> (-1)**(n-1)/n,x = 1,1..7)
 --R     1        7
 --R     - (x - 1)
 --R     7
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,1)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,1)
 --E 68
 
 --S 69 of 112
@@ -899,7 +899,7 @@ laurent(n +-> (-1)**(n-1)/(n + 2),x = 1,-1..)
 --R     1        5   1        6            7
 --R     - (x - 1)  - - (x - 1)  + O((x - 1) )
 --R     7            8
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,1)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,1)
 --E 69
 
 --S 70 of 112
@@ -909,7 +909,7 @@ puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..,2)
 --R            1  3    1   5     1   7      9
 --R   (5)  x - - x  + --- x  - ---- x  + O(x )
 --R            6      120      5040
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 70
 
 --S 71 of 112
@@ -921,7 +921,7 @@ puiseux(j +-> j**2,x = 8,-4/3..,1/2)
 --R        16          3   25          6   1          3            0
 --R   (6)  -- (x - 8)    + -- (x - 8)    + - (x - 8)    + O((x - 8) )
 --R         9              36              9
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,8)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,8)
 --E 71
 
 --S 72 of 112
@@ -931,7 +931,7 @@ series(n +-> 1/factorial(n),x = 0)
 --R                1  2   1  3    1  4    1   5    1   6     1   7      8
 --R   (7)  1 + x + - x  + - x  + -- x  + --- x  + --- x  + ---- x  + O(x )
 --R                2      6      24      120      720      5040
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 72
 
 --S 73 of 112
@@ -946,7 +946,7 @@ series(n +-> (-1)**(n - 1)/(n + 2),x = 1,-1..)
 --R     1        5   1        6            7
 --R     - (x - 1)  - - (x - 1)  + O((x - 1) )
 --R     7            8
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,1)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,1)
 --E 73
 
 --S 74 of 112
@@ -956,7 +956,7 @@ series(i +-> (-1)**((i - 1)/2)/factorial(i),x = 0,1..,2)
 --R            1  3    1   5     1   7      9
 --R   (9)  x - - x  + --- x  - ---- x  + O(x )
 --R            6      120      5040
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 74
 
 -- Input for page SeriesCreationPage
@@ -967,7 +967,7 @@ x := series x
 --R 
 --R
 --R   (1)  x
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 75
 
 --S 76 of 112
@@ -976,7 +976,7 @@ x := series x
 --R
 --R                  2     3     4     5      6      7      8
 --R   (2)  1 + x + 2x  + 3x  + 5x  + 8x  + 13x  + 21x  + O(x )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 76
 
 --S 77 of 112
@@ -986,7 +986,7 @@ sin(x)
 --R            1  3    1   5     1   7      9
 --R   (3)  x - - x  + --- x  - ---- x  + O(x )
 --R            6      120      5040
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 77
 
 --S 78 of 112
@@ -1001,7 +1001,7 @@ sin(1 + x)
 --R       sin(1)  6   cos(1)  7      8
 --R     - ------ x  - ------ x  + O(x )
 --R         720        5040
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 78
 
 --S 79 of 112
@@ -1012,7 +1012,7 @@ sin(a * x)
 --R              a   3    a   5    a    7      9
 --R   (5)  a x - -- x  + --- x  - ---- x  + O(x )
 --R               6      120      5040
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 79
 
 --S 80 of 112
@@ -1027,7 +1027,7 @@ series(1/log(y),y = 1)
 --R        863         5    275         6            7
 --R     - ----- (y - 1)  + ----- (y - 1)  + O((y - 1) )
 --R       60480            24192
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,y,1)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),y,1)
 --E 80
 
 --S 81 of 112
@@ -1053,7 +1053,7 @@ series(1/factorial(n),n,w = 0)
 --R                1  2   1  3    1  4    1   5    1   6     1   7      8
 --R   (8)  1 + w + - w  + - w  + -- w  + --- w  + --- w  + ---- w  + O(w )
 --R                2      6      24      120      720      5040
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,w,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),w,0)
 --E 82
 
 -- Input for page SeriesFunctionPage
@@ -1064,7 +1064,7 @@ x := series x
 --R 
 --R
 --R   (1)  x
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 83
 
 --S 84 of 112
@@ -1074,7 +1074,7 @@ rat := x**2 / (1 - 6*x + x**2)
 --R   (2)
 --R    2     3      4       5        6        7         8          9      10
 --R   x  + 6x  + 35x  + 204x  + 1189x  + 6930x  + 40391x  + 235416x  + O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 84
 
 --S 85 of 112
@@ -1085,7 +1085,7 @@ sin(rat)
 --R    2     3      4       5   7133  6        7   80711  8          9      10
 --R   x  + 6x  + 35x  + 204x  + ---- x  + 6927x  + ----- x  + 235068x  + O(x  )
 --R                               6                  2
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 85
 
 --S 86 of 112
@@ -1093,7 +1093,7 @@ y : UTS(FRAC INT,y,0) := y
 --R 
 --R
 --R   (4)  y
---R                           Type: UnivariateTaylorSeries(Fraction Integer,y,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),y,0)
 --E 86
 
 --S 87 of 112
@@ -1103,7 +1103,7 @@ exp(y)
 --R                1  2   1  3    1  4    1   5    1   6     1   7      8
 --R   (5)  1 + y + - y  + - y  + -- y  + --- y  + --- y  + ---- y  + O(y )
 --R                2      6      24      120      720      5040
---R                           Type: UnivariateTaylorSeries(Fraction Integer,y,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),y,0)
 --E 87
 
 --S 88 of 112
@@ -1113,7 +1113,7 @@ tan(y**2)
 --R         2   1  6      8
 --R   (6)  y  + - y  + O(y )
 --R             3
---R                           Type: UnivariateTaylorSeries(Fraction Integer,y,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),y,0)
 --E 88
 
 --S 89 of 112
@@ -1123,7 +1123,7 @@ cos(y + y**5)
 --R            1  2    1  4   721  6      8
 --R   (7)  1 - - y  + -- y  - --- y  + O(y )
 --R            2      24      720
---R                           Type: UnivariateTaylorSeries(Fraction Integer,y,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),y,0)
 --E 89
 
 --S 90 of 112
@@ -1133,7 +1133,7 @@ log(1 + sin(y))
 --R            1  2   1  3    1  4    1  5    1  6    61   7      8
 --R   (8)  y - - y  + - y  - -- y  + -- y  - -- y  + ---- y  + O(y )
 --R            2      6      12      24      45      5040
---R                           Type: UnivariateTaylorSeries(Fraction Integer,y,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),y,0)
 --E 90
 
 --S 91 of 112
@@ -1141,7 +1141,7 @@ z : UTS(EXPR INT,z,0) := z
 --R 
 --R
 --R   (9)  z
---R                         Type: UnivariateTaylorSeries(Expression Integer,z,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),z,0)
 --E 91
 
 --S 92 of 112
@@ -1156,7 +1156,7 @@ exp(2 + tan(z))
 --R   + 
 --R        8
 --R     O(z )
---R                         Type: UnivariateTaylorSeries(Expression Integer,z,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),z,0)
 --E 92
 
 --S 93 of 112
@@ -1164,7 +1164,7 @@ w := taylor w
 --R 
 --R
 --R   (11)  w
---R                         Type: UnivariateTaylorSeries(Expression Integer,w,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),w,0)
 --E 93
 
 --S 94 of 112
@@ -1179,7 +1179,7 @@ exp(2 + tan(w))
 --R   + 
 --R        8
 --R     O(w )
---R                         Type: UnivariateTaylorSeries(Expression Integer,w,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),w,0)
 --E 94
 
 -- Input for page LimitPage
@@ -1192,7 +1192,7 @@ f := sin(a*x) / tan(b*x)
 --R        sin(a x)
 --R   (1)  --------
 --R        tan(b x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 95
 
 --S 96 of 112
@@ -1202,7 +1202,7 @@ limit(f,x=0)
 --R        a
 --R   (2)  -
 --R        b
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 96
 
 --S 97 of 112
@@ -1212,7 +1212,7 @@ g := csc(a*x) / csch(b*x)
 --R         csc(a x)
 --R   (3)  ---------
 --R        csch(b x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 97
 
 --S 98 of 112
@@ -1222,7 +1222,7 @@ limit(g,x=0)
 --R        b
 --R   (4)  -
 --R        a
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 98
 
 --S 99 of 112
@@ -1232,7 +1232,7 @@ h := (1 + k/x)**x
 --R         x + k x
 --R   (5)  (-----)
 --R           x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 99
 
 --S 100 of 112
@@ -1241,7 +1241,7 @@ limit(h,x=%plusInfinity)
 --R
 --R          k
 --R   (6)  %e
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 100
 
 -- Input for page SeriesBernoulliPage
@@ -1263,7 +1263,7 @@ sum4 := sum(m**4, m = 1..k)
 --R        6k  + 15k  + 10k  - k
 --R   (2)  ---------------------
 --R                  30
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 102
 
 --S 103 of 112
@@ -1271,7 +1271,7 @@ eval(sum4, k = 10)
 --R 
 --R
 --R   (3)  25333
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 103
 
 --S 104 of 112
@@ -1283,7 +1283,7 @@ f := t*exp(x*t) / (exp(t) - 1)
 --R   (4)  -------
 --R          t
 --R        %e  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 104
 
 )set streams calculate 5
@@ -1302,7 +1302,7 @@ ff := taylor(f,t = 0)
 --R     30x  - 60x  + 30x  - 1  4   6x  - 15x  + 10x  - x  5      6
 --R     ---------------------- t  + --------------------- t  + O(t )
 --R               720                        720
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 105
 
 --S 106 of 112
@@ -1313,7 +1313,7 @@ factorial(6) * coefficient(ff,6)
 --R        42x  - 126x  + 105x  - 21x  + 1
 --R   (6)  -------------------------------
 --R                       42
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 106
 
 --S 107 of 112
@@ -1325,7 +1325,7 @@ g := eval(f, x = x + 1) - f
 --R   (7)  ---------------------
 --R                 t
 --R               %e  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 107
 
 --S 108 of 112
@@ -1334,7 +1334,7 @@ normalize(g)
 --R
 --R            t x
 --R   (8)  t %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 108
 
 --S 109 of 112
@@ -1345,7 +1345,7 @@ taylor(g,t = 0)
 --R               2   x   3   x   4   x   5      6
 --R   (9)  t + x t  + -- t  + -- t  + -- t  + O(t )
 --R                    2       6      24
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 109
 
 --S 110 of 112
@@ -1356,7 +1356,7 @@ B5 := factorial(5) * coefficient(ff,5)
 --R         6x  - 15x  + 10x  - x
 --R   (10)  ---------------------
 --R                   6
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 110
 
 --S 111 of 112
@@ -1367,7 +1367,7 @@ B5 := factorial(5) * coefficient(ff,5)
 --R         6k  + 15k  + 10k  - k
 --R   (11)  ---------------------
 --R                   30
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 111
 
 --S 112 of 112
@@ -1378,7 +1378,7 @@ sum4
 --R         6k  + 15k  + 10k  - k
 --R   (12)  ---------------------
 --R                   30
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 112
 )spool
 )lisp (bye)
diff --git a/src/input/card.input.pamphlet b/src/input/card.input.pamphlet
index f1ce1e4..3818678 100644
--- a/src/input/card.input.pamphlet
+++ b/src/input/card.input.pamphlet
@@ -114,7 +114,7 @@ countable? A1
 --R 
 --R
 --R   (12)  [4,Aleph(1)]
---R                                                    Type: List CardinalNumber
+--R                                                   Type: List(CardinalNumber)
 --E 12
 
 --S 13 of 20
@@ -122,7 +122,7 @@ countable? A1
 --R 
 --R
 --R   (13)  [0,2,4,0,Aleph(1),Aleph(1),Aleph(1)]
---R                                                    Type: List CardinalNumber
+--R                                                   Type: List(CardinalNumber)
 --E 13
 
 --S 14 of 20
@@ -130,7 +130,7 @@ countable? A1
 --R 
 --R
 --R   (14)  [1,2,4,1,Aleph(1),Aleph(1)]
---R                                                    Type: List CardinalNumber
+--R                                                   Type: List(CardinalNumber)
 --E 14
 
 --S 15 of 20
@@ -138,7 +138,7 @@ countable? A1
 --R 
 --R
 --R   (15)  [1,0,"failed",Aleph(1),Aleph(1),"failed"]
---R                                    Type: List Union(CardinalNumber,"failed")
+--R                                   Type: List(Union(CardinalNumber,"failed"))
 --E 15
 
 --S 16 of 20
@@ -154,7 +154,7 @@ generalizedContinuumHypothesisAssumed true
 --R 
 --R
 --R   (17)  [0,1,Aleph(1),Aleph(1),Aleph(2),Aleph(1),Aleph(2)]
---R                                                    Type: List CardinalNumber
+--R                                                   Type: List(CardinalNumber)
 --E 17
 
 --S 18 of 20
diff --git a/src/input/cardinal.input.pamphlet b/src/input/cardinal.input.pamphlet
index ba3e9ab..011e6e4 100644
--- a/src/input/cardinal.input.pamphlet
+++ b/src/input/cardinal.input.pamphlet
@@ -80,7 +80,7 @@ A1 := Aleph 1
 --R 
 --R
 --R   (8)  [true,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 8
 
 --S 9 of 16
@@ -88,7 +88,7 @@ A1 := Aleph 1
 --R 
 --R
 --R   (9)  [true,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 9
 
 --S 10 of 16
@@ -96,7 +96,7 @@ A1 := Aleph 1
 --R 
 --R
 --R   (10)  [true,true,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 10
 
 --S 11 of 16
@@ -104,7 +104,7 @@ A1 := Aleph 1
 --R 
 --R
 --R   (11)  [4,Aleph(1)]
---R                                                    Type: List CardinalNumber
+--R                                                   Type: List(CardinalNumber)
 --E 11
 
 --S 12 of 16
@@ -112,7 +112,7 @@ A1 := Aleph 1
 --R 
 --R
 --R   (12)  [1,0,"failed",Aleph(1),Aleph(1),"failed"]
---R                                    Type: List Union(CardinalNumber,"failed")
+--R                                   Type: List(Union(CardinalNumber,"failed"))
 --E 12
 
 --S 13 of 16
@@ -120,7 +120,7 @@ A1 := Aleph 1
 --R 
 --R
 --R   (13)  [0,2,4,0,Aleph(1),Aleph(1),Aleph(1)]
---R                                                    Type: List CardinalNumber
+--R                                                   Type: List(CardinalNumber)
 --E 13
 
 --S 14 of 16
@@ -128,7 +128,7 @@ A1 := Aleph 1
 --R 
 --R
 --R   (14)  [1,2,4,1,Aleph(1),Aleph(1)]
---R                                                    Type: List CardinalNumber
+--R                                                   Type: List(CardinalNumber)
 --E 14
 
 --S 15 of 16
@@ -144,7 +144,7 @@ generalizedContinuumHypothesisAssumed true
 --R 
 --R
 --R   (16)  [0,1,Aleph(1),Aleph(1),Aleph(2),Aleph(1),Aleph(2)]
---R                                                    Type: List CardinalNumber
+--R                                                   Type: List(CardinalNumber)
 --E 16
 )spool
 )lisp (bye)
diff --git a/src/input/carten.input.pamphlet b/src/input/carten.input.pamphlet
index 3049c21..b56deb8 100644
--- a/src/input/carten.input.pamphlet
+++ b/src/input/carten.input.pamphlet
@@ -196,7 +196,7 @@ Tmv = m * v
 --R 
 --R
 --R   (19)  [11,32]= [11,32]
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 19
 
 --S 20 of 48
@@ -306,7 +306,7 @@ contract(Tmn,1,2) = trace(m) * n
 --R         +12  18+  +12  18+
 --R   (32)  |      |= |      |
 --R         +0   6 +  +0   6 +
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 32
 
 --S 33 of 48
@@ -316,7 +316,7 @@ contract(Tmn,1,3) = transpose(m) * n
 --R         +2  7 +  +2  7 +
 --R   (33)  |     |= |     |
 --R         +4  11+  +4  11+
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 33
 
 --S 34 of 48
@@ -326,7 +326,7 @@ contract(Tmn,1,4) = transpose(m) * transpose(n)
 --R         +14  4+  +14  4+
 --R   (34)  |     |= |     |
 --R         +19  5+  +19  5+
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 34
 
 --S 35 of 48
@@ -336,7 +336,7 @@ contract(Tmn,2,3) = m * n
 --R         +2  5 +  +2  5 +
 --R   (35)  |     |= |     |
 --R         +8  17+  +8  17+
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 35
 
 --S 36 of 48
@@ -346,7 +346,7 @@ contract(Tmn,2,4) = m * transpose(n)
 --R         +8   2+  +8   2+
 --R   (36)  |     |= |     |
 --R         +23  5+  +23  5+
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 36
 
 --S 37 of 48
@@ -356,7 +356,7 @@ contract(Tmn,3,4) = trace(n) * m
 --R         +3   6 +  +3   6 +
 --R   (37)  |      |= |      |
 --R         +12  15+  +12  15+
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 37
 
 --S 38 of 48
@@ -394,7 +394,7 @@ transpose Tm = transpose m
 --R         +1  4+  +1  4+
 --R   (40)  |    |= |    |
 --R         +2  5+  +2  5+
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 40
 
 --S 41 of 48
@@ -464,7 +464,7 @@ contract(Tmn, 2, delta, 1) = reindex(Tmn, [1,3,4,2])
 --R         |+8   10+  +0  0+|  |+8   10+  +0  0+|
 --R         ||      |  |    ||  ||      |  |    ||
 --R         ++12  15+  +4  5++  ++12  15+  +4  5++
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 46
 
 --S 47 of 48
@@ -482,7 +482,7 @@ contract(epsilon*Tm*epsilon, 1,2) = 2 * determinant m
 --R 
 --R
 --R   (48)  - 6= - 6
---R                                  Type: Equation CartesianTensor(1,2,Integer)
+--R                                 Type: Equation(CartesianTensor(1,2,Integer))
 --E 48
 )spool
 )lisp (bye)
diff --git a/src/input/ch.input.pamphlet b/src/input/ch.input.pamphlet
index 102631e..b923ccc 100644
--- a/src/input/ch.input.pamphlet
+++ b/src/input/ch.input.pamphlet
@@ -50,7 +50,7 @@ mfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) :=_
 --R        |   8     8      |
 --R        |1  -  y  -  1  0|
 --R        +   3     3      +
---RType: SquareMatrix(6,DistributedMultivariatePolynomial([x,y,z],Fraction Integer))
+--RType: SquareMatrix(6,DistributedMultivariatePolynomial([x,y,z],Fraction(Integer)))
 --E 1
 
 --S 2 of 7
@@ -61,7 +61,7 @@ fzn := determinant mfzn
 --R      2 2   22  2    25  2   22    2   388       250     25  2   250     14575
 --R   - x y  + -- x y - -- x  + -- x y  - --- x y - --- x - -- y  - --- y + -----
 --R             3        9       3         9         27      9       27       81
---R            Type: DistributedMultivariatePolynomial([x,y,z],Fraction Integer)
+--R           Type: DistributedMultivariatePolynomial([x,y,z],Fraction(Integer))
 --E 2
 
 --S 3 of 7
@@ -91,7 +91,7 @@ mfxn : SQMATRIX(6,DMP([x,y,z],Fraction Integer)) :=_
 --R        |   8     8      |
 --R        |1  -  z  -  1  0|
 --R        +   3     3      +
---RType: SquareMatrix(6,DistributedMultivariatePolynomial([x,y,z],Fraction Integer))
+--RType: SquareMatrix(6,DistributedMultivariatePolynomial([x,y,z],Fraction(Integer)))
 --E 3
 
 --S 4 of 7
@@ -102,7 +102,7 @@ fxn := determinant mfxn
 --R      2 2   22  2    25  2   22    2   388       250     25  2   250     14575
 --R   - y z  + -- y z - -- y  + -- y z  - --- y z - --- y - -- z  - --- z + -----
 --R             3        9       3         9         27      9       27       81
---R            Type: DistributedMultivariatePolynomial([x,y,z],Fraction Integer)
+--R           Type: DistributedMultivariatePolynomial([x,y,z],Fraction(Integer))
 --E 4
 
 --S 5 of 7
@@ -132,7 +132,7 @@ mfyn : SQMATRIX(6,DMP([x,y,z],Fraction Integer)) :=_
 --R        |   8     8      |
 --R        |1  -  x  -  1  0|
 --R        +   3     3      +
---RType: SquareMatrix(6,DistributedMultivariatePolynomial([x,y,z],Fraction Integer))
+--RType: SquareMatrix(6,DistributedMultivariatePolynomial([x,y,z],Fraction(Integer)))
 --E 5
 
 --S 6 of 7
@@ -143,7 +143,7 @@ fyn := determinant mfyn
 --R      2 2   22  2    25  2   22    2   388       250     25  2   250     14575
 --R   - x z  + -- x z - -- x  + -- x z  - --- x z - --- x - -- z  - --- z + -----
 --R             3        9       3         9         27      9       27       81
---R            Type: DistributedMultivariatePolynomial([x,y,z],Fraction Integer)
+--R           Type: DistributedMultivariatePolynomial([x,y,z],Fraction(Integer))
 --E 6
 
 --S 7 of 7
@@ -174,7 +174,7 @@ gb := groebnerFactorize [fxn,fyn,fzn]
 --R         19     5     5
 --R    [x - --,y + -,z + -]]
 --R          3     3     3
---R  Type: List List DistributedMultivariatePolynomial([x,y,z],Fraction Integer)
+--RType: List(List(DistributedMultivariatePolynomial([x,y,z],Fraction(Integer))))
 --E 7
 )spool
 )lisp (bye)
diff --git a/src/input/char.input.pamphlet b/src/input/char.input.pamphlet
index 0d395e4..8818de0 100644
--- a/src/input/char.input.pamphlet
+++ b/src/input/char.input.pamphlet
@@ -28,7 +28,7 @@ chars := [char "a", char "A", char "X", char "8", char "+"]
 --R 
 --R
 --R   (1)  [a,A,X,8,+]
---R                                                         Type: List Character
+--R                                                        Type: List(Character)
 --E 1
 
 --S 2 of 13
@@ -60,7 +60,7 @@ escape()
 --R 
 --R
 --R   (5)  [97,65,88,56,43]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 5
 
 --S 6 of 13
@@ -68,7 +68,7 @@ escape()
 --R 
 --R
 --R   (6)  [A,A,X,8,+]
---R                                                         Type: List Character
+--R                                                        Type: List(Character)
 --E 6
 
 --S 7 of 13
@@ -76,7 +76,7 @@ escape()
 --R 
 --R
 --R   (7)  [a,a,x,8,+]
---R                                                         Type: List Character
+--R                                                        Type: List(Character)
 --E 7
 
 --S 8 of 13
@@ -84,7 +84,7 @@ escape()
 --R 
 --R
 --R   (8)  [true,true,true,false,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 8
 
 --S 9 of 13
@@ -92,7 +92,7 @@ escape()
 --R 
 --R
 --R   (9)  [false,true,true,false,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 9
 
 --S 10 of 13
@@ -100,7 +100,7 @@ escape()
 --R 
 --R
 --R   (10)  [true,false,false,false,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 10
 
 --S 11 of 13
@@ -108,7 +108,7 @@ escape()
 --R 
 --R
 --R   (11)  [false,false,false,true,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 11
 
 --S 12 of 13
@@ -116,7 +116,7 @@ escape()
 --R 
 --R
 --R   (12)  [true,true,false,true,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 12
 
 --S 13 of 13
@@ -124,7 +124,7 @@ escape()
 --R 
 --R
 --R   (13)  [true,true,true,true,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 13
 )spool
 )lisp (bye)
diff --git a/src/input/chtheorem.input.pamphlet b/src/input/chtheorem.input.pamphlet
index 46e09cb..0292fb0 100644
--- a/src/input/chtheorem.input.pamphlet
+++ b/src/input/chtheorem.input.pamphlet
@@ -71,7 +71,7 @@ $$A^4=145A+54I_2$$
 D:=FFP(PF 2,x^4+x+1)
 --R 
 --R
---R   (1)  FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R   (1)  FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)
 --R                                                                 Type: Domain
 --E 1
 
@@ -90,7 +90,7 @@ M:=matrix([[random()$D for i in 1..4] for j in 1..4])
 --R        |                                                               |
 --R        |                      3     2             2             3     2|
 --I        +        0           %A  + %A  + %A + 1  %A  + %A + 1  %A  + %A +
---R         Type: Matrix FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R        Type: Matrix(FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --E 2
 
 --S 3 of 28 random input -- failure ok
@@ -99,7 +99,7 @@ p:=characteristicPolynomial(M,y)
 --R
 --R         4      2       3      2           2            3     2
 --I   (3)  y  + (%A  + %A)y  + (%A  + %A + 1)y  + %A y + %A  + %A  + %A
---R     Type: Polynomial FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R    Type: Polynomial(FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --E 3
 
 --S 4 of 28
@@ -107,7 +107,7 @@ SM:=SquareMatrix(4,D)
 --R 
 --R
 --R   (4)
---R   SquareMatrix(4,FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1))
+--R   SquareMatrix(4,FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --R                                                                 Type: Domain
 --E 4
 
@@ -159,7 +159,7 @@ sp:=map(z+->(squareMatrix$SM)diagonalMatrix([z,z,z,z]),p)
 --R     |                                                              |
 --R     |                                                  3     2     |
 --I     +      0               0               0         %A  + %A  + %A+
---IType: Polynomial SquareMatrix(4,FiniteFieldExtensionByPolynomial(...
+--RType: Polynomial(SquareMatrix(4,FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)))
 --E 5
 
 --S 6 of 28 random input -- failure ok
@@ -177,7 +177,7 @@ sm:=squareMatrix(M)$SM
 --R        |                                                               |
 --R        |                      3     2             2             3     2|
 --I        +        0           %A  + %A  + %A + 1  %A  + %A + 1  %A  + %A +
---RType: SquareMatrix(4,FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1))
+--RType: SquareMatrix(4,FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --E 6
 
 --S 7 of 28
@@ -191,7 +191,7 @@ eval(sp,y=sm)
 --R        |0  0  0  0|
 --R        |          |
 --R        +0  0  0  0+
---IType: Polynomial SquareMatrix(4,FiniteFieldExtensionByPolynomial(...
+--RType: Polynomial(SquareMatrix(4,FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)))
 --E 7
 
 )clear all
@@ -215,7 +215,7 @@ M:=matrix([[random()$D for i in 1..4] for j in 1..4])
 --R        |24115163  48682825  18166895  38340141|
 --R        |                                      |
 --R        +63446755  11508337  5309495   33821973+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 9
 
 --S 10 of 28 random input -- failure ok
@@ -227,7 +227,7 @@ p:=characteristicPolynomial(M,y)
 --R     y  - 78666608y  - 2034871330953280y  - 37379714246895929917440y
 --R   + 
 --R     - 43330011013671754134127116288
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 10
 
 --S 11 of 28
@@ -266,7 +266,7 @@ sp:=map(z+->(squareMatrix$SM)diagonalMatrix([z,z,z,z]),p)
 --R    [0,- 43330011013671754134127116288,0,0],
 --R    [0,0,- 43330011013671754134127116288,0],
 --R    [0,0,0,- 43330011013671754134127116288]]
---R                                     Type: Polynomial SquareMatrix(4,Integer)
+--R                                    Type: Polynomial(SquareMatrix(4,Integer))
 --E 12
 
 --S 13 of 28 random input -- failure ok
@@ -294,7 +294,7 @@ eval(sp,y=sm)
 --R        |0  0  0  0|
 --R        |          |
 --R        +0  0  0  0+
---R                                     Type: Polynomial SquareMatrix(4,Integer)
+--R                                    Type: Polynomial(SquareMatrix(4,Integer))
 --E 14
 
 )clear all
@@ -303,7 +303,7 @@ eval(sp,y=sm)
 D:=PF 7
 --R 
 --R
---R   (1)  PrimeField 7
+--R   (1)  PrimeField(7)
 --R                                                                 Type: Domain
 --E 15
 
@@ -318,7 +318,7 @@ M:=matrix([[random()$D for i in 1..4] for j in 1..4])
 --R        |1  5  4  1|
 --R        |          |
 --R        +1  1  2  0+
---R                                                    Type: Matrix PrimeField 7
+--R                                                  Type: Matrix(PrimeField(7))
 --E 16
 
 --S 17 of 28 random input -- failure ok
@@ -327,14 +327,14 @@ p:=characteristicPolynomial(M,y)
 --R
 --R         4     3     2
 --R   (3)  y  + 2y  + 4y  + 4y + 1
---R                                                Type: Polynomial PrimeField 7
+--R                                              Type: Polynomial(PrimeField(7))
 --E 17
 
 --S 18 of 28
 SM:=SquareMatrix(4,D)
 --R 
 --R
---R   (4)  SquareMatrix(4,PrimeField 7)
+--R   (4)  SquareMatrix(4,PrimeField(7))
 --R                                                                 Type: Domain
 --E 18
 
@@ -349,7 +349,7 @@ sp:=map(z+->(squareMatrix$SM)diagonalMatrix([z,z,z,z]),p)
 --R             |0  0  2  0|     |0  0  4  0|     |0  0  4  0|    |0  0  1  0|
 --R             |          |     |          |     |          |    |          |
 --R             +0  0  0  2+     +0  0  0  4+     +0  0  0  4+    +0  0  0  1+
---R                                Type: Polynomial SquareMatrix(4,PrimeField 7)
+--R                              Type: Polynomial(SquareMatrix(4,PrimeField(7)))
 --E 19
 
 --S 20 of 28 random input -- failure ok
@@ -363,7 +363,7 @@ sm:=squareMatrix(M)$SM
 --R        |1  5  4  1|
 --R        |          |
 --R        +1  1  2  0+
---R                                           Type: SquareMatrix(4,PrimeField 7)
+--R                                          Type: SquareMatrix(4,PrimeField(7))
 --E 20
 
 --S 21 of 28
@@ -377,7 +377,7 @@ eval(sp,y=sm)
 --R        |0  0  0  0|
 --R        |          |
 --R        +0  0  0  0+
---R                                Type: Polynomial SquareMatrix(4,PrimeField 7)
+--R                              Type: Polynomial(SquareMatrix(4,PrimeField(7)))
 --E 21
 
 )clear all
@@ -405,7 +405,7 @@ M:=matrix([[random()$D for i in 1..4] for j in 1..4])
 --R        |                                                           |
 --R        |     3                 2           2         3     2       |
 --I        +   %A  + %A + 1      %A  + 1     %A        %A  + %A  + %A  +
---R                                                Type: Matrix FiniteField(2,4)
+--R                                               Type: Matrix(FiniteField(2,4))
 --E 23
 
 --S 24 of 28 random input -- failure ok
@@ -414,7 +414,7 @@ p:=characteristicPolynomial(M,y)
 --R
 --R         4      3       3      3       2         3
 --I   (3)  y  + (%A  + %A)y  + (%A  + %A)y  + y + %A  + 1
---R                                            Type: Polynomial FiniteField(2,4)
+--R                                           Type: Polynomial(FiniteField(2,4))
 --E 24
 
 --S 25 of 28
@@ -465,7 +465,7 @@ sp:=map(z+->(squareMatrix$SM)diagonalMatrix([z,z,z,z]),p)
 --R     |                                  |
 --R     |                             3    |
 --I     +   0        0        0     %A  + 1+
---R                            Type: Polynomial SquareMatrix(4,FiniteField(2,4))
+--R                           Type: Polynomial(SquareMatrix(4,FiniteField(2,4)))
 --E 26
 
 --S 27 of 28 random input -- failure ok
@@ -497,7 +497,7 @@ eval(sp,y=sm)
 --R        |0  0  0  0|
 --R        |          |
 --R        +0  0  0  0+
---R                            Type: Polynomial SquareMatrix(4,FiniteField(2,4))
+--R                           Type: Polynomial(SquareMatrix(4,FiniteField(2,4)))
 --E 28
 
 )spool 
diff --git a/src/input/classtalk.input.pamphlet b/src/input/classtalk.input.pamphlet
index a38875b..5898951 100644
--- a/src/input/classtalk.input.pamphlet
+++ b/src/input/classtalk.input.pamphlet
@@ -34,14 +34,14 @@ These are examples from the talk ``Axiom in an Educational Setting''.
 --R        1
 --R   (2)  -
 --R        2
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 2
 
 --S 3 of 72
 3+4*%i
 --R
 --R   (3)  3 + 4%i
---R                                                        Type: Complex Integer
+--R                                                       Type: Complex(Integer)
 --E 3
 
 --S 4 of 72
@@ -70,35 +70,35 @@ factor(60)
 --R
 --R         2
 --R   (7)  2 3 5
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 7
 
 --S 8 of 72
 q:=(y-1)*x*(z+5)
 --R
 --R   (8)  (x y - x)z + 5x y - 5x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 8
 
 --S 9 of 72
 factor q
 --R
 --R   (9)  x(y - 1)(z + 5)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 9
 
 --S 10 of 72
 eval(q,[x=5,y=6,z=7])
 --R
 --R   (10)  300
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 10
 
 --S 11 of 72
 eval(q,[x=5,y=6])
 --R
 --R   (11)  25z + 125
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 11
 
 \end{chunk}
@@ -109,14 +109,14 @@ b:=[log a, exp a, asin a, acos a, atan a, acot a, sinh a]
 --R
 --R                   a
 --R   (12)  [log(a),%e ,asin(a),acos(a),atan(a),acot(a),sinh(a)]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 12
 
 --S 13 of 72
 [exp b.1, log b.2, sin b.3, cos b.4, tan b.5, cot b.6, asinh b.7]
 --R
 --R   (13)  [a,a,a,a,a,a,a]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 13
 
 --S 14 of 72
@@ -133,21 +133,21 @@ b:=[log a, exp a, asin a, acos a, atan a, acot a, sinh a]
 --R   [- 0.3566749439 3873237891, 2.0137527074 704765216, 0.7753974966 1075306374,
 --R    0.7953988301 8414355549, 0.6107259643 8920861654, 0.9600703624 0568800269,
 --R    0.7585837018 3953350346]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 15
 
 --S 16 of 72
 [exp b.1, log b.2, sin b.3, cos b.4, tan b.5, cot b.6, asinh b.7]
 --R
 --R   (16)  [0.7,0.7,0.7,0.7,0.7,0.7,0.7]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 16
 
 --S 17 of 72
 simplify(sin(x)**2+cos(x)**2)
 --R
 --R   (17)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 \end{chunk}
@@ -159,21 +159,21 @@ eq1:=A*x^2 + B*x*y + C*y^2 + D*x + E*y + F
 --R
 --R           2                   2
 --R   (1)  C y  + (B x + E)y + A x  + D x + F
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 18
 
 --S 19 of 72
 rotatex:=x'*cos(t)-y'*sin(t)
 --R
 --R   (2)  - y' sin(t) + x' cos(t)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 72
 rotatey:=x'*sin(t)+y'*cos(t)
 --R
 --R   (3)  x' sin(t) + y' cos(t)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 --S 21 of 72
@@ -188,7 +188,7 @@ eval(eq1,[x=rotatex, y=rotatey])
 --R   + 
 --R          2                 2       2
 --R     (C y'  + B x' y' + A x' )cos(t)  + (E y' + D x')cos(t) + F
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 \end{chunk}
@@ -207,14 +207,14 @@ factor(x^2+3)
 --R
 --R         2
 --R   (2)  x  + 3
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 23
 
 --S 24 of 72
 factor(x^2+3,[a])
 --R
 --R   (3)  (x - 2a - 1)(x + 2a + 1)
---R                                    Type: Factored Polynomial AlgebraicNumber
+--R                                  Type: Factored(Polynomial(AlgebraicNumber))
 --E 24
 
 --S 25 of 72
@@ -232,7 +232,7 @@ zerosOf(b^2+b+1,b)
 --R         \|- 3  - 1 - \|- 3  - 1
 --R   (5)  [----------,------------]
 --R              2           2
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 26
 
 \end{chunk}
@@ -242,14 +242,14 @@ zerosOf(b^2+b+1,b)
 differentiate(sin(x),x)
 --R
 --R   (6)  cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 27
 
 --S 28 of 72
 differentiate(sin(x),x,2)
 --R
 --R   (7)  - sin(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 28
 
 --S 29 of 72
@@ -260,7 +260,7 @@ differentiate(cos(z)/(x^2+y^3),[x,y,z],[1,2,3])
 --R   (8)  --------------------------------
 --R         12     2 9     4 6     6 3    8
 --R        y   + 4x y  + 6x y  + 4x y  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 29
 
 --S 30 of 72
@@ -277,7 +277,7 @@ deqx:=D(y(x),x,2)+D(y(x),x)+y(x)
 --R          ,,       ,
 --R   (10)  y  (x) + y (x) + y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 31
 
 --S 32 of 72
@@ -288,7 +288,7 @@ solve(deqx,y,x)
 --R                                    x\|3      2     2    x\|3
 --R   (11)  [particular= 0,basis= [cos(-----)%e   ,%e   sin(-----)]]
 --R                                      2                    2
---IType: Union(Record(particular: Expression Integer,basis: ...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 32
 
 \end{chunk}
@@ -301,14 +301,14 @@ limit((x^2-3*x+2)/(x^2-1),x=1)
 --R          1
 --R   (1)  - -
 --R          2
---R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--R            Type: Union(OrderedCompletion(Fraction(Polynomial(Integer))),...)
 --E 33
 
 --S 34 of 72
 limit(x*log(x),x=0)
 --R
 --R   (2)  [leftHandLimit= "failed",rightHandLimit= 0]
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
+--RType: Union(Record(leftHandLimit: Union(OrderedCompletion(Expression(Integer)),"failed"),rightHandLimit: Union(OrderedCompletion(Expression(Integer)),"failed")),...)
 --E 34
 
 --S 35 of 72
@@ -317,7 +317,7 @@ limit(sinh(a*x)/tan(b*x),x=0)
 --R        a
 --R   (3)  -
 --R        b
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 35
 
 --S 36 of 72
@@ -327,14 +327,14 @@ limit(sqrt(3*x^2+1)/(5*x),x=%plusInfinity)
 --R        \|3
 --R   (4)  ----
 --R          5
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 36
 
 --S 37 of 72
 complexLimit((2+z)/(1-z),z=%infinity)
 --R
 --R   (5)  - 1
---R                         Type: OnePointCompletion Fraction Polynomial Integer
+--R                      Type: OnePointCompletion(Fraction(Polynomial(Integer)))
 --E 37
 
 \end{chunk}
@@ -346,14 +346,14 @@ integrate(1+sqrt(x)/x,x)
 --R
 --R          +-+
 --R   (1)  2\|x  + x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 38
 
 --S 39 of 72
 integrate(sin(x)/x,x)
 --R
 --R   (2)  Si(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 39
 
 \end{chunk}
@@ -367,7 +367,7 @@ integrate(exp(-a*x^2),x)
 --R         ++    - %Q a
 --R   (3)   |   %e      d%Q
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 40
 
 --S 41 of 72
@@ -378,7 +378,7 @@ integrate(sin(x)/x^2,x)
 --R   (4)   |   ------- d%Q
 --R        ++       2
 --R               %Q
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 41
 
 \end{chunk}
@@ -391,7 +391,7 @@ integrate(exp(-x)/sqrt(x),x=0..%plusInfinity)
 --R         _ 1
 --R   (1)  | (-)
 --R           2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 42
 
 --S 43 of 72
@@ -418,7 +418,7 @@ integrate(sin(x)^3/(sin(x)^3+cos(x)^3),x=0..%pi/2,"noPole")
 --R        2log(16) - 4log(4) + 3%pi
 --R   (1)  -------------------------
 --R                    12
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 44
 
 --S 45 of 72
@@ -429,7 +429,7 @@ integrate(exp(-x^2)*log(x)^2,x=0..%plusInfinity)
 --R           2             2       2         2
 --R   (2)  --------------------------------------
 --R                           8
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 45
 
 \end{chunk}
@@ -445,7 +445,7 @@ laplace(sin(a*t)*cosh(a*t)-cos(a*t)*sinh(a*t),t,s)
 --R   (1)  --------
 --R         4     4
 --R        s  + 4a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 --S 47 of 72
@@ -453,14 +453,14 @@ laplace(2/t * (1-cos(a*t)),t,s)
 --R
 --R             2    2
 --R   (2)  log(s  + a ) - 2log(s)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 47
 
 --S 48 of 72
 laplace((exp(a*t)-exp(b*t))/t,t,s)
 --R
 --R   (3)  - log(s - a) + log(s - b)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 48
 
 --S 49 of 72
@@ -471,7 +471,7 @@ laplace(exp(a*t+b)*Ei(c*t),t,s)
 --R                   c
 --R   (4)  -----------------
 --R              s - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 49
 
 \end{chunk}
@@ -483,7 +483,7 @@ over $K$, given a quadratic form $Q$ on $K^n$ (e.q. quaternions).
 --S 50 of 72
 K:=Fraction Polynomial Integer
 --R
---R   (1)  Fraction Polynomial Integer
+--R   (1)  Fraction(Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 50
 
@@ -493,7 +493,7 @@ qf:QFORM(2,K):=quadraticForm matrix([[-1,0],[0,-1]])$(SQMATRIX(2,K))
 --R        +- 1   0 +
 --R   (2)  |        |
 --R        + 0   - 1+
---R                           Type: QuadraticForm(2,Fraction Polynomial Integer)
+--R                         Type: QuadraticForm(2,Fraction(Polynomial(Integer)))
 --E 51
 
 --S 52 of 72
@@ -501,7 +501,7 @@ i:=e(1)$CLIF(2,K,qf)
 --R
 --R   (3)  e
 --R         1
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 52
 
 --S 53 of 72
@@ -509,7 +509,7 @@ j:=e(2)$CLIF(2,K,qf)
 --R
 --R   (4)  e
 --R         2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 53
 
 --S 54 of 72
@@ -517,7 +517,7 @@ k:=i*j
 --R
 --R   (5)  e e
 --R         1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 54
 
 --S 55 of 72
@@ -525,7 +525,7 @@ x:=a+b*i+c*j+d*k
 --R
 --R   (6)  a + b e  + c e  + d e e
 --R               1      2      1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 55
 
 --S 56 of 72
@@ -533,7 +533,7 @@ y:=m+f*i+g*j+h*k
 --R
 --R   (7)  m + f e  + g e  + h e e
 --R               1      2      1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 56
 
 --S 57 of 72
@@ -541,7 +541,7 @@ x+y
 --R
 --R   (8)  m + a + (f + b)e  + (g + c)e  + (h + d)e e
 --R                        1           2           1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 57
 
 --S 58 of 72
@@ -553,7 +553,7 @@ x*y
 --R   + 
 --R     (c m - b h + a g + d f)e  + (d m + a h + b g - c f)e e
 --R                             2                           1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 58
 
 \end{chunk}
@@ -566,7 +566,7 @@ taylor(sin(x),x=0)
 --R            1  3    1   5     1   7      1    9      11
 --R   (1)  x - - x  + --- x  - ---- x  + ------ x  + O(x  )
 --R            6      120      5040      362880
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 59
 
 \end{chunk}
@@ -587,7 +587,7 @@ laurent(x/log(x),x=1)
 --R       530113         9            10
 --R     --------- (x - 1)  + O((x - 1)  )
 --R     479001600
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,1)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,1)
 --E 60
 
 \end{chunk}
@@ -602,7 +602,7 @@ puiseux(sqrt(sec(x)),x=3*%pi/2)
 --R             3%pi   2    1      3%pi 2    1       3%pi 2          3%pi 5
 --R   (3)  (x - ----)    + -- (x - ----)  + --- (x - ----)  + O((x - ----) )
 --R               2        12        2      160        2               2
---R                 Type: UnivariatePuiseuxSeries(Expression Integer,x,(3*pi)/2)
+--R               Type: UnivariatePuiseuxSeries(Expression(Integer),x,(3*%pi)/2)
 --E 61
 
 \end{chunk}
@@ -621,7 +621,7 @@ series(x^x,x=0)
 --R     log(x)   6   log(x)   7   log(x)   8   log(x)   9   log(x)    10      11
 --R     ------- x  + ------- x  + ------- x  + ------- x  + -------- x   + O(x  )
 --R       720          5040        40320        362880       3628800
---R                   Type: GeneralUnivariatePowerSeries(Expression Integer,x,0)
+--R                  Type: GeneralUnivariatePowerSeries(Expression(Integer),x,0)
 --E 62
 
 \end{chunk}
@@ -634,7 +634,7 @@ m:=matrix [[1,2],[3,4]]
 --R        +1  2+
 --R   (1)  |    |
 --R        +3  4+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 63
 
 --S 64 of 72
@@ -643,7 +643,7 @@ m:=matrix [[1,2],[3,4]]
 --R        +- 20  - 40+
 --R   (2)  |          |
 --R        +- 60  - 80+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 64
 
 --S 65 of 72
@@ -652,7 +652,7 @@ n:=matrix [[1,0,-2],[-3,5,1]]
 --R        + 1   0  - 2+
 --R   (3)  |           |
 --R        +- 3  5   1 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 65
 
 --S 66 of 72
@@ -661,7 +661,7 @@ m*n
 --R        +- 5  10   0 +
 --R   (4)  |            |
 --R        +- 9  20  - 2+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 66
 
 --S 67 of 72
@@ -678,7 +678,7 @@ hilb:=matrix([[1/(i+j) for i in 1..3] for j in 1..3])
 --R        |1  1  1|
 --R        |-  -  -|
 --R        +4  5  6+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 67
 
 --S 68 of 72
@@ -689,7 +689,7 @@ inverse(hilb)
 --R   (6)  |- 240   900   - 720|
 --R        |                   |
 --R        + 180   - 720   600 +
---R                                     Type: Union(Matrix Fraction Integer,...)
+--R                                   Type: Union(Matrix(Fraction(Integer)),...)
 --E 68
 
 \end{chunk}
@@ -700,28 +700,28 @@ inverse(hilb)
 solve([x+y+z=8,3*x-2*y+z=0,x+2*y+2*z=17],[x,y,z])
 --R
 --R   (1)  [[x= - 1,y= 2,z= 7]]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 69
 
 --S 70 of 72
 solve([x+2*y+3*z=2,2*x+3*y+4*z=2,3*x+4*y+5*z=2],[x,y,z])
 --R
 --I   (2)  [[x= %W - 2,y= - 2%W + 2,z= %W]]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 70
 
 --S 71 of 72
 solve([[1,1,1],[3,-2,1],[1,2,2]],[8,0,17])
 --R
 --R   (3)  [particular= [- 1,2,7],basis= [[0,0,0]]]
---IType: Record(particular: Union(Vector Fraction Integer,"failed"),basis:...
+--RType: Record(particular: Union(Vector(Fraction(Integer)),"failed"),basis: List(Vector(Fraction(Integer))))
 --E 71
 
 --S 72 of 72
 solve([[1,2,3],[2,3,4],[3,4,5]],[2,2,2])
 --R
 --R   (4)  [particular= [- 2,2,0],basis= [[1,- 2,1]]]
---IType: Record(particular: Union(Vector Fraction Integer,"failed"),basis: ...
+--RType: Record(particular: Union(Vector(Fraction(Integer)),"failed"),basis: List(Vector(Fraction(Integer))))
 --E 72
 )spool 
 )lisp (bye)
diff --git a/src/input/clif.input.pamphlet b/src/input/clif.input.pamphlet
index 163c266..833608d 100644
--- a/src/input/clif.input.pamphlet
+++ b/src/input/clif.input.pamphlet
@@ -26,7 +26,7 @@
 K := Fraction Polynomial Integer
 --R 
 --R
---R   (1)  Fraction Polynomial Integer
+--R   (1)  Fraction(Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -35,14 +35,14 @@ m := matrix [[-1]]
 --R 
 --R
 --R   (2)  [- 1]
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 2
 
 --S 3 of 36
 C := CliffordAlgebra(1, K, quadraticForm m)
 --R 
 --R
---R   (3)  CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R   (3)  CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --R                                                                 Type: Domain
 --E 3
 
@@ -52,7 +52,7 @@ i: C := e(1)
 --R
 --R   (4)  e
 --R         1
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 4
 
 --S 5 of 36
@@ -61,7 +61,7 @@ x := a + b * i
 --R
 --R   (5)  a + b e
 --R               1
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 5
 
 --S 6 of 36
@@ -70,7 +70,7 @@ y := c + d * i
 --R
 --R   (6)  c + d e
 --R               1
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 6
 
 --S 7 of 36
@@ -79,7 +79,7 @@ x * y
 --R
 --R   (7)  - b d + a c + (a d + b c)e
 --R                                  1
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 7
 
 -- Input generated from ugxCliffordQuaternPage
@@ -90,7 +90,7 @@ x * y
 K := Fraction Polynomial Integer
 --R 
 --R
---R   (1)  Fraction Polynomial Integer
+--R   (1)  Fraction(Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 8
 
@@ -101,14 +101,14 @@ m := matrix [[-1,0],[0,-1]]
 --R        +- 1   0 +
 --R   (2)  |        |
 --R        + 0   - 1+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 9
 
 --S 10 of 36
 H  := CliffordAlgebra(2, K, quadraticForm m)
 --R 
 --R
---R   (3)  CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R   (3)  CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --R                                                                 Type: Domain
 --E 10
 
@@ -118,7 +118,7 @@ i: H  := e(1)
 --R
 --R   (4)  e
 --R         1
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 11
 
 --S 12 of 36
@@ -127,7 +127,7 @@ j: H  := e(2)
 --R
 --R   (5)  e
 --R         2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 12
 
 --S 13 of 36
@@ -136,7 +136,7 @@ k: H  := i * j
 --R
 --R   (6)  e e
 --R         1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 13
 
 --S 14 of 36
@@ -145,7 +145,7 @@ x := a + b * i + c * j + d * k
 --R
 --R   (7)  a + b e  + c e  + d e e
 --R               1      2      1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 14
 
 --S 15 of 36
@@ -154,7 +154,7 @@ y := e + f * i + g * j + h * k
 --R
 --R   (8)  e + f e  + g e  + h e e
 --R               1      2      1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 15
 
 --S 16 of 36
@@ -163,7 +163,7 @@ x + y
 --R
 --R   (9)  e + a + (f + b)e  + (g + c)e  + (h + d)e e
 --R                        1           2           1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 16
 
 --S 17 of 36
@@ -176,7 +176,7 @@ x * y
 --R   + 
 --R     (- b h + a g + d f + c e)e  + (a h + b g - c f + d e)e e
 --R                               2                           1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 17
 
 --S 18 of 36
@@ -189,7 +189,7 @@ y * x
 --R   + 
 --R     (b h + a g - d f + c e)e  + (a h - b g + c f + d e)e e
 --R                             2                           1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 18
 
 -- Input generated from ugxCliffordExteriorPage
@@ -199,7 +199,7 @@ y * x
 K := Fraction Polynomial Integer
 --R 
 --R
---R   (1)  Fraction Polynomial Integer
+--R   (1)  Fraction(Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 19
 
@@ -207,7 +207,8 @@ K := Fraction Polynomial Integer
 Ext := CliffordAlgebra(3, K, quadraticForm 0)
 --R 
 --R
---R   (2)  CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--R   (2)
+--R   CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --R                                                                 Type: Domain
 --E 20
 
@@ -217,7 +218,7 @@ i: Ext := e(1)
 --R
 --R   (3)  e
 --R         1
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 21
 
 --S 22 of 36
@@ -226,7 +227,7 @@ j: Ext := e(2)
 --R
 --R   (4)  e
 --R         2
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 22
 
 --S 23 of 36
@@ -235,7 +236,7 @@ k: Ext := e(3)
 --R
 --R   (5)  e
 --R         3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 23
 
 --S 24 of 36
@@ -244,7 +245,7 @@ x := x1*i + x2*j + x3*k
 --R
 --R   (6)  x1 e  + x2 e  + x3 e
 --R            1       2       3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 24
 
 --S 25 of 36
@@ -253,7 +254,7 @@ y := y1*i + y2*j + y3*k
 --R
 --R   (7)  y1 e  + y2 e  + y3 e
 --R            1       2       3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 25
 
 --S 26 of 36
@@ -262,7 +263,7 @@ x + y
 --R
 --R   (8)  (y1 + x1)e  + (y2 + x2)e  + (y3 + x3)e
 --R                  1             2             3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 26
 
 --S 27 of 36
@@ -270,7 +271,7 @@ x * y + y * x
 --R 
 --R
 --R   (9)  0
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 27
 
 --S 28 of 36
@@ -283,13 +284,14 @@ dual2 a == coefficient(a,[2,3]) * i + coefficient(a,[3,1]) * j + _
 --S 29 of 36
 dual2(x*y)
 --R 
---R   Compiling function dual2 with type CliffordAlgebra(3,Fraction 
---R      Polynomial Integer,MATRIX) -> CliffordAlgebra(3,Fraction 
---R      Polynomial Integer,MATRIX) 
+--R   Compiling function dual2 with type CliffordAlgebra(3,Fraction(
+--R      Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]]) -> 
+--R      CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],
+--R      [0,0,0]]) 
 --R
 --R   (11)  (x2 y3 - x3 y2)e  + (- x1 y3 + x3 y1)e  + (x1 y2 - x2 y1)e
 --R                         1                     2                   3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 29
 
 -- Input generated from ugxCliffordDiracPage
@@ -299,7 +301,7 @@ dual2(x*y)
 K := Fraction Integer
 --R 
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
 --E 30
 
@@ -314,14 +316,16 @@ g := matrix [[1,0,0,0], [0,-1,0,0], [0,0,-1,0], [0,0,0,-1]]
 --R        |0   0   - 1   0 |
 --R        |                |
 --R        +0   0    0   - 1+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 31
 
 --S 32 of 36
 D := CliffordAlgebra(4,K, quadraticForm g)
 --R 
 --R
---R   (3)  CliffordAlgebra(4,Fraction Integer,MATRIX)
+--R   (3)
+--R  CliffordAlgebra(4,Fraction(Integer),[[1,0,0,0],[0,-1,0,0],[0,0,-1,0],[0,0,0,-
+--R  1]])
 --R                                                                 Type: Domain
 --E 32
 
@@ -331,7 +335,7 @@ gam := [e(i)$D for i in 1..4]
 --R
 --R   (4)  [e ,e ,e ,e ]
 --R          1  2  3  4
---R                        Type: List CliffordAlgebra(4,Fraction Integer,MATRIX)
+--RType: List(CliffordAlgebra(4,Fraction(Integer),[[1,0,0,0],[0,-1,0,0],[0,0,-1,0],[0,0,0,-1]]))
 --E 33
 
 --S 34 of 36
@@ -350,7 +354,7 @@ lhs := reduce(+, _
 --R
 --R   (6)  - 4e e e e
 --R            1 2 3 4
---R                             Type: CliffordAlgebra(4,Fraction Integer,MATRIX)
+--RType: CliffordAlgebra(4,Fraction(Integer),[[1,0,0,0],[0,-1,0,0],[0,0,-1,0],[0,0,0,-1]])
 --E 35
 
 --S 36 of 36
@@ -359,7 +363,7 @@ rhs := 2*(gam s * gam m*gam n*gam r + gam r*gam n*gam m*gam s)
 --R
 --R   (7)  - 4e e e e
 --R            1 2 3 4
---R                             Type: CliffordAlgebra(4,Fraction Integer,MATRIX)
+--RType: CliffordAlgebra(4,Fraction(Integer),[[1,0,0,0],[0,-1,0,0],[0,0,-1,0],[0,0,0,-1]])
 --E 36
 )spool
 )lisp (bye)
diff --git a/src/input/clifford.input.pamphlet b/src/input/clifford.input.pamphlet
index 50486b7..c749cc8 100644
--- a/src/input/clifford.input.pamphlet
+++ b/src/input/clifford.input.pamphlet
@@ -42,7 +42,7 @@ Choose rational functions as the ground field.
 K := FRAC POLY INT
 --R 
 --R
---R   (1)  Fraction Polynomial Integer
+--R   (1)  Fraction(Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -54,14 +54,14 @@ qf: QFORM(1, K) := quadraticForm(matrix([[-1]])$(SQMATRIX(1,K)))
 --R 
 --R
 --R   (2)  [- 1]
---R                           Type: QuadraticForm(1,Fraction Polynomial Integer)
+--R                         Type: QuadraticForm(1,Fraction(Polynomial(Integer)))
 --E 2
 
 --S 3 of 39
 C := CLIF(1, K, qf)
 --R 
 --R
---R   (3)  CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R   (3)  CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --R                                                                 Type: Domain
 --E 3
 
@@ -71,7 +71,7 @@ i := e(1)$C
 --R
 --R   (4)  e
 --R         1
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 4
 
 --S 5 of 39
@@ -80,7 +80,7 @@ x := a + b * i
 --R
 --R   (5)  a + b e
 --R               1
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 5
 
 --S 6 of 39
@@ -89,7 +89,7 @@ y := c + d * i
 --R
 --R   (6)  c + d e
 --R               1
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 6
 
 --S 7 of 39
@@ -98,7 +98,7 @@ x * y
 --R
 --R   (7)  - b d + a c + (a d + b c)e
 --R                                  1
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 7
 
 --S 8 of 39
@@ -109,7 +109,7 @@ recip %
 --R   (8)  ------------------------- + ------------------------- e
 --R          2    2  2     2    2  2     2    2  2     2    2  2  1
 --R        (b  + a )d  + (b  + a )c    (b  + a )d  + (b  + a )c
---R       Type: Union(CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX),...)
+--R     Type: Union(CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]]),...)
 --E 8
 
 --S 9 of 39
@@ -120,7 +120,7 @@ x*%
 --R   (9)  ------- - ------- e
 --R         2    2    2    2  1
 --R        d  + c    d  + c
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 9
 
 --S 10 of 39
@@ -128,7 +128,7 @@ x*%
 --R 
 --R
 --R   (10)  1
---R                  Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)
+--R                Type: CliffordAlgebra(1,Fraction(Polynomial(Integer)),[[-1]])
 --E 10
  
 --% The quaternions as a Clifford Algebra
@@ -141,14 +141,14 @@ qf:QFORM(2, K) :=quadraticForm matrix([[-1, 0], [0, -1]])$(SQMATRIX(2,K))
 --R         +- 1   0 +
 --R   (11)  |        |
 --R         + 0   - 1+
---R                           Type: QuadraticForm(2,Fraction Polynomial Integer)
+--R                         Type: QuadraticForm(2,Fraction(Polynomial(Integer)))
 --E 11
 
 --S 12 of 39
 H  := CLIF(2, K, qf)
 --R 
 --R
---R   (12)  CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R   (12)  CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --R                                                                 Type: Domain
 --E 12
 
@@ -158,7 +158,7 @@ i  := e(1)$H
 --R
 --R   (13)  e
 --R          1
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 13
 
 --S 14 of 39
@@ -167,7 +167,7 @@ j  := e(2)$H
 --R
 --R   (14)  e
 --R          2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 14
 
 --S 15 of 39
@@ -176,7 +176,7 @@ k  := i * j
 --R
 --R   (15)  e e
 --R          1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 15
 
 --S 16 of 39
@@ -185,7 +185,7 @@ x := a + b * i + c * j + d * k
 --R
 --R   (16)  a + b e  + c e  + d e e
 --R                1      2      1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 16
 
 --S 17 of 39
@@ -194,7 +194,7 @@ y := e + f * i + g * j + h * k
 --R
 --R   (17)  e + f e  + g e  + h e e
 --R                1      2      1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 17
 
 --S 18 of 39
@@ -203,7 +203,7 @@ x + y
 --R
 --R   (18)  e + a + (f + b)e  + (g + c)e  + (h + d)e e
 --R                         1           2           1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 18
 
 --S 19 of 39
@@ -216,7 +216,7 @@ x * y
 --R   + 
 --R     (- b h + a g + d f + c e)e  + (a h + b g - c f + d e)e e
 --R                               2                           1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 19
 
 --S 20 of 39
@@ -229,7 +229,7 @@ y * x
 --R   + 
 --R     (b h + a g - d f + c e)e  + (a h - b g + c f + d e)e e
 --R                             2                           1 2
---R                  Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)
+--R       Type: CliffordAlgebra(2,Fraction(Polynomial(Integer)),[[-1,0],[0,-1]])
 --E 20
  
 --% The exterior algebra on a 3 space.
@@ -244,14 +244,15 @@ qf: QFORM(3, K) := quadraticForm(0::SQMATRIX(3,K))
 --R   (21)  |0  0  0|
 --R         |       |
 --R         +0  0  0+
---R                           Type: QuadraticForm(3,Fraction Polynomial Integer)
+--R                         Type: QuadraticForm(3,Fraction(Polynomial(Integer)))
 --E 21
 
 --S 22 of 39
 Ext := CLIF(3,K,qf)
 --R 
 --R
---R   (22)  CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--R   (22)
+--R   CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --R                                                                 Type: Domain
 --E 22
 
@@ -261,7 +262,7 @@ i := e(1)$Ext
 --R
 --R   (23)  e
 --R          1
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 23
 
 --S 24 of 39
@@ -270,7 +271,7 @@ j := e(2)$Ext
 --R
 --R   (24)  e
 --R          2
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 24
 
 --S 25 of 39
@@ -279,7 +280,7 @@ k := e(3)$Ext
 --R
 --R   (25)  e
 --R          3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 25
 
 --S 26 of 39
@@ -288,7 +289,7 @@ x := x1*i + x2*j + x3*k
 --R
 --R   (26)  x1 e  + x2 e  + x3 e
 --R             1       2       3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 26
 
 --S 27 of 39
@@ -297,7 +298,7 @@ y := y1*i + y2*j + y3*k
 --R
 --R   (27)  y1 e  + y2 e  + y3 e
 --R             1       2       3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 27
 
 --S 28 of 39
@@ -306,7 +307,7 @@ x + y
 --R
 --R   (28)  (y1 + x1)e  + (y2 + x2)e  + (y3 + x3)e
 --R                   1             2             3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 28
 
 --S 29 of 39
@@ -314,7 +315,7 @@ x * y + y * x
 --R 
 --R
 --R   (29)  0
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 29
 
 \end{chunk}
@@ -339,13 +340,14 @@ The vector cross product is then given by
 --S 31 of 39
 dual2(x*y)
 --R 
---R   Compiling function dual2 with type CliffordAlgebra(3,Fraction 
---R      Polynomial Integer,MATRIX) -> CliffordAlgebra(3,Fraction 
---R      Polynomial Integer,MATRIX) 
+--R   Compiling function dual2 with type CliffordAlgebra(3,Fraction(
+--R      Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]]) -> 
+--R      CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],
+--R      [0,0,0]]) 
 --R
 --R   (31)  (x2 y3 - x3 y2)e  + (- x1 y3 + x3 y1)e  + (x1 y2 - x2 y1)e
 --R                         1                     2                   3
---R                  Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)
+--RType: CliffordAlgebra(3,Fraction(Polynomial(Integer)),[[0,0,0],[0,0,0],[0,0,0]])
 --E 31
 
 \end{chunk} 
@@ -357,7 +359,7 @@ The Dirac Algebra used in Quantum Field Theory.
 K := FRAC INT
 --R 
 --R
---R   (32)  Fraction Integer
+--R   (32)  Fraction(Integer)
 --R                                                                 Type: Domain
 --E 32
 
@@ -372,7 +374,7 @@ g: SQMATRIX(4, K) := [[1,0,0,0],[0,-1,0,0],[0,0,-1,0],[0,0,0,-1]]
 --R         |0   0   - 1   0 |
 --R         |                |
 --R         +0   0    0   - 1+
---R                                       Type: SquareMatrix(4,Fraction Integer)
+--R                                      Type: SquareMatrix(4,Fraction(Integer))
 --E 33
 
 --S 34 of 39
@@ -386,14 +388,16 @@ qf: QFORM(4, K) := quadraticForm g
 --R         |0   0   - 1   0 |
 --R         |                |
 --R         +0   0    0   - 1+
---R                                      Type: QuadraticForm(4,Fraction Integer)
+--R                                     Type: QuadraticForm(4,Fraction(Integer))
 --E 34
 
 --S 35 of 39
 D := CLIF(4,K,qf)
 --R 
 --R
---R   (35)  CliffordAlgebra(4,Fraction Integer,MATRIX)
+--R   (35)
+--R  CliffordAlgebra(4,Fraction(Integer),[[1,0,0,0],[0,-1,0,0],[0,0,-1,0],[0,0,0,-
+--R  1]])
 --R                                                                 Type: Domain
 --E 35
 
@@ -406,7 +410,7 @@ gam := [e(i)$D for i in 1..4]
 --R
 --R   (36)  [e ,e ,e ,e ]
 --R           1  2  3  4
---R                        Type: List CliffordAlgebra(4,Fraction Integer,MATRIX)
+--RType: List(CliffordAlgebra(4,Fraction(Integer),[[1,0,0,0],[0,-1,0,0],[0,0,-1,0],[0,0,0,-1]]))
 --E 36
  
 \end{chunk}
@@ -433,7 +437,7 @@ lhs := reduce(+,[reduce(+,[g(l,t)*gam(l)*gam(m)*gam(n)*gam(r)*gam(s)*gam(t)
 --R
 --R   (38)  - 4e e e e
 --R             1 2 3 4
---R                             Type: CliffordAlgebra(4,Fraction Integer,MATRIX)
+--RType: CliffordAlgebra(4,Fraction(Integer),[[1,0,0,0],[0,-1,0,0],[0,0,-1,0],[0,0,0,-1]])
 --E 38
 
 --S 39 of 39
@@ -442,7 +446,7 @@ rhs := 2*(gam s * gam m*gam n*gam r + gam r*gam n*gam m*gam s)
 --R
 --R   (39)  - 4e e e e
 --R             1 2 3 4
---R                             Type: CliffordAlgebra(4,Fraction Integer,MATRIX)
+--RType: CliffordAlgebra(4,Fraction(Integer),[[1,0,0,0],[0,-1,0,0],[0,0,-1,0],[0,0,0,-1]])
 --E 39
 )spool
 )lisp (bye)
diff --git a/src/input/coercels.input.pamphlet b/src/input/coercels.input.pamphlet
index 493ddc8..b565ae1 100644
--- a/src/input/coercels.input.pamphlet
+++ b/src/input/coercels.input.pamphlet
@@ -26,7 +26,7 @@ alternatingGroup 4
 --R 
 --R
 --R   (1)  <(1 2)(3 4),(1 2 3)>
---R                                               Type: PermutationGroup Integer
+--R                                              Type: PermutationGroup(Integer)
 --E 1
 
 --S 2 of 8
@@ -34,7 +34,7 @@ alternatingGroup 4
 --R 
 --R
 --R   (2)  [(1 2)(3 4),(1 2 3)]
---R                                               Type: List Permutation Integer
+--R                                             Type: List(Permutation(Integer))
 --E 2
 
 --S 3 of 8
@@ -42,14 +42,14 @@ li := %
 --R 
 --R
 --R   (3)  [(1 2)(3 4),(1 2 3)]
---R                                               Type: List Permutation Integer
+--R                                             Type: List(Permutation(Integer))
 --E 3
 
 --S 4 of 8
 pgr := MonoidRing(Polynomial PrimeField 5, Permutation Integer)
 --R 
 --R
---R   (4)  MonoidRing(Polynomial PrimeField 5,Permutation Integer)
+--R   (4)  MonoidRing(Polynomial(PrimeField(5)),Permutation(Integer))
 --R                                                                 Type: Domain
 --E 4
 
@@ -58,7 +58,7 @@ p : pgr := first  li
 --R 
 --R
 --R   (5)  (1 2)(3 4)
---R                Type: MonoidRing(Polynomial PrimeField 5,Permutation Integer)
+--R             Type: MonoidRing(Polynomial(PrimeField(5)),Permutation(Integer))
 --E 5
 
 --S 6 of 8
@@ -66,7 +66,7 @@ q : pgr := first  li
 --R 
 --R
 --R   (6)  (1 2)(3 4)
---R                Type: MonoidRing(Polynomial PrimeField 5,Permutation Integer)
+--R             Type: MonoidRing(Polynomial(PrimeField(5)),Permutation(Integer))
 --E 6
 
 --S 7 of 8
@@ -76,7 +76,7 @@ basis  := [p,q,p*p,p*q, q*p,q*q, p*q*q, p*q*p, q*p*q,q*q*p,q*p*q*q,q*q*p*q]
 --R   (7)
 --R   [(1 2)(3 4), (1 2)(3 4), 1, 1, 1, 1, (1 2)(3 4), (1 2)(3 4), (1 2)(3 4),
 --R    (1 2)(3 4), 1, 1]
---R           Type: List MonoidRing(Polynomial PrimeField 5,Permutation Integer)
+--R       Type: List(MonoidRing(Polynomial(PrimeField(5)),Permutation(Integer)))
 --E 7
 
 --S 8 of 8
@@ -84,7 +84,7 @@ basis  := [p,q,p*p,p*q, q*p,q*q, p*q*q, p*q*p, q*p*q,q*q*p,q*p*q*q,q*q*p*q]
 --R 
 --R
 --R   (8)  {(1 2)(3 4),1}
---R            Type: Set MonoidRing(Polynomial PrimeField 5,Permutation Integer)
+--R        Type: Set(MonoidRing(Polynomial(PrimeField(5)),Permutation(Integer)))
 --E 8
 )spool
 )lisp (bye)
diff --git a/src/input/collect.input.pamphlet b/src/input/collect.input.pamphlet
index dc2b3e0..dd89198 100644
--- a/src/input/collect.input.pamphlet
+++ b/src/input/collect.input.pamphlet
@@ -26,7 +26,7 @@ a := [i**3 for i in 0..10]
 --R 
 --R
 --R   (1)  [0,1,8,27,64,125,216,343,512,729,1000]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 1
 
 --S 2 of 55
@@ -34,7 +34,7 @@ b := expand [0..10]
 --R 
 --R
 --R   (2)  [0,1,2,3,4,5,6,7,8,9,10]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 2
 
 --S 3 of 55
@@ -42,7 +42,7 @@ c := [x**3 for x in b]
 --R 
 --R
 --R   (3)  [0,1,8,27,64,125,216,343,512,729,1000]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 3
 
 --S 4 of 55
@@ -50,7 +50,7 @@ d := [i**3 for i in 0..10 | even? i]
 --R 
 --R
 --R   (4)  [0,8,64,216,512,1000]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 4
 
 --S 5 of 55
@@ -58,7 +58,7 @@ d := [x**3 for x in b | even? x]
 --R 
 --R
 --R   (5)  [0,8,64,216,512,1000]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 5
 
 --S 6 of 55
@@ -66,7 +66,7 @@ d := [x for x in c | even? x]
 --R 
 --R
 --R   (6)  [0,8,64,216,512,1000]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 6
 
 --S 7 of 55
@@ -74,7 +74,7 @@ d := [i**3 for i in 0..10 by 2 | even? i]
 --R 
 --R
 --R   (7)  [0,8,64,216,512,1000]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 7
 
 --S 8 of 55
@@ -82,7 +82,7 @@ e := reverse [i**3 for i in 10..0 by -2 | even? i]
 --R 
 --R
 --R   (8)  [0,8,64,216,512,1000]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 8
 
 --S 9 of 55
@@ -90,42 +90,42 @@ e := reverse [i**3 for i in 10..0 by -2 | even? i]
 --R 
 --R
 --R   (9)  [0,0,0,0,0,0]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 9
 
 --S 10 of 55
 [x**3 - y for x in b | even? x for y in e]
 --R
 --R   (10)  [0,- 56,- 448]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 10
 
 --S 11 of 55
 f := [i**3 for i in 0..]
 --R
 --R   (11)  [0,1,8,27,64,125,216,343,512,729,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 11
 
 --S 12 of 55
 [i**3 for i in 0..10]
 --R
 --R   (12)  [0,1,8,27,64,125,216,343,512,729,1000]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 12
 
 --S 13 of 55
 [i**3 for i in 0.. while i < 11]
 --R
 --R   (13)  [0,1,8,27,64,125,216,343,512,729,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 13
 
 --S 14 of 55
 [i**3 for i in 0.. for x in 0..10]
 --R
 --R   (14)  [0,1,8,27,64,125,216,343,512,729,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 14
 
 --S 15 of 55
@@ -134,7 +134,7 @@ f := [i**3 for i in 0..]
 --R   (15)
 --R   [[1,0,0,0], [1,1,1,1], [1,2,4,8], [1,3,9,27], [1,4,16,64], [1,5,25,125],
 --R    [1,6,36,216], [1,7,49,343], [1,8,64,512], [1,9,81,729], ...]
---R                                         Type: Stream List NonNegativeInteger
+--R                                       Type: Stream(List(NonNegativeInteger))
 --E 15
 
 --S 16 of 55
@@ -144,14 +144,14 @@ f := [i**3 for i in 0..]
 --R   [[1,0,0,0,0,0,0,0,0,0,...], [1,1,1,1,1,1,1,1,1,1,...],
 --R    [1,2,4,8,16,32,64,128,256,512,...],
 --R    [1,3,9,27,81,243,729,2187,6561,19683,...]]
---R                                           Type: List Stream Fraction Integer
+--R                                        Type: List(Stream(Fraction(Integer)))
 --E 16
 
 --S 17 of 55
 brace [i**3 for i in 10..0 by -2]
 --R
 --R   (17)  {0,8,64,216,512,1000}
---R                                                 Type: Set NonNegativeInteger
+--R                                                Type: Set(NonNegativeInteger)
 --E 17
 
 -- Input generated from ContinuedFractionXmpPage
@@ -164,7 +164,7 @@ c := continuedFraction(314159/100000)
 --R              1 |     1  |     1 |     1  |     1 |     1 |     1 |
 --R   (1)  3 + +---+ + +----+ + +---+ + +----+ + +---+ + +---+ + +---+
 --R            | 7     | 15     | 1     | 25     | 1     | 7     | 4
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 18
 
 --S 19 of 55
@@ -172,7 +172,7 @@ partialQuotients c
 --R 
 --R
 --R   (2)  [3,7,15,1,25,1,7,4]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 19
 
 --S 20 of 55
@@ -182,7 +182,7 @@ convergents c
 --R           22 333 355 9208 9563 76149 314159
 --R   (3)  [3,--,---,---,----,----,-----,------]
 --R            7 106 113 2931 3044 24239 100000
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 20
 
 --S 21 of 55
@@ -193,7 +193,7 @@ approximants c
 --R           22 333 355 9208 9563 76149 314159
 --R   (4)  [3,--,---,---,----,----,-----,------]
 --R            7 106 113 2931 3044 24239 100000
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 21
 
 --S 22 of 55
@@ -201,7 +201,7 @@ pq := partialQuotients(1/c)
 --R 
 --R
 --R   (5)  [0,3,7,15,1,25,1,7,4]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 22
 
 --S 23 of 55
@@ -211,7 +211,7 @@ continuedFraction(first pq,repeating [1],rest pq)
 --R          1 |     1 |     1  |     1 |     1  |     1 |     1 |     1 |
 --R   (6)  +---+ + +---+ + +----+ + +---+ + +----+ + +---+ + +---+ + +---+
 --R        | 3     | 7     | 15     | 1     | 25     | 1     | 7     | 4
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 23
 
 --S 24 of 55
@@ -226,7 +226,7 @@ z:=continuedFraction(3,repeating [1],repeating [3,6])
 --R       1 |
 --R     +---+ + ...
 --R     | 6
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 24
 
 --S 25 of 55
@@ -234,7 +234,7 @@ dens:Stream Integer := cons(1,generate((x+->x+4),6))
 --R 
 --R
 --R   (8)  [1,6,10,14,18,22,26,30,34,38,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 25
 
 --S 26 of 55
@@ -249,7 +249,7 @@ cf := continuedFraction(0,repeating [1],dens)
 --R       1  |     1  |
 --R     +----+ + +----+ + ...
 --R     | 34     | 38
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 26
 
 --S 27 of 55
@@ -259,7 +259,7 @@ ccf := convergents cf
 --R              6 61  860 15541 342762  8927353 268163352  9126481321
 --R   (10)  [0,1,-,--,----,-----,------,--------,---------,-----------,...]
 --R              7 71 1001 18089 398959 10391023 312129649 10622799089
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 27
 
 --S 28 of 55
@@ -269,7 +269,7 @@ eConvergents := [2*e + 1 for e in ccf]
 --R              19 193 2721 49171 1084483 28245729 848456353 28875761731
 --R   (11)  [1,3,--,---,----,-----,-------,--------,---------,-----------,...]
 --R               7  71 1001 18089  398959 10391023 312129649 10622799089
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 28
 
 --S 29 of 55
@@ -281,7 +281,7 @@ eConvergents :: Stream Float
 --R    2.7182817182 817182817, 2.7182818287 356957267, 2.7182818284 585634113,
 --R    2.7182818284 590458514, 2.7182818284 590452348, 2.7182818284 590452354,
 --R    ...]
---R                                                           Type: Stream Float
+--R                                                          Type: Stream(Float)
 --E 29
 
 --S 30 of 55
@@ -304,7 +304,7 @@ cf := continuedFraction(1,[(2*i+1)**2 for i in 0..],repeating [2])
 --R       289 |     361 |
 --R     +-----+ + +-----+ + ...
 --R     |  2      |  2
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 31
 
 --S 32 of 55
@@ -314,7 +314,7 @@ ccf := convergents cf
 --R            3 15 105 315 3465 45045 45045 765765 14549535
 --R   (15)  [1,-,--,---,---,----,-----,-----,------,--------,...]
 --R            2 13  76 263 2578 36979 33976 622637 11064338
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 32
 
 --S 33 of 55
@@ -324,7 +324,7 @@ piConvergents := [4/p for p in ccf]
 --R            8 52 304 1052 10312 147916 135904 2490548 44257352
 --R   (16)  [4,-,--,---,----,-----,------,------,-------,--------,...]
 --R            3 15 105  315  3465  45045  45045  765765 14549535
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 33
 
 --S 34 of 55
@@ -336,7 +336,7 @@ piConvergents :: Stream Float
 --R    2.8952380952 380952381, 3.3396825396 825396825, 2.9760461760 461760462,
 --R    3.2837384837 384837385, 3.0170718170 718170718, 3.2523659347 188758953,
 --R    3.0418396189 294022111, ...]
---R                                                           Type: Stream Float
+--R                                                          Type: Stream(Float)
 --E 34
 
 --S 35 of 55
@@ -346,7 +346,7 @@ continuedFraction((- 122 + 597*%i)/(4 - 4*%i))
 --R                            1    |         1     |
 --R   (18)  - 90 + 59%i + +---------+ + +-----------+
 --R                       | 1 - 2%i     | - 1 + 2%i
---R                                      Type: ContinuedFraction Complex Integer
+--R                                    Type: ContinuedFraction(Complex(Integer))
 --E 35
 
 --S 36 of 55
@@ -364,7 +364,7 @@ r := ((x - 1) * (x - 2)) / ((x-3) * (x-4))
 --R   (20)  ------------
 --R          2
 --R         x  - 7x + 12
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 37
 
 --S 38 of 55
@@ -376,7 +376,7 @@ continuedFraction r
 --R             | 1     9     | 16     40
 --R             | - x - -     | -- x - --
 --R             | 4     8     |  3      3
---R             Type: ContinuedFraction UnivariatePolynomial(x,Fraction Integer)
+--R           Type: ContinuedFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 38
 
 --S 39 of 55
@@ -388,7 +388,7 @@ continuedFraction r
 --R    10.9999860763 98799786, 11.0000006979 29731039, 10.9999999650 15834446,
 --R    11.0000000017 53603304, 10.9999999999 12099531, 11.0000000000 04406066,
 --R    ...]
---R                                                           Type: Stream Float
+--R                                                          Type: Stream(Float)
 --E 39
 
 -- Input for page ForCollectionDetailPage
@@ -399,7 +399,7 @@ u := [i**3 for i in 1..10]
 --R 
 --R
 --R   (1)  [1,8,27,64,125,216,343,512,729,1000]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 40
 
 --S 41 of 55
@@ -416,7 +416,7 @@ u(4)
 --R
 --R           3   3   3   3   3
 --R   (3)  [8i ,8i ,8i ,8i ,8i ]
---R                                                Type: List Polynomial Integer
+--R                                              Type: List(Polynomial(Integer))
 --E 42
 
 --S 43 of 55
@@ -424,7 +424,7 @@ u(4)
 --R 
 --R
 --R   (4)  [8,64,216,512,1000]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 43
 
 --S 44 of 55
@@ -432,7 +432,7 @@ u(4)
 --R 
 --R
 --R   (5)  [8,64,216,512,1000]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 44
 
 --S 45 of 55
@@ -440,7 +440,7 @@ u(4)
 --R 
 --R
 --R   (6)  [8,64,216,512,1000]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 45
 
 -- Input for page ForStreamDetailPage
@@ -451,7 +451,7 @@ u := [i**3 for i in 1..]
 --R 
 --R
 --R   (1)  [1,8,27,64,125,216,343,512,729,1000,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 46
 
 --S 47 of 55
@@ -467,7 +467,7 @@ u
 --R 
 --R
 --R   (3)  [1,8,27,64,125,216,343,512,729,1000,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 48
 
 --S 49 of 55
@@ -483,7 +483,7 @@ u(16)
 --R 
 --R
 --R   (5)  [0,8,64,216,512,1000,1728,2744,4096,5832,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 50
 
 --S 51 of 55
@@ -491,7 +491,7 @@ u(16)
 --R 
 --R
 --R   (6)  [0,8,64,216,512,1000,1728,2744,4096,5832,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 51
 
 --S 52 of 55
@@ -499,7 +499,7 @@ u(16)
 --R 
 --R
 --R   (7)  [0,8,64,216,512,1000,1728,2744,4096,5832,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 52
 
 --S 53 of 55
@@ -507,7 +507,7 @@ u(16)
 --R 
 --R
 --R   (8)  [8,64,216,512,1000,1728,2744,4096,5832,8000,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 53
 
 --S 54 of 55
@@ -515,7 +515,7 @@ u(16)
 --R 
 --R
 --R   (9)  [8,64,216,512,1000,1728,2744,4096,5832,8000,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 54
 
 --S 55 of 55
@@ -523,7 +523,7 @@ u(16)
 --R 
 --R
 --R   (10)  [8,64,216,512,1000,1728,2744,4096,5832,8000,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 55
 )spool
 )lisp (bye)
diff --git a/src/input/complex.input.pamphlet b/src/input/complex.input.pamphlet
index 11ed873..1d677af 100644
--- a/src/input/complex.input.pamphlet
+++ b/src/input/complex.input.pamphlet
@@ -30,7 +30,7 @@ a := complex(4/3,5/2)
 --R        4   5
 --R   (1)  - + - %i
 --R        3   2
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 1
 
 --S 2 of 16
@@ -40,7 +40,7 @@ b := complex(4/3,-5/2)
 --R        4   5
 --R   (2)  - - - %i
 --R        3   2
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 2
 
 --S 3 of 16
@@ -50,7 +50,7 @@ a + b
 --R        8
 --R   (3)  -
 --R        3
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 3
 
 --S 4 of 16
@@ -58,7 +58,7 @@ a - b
 --R 
 --R
 --R   (4)  5%i
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 4
 
 --S 5 of 16
@@ -68,7 +68,7 @@ a * b
 --R        289
 --R   (5)  ---
 --R         36
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 5
 
 --S 6 of 16
@@ -78,7 +78,7 @@ a / b
 --R          161   240
 --R   (6)  - --- + --- %i
 --R          289   289
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 6
 
 --S 7 of 16
@@ -88,7 +88,7 @@ a / b
 --R        - 15 + 8%i
 --R   (7)  ----------
 --R         15 + 8%i
---R                                               Type: Fraction Complex Integer
+--R                                             Type: Fraction(Complex(Integer))
 --E 7
 
 --S 8 of 16
@@ -96,7 +96,7 @@ a / b
 --R 
 --R
 --R   (8)  3.4 + 6.7 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 8
 
 --S 9 of 16
@@ -106,7 +106,7 @@ conjugate a
 --R        4   5
 --R   (9)  - - - %i
 --R        3   2
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 9
 
 --S 10 of 16
@@ -116,7 +116,7 @@ norm a
 --R         289
 --R   (10)  ---
 --R          36
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 10
 
 --S 11 of 16
@@ -126,7 +126,7 @@ real a
 --R         4
 --R   (11)  -
 --R         3
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 11
 
 --S 12 of 16
@@ -136,7 +136,7 @@ imag a
 --R         5
 --R   (12)  -
 --R         2
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 12
 
 --S 13 of 16
@@ -144,7 +144,7 @@ gcd(13 - 13*%i,31 + 27*%i)
 --R 
 --R
 --R   (13)  5 + %i
---R                                                        Type: Complex Integer
+--R                                                       Type: Complex(Integer)
 --E 13
 
 --S 14 of 16
@@ -152,7 +152,7 @@ lcm(13 - 13*%i,31 + 27*%i)
 --R 
 --R
 --R   (14)  143 - 39%i
---R                                                        Type: Complex Integer
+--R                                                       Type: Complex(Integer)
 --E 14
 
 --S 15 of 16
@@ -160,7 +160,7 @@ factor(13 - 13*%i)
 --R 
 --R
 --R   (15)  - (1 + %i)(2 + 3%i)(3 + 2%i)
---R                                               Type: Factored Complex Integer
+--R                                             Type: Factored(Complex(Integer))
 --E 15
 
 --S 16 of 16
@@ -169,7 +169,7 @@ factor complex(2,0)
 --R
 --R                      2
 --R   (16)  - %i (1 + %i)
---R                                               Type: Factored Complex Integer
+--R                                             Type: Factored(Complex(Integer))
 --E 16
 )spool
 )lisp (bye)
diff --git a/src/input/complexfactor.input.pamphlet b/src/input/complexfactor.input.pamphlet
index 9c6f531..283a3a6 100644
--- a/src/input/complexfactor.input.pamphlet
+++ b/src/input/complexfactor.input.pamphlet
@@ -20,192 +20,192 @@ along with an example of modemap searching.
 )set message auto off
 )clear all
 )set message bottomup on
- 
+
 --S 1 of 4
 t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
      %i*(3*x^6 - 9*x^5 + 30*x^4 + 15*x^3 + 17*x*2 - 33*x -7)
 --R 
 --R
 --R Function Selection for ^
---R      Arguments: (VARIABLE x,PI) 
---R      Default target type: Polynomial Integer 
---R   -> no appropriate ** found in Variable x 
+--R      Arguments: (VARIABLE(x),PI) 
+--R      Default target type: Polynomial(Integer) 
+--R   -> no appropriate ** found in Variable(x) 
 --R   -> no appropriate ** found in PositiveInteger 
 --R   -> no appropriate ** found in Symbol 
 --R   -> no appropriate ** found in Integer 
---R   -> no appropriate ** found in Polynomial Integer 
---R   -> no appropriate ** found in Variable x 
+--R   -> no appropriate ** found in Polynomial(Integer) 
+--R   -> no appropriate ** found in Variable(x) 
 --R   -> no appropriate ** found in PositiveInteger 
 --R   -> no appropriate ** found in Symbol 
 --R   -> no appropriate ** found in Integer 
---Rcost=50000 for **: (Polynomial Integer,NonNegativeInteger) -> Polynomial Integer
---Rcost=50000 for **: (Polynomial Integer,PositiveInteger) -> Polynomial Integer
---R   -> no appropriate ^ found in Variable x 
+--Rcost=50000 for **: (Polynomial(Integer),NonNegativeInteger) -> Polynomial(Integer)
+--Rcost=50000 for **: (Polynomial(Integer),PositiveInteger) -> Polynomial(Integer)
+--R   -> no appropriate ^ found in Variable(x) 
 --R   -> no appropriate ^ found in PositiveInteger 
 --R   -> no appropriate ^ found in Symbol 
 --R   -> no appropriate ^ found in Integer 
---R   -> no appropriate ^ found in Polynomial Integer 
---R   -> no appropriate ^ found in Variable x 
+--R   -> no appropriate ^ found in Polynomial(Integer) 
+--R   -> no appropriate ^ found in Variable(x) 
 --R   -> no appropriate ^ found in PositiveInteger 
 --R   -> no appropriate ^ found in Symbol 
 --R   -> no appropriate ^ found in Integer 
---Rcost=50000 for ^: (Polynomial Integer,NonNegativeInteger) -> Polynomial Integer
---Rcost=50000 for ^: (Polynomial Integer,PositiveInteger) -> Polynomial Integer
+--Rcost=50000 for ^: (Polynomial(Integer),NonNegativeInteger) -> Polynomial(Integer)
+--Rcost=50000 for ^: (Polynomial(Integer),PositiveInteger) -> Polynomial(Integer)
 --R 
---R [1]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [2]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
---R [3]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [4]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
+--R [1]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [2]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
+--R [3]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [4]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for -
---R      Arguments: POLY INT 
+--R      Arguments: POLY(INT) 
 --R 
---R [1]  signature:   POLY INT -> POLY INT
---R      implemented: slot $$ from POLY INT
+--R [1]  signature:   POLY(INT) -> POLY(INT)
+--R      implemented: slot $$ from POLY(INT)
 --R 
 --R
 --R Function Selection for ^
---R      Arguments: (VARIABLE x,PI) 
---R      Default target type: Polynomial Integer 
+--R      Arguments: (VARIABLE(x),PI) 
+--R      Default target type: Polynomial(Integer) 
 --R 
---R [1]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [2]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
---R [3]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [4]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
+--R [1]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [2]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
+--R [3]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [4]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for +
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for ^
---R      Arguments: (VARIABLE x,PI) 
---R      Default target type: Polynomial Integer 
+--R      Arguments: (VARIABLE(x),PI) 
+--R      Default target type: Polynomial(Integer) 
 --R 
---R [1]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [2]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
---R [3]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [4]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
+--R [1]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [2]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
+--R [3]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [4]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for +
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for ^
---R      Arguments: (VARIABLE x,PI) 
---R      Default target type: Polynomial Integer 
+--R      Arguments: (VARIABLE(x),PI) 
+--R      Default target type: Polynomial(Integer) 
 --R 
---R [1]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [2]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
---R [3]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [4]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
+--R [1]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [2]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
+--R [3]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [4]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for -
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (PI,VARIABLE x) 
+--R      Arguments: (PI,VARIABLE(x)) 
 --R   -> no appropriate * found in PositiveInteger 
---R   -> no appropriate * found in Variable x 
+--R   -> no appropriate * found in Variable(x) 
 --R   -> no appropriate * found in Integer 
 --R   -> no appropriate * found in Symbol 
---R   -> no appropriate * found in Polynomial Integer 
+--R   -> no appropriate * found in Polynomial(Integer) 
 --R   -> no appropriate * found in PositiveInteger 
---R   -> no appropriate * found in Variable x 
+--R   -> no appropriate * found in Variable(x) 
 --R   -> no appropriate * found in Integer 
 --R   -> no appropriate * found in Symbol 
---Rcost=52300 for *: (Integer,Polynomial Integer) -> Polynomial Integer
---Rcost=52300 for *: (Integer,Polynomial Integer) -> Polynomial Integer
---Rcost=52300 for *: (NonNegativeInteger,Polynomial Integer) -> Polynomial Integer
---Rcost=92300 for *: (Polynomial Integer,Polynomial Integer) -> Polynomial Integer
---Rcost=52300 for *: (PositiveInteger,Polynomial Integer) -> Polynomial Integer
---R 
---R [1]  signature:   (INT,POLY INT) -> POLY INT
---R      implemented: slot $(Integer)$ from POLY INT
---R [2]  signature:   (INT,POLY INT) -> POLY INT
---R      implemented: slot $(Integer)$ from POLY INT
---R [3]  signature:   (NNI,POLY INT) -> POLY INT
---R      implemented: slot $(NonNegativeInteger)$ from POLY INT
---R [4]  signature:   (PI,POLY INT) -> POLY INT
---R      implemented: slot $(PositiveInteger)$ from POLY INT
---R [5]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--Rcost=52300 for *: (Integer,Polynomial(Integer)) -> Polynomial(Integer)
+--Rcost=52300 for *: (Integer,Polynomial(Integer)) -> Polynomial(Integer)
+--Rcost=52300 for *: (NonNegativeInteger,Polynomial(Integer)) -> Polynomial(Integer)
+--Rcost=92300 for *: (Polynomial(Integer),Polynomial(Integer)) -> Polynomial(Integer)
+--Rcost=52300 for *: (PositiveInteger,Polynomial(Integer)) -> Polynomial(Integer)
+--R 
+--R [1]  signature:   (INT,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(Integer)$ from POLY(INT)
+--R [2]  signature:   (INT,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(Integer)$ from POLY(INT)
+--R [3]  signature:   (NNI,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(NonNegativeInteger)$ from POLY(INT)
+--R [4]  signature:   (PI,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(PositiveInteger)$ from POLY(INT)
+--R [5]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for -
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for -
---R      Arguments: (POLY INT,PI) 
---R   -> no appropriate - found in Polynomial Integer 
+--R      Arguments: (POLY(INT),PI) 
+--R   -> no appropriate - found in Polynomial(Integer) 
 --R   -> no appropriate - found in PositiveInteger 
 --R   -> no appropriate - found in Integer 
 --R   -> no appropriate - found in PositiveInteger 
 --R   -> no appropriate - found in Integer 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for complex
@@ -221,238 +221,238 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R   no modemaps
 --R
 --R Remaining General Modemaps 
---R   [1] (D1,D1) -> D from D if D has COMPCAT D1 and D1 has COMRING
+--R   [1] (D1,D1) -> D from D if D has COMPCAT(D1) and D1 has COMRING
 --R 
---R [1]  signature:   (INT,INT) -> COMPLEX INT
---R      implemented: slot $(Integer)(Integer) from COMPLEX INT
+--R [1]  signature:   (INT,INT) -> COMPLEX(INT)
+--R      implemented: slot $(Integer)(Integer) from COMPLEX(INT)
 --R 
 --R
 --R Function Selection for ^
---R      Arguments: (VARIABLE x,PI) 
---R      Default target type: Polynomial Integer 
+--R      Arguments: (VARIABLE(x),PI) 
+--R      Default target type: Polynomial(Integer) 
 --R 
---R [1]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [2]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
---R [3]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [4]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
+--R [1]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [2]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
+--R [3]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [4]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for ^
---R      Arguments: (VARIABLE x,PI) 
---R      Default target type: Polynomial Integer 
+--R      Arguments: (VARIABLE(x),PI) 
+--R      Default target type: Polynomial(Integer) 
 --R 
---R [1]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [2]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
---R [3]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [4]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
+--R [1]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [2]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
+--R [3]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [4]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for -
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for ^
---R      Arguments: (VARIABLE x,PI) 
---R      Default target type: Polynomial Integer 
+--R      Arguments: (VARIABLE(x),PI) 
+--R      Default target type: Polynomial(Integer) 
 --R 
---R [1]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [2]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
---R [3]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [4]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
+--R [1]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [2]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
+--R [3]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [4]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for +
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for ^
---R      Arguments: (VARIABLE x,PI) 
---R      Default target type: Polynomial Integer 
+--R      Arguments: (VARIABLE(x),PI) 
+--R      Default target type: Polynomial(Integer) 
 --R 
---R [1]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [2]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
---R [3]  signature:   (POLY INT,NNI) -> POLY INT
---R      implemented: slot $$(NonNegativeInteger) from POLY INT
---R [4]  signature:   (POLY INT,PI) -> POLY INT
---R      implemented: slot $$(PositiveInteger) from POLY INT
+--R [1]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [2]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
+--R [3]  signature:   (POLY(INT),NNI) -> POLY(INT)
+--R      implemented: slot $$(NonNegativeInteger) from POLY(INT)
+--R [4]  signature:   (POLY(INT),PI) -> POLY(INT)
+--R      implemented: slot $$(PositiveInteger) from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for +
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (PI,VARIABLE x) 
+--R      Arguments: (PI,VARIABLE(x)) 
 --R 
---R [1]  signature:   (INT,POLY INT) -> POLY INT
---R      implemented: slot $(Integer)$ from POLY INT
---R [2]  signature:   (INT,POLY INT) -> POLY INT
---R      implemented: slot $(Integer)$ from POLY INT
---R [3]  signature:   (NNI,POLY INT) -> POLY INT
---R      implemented: slot $(NonNegativeInteger)$ from POLY INT
---R [4]  signature:   (PI,POLY INT) -> POLY INT
---R      implemented: slot $(PositiveInteger)$ from POLY INT
---R [5]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (INT,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(Integer)$ from POLY(INT)
+--R [2]  signature:   (INT,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(Integer)$ from POLY(INT)
+--R [3]  signature:   (NNI,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(NonNegativeInteger)$ from POLY(INT)
+--R [4]  signature:   (PI,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(PositiveInteger)$ from POLY(INT)
+--R [5]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for +
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (PI,VARIABLE x) 
+--R      Arguments: (PI,VARIABLE(x)) 
 --R 
---R [1]  signature:   (INT,POLY INT) -> POLY INT
---R      implemented: slot $(Integer)$ from POLY INT
---R [2]  signature:   (INT,POLY INT) -> POLY INT
---R      implemented: slot $(Integer)$ from POLY INT
---R [3]  signature:   (NNI,POLY INT) -> POLY INT
---R      implemented: slot $(NonNegativeInteger)$ from POLY INT
---R [4]  signature:   (PI,POLY INT) -> POLY INT
---R      implemented: slot $(PositiveInteger)$ from POLY INT
---R [5]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (INT,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(Integer)$ from POLY(INT)
+--R [2]  signature:   (INT,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(Integer)$ from POLY(INT)
+--R [3]  signature:   (NNI,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(NonNegativeInteger)$ from POLY(INT)
+--R [4]  signature:   (PI,POLY(INT)) -> POLY(INT)
+--R      implemented: slot $(PositiveInteger)$ from POLY(INT)
+--R [5]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for -
---R      Arguments: (POLY INT,POLY INT) 
+--R      Arguments: (POLY(INT),POLY(INT)) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for -
---R      Arguments: (POLY INT,PI) 
+--R      Arguments: (POLY(INT),PI) 
 --R 
---R [1]  signature:   (POLY INT,POLY INT) -> POLY INT
---R      implemented: slot $$$ from POLY INT
+--R [1]  signature:   (POLY(INT),POLY(INT)) -> POLY(INT)
+--R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
 --R Function Selection for *
---R      Arguments: (COMPLEX INT,POLY INT) 
---R   -> no appropriate * found in Complex Integer 
---R   -> no appropriate * found in Polynomial Integer 
---R   -> no appropriate * found in Polynomial Complex Integer 
---R   -> no appropriate * found in Complex Integer 
---R   -> no appropriate * found in Polynomial Integer 
---Icost=43300 for *: (Complex Integer,Polynomial Complex Integer) -> ...
---Icost=83300 for *: (Polynomial Complex Integer,Polynomial Complex ...
+--R      Arguments: (COMPLEX(INT),POLY(INT)) 
+--R   -> no appropriate * found in Complex(Integer) 
+--R   -> no appropriate * found in Polynomial(Integer) 
+--R   -> no appropriate * found in Polynomial(Complex(Integer)) 
+--R   -> no appropriate * found in Complex(Integer) 
+--R   -> no appropriate * found in Polynomial(Integer) 
+--Rcost=43300 for *: (Complex(Integer),Polynomial(Complex(Integer))) -> Polynomial(Complex(Integer))
+--Rcost=83300 for *: (Polynomial(Complex(Integer)),Polynomial(Complex(Integer))) -> Polynomial(Complex(Integer))
 --R 
---R [1]  signature:   (COMPLEX INT,POLY COMPLEX INT) -> POLY COMPLEX INT
---R      implemented: slot $(Complex (Integer))$ from POLY COMPLEX INT
---R [2]  signature:   (POLY COMPLEX INT,POLY COMPLEX INT) -> POLY COMPLEX INT
---R      implemented: slot $$$ from POLY COMPLEX INT
+--R [1]  signature:   (COMPLEX(INT),POLY(COMPLEX(INT))) -> POLY(COMPLEX(INT))
+--R      implemented: slot $(Complex (Integer))$ from POLY(COMPLEX(INT))
+--R [2]  signature:   (POLY(COMPLEX(INT)),POLY(COMPLEX(INT))) -> POLY(COMPLEX(INT))
+--R      implemented: slot $$$ from POLY(COMPLEX(INT))
 --R 
 --R
 --R Function Selection for map by coercion facility (map) 
---R      Arguments: ((INT -> COMPLEX INT),POLY INT) 
---R      Target type: POLY COMPLEX INT 
---R   -> no appropriate map found in Polynomial Integer 
---R   -> no appropriate map found in Polynomial Complex Integer 
---R   -> no appropriate map found in Complex Integer 
+--R      Arguments: ((INT -> COMPLEX(INT)),POLY(INT)) 
+--R      Target type: POLY(COMPLEX(INT)) 
+--R   -> no appropriate map found in Polynomial(Integer) 
+--R   -> no appropriate map found in Polynomial(Complex(Integer)) 
+--R   -> no appropriate map found in Complex(Integer) 
 --R   -> no appropriate map found in Integer 
---R   -> no appropriate map found in Complex Integer 
+--R   -> no appropriate map found in Complex(Integer) 
 --R
 --R Modemaps from Associated Packages 
 --R   [1] ((D4 -> D5),D3) -> D1
 --R            from UnivariatePolynomialCategoryFunctions2(D4,D3,D5,D1)
---R            if D4 has RING and D5 has RING and D1 has UPOLYC D5 and D3 
---R            has UPOLYC D4
+--R            if D4 has RING and D5 has RING and D1 has UPOLYC(D5) and D3
+--R            has UPOLYC(D4)
 --R   [2] ((D5 -> D7),UnivariatePolynomial(D4,D5)) -> UnivariatePolynomial
 --R            (D6,D7)
 --R            from UnivariatePolynomialFunctions2(D4,D5,D6,D7)
 --R            if D4: SYMBOL and D5 has RING and D7 has RING and D6: 
 --R            SYMBOL
---R   [3] ((D4 -> D5),SparseUnivariatePolynomial D4) -> 
---R            SparseUnivariatePolynomial D5
+--R   [3] ((D4 -> D5),SparseUnivariatePolynomial(D4)) -> 
+--R            SparseUnivariatePolynomial(D5)
 --R            from SparseUnivariatePolynomialFunctions2(D4,D5)
 --R            if D4 has RING and D5 has RING
---R   [4] ((D4 -> D5),Polynomial D4) -> Polynomial D5
+--R   [4] ((D4 -> D5),Polynomial(D4)) -> Polynomial(D5)
 --R            from PolynomialFunctions2(D4,D5) if D4 has RING and D5 has 
 --R            RING
 --R 
---R [1]  signature:   ((INT -> COMPLEX INT),POLY INT) -> POLY COMPLEX INT
---I      implemented: slot (Polynomial (Complex (Integer)))...
+--R [1]  signature:   ((INT -> COMPLEX(INT)),POLY(INT)) -> POLY(COMPLEX(INT))
+--R      implemented: slot (Polynomial (Complex (Integer)))(Mapping (Complex (Integer)) (Integer))(Polynomial (Integer)) from POLY2(INT,COMPLEX(INT))
 --R 
 --R
 --R Function Selection for +
---R      Arguments: (POLY INT,POLY COMPLEX INT) 
---R   -> no appropriate + found in Polynomial Integer 
---R   -> no appropriate + found in Polynomial Complex Integer 
---R   -> no appropriate + found in Polynomial Integer 
+--R      Arguments: (POLY(INT),POLY(COMPLEX(INT))) 
+--R   -> no appropriate + found in Polynomial(Integer) 
+--R   -> no appropriate + found in Polynomial(Complex(Integer)) 
+--R   -> no appropriate + found in Polynomial(Integer) 
 --R 
---R [1]  signature:   (POLY COMPLEX INT,POLY COMPLEX INT) -> POLY COMPLEX INT
---R      implemented: slot $$$ from POLY COMPLEX INT
+--R [1]  signature:   (POLY(COMPLEX(INT)),POLY(COMPLEX(INT))) -> POLY(COMPLEX(INT))
+--R      implemented: slot $$$ from POLY(COMPLEX(INT))
 --R 
 --R
 --R Function Selection for map by coercion facility (map) 
---R      Arguments: ((INT -> COMPLEX INT),POLY INT) 
---R      Target type: POLY COMPLEX INT 
+--R      Arguments: ((INT -> COMPLEX(INT)),POLY(INT)) 
+--R      Target type: POLY(COMPLEX(INT)) 
 --R 
---R [1]  signature:   ((INT -> COMPLEX INT),POLY INT) -> POLY COMPLEX INT
---I      implemented: slot (Polynomial (Complex (Integer)))...
+--R [1]  signature:   ((INT -> COMPLEX(INT)),POLY(INT)) -> POLY(COMPLEX(INT))
+--R      implemented: slot (Polynomial (Complex (Integer)))(Mapping (Complex (Integer)) (Integer))(Polynomial (Integer)) from POLY2(INT,COMPLEX(INT))
 --R 
 --R
 --R   (1)
@@ -460,7 +460,7 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R     (- 7 + 3%i)x  - 9%i x  + (10 + 30%i)x  + (24 + 15%i)x  - 14x
 --R   + 
 --R     (- 27 + %i)x - 42 - 7%i
---R                                             Type: Polynomial Complex Integer
+--R                                           Type: Polynomial(Complex(Integer))
 --E 1
 
 --S 2 of 4
@@ -468,81 +468,81 @@ t2:=factor t1
 --R 
 --R
 --R Function Selection for factor
---R      Arguments: POLY COMPLEX INT 
---R   -> no appropriate factor found in Polynomial Complex Integer 
---R   -> no appropriate factor found in Polynomial Complex Integer 
+--R      Arguments: POLY(COMPLEX(INT)) 
+--R   -> no appropriate factor found in Polynomial(Complex(Integer)) 
+--R   -> no appropriate factor found in Polynomial(Complex(Integer)) 
 --R
 --R Modemaps from Associated Packages 
 --R   no modemaps
 --R
 --R Remaining General Modemaps 
---R   [1] D -> Factored D from D if D has UFD
---R   [2] D2 -> Factored D2 from SAERationalFunctionAlgFactor(D3,D4,D2)
---R            if D3 has UPOLYC FRAC POLY INT and D4 has Join(Field,
---R            CharacteristicZero,MonogenicAlgebra(Fraction Polynomial 
---R            Integer,D3)) and D2 has UPOLYC D4
---R   [3] D2 -> Factored D2 from SimpleAlgebraicExtensionAlgFactor(D3,D4,
+--R   [1] D -> Factored(D) from D if D has UFD
+--R   [2] D2 -> Factored(D2) from SAERationalFunctionAlgFactor(D3,D4,D2)
+--R            if D3 has UPOLYC(FRAC(POLY(INT))) and D4 has Join(Field,
+--R            CharacteristicZero,MonogenicAlgebra(Fraction(Polynomial(
+--R            Integer)),D3)) and D2 has UPOLYC(D4)
+--R   [3] D2 -> Factored(D2) from SimpleAlgebraicExtensionAlgFactor(D3,D4,
 --R            D2)
---R            if D3 has UPOLYC FRAC INT and D4 has Join(Field,
---R            CharacteristicZero,MonogenicAlgebra(Fraction Integer,D3)) 
---R            and D2 has UPOLYC D4
---R   [4] D2 -> Factored D2 from RationalFunctionFactor D2
---R            if D2 has UPOLYC FRAC POLY INT
---R   [5] SparseUnivariatePolynomial D6 -> Factored 
---R            SparseUnivariatePolynomial D6
+--R            if D3 has UPOLYC(FRAC(INT)) and D4 has Join(Field,
+--R            CharacteristicZero,MonogenicAlgebra(Fraction(Integer),D3)) 
+--R            and D2 has UPOLYC(D4)
+--R   [4] D2 -> Factored(D2) from RationalFunctionFactor(D2)
+--R            if D2 has UPOLYC(FRAC(POLY(INT)))
+--R   [5] SparseUnivariatePolynomial(D6) -> Factored(
+--R            SparseUnivariatePolynomial(D6))
 --R            from MultivariateFactorize(D3,D4,D5,D6)
 --R            if D3 has ORDSET and D4 has OAMONS and D5 has Join(
 --R            EuclideanDomain,CharacteristicZero) and D6 has POLYCAT(D5,
 --R            D4,D3)
---R   [6] D2 -> Factored D2 from MultivariateFactorize(D3,D4,D5,D2)
+--R   [6] D2 -> Factored(D2) from MultivariateFactorize(D3,D4,D5,D2)
 --R            if D3 has ORDSET and D4 has OAMONS and D5 has Join(
 --R            EuclideanDomain,CharacteristicZero) and D2 has POLYCAT(D5,
 --R            D4,D3)
---R   [7] D2 -> Factored D2 from MPolyCatRationalFunctionFactorizer(D3,D4,
---R            D5,D2)
+--R   [7] D2 -> Factored(D2) from MPolyCatRationalFunctionFactorizer(D3,D4
+--R            ,D5,D2)
 --R            if D3 has OAMONS and D4 has OrderedSet with 
 --R               convert : % -> Symboland D5 has INTDOM and D2 has 
---R            POLYCAT(FRAC POLY D5,D3,D4)
---R   [8] SparseUnivariatePolynomial D6 -> Factored 
---R            SparseUnivariatePolynomial D6
+--R            POLYCAT(FRAC(POLY(D5)),D3,D4)
+--R   [8] SparseUnivariatePolynomial(D6) -> Factored(
+--R            SparseUnivariatePolynomial(D6))
 --R            from MultFiniteFactorize(D3,D4,D5,D6)
 --R            if D3 has ORDSET and D4 has OAMONS and D5 has FFIELDC and 
 --R            D6 has POLYCAT(D5,D4,D3)
---R   [9] D2 -> Factored D2 from MultFiniteFactorize(D3,D4,D5,D2)
+--R   [9] D2 -> Factored(D2) from MultFiniteFactorize(D3,D4,D5,D2)
 --R            if D3 has ORDSET and D4 has OAMONS and D5 has FFIELDC and 
 --R            D2 has POLYCAT(D5,D4,D3)
---R   [10] Complex Integer -> Factored Complex Integer
+--R   [10] Complex(Integer) -> Factored(Complex(Integer))
 --R            from GaussianFactorizationPackage
---R   [11] D2 -> Factored D2
+--R   [11] D2 -> Factored(D2)
 --R            from FiniteFieldFactorizationWithSizeParseBySideEffect(D3,
 --R            D2)
---R            if D3 has FFIELDC and D2 has UPOLYC D3
---R   [12] D2 -> Factored D2 from DistinctDegreeFactorize(D3,D2)
---R            if D3 has FFIELDC and D2 has UPOLYC D3
---R   [13] D2 -> Factored D2 from ComplexFactorization(D3,D2)
---R            if D3 has EUCDOM and D2 has UPOLYC COMPLEX D3
---R   [14] D2 -> Factored D2 from AlgFactor D2 if D2 has UPOLYC AN
---R   -> no appropriate map found in Complex Integer 
+--R            if D3 has FFIELDC and D2 has UPOLYC(D3)
+--R   [12] D2 -> Factored(D2) from DistinctDegreeFactorize(D3,D2)
+--R            if D3 has FFIELDC and D2 has UPOLYC(D3)
+--R   [13] D2 -> Factored(D2) from ComplexFactorization(D3,D2)
+--R            if D3 has EUCDOM and D2 has UPOLYC(COMPLEX(D3))
+--R   [14] D2 -> Factored(D2) from AlgFactor(D2) if D2 has UPOLYC(AN)
+--R   -> no appropriate map found in Complex(Integer) 
 --R   -> no appropriate map found in Integer 
---R   -> no appropriate map found in Complex Polynomial Integer 
---R   -> no appropriate map found in Polynomial Integer 
+--R   -> no appropriate map found in Complex(Polynomial(Integer)) 
+--R   -> no appropriate map found in Polynomial(Integer) 
 --R   -> no appropriate map found in Integer 
---R   -> no appropriate map found in Polynomial Integer 
+--R   -> no appropriate map found in Polynomial(Integer) 
 --R
 --R Modemaps from Associated Packages 
---R   [1] ((D4 -> D5),Complex D4) -> Complex D5 from ComplexFunctions2(D4,
---R            D5)
+--R   [1] ((D4 -> D5),Complex(D4)) -> Complex(D5) from ComplexFunctions2(
+--R            D4,D5)
 --R            if D4 has COMRING and D5 has COMRING
---Icost=54500 for factor: Expression Complex Integer -> ...
---Icost=14500 for factor: Polynomial Complex Integer -> ...
---Icost=55500 for factor: SparseUnivariatePolynomial Polynomial ...
+--Rcost=54500 for factor: Expression(Complex(Integer)) -> Factored(Expression(Complex(Integer)))
+--Rcost=14500 for factor: Polynomial(Complex(Integer)) -> Factored(Polynomial(Complex(Integer)))
+--Rcost=55500 for factor: SparseUnivariatePolynomial(Polynomial(Complex(Integer))) -> Factored(SparseUnivariatePolynomial(Polynomial(Complex(Integer))))
 --R 
---R [1]  signature:   POLY COMPLEX INT -> FR POLY COMPLEX INT
---I      implemented: slot (Factored (Polynomial (Complex (Integer))))...
---R [2]  signature:   EXPR COMPLEX INT -> FR EXPR COMPLEX INT
---R      implemented: slot (Factored $)$ from EXPR COMPLEX INT
---R [3]  signature:   SUP POLY COMPLEX INT -> FR SUP POLY COMPLEX INT
---I      implemented: slot (Factored (SparseUnivariatePolynomial ...
+--R [1]  signature:   POLY(COMPLEX(INT)) -> FR(POLY(COMPLEX(INT)))
+--R      implemented: slot (Factored (Polynomial (Complex (Integer))))(Polynomial (Complex (Integer))) from MULTFACT(SYMBOL,INDE(SYMBOL),COMPLEX(INT),POLY(COMPLEX(INT)))
+--R [2]  signature:   EXPR(COMPLEX(INT)) -> FR(EXPR(COMPLEX(INT)))
+--R      implemented: slot (Factored $)$ from EXPR(COMPLEX(INT))
+--R [3]  signature:   SUP(POLY(COMPLEX(INT))) -> FR(SUP(POLY(COMPLEX(INT))))
+--R      implemented: slot (Factored (SparseUnivariatePolynomial (Polynomial (Complex (Integer)))))(SparseUnivariatePolynomial (Polynomial (Complex (Integer)))) from MULTFACT(SYMBOL,INDE(SYMBOL),COMPLEX(INT),POLY(COMPLEX(INT)))
 --R 
 --R
 --R   (2)
@@ -552,7 +552,7 @@ t2:=factor t1
 --R       (3 + 7%i)x  - 9x  + (30 - 10%i)x  + (15 - 24%i)x  + 14%i x  + (1 + 27%i)x
 --R     + 
 --R       - 7 + 42%i
---R                                    Type: Factored Polynomial Complex Integer
+--R                                 Type: Factored(Polynomial(Complex(Integer)))
 --E 2
 
 --S 3 of 4
@@ -560,10 +560,10 @@ t3:=factors t2
 --R 
 --R
 --R Function Selection for factors
---R      Arguments: FR POLY COMPLEX INT 
+--R      Arguments: FR(POLY(COMPLEX(INT))) 
 --R 
---I [1]  signature:   FR POLY COMPLEX INT -> LIST Record(...
---I      implemented: slot (List (Record (: factor (Polynomial ...
+--R [1]  signature:   FR(POLY(COMPLEX(INT))) -> LIST(Record(factor: POLY(COMPLEX(INT)),exponent: INT))
+--R      implemented: slot (List (Record (: factor (Polynomial (Complex (Integer)))) (: exponent (Integer))))$ from FR(POLY(COMPLEX(INT)))
 --R 
 --R
 --R   (3)
@@ -577,7 +577,7 @@ t3:=factors t2
 --R       ,
 --R      exponent= 1]
 --R     ]
---R      Type: List Record(factor: Polynomial Complex Integer,exponent: Integer)
+--R   Type: List(Record(factor: Polynomial(Complex(Integer)),exponent: Integer))
 --E 3
 
 --S 4 of 4
@@ -585,14 +585,14 @@ t4:=unit t2
 --R 
 --R
 --R Function Selection for unit
---R      Arguments: FR POLY COMPLEX INT 
+--R      Arguments: FR(POLY(COMPLEX(INT))) 
 --R 
---R [1]  signature:   FR POLY COMPLEX INT -> POLY COMPLEX INT
---I      implemented: slot (Polynomial (Complex (Integer)))$ ...
+--R [1]  signature:   FR(POLY(COMPLEX(INT))) -> POLY(COMPLEX(INT))
+--R      implemented: slot (Polynomial (Complex (Integer)))$ from FR(POLY(COMPLEX(INT)))
 --R 
 --R
 --R   (4)  %i
---R                                             Type: Polynomial Complex Integer
+--R                                           Type: Polynomial(Complex(Integer))
 --E 4
 
 )spool
diff --git a/src/input/conformal.input.pamphlet b/src/input/conformal.input.pamphlet
index ac71ea6..617a73f 100644
--- a/src/input/conformal.input.pamphlet
+++ b/src/input/conformal.input.pamphlet
@@ -32,7 +32,7 @@ Compile, don't interpret functions.
 C := Complex DoubleFloat                -- Complex Numbers
 --R 
 --R
---R   (1)  Complex DoubleFloat
+--R   (1)  Complex(DoubleFloat)
 --R                                                                 Type: Domain
 --E 1
 
@@ -40,7 +40,7 @@ C := Complex DoubleFloat                -- Complex Numbers
 S := Segment DoubleFloat                -- Draw ranges
 --R 
 --R
---R   (2)  Segment DoubleFloat
+--R   (2)  Segment(DoubleFloat)
 --R                                                                 Type: Domain
 --E 2
 
@@ -48,7 +48,7 @@ S := Segment DoubleFloat                -- Draw ranges
 R3 := POINT DoubleFloat                         -- points in 3-space
 --R 
 --R
---R   (3)  Point DoubleFloat
+--R   (3)  Point(DoubleFloat)
 --R                                                                 Type: Domain
 --E 3
 \end{chunk}
@@ -170,7 +170,7 @@ convert cartesian coordinates to cartesian form complex
 cartesian2Complex(r:DoubleFloat, i:DoubleFloat):C == complex(r, i)
 --R 
 --R   Function declaration cartesian2Complex : (DoubleFloat,DoubleFloat)
---R       -> Complex DoubleFloat has been added to workspace.
+--R       -> Complex(DoubleFloat) has been added to workspace.
 --R                                                                   Type: Void
 --E 10
 \end{chunk}
@@ -180,7 +180,7 @@ convert polar coordinates to cartesian form complex
 polar2Complex(r:DoubleFloat, th:DoubleFloat):C == complex(r*cos(th), r*sin(th))
 --R 
 --R   Function declaration polar2Complex : (DoubleFloat,DoubleFloat) -> 
---R      Complex DoubleFloat has been added to workspace.
+--R      Complex(DoubleFloat) has been added to workspace.
 --R                                                                   Type: Void
 --E 11
 \end{chunk}
diff --git a/src/input/contfrac.input.pamphlet b/src/input/contfrac.input.pamphlet
index 94a6a77..134effe 100644
--- a/src/input/contfrac.input.pamphlet
+++ b/src/input/contfrac.input.pamphlet
@@ -28,7 +28,7 @@ r1 := 3/4
 --R        3
 --R   (1)  -
 --R        4
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 1
 
 --S 2 of 40
@@ -38,7 +38,7 @@ r2 := 314159/100000
 --R        314159
 --R   (2)  ------
 --R        100000
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 2
 
 --S 3 of 40
@@ -48,7 +48,7 @@ c1 := r1 :: ContinuedFraction Integer
 --R          1 |     1 |
 --R   (3)  +---+ + +---+
 --R        | 1     | 3
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 3
 
 --S 4 of 40
@@ -58,7 +58,7 @@ c2 := r2 :: ContinuedFraction Integer
 --R              1 |     1  |     1 |     1  |     1 |     1 |     1 |
 --R   (4)  3 + +---+ + +----+ + +---+ + +----+ + +---+ + +---+ + +---+
 --R            | 7     | 15     | 1     | 25     | 1     | 7     | 4
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 4
 
 -- We can view these in the list notation
@@ -67,7 +67,7 @@ partialQuotients c1
 --R 
 --R
 --R   (5)  [0,1,3]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 5
 
 --S 6 of 40
@@ -75,7 +75,7 @@ partialQuotients c2
 --R 
 --R
 --R   (6)  [3,7,15,1,25,1,7,4]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 6
  
 -- These are algebraic objects, so we can manipulate them accordingly
@@ -87,7 +87,7 @@ c1 + c2
 --R         1 |     1 |     1 |     1 |     1 |     1 |     1 |     1  |     1 |
 --R   3 + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + +----+ + +---+
 --R       | 1     | 8     | 4     | 2     | 5     | 1     | 2     | 32     | 2
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 7
 
 --S 8 of 40
@@ -102,7 +102,7 @@ c1 * c2
 --R       1 |
 --R     +---+ + ...
 --R     | 1
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 8
 
 --S 9 of 40
@@ -112,7 +112,7 @@ c1 * c2
 --R          1 |     1 |     1  |     1 |     1  |     1 |     1 |     1 |
 --R   (9)  +---+ + +---+ + +----+ + +---+ + +----+ + +---+ + +---+ + +---+
 --R        | 3     | 7     | 15     | 1     | 25     | 1     | 7     | 4
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 9
 
 --S 10 of 40
@@ -123,7 +123,7 @@ c1 - c2
 --R           1 |     1 |     1 |     1 |     1 |     1 |     1 |     1 |      1  |
 --R   - 3 + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + +-----+
 --R         | 1     | 1     | 1     | 1     | 4     | 6     | 2     | 2     | 131
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 10
 
 --S 11 of 40
@@ -133,7 +133,7 @@ c2 - c1
 --R               1 |     1 |     1 |     1 |     1 |     1 |     1 |      1  |
 --R   (11)  2 + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + +-----+
 --R             | 2     | 1     | 1     | 4     | 6     | 2     | 2     | 131
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 11
  
 -- and can convert them back to rational numbers.
@@ -145,7 +145,7 @@ convergents %
 --R            5 7 12 55 342 739 1820 239159
 --R   (12)  [2,-,-,--,--,---,---,----,------]
 --R            2 3  5 23 143 309  761 100000
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 12 
  
 )clear all
@@ -158,7 +158,7 @@ a0 := ((-122 + 597* %i)/(4 - 4*%i))
 --R          719   475
 --R   (1)  - --- + --- %i
 --R           8     8
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 13
 
 --S 14 of 40
@@ -168,7 +168,7 @@ b0 := ((-595 - %i)/(3 - 4*%i))
 --R          1781   2383
 --R   (2)  - ---- - ---- %i
 --R           25     25
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 14
 
 --S 15 of 40
@@ -178,7 +178,7 @@ a  := continuedFraction(a0)
 --R                           1    |         1     |
 --R   (3)  - 90 + 59%i + +---------+ + +-----------+
 --R                      | 1 - 2%i     | - 1 + 2%i
---R                                      Type: ContinuedFraction Complex Integer
+--R                                    Type: ContinuedFraction(Complex(Integer))
 --E 15
 
 --S 16 of 40
@@ -188,7 +188,7 @@ b  := continuedFraction(b0)
 --R                            1     |      1  |
 --R   (4)  - 71 - 95%i + +-----------+ + +-----+
 --R                      | - 1 + 2%i     | - 2
---R                                      Type: ContinuedFraction Complex Integer
+--R                                    Type: ContinuedFraction(Complex(Integer))
 --E 16
 
 --S 17 of 40
@@ -198,7 +198,7 @@ a + b
 --R                             1     |      1  |        1     |
 --R   (5)  - 161 - 36%i + +-----------+ + +-----+ + +----------+
 --R                       | - 7 - 3%i     | 2%i     | - 1 - %i
---R                                      Type: ContinuedFraction Complex Integer
+--R                                    Type: ContinuedFraction(Complex(Integer))
 --E 17
 
 --S 18 of 40
@@ -208,7 +208,7 @@ convergents %
 --R                      - 1020 - 735%i - 2004 - 1631%i 362 - 4655%i
 --R   (6)  [- 161 - 36%i,--------------,---------------,------------]
 --R                          7 + 3%i        14 + 7%i      4 + 28%i
---R                                        Type: Stream Fraction Complex Integer
+--R                                     Type: Stream(Fraction(Complex(Integer)))
 --E 18
 
 --S 19 of 40
@@ -216,7 +216,7 @@ last % - (a0 + b0)
 --R 
 --R
 --R   (7)  0
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 19
 
 --S 20 of 40
@@ -231,7 +231,7 @@ a / b
 --R          1    |
 --R     +---------+
 --R     | 2 + 4%i
---R                                      Type: ContinuedFraction Complex Integer
+--R                                    Type: ContinuedFraction(Complex(Integer))
 --E 20
 
 --S 21 of 40
@@ -242,7 +242,7 @@ convergents %
 --R         4 - 7%i 13 - 21%i 69 - 64%i  215 - 80%i 709 - 171%i 2279 - 2022%i
 --R   [- %i,-------,---------,---------,-----------,-----------,-------------]
 --R         8 + 4%i 24 + 13%i 75 + 72%i 102 + 232%i 234 + 771%i 2376 + 2384%i
---R                                        Type: Stream Fraction Complex Integer
+--R                                     Type: Stream(Fraction(Complex(Integer)))
 --E 21
 
 --S 22 of 40
@@ -250,7 +250,7 @@ last % - (a0/b0)
 --R 
 --R
 --R   (10)  0
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 22
 
 --S 23 of 40
@@ -273,7 +273,7 @@ c := continuedFraction(3 + 4*%i, repeating [1 + %i], repeating [5 - %i])
 --R       1 + %i |     1 + %i |     1 + %i |     1 + %i |     1 + %i |
 --R     +--------+ + +--------+ + +--------+ + +--------+ + +--------+ + ...
 --R     | 5 - %i     | 5 - %i     | 5 - %i     | 5 - %i     | 5 - %i
---R                                      Type: ContinuedFraction Complex Integer
+--R                                    Type: ContinuedFraction(Complex(Integer))
 --E 24
 
 --S 25 of 40
@@ -290,7 +290,7 @@ a/c
 --R     | 1 + 2%i     | 2%i     | 8 - 2%i     | - 2     | - 1 + 8%i     | 3 - 3%i
 --R   + 
 --R     ...
---R                                      Type: ContinuedFraction Complex Integer
+--R                                    Type: ContinuedFraction(Complex(Integer))
 --E 25
 
 -- (a = c)::Boolean -- should give error
@@ -303,7 +303,7 @@ d := complete continuedFraction(3+4*%i, repeating [1+%i],[i-%i for i in 1..5])
 --R               1 + %i |     1 + %i |     1 + %i |     1 + %i |     1 + %i |
 --R   3 + 4%i + +--------+ + +--------+ + +--------+ + +--------+ + +--------+
 --R             | 1 - %i     | 2 - %i     | 3 - %i     | 4 - %i     | 5 - %i
---R                                      Type: ContinuedFraction Complex Integer
+--R                                    Type: ContinuedFraction(Complex(Integer))
 --E 26
 
 --S 27 of 40
@@ -331,7 +331,7 @@ q := (2*x**2 - x + 1) / (3*x**3 - x + 8)
 --R           3   1     8
 --R          x  - - x + -
 --R               3     3
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 29
 
 --S 30  of 40
@@ -343,7 +343,7 @@ c := continuedFraction q
 --R         | 3     3     |   8     204     |    343     1421
 --R         | - x + -     | - - x - ---     | - ---- x + ----
 --R         | 2     4     |   7      49     |   6112     6112
---R             Type: ContinuedFraction UnivariatePolynomial(x,Fraction Integer)
+--R           Type: ContinuedFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 30
 
 --S 31 of 40
@@ -368,7 +368,7 @@ d := continuedFraction differentiate q
 --R     |   39359803441398779644674048     9259889268740766802477056
 --R     | - -------------------------- x + -------------------------
 --R     |    1979914602262093317951025     1979914602262093317951025
---R             Type: ContinuedFraction UnivariatePolynomial(x,Fraction Integer)
+--R           Type: ContinuedFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 31
 
 --S 32 of 40
@@ -393,7 +393,7 @@ c/d
 --R     |    7309785441053183312      1206863637270224864
 --R     | - -------------------- x + --------------------
 --R     |   30383172810229285385     30383172810229285385
---R             Type: ContinuedFraction UnivariatePolynomial(x,Fraction Integer)
+--R           Type: ContinuedFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 32
 
 --S 33 of 40
@@ -422,7 +422,7 @@ convergents %
 --R          4    3   11  2   16     7
 --R         x  - x  + -- x  - -- x + -
 --R                    6       3     6
---R               Type: Stream Fraction UnivariatePolynomial(x,Fraction Integer)
+--R            Type: Stream(Fraction(UnivariatePolynomial(x,Fraction(Integer))))
 --E 33
 
 --S 34 of 40
@@ -436,7 +436,7 @@ q/differentiate q
 --R               4    3   11  2   16     7
 --R              x  - x  + -- x  - -- x + -
 --R                         6       3     6
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 34
 
 )clear all
@@ -460,7 +460,7 @@ s := continuedFraction(0, expand [1..], expand [1..])
 --R          1 |     2 |     3 |     4 |     5 |     6 |     7 |
 --R   (1)  +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + ...
 --R        | 1     | 2     | 3     | 4     | 5     | 6     | 7
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 35
 
 \end{chunk}
@@ -473,7 +473,7 @@ t := reducedContinuedFraction(0, [4*i-2 for i in 1..])
 --R          1 |     1 |     1  |     1  |     1  |     1  |     1  |
 --R   (2)  +---+ + +---+ + +----+ + +----+ + +----+ + +----+ + +----+ + ...
 --R        | 2     | 6     | 10     | 14     | 18     | 22     | 26
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 36
 
 \end{chunk}
@@ -488,7 +488,7 @@ e := 1/(s*t) - 1
 --R              1 |     1 |     1 |     1 |     1 |     1 |     1 |
 --R   (3)  2 + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + +---+ + ...
 --R            | 1     | 2     | 1     | 1     | 4     | 1     | 1
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 37
 
 --S 38 of 40
@@ -498,7 +498,7 @@ c := convergents e
 --R             8 11 19 87 106
 --R   (4)  [2,3,-,--,--,--,---,...]
 --R             3  4  7 32  39
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 38
 
 --S 39 of 40
diff --git a/src/input/contfrc.input.pamphlet b/src/input/contfrc.input.pamphlet
index 8edbf93..2901711 100644
--- a/src/input/contfrc.input.pamphlet
+++ b/src/input/contfrc.input.pamphlet
@@ -30,7 +30,7 @@ c := continuedFraction(314159/100000)
 --R              1 |     1  |     1 |     1  |     1 |     1 |     1 |
 --R   (1)  3 + +---+ + +----+ + +---+ + +----+ + +---+ + +---+ + +---+
 --R            | 7     | 15     | 1     | 25     | 1     | 7     | 4
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 1
 
 --S 2 of 22
@@ -38,7 +38,7 @@ partialQuotients c
 --R 
 --R
 --R   (2)  [3,7,15,1,25,1,7,4]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 2
 
 --S 3 of 22
@@ -48,7 +48,7 @@ convergents c
 --R           22 333 355 9208 9563 76149 314159
 --R   (3)  [3,--,---,---,----,----,-----,------]
 --R            7 106 113 2931 3044 24239 100000
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 3
 
 --S 4 of 22
@@ -59,7 +59,7 @@ approximants c
 --R           22 333 355 9208 9563 76149 314159
 --R   (4)  [3,--,---,---,----,----,-----,------]
 --R            7 106 113 2931 3044 24239 100000
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 4
 
 --S 5 of 22
@@ -67,7 +67,7 @@ pq := partialQuotients(1/c)
 --R 
 --R
 --R   (5)  [0,3,7,15,1,25,1,7,4]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 5
 
 --S 6 of 22
@@ -77,7 +77,7 @@ continuedFraction(first pq,repeating [1],rest pq)
 --R          1 |     1 |     1  |     1 |     1  |     1 |     1 |     1 |
 --R   (6)  +---+ + +---+ + +----+ + +---+ + +----+ + +---+ + +---+ + +---+
 --R        | 3     | 7     | 15     | 1     | 25     | 1     | 7     | 4
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 6
 
 --S 7 of 22
@@ -92,7 +92,7 @@ z:=continuedFraction(3,repeating [1],repeating [3,6])
 --R       1 |
 --R     +---+ + ...
 --R     | 6
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 7
 
 --S 8 of 22
@@ -100,7 +100,7 @@ dens:Stream Integer := cons(1,generate((x+->x+4),6))
 --R 
 --R
 --R   (8)  [1,6,10,14,18,22,26,30,34,38,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 8
 
 --S 9 of 22
@@ -115,7 +115,7 @@ cf := continuedFraction(0,repeating [1],dens)
 --R       1  |     1  |
 --R     +----+ + +----+ + ...
 --R     | 34     | 38
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 9
 
 --S 10 of 22
@@ -125,7 +125,7 @@ ccf := convergents cf
 --R              6 61  860 15541 342762  8927353 268163352  9126481321
 --R   (10)  [0,1,-,--,----,-----,------,--------,---------,-----------,...]
 --R              7 71 1001 18089 398959 10391023 312129649 10622799089
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 10
 
 --S 11 of 22
@@ -135,7 +135,7 @@ eConvergents := [2*e + 1 for e in ccf]
 --R              19 193 2721 49171 1084483 28245729 848456353 28875761731
 --R   (11)  [1,3,--,---,----,-----,-------,--------,---------,-----------,...]
 --R               7  71 1001 18089  398959 10391023 312129649 10622799089
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 11
 
 --S 12 of 22
@@ -147,7 +147,7 @@ eConvergents :: Stream Float
 --R    2.7182817182 817182817, 2.7182818287 356957267, 2.7182818284 585634113,
 --R    2.7182818284 590458514, 2.7182818284 590452348, 2.7182818284 590452354,
 --R    ...]
---R                                                           Type: Stream Float
+--R                                                          Type: Stream(Float)
 --E 12
 
 --S 13 of 22
@@ -170,7 +170,7 @@ cf := continuedFraction(1,[(2*i+1)**2 for i in 0..],repeating [2])
 --R       289 |     361 |
 --R     +-----+ + +-----+ + ...
 --R     |  2      |  2
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 14
 
 --S 15 of 22
@@ -180,7 +180,7 @@ ccf := convergents cf
 --R            3 15 105 315 3465 45045 45045 765765 14549535
 --R   (15)  [1,-,--,---,---,----,-----,-----,------,--------,...]
 --R            2 13  76 263 2578 36979 33976 622637 11064338
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 15
 
 --S 16 of 22
@@ -190,7 +190,7 @@ piConvergents := [4/p for p in ccf]
 --R            8 52 304 1052 10312 147916 135904 2490548 44257352
 --R   (16)  [4,-,--,---,----,-----,------,------,-------,--------,...]
 --R            3 15 105  315  3465  45045  45045  765765 14549535
---R                                                Type: Stream Fraction Integer
+--R                                              Type: Stream(Fraction(Integer))
 --E 16
 
 --S 17 of 22
@@ -202,7 +202,7 @@ piConvergents :: Stream Float
 --R    2.8952380952 380952381, 3.3396825396 825396825, 2.9760461760 461760462,
 --R    3.2837384837 384837385, 3.0170718170 718170718, 3.2523659347 188758953,
 --R    3.0418396189 294022111, ...]
---R                                                           Type: Stream Float
+--R                                                          Type: Stream(Float)
 --E 17
 
 --S 18 of 22
@@ -212,7 +212,7 @@ continuedFraction((- 122 + 597*%i)/(4 - 4*%i))
 --R                            1    |         1     |
 --R   (18)  - 90 + 59%i + +---------+ + +-----------+
 --R                       | 1 - 2%i     | - 1 + 2%i
---R                                      Type: ContinuedFraction Complex Integer
+--R                                    Type: ContinuedFraction(Complex(Integer))
 --E 18
 
 --S 19 of 22
@@ -230,7 +230,7 @@ r := ((x - 1) * (x - 2)) / ((x-3) * (x-4))
 --R   (20)  ------------
 --R          2
 --R         x  - 7x + 12
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 20
 
 --S 21 of 22
@@ -242,7 +242,7 @@ continuedFraction r
 --R             | 1     9     | 16     40
 --R             | - x - -     | -- x - --
 --R             | 4     8     |  3      3
---R             Type: ContinuedFraction UnivariatePolynomial(x,Fraction Integer)
+--R           Type: ContinuedFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 21
 
 --S 22 of 22
@@ -254,7 +254,7 @@ continuedFraction r
 --R    10.9999860763 98799786, 11.0000006979 29731039, 10.9999999650 15834446,
 --R    11.0000000017 53603304, 10.9999999999 12099531, 11.0000000000 04406066,
 --R    ...]
---R                                                           Type: Stream Float
+--R                                                          Type: Stream(Float)
 --E 22
 )spool
 )lisp (bye)
diff --git a/src/input/curl.input.pamphlet b/src/input/curl.input.pamphlet
index 8e5e16c..19b5f69 100644
--- a/src/input/curl.input.pamphlet
+++ b/src/input/curl.input.pamphlet
@@ -29,7 +29,7 @@ draw(curve(sin(t)*sin(2*t)*sin(3*t),sin(4*t)*sin(5*t)*sin(6*t)),t = 0..2*%pi)
 --R   Graph data being transmitted to the viewport manager...
 --R   AXIOM2D data being transmitted to the viewport manager...
 --R
---R   (1)  TwoDimensionalViewport: "DSIN(t)*DSIN(2*t)*DSIN(3*t)"
+--R   (1)  TwoDimensionalViewport: "sin(t)*sin(2*t)*sin(3*t)"
 --R                                                 Type: TwoDimensionalViewport
 --E 1
 )spool
diff --git a/src/input/curry.input.pamphlet b/src/input/curry.input.pamphlet
index fc3d85c..808ad54 100644
--- a/src/input/curry.input.pamphlet
+++ b/src/input/curry.input.pamphlet
@@ -57,7 +57,7 @@ curried(6)
 --R 
 --R
 --R   (3)  1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 3
 
 \end{chunk}
diff --git a/src/input/cycles.input.pamphlet b/src/input/cycles.input.pamphlet
index 2fb869d..33603f2 100644
--- a/src/input/cycles.input.pamphlet
+++ b/src/input/cycles.input.pamphlet
@@ -58,7 +58,7 @@ complete 1
 --R 
 --R
 --R   (1)  (1)
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 1
 
 --S 2 of 46
@@ -68,7 +68,7 @@ complete 2
 --R        1       1   2
 --R   (2)  - (2) + - (1 )
 --R        2       2
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 2
 
 --S 3 of 46
@@ -78,7 +78,7 @@ complete 3
 --R        1       1         1   3
 --R   (3)  - (3) + - (2 1) + - (1 )
 --R        3       2         6
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 3
 
 --S 4 of 46
@@ -97,7 +97,7 @@ complete 7
 --R      1      5      1    7
 --R     --- (2 1 ) + ---- (1 )
 --R     240          5040
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 4
 
 \end{chunk}
@@ -119,7 +119,7 @@ elementary 7
 --R        1      5      1    7
 --R     - --- (2 1 ) + ---- (1 )
 --R       240          5040
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 5
 
 \end{chunk}
@@ -138,7 +138,7 @@ alternating 7
 --R       1    7
 --R     ---- (1 )
 --R     2520
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 6
 
 \end{chunk}
@@ -151,7 +151,7 @@ cyclic 7
 --R        6       1   7
 --R   (7)  - (7) + - (1 )
 --R        7       7
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 7
 
 \end{chunk}
@@ -164,7 +164,7 @@ dihedral 7
 --R        3       1   3      1   7
 --R   (8)  - (7) + - (2 1) + -- (1 )
 --R        7       2         14
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 8
 
 \end{chunk}
@@ -180,7 +180,7 @@ graphs 5
 --R   1           1   2    1   2     1   3     1   4 2     1   3 4     1    10
 --R   - (6 3 1) + - (5 ) + - (4 2) + - (3 1) + - (2 1 ) + -- (2 1 ) + --- (1  )
 --R   6           5        4         6         8          12          120
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 9
 
 \end{chunk}
@@ -211,7 +211,7 @@ cap(complete 2**2,complete 2*complete 1**2)
 --R 
 --R
 --R   (10)  4
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 10
 
 \end{chunk}
@@ -227,7 +227,7 @@ cap(elementary 2**2,complete 2*complete 1**2)
 --R 
 --R
 --R   (11)  2
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 11
 
 \end{chunk}
@@ -241,7 +241,7 @@ cap(complete 3*complete 2*complete 1,complete 2**2*complete 1**2)
 --R 
 --R
 --R   (12)  24
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 12
 
 \end{chunk}
@@ -252,7 +252,7 @@ cap(elementary 3*elementary 2*elementary 1,complete 2**2*complete 1**2)
 --R 
 --R
 --R   (13)  8
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 13
 
 --S 14 of 46
@@ -260,7 +260,7 @@ cap(complete 3*complete 2*complete 1,elementary 2**2*elementary 1**2)
 --R 
 --R
 --R   (14)  8
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 14
 
 \end{chunk}
@@ -273,7 +273,7 @@ eval(cup(complete 3*complete 2*complete 1, _
 --R 
 --R
 --R   (15)  1500
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 15
 
 \end{chunk}
@@ -286,7 +286,7 @@ square:=dihedral 4
 --R         1       3   2    1     2    1   4
 --R   (16)  - (4) + - (2 ) + - (2 1 ) + - (1 )
 --R         4       8        4          8
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 16
 
 \end{chunk}
@@ -297,7 +297,7 @@ cap(complete 2**2,square)
 --R 
 --R
 --R   (17)  2
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 17
 
 \end{chunk}
@@ -308,7 +308,7 @@ cap(complete 3*complete 2**2,dihedral 7)
 --R 
 --R
 --R   (18)  18
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 18
 
 \end{chunk}
@@ -319,7 +319,7 @@ cap(graphs 5,complete 7*complete 3)
 --R 
 --R
 --R   (19)  4
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 19
 
 \end{chunk}
@@ -338,7 +338,7 @@ cube:=(1/24)*(s 1**8+9*s 2**4 + 8*s 3**2*s 1**2+6*s 4**2)
 --R         1   2    1   2 2    3   4     1   8
 --R   (21)  - (4 ) + - (3 1 ) + - (2 ) + -- (1 )
 --R         4        3          8        24
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 21
 
 \end{chunk}
@@ -349,7 +349,7 @@ cap(complete 4**2,cube)
 --R 
 --R
 --R   (22)  7
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 22
 
 \end{chunk}
@@ -361,7 +361,7 @@ cap(complete 2**3*complete 1**2,wreath(elementary 4,elementary 2))
 --R 
 --R
 --R   (23)  7
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 23
 
 \end{chunk}
@@ -372,7 +372,7 @@ cap(complete 2**3*complete 1**2,wreath(elementary 4,complete 2))
 --R 
 --R
 --R   (24)  17
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 24
 
 \end{chunk}
@@ -383,7 +383,7 @@ cap(complete 2**3*complete 1**2,wreath(complete 4,elementary 2))
 --R 
 --R
 --R   (25)  10
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 25
 
 \end{chunk}
@@ -394,7 +394,7 @@ cap(complete 2**3*complete 1**2,wreath(complete 4,complete 2))
 --R 
 --R
 --R   (26)  23
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 26
 
 \end{chunk}
@@ -409,7 +409,7 @@ x:ULS(FRAC INT,'x,0):=x
 --R 
 --R
 --R   (27)  x
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 27
 
 --S 28 of 46
@@ -437,11 +437,11 @@ ZeroOrOne n == 1+x**n
 ZeroOrOne 5
 --R 
 --R   Compiling function ZeroOrOne with type Integer -> 
---R      UnivariateLaurentSeries(Fraction Integer,x,0) 
+--R      UnivariateLaurentSeries(Fraction(Integer),x,0) 
 --R
 --R              5
 --R   (31)  1 + x
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 31
 
 \end{chunk}
@@ -457,11 +457,11 @@ Integers n == 1/(1-x**n)
 Integers 5
 --R 
 --R   Compiling function Integers with type Integer -> 
---R      UnivariateLaurentSeries(Fraction Integer,x,0) 
+--R      UnivariateLaurentSeries(Fraction(Integer),x,0) 
 --R
 --R              5    10      11
 --R   (33)  1 + x  + x   + O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 33
 
 \end{chunk}
@@ -474,7 +474,7 @@ eval(ZeroOrOne,graphs 5)
 --R
 --R                   2     3     4     5     6     7     8    9    10      11
 --R   (34)  1 + x + 2x  + 4x  + 6x  + 6x  + 6x  + 4x  + 2x  + x  + x   + O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 34
 
 \end{chunk}
@@ -487,7 +487,7 @@ eval(ZeroOrOne,dihedral 8)
 --R
 --R                   2     3     4     5     6    7    8
 --R   (35)  1 + x + 4x  + 5x  + 8x  + 5x  + 4x  + x  + x
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 35
 
 \end{chunk}
@@ -501,7 +501,7 @@ eval(Integers,complete 4)
 --R   (36)
 --R             2     3     4     5     6      7      8      9      10      11
 --R   1 + x + 2x  + 3x  + 5x  + 6x  + 9x  + 11x  + 15x  + 18x  + 23x   + O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 36
 
 \end{chunk}
@@ -518,7 +518,7 @@ eval(Integers,elementary 4)
 --R   + 
 --R        17
 --R     O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 37
 
 \end{chunk}
@@ -534,7 +534,7 @@ eval(ZeroOrOne,cube)
 --R
 --R                   2     3     4     5     6    7    8
 --R   (38)  1 + x + 3x  + 3x  + 7x  + 3x  + 3x  + x  + x
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 38
 
 \end{chunk}
@@ -551,7 +551,7 @@ eval(Integers,cube)
 --R   + 
 --R        11
 --R     O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 39
 
 \end{chunk}
@@ -570,7 +570,7 @@ eval(Integers,graphs 5)
 --R   + 
 --R        11
 --R     O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 40
 
 \end{chunk}
@@ -586,7 +586,7 @@ eval(ZeroOrOne ,graphs 15)
 --R   + 
 --R        11
 --R     O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 41
 
 \end{chunk}
@@ -598,7 +598,7 @@ cap(dihedral 30,complete 7*complete 8*complete 5*complete 10)
 --R 
 --R
 --R   (42)  49958972383320
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 42
 
 \end{chunk}
@@ -622,7 +622,7 @@ sf3221:= SFunction [3,2,2,1]
 --R      1   2 4     1      6     1    8
 --R     -- (2 1 ) - --- (2 1 ) + --- (1 )
 --R     96          144          576
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 43
 
 \end{chunk}
@@ -638,7 +638,7 @@ cap(sf3221,complete 2**4)
 --R 
 --R
 --R   (44)  3
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 44
 
 \end{chunk}
@@ -656,7 +656,7 @@ cap(sf3221,powerSum 1**8)
 --R 
 --R
 --R   (45)  70
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 45
 
 \end{chunk}
@@ -680,7 +680,7 @@ eval(Integers,sf3221)
 --R   + 
 --R         19      20
 --R     432x   + O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 46
 )spool
 )lisp (bye)
diff --git a/src/input/cycles1.input.pamphlet b/src/input/cycles1.input.pamphlet
index 0fdd9ea..9cac561 100644
--- a/src/input/cycles1.input.pamphlet
+++ b/src/input/cycles1.input.pamphlet
@@ -30,7 +30,7 @@ complete 1
 --R 
 --R
 --R   (1)  (1)
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 1
 
 --S 2 of 46
@@ -40,7 +40,7 @@ complete 2
 --R        1       1   2
 --R   (2)  - (2) + - (1 )
 --R        2       2
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 2
 
 --S 3 of 46
@@ -50,7 +50,7 @@ complete 3
 --R        1       1         1   3
 --R   (3)  - (3) + - (2 1) + - (1 )
 --R        3       2         6
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 3
 
 --S 4 of 46
@@ -69,7 +69,7 @@ complete 7
 --R      1      5      1    7
 --R     --- (2 1 ) + ---- (1 )
 --R     240          5040
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 4
 
 --S 5 of 46
@@ -88,7 +88,7 @@ elementary 7
 --R        1      5      1    7
 --R     - --- (2 1 ) + ---- (1 )
 --R       240          5040
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 5
 
 --S 6 of 46
@@ -103,7 +103,7 @@ alternating 7
 --R       1    7
 --R     ---- (1 )
 --R     2520
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 6
 
 --S 7 of 46
@@ -113,7 +113,7 @@ cyclic 7
 --R        6       1   7
 --R   (7)  - (7) + - (1 )
 --R        7       7
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 7
 
 --S 8 of 46
@@ -123,7 +123,7 @@ dihedral 7
 --R        3       1   3      1   7
 --R   (8)  - (7) + - (2 1) + -- (1 )
 --R        7       2         14
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 8
 
 --S 9 of 46
@@ -134,7 +134,7 @@ graphs 5
 --R   1           1   2    1   2     1   3     1   4 2     1   3 4     1    10
 --R   - (6 3 1) + - (5 ) + - (4 2) + - (3 1) + - (2 1 ) + -- (2 1 ) + --- (1  )
 --R   6           5        4         6         8          12          120
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 9
 
 --S 10 of 46
@@ -142,7 +142,7 @@ cap(complete 2**2, complete 2*complete 1**2)
 --R 
 --R
 --R   (10)  4
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 10
 
 --S 11 of 46
@@ -150,7 +150,7 @@ cap(elementary 2**2, complete 2*complete 1**2)
 --R 
 --R
 --R   (11)  2
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 11
 
 --S 12 of 46
@@ -158,7 +158,7 @@ cap(complete 3*complete 2*complete 1,complete 2**2*complete 1**2)
 --R 
 --R
 --R   (12)  24
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 12
 
 --S 13 of 46
@@ -166,7 +166,7 @@ cap(elementary 3*elementary 2*elementary 1,complete 2**2*complete 1**2)
 --R 
 --R
 --R   (13)  8
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 13
 
 --S 14 of 46
@@ -174,7 +174,7 @@ cap(complete 3*complete 2*complete 1,elementary 2**2*elementary 1**2)
 --R 
 --R
 --R   (14)  8
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 14
 
 --S 15 of 46
@@ -183,7 +183,7 @@ eval(cup(complete 3*complete 2*complete 1, _
 --R 
 --R
 --R   (15)  1500
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 15
 
 --S 16 of 46
@@ -193,7 +193,7 @@ square:=dihedral 4
 --R         1       3   2    1     2    1   4
 --R   (16)  - (4) + - (2 ) + - (2 1 ) + - (1 )
 --R         4       8        4          8
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 16
 
 --S 17 of 46
@@ -201,7 +201,7 @@ cap(complete 2**2,square)
 --R 
 --R
 --R   (17)  2
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 17
 
 --S 18 of 46
@@ -209,7 +209,7 @@ cap(complete 3*complete 2**2,dihedral 7)
 --R 
 --R
 --R   (18)  18
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 18
 
 --S 19 of 46
@@ -217,7 +217,7 @@ cap(graphs 5,complete 7*complete 3)
 --R 
 --R
 --R   (19)  4
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 19
 
 --S 20 of 46
@@ -230,12 +230,12 @@ s(x) == powerSum(x)
 cube:=(1/24)*(s 1**8+9*s 2**4 + 8*s 3**2*s 1**2+6*s 4**2)
 --R 
 --R   Compiling function s with type PositiveInteger -> 
---R      SymmetricPolynomial Fraction Integer 
+--R      SymmetricPolynomial(Fraction(Integer)) 
 --R
 --R         1   2    1   2 2    3   4     1   8
 --R   (21)  - (4 ) + - (3 1 ) + - (2 ) + -- (1 )
 --R         4        3          8        24
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 21
 
 --S 22 of 46
@@ -243,7 +243,7 @@ cap(complete 4**2,cube)
 --R 
 --R
 --R   (22)  7
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 22
 
 --S 23 of 46
@@ -251,7 +251,7 @@ cap(complete 2**3*complete 1**2,wreath(elementary 4,elementary 2))
 --R 
 --R
 --R   (23)  7
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 23
 
 --S 24 of 46
@@ -259,7 +259,7 @@ cap(complete 2**3*complete 1**2,wreath(elementary 4,complete 2))
 --R 
 --R
 --R   (24)  17
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 24
 
 --S 25 of 46
@@ -267,7 +267,7 @@ cap(complete 2**3*complete 1**2,wreath(complete 4,elementary 2))
 --R 
 --R
 --R   (25)  10
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 25
 
 --S 26 of 46
@@ -275,7 +275,7 @@ cap(complete 2**3*complete 1**2,wreath(complete 4,complete 2))
 --R 
 --R
 --R   (26)  23
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 26
 
 --S 27 of 46
@@ -283,7 +283,7 @@ x: ULS(FRAC INT,'x,0) := 'x
 --R 
 --R
 --R   (27)  x
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 27
 
 --S 28 of 46
@@ -308,11 +308,11 @@ ZeroOrOne n == 1+x**n
 ZeroOrOne 5
 --R 
 --R   Compiling function ZeroOrOne with type Integer -> 
---R      UnivariateLaurentSeries(Fraction Integer,x,0) 
+--R      UnivariateLaurentSeries(Fraction(Integer),x,0) 
 --R
 --R              5
 --R   (31)  1 + x
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 31
 
 --S 32 of 46
@@ -325,11 +325,11 @@ Integers n == 1/(1-x**n)
 Integers 5
 --R 
 --R   Compiling function Integers with type Integer -> 
---R      UnivariateLaurentSeries(Fraction Integer,x,0) 
+--R      UnivariateLaurentSeries(Fraction(Integer),x,0) 
 --R
 --R              5    10      11
 --R   (33)  1 + x  + x   + O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 33
 
 --S 34 of 46
@@ -338,7 +338,7 @@ eval(ZeroOrOne, graphs 5)
 --R
 --R                   2     3     4     5     6     7     8    9    10      11
 --R   (34)  1 + x + 2x  + 4x  + 6x  + 6x  + 6x  + 4x  + 2x  + x  + x   + O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 34
 
 --S 35 of 46
@@ -347,7 +347,7 @@ eval(ZeroOrOne,dihedral 8)
 --R
 --R                   2     3     4     5     6    7    8
 --R   (35)  1 + x + 4x  + 5x  + 8x  + 5x  + 4x  + x  + x
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 35
 
 --S 36 of 46
@@ -357,7 +357,7 @@ eval(Integers,complete 4)
 --R   (36)
 --R             2     3     4     5     6      7      8      9      10      11
 --R   1 + x + 2x  + 3x  + 5x  + 6x  + 9x  + 11x  + 15x  + 18x  + 23x   + O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 36
 
 --S 37 of 46
@@ -370,7 +370,7 @@ eval(Integers,elementary 4)
 --R   + 
 --R        17
 --R     O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 37
 
 --S 38 of 46
@@ -379,7 +379,7 @@ eval(ZeroOrOne,cube)
 --R
 --R                   2     3     4     5     6    7    8
 --R   (38)  1 + x + 3x  + 3x  + 7x  + 3x  + 3x  + x  + x
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 38
 
 --S 39 of 46
@@ -392,7 +392,7 @@ eval(Integers,cube)
 --R   + 
 --R        11
 --R     O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 39
 
 --S 40 of 46
@@ -405,7 +405,7 @@ eval(Integers,graphs 5)
 --R   + 
 --R        11
 --R     O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 40
 
 --S 41 of 46
@@ -418,7 +418,7 @@ eval(ZeroOrOne ,graphs 15)
 --R   + 
 --R        11
 --R     O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 41
 
 --S 42 of 46
@@ -426,7 +426,7 @@ cap(dihedral 30,complete 7*complete 8*complete 5*complete 10)
 --R 
 --R
 --R   (42)  49958972383320
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 42
 
 --S 43 of 46
@@ -445,7 +445,7 @@ sf3221:= SFunction [3,2,2,1]
 --R      1   2 4     1      6     1    8
 --R     -- (2 1 ) - --- (2 1 ) + --- (1 )
 --R     96          144          576
---R                                   Type: SymmetricPolynomial Fraction Integer
+--R                                 Type: SymmetricPolynomial(Fraction(Integer))
 --E 43
 
 --S 44 of 46
@@ -453,7 +453,7 @@ cap(sf3221,complete 2**4)
 --R 
 --R
 --R   (44)  3
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 44
 
 --S 45 of 46
@@ -461,7 +461,7 @@ cap(sf3221, powerSum 1**8)
 --R 
 --R
 --R   (45)  70
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 45
 
 --S 46 of 46
@@ -474,7 +474,7 @@ eval(Integers, sf3221)
 --R   + 
 --R         19      20
 --R     432x   + O(x  )
---R                          Type: UnivariateLaurentSeries(Fraction Integer,x,0)
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),x,0)
 --E 46
 )spool
 )lisp (bye)
diff --git a/src/input/cyfactor.input.pamphlet b/src/input/cyfactor.input.pamphlet
index 3ca99db..392ff8b 100644
--- a/src/input/cyfactor.input.pamphlet
+++ b/src/input/cyfactor.input.pamphlet
@@ -47,7 +47,7 @@ factor(x**84 - 1)
 --R  *
 --R       24    22    18    16    12    8    6    2
 --R     (x   + x   - x   - x   + x   - x  - x  + x  + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 1
 
 --S 2 of 10
@@ -76,7 +76,7 @@ factor(-(x**68 -1))
 --R        + 
 --R           8    6    4    2
 --R          x  - x  + x  - x  + 1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 2
 
 \end{chunk}
@@ -103,7 +103,7 @@ factor(x**99 + 1)
 --R     + 
 --R          9    3
 --R       - x  + x  + 1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 3
 
 --S 4 of 10
@@ -126,7 +126,7 @@ factor(-(x**77 +1))
 --R        + 
 --R           15    14    12    11    8    7
 --R          x   + x   - x   - x   - x  - x  + x + 1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 4
 
 \end{chunk}
@@ -146,7 +146,7 @@ factor(x**ind + 1)
 --R
 --R         64
 --R   (6)  x   + 1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 6
 
 --S 7 of 10
@@ -163,7 +163,7 @@ factor(-(x**ind + 1))
 --R
 --R            128
 --R   (8)  - (x    + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 8
 
 \end{chunk}
@@ -180,7 +180,7 @@ factor(x**84 + 1)
 --R  *
 --R       48    44    36    32    24    16    12    4
 --R     (x   + x   - x   - x   + x   - x   - x   + x  + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 9
 
 --S 10 of 10
@@ -188,7 +188,7 @@ D
 --R 
 --R
 --R   (10)  D
---R                                                             Type: Variable D
+--R                                                            Type: Variable(D)
 --E 10
 )spool
 )lisp (bye)
diff --git a/src/input/danzwill.input.pamphlet b/src/input/danzwill.input.pamphlet
index a1df989..39bcc49 100644
--- a/src/input/danzwill.input.pamphlet
+++ b/src/input/danzwill.input.pamphlet
@@ -47,7 +47,7 @@ i1 := integrate( sin(x), x)
 --R 
 --R
 --R   (1)  - cos(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 1
 
 --i2 := integrate( sqrt(tan(x)), x)
@@ -63,7 +63,7 @@ i3 := integrate( x/(x**3-1),x)
 --R   (2)  -------------------------------------------------------------
 --R                                      +-+
 --R                                    6\|3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 --S 3 of 17
@@ -75,7 +75,7 @@ i4 := integrate( x/sin(x)**2, x)
 --R                  cos(x) + 1              cos(x) + 1
 --R   (3)  --------------------------------------------------------
 --R                                 sin(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 3
 
 --S 4 of 17
@@ -84,7 +84,7 @@ i5 := integrate( log(x)/sqrt(x+1), x)
 --R
 --R              +-----+              +-----+                      +-----+
 --R   (4)  2log(\|x + 1  + 1) - 2log(\|x + 1  - 1) + (2log(x) - 4)\|x + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 --S 5 of 17
@@ -95,7 +95,7 @@ i6 := integrate( exp(-a*x**2), x)
 --R         ++    - %N a
 --R   (5)   |   %e      d%N
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 5
 
 --S 6 of 17
@@ -107,7 +107,7 @@ i7 := integrate( x/(log(x))**3, x)
 --R   (6)  ------------------------------------
 --R                             2
 --R                      2log(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 --S 7 of 17
@@ -118,7 +118,7 @@ i8 := integrate( x/(sqrt(1+x)+sqrt(1-x)),x)
 --R        (x + 1)\|x + 1  + (- x + 1)\|- x + 1
 --R   (7)  -------------------------------------
 --R                          3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 7
 
 --S 8 of 17
@@ -132,7 +132,7 @@ i9 := integrate( 1/(2+cos(x)),x)
 --R   (8)  ------------------
 --R                +-+
 --R               \|3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 
 --S 9 of 17
@@ -144,7 +144,7 @@ i10:= integrate( sin(x)/x**2, x)
 --R   (9)   |   ------- d%N
 --R        ++       2
 --R               %N
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 9
 
 --S 10 of 17
@@ -174,7 +174,7 @@ d3:= integrate( x**2/(1+x**3),x=0..%plusInfinity)
 --R 
 --R
 --R   (11)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 12
 
 --S 13 of 17
@@ -184,7 +184,7 @@ d4:= integrate( exp(-x)/sqrt(x),x=0..%plusInfinity)
 --R          _ 1
 --R   (12)  | (-)
 --R            2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 13
 
 --S 14 of 17
@@ -196,7 +196,7 @@ d5:= integrate( exp(-x**2)*log(x)**2,x=0..%plusInfinity)
 --R            2             2       2         2
 --R   (13)  --------------------------------------
 --R                            8
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 14
 
 --S 15 of 17
diff --git a/src/input/danzwill2.input.pamphlet b/src/input/danzwill2.input.pamphlet
index 2ef5f65..83b0bfd 100644
--- a/src/input/danzwill2.input.pamphlet
+++ b/src/input/danzwill2.input.pamphlet
@@ -26,7 +26,7 @@ i1:= integrate(e^(1991*x),x)
 --R        %e
 --R   (1)  --------------
 --R          1991log(e)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 1
 
 --S 2 of 50
@@ -35,7 +35,7 @@ i2:= integrate((sin(x)-cos(x))^2,x)
 --R
 --R              2
 --R   (2)  cos(x)  + x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 --S 3 of 50
@@ -43,7 +43,7 @@ i3:= integrate(log(x),x)
 --R 
 --R
 --R   (3)  x log(x) - x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 3
 
 --S 4 of 50
@@ -53,7 +53,7 @@ i4:= integrate(1/(%pi*x),x)
 --R        log(x)
 --R   (4)  ------
 --R          %pi
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 --S 5 of 50
@@ -61,7 +61,7 @@ i5:= integrate(%e^(sin(x)^2)*%e^(cos(x)^2),x)
 --R 
 --R
 --R   (5)  x %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 5
 
 --S 6 of 50
@@ -69,7 +69,7 @@ i6:= integrate(1/(x*log(x)),x)
 --R 
 --R
 --R   (6)  log(log(x))
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 --S 7 of 50
@@ -80,7 +80,7 @@ i7:= integrate(x/(x^4+1),x)
 --R        atan(x )
 --R   (7)  --------
 --R            2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 7
 
 --S 8 of 50
@@ -92,7 +92,7 @@ i8:= integrate((x+1)/(x^2+2*x+2)^(1/3),x)
 --R        3\|x  + 2x + 2
 --R   (8)  ----------------
 --R                4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 
 --S 9 of 50
@@ -103,7 +103,7 @@ i9:= integrate(x*%e^x*sin(x),x)
 --R        x %e sin(x) + (- x + 1)cos(x)%e
 --R   (9)  --------------------------------
 --R                        2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 9
 
 --S 10 of 50
@@ -116,7 +116,7 @@ i10:= integrate(%e^(%e^x+x),x)
 --R   (10)  ---------
 --R              x
 --R            %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 
 --S 11 of 50
@@ -127,7 +127,7 @@ i11:= integrate(1/(sec(x)+tan(x)*sin(x)),x)
 --R   (11)  atan(---------------------) - atan(-----------)
 --R                    2                       2cos(x) + 2
 --R              cos(x)  + 2cos(x) + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 11
 
 --S 12 of 50
@@ -138,7 +138,7 @@ i12:= integrate((%e^(5*x)+%e^(7*x))/(%e^x+%e^(-x)),x)
 --R         (%e )
 --R   (12)  ------
 --R            6
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 12
 
 --S 13 of 50
@@ -151,7 +151,7 @@ i13:= integrate(sqrt(-1+2/(1+3*x)),x)
 --R                 \| 3x + 1              \| 3x + 1
 --R   (13)  ------------------------------------------
 --R                              3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 13
 
 --S 14 of 50
@@ -161,7 +161,7 @@ i14:= integrate(sinh(x)-cosh(x),x)
 --R                 1
 --R   (14)  -----------------
 --R         sinh(x) + cosh(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 14
 
 --S 15 of 50
@@ -172,7 +172,7 @@ i15:= integrate((sin(x)*%e^sec(x))/cos(x)^2,x)
 --R           ------
 --R           cos(x)
 --R   (15)  %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 15
 
 --S 16 of 50
@@ -181,7 +181,7 @@ i16:= integrate((x^2+1)/(x^4-x^2+1),x)
 --R
 --R               3
 --R   (16)  atan(x ) + atan(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 16
 
 --S 17 of 50
@@ -194,7 +194,7 @@ i17:= integrate(1/(%pi*x^2+atan(x)+x^2*atan(x)+%pi),x)
 --R                  x  - 1               x  - 1
 --R   (17)  ----------------------------------------------
 --R                                2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 17
 
 --S 18 of 50
@@ -208,7 +208,7 @@ i18:= integrate(sec(x)^3,x)
 --R   --------------------------------------------------------------------------
 --R                                           2
 --R                                    2cos(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 18
  
 --S 19 of 50
@@ -216,7 +216,7 @@ i19:= integrate(1/(x^2-10*x+26),x)
 --R 
 --R
 --R   (19)  atan(x - 5)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 19 
 
 --S 20 of 50
@@ -226,7 +226,7 @@ i20:= integrate(1/(x^2-11*x-26),x)
 --R         - log(x + 2) + log(x - 13)
 --R   (20)  --------------------------
 --R                     15
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 20 
 
 --S 21 of 50
@@ -238,7 +238,7 @@ i21:= integrate(1/(12+13*cos(x)),x)
 --R                  cos(x) + 1                  cos(x) + 1
 --R   (21)  -----------------------------------------------------
 --R                                   5
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 21 
 
 --S 22 of 50
@@ -249,7 +249,7 @@ i22:= integrate((x^3+1)/(x+1),x)
 --R         2x  - 3x  + 6x
 --R   (22)  --------------
 --R                6
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 22 
 
 --S 23 of 50
@@ -262,7 +262,7 @@ i23:= integrate((1-4*x^4)^(-1/2)/(4*x)^(-1),x)
 --R   (23)  - 2atan(----------------)
 --R                          2
 --R                        2x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 23 
 
 --S 24 of 50
@@ -271,7 +271,7 @@ i24:= integrate(%e^(1991),x)
 --R
 --R             1991
 --R   (24)  x %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 24 
 
 --S 25 of 50
@@ -280,7 +280,7 @@ i25:= integrate((log(x)+1)*x^x,x)
 --R
 --R           x log(x)
 --R   (25)  %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 25 
 
 --S 26 of 50
@@ -291,7 +291,7 @@ i26:= integrate(cos(2*x)*sin(6*x),x)
 --R         - 2cos(2x)  + cos(2x)
 --R   (26)  ----------------------
 --R                    4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 26 
 
 --S 27 of 50
@@ -300,7 +300,7 @@ i27:= integrate(1/(sqrt(x)*(1+sqrt(x))),x)
 --R
 --R               +-+
 --R   (27)  2log(\|x  + 1)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 27 
 
 --S 28 of 50
@@ -314,7 +314,7 @@ i28:= integrate(e^(1/x)*x^(-3),x)
 --R   (28)  ----------------------
 --R                        2
 --R                x log(e)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 28 
 
 --S 29 of 50
@@ -326,7 +326,7 @@ i29:= integrate(sqrt(csc(x)-sin(x)),x)
 --R   (29)  (- cos(x) - 1)  |--------------------------------
 --R                        4|      3          2
 --R                        \|cos(x)  + 3cos(x)  + 3cos(x) + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 29 
 
 --S 30 of 50
@@ -335,7 +335,7 @@ i30:= integrate((x^2+1)/(x^3-x),x)
 --R
 --R              2
 --R   (30)  log(x  - 1) - log(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 30 
 
 --S 31 of 50
@@ -346,7 +346,7 @@ i31:= integrate(42^x,x)
 --R         %e
 --R   (31)  -----------
 --R           log(42)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 31 
 
 --S 32 of 50
@@ -355,7 +355,7 @@ i32:= integrate(x^5*%e^x,x)
 --R
 --R           5     4      3      2                x
 --R   (32)  (x  - 5x  + 20x  - 60x  + 120x - 120)%e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 32 
 
 --S 33 of 50
@@ -367,7 +367,7 @@ i33:= integrate(x*%e^(x^2),x)
 --R         %e
 --R   (33)  ----
 --R           2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 33 
 
 --S 34 of 50
@@ -379,7 +379,7 @@ i34:= integrate(1/(x^2+1)^2,x)
 --R   (34)  -------------------
 --R                 2
 --R               2x  + 2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 34 
 
 --S 35 of 50
@@ -388,7 +388,7 @@ i35:= integrate(1/(%e^x+%e^(-x)),x)
 --R
 --R                x
 --R   (35)  atan(%e )
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 35 
 
 --S 36 of 50
@@ -402,7 +402,7 @@ i36:= integrate(tan(x)*log(abs(sec(x))),x)
 --R             \|cos(x)
 --R   (36)  ----------------
 --R                 2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 36 
 
 --S 37 of 50
@@ -410,7 +410,7 @@ i37:= integrate(cos(sin(x))*cos(x),x)
 --R 
 --R
 --R   (37)  sin(sin(x))
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 37 
 
 --S 38 of 50
@@ -420,7 +420,7 @@ i38:= integrate(1/(x^2-9),x)
 --R         - log(x + 3) + log(x - 3)
 --R   (38)  -------------------------
 --R                     6
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 38 
 
 --S 39 of 50
@@ -432,7 +432,7 @@ i39:= integrate(%pi/sqrt(16-%e^2),x)
 --R          +----------+
 --R          |    2
 --R         \|- %e  + 16
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 39 
 
 --S 40 of 50
@@ -483,7 +483,7 @@ i40:= integrate(sqrt(tan(x)),x)
 --R                          \|cos(x)
 --R  /
 --R     4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 40 
 
 --S 41 of 50
@@ -493,7 +493,7 @@ i41:= integrate(sin(x)^(-1),x)
 --R               sin(x)
 --R   (41)  log(----------)
 --R             cos(x) + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 41 
 
 --S 42 of 50
@@ -502,7 +502,7 @@ i42:= integrate((x^2-2*x+2)/(x^2+1),x)
 --R
 --R                2
 --R   (42)  - log(x  + 1) + atan(x) + x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 42 
 
 --S 43 of 50
@@ -512,7 +512,7 @@ i43:= integrate((sin(x)^2*cos(x)^2)/(1+cos(2*x)),x)
 --R         - cos(x)sin(x) + x
 --R   (43)  ------------------
 --R                  4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 43 
 
 --S 44 of 50
@@ -524,7 +524,7 @@ i44:= integrate(sqrt(x+x^2*sqrt(x)),x)
 --R         (4\|x  + 4x )\|x \|x  + x
 --R   (44)  --------------------------
 --R                     9x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 44 
 
 --S 45 of 50
@@ -535,7 +535,7 @@ i45:= integrate(cos(4*x)*cos(2*x),x)
 --R         (2cos(2x)  + 1)sin(2x)
 --R   (45)  ----------------------
 --R                    6
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 45 
 
 --S 46 of 50
@@ -547,7 +547,7 @@ i46:= integrate(sqrt(x^3-1)/x,x)
 --R         - 2atan(\|x  - 1 ) + 2\|x  - 1
 --R   (46)  -------------------------------
 --R                        3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 46 
 
 --S 47 of 50
@@ -559,7 +559,7 @@ i47:= integrate((%e^x*(x-2))/x^3,x)
 --R   (47)  ---
 --R           2
 --R          x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 47 
 
 --S 48 of 50
@@ -567,7 +567,7 @@ i48:= integrate(cot(x)/log(sin(x)),x)
 --R 
 --R
 --R   (48)  log(log(sin(x)))
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 48 
 
 --S 49 of 50
@@ -579,7 +579,7 @@ i49:= integrate(x*sec(x)^2,x)
 --R                     cos(x) + 1                cos(x) + 1
 --R   (49)  ------------------------------------------------------------
 --R                                    cos(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 49 
 
 --S 50 of 50
@@ -590,7 +590,7 @@ i50:= integrate(x*sec(x)*(x*tan(x)+2),x)
 --R           x
 --R   (50)  ------
 --R         cos(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 50 
 )spool
 )lisp (bye)
diff --git a/src/input/davenport.input.pamphlet b/src/input/davenport.input.pamphlet
index d257516..4fa3849 100644
--- a/src/input/davenport.input.pamphlet
+++ b/src/input/davenport.input.pamphlet
@@ -23,7 +23,7 @@
 t1:=UP(x,FRAC INT)
 --R 
 --R
---R   (1)  UnivariatePolynomial(x,Fraction Integer)
+--R   (1)  UnivariatePolynomial(x,Fraction(Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -41,10 +41,10 @@ quotient(p1:t1,p2:t1,n:NNI):Union("failed",t1) ==
     quot:=quot+mon
   quot
 --R 
---R   Function declaration quotient : (UnivariatePolynomial(x,Fraction 
---R      Integer),UnivariatePolynomial(x,Fraction Integer),
+--R   Function declaration quotient : (UnivariatePolynomial(x,Fraction(
+--R      Integer)),UnivariatePolynomial(x,Fraction(Integer)),
 --R      NonNegativeInteger) -> Union("failed",UnivariatePolynomial(x,
---R      Fraction Integer)) has been added to workspace.
+--R      Fraction(Integer))) has been added to workspace.
 --R                                                                   Type: Void
 --E 2
 
@@ -61,14 +61,14 @@ quotient(1,1+x,8)
 --R      into your expression for - .
 --R   AXIOM will attempt to step through and interpret the code.
 --R   Compiling function quotient with type (UnivariatePolynomial(x,
---R      Fraction Integer),UnivariatePolynomial(x,Fraction Integer),
+--R      Fraction(Integer)),UnivariatePolynomial(x,Fraction(Integer)),
 --R      NonNegativeInteger) -> Union("failed",UnivariatePolynomial(x,
---R      Fraction Integer)) 
+--R      Fraction(Integer))) 
 --I   Compiling function G1504 with type Integer -> Boolean 
 --R
 --R         8    7    6    5    4    3    2
 --R   (3)  x  - x  + x  - x  + x  - x  + x  - x + 1
---R                    Type: Union(UnivariatePolynomial(x,Fraction Integer),...)
+--R                   Type: Union(UnivariatePolynomial(x,Fraction(Integer)),...)
 --E 3
 
 --S 4 of 12
@@ -83,7 +83,7 @@ quotient(x**2-x+1,x**3-x-6/7,8)
 --R       889  2   91     7
 --R     - --- x  + -- x - -
 --R       216      36     6
---R                    Type: Union(UnivariatePolynomial(x,Fraction Integer),...)
+--R                   Type: Union(UnivariatePolynomial(x,Fraction(Integer)),...)
 --E 4
 
 --S 5 of 12
@@ -91,8 +91,8 @@ ext1:=SAE(FRAC INT,UP(a,FRAC INT),a**2+a+1)
 --R 
 --R
 --R   (5)
---R  SimpleAlgebraicExtension(Fraction Integer,UnivariatePolynomial(a,Fraction Int
---R  eger),a*a+a+1)
+--R  SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(a,Fraction(In
+--R  teger)),a^2+a+1)
 --R                                                                 Type: Domain
 --E 5
 
diff --git a/src/input/davis.input.pamphlet b/src/input/davis.input.pamphlet
index 4bdf6b0..b8bcd88 100644
--- a/src/input/davis.input.pamphlet
+++ b/src/input/davis.input.pamphlet
@@ -28,7 +28,7 @@ f2:=1/(1+t^4)
 --R   (1)  ------
 --R         4
 --R        t  + 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 1
 
 --S 2 of 101
@@ -45,7 +45,7 @@ i2:=integrate(f2,t)
 --R                   t\|2  - 1              t\|2  + 1
 --R  /
 --R     8
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 --S 3 of 101
@@ -62,9 +62,9 @@ d2:=integrate(f2,x=0,t)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      integrate with argument type(s) 
---R                         Fraction Polynomial Integer
---R                         Equation Polynomial Integer
---R                                 Variable t
+--R                        Fraction(Polynomial(Integer))
+--R                        Equation(Polynomial(Integer))
+--R                                 Variable(t)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -82,7 +82,7 @@ a2:=1/(4*sqrt(2))*log((x^2+x*sqrt(2)+1)/(x^2-x*sqrt(2)+1))+_
 --R                 x\|2  - x  - 1               \|2  - x              \|2  + x
 --R   (3)  ---------------------------------------------------------------------
 --R                                          8
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 101
@@ -98,7 +98,7 @@ f56:=sin(%pi*x)
 --R 
 --R
 --R   (5)  sin(%pi x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 101
@@ -108,7 +108,7 @@ i56:=integrate(f56,x)
 --R          cos(%pi x)
 --R   (6)  - ----------
 --R              %pi
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 7
 
 --S 8 of 101
@@ -116,7 +116,7 @@ d56:=integrate(f65,x=0..1)
 --R 
 --R
 --R   (7)  f65
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 8
 
 --S 9 of 101
@@ -148,7 +148,7 @@ f57:=f(x)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named f 
 --R      with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -159,7 +159,7 @@ i57:=integrate(f57,x)
 --R 
 --R
 --R   (10)  f57 x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 12
 
 --S 13 of 101
@@ -176,8 +176,8 @@ d57:=integrate(f57,a..b)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      integrate with argument type(s) 
---R                                Variable f57
---R                               Segment Symbol
+--R                                Variable(f57)
+--R                               Segment(Symbol)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -194,7 +194,7 @@ a57:=((b-a)/6)*(f(a)+4*f((a+b)/2)+f(b))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named f 
 --R      with argument type(s) 
---R                                 Variable a
+--R                                 Variable(a)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -215,7 +215,7 @@ f148:=exp(x^2)*cos(n*x)
 --R                    2
 --R                   x
 --R   (12)  cos(n x)%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 101
@@ -226,7 +226,7 @@ i148:=integrate(f148,x)
 --R          ++             %K
 --R   (13)   |   cos(%K n)%e   d%K
 --R         ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 17
 
 --S 18 of 101
@@ -247,7 +247,7 @@ a148:=((-1)^n/n^2)*2*%pi*exp(%pi^2)
 --R   (15)  -----------------
 --R                  2
 --R                 n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 101
@@ -263,7 +263,7 @@ f153:=x*cos(x)*sin(n*x)
 --R 
 --R
 --R   (17)  x cos(x)sin(n x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 --S 22 of 101
@@ -279,7 +279,7 @@ i153:=integrate(f153,x)
 --R  /
 --R      4     2
 --R     n  - 2n  + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 22
 
 --S 23 of 101
@@ -291,7 +291,7 @@ d153:=integrate(f153,x=0..2*%pi)
 --R   (19)  -------------------------------------------------
 --R                             4     2
 --R                            n  - 2n  + 1
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 23
 
 --S 24 of 101
@@ -320,7 +320,7 @@ a153b:=-2*n*%pi/(n^2-1)
 --R   (22)  - ------
 --R            2
 --R           n  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 26
 
 --S 27 of 101
@@ -336,7 +336,7 @@ fa154:=x*cos(50*x)*sin(n*x)
 --R 
 --R
 --R   (24)  x cos(50x)sin(n x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 28
 
 --S 29 of 101
@@ -352,7 +352,7 @@ ia154:=integrate(fa154,x)
 --R  /
 --R      4        2
 --R     n  - 5000n  + 6250000
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 29
 
 --S 30 of 101
@@ -364,7 +364,7 @@ da154:=integrate(fa154,x=0..2*%pi)
 --R   (26)  -------------------------------------------------------
 --R                           4        2
 --R                          n  - 5000n  + 6250000
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 30
 
 --S 31 of 101
@@ -375,7 +375,7 @@ aa154:=2*n*%pi/(2500-n^2)
 --R   (27)  - ---------
 --R            2
 --R           n  - 2500
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 31
 
 --S 32 of 101
@@ -398,7 +398,7 @@ fb154:=x*sin(n*x)/sqrt(1-(x^2)/(4*%pi^2))
 --R          |------------
 --R          |        2
 --R         \|    4%pi
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 33
 
 --S 34 of 101
@@ -414,7 +414,7 @@ ib154:=integrate(fb154,x)
 --R               |-----------
 --R               |       2
 --R              \|   4%pi
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 34
 
 --S 35 of 101
@@ -447,7 +447,7 @@ ab154:=2*%pi^3*J(1,2*%pi*n) -- J(n,m) is the Bessel function
 --R   Cannot find a definition or applicable library operation named J 
 --R      with argument type(s) 
 --R                               PositiveInteger
---R                             Expression Integer
+--R                             Expression(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -466,7 +466,7 @@ f155:=log(x)*sin(n*x)
 --R 
 --R
 --R   (33)  log(x)sin(n x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 38
 
 --S 39 of 101
@@ -477,7 +477,7 @@ i155:=integrate(f155,x)
 --R          ++
 --R   (34)   |   log(%K)sin(%K n)d%K
 --R         ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 39
 
 --S 40 of 101
@@ -495,7 +495,7 @@ a155:=(-1/n)*(y+log(2*n*%pi)-Ci(2*n*%pi)) -- y ~ .577215665 Ci is cosine int.
 --R         - log(2n %pi) + Ci(2n %pi) - y
 --R   (36)  ------------------------------
 --R                        n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 41
 
 --S 42 of 101
@@ -513,7 +513,7 @@ f210:=exp(-x^2)
 --R              2
 --R           - x
 --R   (38)  %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 43
 
 --S 44 of 101
@@ -524,7 +524,7 @@ i210:=integrate(f210,x)
 --R         erf(x)\|%pi
 --R   (39)  ------------
 --R               2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 44
 
 --S 45 of 101
@@ -535,7 +535,7 @@ d210:=integrate(f210,x=0..%plusInfinity)
 --R         \|%pi
 --R   (40)  ------
 --R            2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 45
 
 --S 46 of 101
@@ -546,7 +546,7 @@ a210:=sqrt(%pi)/2
 --R         \|%pi
 --R   (41)  ------
 --R            2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 --S 47 of 101
@@ -563,7 +563,7 @@ f212:=sech(x)^2
 --R
 --R                2
 --R   (43)  sech(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 48
 
 --S 49 of 101
@@ -574,7 +574,7 @@ i212:=integrate(f212,x)
 --R   (44)  - -----------------------------------------
 --R                  2                            2
 --R           sinh(x)  + 2cosh(x)sinh(x) + cosh(x)  + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 49
 
 --S 50 of 101
@@ -607,7 +607,7 @@ fa238:=exp(-x)*sin(w*x)
 --R
 --R           - x
 --R   (48)  %e   sin(w x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 53
 
 --S 54 of 101
@@ -619,7 +619,7 @@ ia238:=integrate(fa238,x)
 --R   (49)  ---------------------------------
 --R                        2
 --R                       w  + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 54
 
 --S 55 of 101
@@ -630,7 +630,7 @@ da238:=integrate(fa238,x=0..%plusInfinity)
 --R   (50)  ------
 --R          2
 --R         w  + 1
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 55
 
 --S 56 of 101
@@ -641,7 +641,7 @@ aa238:=w/(1+w^2)
 --R   (51)  ------
 --R          2
 --R         w  + 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 56
 
 --S 57 of 101
@@ -660,7 +660,7 @@ fb238:=(x/(1+x^2))*sin(w*x)
 --R   (53)  ----------
 --R            2
 --R           x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 58
 
 --S 59 of 101
@@ -672,7 +672,7 @@ ib238:=integrate(fb238,x)
 --R   (54)   |   ------------ d%K
 --R         ++        2
 --R                 %K  + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 59
 
 --S 60 of 101
@@ -691,7 +691,7 @@ ab238:=%pi*exp(-w)/2
 --R         %pi %e
 --R   (56)  ---------
 --R             2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 61
 
 --S 62 of 101
@@ -711,7 +711,7 @@ f239:=sin(x/2)^2*sin(w*x)/x
 --R             2
 --R   (58)  ---------------
 --R                x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 63
 
 --S 64 of 101
@@ -723,7 +723,7 @@ i239:=integrate(f239,x)
 --R          ++       2
 --R   (59)   |   ----------------- d%K
 --R         ++           %K
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 64
 
 --S 65 of 101
@@ -791,7 +791,7 @@ f385:=x
 --R 
 --R
 --R   (67)  x
---R                                                             Type: Variable x
+--R                                                            Type: Variable(x)
 --E 72
 
 --S 73 of 101
@@ -801,7 +801,7 @@ i385:=integrate(f385,x)
 --R         1  2
 --R   (68)  - x
 --R         2
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 73
 
 --S 74 of 101
@@ -811,7 +811,7 @@ d385:=integrate(f385,x=0..1)
 --R         1
 --R   (69)  -
 --R         2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 74
 
 --S 75 of 101
@@ -821,7 +821,7 @@ a385:=1/2
 --R         1
 --R   (70)  -
 --R         2
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 75
 
 --S 76 of 101
@@ -838,7 +838,7 @@ f388:=x^2
 --R
 --R          2
 --R   (72)  x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 77
 
 --S 78 of 101
@@ -848,7 +848,7 @@ i388:=integrate(f388,x)
 --R         1  3
 --R   (73)  - x
 --R         3
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 78
 
 --S 79 of 101
@@ -858,7 +858,7 @@ d388:=integrate(f388,x=0..1)
 --R         1
 --R   (74)  -
 --R         3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 79
 
 --S 80 of 101
@@ -868,7 +868,7 @@ a388:=1/3
 --R         1
 --R   (75)  -
 --R         3
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 80
 
 --S 81 of 101
@@ -885,7 +885,7 @@ fa453:=abs(x^2+y^2-0.25)
 --R
 --R              2    2
 --R   (77)  abs(y  + x  - 0.25)
---R                                                       Type: Expression Float
+--R                                                      Type: Expression(Float)
 --E 82
 
 --S 83 of 101
@@ -902,8 +902,8 @@ ia453:=integrate(integrate(fa453,x),y)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      integrate with argument type(s) 
---R                              Expression Float
---R                                 Variable x
+--R                              Expression(Float)
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -923,8 +923,8 @@ da453:=integrate(integrate(fa453,x=-1..1),y=-1..1)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      integrate with argument type(s) 
---R                              Expression Float
---R                           SegmentBinding Integer
+--R                              Expression(Float)
+--R                           SegmentBinding(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -955,7 +955,7 @@ fb453:=1/(1-x*y)
 --R              1
 --R   (80)  - -------
 --R           x y - 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 87
 
 --S 88 of 101
@@ -966,7 +966,7 @@ ib453:=integrate(integrate(fb453,x),y)
 --R          ++    log(%K x - 1)
 --R   (81)   |   - ------------- d%K
 --R         ++           %K
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 88
 
 --S 89 of 101
@@ -983,8 +983,8 @@ db453:=integrate(integrate(fb453,x=0..1),y=0..1)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      integrate with argument type(s) 
---RUnion(f1: OrderedCompletion Expression Integer,f2: List OrderedCompletion Expression Integer,fail: failed,pole: potentialPole)
---R                      SegmentBinding NonNegativeInteger
+--IUnion(f1: OrderedCompletion(Expression(Integer)),f2: ...
+--R                     SegmentBinding(NonNegativeInteger)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1015,7 +1015,7 @@ fc453:=sqrt(abs(x-y))
 --R
 --R          +----------+
 --R   (84)  \|abs(y - x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 92
 
 --S 93 of 101
@@ -1044,8 +1044,8 @@ dc453:=integrate(integrate(fc453,x=0..1),y=0..1)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      integrate with argument type(s) 
---RUnion(f1: OrderedCompletion Expression Integer,f2: List OrderedCompletion Expression Integer,fail: failed,pole: potentialPole)
---R                      SegmentBinding NonNegativeInteger
+--IUnion(f1: OrderedCompletion(Expression(Integer)),f2: ...
+--R                     SegmentBinding(NonNegativeInteger)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1058,7 +1058,7 @@ ac453:=8/15
 --R          8
 --R   (85)  --
 --R         15
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 95
 
 --S 96 of 101
@@ -1075,7 +1075,7 @@ f455:=abs(x^2+y^2+z^2-.125)
 --R
 --R              2    2    2
 --R   (87)  abs(z  + y  + x  - 0.125)
---R                                                       Type: Expression Float
+--R                                                      Type: Expression(Float)
 --E 97
 
 --S 98 of 101
@@ -1092,8 +1092,8 @@ i455:=integrate(integrate(integrate(f455,x),y),z)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      integrate with argument type(s) 
---R                              Expression Float
---R                                 Variable x
+--R                              Expression(Float)
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1113,8 +1113,8 @@ d455:=integrate(integrate(integrate(f455,x=-1..1),y=-1..1),z=-1..1)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      integrate with argument type(s) 
---R                              Expression Float
---R                           SegmentBinding Integer
+--R                              Expression(Float)
+--R                           SegmentBinding(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
diff --git a/src/input/decimal.input.pamphlet b/src/input/decimal.input.pamphlet
index 49fd6f9..cff1dcd 100644
--- a/src/input/decimal.input.pamphlet
+++ b/src/input/decimal.input.pamphlet
@@ -49,7 +49,7 @@ r + decimal(6/7)
 --R   [0.00285714, 0.002849, 0.0028409, 0.00283286118980169971671388101983,
 --R       __________________________________________________________
 --R    0.00282485875706214689265536723163841807909604519774011299435]
---R                                                  Type: List DecimalExpansion
+--R                                                 Type: List(DecimalExpansion)
 --E 3
 
 --S 4 of 7
@@ -73,7 +73,7 @@ p := decimal(1/4)*x**2 + decimal(2/3)*x + decimal(4/9)
 --R
 --R             2     _      _
 --R   (5)  0.25x  + 0.6x + 0.4
---R                                            Type: Polynomial DecimalExpansion
+--R                                           Type: Polynomial(DecimalExpansion)
 --E 5
 
 --S 6 of 7
@@ -82,7 +82,7 @@ q := differentiate(p, x)
 --R
 --R                 _
 --R   (6)  0.5x + 0.6
---R                                            Type: Polynomial DecimalExpansion
+--R                                           Type: Polynomial(DecimalExpansion)
 --E 6
 
 --S 7 of 7
@@ -91,7 +91,7 @@ g := gcd(p, q)
 --R
 --R              _
 --R   (7)  x + 1.3
---R                                            Type: Polynomial DecimalExpansion
+--R                                           Type: Polynomial(DecimalExpansion)
 --E 7
 )spool
 )lisp (bye)
diff --git a/src/input/defintef.input.pamphlet b/src/input/defintef.input.pamphlet
index ecd4f06..db06ce5 100644
--- a/src/input/defintef.input.pamphlet
+++ b/src/input/defintef.input.pamphlet
@@ -39,7 +39,7 @@ sin(x)**3/(sin(x)**3+cos(x)**3)
 --R   (1)  -----------------
 --R              3         3
 --R        sin(x)  + cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 8
@@ -49,7 +49,7 @@ integrate(%, x = 0..%pi/2, "noPole")
 --R        2log(16) - 4log(4) + 3%pi
 --R   (2)  -------------------------
 --R                    12
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 2
 
 --S 3 of 8
@@ -61,7 +61,7 @@ x**2/(1+x**3)
 --R   (3)  ------
 --R         3
 --R        x  + 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 3
 
 --S 4 of 8
@@ -69,7 +69,7 @@ integrate(%, x=0..%plusInfinity)
 --R 
 --R
 --R   (4)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 4
 
 --S 5 of 8
@@ -79,7 +79,7 @@ exp(-x**2)*log(x)**2
 --R             2
 --R          - x       2
 --R   (5)  %e    log(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 8
@@ -91,7 +91,7 @@ integrate(%, x=0..%plusInfinity)
 --R           2             2       2         2
 --R   (6)  --------------------------------------
 --R                           8
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 6
 
 --S 7 of 8
@@ -101,7 +101,7 @@ x * asin(x/(x+1))
 --R                 x
 --R   (7)  x asin(-----)
 --R               x + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 8
@@ -112,7 +112,7 @@ integrate(%, x=0..1)
 --R        3\|3  - 4
 --R   (8)  ---------
 --R            6
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 8
 )spool
 )lisp (bye)
diff --git a/src/input/defintrf.input.pamphlet b/src/input/defintrf.input.pamphlet
index 335afcb..ddb71f1 100644
--- a/src/input/defintrf.input.pamphlet
+++ b/src/input/defintrf.input.pamphlet
@@ -35,7 +35,7 @@ f := (x**4 - 3*x**2 + 6)/(x**6-5*x**4+5*x**2+4)
 --R   (1)  ------------------
 --R         6     4     2
 --R        x  - 5x  + 5x  + 4
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 1
 
 --S 2 of 3
@@ -47,7 +47,7 @@ integrate(f, x = 1..2)
 --R                                               2
 --R   (2)  -----------------------------------------------
 --R                               2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 2
 
 --S 3 of 3
diff --git a/src/input/derham.input.pamphlet b/src/input/derham.input.pamphlet
index 77f76a2..652d3b0 100644
--- a/src/input/derham.input.pamphlet
+++ b/src/input/derham.input.pamphlet
@@ -34,7 +34,7 @@ lv : List Symbol := [x,y,z]
 --R 
 --R
 --R   (2)  [x,y,z]
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 2
 
 --S 3 of 33
@@ -49,7 +49,7 @@ der := DERHAM(coefRing,lv)
 R := Expression coefRing
 --R 
 --R
---R   (4)  Expression Integer
+--R   (4)  Expression(Integer)
 --R                                                                 Type: Domain
 --E 4
 
@@ -59,7 +59,7 @@ f : R := x**2*y*z-5*x**3*y**2*z**5
 --R
 --R            3 2 5    2
 --R   (5)  - 5x y z  + x y z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 33
@@ -68,7 +68,7 @@ g : R := z**2*y*cos(z)-7*sin(x**3*y**2)*z**2
 --R
 --R            2     3 2       2
 --R   (6)  - 7z sin(x y ) + y z cos(z)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 33
@@ -77,7 +77,7 @@ h : R :=x*y*z-2*x**3*y*z**2
 --R
 --R            3   2
 --R   (7)  - 2x y z  + x y z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 33
@@ -109,7 +109,7 @@ dz : der := generator(3)
 --R 
 --R
 --R   (11)  [dx,dy,dz]
---R                                    Type: List DeRhamComplex(Integer,[x,y,z])
+--R                                   Type: List(DeRhamComplex(Integer,[x,y,z]))
 --E 11
 
 --S 12 of 33
@@ -301,7 +301,7 @@ coefficient(gamma, dx*dy)
 --R
 --R            2     3 2       2                                   4 2 5    3
 --R   (31)  (7z sin(x y ) - y z cos(z))cos(tan(x y z) + x y z) - 5x y z  + x y z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 31
 
 --S 32 of 33
@@ -309,7 +309,7 @@ coefficient(gamma, one)
 --R 
 --R
 --R   (32)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 32
 
 --S 33 of 33
@@ -317,7 +317,7 @@ coefficient(g1,one)
 --R 
 --R
 --R   (33)  a(x,t,y,u,v,z,e)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 33
 )spool
 )lisp (bye)
diff --git a/src/input/derivefail.input.pamphlet b/src/input/derivefail.input.pamphlet
index 9588af8..f4e6f32 100644
--- a/src/input/derivefail.input.pamphlet
+++ b/src/input/derivefail.input.pamphlet
@@ -33,7 +33,7 @@ t1:=1/(sqrt(x^2+1)+2*x)^2
 --R           +------+
 --R           | 2          2
 --R        4x\|x  + 1  + 5x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 18
@@ -72,7 +72,7 @@ integrate(t1,x)
 --R                      +------+
 --R         3        +-+ | 2              4     2      +-+
 --R     (36x  - 12x)\|3 \|x  + 1  + (- 36x  - 6x  + 6)\|3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 --S 3 of 18
@@ -84,7 +84,7 @@ t2:=1/(sqrt(x^2-1)*(3*x^2-4)^2)
 --R                          +------+
 --R           4      2       | 2
 --R        (9x  - 24x  + 16)\|x  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 18
@@ -107,7 +107,7 @@ integrate(t2,x)
 --R                    +------+
 --R          3         | 2            4       2
 --R     (192x  - 256x)\|x  - 1  - 192x  + 352x  - 128
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 --S 5 of 18
@@ -118,7 +118,7 @@ t3:=1/(2*sqrt(x)+sqrt(x+1))^2
 --R   (5)  ----------------------
 --R          +-+ +-----+
 --R        4\|x \|x + 1  + 5x + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 18
@@ -135,7 +135,7 @@ t4:=sqrt(x^2-1)/(x-%i)^2
 --R   (6)  --------------
 --R         2
 --R        x  - 2%i x - 1
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 7
 
 --S 8 of 18
@@ -166,7 +166,7 @@ integrate(t4,x)
 --R                +------+
 --R                | 2          2
 --R     (2x - 2%i)\|x  - 1  - 2x  + 2%i x
---R                                  Type: Union(Expression Complex Integer,...)
+--R                                Type: Union(Expression(Complex(Integer)),...)
 --E 8
 
 --S 9 of 18
@@ -178,7 +178,7 @@ t5:=1/(sqrt(x^2-1)*(x^2+1)^2)
 --R                       +------+
 --R          4     2      | 2
 --R        (x  + 2x  + 1)\|x  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 18
@@ -205,7 +205,7 @@ integrate(t5,x)
 --R                      +------+
 --R         3        +-+ | 2              4     2      +-+
 --R     (16x  + 16x)\|2 \|x  - 1  + (- 16x  - 8x  + 8)\|2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 
 --S 11 of 18
@@ -216,7 +216,7 @@ t6:=1/(sqrt(x-1)*(sqrt(x-1)+2*sqrt(x))^2)
 --R   (10)  -------------------------------
 --R                  +-+            +-----+
 --R         (4x - 4)\|x  + (5x - 1)\|x - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 18
@@ -232,7 +232,7 @@ t7:=1/(sqrt(x^2-1)*(sqrt(x^2-1)+sqrt(x))^2)
 --R                      +------+
 --R           2          | 2           2      +-+
 --R         (x  + x - 1)\|x  - 1  + (2x  - 2)\|x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 18
@@ -251,7 +251,7 @@ t8:=sqrt(sqrt(x^4+1)+x^2)/((x+1)^2*sqrt(x^4+1))
 --R                       +------+
 --R           2           | 4
 --R         (x  + 2x + 1)\|x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 18
@@ -267,7 +267,7 @@ t9:=((x-1)^(3/2)+(x+1)^(3/2))/((x+1)^(3/2)*(x-1)^(3/2))
 --R   (13)  ---------------------------------
 --R                2      +-----+ +-----+
 --R              (x  - 1)\|x - 1 \|x + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 18 two possible answers, both are ok
@@ -279,7 +279,7 @@ integrate(t9,x)
 --R   (14)  ---------------------------------------
 --R                           2
 --R                          x  - 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 18
 
 )spool
diff --git a/src/input/dfloat.input.pamphlet b/src/input/dfloat.input.pamphlet
index 59b3cca..ec858de 100644
--- a/src/input/dfloat.input.pamphlet
+++ b/src/input/dfloat.input.pamphlet
@@ -28,7 +28,7 @@ machineFraction(2.71828)
 --R        382563899846521
 --R   (1)  ---------------
 --R        140737488355328
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 1
 
 --S 2 of 10
@@ -38,7 +38,7 @@ machineFraction(2.71828@DoubleFloat)
 --R        382563899846521
 --R   (2)  ---------------
 --R        140737488355328
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 2
 
 --S 3 of 10
@@ -48,7 +48,7 @@ machineFraction(2.71828 :: DoubleFloat)
 --R        382563899846521
 --R   (3)  ---------------
 --R        140737488355328
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 3
 
 --S 4 of 10
@@ -58,7 +58,7 @@ machineFraction(eApprox : DoubleFloat := 2.71828)
 --R        382563899846521
 --R   (4)  ---------------
 --R        140737488355328
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 4
 
 --S 5 of 10
@@ -78,7 +78,7 @@ avg l ==
 --S 7 of 10
 avg []
 --R 
---R   Compiling function avg with type List DoubleFloat -> DoubleFloat 
+--R   Compiling function avg with type List(DoubleFloat) -> DoubleFloat 
 --R
 --R   (7)  0.
 --R                                                            Type: DoubleFloat
@@ -91,7 +91,7 @@ machineFraction(avg [3.4,9.7,-6.8])
 --R        1182194902184755
 --R   (8)  ----------------
 --R         562949953421312
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 8
 
 --S 9 of 10
@@ -101,7 +101,7 @@ machineFraction(cos(3.1415926)$DoubleFloat)
 --R          9007199254740979
 --R   (9)  - ----------------
 --R          9007199254740992
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 9
 
 --S 10 of 10
@@ -111,7 +111,7 @@ machineFraction(cos(3.1415926 :: DoubleFloat))
 --R           9007199254740979
 --R   (10)  - ----------------
 --R           9007199254740992
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 10
 
 )spool
diff --git a/src/input/dhmatrix.input.pamphlet b/src/input/dhmatrix.input.pamphlet
index 8daf799..c2833d3 100644
--- a/src/input/dhmatrix.input.pamphlet
+++ b/src/input/dhmatrix.input.pamphlet
@@ -40,7 +40,7 @@ t2:=identity()$t1
 --R        |0.  0.  1.  0.|
 --R        |              |
 --R        +0.  0.  0.  1.+
---R                                    Type: DenavitHartenbergMatrix DoubleFloat
+--R                                   Type: DenavitHartenbergMatrix(DoubleFloat)
 --E 2
 
 \end{chunk}
@@ -62,7 +62,7 @@ t3:=rotatex(30)
 --R        |    2      2    |
 --R        |                |
 --R        +0   0     0    1+
---R                             Type: DenavitHartenbergMatrix Expression Integer
+--R                           Type: DenavitHartenbergMatrix(Expression(Integer))
 --E 3
 
 \end{chunk}
@@ -84,7 +84,7 @@ t4:=rotatey(30)
 --R        |  2        2    |
 --R        |                |
 --R        + 0    0   0    1+
---R                             Type: DenavitHartenbergMatrix Expression Integer
+--R                           Type: DenavitHartenbergMatrix(Expression(Integer))
 --E 4
 
 \end{chunk}
@@ -106,7 +106,7 @@ t5:=rotatez(30)
 --R        | 0     0    1  0|
 --R        |                |
 --R        + 0     0    0  1+
---R                             Type: DenavitHartenbergMatrix Expression Integer
+--R                           Type: DenavitHartenbergMatrix(Expression(Integer))
 --E 5
 
 \end{chunk}
@@ -122,7 +122,7 @@ t6:=scale(0.5,0.5,0.5)
 --R        |0.0  0.0  0.5  0.0|
 --R        |                  |
 --R        +0.0  0.0  0.0  1.0+
---R                                          Type: DenavitHartenbergMatrix Float
+--R                                         Type: DenavitHartenbergMatrix(Float)
 --E 6
 
 \end{chunk}
@@ -138,7 +138,7 @@ t7:=translate(2.0,2.0,2.0)
 --R        |0.0  0.0  1.0  2.0|
 --R        |                  |
 --R        +0.0  0.0  0.0  1.0+
---R                                          Type: DenavitHartenbergMatrix Float
+--R                                         Type: DenavitHartenbergMatrix(Float)
 --E 7
 
 \end{chunk}
@@ -148,7 +148,7 @@ This is a point on the X axis  can move around the plane
 t8:Point(DoubleFloat):=[4.0,0.0,0.0]$List(DoubleFloat)
 --R
 --R   (8)  [4.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 8
 
 \end{chunk}
@@ -164,7 +164,7 @@ t9:=translate(4.0,0.0,0.0)
 --R        |0.0  0.0  1.0  0.0|
 --R        |                  |
 --R        +0.0  0.0  0.0  1.0+
---R                                          Type: DenavitHartenbergMatrix Float
+--R                                         Type: DenavitHartenbergMatrix(Float)
 --E 9
 
 \end{chunk}
@@ -174,7 +174,7 @@ and we apply the transformation so t8 is now moved
 t10:=t9*t8
 --R
 --R   (10)  [8.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 10
 
 \end{chunk}
@@ -185,7 +185,7 @@ which will move the point from the X axis to the Y axis.
 t11:=rotatez(90)*t10
 --R
 --R   (11)  [0.,8.,0.]
---R                                           Type: Point Expression DoubleFloat
+--R                                         Type: Point(Expression(DoubleFloat))
 --E 11
 
 \end{chunk}
@@ -195,7 +195,7 @@ and we can scale the point by 1/2 to shorten along the Y axis
 t12:=scale(0.0,0.5,0.0)*t11
 --R
 --R   (12)  [0.,4.,0.]
---R                                           Type: Point Expression DoubleFloat
+--R                                         Type: Point(Expression(DoubleFloat))
 --E 12
 
 \end{chunk}
@@ -206,7 +206,7 @@ which will move the point from the Y axis to the Z axis.
 t13:=rotatex(90)*t12
 --R
 --R   (13)  [0.,0.,4.]
---R                                           Type: Point Expression DoubleFloat
+--R                                         Type: Point(Expression(DoubleFloat))
 --E 13
 
 \end{chunk}
@@ -218,7 +218,7 @@ We are now back to the original point
 t14:=rotatey(90)*t13
 --R
 --R   (14)  [4.,0.,0.]
---R                                           Type: Point Expression DoubleFloat
+--R                                         Type: Point(Expression(DoubleFloat))
 --E 14
 
 \end{chunk}
@@ -236,7 +236,7 @@ t15:=rotatey(90)*rotatex(90)*scale(0.0,0.5,0.0)*_
 --R         |0.0  0.0  0.0  0.0|
 --R         |                  |
 --R         +0.0  0.0  0.0  1.0+
---R                               Type: DenavitHartenbergMatrix Expression Float
+--R                             Type: DenavitHartenbergMatrix(Expression(Float))
 --E 15
 
 \end{chunk}
@@ -248,7 +248,7 @@ original point is moved around the space back to its original point.
 t16:=t15*t8
 --R
 --R   (16)  [4.,0.,0.]
---R                                           Type: Point Expression DoubleFloat
+--R                                         Type: Point(Expression(DoubleFloat))
 --E 16
 
 )spool 
diff --git a/src/input/dhtri.input.pamphlet b/src/input/dhtri.input.pamphlet
index ec11df1..cec10af 100644
--- a/src/input/dhtri.input.pamphlet
+++ b/src/input/dhtri.input.pamphlet
@@ -36,8 +36,8 @@ tri2tri(t1: List Point DoubleFloat, t2: List Point DoubleFloat): _
   n2 := triangleNormal(t2)
   tet2tet(concat(t1, n1), concat(t2, n2))
 --R 
---R   Function declaration tri2tri : (List Point DoubleFloat,List Point 
---R      DoubleFloat) -> DenavitHartenbergMatrix DoubleFloat has been 
+--R   Function declaration tri2tri : (List(Point(DoubleFloat)),List(Point(
+--R      DoubleFloat))) -> DenavitHartenbergMatrix(DoubleFloat) has been 
 --R      added to workspace.
 --R                                                                   Type: Void
 --E 1
@@ -54,8 +54,8 @@ tet2tet(t1: List Point DoubleFloat, t2: List Point DoubleFloat): _
   m2 := makeColumnMatrix t2
   m2 * inverse(m1)
 --R 
---R   Function declaration tet2tet : (List Point DoubleFloat,List Point 
---R      DoubleFloat) -> DenavitHartenbergMatrix DoubleFloat has been 
+--R   Function declaration tet2tet : (List(Point(DoubleFloat)),List(Point(
+--R      DoubleFloat))) -> DenavitHartenbergMatrix(DoubleFloat) has been 
 --R      added to workspace.
 --R                                                                   Type: Void
 --E 2
diff --git a/src/input/distexpr.input.pamphlet b/src/input/distexpr.input.pamphlet
index 014bd1a..44901af 100644
--- a/src/input/distexpr.input.pamphlet
+++ b/src/input/distexpr.input.pamphlet
@@ -86,7 +86,7 @@ ex1:=(2*log(x)+3*exp(y))*(4*sin(z)+2*log(x))
 --R
 --R                       y                 2      y
 --R   (1)  (8log(x) + 12%e )sin(z) + 4log(x)  + 6%e log(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 6
@@ -95,7 +95,7 @@ ex2:=8*log(x)*sin(z)+4*log(x)^2+12*exp(y)*sin(z)+6*exp(y)*log(x)
 --R
 --R                       y                 2      y
 --R   (2)  (8log(x) + 12%e )sin(z) + 4log(x)  + 6%e log(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 6
@@ -113,7 +113,7 @@ ex1::DistributedExpression(Integer)
 --R
 --R           y             y                2
 --R   (4)  6%e log(x) + 12%e sin(z) + 4log(x)  + 8log(x)sin(z)
---R                                          Type: DistributedExpression Integer
+--R                                         Type: DistributedExpression(Integer)
 --E 4
 
 --S 5 of 6
@@ -121,7 +121,7 @@ ex1::DistributedExpression(Integer)
 --R 
 --R
 --R   (5)  8a c + 10a d + 12b c + 15b d + 4c + 5d
---R                                          Type: DistributedExpression Integer
+--R                                         Type: DistributedExpression(Integer)
 --E 5
 
 --S 6 of 6
@@ -129,7 +129,7 @@ ex1::DistributedExpression(Integer)
 --R 
 --R
 --R   (6)  (15b + 10a + 5)d + (12b + 8a + 4)c
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 6
 
 )spool 
diff --git a/src/input/divisor.input.pamphlet b/src/input/divisor.input.pamphlet
index 3194f0b..83b0254 100644
--- a/src/input/divisor.input.pamphlet
+++ b/src/input/divisor.input.pamphlet
@@ -25,7 +25,7 @@
 P0 := UP(x, FRAC INT)
 --R 
 --R
---R   (1)  UnivariatePolynomial(x,Fraction Integer)
+--R   (1)  UnivariatePolynomial(x,Fraction(Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -34,7 +34,7 @@ P1 := UP(y, FRAC P0)
 --R 
 --R
 --R   (2)
---R   UnivariatePolynomial(y,Fraction UnivariatePolynomial(x,Fraction Integer))
+--R   UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Fraction(Integer))))
 --R                                                                 Type: Domain
 --E 2
 
@@ -46,9 +46,9 @@ R := RADFF(FRAC INT, P0, P1, 1 + x**8, 2)
 --R 
 --R
 --R   (3)
---R  RadicalFunctionField(Fraction Integer,UnivariatePolynomial(x,Fraction Integer
---R  ),UnivariatePolynomial(y,Fraction UnivariatePolynomial(x,Fraction Integer)),x
---R  **8+1,2)
+--R  RadicalFunctionField(Fraction(Integer),UnivariatePolynomial(x,Fraction(Intege
+--R  r)),UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Fraction(Integer))
+--R  )),x^8+1,2)
 --R                                                                 Type: Domain
 --E 3
 
@@ -65,11 +65,11 @@ fd := FDIV(FRAC INT, P0, P1, R)
 --R 
 --R
 --R   (5)
---R  FiniteDivisor(Fraction Integer,UnivariatePolynomial(x,Fraction Integer),Univa
---R  riatePolynomial(y,Fraction UnivariatePolynomial(x,Fraction Integer)),RadicalF
---R  unctionField(Fraction Integer,UnivariatePolynomial(x,Fraction Integer),Univar
---R  iatePolynomial(y,Fraction UnivariatePolynomial(x,Fraction Integer)),x**8+1,2)
---R  )
+--R  FiniteDivisor(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)),Uni
+--R  variatePolynomial(y,Fraction(UnivariatePolynomial(x,Fraction(Integer)))),Radi
+--R  calFunctionField(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)),
+--R  UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Fraction(Integer)))),x
+--R  ^8+1,2))
 --R                                                                 Type: Domain
 --E 5
 
diff --git a/src/input/dmp.input.pamphlet b/src/input/dmp.input.pamphlet
index 8d13b8a..f05f7bc 100644
--- a/src/input/dmp.input.pamphlet
+++ b/src/input/dmp.input.pamphlet
@@ -35,7 +35,7 @@ d1 := -4*z + 4*y**2*x + 16*x**2 + 1
 --R
 --R                 2       2
 --R   (2)  - 4z + 4y x + 16x  + 1
---R            Type: DistributedMultivariatePolynomial([z,y,x],Fraction Integer)
+--R           Type: DistributedMultivariatePolynomial([z,y,x],Fraction(Integer))
 --E 2
 
 --S 3 of 8
@@ -44,7 +44,7 @@ d2 := 2*z*y**2 + 4*x + 1
 --R
 --R            2
 --R   (3)  2z y  + 4x + 1
---R            Type: DistributedMultivariatePolynomial([z,y,x],Fraction Integer)
+--R           Type: DistributedMultivariatePolynomial([z,y,x],Fraction(Integer))
 --E 3
 
 --S 4 of 8
@@ -53,7 +53,7 @@ d3 := 2*z*x**2 - 2*y**2 - x
 --R
 --R            2     2
 --R   (4)  2z x  - 2y  - x
---R            Type: DistributedMultivariatePolynomial([z,y,x],Fraction Integer)
+--R           Type: DistributedMultivariatePolynomial([z,y,x],Fraction(Integer))
 --E 4
 
 --S 5 of 8
@@ -70,7 +70,7 @@ groebner [d1,d2,d3]
 --R     7   29  6   17  4   11  3    1  2   15     1
 --R    x  + -- x  - -- x  - -- x  + -- x  + -- x + -]
 --R          4      16       8      32      16     4
---R       Type: List DistributedMultivariatePolynomial([z,y,x],Fraction Integer)
+--R     Type: List(DistributedMultivariatePolynomial([z,y,x],Fraction(Integer)))
 --E 5
 
 --S 6 of 8
@@ -85,7 +85,7 @@ groebner [d1,d2,d3]
 --R
 --R            2     2
 --R   (7)  2z x  - 2y  - x
---R Type: HomogeneousDistributedMultivariatePolynomial([z,y,x],Fraction Integer)
+--RType: HomogeneousDistributedMultivariatePolynomial([z,y,x],Fraction(Integer))
 --E 7
 
 --S 8 of 8
@@ -102,7 +102,7 @@ groebner [n1,n2,n3]
 --R     2     2     2   1     3
 --R    z  - 4y  + 2x  - - z - - x]
 --R                     4     2
---RType: List HomogeneousDistributedMultivariatePolynomial([z,y,x],Fraction Integer)
+--RType: List(HomogeneousDistributedMultivariatePolynomial([z,y,x],Fraction(Integer)))
 --E 8
 )spool
 )lisp (bye)
diff --git a/src/input/donsimple.input.pamphlet b/src/input/donsimple.input.pamphlet
index 9d0dab6..f145ac7 100644
--- a/src/input/donsimple.input.pamphlet
+++ b/src/input/donsimple.input.pamphlet
@@ -60,7 +60,7 @@ donSimple(): Exports == Implementation where
 simple(1/x,x=2..3)
 --R
 --R   (1)  - 0.1666666666 666666667
---R                                                       Type: Expression Float
+--R                                                      Type: Expression(Float)
 --E 1
 
 --S 2 of 2
diff --git a/src/input/dop.input.pamphlet b/src/input/dop.input.pamphlet
index e82d394..c2c5444 100644
--- a/src/input/dop.input.pamphlet
+++ b/src/input/dop.input.pamphlet
@@ -26,10 +26,9 @@
 --R 
 --R
 --RThere are 2 exposed functions called binaryTree :
---R   [1] (BinaryTree D1,D1,BinaryTree D1) -> BinaryTree D1 from 
---R            BinaryTree D1
---R            if D1 has SETCAT
---R   [2] D1 -> BinaryTree D1 from BinaryTree D1 if D1 has SETCAT
+--R   [1] (BinaryTree(D1),D1,BinaryTree(D1)) -> BinaryTree(D1)
+--R            from BinaryTree(D1) if D1 has SETCAT
+--R   [2] D1 -> BinaryTree(D1) from BinaryTree(D1) if D1 has SETCAT
 --R
 --RExamples of binaryTree from BinaryTree
 --R
@@ -47,13 +46,13 @@
 --R
 --RThere is one exposed function called rationalPoint? :
 --R   [1] (D2,D2) -> Boolean from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC 
---R            D2 and D4 has UPOLYC FRAC D3
+--R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RThere is one unexposed function called rationalPoint? :
 --R   [1] (D2,D2) -> Boolean from FunctionFieldCategory&(D3,D2,D4,D5)
---R            if D2 has UFD and D4 has UPOLYC D2 and D5 has UPOLYC FRAC 
---R            D4 and D3 has FFCAT(D2,D4,D5)
+--R            if D2 has UFD and D4 has UPOLYC(D2) and D5 has UPOLYC(FRAC(
+--R            D4)) and D3 has FFCAT(D2,D4,D5)
 --R
 --RExamples of rationalPoint? from FunctionFieldCategory&
 --R
@@ -84,18 +83,18 @@
 --R   [1] (D,Integer) -> D1 from D
 --R            if D has FAMONC(D1,D3) and D3 has CABMON and D1 has SETCAT
 --R            
---R   [2] (Factored D1,Integer) -> D1 from Factored D1 if D1 has INTDOM
---R         
+--R   [2] (Factored(D1),Integer) -> D1 from Factored(D1) if D1 has INTDOM
+--R            
 --R
 --RThere are 4 unexposed functions called nthFactor :
---R   [1] (FreeGroup D1,Integer) -> D1 from FreeGroup D1 if D1 has SETCAT
---R            
---R   [2] (FreeMonoid D1,Integer) -> D1 from FreeMonoid D1 if D1 has 
+--R   [1] (FreeGroup(D1),Integer) -> D1 from FreeGroup(D1) if D1 has 
+--R            SETCAT
+--R   [2] (FreeMonoid(D1),Integer) -> D1 from FreeMonoid(D1) if D1 has 
 --R            SETCAT
 --R   [3] (ListMonoidOps(D1,D3,D4),Integer) -> D1 from ListMonoidOps(D1,D3
 --R            ,D4)
 --R            if D1 has SETCAT and D3 has ABELMON and D4: D3
---R   [4] (OrderedFreeMonoid D1,Integer) -> D1 from OrderedFreeMonoid D1
+--R   [4] (OrderedFreeMonoid(D1),Integer) -> D1 from OrderedFreeMonoid(D1)
 --R            if D1 has ORDSET
 --R
 --RExamples of nthFactor from FreeAbelianMonoidCategory
@@ -130,7 +129,7 @@
 --RThere are 2 exposed functions called qsetelt! :
 --R   [1] (D,Integer,Integer,D1) -> D1 from D
 --R            if D has ARR2CAT(D1,D3,D4) and D1 has TYPE and D3 has FLAGG
---R            D1 and D4 has FLAGG D1
+--R            (D1) and D4 has FLAGG(D1)
 --R   [2] (D,D2,D1) -> D1 from D
 --R            if D has shallowlyMutable and D has ELTAGG(D2,D1) and D2 
 --R            has SETCAT and D1 has TYPE
@@ -151,7 +150,7 @@
 --R
 --RThere is one unexposed function called cycleElt :
 --R   [1] D1 -> Union(D1,"failed") from CyclicStreamTools(D2,D1)
---R            if D2 has TYPE and D1 has LZSTAGG D2
+--R            if D2 has TYPE and D1 has LZSTAGG(D2)
 --R
 --RExamples of cycleElt from CyclicStreamTools
 --R
@@ -168,7 +167,7 @@
 --R 
 --R
 --RThere is one exposed function called cyclicEntries :
---R   [1] Tree D2 -> List Tree D2 from Tree D2 if D2 has SETCAT
+--R   [1] Tree(D2) -> List(Tree(D2)) from Tree(D2) if D2 has SETCAT
 --R
 --RExamples of cyclicEntries from Tree
 --R
@@ -182,9 +181,9 @@
 --R 
 --R
 --RThere are 2 exposed functions called oneDimensionalArray :
---R   [1] (NonNegativeInteger,D2) -> OneDimensionalArray D2
---R            from OneDimensionalArray D2 if D2 has TYPE
---R   [2] List D2 -> OneDimensionalArray D2 from OneDimensionalArray D2
+--R   [1] (NonNegativeInteger,D2) -> OneDimensionalArray(D2)
+--R            from OneDimensionalArray(D2) if D2 has TYPE
+--R   [2] List(D2) -> OneDimensionalArray(D2) from OneDimensionalArray(D2)
 --R            if D2 has TYPE
 --R
 --RExamples of oneDimensionalArray from OneDimensionalArray
@@ -228,8 +227,8 @@
 --R 
 --R
 --RThere is one exposed function called sqfrFactor :
---R   [1] (D1,Integer) -> Factored D1 from Factored D1 if D1 has INTDOM
---R         
+--R   [1] (D1,Integer) -> Factored(D1) from Factored(D1) if D1 has INTDOM
+--R            
 --R
 --RExamples of sqfrFactor from Factored
 --R
@@ -243,9 +242,9 @@
 --R 
 --R
 --RThere is one exposed function called integralMatrix :
---R   [1]  -> Matrix Fraction D3 from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC 
---R            D2 and D4 has UPOLYC FRAC D3
+--R   [1]  -> Matrix(Fraction(D3)) from D
+--R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of integralMatrix from FunctionFieldCategory
 --R
@@ -261,10 +260,9 @@
 --R 
 --R
 --RThere are 2 exposed functions called ptree :
---R   [1] (PendantTree D1,PendantTree D1) -> PendantTree D1 from 
---R            PendantTree D1
---R            if D1 has SETCAT
---R   [2] D1 -> PendantTree D1 from PendantTree D1 if D1 has SETCAT
+--R   [1] (PendantTree(D1),PendantTree(D1)) -> PendantTree(D1)
+--R            from PendantTree(D1) if D1 has SETCAT
+--R   [2] D1 -> PendantTree(D1) from PendantTree(D1) if D1 has SETCAT
 --R
 --RExamples of ptree from PendantTree
 --R
@@ -280,27 +278,28 @@
 --R 
 --R
 --RThere are 13 exposed functions called insert! :
---R   [1] (D1,ArrayStack D1) -> ArrayStack D1 from ArrayStack D1 if D1 has
+--R   [1] (D1,ArrayStack(D1)) -> ArrayStack(D1) from ArrayStack(D1)
+--R            if D1 has SETCAT
+--R   [2] (D1,D) -> D from D if D has BGAGG(D1) and D1 has TYPE
+--R   [3] (D1,BinarySearchTree(D1)) -> BinarySearchTree(D1)
+--R            from BinarySearchTree(D1) if D1 has ORDSET
+--R   [4] (D1,BinaryTournament(D1)) -> BinaryTournament(D1)
+--R            from BinaryTournament(D1) if D1 has ORDSET
+--R   [5] (D1,Dequeue(D1)) -> Dequeue(D1) from Dequeue(D1) if D1 has 
 --R            SETCAT
---R   [2] (D1,D) -> D from D if D has BGAGG D1 and D1 has TYPE
---R   [3] (D1,BinarySearchTree D1) -> BinarySearchTree D1
---R            from BinarySearchTree D1 if D1 has ORDSET
---R   [4] (D1,BinaryTournament D1) -> BinaryTournament D1
---R            from BinaryTournament D1 if D1 has ORDSET
---R   [5] (D1,Dequeue D1) -> Dequeue D1 from Dequeue D1 if D1 has SETCAT
+--R   [6] (D,D,Integer) -> D from D if D has ELAGG(D2) and D2 has TYPE
+--R   [7] (D1,D,Integer) -> D from D if D has ELAGG(D1) and D1 has TYPE
 --R         
---R   [6] (D,D,Integer) -> D from D if D has ELAGG D2 and D2 has TYPE
---R   [7] (D1,D,Integer) -> D from D if D has ELAGG D1 and D1 has TYPE
---R   [8] (D1,Heap D1) -> Heap D1 from Heap D1 if D1 has ORDSET
---R   [9] Record(key: Record(var: Symbol,fn: Expression DoubleFloat,range
---R            : Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,
+--R   [8] (D1,Heap(D1)) -> Heap(D1) from Heap(D1) if D1 has ORDSET
+--R   [9] Record(key: Record(var: Symbol,fn: Expression(DoubleFloat),range
+--R            : Segment(OrderedCompletion(DoubleFloat)),abserr: DoubleFloat,
 --R            relerr: DoubleFloat),entry: Record(endPointContinuity: Union(
 --R            continuous: Continuous at the end points,lowerSingular: 
 --R            There is a singularity at the lower end point,upperSingular: 
 --R            There is a singularity at the upper end point,bothSingular: 
 --R            There are singularities at both end points,notEvaluated: 
 --R            End point continuity not yet evaluated),singularitiesStream: 
---R            Union(str: Stream DoubleFloat,notEvaluated: 
+--R            Union(str: Stream(DoubleFloat),notEvaluated: 
 --R            Internal singularities not yet evaluated),range: Union(finite: 
 --R            The range is finite,lowerInfinite: 
 --R            The bottom of range is infinite,upperInfinite: 
@@ -309,16 +308,16 @@
 --R            Range not yet evaluated))) -> IntegrationFunctionsTable
 --R            from IntegrationFunctionsTable
 --R   [10] (D1,D,NonNegativeInteger) -> D from D
---R            if D has MDAGG D1 and D1 has SETCAT
+--R            if D has MDAGG(D1) and D1 has SETCAT
 --R   [11] Record(key: Record(xinit: DoubleFloat,xend: DoubleFloat,fn: 
---R            Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: 
---R            List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,
---R            relerr: DoubleFloat),entry: Record(stiffness: Float,stability: 
---R            Float,expense: Float,accuracy: Float,intermediateResults: Float))
---R             -> ODEIntensityFunctionsTable
+--R            Vector(Expression(DoubleFloat)),yinit: List(DoubleFloat),intvals
+--R            : List(DoubleFloat),g: Expression(DoubleFloat),abserr: 
+--R            DoubleFloat,relerr: DoubleFloat),entry: Record(stiffness: Float,
+--R            stability: Float,expense: Float,accuracy: Float,
+--R            intermediateResults: Float)) -> ODEIntensityFunctionsTable
 --R            from ODEIntensityFunctionsTable
---R   [12] (D1,Queue D1) -> Queue D1 from Queue D1 if D1 has SETCAT
---R   [13] (D1,Stack D1) -> Stack D1 from Stack D1 if D1 has SETCAT
+--R   [12] (D1,Queue(D1)) -> Queue(D1) from Queue(D1) if D1 has SETCAT
+--R   [13] (D1,Stack(D1)) -> Stack(D1) from Stack(D1) if D1 has SETCAT
 --R
 --RThere is one unexposed function called insert! :
 --R   [1] (D2,D3) -> Void from TabulatedComputationPackage(D2,D3)
@@ -393,42 +392,33 @@
 
 --S 14 of 127
 )d op genus
---R 
 --R
---RThere are 5 exposed functions called genus :
+--RThere are 3 exposed functions called genus :
 --R   [1] D6 -> NonNegativeInteger
 --R            from DesingTreePackage(D7,D8,D6,D9,D10,D11,D12,D1,D2,D3,D4)
---R            if D7 has FIELD and D8: LIST SYMBOL and D6 has POLYCAT(D7,
---R            D9,OVAR D8) and D9 has DIRPCAT(# D8,NNI) and D10 has 
---R            PRSPCAT D7 and D11 has LOCPOWC D7 and D12 has PLACESC(D7,
---R            D11) and D1 has DIVCAT D12 and D2 has INFCLCT(D7,D8,D6,D9,
---R            D10,D11,D12,D1,D4) and D4 has BLMETCT and D3 has DSTRCAT D2
---R            
+--R            if D7 has FIELD and D8: LIST(SYMBOL) and D6 has POLYCAT(D7,
+--R            D9,OVAR(D8)) and D9 has DIRPCAT(#(D8),NNI) and D10 has 
+--R            PRSPCAT(D7) and D11 has LOCPOWC(D7) and D12 has PLACESC(D7,
+--R            D11) and D1 has DIVCAT(D12) and D2 has INFCLCT(D7,D8,D6,D9,
+--R            D10,D11,D12,D1,D4) and D4 has BLMETCT and D3 has DSTRCAT(D2
+--R            )
 --R   [2]  -> NonNegativeInteger from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC 
---R            D2 and D4 has UPOLYC FRAC D3
+--R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R            D2) and D4 has UPOLYC(FRAC(D3))
 --R   [3]  -> NonNegativeInteger
 --R            from GeneralPackageForAlgebraicFunctionField(D6,D7,D8,D9,
 --R            D10,D11,D12,D1,D2,D3,D4)
---R            if D6 has FIELD and D7: LIST SYMBOL and D8 has POLYCAT(D6,
---R            D9,OVAR D7) and D9 has DIRPCAT(# D7,NNI) and D10 has 
---R            PRSPCAT D6 and D11 has LOCPOWC D6 and D12 has PLACESC(D6,
---R            D11) and D1 has DIVCAT D12 and D2 has INFCLCT(D6,D7,D8,D9,
---R            D10,D11,D12,D1,D4) and D4 has BLMETCT and D3 has DSTRCAT D2
---R            
---R   [4]  -> NonNegativeInteger
---R            from PackageForAlgebraicFunctionFieldOverFiniteField(D2,D3,
---R            D4)
---R            if D2 has FFIELDC and D3: LIST SYMBOL and D4 has BLMETCT
---R         
---R   [5]  -> NonNegativeInteger from PackageForAlgebraicFunctionField(D2,
---R            D3,D4)
---R            if D2 has FIELD and D3: LIST SYMBOL and D4 has BLMETCT
+--R            if D6 has FIELD and D7: LIST(SYMBOL) and D8 has POLYCAT(D6,
+--R            D9,OVAR(D7)) and D9 has DIRPCAT(#(D7),NNI) and D10 has 
+--R            PRSPCAT(D6) and D11 has LOCPOWC(D6) and D12 has PLACESC(D6,
+--R            D11) and D1 has DIVCAT(D12) and D2 has INFCLCT(D6,D7,D8,D9,
+--R            D10,D11,D12,D1,D4) and D4 has BLMETCT and D3 has DSTRCAT(D2
+--R            )
 --R
 --RThere is one unexposed function called genus :
 --R   [1]  -> NonNegativeInteger from FunctionFieldCategory&(D2,D3,D4,D5)
---R            if D3 has UFD and D4 has UPOLYC D3 and D5 has UPOLYC FRAC 
---R            D4 and D2 has FFCAT(D3,D4,D5)
+--R            if D3 has UFD and D4 has UPOLYC(D3) and D5 has UPOLYC(FRAC(
+--R            D4)) and D2 has FFCAT(D3,D4,D5)
 --R
 --RExamples of genus from DesingTreePackage
 --R
@@ -451,12 +441,6 @@
 --R
 --RExamples of genus from GeneralPackageForAlgebraicFunctionField
 --R
---R
---RExamples of genus from PackageForAlgebraicFunctionFieldOverFiniteField
---R
---R
---RExamples of genus from PackageForAlgebraicFunctionField
---R
 --E 14
 
 --S 15 of 127
@@ -479,7 +463,7 @@
 --R
 --RThere is one unexposed function called computeCycleLength :
 --R   [1] D2 -> NonNegativeInteger from CyclicStreamTools(D3,D2)
---R            if D3 has TYPE and D2 has LZSTAGG D3
+--R            if D3 has TYPE and D2 has LZSTAGG(D3)
 --R
 --RExamples of computeCycleLength from CyclicStreamTools
 --R
@@ -494,9 +478,9 @@
 --R 
 --R
 --RThere is one exposed function called findCycle :
---R   [1] (NonNegativeInteger,Stream D3) -> Record(cycle?: Boolean,prefix
+--R   [1] (NonNegativeInteger,Stream(D3)) -> Record(cycle?: Boolean,prefix
 --R            : NonNegativeInteger,period: NonNegativeInteger)
---R            from Stream D3 if D3 has TYPE
+--R            from Stream(D3) if D3 has TYPE
 --R
 --RExamples of findCycle from Stream
 --R
@@ -512,108 +496,109 @@
 --R 
 --R
 --RThere are 31 exposed functions called draw :
---R   [1] ((DoubleFloat -> DoubleFloat),Segment Float,List DrawOption) -> 
---R            TwoDimensionalViewport
+--R   [1] ((DoubleFloat -> DoubleFloat),Segment(Float),List(DrawOption))
+--R             -> TwoDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [2] ((DoubleFloat -> DoubleFloat),Segment Float) -> 
+--R   [2] ((DoubleFloat -> DoubleFloat),Segment(Float)) -> 
 --R            TwoDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [3] (ParametricPlaneCurve (DoubleFloat -> DoubleFloat),Segment Float
---R            ,List DrawOption) -> TwoDimensionalViewport
+--R   [3] (ParametricPlaneCurve((DoubleFloat -> DoubleFloat)),Segment(
+--R            Float),List(DrawOption)) -> TwoDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [4] (ParametricPlaneCurve (DoubleFloat -> DoubleFloat),Segment Float
---R            ) -> TwoDimensionalViewport
+--R   [4] (ParametricPlaneCurve((DoubleFloat -> DoubleFloat)),Segment(
+--R            Float)) -> TwoDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [5] (ParametricSpaceCurve (DoubleFloat -> DoubleFloat),Segment Float
---R            ,List DrawOption) -> ThreeDimensionalViewport
+--R   [5] (ParametricSpaceCurve((DoubleFloat -> DoubleFloat)),Segment(
+--R            Float),List(DrawOption)) -> ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [6] (ParametricSpaceCurve (DoubleFloat -> DoubleFloat),Segment Float
---R            ) -> ThreeDimensionalViewport
+--R   [6] (ParametricSpaceCurve((DoubleFloat -> DoubleFloat)),Segment(
+--R            Float)) -> ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [7] ((DoubleFloat -> Point DoubleFloat),Segment Float,List 
---R            DrawOption) -> ThreeDimensionalViewport
+--R   [7] ((DoubleFloat -> Point(DoubleFloat)),Segment(Float),List(
+--R            DrawOption)) -> ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [8] ((DoubleFloat -> Point DoubleFloat),Segment Float) -> 
+--R   [8] ((DoubleFloat -> Point(DoubleFloat)),Segment(Float)) -> 
 --R            ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [9] (((DoubleFloat,DoubleFloat) -> DoubleFloat),Segment Float,
---R            Segment Float,List DrawOption) -> ThreeDimensionalViewport
+--R   [9] (((DoubleFloat,DoubleFloat) -> DoubleFloat),Segment(Float),
+--R            Segment(Float),List(DrawOption)) -> ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [10] (((DoubleFloat,DoubleFloat) -> DoubleFloat),Segment Float,
---R            Segment Float) -> ThreeDimensionalViewport
+--R   [10] (((DoubleFloat,DoubleFloat) -> DoubleFloat),Segment(Float),
+--R            Segment(Float)) -> ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [11] (((DoubleFloat,DoubleFloat) -> Point DoubleFloat),Segment Float
---R            ,Segment Float,List DrawOption) -> ThreeDimensionalViewport
+--R   [11] (((DoubleFloat,DoubleFloat) -> Point(DoubleFloat)),Segment(
+--R            Float),Segment(Float),List(DrawOption)) -> 
+--R            ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [12] (((DoubleFloat,DoubleFloat) -> Point DoubleFloat),Segment Float
---R            ,Segment Float) -> ThreeDimensionalViewport
+--R   [12] (((DoubleFloat,DoubleFloat) -> Point(DoubleFloat)),Segment(
+--R            Float),Segment(Float)) -> ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [13] (ParametricSurface ((DoubleFloat,DoubleFloat) -> DoubleFloat),
---R            Segment Float,Segment Float,List DrawOption) -> 
+--R   [13] (ParametricSurface(((DoubleFloat,DoubleFloat) -> DoubleFloat)),
+--R            Segment(Float),Segment(Float),List(DrawOption)) -> 
 --R            ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [14] (ParametricSurface ((DoubleFloat,DoubleFloat) -> DoubleFloat),
---R            Segment Float,Segment Float) -> ThreeDimensionalViewport
+--R   [14] (ParametricSurface(((DoubleFloat,DoubleFloat) -> DoubleFloat)),
+--R            Segment(Float),Segment(Float)) -> ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForCompiledFunctions
---R   [15] (Equation D6,Symbol,Symbol,List DrawOption) -> 
+--R   [15] (Equation(D6),Symbol,Symbol,List(DrawOption)) -> 
 --R            TwoDimensionalViewport
 --R            from TopLevelDrawFunctionsForAlgebraicCurves(D5,D6)
---R            if D6 has FS D5 and D5 has Join(IntegralDomain,OrderedSet,
---R            RetractableTo Integer)
---R   [16] (D2,SegmentBinding Float,List DrawOption) -> 
+--R            if D6 has FS(D5) and D5 has Join(IntegralDomain,OrderedSet,
+--R            RetractableTo(Integer))
+--R   [16] (D2,SegmentBinding(Float),List(DrawOption)) -> 
 --R            TwoDimensionalViewport
---R            from TopLevelDrawFunctions D2
---R            if D2 has Join(ConvertibleTo InputForm,SetCategory)
---R   [17] (D2,SegmentBinding Float) -> TwoDimensionalViewport
---R            from TopLevelDrawFunctions D2
---R            if D2 has Join(ConvertibleTo InputForm,SetCategory)
---R   [18] (ParametricPlaneCurve D5,SegmentBinding Float,List DrawOption)
---R             -> TwoDimensionalViewport
---R            from TopLevelDrawFunctions D5
---R            if D5 has Join(ConvertibleTo InputForm,SetCategory)
---R   [19] (ParametricPlaneCurve D4,SegmentBinding Float) -> 
+--R            from TopLevelDrawFunctions(D2)
+--R            if D2 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [17] (D2,SegmentBinding(Float)) -> TwoDimensionalViewport
+--R            from TopLevelDrawFunctions(D2)
+--R            if D2 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [18] (ParametricPlaneCurve(D5),SegmentBinding(Float),List(DrawOption
+--R            )) -> TwoDimensionalViewport
+--R            from TopLevelDrawFunctions(D5)
+--R            if D5 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [19] (ParametricPlaneCurve(D4),SegmentBinding(Float)) -> 
 --R            TwoDimensionalViewport
---R            from TopLevelDrawFunctions D4
---R            if D4 has Join(ConvertibleTo InputForm,SetCategory)
---R   [20] (ParametricSpaceCurve D5,SegmentBinding Float,List DrawOption)
---R             -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctions D5
---R            if D5 has Join(ConvertibleTo InputForm,SetCategory)
---R   [21] (ParametricSpaceCurve D4,SegmentBinding Float) -> 
+--R            from TopLevelDrawFunctions(D4)
+--R            if D4 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [20] (ParametricSpaceCurve(D5),SegmentBinding(Float),List(DrawOption
+--R            )) -> ThreeDimensionalViewport
+--R            from TopLevelDrawFunctions(D5)
+--R            if D5 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [21] (ParametricSpaceCurve(D4),SegmentBinding(Float)) -> 
 --R            ThreeDimensionalViewport
---R            from TopLevelDrawFunctions D4
---R            if D4 has Join(ConvertibleTo InputForm,SetCategory)
---R   [22] (D2,SegmentBinding Float,SegmentBinding Float,List DrawOption)
---R             -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctions D2
---R            if D2 has Join(ConvertibleTo InputForm,SetCategory)
---R   [23] (D2,SegmentBinding Float,SegmentBinding Float) -> 
+--R            from TopLevelDrawFunctions(D4)
+--R            if D4 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [22] (D2,SegmentBinding(Float),SegmentBinding(Float),List(DrawOption
+--R            )) -> ThreeDimensionalViewport
+--R            from TopLevelDrawFunctions(D2)
+--R            if D2 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [23] (D2,SegmentBinding(Float),SegmentBinding(Float)) -> 
 --R            ThreeDimensionalViewport
---R            from TopLevelDrawFunctions D2
---R            if D2 has Join(ConvertibleTo InputForm,SetCategory)
---R   [24] (ParametricSurface D5,SegmentBinding Float,SegmentBinding Float
---R            ,List DrawOption) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctions D5
---R            if D5 has Join(ConvertibleTo InputForm,SetCategory)
---R   [25] (ParametricSurface D4,SegmentBinding Float,SegmentBinding Float
---R            ) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctions D4
---R            if D4 has Join(ConvertibleTo InputForm,SetCategory)
---R   [26] (List DoubleFloat,List DoubleFloat) -> TwoDimensionalViewport
+--R            from TopLevelDrawFunctions(D2)
+--R            if D2 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [24] (ParametricSurface(D5),SegmentBinding(Float),SegmentBinding(
+--R            Float),List(DrawOption)) -> ThreeDimensionalViewport
+--R            from TopLevelDrawFunctions(D5)
+--R            if D5 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [25] (ParametricSurface(D4),SegmentBinding(Float),SegmentBinding(
+--R            Float)) -> ThreeDimensionalViewport
+--R            from TopLevelDrawFunctions(D4)
+--R            if D4 has Join(ConvertibleTo(InputForm),SetCategory)
+--R   [26] (List(DoubleFloat),List(DoubleFloat)) -> TwoDimensionalViewport
 --R            from TopLevelDrawFunctionsForPoints
---R   [27] (List DoubleFloat,List DoubleFloat,List DrawOption) -> 
+--R   [27] (List(DoubleFloat),List(DoubleFloat),List(DrawOption)) -> 
 --R            TwoDimensionalViewport
 --R            from TopLevelDrawFunctionsForPoints
---R   [28] List Point DoubleFloat -> TwoDimensionalViewport
+--R   [28] List(Point(DoubleFloat)) -> TwoDimensionalViewport
 --R            from TopLevelDrawFunctionsForPoints
---R   [29] (List Point DoubleFloat,List DrawOption) -> 
+--R   [29] (List(Point(DoubleFloat)),List(DrawOption)) -> 
 --R            TwoDimensionalViewport
 --R            from TopLevelDrawFunctionsForPoints
---R   [30] (List DoubleFloat,List DoubleFloat,List DoubleFloat) -> 
+--R   [30] (List(DoubleFloat),List(DoubleFloat),List(DoubleFloat)) -> 
 --R            ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForPoints
---R   [31] (List DoubleFloat,List DoubleFloat,List DoubleFloat,List 
---R            DrawOption) -> ThreeDimensionalViewport
+--R   [31] (List(DoubleFloat),List(DoubleFloat),List(DoubleFloat),List(
+--R            DrawOption)) -> ThreeDimensionalViewport
 --R            from TopLevelDrawFunctionsForPoints
 --R
 --RExamples of draw from TopLevelDrawFunctionsForCompiledFunctions
@@ -634,7 +619,7 @@
 --R 
 --R
 --RThere is one exposed function called repeating :
---R   [1] List D2 -> Stream D2 from Stream D2 if D2 has TYPE
+--R   [1] List(D2) -> Stream(D2) from Stream(D2) if D2 has TYPE
 --R
 --RExamples of repeating from Stream
 --R
@@ -647,8 +632,8 @@
 --R 
 --R
 --RThere are 2 exposed functions called cons :
---R   [1] (D1,List D1) -> List D1 from List D1 if D1 has TYPE
---R   [2] (D1,Stream D1) -> Stream D1 from Stream D1 if D1 has TYPE
+--R   [1] (D1,List(D1)) -> List(D1) from List(D1) if D1 has TYPE
+--R   [2] (D1,Stream(D1)) -> Stream(D1) from Stream(D1) if D1 has TYPE
 --R
 --RExamples of cons from List
 --R
@@ -670,44 +655,45 @@
 --R            if D has AMR(D2,D3) and D2 has RING and D3 has OAMON
 --R   [2] (((D2,D2) -> D2),D,D,D2) -> D from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
+--R            (D2) and D4 has FLAGG(D2)
 --R   [3] (((D2,D2) -> D2),D,D) -> D from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
+--R            (D2) and D4 has FLAGG(D2)
 --R   [4] ((D2 -> D2),D) -> D from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
---R   [5] ((D4 -> D5),OneDimensionalArray D4) -> OneDimensionalArray D5
+--R            (D2) and D4 has FLAGG(D2)
+--R   [5] ((D4 -> D5),OneDimensionalArray(D4)) -> OneDimensionalArray(D5)
 --R            from OneDimensionalArrayFunctions2(D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [6] ((D2 -> D2),ArrayStack D2) -> ArrayStack D2 from ArrayStack D2
+--R   [6] ((D2 -> D2),ArrayStack(D2)) -> ArrayStack(D2) from ArrayStack(D2
+--R            )
 --R            if D2 has SETCAT
 --R   [7] ((D6 -> D7),CartesianTensor(D4,D5,D6)) -> CartesianTensor(D4,D5,
 --R            D7)
 --R            from CartesianTensorFunctions2(D4,D5,D6,D7)
 --R            if D4: INT and D5: NNI and D6 has COMRING and D7 has 
 --R            COMRING
---R   [8] ((D4 -> D5),Complex D4) -> Complex D5 from ComplexFunctions2(D4,
---R            D5)
+--R   [8] ((D4 -> D5),Complex(D4)) -> Complex(D5) from ComplexFunctions2(
+--R            D4,D5)
 --R            if D4 has COMRING and D5 has COMRING
---R   [9] ((D2 -> D2),Dequeue D2) -> Dequeue D2 from Dequeue D2 if D2 has 
---R            SETCAT
+--R   [9] ((D2 -> D2),Dequeue(D2)) -> Dequeue(D2) from Dequeue(D2)
+--R            if D2 has SETCAT
 --R   [10] ((D5 -> D6),DirectProduct(D4,D5)) -> DirectProduct(D4,D6)
 --R            from DirectProductFunctions2(D4,D5,D6)
 --R            if D4: NNI and D5 has TYPE and D6 has TYPE
---R   [11] ((D4 -> D5),Equation D4) -> Equation D5 from EquationFunctions2
---R            (D4,D5)
---R            if D4 has TYPE and D5 has TYPE
---R   [12] ((D2 -> D2),Equation D2) -> Equation D2 from Equation D2 if D2 
---R            has TYPE
---R   [13] ((D4 -> D1),Kernel D4) -> D1 from ExpressionSpaceFunctions2(D4,
---R            D1)
+--R   [11] ((D4 -> D5),Equation(D4)) -> Equation(D5)
+--R            from EquationFunctions2(D4,D5) if D4 has TYPE and D5 has 
+--R            TYPE
+--R   [12] ((D2 -> D2),Equation(D2)) -> Equation(D2) from Equation(D2)
+--R            if D2 has TYPE
+--R   [13] ((D4 -> D1),Kernel(D4)) -> D1 from ExpressionSpaceFunctions2(D4
+--R            ,D1)
 --R            if D4 has ES and D1 has ES
---R   [14] ((D -> D),Kernel D) -> D from D if D has ES
---R   [15] ((D4 -> D5),Matrix D4) -> Matrix D5
+--R   [14] ((D -> D),Kernel(D)) -> D from D if D has ES
+--R   [15] ((D4 -> D5),Matrix(D4)) -> Matrix(D5)
 --R            from ExpertSystemToolsPackage2(D4,D5)
 --R            if D4 has RING and D5 has RING
---R   [16] ((D4 -> D5),Expression D4) -> Expression D5
+--R   [16] ((D4 -> D5),Expression(D4)) -> Expression(D5)
 --R            from ExpressionFunctions2(D4,D5)
 --R            if D4 has ORDSET and D5 has ORDSET
 --R   [17] ((D5 -> D6),D3) -> D1
@@ -717,59 +703,60 @@
 --R   [18] ((D7 -> D11),FiniteDivisor(D7,D8,D9,D10)) -> FiniteDivisor(D11,
 --R            D1,D2,D3)
 --R            from FiniteDivisorFunctions2(D7,D8,D9,D10,D11,D1,D2,D3)
---R            if D7 has FIELD and D8 has UPOLYC D7 and D9 has UPOLYC FRAC
---R            D8 and D10 has FFCAT(D7,D8,D9) and D11 has FIELD and D1 has
---R            UPOLYC D11 and D2 has UPOLYC FRAC D1 and D3 has FFCAT(D11,
---R            D1,D2)
---R   [19] ((D2 -> D2),D) -> D from D if D has FEVALAB D2 and D2 has 
+--R            if D7 has FIELD and D8 has UPOLYC(D7) and D9 has UPOLYC(
+--R            FRAC(D8)) and D10 has FFCAT(D7,D8,D9) and D11 has FIELD and
+--R            D1 has UPOLYC(D11) and D2 has UPOLYC(FRAC(D1)) and D3 has 
+--R            FFCAT(D11,D1,D2)
+--R   [19] ((D2 -> D2),D) -> D from D if D has FEVALAB(D2) and D2 has 
 --R            SETCAT
 --R   [20] ((D5 -> D8),D4) -> D2
 --R            from FunctionFieldCategoryFunctions2(D5,D6,D7,D4,D8,D9,D1,
 --R            D2)
---R            if D5 has UFD and D8 has UFD and D6 has UPOLYC D5 and D7 
---R            has UPOLYC FRAC D6 and D9 has UPOLYC D8 and D2 has FFCAT(D8
---R            ,D9,D1) and D4 has FFCAT(D5,D6,D7) and D1 has UPOLYC FRAC 
---R            D9
+--R            if D5 has UFD and D8 has UFD and D6 has UPOLYC(D5) and D7 
+--R            has UPOLYC(FRAC(D6)) and D9 has UPOLYC(D8) and D2 has FFCAT
+--R            (D8,D9,D1) and D4 has FFCAT(D5,D6,D7) and D1 has UPOLYC(
+--R            FRAC(D9))
 --R   [21] ((D4 -> D5),D3) -> D1 from FiniteLinearAggregateFunctions2(D4,
 --R            D3,D5,D1)
---R            if D4 has TYPE and D5 has TYPE and D1 has FLAGG D5 and D3 
---R            has FLAGG D4
+--R            if D4 has TYPE and D5 has TYPE and D1 has FLAGG(D5) and D3 
+--R            has FLAGG(D4)
 --R   [22] ((D2 -> D2),D) -> D from D
 --R            if D has FMCAT(D2,D3) and D2 has RING and D3 has SETCAT
---R   [23] ((D4 -> D5),Factored D4) -> Factored D5 from FactoredFunctions2
---R            (D4,D5)
+--R   [23] ((D4 -> D5),Factored(D4)) -> Factored(D5)
+--R            from FactoredFunctions2(D4,D5)
 --R            if D4 has INTDOM and D5 has INTDOM
---R   [24] ((D4 -> D5),Fraction D4) -> Fraction D5 from FractionFunctions2
---R            (D4,D5)
+--R   [24] ((D4 -> D5),Fraction(D4)) -> Fraction(D5)
+--R            from FractionFunctions2(D4,D5)
 --R            if D4 has INTDOM and D5 has INTDOM
 --R   [25] ((D7 -> D11),FractionalIdeal(D7,D8,D9,D10)) -> FractionalIdeal(
 --R            D11,D1,D2,D3)
 --R            from FractionalIdealFunctions2(D7,D8,D9,D10,D11,D1,D2,D3)
---R            if D7 has EUCDOM and D8 has QFCAT D7 and D9 has UPOLYC D8 
---R            and D10 has Join(FramedAlgebra(D8,D9),RetractableTo D8) and
---R            D11 has EUCDOM and D1 has QFCAT D11 and D2 has UPOLYC D1 
---R            and D3 has Join(FramedAlgebra(D1,D2),RetractableTo D1)
+--R            if D7 has EUCDOM and D8 has QFCAT(D7) and D9 has UPOLYC(D8)
+--R            and D10 has Join(FramedAlgebra(D8,D9),RetractableTo(D8)) 
+--R            and D11 has EUCDOM and D1 has QFCAT(D11) and D2 has UPOLYC(
+--R            D1) and D3 has Join(FramedAlgebra(D1,D2),RetractableTo(D1))
+--R            
 --R   [26] ((D4 -> D5),D3) -> D1
 --R            from FramedNonAssociativeAlgebraFunctions2(D3,D4,D1,D5)
---R            if D4 has COMRING and D5 has COMRING and D1 has FRNAALG D5 
---R            and D3 has FRNAALG D4
---R   [27] ((D2 -> D2),Factored D2) -> Factored D2 from Factored D2
+--R            if D4 has COMRING and D5 has COMRING and D1 has FRNAALG(D5)
+--R            and D3 has FRNAALG(D4)
+--R   [27] ((D2 -> D2),Factored(D2)) -> Factored(D2) from Factored(D2)
 --R            if D2 has INTDOM
 --R   [28] ((D4 -> D5),D3) -> D1 from FunctionSpaceFunctions2(D4,D3,D5,D1)
 --R            if D4 has Join(Ring,OrderedSet) and D5 has Join(Ring,
---R            OrderedSet) and D1 has FS D5 and D3 has FS D4
+--R            OrderedSet) and D1 has FS(D5) and D3 has FS(D4)
 --R   [29] ((D4 -> D5),D3) -> D1 from FiniteSetAggregateFunctions2(D4,D3,
 --R            D5,D1)
---R            if D4 has SETCAT and D5 has SETCAT and D1 has FSAGG D5 and 
---R            D3 has FSAGG D4
---R   [30] ((D2 -> D2),Heap D2) -> Heap D2 from Heap D2 if D2 has ORDSET
---R         
---R   [31] ((D2 -> D2),D) -> D from D if D has HOAGG D2 and D2 has TYPE
+--R            if D4 has SETCAT and D5 has SETCAT and D1 has FSAGG(D5) and
+--R            D3 has FSAGG(D4)
+--R   [30] ((D2 -> D2),Heap(D2)) -> Heap(D2) from Heap(D2) if D2 has 
+--R            ORDSET
+--R   [31] ((D2 -> D2),D) -> D from D if D has HOAGG(D2) and D2 has TYPE
 --R         
 --R   [32] ((D2 -> D2),D) -> D from D
 --R            if D has IDPC(D2,D3) and D2 has SETCAT and D3 has ORDSET
 --R         
---R   [33] ((D4 -> D5),IntegrationResult D4) -> IntegrationResult D5
+--R   [33] ((D4 -> D5),IntegrationResult(D4)) -> IntegrationResult(D5)
 --R            from IntegrationResultFunctions2(D4,D5)
 --R            if D4 has FIELD and D5 has FIELD
 --R   [34] ((D4 -> D5),Union(Record(ratpart: D4,coeff: D4),"failed")) -> 
@@ -779,44 +766,43 @@
 --R   [35] ((D4 -> D1),Union(D4,"failed")) -> Union(D1,"failed")
 --R            from IntegrationResultFunctions2(D4,D1)
 --R            if D4 has FIELD and D1 has FIELD
---R   [36] ((D4 -> D5),Union(Record(mainpart: D4,limitedlogs: List Record(
---R            coeff: D4,logand: D4)),"failed")) -> Union(Record(mainpart: D5,
---R            limitedlogs: List Record(coeff: D5,logand: D5)),"failed")
+--R   [36] ((D4 -> D5),Union(Record(mainpart: D4,limitedlogs: List(Record(
+--R            coeff: D4,logand: D4))),"failed")) -> Union(Record(mainpart: D5,
+--R            limitedlogs: List(Record(coeff: D5,logand: D5))),"failed")
 --R            from IntegrationResultFunctions2(D4,D5)
 --R            if D4 has FIELD and D5 has FIELD
---R   [37] ((D4 -> D5),InfiniteTuple D4) -> InfiniteTuple D5
+--R   [37] ((D4 -> D5),InfiniteTuple(D4)) -> InfiniteTuple(D5)
 --R            from InfiniteTupleFunctions2(D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [38] (((D5,D6) -> D7),InfiniteTuple D5,InfiniteTuple D6) -> 
---R            InfiniteTuple D7
+--R   [38] (((D5,D6) -> D7),InfiniteTuple(D5),InfiniteTuple(D6)) -> 
+--R            InfiniteTuple(D7)
 --R            from InfiniteTupleFunctions3(D5,D6,D7)
 --R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
---R   [39] (((D5,D6) -> D7),Stream D5,InfiniteTuple D6) -> Stream D7
+--R   [39] (((D5,D6) -> D7),Stream(D5),InfiniteTuple(D6)) -> Stream(D7)
 --R            from InfiniteTupleFunctions3(D5,D6,D7)
 --R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
---R   [40] (((D5,D6) -> D7),InfiniteTuple D5,Stream D6) -> Stream D7
+--R   [40] (((D5,D6) -> D7),InfiniteTuple(D5),Stream(D6)) -> Stream(D7)
 --R            from InfiniteTupleFunctions3(D5,D6,D7)
 --R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
---R   [41] ((D2 -> D2),InfiniteTuple D2) -> InfiniteTuple D2 from 
---R            InfiniteTuple D2
---R            if D2 has TYPE
---R   [42] ((D4 -> D5),List D4) -> List D5 from ListFunctions2(D4,D5)
+--R   [41] ((D2 -> D2),InfiniteTuple(D2)) -> InfiniteTuple(D2)
+--R            from InfiniteTuple(D2) if D2 has TYPE
+--R   [42] ((D4 -> D5),List(D4)) -> List(D5) from ListFunctions2(D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [43] (((D5,D6) -> D7),List D5,List D6) -> List D7
+--R   [43] (((D5,D6) -> D7),List(D5),List(D6)) -> List(D7)
 --R            from ListFunctions3(D5,D6,D7)
 --R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
---R   [44] (((D2,D2) -> D2),D,D) -> D from D if D has LNAGG D2 and D2 has 
+--R   [44] (((D2,D2) -> D2),D,D) -> D from D if D has LNAGG(D2) and D2 has
 --R            TYPE
 --R   [45] ((D5 -> D8),D4) -> D2
 --R            from MatrixCategoryFunctions2(D5,D6,D7,D4,D8,D9,D1,D2)
---R            if D5 has RING and D8 has RING and D6 has FLAGG D5 and D7 
---R            has FLAGG D5 and D2 has MATCAT(D8,D9,D1) and D4 has MATCAT(
---R            D5,D6,D7) and D9 has FLAGG D8 and D1 has FLAGG D8
+--R            if D5 has RING and D8 has RING and D6 has FLAGG(D5) and D7 
+--R            has FLAGG(D5) and D2 has MATCAT(D8,D9,D1) and D4 has MATCAT
+--R            (D5,D6,D7) and D9 has FLAGG(D8) and D1 has FLAGG(D8)
 --R   [46] ((D5 -> Union(D8,"failed")),D4) -> Union(D2,"failed")
 --R            from MatrixCategoryFunctions2(D5,D6,D7,D4,D8,D9,D1,D2)
---R            if D5 has RING and D8 has RING and D6 has FLAGG D5 and D7 
---R            has FLAGG D5 and D2 has MATCAT(D8,D9,D1) and D4 has MATCAT(
---R            D5,D6,D7) and D9 has FLAGG D8 and D1 has FLAGG D8
+--R            if D5 has RING and D8 has RING and D6 has FLAGG(D5) and D7 
+--R            has FLAGG(D5) and D2 has MATCAT(D8,D9,D1) and D4 has MATCAT
+--R            (D5,D6,D7) and D9 has FLAGG(D8) and D1 has FLAGG(D8)
 --R   [47] ((D7 -> D8),D3) -> D1 from MPolyCatFunctions2(D4,D5,D6,D7,D8,D3
 --R            ,D1)
 --R            if D7 has RING and D8 has RING and D4 has ORDSET and D5 has
@@ -827,55 +813,57 @@
 --R            if D4 has RING and D5 has RING and D6 has MONOID
 --R   [49] ((D4 -> D5),D3) -> D1 from OctonionCategoryFunctions2(D3,D4,D1,
 --R            D5)
---R            if D4 has COMRING and D5 has COMRING and D1 has OC D5 and 
---R            D3 has OC D4
---R   [50] ((D4 -> D5),OnePointCompletion D4) -> OnePointCompletion D5
+--R            if D4 has COMRING and D5 has COMRING and D1 has OC(D5) and 
+--R            D3 has OC(D4)
+--R   [50] ((D4 -> D5),OnePointCompletion(D4)) -> OnePointCompletion(D5)
 --R            from OnePointCompletionFunctions2(D4,D5)
 --R            if D4 has SETCAT and D5 has SETCAT
---R   [51] ((D4 -> D5),OnePointCompletion D4,OnePointCompletion D5) -> 
---R            OnePointCompletion D5
+--R   [51] ((D4 -> D5),OnePointCompletion(D4),OnePointCompletion(D5)) -> 
+--R            OnePointCompletion(D5)
 --R            from OnePointCompletionFunctions2(D4,D5)
 --R            if D4 has SETCAT and D5 has SETCAT
---R   [52] ((D4 -> D5),OrderedCompletion D4) -> OrderedCompletion D5
+--R   [52] ((D4 -> D5),OrderedCompletion(D4)) -> OrderedCompletion(D5)
 --R            from OrderedCompletionFunctions2(D4,D5)
 --R            if D4 has SETCAT and D5 has SETCAT
---R   [53] ((D4 -> D5),OrderedCompletion D4,OrderedCompletion D5,
---R            OrderedCompletion D5) -> OrderedCompletion D5
+--R   [53] ((D4 -> D5),OrderedCompletion(D4),OrderedCompletion(D5),
+--R            OrderedCompletion(D5)) -> OrderedCompletion(D5)
 --R            from OrderedCompletionFunctions2(D4,D5)
 --R            if D4 has SETCAT and D5 has SETCAT
---R   [54] ((D4 -> D5),ParametricPlaneCurve D4) -> ParametricPlaneCurve D5
+--R   [54] ((D4 -> D5),ParametricPlaneCurve(D4)) -> ParametricPlaneCurve(
+--R            D5)
 --R            from ParametricPlaneCurveFunctions2(D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [55] ((D4 -> D5),ParametricSpaceCurve D4) -> ParametricSpaceCurve D5
+--R   [55] ((D4 -> D5),ParametricSpaceCurve(D4)) -> ParametricSpaceCurve(
+--R            D5)
 --R            from ParametricSpaceCurveFunctions2(D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [56] ((D4 -> D5),ParametricSurface D4) -> ParametricSurface D5
+--R   [56] ((D4 -> D5),ParametricSurface(D4)) -> ParametricSurface(D5)
 --R            from ParametricSurfaceFunctions2(D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
 --R   [57] ((D5 -> D6),PatternMatchResult(D4,D5)) -> PatternMatchResult(D4
 --R            ,D6)
 --R            from PatternMatchResultFunctions2(D4,D5,D6)
 --R            if D4 has SETCAT and D5 has SETCAT and D6 has SETCAT
---R   [58] ((D4 -> D5),Pattern D4) -> Pattern D5 from PatternFunctions2(D4
---R            ,D5)
+--R   [58] ((D4 -> D5),Pattern(D4)) -> Pattern(D5) from PatternFunctions2(
+--R            D4,D5)
 --R            if D4 has SETCAT and D5 has SETCAT
---R   [59] ((D4 -> D5),Polynomial D4) -> Polynomial D5
+--R   [59] ((D4 -> D5),Polynomial(D4)) -> Polynomial(D5)
 --R            from PolynomialFunctions2(D4,D5) if D4 has RING and D5 has 
 --R            RING
---R   [60] ((D4 -> D5),PrimitiveArray D4) -> PrimitiveArray D5
+--R   [60] ((D4 -> D5),PrimitiveArray(D4)) -> PrimitiveArray(D5)
 --R            from PrimitiveArrayFunctions2(D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [61] ((D4 -> D5),Point D4) -> Point D5 from PointFunctions2(D4,D5)
+--R   [61] ((D4 -> D5),Point(D4)) -> Point(D5) from PointFunctions2(D4,D5)
 --R            if D4 has RING and D5 has RING
 --R   [62] ((D4 -> D5),D3) -> D1 from QuotientFieldCategoryFunctions2(D4,
 --R            D5,D3,D1)
---R            if D4 has INTDOM and D5 has INTDOM and D1 has QFCAT D5 and 
---R            D3 has QFCAT D4
+--R            if D4 has INTDOM and D5 has INTDOM and D1 has QFCAT(D5) and
+--R            D3 has QFCAT(D4)
 --R   [63] ((D4 -> D5),D3) -> D1 from QuaternionCategoryFunctions2(D3,D4,
 --R            D1,D5)
---R            if D4 has COMRING and D5 has COMRING and D1 has QUATCAT D5 
---R            and D3 has QUATCAT D4
---R   [64] ((D2 -> D2),Queue D2) -> Queue D2 from Queue D2 if D2 has 
+--R            if D4 has COMRING and D5 has COMRING and D1 has QUATCAT(D5)
+--R            and D3 has QUATCAT(D4)
+--R   [64] ((D2 -> D2),Queue(D2)) -> Queue(D2) from Queue(D2) if D2 has 
 --R            SETCAT
 --R   [65] (((D4,D4) -> D4),D,D) -> D from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
@@ -891,28 +879,28 @@
 --R            has RMATCAT(D7,D8,D1,D2,D3) and D6 has RMATCAT(D7,D8,D9,D10
 --R            ,D11) and D2 has DIRPCAT(D8,D1) and D3 has DIRPCAT(D7,D1)
 --R         
---R   [68] ((D4 -> D5),Segment D4) -> Segment D5 from SegmentFunctions2(D4
---R            ,D5)
+--R   [68] ((D4 -> D5),Segment(D4)) -> Segment(D5) from SegmentFunctions2(
+--R            D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [69] ((D4 -> D5),Segment D4) -> List D5 from SegmentFunctions2(D4,D5
---R            )
+--R   [69] ((D4 -> D5),Segment(D4)) -> List(D5) from SegmentFunctions2(D4,
+--R            D5)
 --R            if D4 has ORDRING and D4 has TYPE and D5 has TYPE
---R   [70] ((D4 -> D5),SegmentBinding D4) -> SegmentBinding D5
+--R   [70] ((D4 -> D5),SegmentBinding(D4)) -> SegmentBinding(D5)
 --R            from SegmentBindingFunctions2(D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
 --R   [71] ((D3 -> D3),D) -> D1 from D
 --R            if D has SEGXCAT(D3,D1) and D3 has ORDRING and D1 has STAGG
---R            D3
---R   [72] ((D2 -> D2),Stack D2) -> Stack D2 from Stack D2 if D2 has 
+--R            (D3)
+--R   [72] ((D2 -> D2),Stack(D2)) -> Stack(D2) from Stack(D2) if D2 has 
 --R            SETCAT
---R   [73] ((D4 -> D5),Stream D4) -> Stream D5 from StreamFunctions2(D4,D5
---R            )
+--R   [73] ((D4 -> D5),Stream(D4)) -> Stream(D5) from StreamFunctions2(D4,
+--R            D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [74] (((D5,D6) -> D7),Stream D5,Stream D6) -> Stream D7
+--R   [74] (((D5,D6) -> D7),Stream(D5),Stream(D6)) -> Stream(D7)
 --R            from StreamFunctions3(D5,D6,D7)
 --R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
---R   [75] ((D4 -> D5),SparseUnivariatePolynomial D4) -> 
---R            SparseUnivariatePolynomial D5
+--R   [75] ((D4 -> D5),SparseUnivariatePolynomial(D4)) -> 
+--R            SparseUnivariatePolynomial(D5)
 --R            from SparseUnivariatePolynomialFunctions2(D4,D5)
 --R            if D4 has RING and D5 has RING
 --R   [76] (((D3,D3) -> D3),D,D) -> D from D
@@ -923,10 +911,10 @@
 --R            from UnivariateLaurentSeriesFunctions2(D5,D6,D7,D8,D9,D1)
 --R            if D5 has RING and D6 has RING and D7: SYMBOL and D9: D5 
 --R            and D1: D6 and D8: SYMBOL
---R   [78] ((D4 -> D5),UniversalSegment D4) -> UniversalSegment D5
+--R   [78] ((D4 -> D5),UniversalSegment(D4)) -> UniversalSegment(D5)
 --R            from UniversalSegmentFunctions2(D4,D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [79] ((D4 -> D5),UniversalSegment D4) -> Stream D5
+--R   [79] ((D4 -> D5),UniversalSegment(D4)) -> Stream(D5)
 --R            from UniversalSegmentFunctions2(D4,D5)
 --R            if D4 has ORDRING and D4 has TYPE and D5 has TYPE
 --R   [80] ((D5 -> D7),UnivariatePolynomial(D4,D5)) -> 
@@ -936,8 +924,8 @@
 --R            SYMBOL
 --R   [81] ((D4 -> D5),D3) -> D1
 --R            from UnivariatePolynomialCategoryFunctions2(D4,D3,D5,D1)
---R            if D4 has RING and D5 has RING and D1 has UPOLYC D5 and D3 
---R            has UPOLYC D4
+--R            if D4 has RING and D5 has RING and D1 has UPOLYC(D5) and D3
+--R            has UPOLYC(D4)
 --R   [82] ((D5 -> D6),UnivariatePuiseuxSeries(D5,D7,D9)) -> 
 --R            UnivariatePuiseuxSeries(D6,D8,D1)
 --R            from UnivariatePuiseuxSeriesFunctions2(D5,D6,D7,D8,D9,D1)
@@ -945,12 +933,12 @@
 --R            and D1: D6 and D8: SYMBOL
 --R   [83] ((D4 -> D5),D3) -> D1
 --R            from UnivariateTaylorSeriesFunctions2(D4,D5,D3,D1)
---R            if D4 has RING and D5 has RING and D1 has UTSCAT D5 and D3 
---R            has UTSCAT D4
---R   [84] ((D4 -> D5),Vector D4) -> Vector D5 from VectorFunctions2(D4,D5
---R            )
+--R            if D4 has RING and D5 has RING and D1 has UTSCAT(D5) and D3
+--R            has UTSCAT(D4)
+--R   [84] ((D4 -> D5),Vector(D4)) -> Vector(D5) from VectorFunctions2(D4,
+--R            D5)
 --R            if D4 has TYPE and D5 has TYPE
---R   [85] ((D4 -> Union(D5,"failed")),Vector D4) -> Union(Vector D5,
+--R   [85] ((D4 -> Union(D5,"failed")),Vector(D4)) -> Union(Vector(D5),
 --R            "failed")
 --R            from VectorFunctions2(D4,D5) if D4 has TYPE and D5 has TYPE
 --R            
@@ -960,18 +948,18 @@
 --RThere are 10 unexposed functions called map :
 --R   [1] ((D2 -> D2),AntiSymm(D2,D3)) -> AntiSymm(D2,D3) from AntiSymm(D2
 --R            ,D3)
---R            if D2 has RING and D3: LIST SYMBOL
---R   [2] ((Expression D2 -> Expression D2),DeRhamComplex(D2,D3)) -> 
+--R            if D2 has RING and D3: LIST(SYMBOL)
+--R   [2] ((Expression(D2) -> Expression(D2)),DeRhamComplex(D2,D3)) -> 
 --R            DeRhamComplex(D2,D3)
 --R            from DeRhamComplex(D2,D3)
---R            if D2 has Join(Ring,OrderedSet) and D3: LIST SYMBOL
---R   [3] ((D5 -> D1),String,Kernel D5) -> D1
+--R            if D2 has Join(Ring,OrderedSet) and D3: LIST(SYMBOL)
+--R   [3] ((D5 -> D1),String,Kernel(D5)) -> D1
 --R            from ExpressionSpaceFunctions1(D5,D1)
 --R            if D5 has ES and D1 has TYPE
 --R   [4] ((D4 -> D6),D3) -> D1 from MultipleMap(D4,D5,D3,D6,D7,D1)
---R            if D4 has INTDOM and D6 has INTDOM and D5 has UPOLYC D4 and
---R            D1 has UPOLYC FRAC D7 and D3 has UPOLYC FRAC D5 and D7 has 
---R            UPOLYC D6
+--R            if D4 has INTDOM and D6 has INTDOM and D5 has UPOLYC(D4) 
+--R            and D1 has UPOLYC(FRAC(D7)) and D3 has UPOLYC(FRAC(D5)) and
+--R            D7 has UPOLYC(D6)
 --R   [5] ((D4 -> D5),D3) -> D1 from MPolyCatFunctions3(D4,D5,D6,D7,D8,D3,
 --R            D1)
 --R            if D4 has ORDSET and D5 has ORDSET and D6 has OAMONS and D8
@@ -979,8 +967,8 @@
 --R            D3 has POLYCAT(D8,D6,D4)
 --R   [6] ((D2 -> D2),MonoidRing(D2,D3)) -> MonoidRing(D2,D3)
 --R            from MonoidRing(D2,D3) if D2 has RING and D3 has MONOID
---R   [7] ((D4 -> D5),NewSparseUnivariatePolynomial D4) -> 
---R            NewSparseUnivariatePolynomial D5
+--R   [7] ((D4 -> D5),NewSparseUnivariatePolynomial(D4)) -> 
+--R            NewSparseUnivariatePolynomial(D5)
 --R            from NewSparseUnivariatePolynomialFunctions2(D4,D5)
 --R            if D4 has RING and D5 has RING
 --R   [8] ((D7 -> D2),(D8 -> D2),D5) -> D2
@@ -991,9 +979,10 @@
 --R               ?*? : (%,%) -> %
 --R               D : (%,NonNegativeInteger) -> %and D5 has POLYCAT(D8
 --R            ,D6,D7)
---R   [9] ((Polynomial D3 -> D1),D1) -> D1 from PushVariables(D3,D4,D5,D1)
---R            if D3 has RING and D1 has POLYCAT(POLY D3,D4,D5) and D4 has
---R            OAMONS and D5 has OrderedSet with 
+--R   [9] ((Polynomial(D3) -> D1),D1) -> D1 from PushVariables(D3,D4,D5,D1
+--R            )
+--R            if D3 has RING and D1 has POLYCAT(POLY(D3),D4,D5) and D4 
+--R            has OAMONS and D5 has OrderedSet with 
 --R               convert : % -> Symbol
 --R               variable : Symbol -> Union(%,"failed")
 --R   [10] ((D2 -> D2),XPolynomialRing(D2,D3)) -> XPolynomialRing(D2,D3)
@@ -1310,13 +1299,12 @@
 --R 
 --R
 --RThere are 5 exposed functions called complete :
---R   [1] ContinuedFraction D1 -> ContinuedFraction D1 from 
---R            ContinuedFraction D1
---R            if D1 has EUCDOM
---R   [2] Integer -> SymmetricPolynomial Fraction Integer from 
+--R   [1] ContinuedFraction(D1) -> ContinuedFraction(D1)
+--R            from ContinuedFraction(D1) if D1 has EUCDOM
+--R   [2] Integer -> SymmetricPolynomial(Fraction(Integer)) from 
 --R            CycleIndicators
---R   [3] D -> D from D if D has LZSTAGG D1 and D1 has TYPE
---R   [4] D -> D from D if D has PADICCT D1
+--R   [3] D -> D from D if D has LZSTAGG(D1) and D1 has TYPE
+--R   [4] D -> D from D if D has PADICCT(D1)
 --R   [5] D -> D from D
 --R            if D has PSCAT(D1,D2,D3) and D1 has RING and D2 has OAMON 
 --R            and D3 has ORDSET
@@ -1348,7 +1336,8 @@
 --R 
 --R
 --RThere is one exposed function called cyclicEqual? :
---R   [1] (Tree D2,Tree D2) -> Boolean from Tree D2 if D2 has SETCAT
+--R   [1] (Tree(D2),Tree(D2)) -> Boolean from Tree(D2) if D2 has SETCAT
+--R         
 --R
 --RExamples of cyclicEqual? from Tree
 --R
@@ -1365,7 +1354,7 @@
 --RThere are 2 exposed functions called ncols :
 --R   [1] D -> NonNegativeInteger from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
+--R            (D2) and D4 has FLAGG(D2)
 --R   [2] D -> NonNegativeInteger from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
 --R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
@@ -1385,9 +1374,9 @@
 --R 
 --R
 --RThere is one exposed function called inverseIntegralMatrixAtInfinity :
---R   [1]  -> Matrix Fraction D3 from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC 
---R            D2 and D4 has UPOLYC FRAC D3
+--R   [1]  -> Matrix(Fraction(D3)) from D
+--R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of inverseIntegralMatrixAtInfinity from FunctionFieldCategory
 --R
@@ -1419,8 +1408,8 @@
 --R 
 --R
 --RThere are 2 exposed functions called cyclic? :
---R   [1] D -> Boolean from D if D has RCAGG D2 and D2 has TYPE
---R   [2] Tree D2 -> Boolean from Tree D2 if D2 has SETCAT
+--R   [1] D -> Boolean from D if D has RCAGG(D2) and D2 has TYPE
+--R   [2] Tree(D2) -> Boolean from Tree(D2) if D2 has SETCAT
 --R
 --RExamples of cyclic? from RecursiveAggregate
 --R
@@ -1437,8 +1426,8 @@
 --R 
 --R
 --RThere is one exposed function called nilFactor :
---R   [1] (D1,Integer) -> Factored D1 from Factored D1 if D1 has INTDOM
---R         
+--R   [1] (D1,Integer) -> Factored(D1) from Factored(D1) if D1 has INTDOM
+--R            
 --R
 --RExamples of nilFactor from Factored
 --R
@@ -1471,8 +1460,8 @@
 --R 
 --R
 --RThere is one exposed function called balancedBinaryTree :
---R   [1] (NonNegativeInteger,D2) -> BalancedBinaryTree D2
---R            from BalancedBinaryTree D2 if D2 has SETCAT
+--R   [1] (NonNegativeInteger,D2) -> BalancedBinaryTree(D2)
+--R            from BalancedBinaryTree(D2) if D2 has SETCAT
 --R
 --RExamples of balancedBinaryTree from BalancedBinaryTree
 --R
@@ -1485,9 +1474,9 @@
 --R 
 --R
 --RThere is one exposed function called integralBasisAtInfinity :
---R   [1]  -> Vector D from D
---R            if D2 has UFD and D3 has UPOLYC D2 and D4 has UPOLYC FRAC 
---R            D3 and D has FFCAT(D2,D3,D4)
+--R   [1]  -> Vector(D) from D
+--R            if D2 has UFD and D3 has UPOLYC(D2) and D4 has UPOLYC(FRAC(
+--R            D3)) and D has FFCAT(D2,D3,D4)
 --R
 --RExamples of integralBasisAtInfinity from FunctionFieldCategory
 --R
@@ -1504,8 +1493,8 @@
 --R
 --RThere is one exposed function called branchPointAtInfinity? :
 --R   [1]  -> Boolean from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC 
---R            D2 and D4 has UPOLYC FRAC D3
+--R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of branchPointAtInfinity? from FunctionFieldCategory
 --R
@@ -1531,11 +1520,11 @@
 --R            from CartesianTensor(D1,D2,D3)
 --R            if D1: INT and D2: NNI and D3 has COMRING
 --R   [3] D -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
---R            D1 and D3 has FLAGG D1
+--R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
+--R            D1) and D3 has FLAGG(D1)
 --R   [4] D1 -> D from D
---R            if D2 has RING and D has MATCAT(D2,D1,D3) and D1 has FLAGG 
---R            D2 and D3 has FLAGG D2
+--R            if D2 has RING and D has MATCAT(D2,D1,D3) and D1 has FLAGG(
+--R            D2) and D3 has FLAGG(D2)
 --R
 --RThere is one unexposed function called transpose :
 --R   [1] SquareMatrix(D1,D2) -> SquareMatrix(D1,D2) from SquareMatrix(D1,
@@ -1571,10 +1560,10 @@
 --R 
 --R
 --RThere are 2 exposed functions called setrest! :
---R   [1] (Stream D2,Integer,Stream D2) -> Stream D2 from Stream D2 if D2 
---R            has TYPE
+--R   [1] (Stream(D2),Integer,Stream(D2)) -> Stream(D2) from Stream(D2)
+--R            if D2 has TYPE
 --R   [2] (D,D) -> D from D
---R            if D has shallowlyMutable and D has URAGG D1 and D1 has 
+--R            if D has shallowlyMutable and D has URAGG(D1) and D1 has 
 --R            TYPE
 --R
 --RExamples of setrest! from Stream
@@ -1591,7 +1580,6 @@
 
 --S 35 of 127
 )d op **
---R 
 --R
 --RThere are 21 exposed functions called ** :
 --R   [1] (CardinalNumber,CardinalNumber) -> CardinalNumber from 
@@ -1601,7 +1589,7 @@
 --R   [4] (D,D) -> D from D if D has ELEMFUN
 --R   [5] (Float,Float) -> Float from Float
 --R   [6] (D,NonNegativeInteger) -> D from D
---R            if D has FS D2 and D2 has ORDSET and D2 has SGROUP
+--R            if D has FS(D2) and D2 has ORDSET and D2 has SGROUP
 --R   [7] (D,Integer) -> D from D if D has GROUP
 --R   [8] (PolynomialIdeals(D2,D3,D4,D5),NonNegativeInteger) -> 
 --R            PolynomialIdeals(D2,D3,D4,D5)
@@ -1609,82 +1597,83 @@
 --R            if D2 has FIELD and D3 has OAMONS and D4 has ORDSET and D5 
 --R            has POLYCAT(D2,D3,D4)
 --R   [9] ((D3 -> D3),NonNegativeInteger) -> (D3 -> D3) from 
---R            MappingPackage1 D3
+--R            MappingPackage1(D3)
 --R            if D3 has SETCAT
 --R   [10] (D,Integer) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG 
---R            D2 and D4 has FLAGG D2 and D2 has FIELD
+--R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
+--R            D2) and D4 has FLAGG(D2) and D2 has FIELD
 --R   [11] (D,NonNegativeInteger) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG 
---R            D2 and D4 has FLAGG D2
+--R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
+--R            D2) and D4 has FLAGG(D2)
 --R   [12] (ModuleOperator(D2,D3),Integer) -> ModuleOperator(D2,D3)
 --R            from ModuleOperator(D2,D3) if D2 has RING and D3 has 
---R            LMODULE D2
+--R            LMODULE(D2)
 --R   [13] (BasicOperator,Integer) -> ModuleOperator(D3,D4)
 --R            from ModuleOperator(D3,D4) if D3 has RING and D4 has 
---R            LMODULE D3
+--R            LMODULE(D3)
 --R   [14] (D,PositiveInteger) -> D from D if D has MONAD
 --R   [15] (D,NonNegativeInteger) -> D from D if D has MONADWU
 --R   [16] (D,NonNegativeInteger) -> D from D if D has MONOID
---R   [17] (MyExpression(D1,D2),MyExpression(D1,D2)) -> MyExpression(D1,D2
---R            )
---R            from MyExpression(D1,D2)
---R            if D1: SYMBOL and D2 has Join(Ring,OrderedSet,
---R            IntegralDomain)
---R   [18] (D,Fraction Integer) -> D from D if D has RADCAT
+--R   [17] (D,Fraction(Integer)) -> D from D if D has RADCAT
+--R   [18] (StochasticDifferential(D2),PositiveInteger) -> 
+--R            StochasticDifferential(D2)
+--R            from StochasticDifferential(D2)
+--R            if D2 has Join(OrderedSet,IntegralDomain)
 --R   [19] (D,PositiveInteger) -> D from D if D has SGROUP
 --R   [20] (D,Integer) -> D from D
 --R            if D has SMATCAT(D2,D3,D4,D5) and D3 has RING and D4 has 
 --R            DIRPCAT(D2,D3) and D5 has DIRPCAT(D2,D3) and D3 has FIELD
 --R         
 --R   [21] (D,D1) -> D from D
---R            if D has UTSCAT D1 and D1 has RING and D1 has FIELD
+--R            if D has UTSCAT(D1) and D1 has RING and D1 has FIELD
 --R
 --RThere are 18 unexposed functions called ** :
---R   [1] (D1,Fraction Integer) -> D1 from AlgebraicFunction(D3,D1)
---R            if D3 has RETRACT INT and D3 has Join(OrderedSet,
---R            IntegralDomain) and D1 has FS D3
+--R   [1] (D1,Fraction(Integer)) -> D1 from AlgebraicFunction(D3,D1)
+--R            if D3 has RETRACT(INT) and D3 has Join(OrderedSet,
+--R            IntegralDomain) and D1 has FS(D3)
 --R   [2] (D1,D1) -> D1 from CombinatorialFunction(D2,D1)
---R            if D2 has Join(OrderedSet,IntegralDomain) and D1 has FS D2
+--R            if D2 has Join(OrderedSet,IntegralDomain) and D1 has FS(D2)
 --R            
---R   [3] (D1,Fraction Integer) -> D1
+--R   [3] (D1,Fraction(Integer)) -> D1
 --R            from ElementaryFunctionsUnivariateLaurentSeries(D3,D4,D1)
---R            if D3 has FIELD and D3 has ALGEBRA FRAC INT and D4 has 
---R            UTSCAT D3 and D1 has ULSCCAT(D3,D4)
---R   [4] (D1,Fraction Integer) -> D1
+--R            if D3 has FIELD and D3 has ALGEBRA(FRAC(INT)) and D4 has 
+--R            UTSCAT(D3) and D1 has ULSCCAT(D3,D4)
+--R   [4] (D1,Fraction(Integer)) -> D1
 --R            from ElementaryFunctionsUnivariatePuiseuxSeries(D3,D4,D1,D5
 --R            )
---R            if D3 has FIELD and D3 has ALGEBRA FRAC INT and D4 has 
---R            ULSCAT D3 and D1 has UPXSCCA(D3,D4) and D5 has PTRANFN D4
---R         
---R   [5] (D1,Integer) -> FreeGroup D1 from FreeGroup D1 if D1 has SETCAT
+--R            if D3 has FIELD and D3 has ALGEBRA(FRAC(INT)) and D4 has 
+--R            ULSCAT(D3) and D1 has UPXSCCA(D3,D4) and D5 has PTRANFN(D4)
 --R            
---R   [6] (D1,NonNegativeInteger) -> FreeMonoid D1 from FreeMonoid D1
+--R   [5] (D1,Integer) -> FreeGroup(D1) from FreeGroup(D1) if D1 has 
+--R            SETCAT
+--R   [6] (D1,NonNegativeInteger) -> FreeMonoid(D1) from FreeMonoid(D1)
 --R            if D1 has SETCAT
---R   [7] (Vector D3,Integer) -> Vector D3 from 
---R            InnerNormalBasisFieldFunctions D3
---R            if D3 has FFIELDC
+--R   [7] (Vector(D3),Integer) -> Vector(D3)
+--R            from InnerNormalBasisFieldFunctions(D3) if D3 has FFIELDC
+--R         
 --R   [8] (InputForm,Integer) -> InputForm from InputForm
 --R   [9] (InputForm,NonNegativeInteger) -> InputForm from InputForm
---R   [10] (Matrix D3,NonNegativeInteger) -> Matrix D3
---R            from StorageEfficientMatrixOperations D3 if D3 has RING
---R   [11] (D1,NonNegativeInteger) -> OrderedFreeMonoid D1
---R            from OrderedFreeMonoid D1 if D1 has ORDSET
---R   [12] (Operator D2,Integer) -> Operator D2 from Operator D2 if D2 has
---R            RING
---R   [13] (BasicOperator,Integer) -> Operator D3 from Operator D3 if D3 
+--R   [10] (Matrix(D3),NonNegativeInteger) -> Matrix(D3)
+--R            from StorageEfficientMatrixOperations(D3) if D3 has RING
+--R         
+--R   [11] (D1,NonNegativeInteger) -> OrderedFreeMonoid(D1)
+--R            from OrderedFreeMonoid(D1) if D1 has ORDSET
+--R   [12] (Operator(D2),Integer) -> Operator(D2) from Operator(D2) if D2 
+--R            has RING
+--R   [13] (BasicOperator,Integer) -> Operator(D3) from Operator(D3) if D3
 --R            has RING
 --R   [14] (OutputForm,OutputForm) -> OutputForm from OutputForm
---R   [15] (Pattern D1,Pattern D1) -> Pattern D1 from Pattern D1 if D1 has
---R            SETCAT
---R   [16] (Pattern D2,NonNegativeInteger) -> Pattern D2 from Pattern D2
+--R   [15] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1)
+--R            if D1 has SETCAT
+--R   [16] (Pattern(D2),NonNegativeInteger) -> Pattern(D2) from Pattern(D2
+--R            )
 --R            if D2 has SETCAT
---R   [17] (Stream D2,Stream D2) -> Stream D2
---R            from StreamTranscendentalFunctionsNonCommutative D2
---R            if D2 has ALGEBRA FRAC INT
---R   [18] (Stream D2,Stream D2) -> Stream D2
---R            from StreamTranscendentalFunctions D2 if D2 has ALGEBRA 
---R            FRAC INT
+--R   [17] (Stream(D2),Stream(D2)) -> Stream(D2)
+--R            from StreamTranscendentalFunctionsNonCommutative(D2)
+--R            if D2 has ALGEBRA(FRAC(INT))
+--R   [18] (Stream(D2),Stream(D2)) -> Stream(D2)
+--R            from StreamTranscendentalFunctions(D2)
+--R            if D2 has ALGEBRA(FRAC(INT))
 --R
 --RExamples of ** from AlgebraicFunction
 --R
@@ -1767,9 +1756,6 @@
 --RExamples of ** from Monoid
 --R
 --R
---RExamples of ** from MyExpression
---R
---R
 --RExamples of ** from OrderedFreeMonoid
 --R
 --Rm1:=(y**3)$OFMONOID(Symbol)
@@ -1787,6 +1773,9 @@
 --RExamples of ** from RadicalCategory
 --R
 --R
+--RExamples of ** from StochasticDifferential
+--R
+--R
 --RExamples of ** from SemiGroup
 --R
 --R
@@ -1808,39 +1797,40 @@
 --R 
 --R
 --RThere are 12 unexposed functions called plot :
---R   [1] (D2,Symbol,Segment DoubleFloat) -> Plot from PlotFunctions1 D2
---R            if D2 has KONVERT INFORM
---R   [2] (D2,D2,Symbol,Segment DoubleFloat) -> Plot from PlotFunctions1 
---R            D2
---R            if D2 has KONVERT INFORM
---R   [3] (Plot3D,Segment DoubleFloat) -> Plot3D from Plot3D
+--R   [1] (D2,Symbol,Segment(DoubleFloat)) -> Plot from PlotFunctions1(D2)
+--R            if D2 has KONVERT(INFORM)
+--R   [2] (D2,D2,Symbol,Segment(DoubleFloat)) -> Plot from PlotFunctions1(
+--R            D2)
+--R            if D2 has KONVERT(INFORM)
+--R   [3] (Plot3D,Segment(DoubleFloat)) -> Plot3D from Plot3D
 --R   [4] ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),(
---R            DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),Segment 
---R            DoubleFloat,Segment DoubleFloat,Segment DoubleFloat,Segment 
---R            DoubleFloat) -> Plot3D
+--R            DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),Segment(
+--R            DoubleFloat),Segment(DoubleFloat),Segment(DoubleFloat),Segment(
+--R            DoubleFloat)) -> Plot3D
 --R            from Plot3D
 --R   [5] ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),(
---R            DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),Segment 
---R            DoubleFloat) -> Plot3D
+--R            DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),Segment(
+--R            DoubleFloat)) -> Plot3D
 --R            from Plot3D
---R   [6] (Plot,Segment DoubleFloat) -> Plot from Plot
+--R   [6] (Plot,Segment(DoubleFloat)) -> Plot from Plot
 --R   [7] ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),
---R            Segment DoubleFloat,Segment DoubleFloat,Segment DoubleFloat) -> 
---R            Plot
+--R            Segment(DoubleFloat),Segment(DoubleFloat),Segment(DoubleFloat))
+--R             -> Plot
 --R            from Plot
 --R   [8] ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),
---R            Segment DoubleFloat) -> Plot
+--R            Segment(DoubleFloat)) -> Plot
 --R            from Plot
---R   [9] (List (DoubleFloat -> DoubleFloat),Segment DoubleFloat,Segment 
---R            DoubleFloat) -> Plot
+--R   [9] (List((DoubleFloat -> DoubleFloat)),Segment(DoubleFloat),Segment
+--R            (DoubleFloat)) -> Plot
 --R            from Plot
---R   [10] (List (DoubleFloat -> DoubleFloat),Segment DoubleFloat) -> Plot
+--R   [10] (List((DoubleFloat -> DoubleFloat)),Segment(DoubleFloat)) -> 
+--R            Plot
 --R            from Plot
---R   [11] ((DoubleFloat -> DoubleFloat),Segment DoubleFloat,Segment 
---R            DoubleFloat) -> Plot
+--R   [11] ((DoubleFloat -> DoubleFloat),Segment(DoubleFloat),Segment(
+--R            DoubleFloat)) -> Plot
+--R            from Plot
+--R   [12] ((DoubleFloat -> DoubleFloat),Segment(DoubleFloat)) -> Plot 
 --R            from Plot
---R   [12] ((DoubleFloat -> DoubleFloat),Segment DoubleFloat) -> Plot from
---R            Plot
 --R
 --RExamples of plot from PlotFunctions1
 --R
@@ -1860,16 +1850,16 @@
 --R 
 --R
 --RThere is one exposed function called factorList :
---R   [1] Factored D2 -> List Record(flg: Union("nil","sqfr","irred",
---R            "prime"),fctr: D2,xpnt: Integer)
---R            from Factored D2 if D2 has INTDOM
+--R   [1] Factored(D2) -> List(Record(flg: Union("nil","sqfr","irred",
+--R            "prime"),fctr: D2,xpnt: Integer))
+--R            from Factored(D2) if D2 has INTDOM
 --R
 --RThere is one unexposed function called factorList :
 --R   [1] (D2,NonNegativeInteger,NonNegativeInteger,NonNegativeInteger)
---R             -> List SparseUnivariatePolynomial D2
+--R             -> List(SparseUnivariatePolynomial(D2))
 --R            from ChineseRemainderToolsForIntegralBases(D2,D4,D5)
---R            if D2 has FFIELDC and D4 has UPOLYC D2 and D5 has UPOLYC D4
---R            
+--R            if D2 has FFIELDC and D4 has UPOLYC(D2) and D5 has UPOLYC(
+--R            D4)
 --R
 --RExamples of factorList from Factored
 --R
@@ -1886,7 +1876,7 @@
 --R 
 --R
 --RThere is one exposed function called physicalLength :
---R   [1] FlexibleArray D2 -> NonNegativeInteger from FlexibleArray D2
+--R   [1] FlexibleArray(D2) -> NonNegativeInteger from FlexibleArray(D2)
 --R            if D2 has TYPE
 --R
 --RThere is one unexposed function called physicalLength :
@@ -1911,13 +1901,13 @@
 --R
 --RThere is one exposed function called absolutelyIrreducible? :
 --R   [1]  -> Boolean from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC 
---R            D2 and D4 has UPOLYC FRAC D3
+--R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RThere is one unexposed function called absolutelyIrreducible? :
 --R   [1]  -> Boolean from FunctionFieldCategory&(D2,D3,D4,D5)
---R            if D3 has UFD and D4 has UPOLYC D3 and D5 has UPOLYC FRAC 
---R            D4 and D2 has FFCAT(D3,D4,D5)
+--R            if D3 has UFD and D4 has UPOLYC(D3) and D5 has UPOLYC(FRAC(
+--R            D4)) and D2 has FFCAT(D3,D4,D5)
 --R
 --RExamples of absolutelyIrreducible? from FunctionFieldCategory&
 --R
@@ -1941,7 +1931,7 @@
 --R 
 --R
 --RThere is one exposed function called repeating? :
---R   [1] (List D3,Stream D3) -> Boolean from Stream D3
+--R   [1] (List(D3),Stream(D3)) -> Boolean from Stream(D3)
 --R            if D3 has SETCAT and D3 has TYPE
 --R
 --RExamples of repeating? from Stream
@@ -1957,7 +1947,7 @@
 --R 
 --R
 --RThere is one exposed function called lazy? :
---R   [1] D -> Boolean from D if D has LZSTAGG D2 and D2 has TYPE
+--R   [1] D -> Boolean from D if D has LZSTAGG(D2) and D2 has TYPE
 --R
 --RExamples of lazy? from LazyStreamAggregate
 --R
@@ -1987,7 +1977,7 @@
 --RThere is one exposed function called setColumn! :
 --R   [1] (D,Integer,D2) -> D from D
 --R            if D has ARR2CAT(D3,D4,D2) and D3 has TYPE and D4 has FLAGG
---R            D3 and D2 has FLAGG D3
+--R            (D3) and D2 has FLAGG(D3)
 --R
 --RExamples of setColumn! from TwoDimensionalArrayCategory
 --R
@@ -2018,8 +2008,8 @@
 --R 
 --R
 --RThere is one exposed function called physicalLength! :
---R   [1] (FlexibleArray D2,Integer) -> FlexibleArray D2 from 
---R            FlexibleArray D2
+--R   [1] (FlexibleArray(D2),Integer) -> FlexibleArray(D2) from 
+--R            FlexibleArray(D2)
 --R            if D2 has TYPE
 --R
 --RThere is one unexposed function called physicalLength! :
@@ -2062,24 +2052,24 @@
 --R 
 --R
 --RThere are 11 exposed functions called extend :
---R   [1] (ContinuedFraction D2,Integer) -> ContinuedFraction D2
---R            from ContinuedFraction D2 if D2 has EUCDOM
---R   [2] (D,Integer) -> D from D if D has LZSTAGG D2 and D2 has TYPE
+--R   [1] (ContinuedFraction(D2),Integer) -> ContinuedFraction(D2)
+--R            from ContinuedFraction(D2) if D2 has EUCDOM
+--R   [2] (D,Integer) -> D from D if D has LZSTAGG(D2) and D2 has TYPE
 --R   [3] (D,NonNegativeInteger) -> D from D
 --R            if D has MTSCAT(D2,D3) and D2 has RING and D3 has ORDSET
 --R         
---R   [4] (D,Integer) -> D from D if D has PADICCT D2
---R   [5] (D,List D2) -> D from D if D has PTCAT D2 and D2 has RING
---R   [6] (List D6,List D) -> List D from D
+--R   [4] (D,Integer) -> D from D if D has PADICCT(D2)
+--R   [5] (D,List(D2)) -> D from D if D has PTCAT(D2) and D2 has RING
+--R   [6] (List(D6),List(D)) -> List(D) from D
 --R            if D has RSETCAT(D3,D4,D5,D6) and D3 has GCDDOM and D4 has 
 --R            OAMONS and D5 has ORDSET and D6 has RPOLCAT(D3,D4,D5)
---R   [7] (List D6,D) -> List D from D
+--R   [7] (List(D6),D) -> List(D) from D
 --R            if D6 has RPOLCAT(D3,D4,D5) and D3 has GCDDOM and D4 has 
 --R            OAMONS and D5 has ORDSET and D has RSETCAT(D3,D4,D5,D6)
---R   [8] (D2,List D) -> List D from D
+--R   [8] (D2,List(D)) -> List(D) from D
 --R            if D has RSETCAT(D3,D4,D5,D2) and D3 has GCDDOM and D4 has 
 --R            OAMONS and D5 has ORDSET and D2 has RPOLCAT(D3,D4,D5)
---R   [9] (D2,D) -> List D from D
+--R   [9] (D2,D) -> List(D) from D
 --R            if D3 has GCDDOM and D4 has OAMONS and D5 has ORDSET and D2
 --R            has RPOLCAT(D3,D4,D5) and D has RSETCAT(D3,D4,D5,D2)
 --R   [10] (D,D1) -> D from D
@@ -2123,32 +2113,33 @@
 --R 
 --R
 --RThere are 5 exposed functions called length :
---R   [1] Dequeue D2 -> NonNegativeInteger from Dequeue D2 if D2 has 
+--R   [1] Dequeue(D2) -> NonNegativeInteger from Dequeue(D2) if D2 has 
 --R            SETCAT
 --R   [2] D -> D from D if D has INS
---R   [3] D -> NonNegativeInteger from D if D has QUAGG D2 and D2 has TYPE
+--R   [3] D -> NonNegativeInteger from D if D has QUAGG(D2) and D2 has 
+--R            TYPE
+--R   [4] Queue(D2) -> NonNegativeInteger from Queue(D2) if D2 has SETCAT
 --R            
---R   [4] Queue D2 -> NonNegativeInteger from Queue D2 if D2 has SETCAT
---R         
 --R   [5] D -> D1 from D
---R            if D has VECTCAT D1 and D1 has TYPE and D1 has RADCAT and 
+--R            if D has VECTCAT(D1) and D1 has TYPE and D1 has RADCAT and 
 --R            D1 has RING
 --R
 --RThere are 6 unexposed functions called length :
 --R   [1] D2 -> D1 from GaloisGroupFactorizationUtilities(D3,D2,D1)
 --R            if D3 has RING and D1 has Join(FloatingPointSystem,
---R            RetractableTo D3,Field,TranscendentalFunctionCategory,
---R            ElementaryFunctionCategory) and D2 has UPOLYC D3
---R   [2] LyndonWord D2 -> PositiveInteger from LyndonWord D2 if D2 has 
+--R            RetractableTo(D3),Field,TranscendentalFunctionCategory,
+--R            ElementaryFunctionCategory) and D2 has UPOLYC(D3)
+--R   [2] LyndonWord(D2) -> PositiveInteger from LyndonWord(D2) if D2 has 
 --R            ORDSET
---R   [3] Magma D2 -> PositiveInteger from Magma D2 if D2 has ORDSET
---R   [4] OrderedFreeMonoid D2 -> NonNegativeInteger from 
---R            OrderedFreeMonoid D2
+--R   [3] Magma(D2) -> PositiveInteger from Magma(D2) if D2 has ORDSET
+--R   [4] OrderedFreeMonoid(D2) -> NonNegativeInteger from 
+--R            OrderedFreeMonoid(D2)
 --R            if D2 has ORDSET
---R   [5] PoincareBirkhoffWittLyndonBasis D2 -> NonNegativeInteger
---R            from PoincareBirkhoffWittLyndonBasis D2 if D2 has ORDSET
+--R   [5] PoincareBirkhoffWittLyndonBasis(D2) -> NonNegativeInteger
+--R            from PoincareBirkhoffWittLyndonBasis(D2) if D2 has ORDSET
+--R         
+--R   [6] Tuple(D2) -> NonNegativeInteger from Tuple(D2) if D2 has TYPE
 --R         
---R   [6] Tuple D2 -> NonNegativeInteger from Tuple D2 if D2 has TYPE
 --R
 --RExamples of length from Dequeue
 --R
@@ -2202,18 +2193,12 @@
 --R 
 --R
 --RThere are 2 exposed functions called viewPosDefault :
---R   [1]  -> List NonNegativeInteger from ViewDefaultsPackage
---R   [2] List NonNegativeInteger -> List NonNegativeInteger
+--R   [1]  -> List(NonNegativeInteger) from ViewDefaultsPackage
+--R   [2] List(NonNegativeInteger) -> List(NonNegativeInteger)
 --R            from ViewDefaultsPackage
 --R
 --RExamples of viewPosDefault from ViewDefaultsPackage
 --R
---Iand Y position of a viewport window unless overriden explicityly, ...
---Rand Y coordinates x, y.
---R
---Iand Y position of a viewport window unless overriden explicityly, ...
---Rand Y coordinate.
---R
 --E 49
 
 --S 50 of 127
@@ -2221,33 +2206,34 @@
 --R 
 --R
 --RThere are 5 exposed functions called groebner :
---R   [1] List D5 -> List D5 from GroebnerPackage(D2,D3,D4,D5)
+--R   [1] List(D5) -> List(D5) from GroebnerPackage(D2,D3,D4,D5)
 --R            if D5 has POLYCAT(D2,D3,D4) and D2 has GCDDOM and D3 has 
 --R            OAMONS and D4 has ORDSET
---R   [2] (List D6,String) -> List D6 from GroebnerPackage(D3,D4,D5,D6)
+--R   [2] (List(D6),String) -> List(D6) from GroebnerPackage(D3,D4,D5,D6)
 --R            if D6 has POLYCAT(D3,D4,D5) and D3 has GCDDOM and D4 has 
 --R            OAMONS and D5 has ORDSET
---R   [3] (List D6,String,String) -> List D6 from GroebnerPackage(D3,D4,D5
---R            ,D6)
+--R   [3] (List(D6),String,String) -> List(D6) from GroebnerPackage(D3,D4,
+--R            D5,D6)
 --R            if D6 has POLYCAT(D3,D4,D5) and D3 has GCDDOM and D4 has 
 --R            OAMONS and D5 has ORDSET
 --R   [4] PolynomialIdeals(D1,D2,D3,D4) -> PolynomialIdeals(D1,D2,D3,D4)
 --R            from PolynomialIdeals(D1,D2,D3,D4)
 --R            if D1 has FIELD and D2 has OAMONS and D3 has ORDSET and D4 
 --R            has POLYCAT(D1,D2,D3)
---R   [5] List D6 -> List D6 from InterfaceGroebnerPackage(D2,D3,D4,D5,D6)
+--R   [5] List(D6) -> List(D6) from InterfaceGroebnerPackage(D2,D3,D4,D5,
+--R            D6)
 --R            if D6 has POLYCAT(D2,D4,D5) and D2 has FIELD and D4 has 
---R            OAMONS and D5 has ORDSET and D3: LIST SYMBOL
+--R            OAMONS and D5 has ORDSET and D3: LIST(SYMBOL)
 --R
 --RThere are 2 unexposed functions called groebner :
---R   [1] List Polynomial D2 -> List Polynomial D2 from FGLMIfCanPackage(
---R            D2,D3)
---R            if D2 has GCDDOM and D3: LIST SYMBOL
---R   [2] List NewSparseMultivariatePolynomial(D2,OrderedVariableList D3)
---R             -> List NewSparseMultivariatePolynomial(D2,OrderedVariableList 
---R            D3)
+--R   [1] List(Polynomial(D2)) -> List(Polynomial(D2))
+--R            from FGLMIfCanPackage(D2,D3) if D2 has GCDDOM and D3: LIST(
+--R            SYMBOL)
+--R   [2] List(NewSparseMultivariatePolynomial(D2,OrderedVariableList(D3))
+--R            ) -> List(NewSparseMultivariatePolynomial(D2,OrderedVariableList(
+--R            D3)))
 --R            from LexTriangularPackage(D2,D3)
---R            if D2 has GCDDOM and D3: LIST SYMBOL
+--R            if D2 has GCDDOM and D3: LIST(SYMBOL)
 --R
 --RExamples of groebner from FGLMIfCanPackage
 --R
@@ -2301,8 +2287,8 @@
 --R 
 --R
 --RThere is one exposed function called primeFactor :
---R   [1] (D1,Integer) -> Factored D1 from Factored D1 if D1 has INTDOM
---R         
+--R   [1] (D1,Integer) -> Factored(D1) from Factored(D1) if D1 has INTDOM
+--R            
 --R
 --RExamples of primeFactor from Factored
 --R
@@ -2318,19 +2304,20 @@
 --RThere are 7 exposed functions called map! :
 --R   [1] ((D2 -> D2),D) -> D from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
---R   [2] ((D2 -> D2),ArrayStack D2) -> ArrayStack D2 from ArrayStack D2
+--R            (D2) and D4 has FLAGG(D2)
+--R   [2] ((D2 -> D2),ArrayStack(D2)) -> ArrayStack(D2) from ArrayStack(D2
+--R            )
 --R            if $ has shallowlyMutable and D2 has SETCAT
---R   [3] ((D2 -> D2),Dequeue D2) -> Dequeue D2 from Dequeue D2
+--R   [3] ((D2 -> D2),Dequeue(D2)) -> Dequeue(D2) from Dequeue(D2)
 --R            if $ has shallowlyMutable and D2 has SETCAT
---R   [4] ((D2 -> D2),Heap D2) -> Heap D2 from Heap D2
+--R   [4] ((D2 -> D2),Heap(D2)) -> Heap(D2) from Heap(D2)
 --R            if $ has shallowlyMutable and D2 has ORDSET
 --R   [5] ((D2 -> D2),D) -> D from D
---R            if D has shallowlyMutable and D has HOAGG D2 and D2 has 
+--R            if D has shallowlyMutable and D has HOAGG(D2) and D2 has 
 --R            TYPE
---R   [6] ((D2 -> D2),Queue D2) -> Queue D2 from Queue D2
+--R   [6] ((D2 -> D2),Queue(D2)) -> Queue(D2) from Queue(D2)
 --R            if $ has shallowlyMutable and D2 has SETCAT
---R   [7] ((D2 -> D2),Stack D2) -> Stack D2 from Stack D2
+--R   [7] ((D2 -> D2),Stack(D2)) -> Stack(D2) from Stack(D2)
 --R            if $ has shallowlyMutable and D2 has SETCAT
 --R
 --RExamples of map! from TwoDimensionalArrayCategory
@@ -2383,8 +2370,8 @@
 --R 
 --R
 --RThere is one exposed function called setleaves! :
---R   [1] (BalancedBinaryTree D2,List D2) -> BalancedBinaryTree D2
---R            from BalancedBinaryTree D2 if D2 has SETCAT
+--R   [1] (BalancedBinaryTree(D2),List(D2)) -> BalancedBinaryTree(D2)
+--R            from BalancedBinaryTree(D2) if D2 has SETCAT
 --R
 --RExamples of setleaves! from BalancedBinaryTree
 --R
@@ -2398,8 +2385,8 @@
 --R 
 --R
 --RThere are 8 exposed functions called scan :
---R   [1] (((D5,D4) -> D4),OneDimensionalArray D5,D4) -> 
---R            OneDimensionalArray D4
+--R   [1] (((D5,D4) -> D4),OneDimensionalArray(D5),D4) -> 
+--R            OneDimensionalArray(D4)
 --R            from OneDimensionalArrayFunctions2(D5,D4)
 --R            if D5 has TYPE and D4 has TYPE
 --R   [2] (((D6,D4) -> D4),DirectProduct(D5,D6),D4) -> DirectProduct(D5,D4
@@ -2408,22 +2395,22 @@
 --R            if D5: NNI and D6 has TYPE and D4 has TYPE
 --R   [3] (((D5,D4) -> D4),D3,D4) -> D1
 --R            from FiniteLinearAggregateFunctions2(D5,D3,D4,D1)
---R            if D5 has TYPE and D4 has TYPE and D1 has FLAGG D4 and D3 
---R            has FLAGG D5
+--R            if D5 has TYPE and D4 has TYPE and D1 has FLAGG(D4) and D3 
+--R            has FLAGG(D5)
 --R   [4] (((D5,D4) -> D4),D3,D4) -> D1
 --R            from FiniteSetAggregateFunctions2(D5,D3,D4,D1)
---R            if D5 has SETCAT and D4 has SETCAT and D1 has FSAGG D4 and 
---R            D3 has FSAGG D5
---R   [5] (((D5,D4) -> D4),List D5,D4) -> List D4 from ListFunctions2(D5,
---R            D4)
+--R            if D5 has SETCAT and D4 has SETCAT and D1 has FSAGG(D4) and
+--R            D3 has FSAGG(D5)
+--R   [5] (((D5,D4) -> D4),List(D5),D4) -> List(D4) from ListFunctions2(D5
+--R            ,D4)
 --R            if D5 has TYPE and D4 has TYPE
---R   [6] (((D5,D4) -> D4),PrimitiveArray D5,D4) -> PrimitiveArray D4
+--R   [6] (((D5,D4) -> D4),PrimitiveArray(D5),D4) -> PrimitiveArray(D4)
 --R            from PrimitiveArrayFunctions2(D5,D4)
 --R            if D5 has TYPE and D4 has TYPE
---R   [7] (D2,((D5,D2) -> D2),Stream D5) -> Stream D2
+--R   [7] (D2,((D5,D2) -> D2),Stream(D5)) -> Stream(D2)
 --R            from StreamFunctions2(D5,D2) if D5 has TYPE and D2 has TYPE
 --R            
---R   [8] (((D5,D4) -> D4),Vector D5,D4) -> Vector D4
+--R   [8] (((D5,D4) -> D4),Vector(D5),D4) -> Vector(D4)
 --R            from VectorFunctions2(D5,D4) if D5 has TYPE and D4 has TYPE
 --R            
 --R
@@ -2485,14 +2472,14 @@
 --RThere are 15 exposed functions called + :
 --R   [1] (D,D) -> D from D if D has ABELSG
 --R   [2] (Color,Color) -> Color from Color
---R   [3] (Database D1,Database D1) -> Database D1 from Database D1
+--R   [3] (Database(D1),Database(D1)) -> Database(D1) from Database(D1)
 --R            if D1 has OrderedSet with 
 --R               ?.? : (%,Symbol) -> String
 --R               display : % -> Void
 --R               fullDisplay : % -> Void
---R   [4] (Equation D1,D1) -> Equation D1 from Equation D1
+--R   [4] (Equation(D1),D1) -> Equation(D1) from Equation(D1)
 --R            if D1 has ABELSG and D1 has TYPE
---R   [5] (D1,Equation D1) -> Equation D1 from Equation D1
+--R   [5] (D1,Equation(D1)) -> Equation(D1) from Equation(D1)
 --R            if D1 has ABELSG and D1 has TYPE
 --R   [6] (D1,D) -> D from D
 --R            if D has FAMONC(D1,D2) and D1 has SETCAT and D2 has CABMON
@@ -2500,8 +2487,8 @@
 --R   [7] (D1,FullPartialFractionExpansion(D2,D1)) -> 
 --R            FullPartialFractionExpansion(D2,D1)
 --R            from FullPartialFractionExpansion(D2,D1)
---R            if D2 has Join(Field,CharacteristicZero) and D1 has UPOLYC 
---R            D2
+--R            if D2 has Join(Field,CharacteristicZero) and D1 has UPOLYC(
+--R            D2)
 --R   [8] (D,D) -> D from D
 --R            if D has GRMOD(D1,D2) and D1 has COMRING and D2 has ABELMON
 --R            
@@ -2514,29 +2501,28 @@
 --R            D3)
 --R            if D2 has SETCAT and D3 has RING
 --R   [11] (D,D) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
---R            D1 and D3 has FLAGG D1
---R   [12] (D,Divisor D) -> Divisor D from D
+--R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
+--R            D1) and D3 has FLAGG(D1)
+--R   [12] (D,Divisor(D)) -> Divisor(D) from D
 --R            if D has PLACESC(D2,D3) and D2 has FIELD and D3 has LOCPOWC
---R            D2
---R   [13] (Divisor D,D) -> Divisor D from D
+--R            (D2)
+--R   [13] (Divisor(D),D) -> Divisor(D) from D
 --R            if D has PLACESC(D2,D3) and D2 has FIELD and D3 has LOCPOWC
---R            D2
---R   [14] (D,D) -> Divisor D from D
---R            if D2 has FIELD and D3 has LOCPOWC D2 and D has PLACESC(D2,
---R            D3)
+--R            (D2)
+--R   [14] (D,D) -> Divisor(D) from D
+--R            if D2 has FIELD and D3 has LOCPOWC(D2) and D has PLACESC(D2
+--R            ,D3)
 --R   [15] (D,D) -> D from D
---R            if D has VECTCAT D1 and D1 has TYPE and D1 has ABELSG
+--R            if D has VECTCAT(D1) and D1 has TYPE and D1 has ABELSG
 --R
 --RThere are 5 unexposed functions called + :
 --R   [1] (InputForm,InputForm) -> InputForm from InputForm
 --R   [2] (OutputForm,OutputForm) -> OutputForm from OutputForm
---R   [3] (Pattern D1,Pattern D1) -> Pattern D1 from Pattern D1 if D1 has 
---R            SETCAT
---R   [4] (Stream D2,Stream D2) -> Stream D2 from 
---R            StreamTaylorSeriesOperations D2
---R            if D2 has RING
---R   [5] (Point DoubleFloat,Point DoubleFloat) -> Point DoubleFloat
+--R   [3] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1)
+--R            if D1 has SETCAT
+--R   [4] (Stream(D2),Stream(D2)) -> Stream(D2)
+--R            from StreamTaylorSeriesOperations(D2) if D2 has RING
+--R   [5] (Point(DoubleFloat),Point(DoubleFloat)) -> Point(DoubleFloat)
 --R            from TubePlotTools
 --R
 --RExamples of + from AbelianSemiGroup
@@ -2608,14 +2594,14 @@
 --R   [3] (CardinalNumber,CardinalNumber) -> Union(CardinalNumber,"failed"
 --R            )
 --R            from CardinalNumber
---R   [4] (Database D1,Database D1) -> Database D1 from Database D1
+--R   [4] (Database(D1),Database(D1)) -> Database(D1) from Database(D1)
 --R            if D1 has OrderedSet with 
 --R               ?.? : (%,Symbol) -> String
 --R               display : % -> Void
 --R               fullDisplay : % -> Void
---R   [5] (Equation D1,D1) -> Equation D1 from Equation D1
+--R   [5] (Equation(D1),D1) -> Equation(D1) from Equation(D1)
 --R            if D1 has ABELGRP and D1 has TYPE
---R   [6] (D1,Equation D1) -> Equation D1 from Equation D1
+--R   [6] (D1,Equation(D1)) -> Equation(D1) from Equation(D1)
 --R            if D1 has ABELGRP and D1 has TYPE
 --R   [7] (D,D) -> D from D
 --R            if D has GRMOD(D1,D2) and D1 has COMRING and D2 has ABELMON
@@ -2627,37 +2613,36 @@
 --R            )
 --R            if D2 has SETCAT and D3 has RING
 --R   [10] D -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
---R            D1 and D3 has FLAGG D1
+--R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
+--R            D1) and D3 has FLAGG(D1)
 --R   [11] (D,D) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
---R            D1 and D3 has FLAGG D1
---R   [12] D -> Divisor D from D
---R            if D2 has FIELD and D3 has LOCPOWC D2 and D has PLACESC(D2,
---R            D3)
---R   [13] (D,Divisor D) -> Divisor D from D
+--R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
+--R            D1) and D3 has FLAGG(D1)
+--R   [12] D -> Divisor(D) from D
+--R            if D2 has FIELD and D3 has LOCPOWC(D2) and D has PLACESC(D2
+--R            ,D3)
+--R   [13] (D,Divisor(D)) -> Divisor(D) from D
 --R            if D has PLACESC(D2,D3) and D2 has FIELD and D3 has LOCPOWC
---R            D2
---R   [14] (Divisor D,D) -> Divisor D from D
+--R            (D2)
+--R   [14] (Divisor(D),D) -> Divisor(D) from D
 --R            if D has PLACESC(D2,D3) and D2 has FIELD and D3 has LOCPOWC
---R            D2
---R   [15] (D,D) -> Divisor D from D
---R            if D2 has FIELD and D3 has LOCPOWC D2 and D has PLACESC(D2,
---R            D3)
+--R            (D2)
+--R   [15] (D,D) -> Divisor(D) from D
+--R            if D2 has FIELD and D3 has LOCPOWC(D2) and D has PLACESC(D2
+--R            ,D3)
 --R   [16] (D,D) -> D from D
---R            if D has VECTCAT D1 and D1 has TYPE and D1 has ABELGRP
---R   [17] D -> D from D if D has VECTCAT D1 and D1 has TYPE and D1 has 
---R            ABELGRP
+--R            if D has VECTCAT(D1) and D1 has TYPE and D1 has ABELGRP
+--R   [17] D -> D from D
+--R            if D has VECTCAT(D1) and D1 has TYPE and D1 has ABELGRP
 --R
 --RThere are 5 unexposed functions called - :
 --R   [1] OutputForm -> OutputForm from OutputForm
 --R   [2] (OutputForm,OutputForm) -> OutputForm from OutputForm
---R   [3] (Stream D2,Stream D2) -> Stream D2 from 
---R            StreamTaylorSeriesOperations D2
+--R   [3] (Stream(D2),Stream(D2)) -> Stream(D2)
+--R            from StreamTaylorSeriesOperations(D2) if D2 has RING
+--R   [4] Stream(D2) -> Stream(D2) from StreamTaylorSeriesOperations(D2)
 --R            if D2 has RING
---R   [4] Stream D2 -> Stream D2 from StreamTaylorSeriesOperations D2
---R            if D2 has RING
---R   [5] (Point DoubleFloat,Point DoubleFloat) -> Point DoubleFloat
+--R   [5] (Point(DoubleFloat),Point(DoubleFloat)) -> Point(DoubleFloat)
 --R            from TubePlotTools
 --R
 --RExamples of - from AbelianGroup
@@ -2714,7 +2699,6 @@
 
 --S 58 of 127
 )d op /
---R 
 --R
 --RThere are 14 exposed functions called / :
 --R   [1] (D,D1) -> D from D
@@ -2722,74 +2706,72 @@
 --R            has FIELD
 --R   [2] (DoubleFloat,Integer) -> DoubleFloat from DoubleFloat
 --R   [3] (D,D) -> D from D
---R            if D = EQ D1 and D1 has FIELD and D1 has TYPE or D = EQ D1 
---R            and D1 has GROUP and D1 has TYPE
+--R            if D = EQ(D1) and D1 has FIELD and D1 has TYPE or D = EQ(D1
+--R            ) and D1 has GROUP and D1 has TYPE
 --R   [4] (D,D) -> D from D if D has FIELD
 --R   [5] (Float,Integer) -> Float from Float
---R   [6] (SparseMultivariatePolynomial(D2,Kernel D),
---R            SparseMultivariatePolynomial(D2,Kernel D)) -> D
---R            from D if D2 has INTDOM and D2 has ORDSET and D has FS D2
---R         
+--R   [6] (SparseMultivariatePolynomial(D2,Kernel(D)),
+--R            SparseMultivariatePolynomial(D2,Kernel(D))) -> D
+--R            from D if D2 has INTDOM and D2 has ORDSET and D has FS(D2)
+--R            
 --R   [7] (D,D) -> D from D if D has GROUP
 --R   [8] (D,D1) -> D from D
---R            if D has LIECAT D1 and D1 has COMRING and D1 has FIELD
---R   [9] ((D2 -> Expression Integer),(D2 -> Expression Integer)) -> (D2
---R             -> Expression Integer)
+--R            if D has LIECAT(D1) and D1 has COMRING and D1 has FIELD
+--R   [9] ((D2 -> Expression(Integer)),(D2 -> Expression(Integer))) -> (D2
+--R             -> Expression(Integer))
 --R            from MappingPackage4(D2,D3) if D2 has SETCAT and D3 has 
 --R            RING
 --R   [10] (D,D1) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
---R            D1 and D3 has FLAGG D1 and D1 has FIELD
---R   [11] (MyExpression(D1,D2),MyExpression(D1,D2)) -> MyExpression(D1,D2
---R            )
---R            from MyExpression(D1,D2)
---R            if D1: SYMBOL and D2 has Join(Ring,OrderedSet,
---R            IntegralDomain)
---R   [12] (D1,D1) -> D from D if D has QFCAT D1 and D1 has INTDOM
---R   [13] (D,D1) -> D from D
+--R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
+--R            D1) and D3 has FLAGG(D1) and D1 has FIELD
+--R   [11] (D1,D1) -> D from D if D has QFCAT(D1) and D1 has INTDOM
+--R   [12] (D,D1) -> D from D
 --R            if D has RMATCAT(D2,D3,D1,D4,D5) and D1 has RING and D4 has
 --R            DIRPCAT(D3,D1) and D5 has DIRPCAT(D2,D1) and D1 has FIELD
 --R         
---R   [14] (D,D1) -> D from D if D has VSPACE D1 and D1 has FIELD
+--R   [13] (StochasticDifferential(D2),Expression(D2)) -> 
+--R            StochasticDifferential(D2)
+--R            from StochasticDifferential(D2)
+--R            if D2 has Join(OrderedSet,IntegralDomain)
+--R   [14] (D,D1) -> D from D if D has VSPACE(D1) and D1 has FIELD
 --R
 --RThere are 12 unexposed functions called / :
---R   [1] (Vector D2,Vector D2) -> Vector D2
---R            from InnerNormalBasisFieldFunctions D2 if D2 has FFIELDC
+--R   [1] (Vector(D2),Vector(D2)) -> Vector(D2)
+--R            from InnerNormalBasisFieldFunctions(D2) if D2 has FFIELDC
 --R         
 --R   [2] (InputForm,InputForm) -> InputForm from InputForm
 --R   [3] (D1,D2) -> LocalAlgebra(D1,D3,D2) from LocalAlgebra(D1,D3,D2)
---R            if D3 has COMRING and D1 has ALGEBRA D3 and D2 has 
+--R            if D3 has COMRING and D1 has ALGEBRA(D3) and D2 has 
 --R            SubsetCategory(Monoid,D3)
 --R   [4] (LocalAlgebra(D2,D3,D1),D1) -> LocalAlgebra(D2,D3,D1)
 --R            from LocalAlgebra(D2,D3,D1)
---R            if D3 has COMRING and D2 has ALGEBRA D3 and D1 has 
+--R            if D3 has COMRING and D2 has ALGEBRA(D3) and D1 has 
 --R            SubsetCategory(Monoid,D3)
 --R   [5] (D1,D2) -> Localize(D1,D3,D2) from Localize(D1,D3,D2)
---R            if D3 has COMRING and D1 has MODULE D3 and D2 has 
+--R            if D3 has COMRING and D1 has MODULE(D3) and D2 has 
 --R            SubsetCategory(Monoid,D3)
 --R   [6] (Localize(D2,D3,D1),D1) -> Localize(D2,D3,D1) from Localize(D2,
 --R            D3,D1)
---R            if D3 has COMRING and D2 has MODULE D3 and D1 has 
+--R            if D3 has COMRING and D2 has MODULE(D3) and D1 has 
 --R            SubsetCategory(Monoid,D3)
 --R   [7] (OutputForm,OutputForm) -> OutputForm from OutputForm
 --R   [8] (OrdinaryWeightedPolynomials(D1,D2,D3,D4),
 --R            OrdinaryWeightedPolynomials(D1,D2,D3,D4)) -> Union(
 --R            OrdinaryWeightedPolynomials(D1,D2,D3,D4),"failed")
 --R            from OrdinaryWeightedPolynomials(D1,D2,D3,D4)
---R            if D1 has FIELD and D1 has RING and D2: LIST SYMBOL and D3
---R            : LIST NNI and D4: NNI
---R   [9] (Pattern D1,Pattern D1) -> Pattern D1 from Pattern D1 if D1 has 
---R            SETCAT
---R   [10] (Stream D2,Stream D2) -> Stream D2 from 
---R            StreamTaylorSeriesOperations D2
---R            if D2 has RING
+--R            if D1 has FIELD and D1 has RING and D2: LIST(SYMBOL) and D3
+--R            : LIST(NNI) and D4: NNI
+--R   [9] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1)
+--R            if D1 has SETCAT
+--R   [10] (Stream(D2),Stream(D2)) -> Stream(D2)
+--R            from StreamTaylorSeriesOperations(D2) if D2 has RING
 --R   [11] (WeightedPolynomials(D1,D2,D3,D4,D5,D6,D7),WeightedPolynomials(
 --R            D1,D2,D3,D4,D5,D6,D7)) -> Union(WeightedPolynomials(D1,D2,D3,D4,
 --R            D5,D6,D7),"failed")
 --R            from WeightedPolynomials(D1,D2,D3,D4,D5,D6,D7)
 --R            if D1 has FIELD and D1 has RING and D2 has ORDSET and D3 
---R            has OAMONS and D5: LIST D2 and D4 has POLYCAT(D1,D3,D2) and
---R            D6: LIST NNI and D7: NNI
+--R            has OAMONS and D5: LIST(D2) and D4 has POLYCAT(D1,D3,D2) 
+--R            and D6: LIST(NNI) and D7: NNI
 --R   [12] (XPolynomialRing(D1,D2),D1) -> XPolynomialRing(D1,D2)
 --R            from XPolynomialRing(D1,D2)
 --R            if D1 has FIELD and D1 has RING and D2 has ORDMON
@@ -2844,9 +2826,6 @@
 --Rm/4
 --R
 --R
---RExamples of / from MyExpression
---R
---R
 --RExamples of / from OutputForm
 --R
 --R
@@ -2862,6 +2841,9 @@
 --RExamples of / from RectangularMatrixCategory
 --R
 --R
+--RExamples of / from StochasticDifferential
+--R
+--R
 --RExamples of / from StreamTaylorSeriesOperations
 --R
 --R
@@ -2880,28 +2862,28 @@
 --R 
 --R
 --RThere is one exposed function called integralBasis :
---R   [1]  -> Vector D from D
---R            if D2 has UFD and D3 has UPOLYC D2 and D4 has UPOLYC FRAC 
---R            D3 and D has FFCAT(D2,D3,D4)
+--R   [1]  -> Vector(D) from D
+--R            if D2 has UFD and D3 has UPOLYC(D2) and D4 has UPOLYC(FRAC(
+--R            D3)) and D has FFCAT(D2,D3,D4)
 --R
 --RThere are 4 unexposed functions called integralBasis :
---R   [1]  -> Record(basis: Matrix D2,basisDen: D2,basisInv: Matrix D2)
+--R   [1]  -> Record(basis: Matrix(D2),basisDen: D2,basisInv: Matrix(D2))
 --R            from FunctionFieldIntegralBasis(D2,D3,D4)
 --R            if D2 has EuclideanDomain with 
---R               squareFree : % -> Factored %and D3 has UPOLYC D2 and
---R            D4 has FRAMALG(D2,D3)
---R   [2]  -> Record(basis: Matrix Integer,basisDen: Integer,basisInv: 
---R            Matrix Integer)
+--R               squareFree : % -> Factored(%)and D3 has UPOLYC(D2) 
+--R            and D4 has FRAMALG(D2,D3)
+--R   [2]  -> Record(basis: Matrix(Integer),basisDen: Integer,basisInv: 
+--R            Matrix(Integer))
 --R            from NumberFieldIntegralBasis(D2,D3)
---R            if D2 has UPOLYC INT and D3 has FRAMALG(INT,D2)
---R   [3]  -> Record(basis: Matrix D3,basisDen: D3,basisInv: Matrix D3)
+--R            if D2 has UPOLYC(INT) and D3 has FRAMALG(INT,D2)
+--R   [3]  -> Record(basis: Matrix(D3),basisDen: D3,basisInv: Matrix(D3))
 --R            from PAdicWildFunctionFieldIntegralBasis(D2,D3,D4,D5)
---R            if D2 has FFIELDC and D3 has UPOLYC D2 and D4 has UPOLYC D3
---R            and D5 has MONOGEN(D3,D4)
---R   [4]  -> Record(basis: Matrix D3,basisDen: D3,basisInv: Matrix D3)
+--R            if D2 has FFIELDC and D3 has UPOLYC(D2) and D4 has UPOLYC(
+--R            D3) and D5 has MONOGEN(D3,D4)
+--R   [4]  -> Record(basis: Matrix(D3),basisDen: D3,basisInv: Matrix(D3))
 --R            from WildFunctionFieldIntegralBasis(D2,D3,D4,D5)
---R            if D2 has FFIELDC and D3 has UPOLYC D2 and D4 has UPOLYC D3
---R            and D5 has FRAMALG(D3,D4)
+--R            if D2 has FFIELDC and D3 has UPOLYC(D2) and D4 has UPOLYC(
+--R            D3) and D5 has FRAMALG(D3,D4)
 --R
 --RExamples of integralBasis from FunctionFieldCategory
 --R
@@ -2929,35 +2911,35 @@
 --R 
 --R
 --RThere are 9 exposed functions called split :
---R   [1] D2 -> Factored D2 from AlgFactor D2 if D2 has UPOLYC AN
---R   [2] (D2,BinarySearchTree D2) -> Record(less: BinarySearchTree D2,
---R            greater: BinarySearchTree D2)
---R            from BinarySearchTree D2 if D2 has ORDSET
---R   [3] D -> List D from D if D2 has SETCAT and D has DIVCAT D2
---R   [4] IntegrationResult D3 -> IntegrationResult D3
+--R   [1] D2 -> Factored(D2) from AlgFactor(D2) if D2 has UPOLYC(AN)
+--R   [2] (D2,BinarySearchTree(D2)) -> Record(less: BinarySearchTree(D2),
+--R            greater: BinarySearchTree(D2))
+--R            from BinarySearchTree(D2) if D2 has ORDSET
+--R   [3] D -> List(D) from D if D2 has SETCAT and D has DIVCAT(D2)
+--R   [4] IntegrationResult(D3) -> IntegrationResult(D3)
 --R            from IntegrationResultToFunction(D2,D3)
---R            if D3 has Join(AlgebraicallyClosedFunctionSpace D2,
+--R            if D3 has Join(AlgebraicallyClosedFunctionSpace(D2),
 --R            TranscendentalFunctionCategory) and D2 has Join(GcdDomain,
---R            RetractableTo Integer,OrderedSet,LinearlyExplicitRingOver 
---R            Integer)
---R   [5] IntegrationResult Fraction Polynomial D2 -> IntegrationResult 
---R            Fraction Polynomial D2
---R            from IntegrationResultRFToFunction D2
---R            if D2 has Join(GcdDomain,RetractableTo Integer,OrderedSet,
---R            LinearlyExplicitRingOver Integer)
---R   [6] (List Matrix D4,Vector D4) -> List List Matrix D4
---R            from RepresentationPackage2 D4 if D4 has FIELD and D4 has 
+--R            RetractableTo(Integer),OrderedSet,LinearlyExplicitRingOver(
+--R            Integer))
+--R   [5] IntegrationResult(Fraction(Polynomial(D2))) -> IntegrationResult
+--R            (Fraction(Polynomial(D2)))
+--R            from IntegrationResultRFToFunction(D2)
+--R            if D2 has Join(GcdDomain,RetractableTo(Integer),OrderedSet,
+--R            LinearlyExplicitRingOver(Integer))
+--R   [6] (List(Matrix(D4)),Vector(D4)) -> List(List(Matrix(D4)))
+--R            from RepresentationPackage2(D4) if D4 has FIELD and D4 has 
 --R            RING
---R   [7] (List Matrix D4,Vector Vector D4) -> List List Matrix D4
---R            from RepresentationPackage2 D4 if D4 has FIELD and D4 has 
+--R   [7] (List(Matrix(D4)),Vector(Vector(D4))) -> List(List(Matrix(D4)))
+--R            from RepresentationPackage2(D4) if D4 has FIELD and D4 has 
 --R            RING
---R   [8] (D,CharacterClass) -> List D from D if D has SRAGG
---R   [9] (D,Character) -> List D from D if D has SRAGG
+--R   [8] (D,CharacterClass) -> List(D) from D if D has SRAGG
+--R   [9] (D,Character) -> List(D) from D if D has SRAGG
 --R
 --RThere is one unexposed function called split :
 --R   [1] (D2,(D2 -> D2)) -> Record(normal: D2,special: D2)
 --R            from MonomialExtensionTools(D4,D2)
---R            if D2 has UPOLYC D4 and D4 has FIELD
+--R            if D2 has UPOLYC(D4) and D4 has FIELD
 --R
 --RExamples of split from AlgFactor
 --R
@@ -2993,8 +2975,8 @@
 --R
 --RThere are 3 exposed functions called qelt :
 --R   [1] (D,Integer,Integer) -> D1 from D
---R            if D has ARR2CAT(D1,D3,D4) and D3 has FLAGG D1 and D4 has 
---R            FLAGG D1 and D1 has TYPE
+--R            if D has ARR2CAT(D1,D3,D4) and D3 has FLAGG(D1) and D4 has 
+--R            FLAGG(D1) and D1 has TYPE
 --R   [2] (D,D2) -> D1 from D
 --R            if D has ELTAGG(D2,D1) and D2 has SETCAT and D1 has TYPE
 --R         
@@ -3020,11 +3002,11 @@
 --R 
 --R
 --RThere are 2 exposed functions called mapUp! :
---R   [1] (BalancedBinaryTree D2,BalancedBinaryTree D2,((D2,D2,D2,D2) -> 
---R            D2)) -> BalancedBinaryTree D2
---R            from BalancedBinaryTree D2 if D2 has SETCAT
---R   [2] (BalancedBinaryTree D1,((D1,D1) -> D1)) -> D1
---R            from BalancedBinaryTree D1 if D1 has SETCAT
+--R   [1] (BalancedBinaryTree(D2),BalancedBinaryTree(D2),((D2,D2,D2,D2)
+--R             -> D2)) -> BalancedBinaryTree(D2)
+--R            from BalancedBinaryTree(D2) if D2 has SETCAT
+--R   [2] (BalancedBinaryTree(D1),((D1,D1) -> D1)) -> D1
+--R            from BalancedBinaryTree(D1) if D1 has SETCAT
 --R
 --RExamples of mapUp! from BalancedBinaryTree
 --R
@@ -3049,7 +3031,7 @@
 --R 
 --R
 --RThere is one exposed function called reindex :
---R   [1] (CartesianTensor(D2,D3,D4),List Integer) -> CartesianTensor(D2,
+--R   [1] (CartesianTensor(D2,D3,D4),List(Integer)) -> CartesianTensor(D2,
 --R            D3,D4)
 --R            from CartesianTensor(D2,D3,D4)
 --R            if D2: INT and D3: NNI and D4 has COMRING
@@ -3068,12 +3050,12 @@
 --R 
 --R
 --RThere are 2 exposed functions called mapDown! :
---R   [1] (BalancedBinaryTree D1,D1,((D1,D1,D1) -> List D1)) -> 
---R            BalancedBinaryTree D1
---R            from BalancedBinaryTree D1 if D1 has SETCAT
---R   [2] (BalancedBinaryTree D1,D1,((D1,D1) -> D1)) -> BalancedBinaryTree
---R            D1
---R            from BalancedBinaryTree D1 if D1 has SETCAT
+--R   [1] (BalancedBinaryTree(D1),D1,((D1,D1,D1) -> List(D1))) -> 
+--R            BalancedBinaryTree(D1)
+--R            from BalancedBinaryTree(D1) if D1 has SETCAT
+--R   [2] (BalancedBinaryTree(D1),D1,((D1,D1) -> D1)) -> 
+--R            BalancedBinaryTree(D1)
+--R            from BalancedBinaryTree(D1) if D1 has SETCAT
 --R
 --RExamples of mapDown! from BalancedBinaryTree
 --R
@@ -3100,7 +3082,7 @@
 --RThere are 2 exposed functions called nrows :
 --R   [1] D -> NonNegativeInteger from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
+--R            (D2) and D4 has FLAGG(D2)
 --R   [2] D -> NonNegativeInteger from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
 --R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
@@ -3122,7 +3104,7 @@
 --RThere are 2 exposed functions called row :
 --R   [1] (D,Integer) -> D1 from D
 --R            if D has ARR2CAT(D3,D1,D4) and D3 has TYPE and D4 has FLAGG
---R            D3 and D1 has FLAGG D3
+--R            (D3) and D1 has FLAGG(D3)
 --R   [2] (D,Integer) -> D1 from D
 --R            if D has RMATCAT(D3,D4,D5,D1,D6) and D5 has RING and D6 has
 --R            DIRPCAT(D3,D5) and D1 has DIRPCAT(D4,D5)
@@ -3142,8 +3124,8 @@
 --R 
 --R
 --RThere is one exposed function called ravel :
---R   [1] CartesianTensor(D2,D3,D4) -> List D4 from CartesianTensor(D2,D3,
---R            D4)
+--R   [1] CartesianTensor(D2,D3,D4) -> List(D4) from CartesianTensor(D2,D3
+--R            ,D4)
 --R            if D2: INT and D3: NNI and D4 has COMRING
 --R
 --RExamples of ravel from CartesianTensor
@@ -3159,9 +3141,9 @@
 --R 
 --R
 --RThere is one exposed function called inverseIntegralMatrix :
---R   [1]  -> Matrix Fraction D3 from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC 
---R            D2 and D4 has UPOLYC FRAC D3
+--R   [1]  -> Matrix(Fraction(D3)) from D
+--R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of inverseIntegralMatrix from FunctionFieldCategory
 --R
@@ -4312,14 +4294,14 @@
 --R            Integer) -> CartesianTensor(D2,D3,D4)
 --R            from CartesianTensor(D2,D3,D4)
 --R            if D2: INT and D3: NNI and D4 has COMRING
---R   [3] (PolynomialIdeals(Fraction Integer,DirectProduct(D4,
---R            NonNegativeInteger),OrderedVariableList D3,
---R            DistributedMultivariatePolynomial(D3,Fraction Integer)),List 
---R            OrderedVariableList D3) -> PolynomialIdeals(Fraction Integer,
---R            DirectProduct(D4,NonNegativeInteger),OrderedVariableList D3,
---R            DistributedMultivariatePolynomial(D3,Fraction Integer))
---R            from IdealDecompositionPackage(D3,D4) if D3: LIST SYMBOL 
---R            and D4: NNI
+--R   [3] (PolynomialIdeals(Fraction(Integer),DirectProduct(D4,
+--R            NonNegativeInteger),OrderedVariableList(D3),
+--R            DistributedMultivariatePolynomial(D3,Fraction(Integer))),List(
+--R            OrderedVariableList(D3))) -> PolynomialIdeals(Fraction(Integer),
+--R            DirectProduct(D4,NonNegativeInteger),OrderedVariableList(D3),
+--R            DistributedMultivariatePolynomial(D3,Fraction(Integer)))
+--R            from IdealDecompositionPackage(D3,D4)
+--R            if D3: LIST(SYMBOL) and D4: NNI
 --R
 --RExamples of contract from CartesianTensor
 --R
@@ -4345,8 +4327,8 @@
 --R 
 --R
 --RThere is one exposed function called irreducibleFactor :
---R   [1] (D1,Integer) -> Factored D1 from Factored D1 if D1 has INTDOM
---R         
+--R   [1] (D1,Integer) -> Factored(D1) from Factored(D1) if D1 has INTDOM
+--R            
 --R
 --RExamples of irreducibleFactor from Factored
 --R
@@ -4360,19 +4342,19 @@
 --R 
 --R
 --RThere are 11 exposed functions called concat :
---R   [1] (D,D) -> D from D if D has DIVCAT D1 and D1 has SETCAT
+--R   [1] (D,D) -> D from D if D has DIVCAT(D1) and D1 has SETCAT
 --R   [2] (Result,Result) -> Result from ExpertSystemToolsPackage
---R   [3] List Result -> Result from ExpertSystemToolsPackage
---R   [4] List D -> D from D if D has LNAGG D2 and D2 has TYPE
---R   [5] (D,D) -> D from D if D has LNAGG D1 and D1 has TYPE
---R   [6] (D1,D) -> D from D if D has LNAGG D1 and D1 has TYPE
---R   [7] (D,D1) -> D from D if D has LNAGG D1 and D1 has TYPE
+--R   [3] List(Result) -> Result from ExpertSystemToolsPackage
+--R   [4] List(D) -> D from D if D has LNAGG(D2) and D2 has TYPE
+--R   [5] (D,D) -> D from D if D has LNAGG(D1) and D1 has TYPE
+--R   [6] (D1,D) -> D from D if D has LNAGG(D1) and D1 has TYPE
+--R   [7] (D,D1) -> D from D if D has LNAGG(D1) and D1 has TYPE
 --R   [8] (RoutinesTable,RoutinesTable) -> RoutinesTable from 
 --R            RoutinesTable
---R   [9] Stream Stream D3 -> Stream D3 from StreamFunctions1 D3 if D3 has
---R            TYPE
---R   [10] (D1,D) -> D from D if D has URAGG D1 and D1 has TYPE
---R   [11] (D,D) -> D from D if D has URAGG D1 and D1 has TYPE
+--R   [9] Stream(Stream(D3)) -> Stream(D3) from StreamFunctions1(D3)
+--R            if D3 has TYPE
+--R   [10] (D1,D) -> D from D if D has URAGG(D1) and D1 has TYPE
+--R   [11] (D,D) -> D from D if D has URAGG(D1) and D1 has TYPE
 --R
 --RExamples of concat from DivisorCategory
 --R
@@ -4403,8 +4385,8 @@
 --R 
 --R
 --RThere is one exposed function called binaryTournament :
---R   [1] List D2 -> BinaryTournament D2 from BinaryTournament D2 if D2 
---R            has ORDSET
+--R   [1] List(D2) -> BinaryTournament(D2) from BinaryTournament(D2)
+--R            if D2 has ORDSET
 --R
 --RExamples of binaryTournament from BinaryTournament
 --R
@@ -4440,7 +4422,7 @@
 --R
 --RThere are 3 exposed functions called exponent :
 --R   [1] D -> Integer from D if D has FPS
---R   [2] Factored D2 -> Integer from Factored D2 if D2 has INTDOM
+--R   [2] Factored(D2) -> Integer from Factored(D2) if D2 has INTDOM
 --R   [3] MachineFloat -> Integer from MachineFloat
 --R
 --RThere are 2 unexposed functions called exponent :
@@ -4480,7 +4462,7 @@
 --RThere is one exposed function called setRow! :
 --R   [1] (D,Integer,D2) -> D from D
 --R            if D has ARR2CAT(D3,D2,D4) and D3 has TYPE and D2 has FLAGG
---R            D3 and D4 has FLAGG D3
+--R            (D3) and D4 has FLAGG(D3)
 --R
 --RExamples of setRow! from TwoDimensionalArrayCategory
 --R
@@ -4497,12 +4479,12 @@
 --R 
 --R
 --RThere are 4 exposed functions called generate :
---R   [1] (NonNegativeInteger,NonNegativeInteger) -> Vector List Integer
+--R   [1] (NonNegativeInteger,NonNegativeInteger) -> Vector(List(Integer))
 --R            from HallBasis
---R   [2] ((D2 -> D2),D2) -> InfiniteTuple D2 from InfiniteTuple D2 if D2 
---R            has TYPE
---R   [3] ((D2 -> D2),D2) -> Stream D2 from Stream D2 if D2 has TYPE
---R   [4] (() -> D2) -> Stream D2 from Stream D2 if D2 has TYPE
+--R   [2] ((D2 -> D2),D2) -> InfiniteTuple(D2) from InfiniteTuple(D2)
+--R            if D2 has TYPE
+--R   [3] ((D2 -> D2),D2) -> Stream(D2) from Stream(D2) if D2 has TYPE
+--R   [4] (() -> D2) -> Stream(D2) from Stream(D2) if D2 has TYPE
 --R
 --RExamples of generate from HallBasis
 --R
@@ -4525,10 +4507,10 @@
 --R 
 --R
 --RThere are 6 exposed functions called gcd :
---R   [1] List D -> D from D if D has GCDDOM
+--R   [1] List(D) -> D from D if D has GCDDOM
 --R   [2] (D,D) -> D from D if D has GCDDOM
---R   [3] (D1,D1,Integer) -> D1 from ModularDistinctDegreeFactorizer D1
---R            if D1 has UPOLYC INT
+--R   [3] (D1,D1,Integer) -> D1 from ModularDistinctDegreeFactorizer(D1)
+--R            if D1 has UPOLYC(INT)
 --R   [4] (NonNegativeInteger,NonNegativeInteger) -> NonNegativeInteger
 --R            from NonNegativeInteger
 --R   [5] (PositiveInteger,PositiveInteger) -> PositiveInteger
@@ -4538,25 +4520,26 @@
 --R            OAMONS and D3 has ORDSET and D1 has GCDDOM
 --R
 --RThere are 6 unexposed functions called gcd :
---R   [1] List D1 -> D1 from HeuGcd D1 if D1 has UPOLYC INT
+--R   [1] List(D1) -> D1 from HeuGcd(D1) if D1 has UPOLYC(INT)
 --R   [2] (D1,D1) -> D1 from PolynomialGcdPackage(D2,D3,D4,D1)
 --R            if D2 has OAMONS and D3 has ORDSET and D4 has EUCDOM and D1
 --R            has POLYCAT(D4,D2,D3)
---R   [3] List D1 -> D1 from PolynomialGcdPackage(D3,D4,D5,D1)
+--R   [3] List(D1) -> D1 from PolynomialGcdPackage(D3,D4,D5,D1)
 --R            if D1 has POLYCAT(D5,D3,D4) and D3 has OAMONS and D4 has 
 --R            ORDSET and D5 has EUCDOM
---R   [4] (SparseUnivariatePolynomial D5,SparseUnivariatePolynomial D5)
---R             -> SparseUnivariatePolynomial D5
+--R   [4] (SparseUnivariatePolynomial(D5),SparseUnivariatePolynomial(D5))
+--R             -> SparseUnivariatePolynomial(D5)
 --R            from PolynomialGcdPackage(D2,D3,D4,D5)
 --R            if D5 has POLYCAT(D4,D2,D3) and D2 has OAMONS and D3 has 
 --R            ORDSET and D4 has EUCDOM
---R   [5] List SparseUnivariatePolynomial D6 -> SparseUnivariatePolynomial
---R            D6
+--R   [5] List(SparseUnivariatePolynomial(D6)) -> 
+--R            SparseUnivariatePolynomial(D6)
 --R            from PolynomialGcdPackage(D3,D4,D5,D6)
 --R            if D3 has OAMONS and D4 has ORDSET and D5 has EUCDOM and D6
 --R            has POLYCAT(D5,D3,D4)
 --R   [6] (D1,D1) -> D1 from PseudoRemainderSequence(D2,D1)
---R            if D2 has GCDDOM and D2 has INTDOM and D1 has UPOLYC D2
+--R            if D2 has GCDDOM and D2 has INTDOM and D1 has UPOLYC(D2)
+--R         
 --R
 --RExamples of gcd from GcdDomain
 --R
@@ -4591,10 +4574,10 @@
 --R 
 --R
 --RThere is one exposed function called binary :
---R   [1] Fraction Integer -> BinaryExpansion from BinaryExpansion
+--R   [1] Fraction(Integer) -> BinaryExpansion from BinaryExpansion
 --R
 --RThere is one unexposed function called binary :
---R   [1] (InputForm,List InputForm) -> InputForm from InputForm
+--R   [1] (InputForm,List(InputForm)) -> InputForm from InputForm
 --R
 --RExamples of binary from BinaryExpansion
 --R
@@ -4613,35 +4596,35 @@
 --R 
 --R
 --RThere are 6 exposed functions called expand :
---R   [1] Factored D1 -> D1 from Factored D1 if D1 has INTDOM
---R   [2] IntegrationResult D4 -> List D4 from IntegrationResultToFunction
---R            (D3,D4)
---R            if D4 has Join(AlgebraicallyClosedFunctionSpace D3,
+--R   [1] Factored(D1) -> D1 from Factored(D1) if D1 has INTDOM
+--R   [2] IntegrationResult(D4) -> List(D4)
+--R            from IntegrationResultToFunction(D3,D4)
+--R            if D4 has Join(AlgebraicallyClosedFunctionSpace(D3),
 --R            TranscendentalFunctionCategory) and D3 has Join(GcdDomain,
---R            RetractableTo Integer,OrderedSet,LinearlyExplicitRingOver 
---R            Integer)
---R   [3] IntegrationResult Fraction Polynomial D3 -> List Expression D3
---R            from IntegrationResultRFToFunction D3
---R            if D3 has Join(GcdDomain,RetractableTo Integer,OrderedSet,
---R            LinearlyExplicitRingOver Integer)
+--R            RetractableTo(Integer),OrderedSet,LinearlyExplicitRingOver(
+--R            Integer))
+--R   [3] IntegrationResult(Fraction(Polynomial(D3))) -> List(Expression(
+--R            D3))
+--R            from IntegrationResultRFToFunction(D3)
+--R            if D3 has Join(GcdDomain,RetractableTo(Integer),OrderedSet,
+--R            LinearlyExplicitRingOver(Integer))
 --R   [4] D -> D1 from D
 --R            if D has SEGXCAT(D2,D1) and D2 has ORDRING and D1 has STAGG
---R            D2
---R   [5] List D -> D1 from D
+--R            (D2)
+--R   [5] List(D) -> D1 from D
 --R            if D has SEGXCAT(D3,D1) and D3 has ORDRING and D1 has STAGG
---R            D3
+--R            (D3)
 --R   [6] D1 -> D1 from TranscendentalManipulations(D2,D1)
 --R            if D2 has Join(OrderedSet,GcdDomain) and D1 has Join(
---R            FunctionSpace D2,TranscendentalFunctionCategory)
+--R            FunctionSpace(D2),TranscendentalFunctionCategory)
 --R
 --RThere are 3 unexposed functions called expand :
---R   [1] (Expression D5,PositiveInteger) -> List Expression D5
+--R   [1] (Expression(D5),PositiveInteger) -> List(Expression(D5))
 --R            from DegreeReductionPackage(D4,D5)
 --R            if D5 has Join(IntegralDomain,OrderedSet) and D4 has RING
 --R         
---R   [2] XPolynomial D2 -> XDistributedPolynomial(Symbol,D2) from 
---R            XPolynomial D2
---R            if D2 has RING
+--R   [2] XPolynomial(D2) -> XDistributedPolynomial(Symbol,D2)
+--R            from XPolynomial(D2) if D2 has RING
 --R   [3] XRecursivePolynomial(D2,D3) -> XDistributedPolynomial(D2,D3)
 --R            from XRecursivePolynomial(D2,D3)
 --R            if D2 has ORDSET and D3 has RING
@@ -4679,10 +4662,10 @@
 --R 
 --R
 --RThere are 2 exposed functions called filterWhile :
---R   [1] ((D2 -> Boolean),InfiniteTuple D2) -> InfiniteTuple D2
---R            from InfiniteTuple D2 if D2 has TYPE
---R   [2] ((D2 -> Boolean),Stream D2) -> Stream D2 from Stream D2 if D2 
---R            has TYPE
+--R   [1] ((D2 -> Boolean),InfiniteTuple(D2)) -> InfiniteTuple(D2)
+--R            from InfiniteTuple(D2) if D2 has TYPE
+--R   [2] ((D2 -> Boolean),Stream(D2)) -> Stream(D2) from Stream(D2)
+--R            if D2 has TYPE
 --R
 --RExamples of filterWhile from InfiniteTuple
 --R
@@ -4700,10 +4683,10 @@
 --R 
 --R
 --RThere are 2 exposed functions called filterUntil :
---R   [1] ((D2 -> Boolean),InfiniteTuple D2) -> InfiniteTuple D2
---R            from InfiniteTuple D2 if D2 has TYPE
---R   [2] ((D2 -> Boolean),Stream D2) -> Stream D2 from Stream D2 if D2 
---R            has TYPE
+--R   [1] ((D2 -> Boolean),InfiniteTuple(D2)) -> InfiniteTuple(D2)
+--R            from InfiniteTuple(D2) if D2 has TYPE
+--R   [2] ((D2 -> Boolean),Stream(D2)) -> Stream(D2) from Stream(D2)
+--R            if D2 has TYPE
 --R
 --RExamples of filterUntil from InfiniteTuple
 --R
@@ -4718,23 +4701,22 @@
 
 --S 83 of 127
 )d op select
---R 
 --R
 --RThere are 4 exposed functions called select :
 --R   [1] ((D2 -> Boolean),D) -> D from D
---R            if D has finiteAggregate and D has CLAGG D2 and D2 has TYPE
---R            
---R   [2] ((D2 -> Boolean),InfiniteTuple D2) -> InfiniteTuple D2
---R            from InfiniteTuple D2 if D2 has TYPE
---R   [3] ((D2 -> Boolean),D) -> D from D if D has LZSTAGG D2 and D2 has 
+--R            if D has finiteAggregate and D has CLAGG(D2) and D2 has 
+--R            TYPE
+--R   [2] ((D2 -> Boolean),InfiniteTuple(D2)) -> InfiniteTuple(D2)
+--R            from InfiniteTuple(D2) if D2 has TYPE
+--R   [3] ((D2 -> Boolean),D) -> D from D if D has LZSTAGG(D2) and D2 has 
 --R            TYPE
 --R   [4] (D,D2) -> Union(D1,"failed") from D
 --R            if D has TSETCAT(D3,D4,D2,D1) and D3 has INTDOM and D4 has 
 --R            OAMONS and D2 has ORDSET and D1 has RPOLCAT(D3,D4,D2)
 --R
 --RThere is one unexposed function called select :
---R   [1] (Tuple D1,NonNegativeInteger) -> D1 from Tuple D1 if D1 has TYPE
---R            
+--R   [1] (Tuple(D1),NonNegativeInteger) -> D1 from Tuple(D1) if D1 has 
+--R            TYPE
 --R
 --RExamples of select from Collection
 --R
@@ -4764,8 +4746,8 @@
 --R 
 --R
 --RThere is one exposed function called nthFlag :
---R   [1] (Factored D3,Integer) -> Union("nil","sqfr","irred","prime")
---R            from Factored D3 if D3 has INTDOM
+--R   [1] (Factored(D3),Integer) -> Union("nil","sqfr","irred","prime")
+--R            from Factored(D3) if D3 has INTDOM
 --R
 --RExamples of nthFlag from Factored
 --R
@@ -4779,14 +4761,14 @@
 --R 
 --R
 --RThere is one exposed function called makeFR :
---R   [1] (D1,List Record(flg: Union("nil","sqfr","irred","prime"),fctr: 
---R            D1,xpnt: Integer)) -> Factored D1
---R            from Factored D1 if D1 has INTDOM
+--R   [1] (D1,List(Record(flg: Union("nil","sqfr","irred","prime"),fctr: 
+--R            D1,xpnt: Integer))) -> Factored(D1)
+--R            from Factored(D1) if D1 has INTDOM
 --R
 --RThere is one unexposed function called makeFR :
---R   [1] Record(contp: Integer,factors: List Record(irr: D3,pow: Integer)
---R            ) -> Factored D3
---R            from GaloisGroupFactorizer D3 if D3 has UPOLYC INT
+--R   [1] Record(contp: Integer,factors: List(Record(irr: D3,pow: Integer)
+--R            )) -> Factored(D3)
+--R            from GaloisGroupFactorizer(D3) if D3 has UPOLYC(INT)
 --R
 --RExamples of makeFR from Factored
 --R
@@ -4803,7 +4785,7 @@
 )d op *
 --R 
 --R
---RThere are 35 exposed functions called * :
+--RThere are 34 exposed functions called * :
 --R   [1] (Integer,D) -> D from D if D has ABELGRP
 --R   [2] (NonNegativeInteger,D) -> D from D if D has ABELMON
 --R   [3] (PositiveInteger,D) -> D from D if D has ABELSG
@@ -4813,12 +4795,12 @@
 --R            if D1: INT and D2: NNI and D3 has COMRING
 --R   [5] (DoubleFloat,Color) -> Color from Color
 --R   [6] (PositiveInteger,Color) -> Color from Color
---R   [7] (DenavitHartenbergMatrix D2,Point D2) -> Point D2
---R            from DenavitHartenbergMatrix D2
+--R   [7] (DenavitHartenbergMatrix(D2),Point(D2)) -> Point(D2)
+--R            from DenavitHartenbergMatrix(D2)
 --R            if D2 has Join(Field,TranscendentalFunctionCategory)
---R   [8] (D1,Equation D1) -> Equation D1 from Equation D1
+--R   [8] (D1,Equation(D1)) -> Equation(D1) from Equation(D1)
 --R            if D1 has SGROUP and D1 has TYPE
---R   [9] (Equation D1,D1) -> Equation D1 from Equation D1
+--R   [9] (Equation(D1),D1) -> Equation(D1) from Equation(D1)
 --R            if D1 has SGROUP and D1 has TYPE
 --R   [10] (D1,D2) -> D from D
 --R            if D has FAMONC(D2,D1) and D2 has SETCAT and D1 has CABMON
@@ -4836,7 +4818,7 @@
 --R            from PolynomialIdeals(D1,D2,D3,D4)
 --R            if D1 has FIELD and D2 has OAMONS and D3 has ORDSET and D4 
 --R            has POLYCAT(D1,D2,D3)
---R   [15] (D1,D) -> D from D if D has LMODULE D1 and D1 has RNG
+--R   [15] (D1,D) -> D from D if D has LMODULE(D1) and D1 has RNG
 --R   [16] ((D5 -> D6),(D4 -> D5)) -> (D4 -> D6) from MappingPackage3(D4,
 --R            D5,D6)
 --R            if D4 has SETCAT and D5 has SETCAT and D6 has SETCAT
@@ -4844,106 +4826,101 @@
 --R            D3)
 --R            if D2 has SETCAT and D3 has RING
 --R   [18] (D1,D) -> D1 from D
---R            if D has MATCAT(D2,D1,D3) and D2 has RING and D1 has FLAGG 
---R            D2 and D3 has FLAGG D2
+--R            if D has MATCAT(D2,D1,D3) and D2 has RING and D1 has FLAGG(
+--R            D2) and D3 has FLAGG(D2)
 --R   [19] (D,D1) -> D1 from D
---R            if D has MATCAT(D2,D3,D1) and D2 has RING and D3 has FLAGG 
---R            D2 and D1 has FLAGG D2
+--R            if D has MATCAT(D2,D3,D1) and D2 has RING and D3 has FLAGG(
+--R            D2) and D1 has FLAGG(D2)
 --R   [20] (Integer,D) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG 
---R            D2 and D4 has FLAGG D2
+--R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
+--R            D2) and D4 has FLAGG(D2)
 --R   [21] (D,D1) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
---R            D1 and D3 has FLAGG D1
+--R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
+--R            D1) and D3 has FLAGG(D1)
 --R   [22] (D1,D) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
---R            D1 and D3 has FLAGG D1
+--R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
+--R            D1) and D3 has FLAGG(D1)
 --R   [23] (D,D) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
---R            D1 and D3 has FLAGG D1
+--R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
+--R            D1) and D3 has FLAGG(D1)
 --R   [24] (D,D) -> D from D if D has MONAD
---R   [25] (MyExpression(D1,D2),MyExpression(D1,D2)) -> MyExpression(D1,D2
---R            )
---R            from MyExpression(D1,D2)
---R            if D1: SYMBOL and D2 has Join(Ring,OrderedSet,
---R            IntegralDomain)
---R   [26] (Integer,D) -> Divisor D from D
---R            if D3 has FIELD and D4 has LOCPOWC D3 and D has PLACESC(D3,
---R            D4)
---R   [27] (D,D1) -> D from D if D has RMODULE D1 and D1 has RNG
---R   [28] (D,D) -> D from D if D has SGROUP
---R   [29] (D1,D) -> D1 from D
+--R   [25] (Integer,D) -> Divisor(D) from D
+--R            if D3 has FIELD and D4 has LOCPOWC(D3) and D has PLACESC(D3
+--R            ,D4)
+--R   [26] (D,D1) -> D from D if D has RMODULE(D1) and D1 has RNG
+--R   [27] (D,D) -> D from D if D has SGROUP
+--R   [28] (D1,D) -> D1 from D
 --R            if D has SMATCAT(D2,D3,D1,D4) and D3 has RING and D1 has 
 --R            DIRPCAT(D2,D3) and D4 has DIRPCAT(D2,D3)
---R   [30] (D,D1) -> D1 from D
+--R   [29] (D,D1) -> D1 from D
 --R            if D has SMATCAT(D2,D3,D4,D1) and D3 has RING and D4 has 
 --R            DIRPCAT(D2,D3) and D1 has DIRPCAT(D2,D3)
---R   [31] (D,D1) -> D from D
---R            if D has VECTCAT D1 and D1 has TYPE and D1 has MONOID
---R   [32] (D1,D) -> D from D
---R            if D has VECTCAT D1 and D1 has TYPE and D1 has MONOID
---R   [33] (Integer,D) -> D from D
---R            if D has VECTCAT D2 and D2 has TYPE and D2 has ABELGRP
---R   [34] (D1,D) -> D from D
+--R   [30] (D,D1) -> D from D
+--R            if D has VECTCAT(D1) and D1 has TYPE and D1 has MONOID
+--R   [31] (D1,D) -> D from D
+--R            if D has VECTCAT(D1) and D1 has TYPE and D1 has MONOID
+--R   [32] (Integer,D) -> D from D
+--R            if D has VECTCAT(D2) and D2 has TYPE and D2 has ABELGRP
+--R   [33] (D1,D) -> D from D
 --R            if D has XFALG(D1,D2) and D1 has ORDSET and D2 has RING
---R   [35] (D,D1) -> D from D
+--R   [34] (D,D1) -> D from D
 --R            if D has XFALG(D2,D1) and D2 has ORDSET and D1 has RING
 --R
 --RThere are 23 unexposed functions called * :
---R   [1] (FreeGroup D1,D1) -> FreeGroup D1 from FreeGroup D1 if D1 has 
+--R   [1] (FreeGroup(D1),D1) -> FreeGroup(D1) from FreeGroup(D1) if D1 has
 --R            SETCAT
---R   [2] (D1,FreeGroup D1) -> FreeGroup D1 from FreeGroup D1 if D1 has 
+--R   [2] (D1,FreeGroup(D1)) -> FreeGroup(D1) from FreeGroup(D1) if D1 has
 --R            SETCAT
 --R   [3] (D1,D2) -> FreeModule1(D2,D1) from FreeModule1(D2,D1)
 --R            if D2 has RING and D1 has ORDSET
---R   [4] (FreeMonoid D1,D1) -> FreeMonoid D1 from FreeMonoid D1 if D1 has
---R            SETCAT
---R   [5] (D1,FreeMonoid D1) -> FreeMonoid D1 from FreeMonoid D1 if D1 has
---R            SETCAT
+--R   [4] (FreeMonoid(D1),D1) -> FreeMonoid(D1) from FreeMonoid(D1)
+--R            if D1 has SETCAT
+--R   [5] (D1,FreeMonoid(D1)) -> FreeMonoid(D1) from FreeMonoid(D1)
+--R            if D1 has SETCAT
 --R   [6] (D1,GeneralModulePolynomial(D2,D3,D4,D5,D6,D1)) -> 
 --R            GeneralModulePolynomial(D2,D3,D4,D5,D6,D1)
 --R            from GeneralModulePolynomial(D2,D3,D4,D5,D6,D1)
---R            if D2: LIST SYMBOL and D3 has COMRING and D5 has DIRPCAT(# 
---R            D2,NNI) and D6: ((Record(index: D4,exponent: D5),Record(
+--R            if D2: LIST(SYMBOL) and D3 has COMRING and D5 has DIRPCAT(#
+--R            (D2),NNI) and D6: ((Record(index: D4,exponent: D5),Record(
 --R            index: D4,exponent: D5)) -> Boolean) and D4 has ORDSET and 
---R            D1 has POLYCAT(D3,D5,OVAR D2)
---R   [7] (Vector D2,Vector D2) -> Vector D2
---R            from InnerNormalBasisFieldFunctions D2 if D2 has FFIELDC
+--R            D1 has POLYCAT(D3,D5,OVAR(D2))
+--R   [7] (Vector(D2),Vector(D2)) -> Vector(D2)
+--R            from InnerNormalBasisFieldFunctions(D2) if D2 has FFIELDC
 --R         
 --R   [8] (InputForm,InputForm) -> InputForm from InputForm
---R   [9] (InnerTaylorSeries D2,Integer) -> InnerTaylorSeries D2
---R            from InnerTaylorSeries D2 if D2 has RING
---R   [10] (InnerTaylorSeries D1,D1) -> InnerTaylorSeries D1
---R            from InnerTaylorSeries D1 if D1 has RING
---R   [11] (D1,InnerTaylorSeries D1) -> InnerTaylorSeries D1
---R            from InnerTaylorSeries D1 if D1 has RING
---R   [12] (Magma D1,Magma D1) -> Magma D1 from Magma D1 if D1 has ORDSET
---R            
---R   [13] (OrderedFreeMonoid D1,D1) -> OrderedFreeMonoid D1
---R            from OrderedFreeMonoid D1 if D1 has ORDSET
---R   [14] (D1,OrderedFreeMonoid D1) -> OrderedFreeMonoid D1
---R            from OrderedFreeMonoid D1 if D1 has ORDSET
+--R   [9] (InnerTaylorSeries(D2),Integer) -> InnerTaylorSeries(D2)
+--R            from InnerTaylorSeries(D2) if D2 has RING
+--R   [10] (InnerTaylorSeries(D1),D1) -> InnerTaylorSeries(D1)
+--R            from InnerTaylorSeries(D1) if D1 has RING
+--R   [11] (D1,InnerTaylorSeries(D1)) -> InnerTaylorSeries(D1)
+--R            from InnerTaylorSeries(D1) if D1 has RING
+--R   [12] (Magma(D1),Magma(D1)) -> Magma(D1) from Magma(D1) if D1 has 
+--R            ORDSET
+--R   [13] (OrderedFreeMonoid(D1),D1) -> OrderedFreeMonoid(D1)
+--R            from OrderedFreeMonoid(D1) if D1 has ORDSET
+--R   [14] (D1,OrderedFreeMonoid(D1)) -> OrderedFreeMonoid(D1)
+--R            from OrderedFreeMonoid(D1) if D1 has ORDSET
 --R   [15] (OutputForm,OutputForm) -> OutputForm from OutputForm
---R   [16] (Pattern D1,Pattern D1) -> Pattern D1 from Pattern D1 if D1 has
---R            SETCAT
---R   [17] (D2,Vector D3) -> Vector D3 from PseudoRemainderSequence(D2,D3)
---R            if D3 has UPOLYC D2 and D2 has INTDOM
+--R   [16] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1)
+--R            if D1 has SETCAT
+--R   [17] (D2,Vector(D3)) -> Vector(D3) from PseudoRemainderSequence(D2,
+--R            D3)
+--R            if D3 has UPOLYC(D2) and D2 has INTDOM
 --R   [18] (D1,SparseMultivariateTaylorSeries(D2,D3,D1)) -> 
 --R            SparseMultivariateTaylorSeries(D2,D3,D1)
 --R            from SparseMultivariateTaylorSeries(D2,D3,D1)
 --R            if D2 has RING and D3 has ORDSET and D1 has POLYCAT(D2,INDE
---R            D3,D3)
---R   [19] (Stream D2,Stream D2) -> Stream D2 from 
---R            StreamTaylorSeriesOperations D2
+--R            (D3),D3)
+--R   [19] (Stream(D2),Stream(D2)) -> Stream(D2)
+--R            from StreamTaylorSeriesOperations(D2) if D2 has RING
+--R   [20] (D2,Stream(D2)) -> Stream(D2) from StreamTaylorSeriesOperations
+--R            (D2)
 --R            if D2 has RING
---R   [20] (D2,Stream D2) -> Stream D2 from StreamTaylorSeriesOperations 
---R            D2
+--R   [21] (Stream(D2),D2) -> Stream(D2) from StreamTaylorSeriesOperations
+--R            (D2)
 --R            if D2 has RING
---R   [21] (Stream D2,D2) -> Stream D2 from StreamTaylorSeriesOperations 
---R            D2
---R            if D2 has RING
---R   [22] (DoubleFloat,Point DoubleFloat) -> Point DoubleFloat from 
---R            TubePlotTools
+--R   [22] (DoubleFloat,Point(DoubleFloat)) -> Point(DoubleFloat)
+--R            from TubePlotTools
 --R   [23] (XPolynomialRing(D1,D2),D1) -> XPolynomialRing(D1,D2)
 --R            from XPolynomialRing(D1,D2) if D1 has RING and D2 has 
 --R            ORDMON
@@ -5050,9 +5027,6 @@
 --RExamples of * from Monad
 --R
 --R
---RExamples of * from MyExpression
---R
---R
 --RExamples of * from OrderedFreeMonoid
 --R
 --Rm1:=(y**3)$OFMONOID(Symbol) 
@@ -5108,15 +5082,15 @@
 --R
 --RThere are 2 exposed functions called numberOfComponents :
 --R   [1]  -> NonNegativeInteger from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC 
---R            D2 and D4 has UPOLYC FRAC D3
---R   [2] D -> NonNegativeInteger from D if D has SPACEC D2 and D2 has 
+--R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R            D2) and D4 has UPOLYC(FRAC(D3))
+--R   [2] D -> NonNegativeInteger from D if D has SPACEC(D2) and D2 has 
 --R            RING
 --R
 --RThere is one unexposed function called numberOfComponents :
 --R   [1]  -> NonNegativeInteger from FunctionFieldCategory&(D2,D3,D4,D5)
---R            if D3 has UFD and D4 has UPOLYC D3 and D5 has UPOLYC FRAC 
---R            D4 and D2 has FFCAT(D3,D4,D5)
+--R            if D3 has UFD and D4 has UPOLYC(D3) and D5 has UPOLYC(FRAC(
+--R            D4)) and D2 has FFCAT(D3,D4,D5)
 --R
 --RExamples of numberOfComponents from FunctionFieldCategory&
 --R
@@ -5143,13 +5117,14 @@
 --R 
 --R
 --RThere are 6 exposed functions called tree :
---R   [1] List D2 -> D from D if D2 has SETCAT and D has DSTRCAT D2
---R   [2] D1 -> D from D if D has DSTRCAT D1 and D1 has SETCAT
---R   [3] (D1,List D) -> D from D if D has DSTRCAT D1 and D1 has SETCAT
+--R   [1] List(D2) -> D from D if D2 has SETCAT and D has DSTRCAT(D2)
+--R   [2] D1 -> D from D if D has DSTRCAT(D1) and D1 has SETCAT
+--R   [3] (D1,List(D)) -> D from D if D has DSTRCAT(D1) and D1 has SETCAT
+--R            
+--R   [4] D1 -> Tree(D1) from Tree(D1) if D1 has SETCAT
+--R   [5] List(D2) -> Tree(D2) from Tree(D2) if D2 has SETCAT
+--R   [6] (D1,List(Tree(D1))) -> Tree(D1) from Tree(D1) if D1 has SETCAT
 --R         
---R   [4] D1 -> Tree D1 from Tree D1 if D1 has SETCAT
---R   [5] List D2 -> Tree D2 from Tree D2 if D2 has SETCAT
---R   [6] (D1,List Tree D1) -> Tree D1 from Tree D1 if D1 has SETCAT
 --R
 --RExamples of tree from DesingTreeCategory
 --R
@@ -5183,11 +5158,11 @@
 --R 
 --R
 --RThere are 3 exposed functions called unit :
---R   [1] List Float -> DrawOption from DrawOption
+--R   [1] List(Float) -> DrawOption from DrawOption
 --R   [2]  -> Union(D,"failed") from D
---R            if D has FINAALG D1 and D1 has INTDOM and D1 has COMRING
+--R            if D has FINAALG(D1) and D1 has INTDOM and D1 has COMRING
 --R         
---R   [3] Factored D1 -> D1 from Factored D1 if D1 has INTDOM
+--R   [3] Factored(D1) -> D1 from Factored(D1) if D1 has INTDOM
 --R
 --RExamples of unit from DrawOption
 --R
@@ -5209,7 +5184,7 @@
 --R 
 --R
 --RThere is one exposed function called frst :
---R   [1] D -> D1 from D if D has LZSTAGG D1 and D1 has TYPE
+--R   [1] D -> D1 from D if D has LZSTAGG(D1) and D1 has TYPE
 --R
 --RExamples of frst from LazyStreamAggregate
 --R
@@ -5227,7 +5202,7 @@
 --R            CartesianTensor(D1,D2,D3)
 --R            from CartesianTensor(D1,D2,D3)
 --R            if D1: INT and D2: NNI and D3 has COMRING
---R   [2] (D,SegmentBinding D) -> D from D if D has COMBOPC
+--R   [2] (D,SegmentBinding(D)) -> D from D if D has COMBOPC
 --R   [3] (D,Symbol) -> D from D if D has COMBOPC
 --R   [4] (D,D) -> D from D
 --R            if D has GRALG(D1,D2) and D1 has COMRING and D2 has ABELMON
@@ -5235,10 +5210,10 @@
 --R
 --RThere are 3 unexposed functions called product :
 --R   [1] (D1,Symbol) -> D1 from CombinatorialFunction(D3,D1)
---R            if D3 has Join(OrderedSet,IntegralDomain) and D1 has FS D3
+--R            if D3 has Join(OrderedSet,IntegralDomain) and D1 has FS(D3)
 --R            
---R   [2] (D1,SegmentBinding D1) -> D1 from CombinatorialFunction(D3,D1)
---R            if D1 has FS D3 and D3 has Join(OrderedSet,IntegralDomain)
+--R   [2] (D1,SegmentBinding(D1)) -> D1 from CombinatorialFunction(D3,D1)
+--R            if D1 has FS(D3) and D3 has Join(OrderedSet,IntegralDomain)
 --R            
 --R   [3] (XPBWPolynomial(D2,D3),XPBWPolynomial(D2,D3),NonNegativeInteger)
 --R             -> XPBWPolynomial(D2,D3)
@@ -5274,7 +5249,7 @@
 --RThere are 2 exposed functions called fill! :
 --R   [1] (D,D1) -> D from D
 --R            if D has ARR2CAT(D1,D2,D3) and D1 has TYPE and D2 has FLAGG
---R            D1 and D3 has FLAGG D1
+--R            (D1) and D3 has FLAGG(D1)
 --R   [2] (D,D1) -> D from D
 --R            if D has shallowlyMutable and D has IXAGG(D2,D1) and D2 has
 --R            SETCAT and D1 has TYPE
@@ -5308,9 +5283,9 @@
 --R 
 --R
 --RThere is one exposed function called integralMatrixAtInfinity :
---R   [1]  -> Matrix Fraction D3 from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC 
---R            D2 and D4 has UPOLYC FRAC D3
+--R   [1]  -> Matrix(Fraction(D3)) from D
+--R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of integralMatrixAtInfinity from FunctionFieldCategory
 --R
@@ -5327,9 +5302,9 @@
 --R
 --RThere are 3 exposed functions called finite? :
 --R   [1] CardinalNumber -> Boolean from CardinalNumber
---R   [2] OnePointCompletion D2 -> Boolean from OnePointCompletion D2
+--R   [2] OnePointCompletion(D2) -> Boolean from OnePointCompletion(D2)
 --R            if D2 has SETCAT
---R   [3] OrderedCompletion D2 -> Boolean from OrderedCompletion D2
+--R   [3] OrderedCompletion(D2) -> Boolean from OrderedCompletion(D2)
 --R            if D2 has SETCAT
 --R
 --RExamples of finite? from CardinalNumber
@@ -5355,26 +5330,26 @@
 --R   [1] CartesianTensor(D2,D3,D4) -> NonNegativeInteger
 --R            from CartesianTensor(D2,D3,D4)
 --R            if D2: INT and D3: NNI and D4 has COMRING
---R   [2]  -> PositiveInteger from D if D has FINAALG D2 and D2 has 
+--R   [2]  -> PositiveInteger from D if D has FINAALG(D2) and D2 has 
 --R            COMRING
 --R   [3]  -> PositiveInteger from D
 --R            if D has FINRALG(D2,D3) and D2 has COMRING and D3 has 
---R            UPOLYC D2
---R   [4] (Matrix D4,Vector D4) -> NonNegativeInteger
---R            from LinearSystemMatrixPackage1 D4 if D4 has FIELD
+--R            UPOLYC(D2)
+--R   [4] (Matrix(D4),Vector(D4)) -> NonNegativeInteger
+--R            from LinearSystemMatrixPackage1(D4) if D4 has FIELD
 --R   [5] (D2,D3) -> NonNegativeInteger
 --R            from LinearSystemMatrixPackage(D4,D5,D3,D2)
---R            if D4 has FIELD and D5 has FiniteLinearAggregate D4 with 
---R                 shallowlyMutableand D3 has FiniteLinearAggregate D4 
+--R            if D4 has FIELD and D5 has FiniteLinearAggregate(D4) with 
+--R                 shallowlyMutableand D3 has FiniteLinearAggregate(D4)
 --R            with 
 --R                 shallowlyMutableand D2 has MATCAT(D4,D5,D3)
 --R   [6] D -> NonNegativeInteger from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG 
---R            D2 and D4 has FLAGG D2 and D2 has INTDOM
+--R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
+--R            D2) and D4 has FLAGG(D2) and D2 has INTDOM
 --R   [7] D2 -> NonNegativeInteger from MatrixLinearAlgebraFunctions(D3,D4
 --R            ,D5,D2)
---R            if D3 has INTDOM and D3 has COMRING and D4 has FLAGG D3 and
---R            D5 has FLAGG D3 and D2 has MATCAT(D3,D4,D5)
+--R            if D3 has INTDOM and D3 has COMRING and D4 has FLAGG(D3) 
+--R            and D5 has FLAGG(D3) and D2 has MATCAT(D3,D4,D5)
 --R   [8] D -> NonNegativeInteger from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
 --R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4) and D4 has INTDOM
@@ -5382,11 +5357,11 @@
 --R
 --RThere are 2 unexposed functions called rank :
 --R   [1]  -> PositiveInteger from ComplexCategory&(D2,D3)
---R            if D3 has COMRING and D2 has COMPCAT D3
+--R            if D3 has COMRING and D2 has COMPCAT(D3)
 --R   [2] D2 -> NonNegativeInteger
 --R            from InnerMatrixLinearAlgebraFunctions(D3,D4,D5,D2)
---R            if D3 has FIELD and D4 has FLAGG D3 and D5 has FLAGG D3 and
---R            D2 has MATCAT(D3,D4,D5)
+--R            if D3 has FIELD and D4 has FLAGG(D3) and D5 has FLAGG(D3) 
+--R            and D2 has MATCAT(D3,D4,D5)
 --R
 --RExamples of rank from CartesianTensor
 --R
@@ -5430,7 +5405,7 @@
 --R 
 --R
 --RThere is one exposed function called numberOfComputedEntries :
---R   [1] D -> NonNegativeInteger from D if D has LZSTAGG D2 and D2 has 
+--R   [1] D -> NonNegativeInteger from D if D has LZSTAGG(D2) and D2 has 
 --R            TYPE
 --R
 --RExamples of numberOfComputedEntries from LazyStreamAggregate
@@ -5445,22 +5420,22 @@
 --R 
 --R
 --RThere are 4 exposed functions called groebnerFactorize :
---R   [1] (List D6,List D6) -> List List D6
+--R   [1] (List(D6),List(D6)) -> List(List(D6))
 --R            from GroebnerFactorizationPackage(D3,D4,D5,D6)
 --R            if D3 has Join(EuclideanDomain,CharacteristicZero) and D4 
 --R            has OAMONS and D5 has ORDSET and D6 has POLYCAT(D3,D4,D5)
 --R         
---R   [2] (List D7,List D7,Boolean) -> List List D7
+--R   [2] (List(D7),List(D7),Boolean) -> List(List(D7))
 --R            from GroebnerFactorizationPackage(D4,D5,D6,D7)
 --R            if D4 has Join(EuclideanDomain,CharacteristicZero) and D5 
 --R            has OAMONS and D6 has ORDSET and D7 has POLYCAT(D4,D5,D6)
 --R         
---R   [3] List D6 -> List List D6 from GroebnerFactorizationPackage(D3,D4,
---R            D5,D6)
+--R   [3] List(D6) -> List(List(D6))
+--R            from GroebnerFactorizationPackage(D3,D4,D5,D6)
 --R            if D3 has Join(EuclideanDomain,CharacteristicZero) and D4 
 --R            has OAMONS and D5 has ORDSET and D6 has POLYCAT(D3,D4,D5)
 --R         
---R   [4] (List D7,Boolean) -> List List D7
+--R   [4] (List(D7),Boolean) -> List(List(D7))
 --R            from GroebnerFactorizationPackage(D4,D5,D6,D7)
 --R            if D4 has Join(EuclideanDomain,CharacteristicZero) and D5 
 --R            has OAMONS and D6 has ORDSET and D7 has POLYCAT(D4,D5,D6)
@@ -5501,7 +5476,7 @@
 --R 
 --R
 --RThere is one exposed function called showAllElements :
---R   [1] Stream D2 -> OutputForm from Stream D2
+--R   [1] Stream(D2) -> OutputForm from Stream(D2)
 --R            if D2 has SETCAT and D2 has TYPE
 --R
 --RExamples of showAllElements from Stream
@@ -5519,7 +5494,7 @@
 --RThere are 2 exposed functions called maxColIndex :
 --R   [1] D -> Integer from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
+--R            (D2) and D4 has FLAGG(D2)
 --R   [2] D -> Integer from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
 --R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
@@ -5541,7 +5516,7 @@
 --RThere are 2 exposed functions called minRowIndex :
 --R   [1] D -> Integer from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
+--R            (D2) and D4 has FLAGG(D2)
 --R   [2] D -> Integer from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
 --R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
@@ -5562,10 +5537,10 @@
 --R
 --RThere are 2 exposed functions called space :
 --R   [1]  -> Character from Character
---R   [2] ThreeSpace DoubleFloat -> DrawOption from DrawOption
+--R   [2] ThreeSpace(DoubleFloat) -> DrawOption from DrawOption
 --R
 --RThere is one unexposed function called space :
---R   [1] List DrawOption -> ThreeSpace DoubleFloat from 
+--R   [1] List(DrawOption) -> ThreeSpace(DoubleFloat) from 
 --R            DrawOptionFunctions0
 --R
 --RExamples of space from Character
@@ -5586,17 +5561,16 @@
 --R
 --RThere are 5 exposed functions called remove :
 --R   [1] (D1,D) -> D from D
---R            if D has finiteAggregate and D has CLAGG D1 and D1 has TYPE
---R            and D1 has SETCAT
+--R            if D has finiteAggregate and D has CLAGG(D1) and D1 has 
+--R            TYPE and D1 has SETCAT
 --R   [2] ((D2 -> Boolean),D) -> D from D
---R            if D has finiteAggregate and D has CLAGG D2 and D2 has TYPE
---R            
---R   [3] ((D2 -> Boolean),D) -> D from D if D has LZSTAGG D2 and D2 has 
+--R            if D has finiteAggregate and D has CLAGG(D2) and D2 has 
 --R            TYPE
---R   [4] ((D3 -> Boolean),Multiset D3,Integer) -> Multiset D3 from 
---R            Multiset D3
---R            if D3 has SETCAT
---R   [5] (D1,Multiset D1,Integer) -> Multiset D1 from Multiset D1
+--R   [3] ((D2 -> Boolean),D) -> D from D if D has LZSTAGG(D2) and D2 has 
+--R            TYPE
+--R   [4] ((D3 -> Boolean),Multiset(D3),Integer) -> Multiset(D3)
+--R            from Multiset(D3) if D3 has SETCAT
+--R   [5] (D1,Multiset(D1),Integer) -> Multiset(D1) from Multiset(D1)
 --R            if D1 has SETCAT
 --R
 --RThere is one unexposed function called remove :
@@ -5628,18 +5602,18 @@
 --R 
 --R
 --RThere is one exposed function called factors :
---R   [1] Factored D2 -> List Record(factor: D2,exponent: Integer)
---R            from Factored D2 if D2 has INTDOM
+--R   [1] Factored(D2) -> List(Record(factor: D2,exponent: Integer))
+--R            from Factored(D2) if D2 has INTDOM
 --R
 --RThere are 3 unexposed functions called factors :
---R   [1] FreeGroup D2 -> List Record(gen: D2,exp: Integer) from FreeGroup
---R            D2
+--R   [1] FreeGroup(D2) -> List(Record(gen: D2,exp: Integer)) from 
+--R            FreeGroup(D2)
 --R            if D2 has SETCAT
---R   [2] FreeMonoid D2 -> List Record(gen: D2,exp: NonNegativeInteger)
---R            from FreeMonoid D2 if D2 has SETCAT
---R   [3] OrderedFreeMonoid D2 -> List Record(gen: D2,exp: 
---R            NonNegativeInteger)
---R            from OrderedFreeMonoid D2 if D2 has ORDSET
+--R   [2] FreeMonoid(D2) -> List(Record(gen: D2,exp: NonNegativeInteger))
+--R            from FreeMonoid(D2) if D2 has SETCAT
+--R   [3] OrderedFreeMonoid(D2) -> List(Record(gen: D2,exp: 
+--R            NonNegativeInteger))
+--R            from OrderedFreeMonoid(D2) if D2 has ORDSET
 --R
 --RExamples of factors from FreeGroup
 --R
@@ -5670,7 +5644,7 @@
 --R   [1] String -> Void from OutputPackage
 --R   [2] OutputForm -> Void from OutputPackage
 --R   [3] (String,OutputForm) -> Void from OutputPackage
---R   [4] (Integer,Stream D3) -> Void from Stream D3
+--R   [4] (Integer,Stream(D3)) -> Void from Stream(D3)
 --R            if D3 has SETCAT and D3 has TYPE
 --R
 --RExamples of output from OutputPackage
@@ -5689,8 +5663,8 @@
 --R 
 --R
 --RThere is one exposed function called binarySearchTree :
---R   [1] List D2 -> BinarySearchTree D2 from BinarySearchTree D2 if D2 
---R            has ORDSET
+--R   [1] List(D2) -> BinarySearchTree(D2) from BinarySearchTree(D2)
+--R            if D2 has ORDSET
 --R
 --RExamples of binarySearchTree from BinarySearchTree
 --R
@@ -5719,7 +5693,7 @@
 --R 
 --R
 --RThere is one exposed function called shrinkable :
---R   [1] Boolean -> Boolean from FlexibleArray D2 if D2 has TYPE
+--R   [1] Boolean -> Boolean from FlexibleArray(D2) if D2 has TYPE
 --R
 --RThere is one unexposed function called shrinkable :
 --R   [1] Boolean -> Boolean from IndexedFlexibleArray(D2,D3)
@@ -5740,7 +5714,7 @@
 --R 
 --R
 --RThere is one exposed function called rst :
---R   [1] D -> D from D if D has LZSTAGG D1 and D1 has TYPE
+--R   [1] D -> D from D if D has LZSTAGG(D1) and D1 has TYPE
 --R
 --RExamples of rst from LazyStreamAggregate
 --R
@@ -5754,13 +5728,13 @@
 --R 
 --R
 --RThere is one exposed function called flexibleArray :
---R   [1] List D2 -> FlexibleArray D2 from FlexibleArray D2 if D2 has TYPE
---R            
+--R   [1] List(D2) -> FlexibleArray(D2) from FlexibleArray(D2) if D2 has 
+--R            TYPE
 --R
 --RThere is one unexposed function called flexibleArray :
---R   [1] List D2 -> IndexedFlexibleArray(D2,D3) from IndexedFlexibleArray
---R            (D2,D3)
---R            if D2 has TYPE and D3: INT
+--R   [1] List(D2) -> IndexedFlexibleArray(D2,D3)
+--R            from IndexedFlexibleArray(D2,D3) if D2 has TYPE and D3: INT
+--R            
 --R
 --RExamples of flexibleArray from FlexibleArray
 --R
@@ -5777,47 +5751,47 @@
 --R 
 --R
 --RThere are 14 exposed functions called setelt :
---R   [1] (D,Integer,D1) -> D1 from D if D has AFSPCAT D1 and D1 has FIELD
---R            
+--R   [1] (D,Integer,D1) -> D1 from D if D has AFSPCAT(D1) and D1 has 
+--R            FIELD
 --R   [2] (D,Integer,Integer,D1) -> D1 from D
 --R            if D has ARR2CAT(D1,D3,D4) and D1 has TYPE and D3 has FLAGG
---R            D1 and D4 has FLAGG D1
+--R            (D1) and D4 has FLAGG(D1)
 --R   [3] (D,right,D) -> D from D
---R            if D has shallowlyMutable and D has BRAGG D2 and D2 has 
+--R            if D has shallowlyMutable and D has BRAGG(D2) and D2 has 
 --R            TYPE
 --R   [4] (D,left,D) -> D from D
---R            if D has shallowlyMutable and D has BRAGG D2 and D2 has 
+--R            if D has shallowlyMutable and D has BRAGG(D2) and D2 has 
 --R            TYPE
 --R   [5] (D,D2,D1) -> D1 from D
 --R            if D has shallowlyMutable and D has ELTAGG(D2,D1) and D2 
 --R            has SETCAT and D1 has TYPE
 --R   [6] (Library,Symbol,Any) -> Any from Library
---R   [7] (D,UniversalSegment Integer,D1) -> D1 from D
---R            if D has shallowlyMutable and D has LNAGG D1 and D1 has 
+--R   [7] (D,UniversalSegment(Integer),D1) -> D1 from D
+--R            if D has shallowlyMutable and D has LNAGG(D1) and D1 has 
 --R            TYPE
---R   [8] (D,List Integer,List Integer,D) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG 
---R            D2 and D4 has FLAGG D2
---R   [9] (D,Integer,D1) -> D1 from D if D has PRSPCAT D1 and D1 has FIELD
---R            
+--R   [8] (D,List(Integer),List(Integer),D) -> D from D
+--R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
+--R            D2) and D4 has FLAGG(D2)
+--R   [9] (D,Integer,D1) -> D1 from D if D has PRSPCAT(D1) and D1 has 
+--R            FIELD
 --R   [10] (D,value,D1) -> D1 from D
---R            if D has shallowlyMutable and D has RCAGG D1 and D1 has 
+--R            if D has shallowlyMutable and D has RCAGG(D1) and D1 has 
 --R            TYPE
 --R   [11] (D,D2,D1) -> D1 from D
 --R            if D has TBAGG(D2,D1) and D2 has SETCAT and D1 has SETCAT
 --R         
 --R   [12] (D,last,D1) -> D1 from D
---R            if D has shallowlyMutable and D has URAGG D1 and D1 has 
+--R            if D has shallowlyMutable and D has URAGG(D1) and D1 has 
 --R            TYPE
 --R   [13] (D,rest,D) -> D from D
---R            if D has shallowlyMutable and D has URAGG D2 and D2 has 
+--R            if D has shallowlyMutable and D has URAGG(D2) and D2 has 
 --R            TYPE
 --R   [14] (D,first,D1) -> D1 from D
---R            if D has shallowlyMutable and D has URAGG D1 and D1 has 
+--R            if D has shallowlyMutable and D has URAGG(D1) and D1 has 
 --R            TYPE
 --R
 --RThere is one unexposed function called setelt :
---R   [1] (Reference D1,D1) -> D1 from Reference D1 if D1 has TYPE
+--R   [1] (Reference(D1),D1) -> D1 from Reference(D1) if D1 has TYPE
 --R
 --RExamples of setelt from AffineSpaceCategory
 --R
@@ -5867,7 +5841,7 @@
 --R 
 --R
 --RThere is one exposed function called cyclicParents :
---R   [1] Tree D2 -> List Tree D2 from Tree D2 if D2 has SETCAT
+--R   [1] Tree(D2) -> List(Tree(D2)) from Tree(D2) if D2 has SETCAT
 --R
 --RExamples of cyclicParents from Tree
 --R
@@ -5881,7 +5855,7 @@
 --R 
 --R
 --RThere is one exposed function called explicitEntries? :
---R   [1] D -> Boolean from D if D has LZSTAGG D2 and D2 has TYPE
+--R   [1] D -> Boolean from D if D has LZSTAGG(D2) and D2 has TYPE
 --R
 --RExamples of explicitEntries? from LazyStreamAggregate
 --R
@@ -5897,7 +5871,7 @@
 --RThere are 2 exposed functions called column :
 --R   [1] (D,Integer) -> D1 from D
 --R            if D has ARR2CAT(D3,D4,D1) and D3 has TYPE and D4 has FLAGG
---R            D3 and D1 has FLAGG D3
+--R            (D3) and D1 has FLAGG(D3)
 --R   [2] (D,Integer) -> D1 from D
 --R            if D has RMATCAT(D3,D4,D5,D6,D1) and D5 has RING and D6 has
 --R            DIRPCAT(D4,D5) and D1 has DIRPCAT(D3,D5)
@@ -5918,53 +5892,53 @@
 --R
 --RThere are 21 exposed functions called reduce :
 --R   [1] AlgebraicNumber -> AlgebraicNumber from AlgebraicNumber
---R   [2] (((D4,D1) -> D1),OneDimensionalArray D4,D1) -> D1
+--R   [2] (((D4,D1) -> D1),OneDimensionalArray(D4),D1) -> D1
 --R            from OneDimensionalArrayFunctions2(D4,D1)
 --R            if D4 has TYPE and D1 has TYPE
 --R   [3] (((D1,D1) -> D1),D,D1,D1) -> D1 from D
---R            if D1 has SETCAT and D has finiteAggregate and D has CLAGG 
---R            D1 and D1 has TYPE
+--R            if D1 has SETCAT and D has finiteAggregate and D has CLAGG(
+--R            D1) and D1 has TYPE
 --R   [4] (((D1,D1) -> D1),D,D1) -> D1 from D
---R            if D has finiteAggregate and D has CLAGG D1 and D1 has TYPE
---R            
+--R            if D has finiteAggregate and D has CLAGG(D1) and D1 has 
+--R            TYPE
 --R   [5] (((D1,D1) -> D1),D) -> D1 from D
---R            if D has finiteAggregate and D has CLAGG D1 and D1 has TYPE
---R            
+--R            if D has finiteAggregate and D has CLAGG(D1) and D1 has 
+--R            TYPE
 --R   [6] (((D5,D1) -> D1),DirectProduct(D4,D5),D1) -> D1
 --R            from DirectProductFunctions2(D4,D5,D1)
 --R            if D4: NNI and D5 has TYPE and D1 has TYPE
---R   [7] Expression D1 -> Expression D1 from Expression D1
+--R   [7] Expression(D1) -> Expression(D1) from Expression(D1)
 --R            if D1 has INTDOM and D1 has ORDSET
 --R   [8] D -> D from D
 --R            if D has FDIVCAT(D1,D2,D3,D4) and D1 has FIELD and D2 has 
---R            UPOLYC D1 and D3 has UPOLYC FRAC D2 and D4 has FFCAT(D1,D2,
---R            D3)
+--R            UPOLYC(D1) and D3 has UPOLYC(FRAC(D2)) and D4 has FFCAT(D1,
+--R            D2,D3)
 --R   [9] (((D4,D1) -> D1),D3,D1) -> D1
 --R            from FiniteLinearAggregateFunctions2(D4,D3,D1,D5)
---R            if D4 has TYPE and D1 has TYPE and D3 has FLAGG D4 and D5 
---R            has FLAGG D1
+--R            if D4 has TYPE and D1 has TYPE and D3 has FLAGG(D4) and D5 
+--R            has FLAGG(D1)
 --R   [10] (((D4,D1) -> D1),D3,D1) -> D1
 --R            from FiniteSetAggregateFunctions2(D4,D3,D1,D5)
---R            if D4 has SETCAT and D1 has SETCAT and D3 has FSAGG D4 and 
---R            D5 has FSAGG D1
---R   [11] (((D4,D1) -> D1),List D4,D1) -> D1 from ListFunctions2(D4,D1)
+--R            if D4 has SETCAT and D1 has SETCAT and D3 has FSAGG(D4) and
+--R            D5 has FSAGG(D1)
+--R   [11] (((D4,D1) -> D1),List(D4),D1) -> D1 from ListFunctions2(D4,D1)
 --R            if D4 has TYPE and D1 has TYPE
 --R   [12] (((D5,D2) -> D2),D4,D2) -> D2
 --R            from MatrixCategoryFunctions2(D5,D6,D7,D4,D2,D8,D9,D1)
---R            if D5 has RING and D2 has RING and D6 has FLAGG D5 and D7 
---R            has FLAGG D5 and D8 has FLAGG D2 and D9 has FLAGG D2 and D4
---R            has MATCAT(D5,D6,D7) and D1 has MATCAT(D2,D8,D9)
---R   [13] Fraction D3 -> Union(D,"failed") from D
---R            if D3 has UPOLYC D2 and D2 has FIELD and D2 has COMRING and
---R            D has MONOGEN(D2,D3)
+--R            if D5 has RING and D2 has RING and D6 has FLAGG(D5) and D7 
+--R            has FLAGG(D5) and D8 has FLAGG(D2) and D9 has FLAGG(D2) and
+--R            D4 has MATCAT(D5,D6,D7) and D1 has MATCAT(D2,D8,D9)
+--R   [13] Fraction(D3) -> Union(D,"failed") from D
+--R            if D3 has UPOLYC(D2) and D2 has FIELD and D2 has COMRING 
+--R            and D has MONOGEN(D2,D3)
 --R   [14] D1 -> D from D
 --R            if D2 has COMRING and D has MONOGEN(D2,D1) and D1 has 
---R            UPOLYC D2
---R   [15] SparseUnivariatePolynomial D -> D from D if D has PACPERC
---R   [16] List D -> Divisor D from D
+--R            UPOLYC(D2)
+--R   [15] SparseUnivariatePolynomial(D) -> D from D if D has PACPERC
+--R   [16] List(D) -> Divisor(D) from D
 --R            if D has PLACESC(D3,D4) and D3 has FIELD and D4 has LOCPOWC
---R            D3
---R   [17] (((D4,D1) -> D1),PrimitiveArray D4,D1) -> D1
+--R            (D3)
+--R   [17] (((D4,D1) -> D1),PrimitiveArray(D4),D1) -> D1
 --R            from PrimitiveArrayFunctions2(D4,D1)
 --R            if D4 has TYPE and D1 has TYPE
 --R   [18] (((D9,D4) -> D4),D6,D4) -> D4
@@ -5975,25 +5949,25 @@
 --R            has DIRPCAT(D8,D4) and D2 has DIRPCAT(D7,D4) and D6 has 
 --R            RMATCAT(D7,D8,D9,D10,D11) and D3 has RMATCAT(D7,D8,D4,D1,D2
 --R            )
---R   [19] (D1,((D4,D1) -> D1),Stream D4) -> D1 from StreamFunctions2(D4,
+--R   [19] (D1,((D4,D1) -> D1),Stream(D4)) -> D1 from StreamFunctions2(D4,
 --R            D1)
 --R            if D4 has TYPE and D1 has TYPE
 --R   [20] (D1,D,((D1,D1) -> D1),((D1,D1) -> Boolean)) -> D1 from D
 --R            if D has TSETCAT(D4,D5,D6,D1) and D4 has INTDOM and D5 has 
 --R            OAMONS and D6 has ORDSET and D1 has RPOLCAT(D4,D5,D6)
---R   [21] (((D4,D1) -> D1),Vector D4,D1) -> D1 from VectorFunctions2(D4,
+--R   [21] (((D4,D1) -> D1),Vector(D4),D1) -> D1 from VectorFunctions2(D4,
 --R            D1)
 --R            if D4 has TYPE and D1 has TYPE
 --R
 --RThere are 7 unexposed functions called reduce :
---R   [1] SparseUnivariatePolynomial D3 -> Record(pol: 
---R            SparseUnivariatePolynomial D3,deg: PositiveInteger)
+--R   [1] SparseUnivariatePolynomial(D3) -> Record(pol: 
+--R            SparseUnivariatePolynomial(D3),deg: PositiveInteger)
 --R            from DegreeReductionPackage(D3,D4)
 --R            if D3 has RING and D4 has Join(IntegralDomain,OrderedSet)
 --R         
 --R   [2] (D1,D2) -> EuclideanModularRing(D3,D1,D2,D4,D5,D6)
 --R            from EuclideanModularRing(D3,D1,D2,D4,D5,D6)
---R            if D3 has COMRING and D1 has UPOLYC D3 and D2 has ABELMON 
+--R            if D3 has COMRING and D1 has UPOLYC(D3) and D2 has ABELMON 
 --R            and D4: ((D1,D2) -> D1) and D5: ((D2,D2) -> Union(D2,
 --R            "failed")) and D6: ((D1,D1,D2) -> Union(D1,"failed"))
 --R   [3] InnerAlgebraicNumber -> InnerAlgebraicNumber from 
@@ -6004,7 +5978,7 @@
 --R            ) and D4: ((D2,D2) -> Union(D2,"failed")) and D5: ((D1,D1,
 --R            D2) -> Union(D1,"failed"))
 --R   [5] D1 -> ModMonic(D2,D1) from ModMonic(D2,D1)
---R            if D2 has RING and D1 has UPOLYC D2
+--R            if D2 has RING and D1 has UPOLYC(D2)
 --R   [6] (D1,D2) -> ModularRing(D1,D2,D3,D4,D5) from ModularRing(D1,D2,D3
 --R            ,D4,D5)
 --R            if D1 has COMRING and D2 has ABELMON and D3: ((D1,D2) -> D1
@@ -6013,7 +5987,7 @@
 --R   [7] D1 -> ResidueRing(D2,D3,D4,D1,D5) from ResidueRing(D2,D3,D4,D1,
 --R            D5)
 --R            if D2 has FIELD and D3 has OAMONS and D4 has ORDSET and D1 
---R            has POLYCAT(D2,D3,D4) and D5: LIST D1
+--R            has POLYCAT(D2,D3,D4) and D5: LIST(D1)
 --R
 --RExamples of reduce from AlgebraicNumber
 --R
@@ -6112,11 +6086,11 @@
 --RThere are 7 exposed functions called new :
 --R   [1] (NonNegativeInteger,NonNegativeInteger,D2) -> D from D
 --R            if D2 has TYPE and D has ARR2CAT(D2,D3,D4) and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
+--R            (D2) and D4 has FLAGG(D2)
 --R   [2] (String,String,String) -> D from D if D has FNCAT
 --R   [3]  -> ScriptFormulaFormat from ScriptFormulaFormat
---R   [4] (NonNegativeInteger,D2) -> D from D if D has LNAGG D2 and D2 has
---R            TYPE
+--R   [4] (NonNegativeInteger,D2) -> D from D if D has LNAGG(D2) and D2 
+--R            has TYPE
 --R   [5] Symbol -> Symbol from Symbol
 --R   [6]  -> Symbol from Symbol
 --R   [7]  -> TexFormat from TexFormat
@@ -6125,7 +6099,7 @@
 --R   [1]  -> SubSpaceComponentProperty from SubSpaceComponentProperty
 --R   [2]  -> PatternMatchListResult(D1,D2,D3)
 --R            from PatternMatchListResult(D1,D2,D3)
---R            if D2 has SETCAT and D1 has SETCAT and D3 has LSAGG D2
+--R            if D2 has SETCAT and D1 has SETCAT and D3 has LSAGG(D2)
 --R   [3]  -> PatternMatchResult(D1,D2) from PatternMatchResult(D1,D2)
 --R            if D1 has SETCAT and D2 has SETCAT
 --R   [4]  -> SubSpace(D1,D2) from SubSpace(D1,D2) if D1: PI and D2 has 
@@ -6169,8 +6143,8 @@
 --R 
 --R
 --RThere is one exposed function called insertRoot! :
---R   [1] (D1,BinarySearchTree D1) -> BinarySearchTree D1
---R            from BinarySearchTree D1 if D1 has ORDSET
+--R   [1] (D1,BinarySearchTree(D1)) -> BinarySearchTree(D1)
+--R            from BinarySearchTree(D1) if D1 has ORDSET
 --R
 --RExamples of insertRoot! from BinarySearchTree
 --R
@@ -6186,7 +6160,7 @@
 --RThere are 2 exposed functions called maxRowIndex :
 --R   [1] D -> Integer from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
+--R            (D2) and D4 has FLAGG(D2)
 --R   [2] D -> Integer from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
 --R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
@@ -6219,7 +6193,7 @@
 --R 
 --R
 --RThere is one exposed function called nthExponent :
---R   [1] (Factored D2,Integer) -> Integer from Factored D2 if D2 has 
+--R   [1] (Factored(D2),Integer) -> Integer from Factored(D2) if D2 has 
 --R            INTDOM
 --R
 --RExamples of nthExponent from Factored
@@ -6234,21 +6208,21 @@
 --R 
 --R
 --RThere are 7 exposed functions called parts :
---R   [1] D -> List D2 from D
+--R   [1] D -> List(D2) from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
---R   [2] ArrayStack D2 -> List D2 from ArrayStack D2
+--R            (D2) and D4 has FLAGG(D2)
+--R   [2] ArrayStack(D2) -> List(D2) from ArrayStack(D2)
 --R            if $ has finiteAggregate and D2 has SETCAT
---R   [3] Dequeue D2 -> List D2 from Dequeue D2
+--R   [3] Dequeue(D2) -> List(D2) from Dequeue(D2)
 --R            if $ has finiteAggregate and D2 has SETCAT
---R   [4] Heap D2 -> List D2 from Heap D2
+--R   [4] Heap(D2) -> List(D2) from Heap(D2)
 --R            if $ has finiteAggregate and D2 has ORDSET
---R   [5] D -> List D2 from D
---R            if D has finiteAggregate and D has HOAGG D2 and D2 has TYPE
---R            
---R   [6] Queue D2 -> List D2 from Queue D2
+--R   [5] D -> List(D2) from D
+--R            if D has finiteAggregate and D has HOAGG(D2) and D2 has 
+--R            TYPE
+--R   [6] Queue(D2) -> List(D2) from Queue(D2)
 --R            if $ has finiteAggregate and D2 has SETCAT
---R   [7] Stack D2 -> List D2 from Stack D2
+--R   [7] Stack(D2) -> List(D2) from Stack(D2)
 --R            if $ has finiteAggregate and D2 has SETCAT
 --R
 --RExamples of parts from TwoDimensionalArrayCategory
@@ -6296,17 +6270,17 @@
 --R 
 --R
 --RThere are 50 exposed functions called elt :
---R   [1] (D,Integer) -> D1 from D if D has AFSPCAT D1 and D1 has FIELD
+--R   [1] (D,Integer) -> D1 from D if D has AFSPCAT(D1) and D1 has FIELD
 --R         
 --R   [2] (D,Integer,Integer,D1) -> D1 from D
 --R            if D has ARR2CAT(D1,D3,D4) and D1 has TYPE and D3 has FLAGG
---R            D1 and D4 has FLAGG D1
+--R            (D1) and D4 has FLAGG(D1)
 --R   [3] (D,Integer,Integer) -> D1 from D
---R            if D has ARR2CAT(D1,D3,D4) and D3 has FLAGG D1 and D4 has 
---R            FLAGG D1 and D1 has TYPE
---R   [4] (D,right) -> D from D if D has BRAGG D2 and D2 has TYPE
---R   [5] (D,left) -> D from D if D has BRAGG D2 and D2 has TYPE
---R   [6] (CartesianTensor(D3,D4,D1),List Integer) -> D1
+--R            if D has ARR2CAT(D1,D3,D4) and D3 has FLAGG(D1) and D4 has 
+--R            FLAGG(D1) and D1 has TYPE
+--R   [4] (D,right) -> D from D if D has BRAGG(D2) and D2 has TYPE
+--R   [5] (D,left) -> D from D if D has BRAGG(D2) and D2 has TYPE
+--R   [6] (CartesianTensor(D3,D4,D1),List(Integer)) -> D1
 --R            from CartesianTensor(D3,D4,D1)
 --R            if D1 has COMRING and D3: INT and D4: NNI
 --R   [7] (CartesianTensor(D3,D4,D1),Integer,Integer,Integer,Integer) -> 
@@ -6324,58 +6298,58 @@
 --R            if D1 has COMRING and D3: INT and D4: NNI
 --R   [11] CartesianTensor(D2,D3,D1) -> D1 from CartesianTensor(D2,D3,D1)
 --R            if D1 has COMRING and D2: INT and D3: NNI
---R   [12] (Database D3,Symbol) -> DataList String from Database D3
+--R   [12] (Database(D3),Symbol) -> DataList(String) from Database(D3)
 --R            if D3 has OrderedSet with 
 --R               ?.? : (%,Symbol) -> String
 --R               display : % -> Void
 --R               fullDisplay : % -> Void
---R   [13] (Database D2,QueryEquation) -> Database D2 from Database D2
+--R   [13] (Database(D2),QueryEquation) -> Database(D2) from Database(D2)
 --R            if D2 has OrderedSet with 
 --R               ?.? : (%,Symbol) -> String
 --R               display : % -> Void
 --R               fullDisplay : % -> Void
---R   [14] (DataList D3,count) -> NonNegativeInteger from DataList D3
+--R   [14] (DataList(D3),count) -> NonNegativeInteger from DataList(D3)
 --R            if D3 has ORDSET
---R   [15] (DataList D2,sort) -> DataList D2 from DataList D2 if D2 has 
---R            ORDSET
---R   [16] (DataList D2,unique) -> DataList D2 from DataList D2 if D2 has 
+--R   [15] (DataList(D2),sort) -> DataList(D2) from DataList(D2) if D2 has
 --R            ORDSET
+--R   [16] (DataList(D2),unique) -> DataList(D2) from DataList(D2) if D2 
+--R            has ORDSET
 --R   [17] (D,D2) -> D1 from D
 --R            if D has ELTAB(D2,D1) and D2 has SETCAT and D1 has TYPE
 --R   [18] (D,D2,D1) -> D1 from D
 --R            if D has ELTAGG(D2,D1) and D2 has SETCAT and D1 has TYPE
 --R         
---R   [19] (BasicOperator,List D) -> D from D if D has ES
+--R   [19] (BasicOperator,List(D)) -> D from D if D has ES
 --R   [20] (BasicOperator,D,D,D,D) -> D from D if D has ES
 --R   [21] (BasicOperator,D,D,D) -> D from D if D has ES
 --R   [22] (BasicOperator,D,D) -> D from D if D has ES
 --R   [23] (BasicOperator,D) -> D from D if D has ES
 --R   [24] (D,D1,D1) -> D1 from D
---R            if D has FFCAT(D1,D2,D3) and D1 has UFD and D2 has UPOLYC 
---R            D1 and D3 has UPOLYC FRAC D2
---R   [25] (D,Integer) -> D1 from D if D has FRNAALG D1 and D1 has COMRING
---R            
+--R            if D has FFCAT(D1,D2,D3) and D1 has UFD and D2 has UPOLYC(
+--R            D1) and D3 has UPOLYC(FRAC(D2))
+--R   [25] (D,Integer) -> D1 from D if D has FRNAALG(D1) and D1 has 
+--R            COMRING
 --R   [26] (IndexCard,Symbol) -> String from IndexCard
 --R   [27] (Library,Symbol) -> Any from Library
---R   [28] (D,UniversalSegment Integer) -> D from D
---R            if D has LNAGG D2 and D2 has TYPE
---R   [29] (ThreeDimensionalMatrix D1,NonNegativeInteger,
+--R   [28] (D,UniversalSegment(Integer)) -> D from D
+--R            if D has LNAGG(D2) and D2 has TYPE
+--R   [29] (ThreeDimensionalMatrix(D1),NonNegativeInteger,
 --R            NonNegativeInteger,NonNegativeInteger) -> D1
---R            from ThreeDimensionalMatrix D1 if D1 has SETCAT
---R   [30] (D,List Integer,List Integer) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG 
---R            D2 and D4 has FLAGG D2
---R   [31] (D,D1) -> D1 from D if D has PERMCAT D1 and D1 has SETCAT
---R   [32] (PermutationGroup D3,NonNegativeInteger) -> Permutation D3
---R            from PermutationGroup D3 if D3 has SETCAT
+--R            from ThreeDimensionalMatrix(D1) if D1 has SETCAT
+--R   [30] (D,List(Integer),List(Integer)) -> D from D
+--R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
+--R            D2) and D4 has FLAGG(D2)
+--R   [31] (D,D1) -> D1 from D if D has PERMCAT(D1) and D1 has SETCAT
+--R   [32] (PermutationGroup(D3),NonNegativeInteger) -> Permutation(D3)
+--R            from PermutationGroup(D3) if D3 has SETCAT
 --R   [33] (D,Integer) -> D1 from D
---R            if D has PLACESC(D1,D3) and D3 has LOCPOWC D1 and D1 has 
+--R            if D has PLACESC(D1,D3) and D3 has LOCPOWC(D1) and D1 has 
 --R            FIELD
---R   [34] (D,Integer) -> D1 from D if D has PRSPCAT D1 and D1 has FIELD
---R         
+--R   [34] (D,Integer) -> D1 from D if D has PRSPCAT(D1) and D1 has FIELD
+--R            
 --R   [35] (QuadraticForm(D3,D1),DirectProduct(D3,D1)) -> D1
 --R            from QuadraticForm(D3,D1) if D3: PI and D1 has FIELD
---R   [36] (D,value) -> D1 from D if D has RCAGG D1 and D1 has TYPE
+--R   [36] (D,value) -> D1 from D if D has RCAGG(D1) and D1 has TYPE
 --R   [37] (D,Integer,Integer,D1) -> D1 from D
 --R            if D has RMATCAT(D3,D4,D1,D5,D6) and D1 has RING and D5 has
 --R            DIRPCAT(D4,D1) and D6 has DIRPCAT(D3,D1)
@@ -6384,17 +6358,17 @@
 --R            and D6 has DIRPCAT(D3,D1) and D1 has RING
 --R   [39] (RewriteRule(D3,D4,D1),D1,PositiveInteger) -> D1
 --R            from RewriteRule(D3,D4,D1)
---R            if D3 has SETCAT and D4 has Join(Ring,PatternMatchable D3,
---R            OrderedSet,ConvertibleTo Pattern D3) and D1 has Join(
---R            FunctionSpace D4,PatternMatchable D3,ConvertibleTo Pattern 
---R            D3)
+--R            if D3 has SETCAT and D4 has Join(Ring,PatternMatchable(D3),
+--R            OrderedSet,ConvertibleTo(Pattern(D3))) and D1 has Join(
+--R            FunctionSpace(D4),PatternMatchable(D3),ConvertibleTo(
+--R            Pattern(D3)))
 --R   [40] (Ruleset(D3,D4,D1),D1,PositiveInteger) -> D1 from Ruleset(D3,D4
 --R            ,D1)
---R            if D3 has SETCAT and D4 has Join(Ring,PatternMatchable D3,
---R            OrderedSet,ConvertibleTo Pattern D3) and D1 has Join(
---R            FunctionSpace D4,PatternMatchable D3,ConvertibleTo Pattern 
---R            D3)
---R   [41] (D,List Integer) -> D from D
+--R            if D3 has SETCAT and D4 has Join(Ring,PatternMatchable(D3),
+--R            OrderedSet,ConvertibleTo(Pattern(D3))) and D1 has Join(
+--R            FunctionSpace(D4),PatternMatchable(D3),ConvertibleTo(
+--R            Pattern(D3)))
+--R   [41] (D,List(Integer)) -> D from D
 --R            if D has SEXCAT(D2,D3,D4,D5,D6) and D2 has SETCAT and D3 
 --R            has SETCAT and D4 has SETCAT and D5 has SETCAT and D6 has 
 --R            SETCAT
@@ -6403,27 +6377,28 @@
 --R            has SETCAT and D4 has SETCAT and D5 has SETCAT and D6 has 
 --R            SETCAT
 --R   [43] (D,D) -> D from D if D has SRAGG
---R   [44] (Symbol,List OutputForm) -> Symbol from Symbol
---R   [45] (Fraction D,D1) -> D1 from D
---R            if D has UPOLYC D1 and D1 has RING and D1 has FIELD
---R   [46] (Fraction D,Fraction D) -> Fraction D from D
---R            if D has UPOLYC D2 and D2 has RING and D2 has INTDOM
+--R   [44] (Symbol,List(OutputForm)) -> Symbol from Symbol
+--R   [45] (Fraction(D),D1) -> D1 from D
+--R            if D has UPOLYC(D1) and D1 has RING and D1 has FIELD
+--R   [46] (Fraction(D),Fraction(D)) -> Fraction(D) from D
+--R            if D has UPOLYC(D2) and D2 has RING and D2 has INTDOM
 --R   [47] (D,D2) -> D1 from D
 --R            if D has UPSCAT(D1,D2) and D2 has OAMON and D1 has RING
---R   [48] (D,last) -> D1 from D if D has URAGG D1 and D1 has TYPE
---R   [49] (D,rest) -> D from D if D has URAGG D2 and D2 has TYPE
---R   [50] (D,first) -> D1 from D if D has URAGG D1 and D1 has TYPE
+--R   [48] (D,last) -> D1 from D if D has URAGG(D1) and D1 has TYPE
+--R   [49] (D,rest) -> D from D if D has URAGG(D2) and D2 has TYPE
+--R   [50] (D,first) -> D1 from D if D has URAGG(D1) and D1 has TYPE
 --R
 --RThere are 4 unexposed functions called elt :
 --R   [1] (EuclideanModularRing(D2,D1,D3,D4,D5,D6),D1) -> D1
 --R            from EuclideanModularRing(D2,D1,D3,D4,D5,D6)
---R            if D2 has COMRING and D1 has UPOLYC D2 and D3 has ABELMON 
+--R            if D2 has COMRING and D1 has UPOLYC(D2) and D3 has ABELMON 
 --R            and D4: ((D1,D3) -> D1) and D5: ((D3,D3) -> Union(D3,
 --R            "failed")) and D6: ((D1,D1,D3) -> Union(D1,"failed"))
---R   [2] (OutputForm,List OutputForm) -> OutputForm from OutputForm
---R   [3] (BasicOperator,List Pattern D3) -> Pattern D3 from Pattern D3
+--R   [2] (OutputForm,List(OutputForm)) -> OutputForm from OutputForm
+--R   [3] (BasicOperator,List(Pattern(D3))) -> Pattern(D3) from Pattern(D3
+--R            )
 --R            if D3 has SETCAT
---R   [4] Reference D1 -> D1 from Reference D1 if D1 has TYPE
+--R   [4] Reference(D1) -> D1 from Reference(D1) if D1 has TYPE
 --R
 --RExamples of elt from AffineSpaceCategory
 --R
@@ -6586,7 +6561,7 @@
 --RThere are 2 exposed functions called minColIndex :
 --R   [1] D -> Integer from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            D2 and D4 has FLAGG D2
+--R            (D2) and D4 has FLAGG(D2)
 --R   [2] D -> Integer from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
 --R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
@@ -6606,12 +6581,12 @@
 --R 
 --R
 --RThere is one exposed function called numberOfFactors :
---R   [1] Factored D2 -> NonNegativeInteger from Factored D2 if D2 has 
+--R   [1] Factored(D2) -> NonNegativeInteger from Factored(D2) if D2 has 
 --R            INTDOM
 --R
 --RThere is one unexposed function called numberOfFactors :
---R   [1] List Record(factor: D3,degree: Integer) -> NonNegativeInteger
---R            from GaloisGroupFactorizer D3 if D3 has UPOLYC INT
+--R   [1] List(Record(factor: D3,degree: Integer)) -> NonNegativeInteger
+--R            from GaloisGroupFactorizer(D3) if D3 has UPOLYC(INT)
 --R
 --RExamples of numberOfFactors from Factored
 --R
@@ -6628,7 +6603,7 @@
 --R 
 --R
 --RThere is one exposed function called cyclicCopy :
---R   [1] Tree D1 -> Tree D1 from Tree D1 if D1 has SETCAT
+--R   [1] Tree(D1) -> Tree(D1) from Tree(D1) if D1 has SETCAT
 --R
 --RExamples of cyclicCopy from Tree
 --R
diff --git a/src/input/dpol.input.pamphlet b/src/input/dpol.input.pamphlet
index 9dc4123..1f2ef85 100644
--- a/src/input/dpol.input.pamphlet
+++ b/src/input/dpol.input.pamphlet
@@ -25,7 +25,7 @@
 odvar:=ODVAR Symbol
 --R 
 --R
---R   (1)  OrderlyDifferentialVariable Symbol
+--R   (1)  OrderlyDifferentialVariable(Symbol)
 --R                                                                 Type: Domain
 --E 1
 
@@ -39,7 +39,7 @@ the $i$-th derivative of $w$ is printed as $w_5$
 --R
 --R   (2)  [w ,w ,w ,w ,w ,w]
 --R          5  4  3  2  1
---R                                Type: List OrderlyDifferentialVariable Symbol
+--R                              Type: List(OrderlyDifferentialVariable(Symbol))
 --E 2
 
 \end{chunk}
@@ -52,7 +52,7 @@ sort %
 --R
 --R   (3)  [w,w ,w ,w ,w ,w ]
 --R            1  2  3  4  5
---R                                Type: List OrderlyDifferentialVariable Symbol
+--R                              Type: List(OrderlyDifferentialVariable(Symbol))
 --E 3
 
 \end{chunk}
@@ -64,8 +64,8 @@ dpol:=DSMP (FRAC INT, Symbol, odvar)
 --R 
 --R
 --R   (4)
---R  DifferentialSparseMultivariatePolynomial(Fraction Integer,Symbol,OrderlyDiffe
---R  rentialVariable Symbol)
+--R  DifferentialSparseMultivariatePolynomial(Fraction(Integer),Symbol,OrderlyDiff
+--R  erentialVariable(Symbol))
 --R                                                                 Type: Domain
 --E 4
 
@@ -132,7 +132,7 @@ lb:=leader b
 --R
 --R   (10)  z
 --R          2
---R                                     Type: OrderlyDifferentialVariable Symbol
+--R                                    Type: OrderlyDifferentialVariable(Symbol)
 --E 10
 
 \end{chunk}
@@ -172,7 +172,7 @@ lbprime:= leader bprime
 --R
 --R   (13)  z
 --R          3
---R                                     Type: OrderlyDifferentialVariable Symbol
+--R                                    Type: OrderlyDifferentialVariable(Symbol)
 --E 13
 
 \end{chunk}
diff --git a/src/input/e1.input.pamphlet b/src/input/e1.input.pamphlet
index a6cc96a..769286c 100644
--- a/src/input/e1.input.pamphlet
+++ b/src/input/e1.input.pamphlet
@@ -29,7 +29,7 @@ machineFraction (G:DFLOAT:=0.577215664901532860606512)
 --R         649887063340739
 --R   (1)  ----------------
 --R        1125899906842624
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 1
 
 \end{chunk}
@@ -265,7 +265,7 @@ t3:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R     1  999443511248233 1998887022126037        370429
 --R    [-,----------------,----------------,- ----------------]]
 --R     2 1125899906842624 2251799813685248   2251799813685248
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 3
 \end{chunk}
 
@@ -1040,7 +1040,7 @@ t4:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R        3523653169885229  440456643606101        21036421
 --R    [2,-----------------,----------------,- -----------------]]
 --R       72057594037927936 9007199254740992   72057594037927936
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 4
 
 \end{chunk}
@@ -1603,7 +1603,7 @@ t6:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 [9.9,0.914907418,g(9.9),g(9.9)-0.914907418],_
 [10.0,0.915633339,g(10.0),g(10.0)-0.915633339]]]
 --R 
---R   Compiling function g with type Float -> Expression DoubleFloat 
+--R   Compiling function g with type Float -> Expression(DoubleFloat) 
 --R
 --R   (6)
 --R       3254558849758993 6509117697504369        2013617
@@ -1849,7 +1849,7 @@ t6:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R        4123645964328403 8247291932240601      3583795
 --R    [10,----------------,----------------,----------------]]
 --R        4503599627370496 9007199254740992 9007199254740992
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 6
 
 \end{chunk}
@@ -2107,7 +2107,7 @@ E1(0.0)
 --R 
 --R
 --R   (7)  infinity
---R                                         Type: OnePointCompletion DoubleFloat
+--R                                        Type: OnePointCompletion(DoubleFloat)
 --E 7
 
 )spool 
diff --git a/src/input/easter.input.pamphlet b/src/input/easter.input.pamphlet
index 387d9d7..54d2c86 100644
--- a/src/input/easter.input.pamphlet
+++ b/src/input/easter.input.pamphlet
@@ -43,7 +43,7 @@ factor(%)
 --R
 --R         47 22 12 8  4  3  2  2  2
 --R   (2)  2  3  5  7 11 13 17 19 23 29 31 37 41 43 47
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 2
 
 \end{chunk}
@@ -56,7 +56,7 @@ Infinite precision rational numbers
 --R        4861
 --R   (3)  ----
 --R        2520
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 3
 
 \end{chunk}
@@ -95,7 +95,7 @@ besselJ(2, 1 + %i)
 --R 
 --R
 --R   (7)  4.1579886943962155E-2 + 0.24739764151330637 %i
---R                                                    Type: Complex DoubleFloat
+--R                                                   Type: Complex(DoubleFloat)
 --E 7
 
 \end{chunk}
@@ -120,7 +120,7 @@ continuedFraction(3.1415926535)
 --R              1 |     1  |     1 |      1  |     1 |     1 |     1 |
 --R   (9)  3 + +---+ + +----+ + +---+ + +-----+ + +---+ + +---+ + +---+ + ...
 --R            | 7     | 15     | 1     | 292     | 1     | 1     | 6
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 9
 
 \end{chunk}
@@ -143,7 +143,7 @@ simplify(%)
 --R          +---------+
 --R          |  +-+
 --R   (11)  \|2\|3  + 4
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 \end{chunk}
@@ -172,7 +172,7 @@ simplify(%)
 --R          |  |  |     +-----------+
 --R          |  |  |     |    +-+
 --R   (13)  \|3\|2\|- 12\|- 2\|2  + 3  + 5  + 3  + 14
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 \end{chunk}
@@ -198,7 +198,7 @@ algebra: rational simplification
 --R         x - 2
 --R   (15)  -----
 --R         x + 2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 15
 
 \end{chunk}
@@ -215,7 +215,7 @@ This example requires more sophistication
 --R           -
 --R           2
 --R         %e  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 200
@@ -226,7 +226,7 @@ normalize(%)
 --R           -
 --R           2
 --R   (17)  %e  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 \end{chunk}
@@ -245,7 +245,7 @@ Expand and factor polynomials
 --R   + 
 --R           5        4        3       2
 --R     15504x  + 4845x  + 1140x  + 190x  + 20x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 18
 
 --S 19 of 200
@@ -261,7 +261,7 @@ D(%, x)
 --R   + 
 --R            6          5         4         3        2
 --R     542640x  + 232560x  + 77520x  + 19380x  + 3420x  + 380x + 20
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 19
 
 --S 20 of 200
@@ -270,7 +270,7 @@ factor(%)
 --R
 --R                  19
 --R   (20)  20(x + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 20
 
 --S 21 of 200
@@ -279,7 +279,7 @@ x**100 - 1
 --R
 --R          100
 --R   (21)  x    - 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 21
 
 --S 22 of 200
@@ -295,7 +295,7 @@ factor(%)
 --R  *
 --R       40    30    20    10
 --R     (x   - x   + x   - x   + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 22
 
 \end{chunk}
@@ -307,7 +307,7 @@ p:= x**4 - 3*x**2 + 1
 --R
 --R          4     2
 --R   (23)  x  - 3x  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 23
 
 --S 24 of 200
@@ -316,7 +316,7 @@ factor(p)
 --R
 --R           2           2
 --R   (24)  (x  - x - 1)(x  + x - 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 24
 
 --S 25 of 200
@@ -331,7 +331,7 @@ factor(p, [phi])
 --R 
 --R
 --R   (26)  (x - phi)(x - phi + 1)(x + phi - 1)(x + phi)
---R                                    Type: Factored Polynomial AlgebraicNumber
+--R                                  Type: Factored(Polynomial(AlgebraicNumber))
 --E 26
 
 --S 27 of 200
@@ -340,7 +340,7 @@ factor(p :: Polynomial(PrimeField(5)))
 --R
 --R                2       2
 --R   (27)  (x + 2) (x + 3)
---R                                       Type: Factored Polynomial PrimeField 5
+--R                                    Type: Factored(Polynomial(PrimeField(5)))
 --E 27
 
 --S 28 of 200
@@ -349,7 +349,7 @@ expand(%)
 --R
 --R          4     2
 --R   (28)  x  + 2x  + 1
---R                                                Type: Polynomial PrimeField 5
+--R                                              Type: Polynomial(PrimeField(5))
 --E 28
 
 \end{chunk}
@@ -364,7 +364,7 @@ Partial fraction decomposition
 --R   (29)  -----------------
 --R          3     2
 --R         x  + 4x  + 5x + 2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 29
 
 --S 30 of 200
@@ -378,7 +378,7 @@ padicFraction(
 --R   (30)  - ----- + -------- + -----
 --R           x + 1          2   x + 2
 --R                   (x + 1)
---R               Type: PartialFraction UnivariatePolynomial(x,Fraction Integer)
+--R             Type: PartialFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 30
 
 \end{chunk}
@@ -392,7 +392,7 @@ r:= cos(3*x)/cos(x)
 --R         cos(3x)
 --R   (31)  -------
 --R          cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 31
 
 --S 32 of 200
@@ -401,7 +401,7 @@ real(complexNormalize(%))
 --R
 --R                  2          2
 --R   (32)  - 2sin(x)  + 2cos(x)  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 32
 
 --S 33 of 200
@@ -409,7 +409,7 @@ real(normalize(simplify(complexNormalize(r))))
 --R 
 --R
 --R   (33)  2cos(2x) - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 33
 
 \end{chunk}
@@ -426,7 +426,7 @@ sincosAngles:= rule _
 --R   (34)
 --R   {cos(n x) == - sin(x)sin((n - 1)x) + cos(x)cos((n - 1)x),
 --R    sin(n x) == cos(x)sin((n - 1)x) + cos((n - 1)x)sin(x)}
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 34
 
 --S 35 of 200
@@ -435,14 +435,14 @@ sincosAngles r
 --R
 --R                  2         2
 --R   (35)  - 3sin(x)  + cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 35
 
 --S 36 of 200
 r:= 'r;
 --R 
 --R
---R                                                             Type: Variable r
+--R                                                            Type: Variable(r)
 --E 36
 
 \end{chunk}
@@ -480,7 +480,7 @@ simplify(%)
 --R
 --R          3+-+3+-+2     3+-+2     3+-+    3+-+
 --R   (40)  3\|2 \|4   + (3\|2   - 6)\|4  - 6\|2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 40
 
 \end{chunk}
@@ -494,7 +494,7 @@ x**(1/n)*y**(1/n) - (x*y)**(1/n)
 --R                -    - -
 --R                n    n n
 --R   (41)  - (x y)  + x y
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 41
 
 --S 42 of 200
@@ -502,7 +502,7 @@ normalize(%)
 --R 
 --R
 --R   (42)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 42
 
 \end{chunk}
@@ -516,7 +516,7 @@ expr:= log(tan(1/2*x + %pi/4)) - asinh(tan(x))
 --R                 2x + %pi
 --R   (43)  log(tan(--------)) - asinh(tan(x))
 --R                     4
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 43
 
 --S 44 of 200
@@ -568,7 +568,7 @@ complexNormalize(%)
 --R                   ----------------
 --R                           4
 --R                (%e                )  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 44
 
 \end{chunk}
@@ -588,7 +588,7 @@ D(expr, x)
 --R                                2x + %pi  |      2
 --R                           2tan(--------)\|tan(x)  + 1
 --R                                    4
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 45
 
 --S 46 of 200
@@ -609,7 +609,7 @@ simplify(real(complexNormalize(expand(simplify(%)))))
 --R         2          2         |      x 8         x 6         x 4        x 2
 --R                             4|16cos(-)  - 32cos(-)  + 24cos(-)  - 8cos(-)  + 1
 --R                             \|      2           2           2          2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 --S 47 of 200
@@ -617,7 +617,7 @@ normalize(eval(expr, x = 0))
 --R 
 --R
 --R   (47)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 47
 
 --S 48 of 200
@@ -630,7 +630,7 @@ log((2*sqrt(r) + 1)/sqrt(4*r + 4*sqrt(r) + 1))
 --R              +--------------+
 --R              |  +-+
 --R             \|4\|r  + 4r + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 48
 
 --S 49 of 200
@@ -643,7 +643,7 @@ simplify(%)
 --R              +--------------+
 --R              |  +-+
 --R             \|4\|r  + 4r + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 49
 
 --S 50 of 200
@@ -657,7 +657,7 @@ simplify(%)
 --R                      +-+                      +-+
 --R            +-+     2\|r  + 1   +-+          2\|r  + 1     +-+
 --R   (50)  (2\|r  + 1)         (4\|r  + 4r + 1)          - 2\|r  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 50
 
 --S 51 of 200
@@ -665,7 +665,7 @@ normalize(%)
 --R 
 --R
 --R   (51)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 51
 
 \end{chunk}
@@ -681,15 +681,15 @@ rectform(z) == real(z) + %i*imag(z)
 --S 53 of 200
 rectform(log(3 + 4*%i))
 --R 
---R   Compiling function rectform with type Expression Complex Integer -> 
---R      Expression Complex Integer 
+--R   Compiling function rectform with type Expression(Complex(Integer))
+--R       -> Expression(Complex(Integer)) 
 --R
 --R                            4
 --R         log(25) + 2%i atan(-)
 --R                            3
 --R   (53)  ---------------------
 --R                   2
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 53
 
 --S 54 of 200
@@ -701,7 +701,7 @@ simplify(rectform(tan(x + %i*y)))
 --R   (54)  -----------------------------------------------------
 --R                  - 2y                      2        - 2y
 --R         2cos(x)%e    sin(x) + (- 2%i cos(x)  + %i)%e     - %i
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 54
 
 \end{chunk}
@@ -721,7 +721,7 @@ sqrt(x*y*abs(z)**2) / (sqrt(x)*abs(z))
 --R   (55)  --------------
 --R                  +-+
 --R           abs(z)\|x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 55
 
 \end{chunk}
@@ -738,7 +738,7 @@ sqrt(1/z) - 1/sqrt(z)
 --R   (56)  ------------
 --R              +-+
 --R             \|z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 56
 
 \end{chunk}
@@ -749,7 +749,7 @@ log(%e**z)
 --R 
 --R
 --R   (57)  z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 57
 
 --S 58 of 200
@@ -757,7 +757,7 @@ normalize(%)
 --R 
 --R
 --R   (58)  z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 58
 
 \end{chunk}
@@ -769,7 +769,7 @@ log(%e**(10*%i))
 --R
 --R               10%i
 --R   (59)  log(%e    )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 59
 
 --S 60 of 200
@@ -778,7 +778,7 @@ normalize(%)
 --R
 --R               10%i
 --R   (60)  log(%e    )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 60
 
 \end{chunk}
@@ -789,7 +789,7 @@ atan(tan(z))
 --R 
 --R
 --R   (61)  z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 61
 
 \end{chunk}
@@ -803,7 +803,7 @@ sqrt(%e**z) - %e**(z/2)
 --R          +---+     -
 --R          |  z      2
 --R   (62)  \|%e   - %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 62
 
 \end{chunk}
@@ -817,7 +817,7 @@ Manipulate an equation using a natural syntax
 --R         x + 2
 --R   (63)  -----= 1
 --R           2
---R                                   Type: Equation Fraction Polynomial Integer
+--R                                Type: Equation(Fraction(Polynomial(Integer)))
 --E 63
 
 \end{chunk}
@@ -867,14 +867,14 @@ radicalSolve(3*x**3 - 18*x**2 + 33*x - 19 = 0, x)
 --R                    3  |-------------
 --R                      3|      +-+
 --R                      \|    6\|3
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 64
 
 --S 65 of 200
 map(e +-> lhs(e) = rectform(rhs(e)), %)
 --R 
---R   Compiling function rectform with type Expression Integer -> 
---R      Expression Complex Integer 
+--R   Compiling function rectform with type Expression(Integer) -> 
+--R      Expression(Complex(Integer)) 
 --R
 --R   (65)
 --R   [
@@ -919,7 +919,7 @@ map(e +-> lhs(e) = rectform(rhs(e)), %)
 --R         \|3 sin(---) - %i\|3 cos(---)
 --R                  18               18
 --R     ]
---R                               Type: List Equation Expression Complex Integer
+--R                           Type: List(Equation(Expression(Complex(Integer))))
 --E 65
 
 \end{chunk}
@@ -931,7 +931,7 @@ eqn:= x**4 + x**3 + x**2 + x + 1 = 0
 --R
 --R          4    3    2
 --R   (66)  x  + x  + x  + x + 1= 0
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 66
 
 --S 67 of 200
@@ -1279,7 +1279,7 @@ radicalSolve(eqn, x)
 --R      /
 --R         4
 --R     ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 67
 
 \end{chunk}
@@ -1371,7 +1371,7 @@ eval(eqn, %.1)
 --R                                  \|       54\|3
 --R     =
 --R     0
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 68
 
 --S 69 of 200
@@ -1380,7 +1380,7 @@ eval(eqn, %.1)
 --R
 --R           2x      x
 --R   (69)  %e   + 2%e  + 1= z
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 69
 
 --S 70 of 200
@@ -1389,7 +1389,7 @@ solve(%, x)
 --R
 --R                  +-+                +-+
 --R   (70)  [x= log(\|z  - 1),x= log(- \|z  - 1)]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 70
 
 \end{chunk}
@@ -1401,7 +1401,7 @@ This equation is already factored and so {\sl should} be easy to solve
 --R
 --R                       3      4                  3      2                 3
 --R   (71)  (x + 1)cos(3x) sin(x)  + (2x + 2)cos(3x) sin(x)  + (x + 1)cos(3x) = 0
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 71
 
 --S 72 of 200
@@ -1411,7 +1411,7 @@ solve(%, x)
 --R                   +---+             +---+     %pi
 --R   (72)  [x= asin(\|- 1 ),x= - asin(\|- 1 ),x= ---,x= - 1]
 --R                                                6
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 72
 
 \end{chunk}
@@ -1423,7 +1423,7 @@ solve(%e**z = 1, z)
 --R 
 --R
 --R   (73)  [z= 0]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 73
 
 \end{chunk}
@@ -1436,7 +1436,7 @@ solve(sin(x) = cos(x), x)
 --R             %pi
 --R   (74)  [x= ---]
 --R              4
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 74
 
 --S 75 of 200
@@ -1446,7 +1446,7 @@ solve(tan(x) = 1, x)
 --R             %pi
 --R   (75)  [x= ---]
 --R              4
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 75
 
 \end{chunk}
@@ -1457,7 +1457,7 @@ solve(sin(x) = tan(x), x)
 --R 
 --R
 --R   (76)  [x= 0]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 76
 
 \end{chunk}
@@ -1468,7 +1468,7 @@ solve(sqrt(x**2 + 1) = x - 2, x)
 --R 
 --R
 --R   (77)  []
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 77
 
 \end{chunk}
@@ -1479,7 +1479,7 @@ eq1:=   x +   y +   z =  6
 --R 
 --R
 --R   (78)  z + y + x= 6
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 78
 
 --S 79 of 200
@@ -1487,7 +1487,7 @@ eq2:= 2*x +   y + 2*z = 10
 --R 
 --R
 --R   (79)  2z + y + 2x= 10
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 79
 
 --S 80 of 200
@@ -1495,7 +1495,7 @@ eq3:=   x + 3*y +   z = 10
 --R 
 --R
 --R   (80)  z + 3y + x= 10
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 80
 
 \end{chunk}
@@ -1506,7 +1506,7 @@ solve([eq1, eq2, eq3], [x, y, z])
 --R 
 --R
 --I   (81)  [[x= - %BU + 4,y= 2,z= %BU]]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 81
 \end{chunk}
 Solve a system of nonlinear equations
@@ -1517,7 +1517,7 @@ eq1:= x**2*y + 3*y*z - 4 = 0
 --R
 --R                 2
 --R   (82)  3y z + x y - 4= 0
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 82
 
 --S 83 of 200
@@ -1526,7 +1526,7 @@ eq2:= -3*x**2*z + 2*y**2 + 1 = 0
 --R
 --R             2      2
 --R   (83)  - 3x z + 2y  + 1= 0
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 83
 
 --S 84 of 200
@@ -1535,7 +1535,7 @@ eq3:= 2*y*z**2 - z**2 - 1 = 0
 --R
 --R                  2
 --R   (84)  (2y - 1)z  - 1= 0
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 84
 
 \end{chunk}
@@ -1557,7 +1557,7 @@ solve([eq1, eq2, eq3], [x, y, z])
 --R        5     4     3     2
 --R      6z  - 6z  - 9z  - 7z  - 3z - 1= 0]
 --R     ]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 85
 
 \end{chunk}
@@ -1570,7 +1570,7 @@ m:= matrix([[a, b], [1, a*b]])
 --R         +a   b +
 --R   (86)  |      |
 --R         +1  a b+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 86
 
 \end{chunk}
@@ -1589,7 +1589,7 @@ minv:= inverse(m)
 --R         |- ---------  ---------|
 --R         |    2          2      |
 --R         +  (a  - 1)b  (a  - 1)b+
---R                          Type: Union(Matrix Fraction Polynomial Integer,...)
+--R                       Type: Union(Matrix(Fraction(Polynomial(Integer))),...)
 --E 87
 
 --S 88 of 200
@@ -1599,7 +1599,7 @@ m * minv
 --R         +1  0+
 --R   (88)  |    |
 --R         +0  1+
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 88
 
 \end{chunk}
@@ -1621,7 +1621,7 @@ matrix([[1,    1,    1,    1   ], _
 --R         |              |
 --R         | 3   3   3   3|
 --R         +w   x   y   z +
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 89
 
 --S 90 of 200
@@ -1640,7 +1640,7 @@ determinant(%)
 --R   + 
 --R         3    3   2       2 3    3 2
 --R     (w x  - w x)y  + (- w x  + w x )y
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 90
 
 \end{chunk}
@@ -1651,7 +1651,7 @@ factor(%)
 --R 
 --R
 --R   (91)  (x - w)(y - x)(y - w)(z - y)(z - x)(z - w)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 91
 
 \end{chunk}
@@ -1668,7 +1668,7 @@ m:= matrix([[ 5, -3, -7], _
 --R   (92)  |- 2   1    2 |
 --R         |             |
 --R         + 2   - 3  - 4+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 92
 
 --S 93 of 200
@@ -1677,7 +1677,7 @@ characteristicPolynomial(m, lambda)
 --R
 --R                 3          2
 --R   (93)  - lambda  + 2lambda  + 5lambda - 6
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 93
 
 --S 94 of 200
@@ -1685,14 +1685,14 @@ solve(% = 0, lambda)
 --R 
 --R
 --R   (94)  [lambda= 3,lambda= 1,lambda= - 2]
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 94
 
 --S 95 of 200
 m:= 'm;
 --R 
 --R
---R                                                             Type: Variable m
+--R                                                            Type: Variable(m)
 --E 95
 
 \end{chunk}
@@ -1708,7 +1708,7 @@ summation(k**3, k = 1..n)
 --R   (96)  >     k
 --R         --+
 --R         k= 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 96
 
 --S 97 of 200
@@ -1719,7 +1719,7 @@ sum(k**3, k = 1..n)
 --R         n  + 2n  + n
 --R   (97)  -------------
 --R               4
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 97
 
 --S 98 of 200
@@ -1741,7 +1741,7 @@ product(k, k = 1..n)
 --R   (99)   | |   k
 --R          | |
 --R         k= 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 99
 
 \end{chunk}
@@ -1753,7 +1753,7 @@ limit((1 + 1/n)**n, n = %plusInfinity)
 --R 
 --R
 --R   (100)  %e
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 100
 
 --S 101 of 200
@@ -1763,7 +1763,7 @@ limit((1 - cos(x))/x**2, x = 0)
 --R          1
 --R   (101)  -
 --R          2
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 101
 
 \end{chunk}
@@ -1791,7 +1791,7 @@ D(y(x(t)), t, 2)
 --R           ,   2 ,,          ,       ,,
 --R   (104)  x (t) y  (x(t)) + y (x(t))x  (t)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 104
 
 )clear properties x y
@@ -1807,7 +1807,7 @@ D(y(x(t)), t, 2)
 --R   (105)  ------
 --R           3
 --R          x  + 2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 105
 
 \end{chunk}
@@ -1828,7 +1828,7 @@ integrate(%, x)
 --R  /
 --R       +-+3+-+
 --R     6\|3 \|4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 106
 
 --S 107 of 200
@@ -1839,7 +1839,7 @@ D(%, x)
 --R   (107)  ------
 --R           3
 --R          x  + 2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 107
 
 \end{chunk}
@@ -1868,7 +1868,7 @@ integrate(1/(a + b*cos(x)), x)
 --R             +---------+
 --R             |   2    2
 --R            \|- b  + a
---R                                     Type: Union(List Expression Integer,...)
+--R                                   Type: Union(List(Expression(Integer)),...)
 --E 108
 
 --S 109 of 200
@@ -1878,7 +1878,7 @@ map(simplify, map(f +-> D(f, x), %))
 --R                 1            1
 --R   (109)  [------------,------------]
 --R           b cos(x) + a b cos(x) + a
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 109
 
 \end{chunk}
@@ -1891,7 +1891,7 @@ D(abs(x), x)
 --R          abs(x)
 --R   (110)  ------
 --R             x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 110
 
 --S 111 of 200
@@ -1902,7 +1902,7 @@ integrate(abs(x), x)
 --R           ++
 --I   (111)   |   abs(%J)d%J
 --R          ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 111
 
 \end{chunk}
@@ -1917,10 +1917,10 @@ a(x) == if x < 0 then -x else x
 --S 113 of 200
 D(a(x), x)
 --R 
---R   Compiling function a with type Variable x -> Polynomial Integer 
+--R   Compiling function a with type Variable(x) -> Polynomial(Integer) 
 --R
 --R   (113)  1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 113
 
 --S 114 of 200
@@ -1930,7 +1930,7 @@ integrate(a(x), x)
 --R          1  2
 --R   (114)  - x
 --R          2
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 114
 
 )clear properties a
@@ -1947,7 +1947,7 @@ integrate(x/(sqrt(1 + x) + sqrt(1 - x)), x)
 --R          (x + 1)\|x + 1  + (- x + 1)\|- x + 1
 --R   (115)  -------------------------------------
 --R                            3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 115
 
 --S 116 of 200
@@ -1958,7 +1958,7 @@ integrate((sqrt(1 + x) - sqrt(1 - x))/2, x)
 --R          (x + 1)\|x + 1  + (- x + 1)\|- x + 1
 --R   (116)  -------------------------------------
 --R                            3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 116
 
 \end{chunk}
@@ -2009,7 +2009,7 @@ integrate(sqrt(x + 1/x - 2), x = 0..1, "noPole")
 --R            4
 --R   (118)  - -
 --R            3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 120
 
 --S 121 of 200
@@ -2028,7 +2028,7 @@ integrate(sqrt(x + 1/x - 2), x = 1..2, "noPole")
 --R          - 2\|2  + 4
 --R   (120)  -----------
 --R               3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 122
 
 --S 123 of 200
@@ -2047,7 +2047,7 @@ integrate(sqrt(x + 1/x - 2), x = 0..2, "noPole")
 --R            2\|2
 --R   (122)  - -----
 --R              3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 124
 
 \end{chunk}
@@ -2100,7 +2100,7 @@ integrate(integrate(integrate(1, z = 0..c*(1 - x/a - y/b)), _
 --R          a b c
 --R   (127)  -----
 --R            6
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 129
 
 \end{chunk}
@@ -2119,7 +2119,7 @@ Taylor series---this first example comes from special relativity
 --R           |---------
 --R           |     2
 --R          \|    c
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 130
 
 --S 131 of 200
@@ -2130,7 +2130,7 @@ series(%, v = 0)
 --R   (129)  1 + --- v  + --- v  + ---- v  + O(v )
 --R                2        4         6
 --R              2c       8c       16c
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,v,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),v,0)
 --E 131
 
 --S 132 of 200
@@ -2141,7 +2141,7 @@ series(%, v = 0)
 --R   (130)  1 - -- v  + O(v )
 --R               2
 --R              c
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,v,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),v,0)
 --E 132
 
 --S 133 of 200
@@ -2151,7 +2151,7 @@ tsin:= series(sin(x), x = 0)
 --R              1  3    1   5     1   7      9
 --R   (131)  x - - x  + --- x  - ---- x  + O(x )
 --R              6      120      5040
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 133 
 
 --S 134 of 200
@@ -2161,7 +2161,7 @@ tcos:= series(cos(x), x = 0)
 --R              1  2    1  4    1   6      8
 --R   (132)  1 - - x  + -- x  - --- x  + O(x )
 --R              2      24      720
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 134
 
 \end{chunk}
@@ -2174,7 +2174,7 @@ tsin/tcos
 --R              1  3    2  5    17  7      9
 --R   (133)  x + - x  + -- x  + --- x  + O(x )
 --R              3      15      315
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 135
 
 --S 136 of 200
@@ -2184,7 +2184,7 @@ series(tan(x), x = 0)
 --R              1  3    2  5    17  7      9
 --R   (134)  x + - x  + -- x  + --- x  + O(x )
 --R              3      15      315
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 136
 
 \end{chunk}
@@ -2199,7 +2199,7 @@ log(x)**a*exp(-b*x)
 --R
 --R            - b x      a
 --R   (135)  %e     log(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 137
 
 --S 138 of 200
@@ -2254,7 +2254,7 @@ log(sin(x)/x)
 --R              sin(x)
 --R   (136)  log(------)
 --R                 x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 141
 
 --S 142 of 200
@@ -2264,7 +2264,7 @@ series(%, x = 0)
 --R            1  2    1   4     1   6     1    8      10
 --R   (137)  - - x  - --- x  - ---- x  - ----- x  + O(x  )
 --R            6      180      2835      37800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 142
 
 --S 143 of 200
@@ -2273,7 +2273,7 @@ exp(-x)*sin(x)
 --R
 --R            - x
 --R   (138)  %e   sin(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 143
 
 --S 144 of 200
@@ -2283,7 +2283,7 @@ series(%, x = 0)
 --R               2   1  3    1  5    1  6    1   7      9
 --R   (139)  x - x  + - x  - -- x  + -- x  - --- x  + O(x )
 --R                   3      30      90      630
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 144
 
 \end{chunk}
@@ -2302,7 +2302,7 @@ x = sin(y(x)) + cos(y(x))
 --R 
 --R
 --R   (141)  x= sin(y(x)) + cos(y(x))
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 146
 
 --S 147 of 200
@@ -2329,7 +2329,7 @@ pade(1, 1, taylor(exp(-x), x = 0))
 --R          - x + 2
 --R   (142)  -------
 --R           x + 2
---R         Type: Union(Fraction UnivariatePolynomial(x,Expression Integer),...)
+--R       Type: Union(Fraction(UnivariatePolynomial(x,Expression(Integer))),...)
 --E 148
 
 \end{chunk}
@@ -2344,7 +2344,7 @@ laplace(cos((w - 1)*t), t, s)
 --R   (143)  ----------------
 --R           2         2
 --R          w  - 2w + s  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 149
 
 --S 150 of 200
@@ -2354,7 +2354,7 @@ inverseLaplace(%, s, t)
 --R                +-----------+
 --R                | 2
 --R   (144)  cos(t\|w  - 2w + 1 )
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 150
 
 \end{chunk}
@@ -2373,7 +2373,7 @@ r(n + 2) - 2 * r(n + 1) + r(n) = 2
 --R 
 --R
 --R   (146)  r(n + 2) - 2r(n + 1) + r(n)= 2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 152
 
 --S 153 of 200
@@ -2381,7 +2381,7 @@ r(n + 2) - 2 * r(n + 1) + r(n) = 2
 --R 
 --R
 --R   (147)  [r(n + 2) - 2r(n + 1) + r(n)= 2,r(0)= 1,r(1)= m]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 153
 
 )clear properties r
@@ -2404,7 +2404,7 @@ ode:= D(f(t), t, 2) + 4*f(t) = sin(2*t)
 --R           ,,
 --R   (149)  f  (t) + 4f(t)= sin(2t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 155
 
 --S 156 of 200
@@ -2415,7 +2415,7 @@ map(e +-> laplace(e, t, s), %)
 --R   (150)  (s  + 4)laplace(f(t),t,s) - f (0) - f(0)s= ------
 --R                                                      2
 --R                                                     s  + 4
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 156
 
 \end{chunk}
@@ -2428,7 +2428,7 @@ solve(ode, f, t = 0, [0, 0])
 --R          sin(2t) - 2t cos(2t)
 --R   (151)  --------------------
 --R                    8
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 157
 
 \end{chunk}
@@ -2448,7 +2448,7 @@ x**2 * D(y(x), x) + 3*x*y(x) = sin(x)/x
 --R           2 ,               sin(x)
 --R   (153)  x y (x) + 3x y(x)= ------
 --R                                x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 159
 
 --S 160 of 200
@@ -2459,7 +2459,7 @@ solve(%, y, x)
 --R   (154)  [particular= - ------,basis= [--]]
 --R                            3            3
 --R                           x            x
---IType: Union(Record(particular: Expression Integer,basis: ...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 160
 
 \end{chunk}
@@ -2472,7 +2472,7 @@ D(y(x), x, 2) + y(x)*D(y(x), x)**3 = 0
 --R           ,,           ,   3
 --R   (155)  y  (x) + y(x)y (x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 161
 
 --S 162 of 200
@@ -2496,7 +2496,7 @@ D(y(x, a), x) = a*y(x, a)
 --R
 --R   (156)  y  (x,a)= a y(x,a)
 --R           ,1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 163
 
 --S 164 of 200
@@ -2521,7 +2521,7 @@ solve(D(y(x), x, 2) + k**2*y(x) = 0, y, x)
 --R 
 --R
 --R   (157)  [particular= 0,basis= [cos(k x),sin(k x)]]
---IType: Union(Record(particular: Expression Integer,basis: ...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 165
 
 -- bc(%, x = 0, y = 0, x = 1, D(y(x), x) = 0)
@@ -2543,7 +2543,7 @@ system:= [D(x(t), t) = x(t) - y(t), D(y(t), t) = x(t) + y(t)]
 --R            ,                    ,
 --R   (159)  [x (t)= - y(t) + x(t),y (t)= y(t) + x(t)]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 167
 
 \end{chunk}
@@ -2557,7 +2557,7 @@ system:= [D(x(t), t) = x(t) * (1 + cos(t)/(2 + sin(t))), _
 --R            ,     x(t)sin(t) + x(t)cos(t) + 2x(t)  ,
 --R   (160)  [x (t)= -------------------------------,y (t)= - y(t) + x(t)]
 --R                             sin(t) + 2
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 168
 
 \end{chunk}
@@ -2569,7 +2569,7 @@ s:=solve(system.1, x, t)
 --R
 --R                                   t            t
 --R   (161)  [particular= 0,basis= [%e sin(t) + 2%e ]]
---IType: Union(Record(particular: Expression Integer,basis: ...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 169
 
 --S 170 of 200
@@ -2578,7 +2578,7 @@ eq1 := x(t) = C1 * s.basis.1
 --R
 --R                     t               t
 --R   (162)  x(t)= C1 %e sin(t) + 2C1 %e
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 170
 
 --S 171 of 200
@@ -2592,7 +2592,7 @@ s1:=solve(map(e +-> subst(e, eq1), system.2), y, t)
 --R                                           5
 --R              - t
 --R    basis= [%e   ]]
---IType: Union(Record(particular: Expression Integer,basis: ...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 171
 
 --S 172 of 200
@@ -2603,7 +2603,7 @@ eq2 := y(t) = simplify(s1.particular) + C2 * s1.basis.1
 --R                2C1 %e sin(t) + (- C1 cos(t) + 5C1)%e  + 5C2 %e
 --R   (164)  y(t)= --------------------------------------------------
 --R                                         5
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 172
 
 --S 173 of 200
@@ -2611,7 +2611,7 @@ map(e +-> rightZero eval(e, [eq1, D(eq1,t), eq2 , D(eq2,t)]), system)
 --R 
 --R
 --R   (165)  [0= 0,0= 0]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 173
 )clear properties x y
  
@@ -2624,7 +2624,7 @@ DD:= operator("D") :: Operator(Expression Integer)
 --R 
 --R
 --R   (166)  D
---R                                            Type: Operator Expression Integer
+--R                                          Type: Operator(Expression(Integer))
 --E 174
 
 --S 175 of 200
@@ -2632,7 +2632,7 @@ evaluate(DD, e +-> D(e, x))$Operator(Expression Integer)
 --R 
 --R
 --R   (167)  D
---R                                            Type: Operator Expression Integer
+--R                                          Type: Operator(Expression(Integer))
 --E 175
 
 --S 176 of 200
@@ -2641,7 +2641,7 @@ L:= (DD - 1) * (DD + 2)
 --R
 --R                 2
 --R   (168)  D 2 + D  - D - 2
---R                                            Type: Operator Expression Integer
+--R                                          Type: Operator(Expression(Integer))
 --E 176
 
 --S 177 of 200
@@ -2659,7 +2659,7 @@ L(f(x))
 --R           ,,       ,
 --R   (170)  f  (x) + f (x) - 2f(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 178
 
 --S 179 of 200
@@ -2669,7 +2669,7 @@ subst(L(subst(g(y), y = x)), x = y)
 --R           ,,       ,
 --R   (171)  g  (y) + g (y) - 2g(y)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 179
 
 --S 180 of 200
@@ -2678,7 +2678,7 @@ subst(L(subst(A * sin(z**2), z = x)), x = z)
 --R
 --R                 2           2                    2
 --R   (172)  (- 4A z  - 2A)sin(z ) + (2A z + 2A)cos(z )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 180
 
 \end{chunk}
@@ -2714,7 +2714,7 @@ T(f, x, a)
 --R
 --R   (174)  -----------------------------------------------
 --R                                 2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 182
 
 --S 183 of 200
@@ -2726,7 +2726,7 @@ T(g, y, b)
 --R
 --R   (175)  -----------------------------------------------
 --R                                 2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 183
 
 --S 184 of 200
@@ -2734,7 +2734,7 @@ Sin:= operator("sin") :: Operator(Expression Integer)
 --R 
 --R
 --R   (176)  sin
---R                                            Type: Operator Expression Integer
+--R                                          Type: Operator(Expression(Integer))
 --E 184
 
 --S 185 of 200
@@ -2742,7 +2742,7 @@ evaluate(Sin, x +-> sin(x))$Operator(Expression Integer)
 --R 
 --R
 --R   (177)  sin
---R                                            Type: Operator Expression Integer
+--R                                          Type: Operator(Expression(Integer))
 --E 185
 
 --S 186 of 200
@@ -2753,7 +2753,7 @@ T(Sin, z, c)
 --R          (- z  + 2c z - c  + 2)sin(c) + (2z - 2c)cos(c)
 --R   (178)  ----------------------------------------------
 --R                                 2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 186
 
 \end{chunk}
@@ -2772,8 +2772,8 @@ for i in 0..4 _
             output(concat(["p(", string(i), ", x) = "])); _
             output(p(i, x))}
 --R 
---R   Compiling function p with type (NonNegativeInteger,Variable x) -> 
---R      Polynomial Fraction Integer 
+--R   Compiling function p with type (NonNegativeInteger,Variable(x)) -> 
+--R      Polynomial(Fraction(Integer)) 
 --R
 --R   p(0, x) =
 --R   1
@@ -2801,11 +2801,11 @@ for i in 0..4 _
 --S 189 of 200
 eval(p(4, x), x = 1)
 --R 
---R   Compiling function p with type (PositiveInteger,Variable x) -> 
---R      Polynomial Fraction Integer 
+--R   Compiling function p with type (PositiveInteger,Variable(x)) -> 
+--R      Polynomial(Fraction(Integer)) 
 --R
 --R   (181)  1
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 189
 
 \end{chunk}
@@ -2834,8 +2834,8 @@ for i in 0..4 repeat { output(""); _
                        output(concat(["pp(", string(i), ", x) = "])); _
                        output(pp(i, x))}
 --R 
---R   Compiling function pp with type (Integer,Variable x) -> Polynomial 
---R      Fraction Integer 
+--R   Compiling function pp with type (Integer,Variable(x)) -> Polynomial(
+--R      Fraction(Integer)) 
 --R
 --R   pp(0, x) =
 --R   1
@@ -2881,7 +2881,7 @@ sum(a(i)*x**i, i = 1..5)
 --R
 --R               5        4        3        2
 --R   (187)  a(5)x  + a(4)x  + a(3)x  + a(2)x  + a(1)x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 195
 
 --S 196 of 200
@@ -2890,7 +2890,7 @@ p:= factor(%)
 --R
 --R               5        4        3        2
 --R   (188)  a(5)x  + a(4)x  + a(3)x  + a(2)x  + a(1)x
---R                                            Type: Factored Expression Integer
+--R                                          Type: Factored(Expression(Integer))
 --E 196
 
 \end{chunk}
diff --git a/src/input/efi.input.pamphlet b/src/input/efi.input.pamphlet
index b700c20..5111d93 100644
--- a/src/input/efi.input.pamphlet
+++ b/src/input/efi.input.pamphlet
@@ -25,7 +25,7 @@
 EFI:=Expression Integer
 --R 
 --R
---R   (1)  Expression Integer
+--R   (1)  Expression(Integer)
 --R                                                                 Type: Domain
 --E 1
 
@@ -72,13 +72,13 @@ br(x) ==
 --S 6 of 15
 br([1])
 --R 
---R   Compiling function br with type List Expression Integer -> 
---R      Expression Integer 
+--R   Compiling function br with type List(Expression(Integer)) -> 
+--R      Expression(Integer) 
 --R
 --R           1
 --R   (6)  ------
 --R        %e - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 15
@@ -86,7 +86,7 @@ br([0])
 --R 
 --R
 --R   (7)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 15
@@ -99,7 +99,7 @@ fJ:List FRAC INT -> EFI
 J(i:PI,j:PI):EFI==ber(s(i)-s(j))
 --R 
 --R   Function declaration J : (PositiveInteger,PositiveInteger) -> 
---R      Expression Integer has been added to workspace.
+--R      Expression(Integer) has been added to workspace.
 --R                                                                   Type: Void
 --E 9
 
@@ -107,7 +107,7 @@ J(i:PI,j:PI):EFI==ber(s(i)-s(j))
 function(J(1,2),'fJ,['s])
 --R 
 --R   Compiling function J with type (PositiveInteger,PositiveInteger) -> 
---R      Expression Integer 
+--R      Expression(Integer) 
 --R
 --R   (10)  fJ
 --R                                                                 Type: Symbol
@@ -125,19 +125,19 @@ ss:=[1,2]
 --R 
 --R
 --R   (12)  [1,2]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 12
 
 --S 13 of 15
 fJ(ss)
 --R 
---R   Compiling function fJ with type List Fraction Integer -> Expression 
---R      Integer 
+--R   Compiling function fJ with type List(Fraction(Integer)) -> 
+--R      Expression(Integer) 
 --R
 --R           %e
 --R   (13)  ------
 --R         %e - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 15
@@ -145,7 +145,7 @@ ss:=[1,1]
 --R 
 --R
 --R   (14)  [1,1]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 14
 
 -- fJ doesn't know about the special definition at the origin
@@ -154,7 +154,7 @@ fJ(ss)
 --R 
 --R
 --R   (15)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 )spool
 )lisp (bye)
diff --git a/src/input/ei.input.pamphlet b/src/input/ei.input.pamphlet
index 378b610..54e6910 100644
--- a/src/input/ei.input.pamphlet
+++ b/src/input/ei.input.pamphlet
@@ -173,7 +173,7 @@ aChebyshev:List Fraction Integer:=[machineFraction (x::DFLOAT) for x in _
 --R                    4182085200867523
 --R    -----------------------------------------------]
 --R    11417981541647679048466287755595961091061972992
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 2
 
 \end{chunk}
@@ -317,7 +317,7 @@ t1:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R          4123645966120299 8247291932240599         1
 --R    [- 10,----------------,----------------,----------------]]
 --R          4503599627370496 9007199254740992 9007199254740992
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 3
 
 \end{chunk}
@@ -523,7 +523,7 @@ bChebyshev:List Fraction Integer:= [machineFraction (x::DFLOAT) for x in _
 --R                     4310880000722449
 --R    - ----------------------------------------------]
 --R      5708990770823839524233143877797980545530986496
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 4
 
 \end{chunk}
@@ -677,7 +677,7 @@ t2:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R         3717192768015671 3717192768015671
 --R    [- 4,----------------,----------------,0]]
 --R         4503599627370496 4503599627370496
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 5
 
 \end{chunk}
@@ -806,7 +806,7 @@ cChebyshev:List Fraction Integer:= [machineFraction (x::DFLOAT) for x in _
 --R                   2712664091488837
 --R    ----------------------------------------------]
 --R    1427247692705959881058285969449495136382746624
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 6
 
 \end{chunk}
@@ -947,7 +947,7 @@ t3:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R       2486460497711683 621615124427921        1
 --R    [4,----------------,---------------,---------------]]
 --R        562949953421312 140737488355328 562949953421312
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 7
 
 \end{chunk}
@@ -1135,7 +1135,7 @@ dChebyshev:List Fraction Integer:=[machineFraction (x::DFLOAT) for x in _
 --R                      8793730379918429
 --R    - -----------------------------------------------]
 --R      11417981541647679048466287755595961091061972992
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 8
 
 \end{chunk}
@@ -1295,7 +1295,7 @@ t4:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R        2483677874720611 4967355749441223         1
 --R    [12,----------------,----------------,----------------]]
 --R        2251799813685248 4503599627370496 4503599627370496
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 9
 
 \end{chunk}
@@ -1477,7 +1477,7 @@ eChebyshev:List Fraction Integer:=[machineFraction (x::DFLOAT) for x in _
 --R                     2788779460539811
 --R    - ----------------------------------------------]
 --R      5708990770823839524233143877797980545530986496
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 10
 
 \end{chunk}
@@ -1635,7 +1635,7 @@ t5:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R        4654080942723879 581760117840485         1
 --R    [32,----------------,---------------,----------------]]
 --R        4503599627370496 562949953421312 4503599627370496
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 11
 
 \end{chunk}
@@ -1828,7 +1828,7 @@ fChebyshev:List Fraction Integer:=[machineFraction (x::DFLOAT) for x in _
 --R                     3460871645858969
 --R    - ----------------------------------------------]
 --R      5708990770823839524233143877797980545530986496
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 12
 
 \end{chunk}
@@ -1980,7 +1980,7 @@ t6:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R         2256215141523035 4512430283046069           1
 --R    [512,----------------,----------------,- ----------------]]
 --R         2251799813685248 4503599627370496   4503599627370496
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 13
 
 \end{chunk}
@@ -2307,7 +2307,7 @@ t7:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R     1 2567733724908559 641933431251443       97213
 --R    [-,----------------,---------------,----------------]]
 --R     2 2251799813685248 562949953421312 2251799813685248
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 15
 
 \end{chunk}
@@ -3087,7 +3087,7 @@ t8:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R       5577971999896927 2788985999949529       2131
 --R    [2,----------------,----------------,----------------]]
 --R       1125899906842624  562949953421312 1125899906842624
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 16
 
 \end{chunk}
@@ -3652,8 +3652,8 @@ t9:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
  [9.9,1.133328746,f(9.9),f(9.9)-1.133328746],_
  [10.0,1.131470205,f(10.0),f(10.0)-1.131470205]]]
 --R 
---R   Compiling function f with type Float -> OnePointCompletion 
---R      DoubleFloat 
+--R   Compiling function f with type Float -> OnePointCompletion(
+--R      DoubleFloat) 
 --R
 --R   (19)
 --R       377448210364295    4848039718580287   830647041331407
@@ -3899,7 +3899,7 @@ t9:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R        2547844396809409 6279593088699023   3911784498538613
 --R    [10,----------------,----------------,- ----------------]]
 --R        2251799813685248 9007199254740992   9007199254740992
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 18
 
 \end{chunk}
@@ -4194,8 +4194,8 @@ t10:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
  [0.005,1.00505077,g(0.005),g(0.005)-1.00505077],_
  [0.000,1.00000000,g(0.000),g(0.000)-1.00000000]]]
 --R 
---R   Compiling function g with type Float -> OnePointCompletion 
---R      DoubleFloat 
+--R   Compiling function g with type Float -> OnePointCompletion(
+--R      DoubleFloat) 
 --R
 --R   (21)
 --R      3602879701896397 318480551008551 5095688792421347       23715469
@@ -4259,7 +4259,7 @@ t10:List List Fraction Integer:= [[machineFraction (x::DFLOAT) for x in line]_
 --R    [------------------,----------------,----------------,- ----------------],
 --R     576460752303423488 2251799813685248 1125899906842624   2251799813685248
 --R    [0,1,1,0]]
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 20
 
 \end{chunk}
diff --git a/src/input/eigen.input.pamphlet b/src/input/eigen.input.pamphlet
index 81ff7ee..443ce63 100644
--- a/src/input/eigen.input.pamphlet
+++ b/src/input/eigen.input.pamphlet
@@ -34,7 +34,7 @@ m:=matrix([[1,2,1],[2,1,-2],[1,-2,4]])
 --R   (1)  |2   1   - 2|
 --R        |           |
 --R        +1  - 2   4 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 1
 
 --S 2 of 36
@@ -43,7 +43,7 @@ characteristicPolynomial m
 --R
 --R            3      2
 --R   (2)  - %A  + 6%A  - 25
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 2
 
 --S 3 of 36
@@ -52,7 +52,7 @@ characteristicPolynomial(m,x)
 --R
 --R           3     2
 --R   (3)  - x  + 6x  - 25
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 3
 
 \end{chunk} 
@@ -70,7 +70,7 @@ p:=matrix([[x+1,2-x*y,x**2+1],[2-x,y+2*x,x**2-2],[y**2,x-2,4-x*y]])
 --R        |                             |
 --R        |   2                         |
 --R        +  y        x - 2    - x y + 4+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 4
 
 --S 5 of 36
@@ -86,7 +86,7 @@ characteristicPolynomial p
 --R   + 
 --R              3               2       2                   3      2
 --R     (%B + 5)x  + (- 4%B + 7)x  + (3%B  - 18%B + 18)x - %B  + 5%B  + 4%B - 24
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 5
 
 --S 6 of 36
@@ -102,7 +102,7 @@ characteristicPolynomial(p,t)
 --R   + 
 --R                2      2                 3     2
 --R     (- 4t + 7)x  + (3t  - 18t + 18)x - t  + 5t  + 4t - 24
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 6
 
 \end{chunk} 
@@ -117,7 +117,7 @@ n:=matrix([[a,b,c],[d,e,f],[g,h,k]])
 --R   (7)  |d  e  f|
 --R        |       |
 --R        +g  h  k+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 7
 
 --S 8 of 36
@@ -130,7 +130,7 @@ characteristicPolynomial n
 --R   + 
 --R                                       2                2      3
 --R     (b f - c e + %C c)g + (- %C a + %C )e + %C b d + %C a - %C
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 8
 
 \end{chunk}
@@ -143,7 +143,7 @@ leig := eigenvalues m
 --R
 --R                  2
 --R   (9)  [5,%D | %D  - %D - 5]
---RType: List Union(Fraction Polynomial Integer,SuchThat(Symbol,Polynomial Integer))
+--IType: List(Union(Fraction(Polynomial(Integer)),SuchThat(...
 --E 9
 
 --S 10 of 36
@@ -151,7 +151,7 @@ alpha:=leig.1
 --R 
 --R
 --R   (10)  5
---R                                 Type: Union(Fraction Polynomial Integer,...)
+--R                               Type: Union(Fraction(Polynomial(Integer)),...)
 --E 10
 
 \end{chunk}
@@ -169,7 +169,7 @@ eigenvector(alpha,m)
 --R          |  2|
 --R          |   |
 --R          + 1 +
---R                       Type: List Matrix Fraction Polynomial Fraction Integer
+--R                  Type: List(Matrix(Fraction(Polynomial(Fraction(Integer)))))
 --E 11
 
 --S 12 of 36
@@ -178,7 +178,7 @@ beta:=leig.2
 --R
 --R                2
 --R   (12)  %D | %D  - %D - 5
---R                         Type: Union(SuchThat(Symbol,Polynomial Integer),...)
+--R                        Type: Union(SuchThat(Symbol,Polynomial(Integer)),...)
 --E 12
 
 \end{chunk}
@@ -195,7 +195,7 @@ eigenvector(beta,m)$EP(INT)
 --R   (13)  [|2 |]
 --R          |  |
 --R          +1 +
---R                                Type: List Matrix Fraction Polynomial Integer
+--R                            Type: List(Matrix(Fraction(Polynomial(Integer))))
 --E 13
 
 -- eigenvector(beta,m)  not accepted by the interpreter
@@ -222,7 +222,7 @@ eigenvectors m
 --R    [eigval= (%E | %E  - %E - 5),eigmult= 1,eigvec= [|2 |]]]
 --R                                                     |  |
 --R                                                     +1 +
---IType: List Record(eigval: Union(Fraction Polynomial Integer,...
+--IType: List(Record(eigval: Union(Fraction(Polynomial(Integer)),...
 --E 14
 
 --S 15 of 36
@@ -233,7 +233,7 @@ q:=matrix [[x**2-y**2,(x-y)*(2*x+3*y)],[x+y,2*x+3*y]]
 --R   (15)  |- y  + x   - 3y  + x y + 2x |
 --R         |                            |
 --R         +  y + x         3y + 2x     +
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 15
 
 --S 16 of 36
@@ -249,7 +249,7 @@ eigenvectors(q)
 --R    [eigval= 0,eigmult= 1,eigvec= [|  y + x  |]]]
 --R                                   |         |
 --R                                   +    1    +
---IType: List Record(eigval: Union(Fraction Polynomial Integer,...
+--IType: List(Record(eigval: Union(Fraction(Polynomial(Integer)),...
 --E 16
 
 --S 17 of 36
@@ -263,7 +263,7 @@ p:=matrix([[76,-18,58,-10],[-4,78,2,-2],[-6,15,45,3],[22,-75,7,41]])
 --R         |- 6   15   45   3  |
 --R         |                   |
 --R         +22   - 75  7    41 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 17
 
 --S 18 of 36
@@ -291,7 +291,7 @@ ll := eigenvectors p
 --R                                    | 0 |
 --R                                    |   |
 --R                                    + 1 +
---IType: List Record(eigval: Union(Fraction Polynomial Integer,...
+--IType: List(Record(eigval: Union(Fraction(Polynomial(Integer)),...
 --E 18
 
 \end{chunk}
@@ -315,7 +315,7 @@ generalizedEigenvectors p
 --R                            | 1  | +1+                           + 0  + + 1 +
 --R                            |    |
 --R                            + 0  +
---IType: List Record(eigval: Union(Fraction Polynomial Integer,...
+--IType: List(Record(eigval: Union(Fraction(Polynomial(Integer)),...
 --E 19
 
 --S 20 of 36
@@ -333,7 +333,7 @@ generalizedEigenvector(ll.1,p)$EP(INT)
 --R          | 1  | +1+
 --R          |    |
 --R          + 0  +
---R                                Type: List Matrix Fraction Polynomial Integer
+--R                            Type: List(Matrix(Fraction(Polynomial(Integer))))
 --E 20
 
 -- generalizedEigenvector(ll.1,p) the interpreter can not handle this
@@ -357,7 +357,7 @@ m
 --R   (21)  |2   1   - 2|
 --R         |           |
 --R         +1  - 2   4 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 21
 
 --S 22 of 36
@@ -369,7 +369,7 @@ mm:=matrix([[30,4,24],[-17,8,-7],[-31,-54,-5]])
 --R   (22)  |- 17   8    - 7|
 --R         |               |
 --R         +- 31  - 54  - 5+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 22
 
 \end{chunk}
@@ -384,7 +384,7 @@ le1:=radicalEigenvalues m
 --R          - \|21  + 1 \|21  + 1
 --R   (23)  [-----------,---------,5]
 --R               2          2
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 23
 
 --S 24 of 36
@@ -393,7 +393,7 @@ le2:=radicalEigenvalues mm
 --R
 --R             +---+      +---+
 --R   (24)  [22\|- 1 ,- 22\|- 1 ,33]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 24
 
 \end{chunk}
@@ -412,7 +412,7 @@ radicalEigenvector(le1.2, m)
 --R          |    2    |
 --R          |         |
 --R          +    1    +
---R                                         Type: List Matrix Expression Integer
+--R                                      Type: List(Matrix(Expression(Integer)))
 --E 25
 
 --S 26 of 36
@@ -432,7 +432,7 @@ radicalEigenvector(le2.2,mm)
 --R          |   38\|- 1  - 8    |
 --R          |                   |
 --R          +         1         +
---R                                         Type: List Matrix Expression Integer
+--R                                      Type: List(Matrix(Expression(Integer)))
 --E 26
 
 \end{chunk}
@@ -468,7 +468,7 @@ radicalEigenvectors m
 --R                                    |  2|
 --R                                    |   |
 --R                                    + 1 +
---IType: List Record(radval: Expression Integer,radmult: Integer,...
+--IType: List(Record(radval: Expression(Integer),radmult: Integer,...
 --E 27
 
 --S 28 of 36
@@ -503,7 +503,7 @@ radicalEigenvectors mm
 --R    [radval= 33,radmult= 1,radvect= [|- 3|]]]
 --R                                     |   |
 --R                                     + 1 +
---IType: List Record(radval: Expression Integer,radmult: Integer,...
+--IType: List(Record(radval: Expression(Integer),radmult: Integer,...
 --E 28
 
 \end{chunk}
@@ -521,7 +521,7 @@ realEigenvalues(m,1/1000000)
 --R            3756603   5853755
 --R   (29)  [- -------,5,-------]
 --R            2097152   2097152
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 29
 
 --S 30 of 36
@@ -529,7 +529,7 @@ complexEigenvalues(mm,1/1000000)
 --R 
 --R
 --R   (30)  [- 22%i,22%i,33]
---R                                          Type: List Complex Fraction Integer
+--R                                       Type: List(Complex(Fraction(Integer)))
 --E 30
 
 --S 31 of 36
@@ -558,7 +558,7 @@ realEigenvectors(m,1/1000000)
 --R               2097152                      |    2    |
 --R                                            |         |
 --R                                            +    1    +
---IType: List Record(outval: Fraction Integer,outmult: Integer,...
+--IType: List(Record(outval: Fraction(Integer),outmult: Integer,...
 --E 31
 
 --S 32 of 36
@@ -589,7 +589,7 @@ complexEigenvectors(mm,1/1000000)
 --R                                         | 58   58    |
 --R                                         |            |
 --R                                         +     1      +
---IType: List Record(outval: Complex Fraction Integer,outmult: Integer,...
+--IType: List(Record(outval: Complex(Fraction(Integer)),...
 --E 32
 
 \end{chunk}
@@ -601,7 +601,7 @@ realEigenvalues(m,.000001)
 --R 
 --R
 --R   (33)  [- 1.7912878990 173339844,5.0,2.7912878990 173339844]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 33
 
 --S 34 of 36
@@ -630,7 +630,7 @@ realEigenvectors(m,.000001)
 --R                |                        |
 --R                +          1.0           +
 --R     ]
---R Type: List Record(outval: Float,outmult: Integer,outvect: List Matrix Float)
+--RType: List(Record(outval: Float,outmult: Integer,outvect: List(Matrix(Float))))
 --E 34
 
 --S 35 of 36
@@ -638,7 +638,7 @@ complexEigenvalues(mm,.000001)
 --R 
 --R
 --R   (35)  [- 22.0 %i,22.0 %i,33.0]
---R                                                     Type: List Complex Float
+--R                                                   Type: List(Complex(Float))
 --E 35
 
 --S 36 of 36
@@ -667,7 +667,7 @@ complexEigenvectors(mm,.000001)
 --R                |                                                     |
 --R                +                         1.0                         +
 --R     ]
---IType: List Record(outval: Complex Float,outmult: Integer,...
+--IType: List(Record(outval: Complex(Float),outmult: Integer,...
 --E 36
 )spool
 )lisp (bye)
diff --git a/src/input/elemfun.input.pamphlet b/src/input/elemfun.input.pamphlet
index 7428aec..70b63db 100644
--- a/src/input/elemfun.input.pamphlet
+++ b/src/input/elemfun.input.pamphlet
@@ -29,7 +29,7 @@ cos 0
 --R 
 --R
 --R   (1)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 28
@@ -37,7 +37,7 @@ sin 0
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 28
@@ -45,7 +45,7 @@ exp 0
 --R 
 --R
 --R   (3)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 28
@@ -53,7 +53,7 @@ log 1
 --R 
 --R
 --R   (4)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 28
@@ -61,7 +61,7 @@ sin(%pi/2)
 --R 
 --R
 --R   (5)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 28
@@ -69,7 +69,7 @@ simplify %
 --R 
 --R
 --R   (6)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 \end{chunk} 
@@ -81,7 +81,7 @@ sin(3)**2 + cos(3)**2
 --R
 --R              2         2
 --R   (7)  sin(3)  + cos(3)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 28
@@ -89,7 +89,7 @@ simplify %
 --R 
 --R
 --R   (8)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9  of 28
@@ -99,7 +99,7 @@ a := atan 1
 --R        %pi
 --R   (9)  ---
 --R         4
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 28
@@ -107,7 +107,7 @@ t := cos(a)*sin(a)*tan(a)*sec(a)*csc(a)*cot(a)
 --R 
 --R
 --R   (10)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 28
@@ -115,7 +115,7 @@ simplify t
 --R 
 --R
 --R   (11)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 \end{chunk} 
@@ -126,7 +126,7 @@ cot2tan t
 --R 
 --R
 --R   (12)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 28
@@ -134,7 +134,7 @@ cot2trig t
 --R 
 --R
 --R   (13)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 28
@@ -142,7 +142,7 @@ tan2cot t
 --R 
 --R
 --R   (14)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 28
@@ -150,7 +150,7 @@ tan2trig t
 --R 
 --R
 --R   (15)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 28
@@ -158,7 +158,7 @@ cos2sec t
 --R 
 --R
 --R   (16)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
  
 \end{chunk}
@@ -174,7 +174,7 @@ t := sin(7)**2 - sec(7)/(1 - cot(7) + csc(7)**3)
 --R   (17)  --------------------------------------
 --R                        3
 --R                  csc(7)  - cot(7) + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 28
@@ -190,7 +190,7 @@ simplify t
 --R  /
 --R            3                         4         2
 --R     (cos(7)  - cos(7))sin(7) - cos(7)  + cos(7)  - cos(7)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 --S 19 of 28
@@ -238,7 +238,7 @@ u := exp(sin(x-1)**2 - cos(x-1)/sec(x-1))
 --R           ----------------------------------
 --R                       sec(x - 1)
 --R   (22)  %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 
 --S 23 of 28
@@ -248,7 +248,7 @@ eval(u,x=1)
 --R          1
 --R   (23)  --
 --R         %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
  
 \end{chunk}
@@ -263,32 +263,32 @@ v(x) == exp(sin(x-1)**2 - cos(x-1)/sec(x-1))
 --S 25 of 28
 v x
 --R 
---R   Compiling function v with type Variable x -> Expression Integer 
+--R   Compiling function v with type Variable(x) -> Expression(Integer) 
 --R
 --R                               2
 --R           sec(x - 1)sin(x - 1)  - cos(x - 1)
 --R           ----------------------------------
 --R                       sec(x - 1)
 --R   (25)  %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 25
 
 --S 26 of 28
 v 1
 --R 
---R   Compiling function v with type PositiveInteger -> Expression Integer
---R      
+--R   Compiling function v with type PositiveInteger -> Expression(Integer
+--R      ) 
 --R
 --R          1
 --R   (26)  --
 --R         %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 26
 
 --S 27 of 28
 v(%pi/3)
 --R 
---R   Compiling function v with type Pi -> Expression Integer 
+--R   Compiling function v with type Pi -> Expression(Integer) 
 --R
 --R               %pi - 3     %pi - 3 2       %pi - 3
 --R           sec(-------)sin(-------)  - cos(-------)
@@ -298,7 +298,7 @@ v(%pi/3)
 --R                         sec(-------)
 --R                                3
 --R   (27)  %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 27
 
 --S 28 of 28
diff --git a/src/input/elemnum.input.pamphlet b/src/input/elemnum.input.pamphlet
index 368cdb0..877f1c7 100644
--- a/src/input/elemnum.input.pamphlet
+++ b/src/input/elemnum.input.pamphlet
@@ -37,7 +37,7 @@ x := 0.7::Float
 --R 
 --R
 --R   (2)  [0.7]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 2
 
 --S 3 of 50
@@ -45,7 +45,7 @@ x := 0.7::Float
 --R 
 --R
 --R   (3)  [0.7]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 3
 
 --S 4 of 50
@@ -53,7 +53,7 @@ x := 0.7::Float
 --R 
 --R
 --R   (4)  [0.7,0.7,0.7,0.7]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 4
 
 --S 5 of 50
@@ -61,7 +61,7 @@ x := 0.7::Float
 --R 
 --R
 --R   (5)  [0.7,0.7,0.7,0.7,0.7,0.7]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 5
 
 --S 6 of 50
@@ -69,7 +69,7 @@ x := 0.7::Float
 --R 
 --R
 --R   (6)  [0.7,0.7,0.7,0.7]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 6
 
 --S 7 of 50
@@ -77,7 +77,7 @@ x := 0.7::Float
 --R 
 --R
 --R   (7)  [0.7,0.7,0.7,0.7,0.7,0.7]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 7
 
 --should give errors:
@@ -99,7 +99,7 @@ x := 1.1::Float
 --R 
 --R
 --R   (9)  [1.1]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 9
 
 --S 10 of 50
@@ -107,7 +107,7 @@ x := 1.1::Float
 --R 
 --R
 --R   (10)  [1.1]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 10
 
 --S 11 of 50
@@ -115,7 +115,7 @@ x := 1.1::Float
 --R 
 --R
 --R   (11)  [1.1,1.1,1.1,1.1]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 11
 
 --S 12 of 50
@@ -123,7 +123,7 @@ x := 1.1::Float
 --R 
 --R
 --R   (12)  [1.1,1.1,1.1,1.1,1.1,1.1]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 12
 
 --S 13 of 50
@@ -131,7 +131,7 @@ x := 1.1::Float
 --R 
 --R
 --R   (13)  [1.1,1.1,1.1,1.1]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 13
 
 --S 14 of 50
@@ -139,7 +139,7 @@ x := 1.1::Float
 --R 
 --R
 --R   (14)  [1.1,1.1,1.1,1.1,1.1,1.1]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 14
 
 --should give errors: 
@@ -161,7 +161,7 @@ x := 0.7::DoubleFloat
 --R 
 --R
 --R   (16)  [0.69999999999999996]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 16
 
 --S 17 of 50
@@ -169,7 +169,7 @@ x := 0.7::DoubleFloat
 --R 
 --R
 --R   (17)  [0.70000000000000007]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 17
 
 --S 18 of 50
@@ -179,7 +179,7 @@ x := 0.7::DoubleFloat
 --R   (18)
 --R   [0.69999999999999996, 0.70000000000000007, 0.69999999999999996,
 --R    0.69999999999999996]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 18
 
 --S 19 of 50
@@ -189,7 +189,7 @@ x := 0.7::DoubleFloat
 --R   (19)
 --R   [0.69999999999999996, 0.69999999999999996, 0.69999999999999996,
 --R    0.69999999999999996, 0.69999999999999996, 0.69999999999999996]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 19
 
 --S 20 of 50
@@ -199,7 +199,7 @@ x := 0.7::DoubleFloat
 --R   (20)
 --R   [0.69999999999999996, 0.69999999999999996, 0.69999999999999984,
 --R    0.69999999999999996]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 20
 
 --S 21 of 50
@@ -209,7 +209,7 @@ x := 0.7::DoubleFloat
 --R   (21)
 --R   [0.70000000000000007, 0.70000000000000018, 0.70000000000000029,
 --R    0.70000000000000029, 0.70000000000000007, 0.70000000000000018]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 21
 
 --should give errors: 
@@ -231,7 +231,7 @@ x := 1.1::DoubleFloat
 --R 
 --R
 --R   (23)  [1.1000000000000001]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 23
 
 --S 24 of 50
@@ -239,7 +239,7 @@ x := 1.1::DoubleFloat
 --R 
 --R
 --R   (24)  [1.1000000000000001]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 24
 
 --S 25 of 50
@@ -248,7 +248,7 @@ x := 1.1::DoubleFloat
 --R
 --R   (25)
 --R   [1.1000000000000001,1.0999999999999999,1.1000000000000001,1.1000000000000001]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 25
 
 --S 26 of 50
@@ -258,7 +258,7 @@ x := 1.1::DoubleFloat
 --R   (26)
 --R   [1.1000000000000003, 1.1000000000000001, 1.1000000000000001,
 --R    1.1000000000000001, 1.0999999999999999, 1.1000000000000001]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 26
 
 --S 27 of 50
@@ -267,7 +267,7 @@ x := 1.1::DoubleFloat
 --R
 --R   (27)
 --R   [1.1000000000000001,1.1000000000000001,1.1000000000000001,1.1000000000000001]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 27
 
 --S 28 of 50
@@ -277,7 +277,7 @@ x := 1.1::DoubleFloat
 --R   (28)
 --R   [1.1000000000000001, 1.0999999999999999, 1.1000000000000001,
 --R    1.1000000000000003, 1.1000000000000001, 1.0999999999999999]
---R                                                       Type: List DoubleFloat
+--R                                                      Type: List(DoubleFloat)
 --E 28
 
 --should give errors: 
@@ -349,7 +349,7 @@ bb := 1.1::Float
 qtest(sa, sb, 1)
 --R 
 --R   Compiling function qtest with type (DoubleFloat,DoubleFloat,
---R      PositiveInteger) -> List Complex DoubleFloat 
+--R      PositiveInteger) -> List(Complex(DoubleFloat)) 
 --R
 --R   (35)
 --R   [1.1102230246251565E-16, 2.2204460492503131E-16 - 4.4408920985006262E-16 %i,
@@ -370,13 +370,13 @@ qtest(sa, sb, 1)
 --R    - 5.5511151231257827E-16, - 2.2204460492503131E-16,
 --R    - 1.1102230246251565E-16, 1.1102230246251565E-16, 0.,
 --R    - 1.1102230246251565E-16, - 1.1102230246251565E-16]
---R                                               Type: List Complex DoubleFloat
+--R                                             Type: List(Complex(DoubleFloat))
 --E 35
 
 --S 36 of 50
 qerr %
 --R 
---R   Compiling function qerr with type List Complex DoubleFloat -> 
+--R   Compiling function qerr with type List(Complex(DoubleFloat)) -> 
 --R      DoubleFloat 
 --R
 --R   (36)  1.2373359150401687E-31
@@ -387,7 +387,7 @@ qerr %
 qtest(ba, bb, 1)
 --R 
 --R   Compiling function qtest with type (Float,Float,PositiveInteger) -> 
---R      List Complex Float 
+--R      List(Complex(Float)) 
 --R
 --R   (37)
 --R   [- 0.3 E -20, 0.7 E -20, 0.7 E -20, 0.7 E -20 + 0.7 E -20 %i,
@@ -397,13 +397,13 @@ qtest(ba, bb, 1)
 --R    - 0.7 E -20 - 0.1 E -19 %i, 0.2 E -19, - 0.2 E -19 - 0.7 E -20 %i,
 --R    0.1 E -19 - 0.1 E -19 %i, - 0.7 E -20, - 0.7 E -20 - 0.7 E -20 %i, 0.0,
 --R    - 0.7 E -20, 0.0, - 0.3 E -20]
---R                                                     Type: List Complex Float
+--R                                                   Type: List(Complex(Float))
 --E 37
 
 --S 38 of 50
 qerr %
 --R 
---R   Compiling function qerr with type List Complex Float -> Float 
+--R   Compiling function qerr with type List(Complex(Float)) -> Float 
 --R
 --R   (38)  0.1355456601 9472741322 E -39
 --R                                                                  Type: Float
@@ -432,7 +432,7 @@ qtest(sa, sb, 2)
 --R    0., 8.8817841970012523E-16, 2.2204460492503131E-16, 1.1102230246251565E-16,
 --R    3.3306690738754696E-16, - 1.1102230246251565E-16, 1.1102230246251565E-16,
 --R    2.2204460492503131E-16 - 2.2204460492503131E-16 %i]
---R                                               Type: List Complex DoubleFloat
+--R                                             Type: List(Complex(DoubleFloat))
 --E 39
 
 --S 40 of 50
@@ -455,7 +455,7 @@ qtest(ba, bb, 2)
 --R    - 0.2 E -19, 0.2 E -19 - 0.7 E -20 %i, - 0.1 E -19 - 0.1 E -19 %i,
 --R    0.3 E -20 - 0.7 E -20 %i, 0.7 E -20 - 0.7 E -20 %i, 0.0,
 --R    0.3 E -20 - 0.7 E -20 %i, 0.7 E -20 - 0.7 E -20 %i, - 0.3 E -20]
---R                                                     Type: List Complex Float
+--R                                                   Type: List(Complex(Float))
 --E 41
 
 --S 42 of 50
@@ -486,7 +486,7 @@ qtest(sa, sb, 3)
 --R    8.8817841970012523E-16, 2.2204460492503131E-16, 1.1102230246251565E-16,
 --R    3.3306690738754696E-16, - 1.1102230246251565E-16, 1.1102230246251565E-16,
 --R    2.2204460492503131E-16 + 2.2204460492503131E-16 %i]
---R                                               Type: List Complex DoubleFloat
+--R                                             Type: List(Complex(DoubleFloat))
 --E 43
 
 --S 44 of 50
@@ -510,7 +510,7 @@ qtest(ba, bb, 3)
 --R    0.3 E -20 + 0.7 E -20 %i, 0.1 E -19 %i, 0.3 E -20 + 0.7 E -20 %i,
 --R    0.7 E -20 + 0.7 E -20 %i, 0.0, 0.3 E -20 + 0.7 E -20 %i,
 --R    0.7 E -20 + 0.7 E -20 %i, - 0.3 E -20]
---R                                                     Type: List Complex Float
+--R                                                   Type: List(Complex(Float))
 --E 45
 
 --S 46 of 50
@@ -538,7 +538,7 @@ qtest(sa, sb, 4)
 --R    2.2204460492503131E-16 %i, 0., 0., - 6.6613381477509392E-16,
 --R    - 2.2204460492503131E-16, - 1.1102230246251565E-16, 1.1102230246251565E-16,
 --R    0., - 1.1102230246251565E-16, - 1.1102230246251565E-16]
---R                                               Type: List Complex DoubleFloat
+--R                                             Type: List(Complex(DoubleFloat))
 --E 47
 
 --S 48 of 50
@@ -560,7 +560,7 @@ qtest(ba, bb, 4)
 --R    - 0.3 E -20, 0.3 E -20 + 0.1 E -19 %i, 0.1 E -19 + 0.7 E -20 %i,
 --R    - 0.3 E -20 + 0.7 E -20 %i, - 0.3 E -20 + 0.1 E -19 %i, - 0.7 E -20,
 --R    - 0.7 E -20 + 0.7 E -20 %i, 0.0, - 0.7 E -20, 0.0, - 0.3 E -20]
---R                                                     Type: List Complex Float
+--R                                                   Type: List(Complex(Float))
 --E 49
 
 --S 50 of 50
diff --git a/src/input/elfuts.input.pamphlet b/src/input/elfuts.input.pamphlet
index f8fa47d..de84dcd 100644
--- a/src/input/elfuts.input.pamphlet
+++ b/src/input/elfuts.input.pamphlet
@@ -45,7 +45,7 @@ xx:UTS(RN,'x,0):=x
 --R 
 --R
 --R   (3)  x
---R                           Type: UnivariateTaylorSeries(Fraction Integer,x,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),x,0)
 --E 3
 
 --S 4 of 40
@@ -55,7 +55,7 @@ sn(xx,1::RN)
 --R            1  3    2  5    17  7    62   9      11
 --R   (4)  x - - x  + -- x  - --- x  + ---- x  + O(x  )
 --R            3      15      315      2835
---R                           Type: UnivariateTaylorSeries(Fraction Integer,x,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),x,0)
 --E 4
 
 --S 5 of 40
@@ -65,7 +65,7 @@ cn(xx,1::RN)
 --R            1  2    5  4    61  6    277  8    50521   10      11
 --R   (5)  1 - - x  + -- x  - --- x  + ---- x  - ------- x   + O(x  )
 --R            2      24      720      8064      3628800
---R                           Type: UnivariateTaylorSeries(Fraction Integer,x,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),x,0)
 --E 5
 
 --S 6 of 40
@@ -75,7 +75,7 @@ dn(xx,1::RN)
 --R            1  2    5  4    61  6    277  8    50521   10      11
 --R   (6)  1 - - x  + -- x  - --- x  + ---- x  - ------- x   + O(x  )
 --R            2      24      720      8064      3628800
---R                           Type: UnivariateTaylorSeries(Fraction Integer,x,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),x,0)
 --E 6
 
 --S 7 of 40
@@ -83,7 +83,7 @@ yy:UTS(FRAC UP(k,RN),'y,0):=y
 --R 
 --R
 --R   (7)  y
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 7
 
 --S 8 of 40
@@ -102,7 +102,7 @@ snn:=sn(yy,k::QF UP(k,RN))
 --R         1    8    307   6    913   4    307   2      1    9      11
 --R     (------ k  + ----- k  + ----- k  + ----- k  + ------)y  + O(y  )
 --R      362880      90720      60480      90720      362880
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 8
 
 --S 9 of 40
@@ -121,7 +121,7 @@ cnn:=cn(yy,k::QF UP(k,RN))
 --R          1    8    247   6    641   4     461   2      1     10      11
 --R     (- ----- k  - ----- k  - ----- k  - ------ k  - -------)y   + O(y  )
 --R        14175      56700      75600      453600      3628800
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 9
 
 --S 10 of 40
@@ -140,7 +140,7 @@ dnn:=dn(yy,k::QF UP(k,RN))
 --R           1     10     461   8    641   6    247   4     1    2  10      11
 --R     (- ------- k   - ------ k  - ----- k  - ----- k  - ----- k )y   + O(y  )
 --R        3628800       453600      75600      56700      14175
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 10
 
 --S 11 of 40
@@ -149,7 +149,7 @@ snn**2+cnn**2
 --R
 --R                11
 --R   (11)  1 + O(y  )
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 11
 
 --S 12 of 40
@@ -158,7 +158,7 @@ ksquared:=(k::UP(k,RN))**2
 --R
 --R          2
 --R   (12)  k
---R                               Type: UnivariatePolynomial(k,Fraction Integer)
+--R                              Type: UnivariatePolynomial(k,Fraction(Integer))
 --E 12
 
 --S 13 of 40
@@ -167,7 +167,7 @@ dnn**2+ksquared*snn**2
 --R
 --R                11
 --R   (13)  1 + O(y  )
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 13
 
 --S 14 of 40
@@ -186,7 +186,7 @@ dnn**2+ksquared*snn**2
 --R        2    10    109  8    6977  6    6977  4    109  2     2    10      11
 --R   (- ----- k   - ---- k  - ----- k  - ----- k  - ---- k  - -----)y   + O(y  )
 --R      14175       2025      14175      14175      2025      14175
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 14
 
 --S 15 of 40
@@ -205,7 +205,7 @@ dnn**2+ksquared*snn**2
 --R        2    10    109  8    6977  6    6977  4    109  2     2    10      11
 --R   (- ----- k   - ---- k  - ----- k  - ----- k  - ---- k  - -----)y   + O(y  )
 --R      14175       2025      14175      14175      2025      14175
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 15
 
 --S 16 of 40
@@ -224,7 +224,7 @@ dnn**2+ksquared*snn**2
 --R       512   8    6101  6   2242  4    761   2     2    10      11
 --R     (----- k  + ----- k  + ---- k  + ----- k  + -----)y   + O(y  )
 --R      14175      14175      4725      14175      14175
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 16
 
 --S 17 of 40
@@ -243,7 +243,7 @@ dnn**2+ksquared*snn**2
 --R       512   8    6101  6   2242  4    761   2     2    10      11
 --R     (----- k  + ----- k  + ---- k  + ----- k  + -----)y   + O(y  )
 --R      14175      14175      4725      14175      14175
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 17
 
 --S 18 of 40
@@ -262,7 +262,7 @@ dnn**2+ksquared*snn**2
 --R        2    12    761   10   2242  8    6101  6    512   4  10      11
 --R     (----- k   + ----- k   + ---- k  + ----- k  + ----- k )y   + O(y  )
 --R      14175       14175       4725      14175      14175
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 18
 
 --S 19 of 40
@@ -281,7 +281,7 @@ dnn**2+ksquared*snn**2
 --R        2    12    761   10   2242  8    6101  6    512   4  10      11
 --R     (----- k   + ----- k   + ---- k  + ----- k  + ----- k )y   + O(y  )
 --R      14175       14175       4725      14175      14175
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 19
 
 --S 20 of 40
@@ -300,7 +300,7 @@ kkk:=integrate(1/((1-yy**2)*(1-ksquared*yy**2))**(1/2))
 --R       35   8    5   6    1  4    5   2    35   9      11
 --R     (---- k  + --- k  + -- k  + --- k  + ----)y  + O(y  )
 --R      1152      288      64      288      1152
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 20
 
 --S 21 of 40
@@ -319,7 +319,7 @@ revert kkk
 --R         1    8    307   6    913   4    307   2      1    9      11
 --R     (------ k  + ----- k  + ----- k  + ----- k  + ------)y  + O(y  )
 --R      362880      90720      60480      90720      362880
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 21
 
 --S 22 of 40
@@ -352,7 +352,7 @@ snn
 --R   + 
 --R        12
 --R     O(y  )
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 22
  
 \end{chunk}
@@ -374,18 +374,18 @@ qq:UTS(RN,'q,0):=q
 --R 
 --R
 --R   (24)  q
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 24
 
 --S 25 of 40
 q0:=eprod(1-qq)
 --R 
---R   Compiling function eprod with type UnivariateTaylorSeries(Fraction 
---R      Integer,q,0) -> UnivariateTaylorSeries(Fraction Integer,q,0) 
+--R   Compiling function eprod with type UnivariateTaylorSeries(Fraction(
+--R      Integer),q,0) -> UnivariateTaylorSeries(Fraction(Integer),q,0) 
 --R
 --R              2    4    10      11
 --R   (25)  1 - q  - q  + q   + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 25
 
 --S 26 of 40
@@ -394,7 +394,7 @@ q1:=eprod(1+qq)
 --R
 --R              2    4     6     8     10      11
 --R   (26)  1 + q  + q  + 2q  + 2q  + 3q   + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 26
 
 --S 27 of 40
@@ -406,12 +406,12 @@ oprod x == exp oddlambert log x
 --S 28 of 40
 q2:=oprod(1+qq)
 --R 
---R   Compiling function oprod with type UnivariateTaylorSeries(Fraction 
---R      Integer,q,0) -> UnivariateTaylorSeries(Fraction Integer,q,0) 
+--R   Compiling function oprod with type UnivariateTaylorSeries(Fraction(
+--R      Integer),q,0) -> UnivariateTaylorSeries(Fraction(Integer),q,0) 
 --R
 --R                  3    4    5    6    7     8     9     10      11
 --R   (28)  1 + q + q  + q  + q  + q  + q  + 2q  + 2q  + 2q   + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 28
 
 --S 29 of 40
@@ -420,7 +420,7 @@ q3:=oprod(1-qq)
 --R
 --R                  3    4    5    6    7     8     9     10      11
 --R   (29)  1 - q - q  + q  - q  + q  - q  + 2q  - 2q  + 2q   + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 29
 
 --S 30 of 40
@@ -429,7 +429,7 @@ q1*q2*q3
 --R
 --R                11
 --R   (30)  1 + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 30
 
 --S 31 of 40
@@ -438,7 +438,7 @@ q2**8-q3**8
 --R
 --R                   3       5        7        9      11
 --R   (31)  16q + 128q  + 576q  + 2048q  + 6304q  + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 31
 
 --S 32 of 40
@@ -447,7 +447,7 @@ q2**8-q3**8
 --R
 --R                   3       5        7        9      11
 --R   (32)  16q + 128q  + 576q  + 2048q  + 6304q  + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 32
 
 --(q1**2/q2**2)**2
@@ -459,7 +459,7 @@ q0**3
 --R
 --R               2     6      11
 --R   (33)  1 - 3q  + 5q  + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 33
 
 --S 34 of 40
@@ -468,7 +468,7 @@ q1**2*q0
 --R
 --R              2    6      11
 --R   (34)  1 + q  + q  + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 34
 
 --S 35 of 40
@@ -477,7 +477,7 @@ q2**2*q0
 --R
 --R                    4     9      11
 --R   (35)  1 + 2q + 2q  + 2q  + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 35
 
 --S 36 of 40
@@ -486,7 +486,7 @@ q3**2*q0
 --R
 --R                    4     9      11
 --R   (36)  1 - 2q + 2q  - 2q  + O(q  )
---R                           Type: UnivariateTaylorSeries(Fraction Integer,q,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 36
 
 --S 37 of 40
@@ -494,7 +494,7 @@ qqq:UTS(FRAC UP(a,RN),'q,0):=q
 --R 
 --R
 --R   (37)  q
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(a,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(a,Fraction(Integer))),q,0)
 --E 37
 
 --S 38 of 40
@@ -502,7 +502,7 @@ a:=a::FRAC UP(a,RN)
 --R 
 --R
 --R   (38)  a
---R                      Type: Fraction UnivariatePolynomial(a,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(a,Fraction(Integer)))
 --E 38
 
 \end{chunk} 
@@ -511,21 +511,21 @@ Jacobi's triple product
 --S 39 of 40
 eprod(1-qqq)*oprod(1-a*qqq)*oprod(1-qqq/a)
 --R 
---R   Compiling function eprod with type UnivariateTaylorSeries(Fraction 
---R      UnivariatePolynomial(a,Fraction Integer),q,0) -> 
---R      UnivariateTaylorSeries(Fraction UnivariatePolynomial(a,Fraction 
---R      Integer),q,0) 
---R   Compiling function oprod with type UnivariateTaylorSeries(Fraction 
---R      UnivariatePolynomial(a,Fraction Integer),q,0) -> 
---R      UnivariateTaylorSeries(Fraction UnivariatePolynomial(a,Fraction 
---R      Integer),q,0) 
+--R   Compiling function eprod with type UnivariateTaylorSeries(Fraction(
+--R      UnivariatePolynomial(a,Fraction(Integer))),q,0) -> 
+--R      UnivariateTaylorSeries(Fraction(UnivariatePolynomial(a,Fraction(
+--R      Integer))),q,0) 
+--R   Compiling function oprod with type UnivariateTaylorSeries(Fraction(
+--R      UnivariatePolynomial(a,Fraction(Integer))),q,0) -> 
+--R      UnivariateTaylorSeries(Fraction(UnivariatePolynomial(a,Fraction(
+--R      Integer))),q,0) 
 --R
 --R                2          4             6
 --R             - a  - 1     a  + 1  4   - a  - 1  9      11
 --R   (39)  1 + -------- q + ------ q  + -------- q  + O(q  )
 --R                 a           2            3
 --R                            a            a
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(a,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(a,Fraction(Integer))),q,0)
 --E 39
 
 --S 40 of 40
@@ -544,7 +544,7 @@ sq:=ksquared*snn**2
 --R        2    10    251   8    292  6    251   4     2    2  10      11
 --R     (----- k   + ----- k  + ---- k  + ----- k  + ----- k )y   + O(y  )
 --R      14175       14175      4725      14175      14175
---IType: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,...
+--RType: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Fraction(Integer))),y,0)
 --E 40
 )spool 
 )lisp (bye)
diff --git a/src/input/elt.input.pamphlet b/src/input/elt.input.pamphlet
index 3350745..a86777f 100644
--- a/src/input/elt.input.pamphlet
+++ b/src/input/elt.input.pamphlet
@@ -49,7 +49,7 @@ u:Any := [1, 7.2, 3/2, x**2, "wally"]
 --R               3  2
 --R   (1)  [1,7.2,-,x ,"wally"]
 --R               2
---R                                                               Type: List Any
+--R                                                              Type: List(Any)
 --E 3
 
 --S 4 of 4
diff --git a/src/input/en.input.pamphlet b/src/input/en.input.pamphlet
index 603517e..221e977 100644
--- a/src/input/en.input.pamphlet
+++ b/src/input/en.input.pamphlet
@@ -245,7 +245,7 @@ t2:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R     1 3031902082139297 6063803737378113       426900481
 --R    [-,----------------,----------------,- ----------------]]
 --R     2 4503599627370496 9007199254740992   9007199254740992
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 2
 
 \end{chunk}
@@ -1019,7 +1019,7 @@ t3:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R        5409262703795597   338078575096777       5502247165
 --R    [2,------------------,----------------,- ------------------]]
 --R       144115188075855872 9007199254740992   144115188075855872
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 3
 
 \end{chunk}
@@ -2312,7 +2312,7 @@ t4:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R        4342680608364995   542834712115425        2911441595
 --R    [2,------------------,-----------------,- ------------------]]
 --R       144115188075855872 18014398509481984   144115188075855872
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 4
 
 \end{chunk}
@@ -3755,7 +3755,7 @@ t5:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R        1803082764092263  7212342935397909      11879028857
 --R    [2,-----------------,------------------,------------------]]
 --R       72057594037927936 288230376151711744 288230376151711744
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 5
 
 \end{chunk}
@@ -5310,7 +5310,7 @@ t6:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R        6970621062928227   6970612494646361        4284140933
 --R    [2,------------------,------------------,- ------------------]]
 --R       576460752303423488 576460752303423488   288230376151711744
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 6
 
 \end{chunk}
@@ -7034,9 +7034,12 @@ t7:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R        3697592203499849   1848797789432423      3375364997
 --R    [2,------------------,------------------,------------------]]
 --R       576460752303423488 288230376151711744 576460752303423488
---R                                             Type: List List Fraction Integer
+--R                                          Type: List(List(Fraction(Integer)))
 --E 7
 
+)spool
+)lisp (bye)
+
 \end{chunk}
 
 The actual table values from above are:
diff --git a/src/input/eq.input.pamphlet b/src/input/eq.input.pamphlet
index 76b3cb5..b719659 100644
--- a/src/input/eq.input.pamphlet
+++ b/src/input/eq.input.pamphlet
@@ -29,7 +29,7 @@ eq1 := 3*x + 4*y = 5
 --R 
 --R
 --R   (1)  4y + 3x= 5
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 1
 
 --S 2 of 12
@@ -37,7 +37,7 @@ eq2 := 2*x + 2*y = 3
 --R 
 --R
 --R   (2)  2y + 2x= 3
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 2
 
 --S 3 of 12
@@ -45,7 +45,7 @@ lhs eq1
 --R 
 --R
 --R   (3)  4y + 3x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 3
 
 --S 4 of 12
@@ -53,7 +53,7 @@ rhs eq1
 --R 
 --R
 --R   (4)  5
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 4
 
 --S 5 of 12
@@ -61,7 +61,7 @@ eq1 + eq2
 --R 
 --R
 --R   (5)  6y + 5x= 8
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 5
 
 --S 6 of 12
@@ -70,7 +70,7 @@ eq1 * eq2
 --R
 --R          2             2
 --R   (6)  8y  + 14x y + 6x = 15
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 6
 
 --S 7 of 12
@@ -78,7 +78,7 @@ eq1 * eq2
 --R 
 --R
 --R   (7)  x= 1
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 7
 
 --S 8 of 12
@@ -87,7 +87,7 @@ eq1**2
 --R
 --R           2             2
 --R   (8)  16y  + 24x y + 9x = 25
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 8
 
 --S 9 of 12
@@ -103,7 +103,7 @@ eqpol := x+1 = y
 --R 
 --R
 --R   (10)  x + 1= y
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 10
 
 --S 11 of 12
diff --git a/src/input/eqtbl.input.pamphlet b/src/input/eqtbl.input.pamphlet
index 97e3ed0..b81347d 100644
--- a/src/input/eqtbl.input.pamphlet
+++ b/src/input/eqtbl.input.pamphlet
@@ -26,7 +26,7 @@ e: EqTable(List Integer, Integer) := table()
 --R 
 --R
 --R   (1)  table()
---R                                          Type: EqTable(List Integer,Integer)
+--R                                         Type: EqTable(List(Integer),Integer)
 --E 1
 
 --S 2 of 6
@@ -34,7 +34,7 @@ l1 := [1,2,3]
 --R 
 --R
 --R   (2)  [1,2,3]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 2
 
 --S 3 of 6
@@ -42,7 +42,7 @@ l2 := [1,2,3]
 --R 
 --R
 --R   (3)  [1,2,3]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 3
 
 --S 4 of 6
diff --git a/src/input/equation.input.pamphlet b/src/input/equation.input.pamphlet
index 4393111..3f73d54 100644
--- a/src/input/equation.input.pamphlet
+++ b/src/input/equation.input.pamphlet
@@ -55,7 +55,7 @@ eq1 := (-6*x**3+13*x**2+4)=(-x**4+12*x)
 --R
 --R            3      2         4
 --R   (1)  - 6x  + 13x  + 4= - x  + 12x
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 1
 
 --S 2 of 12
@@ -64,7 +64,7 @@ eq2 := x**4+13*x**2-12*x = 6*x**3-4
 --R
 --R         4      2          3
 --R   (2)  x  + 13x  - 12x= 6x  - 4
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 2
 
 --S 3 of 12
@@ -73,7 +73,7 @@ eq := eq1*y**2+eq2
 --R
 --R             3      2      2    4      2            4        2     3
 --R   (3)  (- 6x  + 13x  + 4)y  + x  + 13x  - 12x= (- x  + 12x)y  + 6x  - 4
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 3
 
 --S 4 of 12
@@ -82,7 +82,7 @@ swap %
 --R
 --R            4        2     3           3      2      2    4      2
 --R   (4)  (- x  + 12x)y  + 6x  - 4= (- 6x  + 13x  + 4)y  + x  + 13x  - 12x
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 4
 
 --S 5 of 12
@@ -91,7 +91,7 @@ swap %
 --R
 --R            4        2     3       3      2      2    4      2
 --R   (5)  (- x  + 12x)y  + 6x = (- 6x  + 13x  + 4)y  + x  + 13x  - 12x + 4
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 5
 
 --S 6 of 12
@@ -100,7 +100,7 @@ swap %
 --R
 --R            4        2       3      2      2    4     3      2
 --R   (6)  (- x  + 12x)y = (- 6x  + 13x  + 4)y  + x  - 6x  + 13x  - 12x + 4
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 6
 
 --S 7 of 12
@@ -109,7 +109,7 @@ leftZero %
 --R
 --R             4     3      2            2    4     3      2
 --R   (7)  0= (x  - 6x  + 13x  - 12x + 4)y  + x  - 6x  + 13x  - 12x + 4
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 7
 
 --S 8 of 12
@@ -118,7 +118,7 @@ swap %
 --R
 --R          4     3      2            2    4     3      2
 --R   (8)  (x  - 6x  + 13x  - 12x + 4)y  + x  - 6x  + 13x  - 12x + 4= 0
---R                                            Type: Equation Polynomial Integer
+--R                                          Type: Equation(Polynomial(Integer))
 --E 8
 
 --S 9 of 12
@@ -127,7 +127,7 @@ factor lhs %
 --R
 --R               2       2  2
 --R   (9)  (x - 2) (x - 1) (y  + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 9
 
 --S 10 of 12
@@ -136,7 +136,7 @@ factorAndSplit eq
 --R
 --R                             2
 --R   (10)  [x - 2= 0,x - 1= 0,y  + 1= 0]
---R                                       Type: List Equation Polynomial Integer
+--R                                    Type: List(Equation(Polynomial(Integer)))
 --E 10
 
 --S 11 of 12
@@ -147,7 +147,7 @@ inv (eq :: EQ FRAC POLY INT)
 --R   (11)  - ------------------------------------= - ----------------------
 --R              3      2      2    4      2            4        2     3
 --R           (6x  - 13x  - 4)y  - x  - 13x  + 12x    (x  - 12x)y  - 6x  + 4
---R                                   Type: Equation Fraction Polynomial Integer
+--R                                Type: Equation(Fraction(Polynomial(Integer)))
 --E 11
 
 --S 12 of 12
@@ -158,7 +158,7 @@ inv (eq :: EQ FRAC POLY INT)
 --R   (12)  ------------------------------------= ----------------------
 --R            3      2      2    4      2          4        2     3
 --R         (6x  - 13x  - 4)y  - x  - 13x  + 12x  (x  - 12x)y  - 6x  + 4
---R                                   Type: Equation Fraction Polynomial Integer
+--R                                Type: Equation(Fraction(Polynomial(Integer)))
 --E 12
 )spool
 )lisp (bye)
diff --git a/src/input/equation2.input.pamphlet b/src/input/equation2.input.pamphlet
index 0e2b91d..f144282 100644
--- a/src/input/equation2.input.pamphlet
+++ b/src/input/equation2.input.pamphlet
@@ -27,7 +27,7 @@ solve([3*x**3 + y + 1,y - 1],[x,y])
 --R
 --R            3
 --R   (1)  [[3x  + 2= 0,y= 1]]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 1
 
 --S 2 of 27
@@ -44,8 +44,8 @@ solve([x**3 + x - y**2 + 4,x*y + 2],[x,y],"sym")
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                           List Polynomial Integer
---R                       List OrderedVariableList [x,y]
+--R                          List(Polynomial(Integer))
+--R                      List(OrderedVariableList([x,y]))
 --R                                   String
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -60,7 +60,7 @@ solve([x = y**2-19,y = z**2+x+3,z = 3*x],[x,y,z])
 --R             z    3z  + z + 9   4     3      2
 --R   (2)  [[x= -,y= -----------,9z  + 6z  + 55z  + 15z - 90= 0]]
 --R             3         3
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 3
 
 --S 4 of 27
@@ -68,7 +68,7 @@ solve([3*x + 2*y - z,x - 1/2*y + 1/3*z,4/5*x - 2/3*y - z])
 --R 
 --R
 --R   (3)  [[z= 0,y= 0,x= 0]]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 4
 
 --S 5 of 27
@@ -85,8 +85,8 @@ solve([x**2*y - 1,x*y**2 - 2],[x,y],.01)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                           List Polynomial Integer
---R                       List OrderedVariableList [x,y]
+--R                          List(Polynomial(Integer))
+--R                      List(OrderedVariableList([x,y]))
 --R                                    Float
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -107,8 +107,8 @@ solve([x**2/a = 1,a**2 - a*x = 0],[x,a],.001)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                  List Equation Fraction Polynomial Integer
---R                       List OrderedVariableList [x,a]
+--R                List(Equation(Fraction(Polynomial(Integer))))
+--R                      List(OrderedVariableList([x,a]))
 --R                                    Float
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -122,7 +122,7 @@ solve([x**2/a + a + y**3 - 1,a*y + a + 1],[x,y])
 --R           2 2    4     3     2                - a - 1
 --R   (4)  [[a x  + a  - 2a  - 3a  - 3a - 1= 0,y= -------]]
 --R                                                  a
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 7
 
 )clear all
@@ -133,7 +133,7 @@ solve(x**3 + 1 = 0,x)
 --R
 --R                 2
 --R   (1)  [x= - 1,x  - x + 1= 0]
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 8
 
 --S 9 of 27
@@ -150,8 +150,8 @@ solve(x**3*y + x*y + 1,x,"sym")
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                             Polynomial Integer
---R                                 Variable x
+--R                             Polynomial(Integer)
+--R                                 Variable(x)
 --R                                   String
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -165,7 +165,7 @@ solve(3*x + 1/4*y = 1,x)
 --R            - y + 4
 --R   (2)  [x= -------]
 --R               12
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 10
 
 --S 11 of 27
@@ -182,9 +182,9 @@ solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,1/1000)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                             Polynomial Integer
---R                                 Variable x
---R                              Fraction Integer
+--R                             Polynomial(Integer)
+--R                                 Variable(x)
+--R                              Fraction(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -204,8 +204,8 @@ solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,"sym")
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                             Polynomial Integer
---R                                 Variable x
+--R                             Polynomial(Integer)
+--R                                 Variable(x)
 --R                                   String
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -218,7 +218,7 @@ solve(x**3 - sqrt(2))
 --R
 --R          3    +-+
 --R   (3)  [x  - \|2 = 0]
---R                      Type: List Equation Fraction Polynomial AlgebraicNumber
+--R                  Type: List(Equation(Fraction(Polynomial(AlgebraicNumber))))
 --E 13
 
 --S 14 of 27
@@ -227,7 +227,7 @@ solve(x**3/a + x/a + 1,x)
 --R
 --R          3
 --R   (4)  [x  + x + a= 0]
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 14
 
 )clear all
@@ -246,8 +246,8 @@ solve(1/x**3 + 1/x**2 + 1/x = 0,x,"sym")
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                    Equation Fraction Polynomial Integer
---R                                 Variable x
+--R                   Equation(Fraction(Polynomial(Integer)))
+--R                                 Variable(x)
 --R                                   String
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -260,7 +260,7 @@ solve(x**3 + 1 = 0,x)
 --R
 --R                 2
 --R   (1)  [x= - 1,x  - x + 1= 0]
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 16
 
 --S 17 of 27
@@ -277,8 +277,8 @@ solve(x**3*y + x*y + 1,x,"sym")
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                             Polynomial Integer
---R                                 Variable x
+--R                             Polynomial(Integer)
+--R                                 Variable(x)
 --R                                   String
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -292,7 +292,7 @@ solve(3*x + 1/4*y = 1,x)
 --R            - y + 4
 --R   (2)  [x= -------]
 --R               12
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 18
 
 --S 19 of 27
@@ -309,9 +309,9 @@ solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,1/1000)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                             Polynomial Integer
---R                                 Variable x
---R                              Fraction Integer
+--R                             Polynomial(Integer)
+--R                                 Variable(x)
+--R                              Fraction(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -331,8 +331,8 @@ solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,"sym")
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                             Polynomial Integer
---R                                 Variable x
+--R                             Polynomial(Integer)
+--R                                 Variable(x)
 --R                                   String
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -345,7 +345,7 @@ solve(x**3 - sqrt(2))
 --R
 --R          3    +-+
 --R   (3)  [x  - \|2 = 0]
---R                      Type: List Equation Fraction Polynomial AlgebraicNumber
+--R                  Type: List(Equation(Fraction(Polynomial(AlgebraicNumber))))
 --E 21
 
 --S 22 of 27
@@ -354,7 +354,7 @@ solve(x**3/a + x/a + 1,x)
 --R
 --R          3
 --R   (4)  [x  + x + a= 0]
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 22
 
 --S 23 of 27
@@ -371,8 +371,8 @@ solve(1/x**3 + 1/x**2 + 1/x = 0,x,"sym")
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named solve
 --R      with argument type(s) 
---R                    Equation Fraction Polynomial Integer
---R                                 Variable x
+--R                   Equation(Fraction(Polynomial(Integer)))
+--R                                 Variable(x)
 --R                                   String
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -386,7 +386,7 @@ solve([[1,1,1],[3,-2,1],[1,2,2]],[8,0,17])
 --R 
 --R
 --R   (1)  [particular= [- 1,2,7],basis= [[0,0,0]]]
---IType: Record(particular: Union(Vector Fraction Integer,"failed"),basis: ...
+--IType: Record(particular: Union(Vector(Fraction(Integer)),"failed"),...
 --E 24
 
 --S 25 of 27
@@ -394,7 +394,7 @@ solve([[1,2,3],[2,3,4],[3,4,5]],[2,2,2])
 --R 
 --R
 --R   (2)  [particular= [- 2,2,0],basis= [[1,- 2,1]]]
---IType: Record(particular: Union(Vector Fraction Integer,"failed"),basis: ...
+--IType: Record(particular: Union(Vector(Fraction(Integer)),"failed"),...
 --E 25
 
 --S 26 of 27
@@ -402,7 +402,7 @@ solve([[1,2,3],[2,3,4],[3,4,5]],[2,3,2])
 --R 
 --R
 --R   (3)  [particular= "failed",basis= [[1,- 2,1]]]
---IType: Record(particular: Union(Vector Fraction Integer,"failed"),basis: ...
+--IType: Record(particular: Union(Vector(Fraction(Integer)),"failed"),...
 --E 26
 
 --S 27 of 27
diff --git a/src/input/erf.input.pamphlet b/src/input/erf.input.pamphlet
index e607043..6a3adc9 100644
--- a/src/input/erf.input.pamphlet
+++ b/src/input/erf.input.pamphlet
@@ -24,7 +24,7 @@ i:=integrate(exp(-a^2*p^2),p=b..c)
 --R        (erf(a c) - erf(a b))\|%pi
 --R   (1)  ---------------------------
 --R                     2a
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 1
 
 --S 2 of 4
@@ -34,7 +34,7 @@ eval(i,[erf(a*c)=1,erf(a*b)=0])
 --R        \|%pi
 --R   (2)  ------
 --R          2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 4
@@ -45,7 +45,7 @@ intrule:=rule integral(exp(-a*p^2),p) == sqrt(%pi)/sqrt(a)
 --R   (3)   |   %e      d%I  == ------
 --R        ++                     +-+
 --R                              \|a
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 3
 
 --S 4 of 4
@@ -56,7 +56,7 @@ intrule integral(exp(-a*p^2),p)
 --R   (4)  ------
 --R          +-+
 --R         \|a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 )spool 
diff --git a/src/input/eval.input.pamphlet b/src/input/eval.input.pamphlet
index 31d6bd8..1aa6127 100644
--- a/src/input/eval.input.pamphlet
+++ b/src/input/eval.input.pamphlet
@@ -43,7 +43,7 @@ a := f(x**2)
 --R
 --R           2
 --R   (2)  f(x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 23
@@ -53,7 +53,7 @@ b := differentiate(a,x,2) + f 5
 --R          2 ,,  2      ,  2
 --R   (3)  4x f  (x ) + 2f (x ) + f(5)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 \end{chunk}
@@ -67,7 +67,7 @@ eval(b, x = x + y)
 --R           2            2  ,,  2           2      ,  2           2
 --R   (4)  (4y  + 8x y + 4x )f  (y  + 2x y + x ) + 2f (y  + 2x y + x ) + f(5)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 \end{chunk}
@@ -81,7 +81,7 @@ eval(b, f 5 = 1)
 --R          2 ,,  2      ,  2
 --R   (5)  4x f  (x ) + 2f (x ) + 1
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 \end{chunk}
@@ -92,8 +92,8 @@ function for a formal one. ALL the values of f are affected.
 --S 6 of 23
 foo(u:EXPR INT):EXPR INT == exp u
 --R 
---R   Function declaration foo : Expression Integer -> Expression Integer 
---R      has been added to workspace.
+--R   Function declaration foo : Expression(Integer) -> Expression(Integer
+--R      ) has been added to workspace.
 --R                                                                   Type: Void
 --E 6
 
@@ -104,13 +104,13 @@ Notice that the formal derivatives will be computed properly now.
 --S 7 of 23
 c := eval(b, 'f, foo)
 --R 
---R   Compiling function foo with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function foo with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R                    2
 --R           2       x      5
 --R   (7)  (4x  + 2)%e   + %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 \end{chunk}
@@ -121,20 +121,20 @@ us to replace an actual function by a formal one.
 --S 8 of 23
 oof(u:EXPR INT):EXPR INT == f u
 --R 
---R   Function declaration oof : Expression Integer -> Expression Integer 
---R      has been added to workspace.
+--R   Function declaration oof : Expression(Integer) -> Expression(Integer
+--R      ) has been added to workspace.
 --R                                                                   Type: Void
 --E 8
 
 --S 9 of 23
 eval(c, 'exp, oof)
 --R 
---R   Compiling function oof with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function oof with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R           2        2
 --R   (9)  (4x  + 2)f(x ) + f(5)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 \end{chunk}
@@ -144,7 +144,7 @@ a 'concrete' function.
 --S 10 of 23
 f'(u:EXPR INT):EXPR INT == f u
 --R 
---R   Function declaration f' : Expression Integer -> Expression Integer 
+--R   Function declaration f' : Expression(Integer) -> Expression(Integer)
 --R      has been added to workspace.
 --R                                                                   Type: Void
 --E 10
@@ -155,8 +155,8 @@ This will make f differentiate like an exponential:
 --S 11 of 23
 derivative(f,f')
 --R 
---R   Compiling function f' with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function f' with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R   (11)  f
 --R                                                          Type: BasicOperator
@@ -169,7 +169,7 @@ b
 --R           2 ,,  2      ,  2
 --R   (12)  4x f  (x ) + 2f (x ) + f(5)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --** The coercion is needed to avoid an interpreter bug.
@@ -181,7 +181,7 @@ eval(b, x = x::(EXPR INT))
 --R           2 ,,  2      ,  2
 --R   (13)  4x f  (x ) + 2f (x ) + f(5)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 23
@@ -191,7 +191,7 @@ differentiate(%, x)
 --R           3 ,,,  2        ,,  2
 --R   (14)  8x f   (x ) + 12xf  (x )
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 \end{chunk}
@@ -206,7 +206,7 @@ a3 := a * a * a
 --R
 --R            2 3
 --R   (15)  f(x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 23
@@ -214,7 +214,7 @@ foo
 --R 
 --R
 --R   (16)  foo u == exp(u)
---R                                                     Type: FunctionCalled foo
+--R                                                    Type: FunctionCalled(foo)
 --E 16
 
 --S 17 of 23
@@ -224,7 +224,7 @@ eval(a3,'f,2,foo)
 --R                 2
 --R            2   x
 --R   (17)  f(x )%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 \end{chunk}
@@ -241,8 +241,8 @@ g := operator 'g
 --S 19 of 23
 bar(u:EXPR INT):EXPR INT == sin(u) + cos(2*u)
 --R 
---R   Function declaration bar : Expression Integer -> Expression Integer 
---R      has been added to workspace.
+--R   Function declaration bar : Expression(Integer) -> Expression(Integer
+--R      ) has been added to workspace.
 --R                                                                   Type: Void
 --E 19
 
@@ -252,19 +252,19 @@ a + g a
 --R
 --R              2        2
 --R   (20)  g(f(x )) + f(x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 --S 21 of 23
 eval(%,['f,'g],[foo,bar])
 --R 
---R   Compiling function bar with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function bar with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R                2            2       2
 --R               x            x       x
 --R   (21)  sin(%e  ) + cos(2%e  ) + %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 --S 22 of 23
@@ -273,7 +273,7 @@ a3 + g a
 --R
 --R              2        2 3
 --R   (22)  g(f(x )) + f(x )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 
 \end{chunk}
@@ -286,7 +286,7 @@ eval(%,['f,'g],[2,1],[foo,bar])
 --R                                            2
 --R                2             2        2   x
 --R   (23)  sin(f(x )) + cos(2f(x )) + f(x )%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 )spool
 )lisp (bye)
diff --git a/src/input/evalex.input.pamphlet b/src/input/evalex.input.pamphlet
index 28e2d22..62d8690 100644
--- a/src/input/evalex.input.pamphlet
+++ b/src/input/evalex.input.pamphlet
@@ -27,7 +27,7 @@ cos(2)
 --R 
 --R
 --R   (1)  cos(2)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 -- Input for page PrefixEval
@@ -38,7 +38,7 @@ cos(2)
 --R 
 --R
 --R   (1)  cos(2)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 -- Input for page InfixEval
diff --git a/src/input/exampleagcode.input.pamphlet b/src/input/exampleagcode.input.pamphlet
index a799eee..6239bf4 100644
--- a/src/input/exampleagcode.input.pamphlet
+++ b/src/input/exampleagcode.input.pamphlet
@@ -97,7 +97,7 @@
 K1:= PF(2)
 --R 
 --R
---R   (1)  PrimeField 2
+--R   (1)  PrimeField(2)
 --R                                                                 Type: Domain
 --E 1
 
@@ -105,7 +105,7 @@ K1:= PF(2)
 R1:= DMP([X,Y,Z],K1)
 --R 
 --R
---R   (2)  DistributedMultivariatePolynomial([X,Y,Z],PrimeField 2)
+--R   (2)  DistributedMultivariatePolynomial([X,Y,Z],PrimeField(2))
 --R                                                                 Type: Domain
 --E 2
 
@@ -114,7 +114,7 @@ P1:= PAFFFF(K1,[X,Y,Z],BLQT)
 --R 
 --R
 --R   (3)
---R  PackageForAlgebraicFunctionFieldOverFiniteField(PrimeField 2,[X,Y,Z],BlowUpWi
+--R  PackageForAlgebraicFunctionFieldOverFiniteField(PrimeField(2),[X,Y,Z],BlowUpWi
 --R  thQuadTrans)
 --R                                                                 Type: Domain
 --E 3
@@ -125,7 +125,7 @@ C1:R1:=X**5 + Y**2*Z**3+Y*Z**4
 --R
 --R         5    2 3      4
 --R   (4)  X  + Y Z  + Y Z
---R                Type: DistributedMultivariatePolynomial([X,Y,Z],PrimeField 2)
+--R               Type: DistributedMultivariatePolynomial([X,Y,Z],PrimeField(2))
 --E 4
 
 --S 5 of 19
@@ -134,7 +134,7 @@ setCurve(C1)$P1
 --R
 --R         5    2 3      4
 --R   (5)  X  + Y Z  + Y Z
---R                Type: DistributedMultivariatePolynomial([X,Y,Z],PrimeField 2)
+--R                Type: DistributedMultivariatePolynomial([X,Y,Z],PrimeField(2))
 --E 5
 
 --S 6 of 19
@@ -143,7 +143,7 @@ plc3:= placesOfDegree(3)$P1
 --R
 --R                 2   3         2       3
 --R   (6)  [[%D5:%D5 :1] ,[%D5:%D5  + 1:1] ]
---R        Type: List PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 2
+--R        Type: List(PlacesOverPseudoAlgebraicClosureOfFiniteField(PrimeField(2)))
 --E 6
 
 -- %D4 is an elemenent created by the domain PACOFF: it is a root of the 
@@ -160,7 +160,7 @@ a:= elt( first % , 1 )
 --R 
 --R
 --R   (7)  %D5
---R                       Type: PseudoAlgebraicClosureOfFiniteField PrimeField 2
+--R                       Type: PseudoAlgebraicClosureOfFiniteField(PrimeField(2))
 --E 7
 
 --S 8 of 19
@@ -169,7 +169,7 @@ definingPolynomial(a)
 --R
 --R         3    2
 --R   (8)  ?  + ?  + 1
---RType: SparseUnivariatePolynomial PseudoAlgebraicClosureOfFiniteField PrimeField 2
+--RType: SparseUnivariatePolynomial(PseudoAlgebraicClosureOfFiniteField(PrimeField(2)))
 --E 8
 
 --S 9 of 19
@@ -177,7 +177,7 @@ a**3 + a**2 + 1
 --R 
 --R
 --R   (9)  0
---R                       Type: PseudoAlgebraicClosureOfFiniteField PrimeField 2
+--R                       Type: PseudoAlgebraicClosureOfFiniteField(PrimeField(2))
 --E 9
 
 -- As you can see, %D4 is the root of an irreducible poynomial of degree 3.
@@ -192,7 +192,7 @@ D:= 2 * reduce(+,(plc3 :: List DIV PLACESPS PF 2))
 --R
 --R                   2   3             2       3
 --R   (10)  2 [%D5:%D5 :1]  + 2 [%D5:%D5  + 1:1]
---R     Type: Divisor PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 2
+--R     Type: Divisor(PlacesOverPseudoAlgebraicClosureOfFiniteField(PrimeField(2)))
 --E 10
 
 -- Now we compute a basis of L(D)
@@ -210,7 +210,7 @@ lB1:= lBasis(D)$P1
 --R   [num= [Z ,Y Z ,Y Z ,X Z ,X Y Z ,X Y Z,X Z ,X Y Z,X Z,X Y,X ],
 --R          4      2         2    4
 --R    den= X  + X Y Z + X Y Z  + Z ]
---IType: Record(num: List DistributedMultivariatePolynomial([X,Y,Z],...
+--IType: Record(num: List(DistributedMultivariatePolynomial([X,Y,Z],...
 --E 11
 
 -- Since we want to construct a code over GF(2^4), we defined the 
@@ -280,7 +280,7 @@ plc1 := placesOfDegree(1)$P4
 --R    [%A  :%A :1] , [%A  :%A :1] , [%A  :%A :1] , [%A  :%A :1] , [%A  :%A :1] ,
 --R           1         1     1
 --R    [0:0:1] , [0:1:1] , %I3 ]
---IType: List PlacesOverPseudoAlgebraicClosureOfFiniteField ...
+--IType: List(PlacesOverPseudoAlgebraicClosureOfFiniteField ...
 --E 17
 
 -- Now, we can construct the matrix of the AG-code, which code-words consist
@@ -380,7 +380,7 @@ mG:= matrix [ [ eval( f, lB1.den, pl )$P4 for pl in plc1 ] for f in lB1.num ]
 --R      %A , %A , %A  , %A  , 1, 1, %A  , %A  , %A  , %A  , %A , %A , %A , %A ,
 --R      0, 0, 0]
 --R     ]
---R                                     Type: Matrix FiniteFieldCyclicGroup(2,4)
+--R                                     Type: Matrix(FiniteFieldCyclicGroup(2,4))
 --E 18
 
 -- The preceding matrix is the generator matrix of a [n,k,d]-code over GF(2^4)
diff --git a/src/input/exdiff.input.pamphlet b/src/input/exdiff.input.pamphlet
index 444636b..52eff66 100644
--- a/src/input/exdiff.input.pamphlet
+++ b/src/input/exdiff.input.pamphlet
@@ -28,7 +28,7 @@ differentiate(sin(x) * exp(x**2),x)
 --R              2                  2
 --R             x                  x
 --R   (1)  2x %e  sin(x) + cos(x)%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 -- Input for page ExDiffSeveralVariables
@@ -43,7 +43,7 @@ differentiate(sin(x) * tan(y)/(x**2 + y**2),x)
 --R   (1)  -------------------------------------
 --R                    4     2 2    4
 --R                   y  + 2x y  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 10
@@ -55,7 +55,7 @@ differentiate(sin(x) * tan(y)/(x**2 + y**2),y)
 --R   (2)  ----------------------------------------------------------
 --R                               4     2 2    4
 --R                              y  + 2x y  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 -- Input for page ExDiffMultipleI
@@ -70,7 +70,7 @@ differentiate(sin(x)/(x**2 + y**2),[x,y])
 --R   (1)  ----------------------------------
 --R               6     2 4     4 2    6
 --R              y  + 3x y  + 3x y  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 10
@@ -82,7 +82,7 @@ differentiate(sin(x)/(x**2 + y**2),[x,y,y])
 --R   (2)  --------------------------------------------------
 --R                   8     2 6     4 4     6 2    8
 --R                  y  + 4x y  + 6x y  + 4x y  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 
@@ -98,7 +98,7 @@ differentiate(cos(z)/(x**2 + y**3),[x,y,z],[1,2,3])
 --R   (1)  --------------------------------
 --R         12     2 9     4 6     6 3    8
 --R        y   + 4x y  + 6x y  + 4x y  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 -- Input for page ExDiffHigherOrder
@@ -111,7 +111,7 @@ differentiate(exp(x**2),x,4)
 --R                             2
 --R            4      2        x
 --R   (1)  (16x  + 48x  + 12)%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 -- Input for page ExDiffFormalIntegral
@@ -125,7 +125,7 @@ f := integrate(sqrt(1 + t**3),t)
 --R         ++   |  3
 --R   (1)   |   \|%M  + 1 d%M
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 
 --S 9 of 10
@@ -135,7 +135,7 @@ differentiate(f,t)
 --R         +------+
 --R         | 3
 --R   (2)  \|t  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 10
@@ -146,7 +146,7 @@ differentiate(f * t**2,t)
 --R           ++   |  3             2 | 3
 --R   (3)  2t |   \|%M  + 1 d%M  + t \|t  + 1
 --R          ++
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 )spool
 )lisp (bye)
diff --git a/src/input/exint.input.pamphlet b/src/input/exint.input.pamphlet
index 3864c00..91a20b5 100644
--- a/src/input/exint.input.pamphlet
+++ b/src/input/exint.input.pamphlet
@@ -33,7 +33,7 @@ integrate(1/(x**2 + a),x)
 --R   (1)  [--------------------------,-----------]
 --R                     +---+               +-+
 --R                   2\|- a               \|a
---R                                     Type: Union(List Expression Integer,...)
+--R                                   Type: Union(List(Expression(Integer)),...)
 --E 1
 
 )clear all
@@ -46,7 +46,7 @@ integrate((x**2+2*x+1)/((x+1)**6+1),x)
 --R        atan(x  + 3x  + 3x + 1)
 --R   (1)  -----------------------
 --R                   3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 )clear all
@@ -60,7 +60,7 @@ integrate(tan(atan(x)/3),x)
 --R                     3                     3                   3
 --R   (1)  ------------------------------------------------------------
 --R                                     18
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 3
 
 )clear all
@@ -75,7 +75,7 @@ complexIntegrate(1/(x**2 + a),x)
 --R        \|  a      \|  a         \|  a        \|  a
 --R   (1)  -------------------------------------------------
 --R                                2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 )clear all
@@ -88,7 +88,7 @@ integrate(log(1 + sqrt(a*x + b)) / x,x)
 --R         ++  log(\|b + %P a  + 1)
 --R   (1)   |   -------------------- d%P
 --R        ++            %P
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 5
 
 )clear all
@@ -102,7 +102,7 @@ integrate(x**3 / (a+b*x)**(1/3),x)
 --R   (1)  ---------------------------------------------------
 --R                                   4
 --R                               440b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 --S 7 of 10
@@ -123,7 +123,7 @@ integrate(1 / (x**3 * (a+b*x)**(1/3)),x)
 --R  /
 --R        2 2 +-+3+-+
 --R     18a x \|3 \|a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 7
 
 )clear all
@@ -136,7 +136,7 @@ integrate((x + 1) / (x * (x + log x)**(3/2)),x)
 --R          2\|log(x) + x
 --R   (1)  - --------------
 --R            log(x) + x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 
 )clear all
@@ -150,7 +150,7 @@ integrate(exp(-x**2) * erf(x) / (erf(x)**3 - erf(x)**2 - erf(x) + 1),x)
 --R                              erf(x) + 1
 --R   (1)  -------------------------------------------
 --R                        8erf(x) - 8
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 9
 
 )clear all
@@ -164,7 +164,7 @@ integrate((sinh(1+sqrt(x+b))+2*sqrt(x+b))/(sqrt(x+b)*(x+cosh(1+sqrt(x+b)))),x)
 --R   (1)  2log(---------------------------------------) - 2\|x + b
 --R                   +-----+              +-----+
 --R             sinh(\|x + b  + 1) - cosh(\|x + b  + 1)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 )spool 
 )lisp (bye)
diff --git a/src/input/exlap.input.pamphlet b/src/input/exlap.input.pamphlet
index 26268f5..9d28435 100644
--- a/src/input/exlap.input.pamphlet
+++ b/src/input/exlap.input.pamphlet
@@ -27,7 +27,7 @@ laplace(2/t * (1 - cos(a*t)), t, s)
 --R
 --R             2    2
 --R   (1)  log(s  + a ) - 2log(s)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 6
@@ -35,7 +35,7 @@ laplace((exp(a*t) - exp(b*t))/t, t, s)
 --R 
 --R
 --R   (2)  - log(s - a) + log(s - b)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 6
@@ -47,7 +47,7 @@ laplace(exp(a*t+b)*Ei(c*t), t, s)
 --R                   c
 --R   (3)  -----------------
 --R              s - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 )clear all
@@ -63,7 +63,7 @@ laplace(a*Ci(b*t) + c*Si(d*t), t, s)
 --R                 b
 --R   (1)  ---------------------------
 --R                     2s
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 )clear all
@@ -77,7 +77,7 @@ laplace(sin(a*t) * cosh(a*t) - cos(a*t) * sinh(a*t), t, s)
 --R   (1)  --------
 --R         4     4
 --R        s  + 4a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 )clear all
@@ -90,7 +90,7 @@ laplace(t**4 * exp(-a*t) / factorial(4), t, s)
 --R   (1)  ----------------------------------------
 --R         5       4      2 3      3 2     4     5
 --R        s  + 5a s  + 10a s  + 10a s  + 5a s + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 )spool 
 )lisp (bye)
diff --git a/src/input/exlimit.input.pamphlet b/src/input/exlimit.input.pamphlet
index ee7aaa1..5a9deca 100644
--- a/src/input/exlimit.input.pamphlet
+++ b/src/input/exlimit.input.pamphlet
@@ -28,7 +28,7 @@ limit((x**2 - 3*x + 2)/(x**2 - 1),x = 1)
 --R          1
 --R   (1)  - -
 --R          2
---R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--R            Type: Union(OrderedCompletion(Fraction(Polynomial(Integer))),...)
 --E 1
 
 )clear all
@@ -38,7 +38,7 @@ complexLimit((2 + z)/(1 - z),z = %infinity)
 --R 
 --R
 --R   (1)  - 1
---R                         Type: OnePointCompletion Fraction Polynomial Integer
+--R                      Type: OnePointCompletion(Fraction(Polynomial(Integer)))
 --E 2
 
 --S 3 of 13
@@ -46,7 +46,7 @@ limit(sin(x)/x,x = %plusInfinity)
 --R 
 --R
 --R   (2)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 3
 
 --S 4 of 13
@@ -64,7 +64,7 @@ limit(x * log(x),x = 0,"right")
 --R 
 --R
 --R   (1)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 5
 
 --S 6 of 13
@@ -72,7 +72,7 @@ limit(x * log(x),x = 0)
 --R 
 --R
 --R   (2)  [leftHandLimit= "failed",rightHandLimit= 0]
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
+--IType: Union(Record(leftHandLimit: Union(OrderedCompletion(...
 --E 6
 
 )clear all
@@ -82,7 +82,7 @@ limit(sqrt(y**2)/y,y = 0)
 --R 
 --R
 --R   (1)  [leftHandLimit= - 1,rightHandLimit= 1]
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
+--IType: Union(Record(leftHandLimit: Union(OrderedCompletion(...
 --E 7
 
 --S 8 of 13
@@ -93,7 +93,7 @@ limit(sqrt(1 - cos(t))/t,t = 0)
 --R   (2)  [leftHandLimit= - ----,rightHandLimit= ----]
 --R                           +-+                  +-+
 --R                          \|2                  \|2
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
+--IType: Union(Record(leftHandLimit: Union(OrderedCompletion(...
 --E 8
 
 )clear all
@@ -106,7 +106,7 @@ limit(sqrt(3*x**2 + 1)/(5*x),x = %plusInfinity)
 --R        \|3
 --R   (1)  ----
 --R          5
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 9
 
 --S 10 of 13
@@ -117,7 +117,7 @@ limit(sqrt(3*x**2 + 1)/(5*x),x = %minusInfinity)
 --R          \|3
 --R   (2)  - ----
 --R            5
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 10
 
 )clear all
@@ -129,7 +129,7 @@ limit(sinh(a*x)/tan(b*x),x = 0)
 --R        a
 --R   (1)  -
 --R        b
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 11
 
 )clear all
@@ -139,7 +139,7 @@ limit(z * sin(1/z),z = 0)
 --R 
 --R
 --R   (1)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 12
 
 --S 13 of 13
diff --git a/src/input/exp.input.pamphlet b/src/input/exp.input.pamphlet
index cf57b86..cee335a 100644
--- a/src/input/exp.input.pamphlet
+++ b/src/input/exp.input.pamphlet
@@ -231,7 +231,7 @@ Dover Publications, Inc. New York 1965. pp136-137
 --R    [9.8,18033.7449278285 11,18033.7449278285 11246,0.246 E -12],
 --R    [9.9,19930.3704382302 89,19930.3704382302 8949,0.49 E -12],
 --R    [10.0,22026.4657948067 17,22026.4657948067 16517,- 0.483 E -12]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 
 \end{chunk} 
@@ -446,7 +446,7 @@ Dover Publications, Inc. New York 1965. pp136-137
 --R    [9.8,0.0000554515 9943217698,0.0000554515 9943217698 1808,0.181 E -20],
 --R    [9.9,0.0000501746 820561753,0.0000501746 8205617530 2187,0.219 E -20],
 --R    [10.0,0.0000453999 2976248485,0.0000453999 2976248485 1536,0.154 E -20]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 2
 
 )spool 
diff --git a/src/input/expexpan.input.pamphlet b/src/input/expexpan.input.pamphlet
index 6ca6673..3338da1 100644
--- a/src/input/expexpan.input.pamphlet
+++ b/src/input/expexpan.input.pamphlet
@@ -40,20 +40,20 @@ f1 := (a**2 + 1) * exp(1/x**3 + 2/x**2) - exp(b) * exp(1/x**3 + 3/x**2)
 --R               3                     3
 --R              x     b     2         x
 --R   (2)  - %e      %e  + (a  + 1)%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 18
 x1 := xxp f1
 --R 
---R   Compiling function xxp with type Expression Integer -> Union(
---R      %expansion: ExponentialExpansion(Integer,Expression Integer,x,0),
---R      %problem: Record(func: String,prob: String)) 
+--R   Compiling function xxp with type Expression(Integer) -> Union(
+--R      %expansion: ExponentialExpansion(Integer,Expression(Integer),x,0)
+--R      ,%problem: Record(func: String,prob: String)) 
 --R
 --R                - 3     - 2              - 3     - 2
 --R            b  x    + 3x        2       x    + 2x
 --R   (3)  - %e %e             + (a  + 1)%e
---RType: Union(%expansion: ExponentialExpansion(Integer,Expression Integer,x,0),...)
+--RType: Union(%expansion: ExponentialExpansion(Integer,Expression(Integer),x,0),...)
 --E 3
 
 --S 4 of 18
@@ -61,7 +61,7 @@ limitPlus x1   -- %minusInfinity
 --R 
 --R
 --R   (4)  - infinity
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 4
 
 --S 5 of 18
@@ -73,7 +73,7 @@ f2 := (a**2 + 1) * exp(1/x**3 + 2/x**2) - exp(b) * exp(-1/x**3 + 3/x**2)
 --R               3                     3
 --R              x     b     2         x
 --R   (5)  - %e      %e  + (a  + 1)%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 18
@@ -83,7 +83,7 @@ x2 := xxp f2
 --R                   - 3     - 2           - 3     - 2
 --R          2       x    + 2x        b  - x    + 3x
 --R   (6)  (a  + 1)%e             - %e %e
---RType: Union(%expansion: ExponentialExpansion(Integer,Expression Integer,x,0),...)
+--RType: Union(%expansion: ExponentialExpansion(Integer,Expression(Integer),x,0),...)
 --E 6
 
 --S 7 of 18
@@ -91,7 +91,7 @@ limitPlus x2   -- %plusInfinity
 --R 
 --R
 --R   (7)   + infinity
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 7
 
 --S 8 of 18
@@ -103,7 +103,7 @@ f3 := (a**2 + 1) * exp(1/x**3) - exp(b) * exp(c/x**2)
 --R             2                 3
 --R            x   b     2       x
 --R   (8)  - %e  %e  + (a  + 1)%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 18
@@ -113,7 +113,7 @@ x3 := xxp f3
 --R                   - 3           - 2
 --R          2       x        b  c x
 --R   (9)  (a  + 1)%e     - %e %e
---RType: Union(%expansion: ExponentialExpansion(Integer,Expression Integer,x,0),...)
+--RType: Union(%expansion: ExponentialExpansion(Integer,Expression(Integer),x,0),...)
 --E 9
 
 --S 10 of 18
@@ -121,7 +121,7 @@ limitPlus x3   -- %plusInfinity
 --R 
 --R
 --R   (10)   + infinity
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 10
 
 --S 11 of 18
@@ -133,7 +133,7 @@ f4 := (a**2 + 1) * exp(-1/x**3) - exp(b) * exp(c/x**2)
 --R              2                   3
 --R             x   b     2         x
 --R   (11)  - %e  %e  + (a  + 1)%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 18
@@ -143,7 +143,7 @@ x4 := xxp f4
 --R                      - 3           - 2
 --R           2       - x        b  c x
 --R   (12)  (a  + 1)%e       - %e %e
---RType: Union(%expansion: ExponentialExpansion(Integer,Expression Integer,x,0),...)
+--RType: Union(%expansion: ExponentialExpansion(Integer,Expression(Integer),x,0),...)
 --E 12
 
 --S 13 of 18
@@ -163,7 +163,7 @@ p5 := tan(x) * exp(1/x**2) - tan(x) * exp(1/x**2 - 1/x) + sin(x) * exp(1/x)
 --R             2         2              -
 --R            x         x               x
 --R   (14)  (%e   - %e       )tan(x) + %e sin(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 18
@@ -175,7 +175,7 @@ q5 := -4 * exp(-1/x**2 - 1/x) + sin(x) * exp(-1/x**2 + 1/x)
 --R              2                 2
 --R             x                 x
 --R   (15)  %e     sin(x) - 4%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 18
@@ -193,7 +193,7 @@ f5 := p5 / q5
 --R                   2                 2
 --R                  x                 x
 --R              %e     sin(x) - 4%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 18
@@ -231,7 +231,7 @@ x5 := xxp f5
 --R              2   1  4    1   6     1    8      1    10      11    - x    - x
 --R     (- 4 + 2x  - - x  + --- x  - ----- x  + ------ x   + O(x  ))%e
 --R                  6      180      10080      907200
---RType: Union(%expansion: ExponentialExpansion(Integer,Expression Integer,x,0),...)
+--RType: Union(%expansion: ExponentialExpansion(Integer,Expression(Integer),x,0),...)
 --E 17
 
 --S 18 of 18
@@ -239,7 +239,7 @@ limitPlus x5   -- %plusInfinity
 --R 
 --R
 --R   (18)   + infinity
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 18
 )spool 
 )lisp (bye)
diff --git a/src/input/explim.input.pamphlet b/src/input/explim.input.pamphlet
index 593f067..a7a7cdb 100644
--- a/src/input/explim.input.pamphlet
+++ b/src/input/explim.input.pamphlet
@@ -32,7 +32,7 @@ limit(x/exp(x),x = %plusInfinity)              -- 0
 --R 
 --R
 --R   (1)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 1
 
 --S 2 of 12
@@ -40,7 +40,7 @@ limit(x**10000/exp(x),x = %plusInfinity)       -- 0
 --R 
 --R
 --R   (2)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 2
 
 --S 3 of 12
@@ -48,7 +48,7 @@ limit(x**(10**20)/exp(x),x = %plusInfinity)    -- 0
 --R 
 --R
 --R   (3)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 3
 
 --S 4 of 12
@@ -56,7 +56,7 @@ limit(x**h/exp(x),x = %plusInfinity)           -- 0
 --R 
 --R
 --R   (4)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 4
 
 --S 5 of 12
@@ -64,7 +64,7 @@ limit(x/exp(x),x = %minusInfinity)             -- %minusInfinity
 --R 
 --R
 --R   (5)  - infinity
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 5
 
 --S 6 of 12
@@ -72,7 +72,7 @@ limit(x**10000/exp(x),x = %minusInfinity)      -- %plusInfinity
 --R 
 --R
 --R   (6)   + infinity
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 6
 
 --S 7 of 12
@@ -80,7 +80,7 @@ limit(x**(10**20)/exp(x),x = %minusInfinity)   -- %plusInfinity
 --R 
 --R
 --R   (7)   + infinity
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 7
 
 --S 8 of 12
@@ -98,7 +98,7 @@ limit(exp(-x) * sinh(x),x = %plusInfinity)     -- 1/2
 --R        1
 --R   (9)  -
 --R        2
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 9
 
 --S 10 of 12
@@ -108,7 +108,7 @@ limit(exp(-x) * cosh(x),x = %plusInfinity)     -- 1/2
 --R         1
 --R   (10)  -
 --R         2
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 10
 
 --S 11 of 12
@@ -116,7 +116,7 @@ limit(exp(-x) * exp(x),x = %plusInfinity)      -- 1
 --R 
 --R
 --R   (11)  1
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 11
 
 --S 12 of 12
@@ -124,7 +124,7 @@ limit((x + 1)**(x + 1)/x**x - x**x/(x - 1)**(x - 1),x = %plusInfinity)  -- %e
 --R 
 --R
 --R   (12)  %e
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 12
 )spool 
 )lisp (bye)
diff --git a/src/input/expr.input.pamphlet b/src/input/expr.input.pamphlet
index 7febcd9..80e6ae5 100644
--- a/src/input/expr.input.pamphlet
+++ b/src/input/expr.input.pamphlet
@@ -42,7 +42,7 @@ g := foo x
 --R 
 --R
 --R   (3)  foo(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 29
@@ -51,7 +51,7 @@ eval(g, x = x**2 + 1)
 --R
 --R             2
 --R   (4)  foo(x  + 1)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 \end{chunk}
@@ -64,7 +64,7 @@ differentiate(%, x)
 --R             ,  2
 --R   (5)  2xfoo (x  + 1)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 \end{chunk}
@@ -75,7 +75,7 @@ f := bar(x, y)
 --R 
 --R
 --R   (6)  bar(x,y)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 \end{chunk}
@@ -86,7 +86,7 @@ eval(f, [x = y, y = x])
 --R 
 --R
 --R   (7)  bar(y,x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 29
@@ -95,7 +95,7 @@ eval(f, [x = y, y = x])
 --R
 --R   (8)  [bar  (x,y),bar  (x,y)]
 --R            ,1         ,2
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 8
 
 \end{chunk}
@@ -107,7 +107,7 @@ ff := eval(f, [x = x**2 * foo y, y = x + y])
 --R
 --R             2
 --R   (9)  bar(x foo(y),y + x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 29
@@ -117,7 +117,7 @@ differentiate(ff, x)
 --R                2                                2
 --R   (10)  bar  (x foo(y),y + x) + 2x foo(y)bar  (x foo(y),y + x)
 --R            ,2                               ,1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 29
@@ -127,7 +127,7 @@ differentiate(ff, y)
 --R                2                 2       2                ,
 --R   (11)  bar  (x foo(y),y + x) + x bar  (x foo(y),y + x)foo (y)
 --R            ,2                        ,1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 \end{chunk}
@@ -137,7 +137,7 @@ Let's change the way bar is printed on the screen, make it \#1 \@ \#2
 --S 12 of 29
 pbar(l:List OUTFORM):OUTFORM == infix(" @ "::SYMBOL::OUTFORM, l)
 --R 
---R   Function declaration pbar : List OutputForm -> OutputForm has been 
+--R   Function declaration pbar : List(OutputForm) -> OutputForm has been 
 --R      added to workspace.
 --R                                                                   Type: Void
 --E 12
@@ -145,7 +145,7 @@ pbar(l:List OUTFORM):OUTFORM == infix(" @ "::SYMBOL::OUTFORM, l)
 --S 13 of 29
 display(bar, pbar)
 --R 
---R   Compiling function pbar with type List OutputForm -> OutputForm 
+--R   Compiling function pbar with type List(OutputForm) -> OutputForm 
 --R
 --R   (13)  bar
 --R                                                          Type: BasicOperator
@@ -159,7 +159,7 @@ f
 --R 
 --R
 --R   (14)  x @ y
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 29
@@ -168,7 +168,7 @@ ff
 --R
 --R          2
 --R   (15)  x foo(y) @ y + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 \end{chunk}
@@ -198,7 +198,7 @@ f
 --R 
 --R
 --R   (16)  x @ y
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 \end{chunk}
@@ -219,10 +219,10 @@ bar2 l == first l
 --S 20 of 29
 derivative(bar, [bar1, bar2]$(LIST(LIST(EXPR INT) -> EXPR INT)))
 --R 
---R   Compiling function bar1 with type List Expression Integer -> 
---R      Expression Integer 
---R   Compiling function bar2 with type List Expression Integer -> 
---R      Expression Integer 
+--R   Compiling function bar1 with type List(Expression(Integer)) -> 
+--R      Expression(Integer) 
+--R   Compiling function bar2 with type List(Expression(Integer)) -> 
+--R      Expression(Integer) 
 --R
 --R   (19)  bar
 --R                                                          Type: BasicOperator
@@ -233,7 +233,7 @@ derivative(bar, [bar1, bar2]$(LIST(LIST(EXPR INT) -> EXPR INT)))
 --R 
 --R
 --R   (20)  [y,x]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 21
 
 --S 22 of 29
@@ -243,7 +243,7 @@ derivative(bar, [bar1, bar2]$(LIST(LIST(EXPR INT) -> EXPR INT)))
 --R                    2          2     3    ,       2
 --R   (21)  [(2x y + 3x )foo(y),(x y + x )foo (y) + x foo(y)]
 --R
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 22
 
 \end{chunk}
@@ -257,7 +257,7 @@ h := inv(x + f + g**2)
 --R   (22)  -------------------
 --R               2
 --R         foo(x)  + x @ y + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 
 --S 24 of 29
@@ -266,7 +266,7 @@ isPower h
 --R
 --R                     2
 --R   (23)  [val= foo(x)  + x @ y + x,exponent= - 1]
---R           Type: Union(Record(val: Expression Integer,exponent: Integer),...)
+--R          Type: Union(Record(val: Expression(Integer),exponent: Integer),...)
 --E 24
 
 --S 25 of 29
@@ -278,7 +278,7 @@ y * g**2 * h
 --R   (24)  -------------------
 --R               2
 --R         foo(x)  + x @ y + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 25
 
 --S 26 of 29
@@ -289,7 +289,7 @@ isTimes %
 --R   (25)  [foo(x) ,y,-------------------]
 --R                          2
 --R                    foo(x)  + x @ y + x
---R                                     Type: Union(List Expression Integer,...)
+--R                                   Type: Union(List(Expression(Integer)),...)
 --E 26
 
 --S 27 of 29
@@ -298,7 +298,7 @@ isPlus(denom(h)::EXPR(INT))
 --R
 --R                2
 --R   (26)  [foo(x) ,x @ y,x]
---R                                     Type: Union(List Expression Integer,...)
+--R                                   Type: Union(List(Expression(Integer)),...)
 --E 27
 
 --S 28 of 29
@@ -306,7 +306,7 @@ isExpt(inv(g**2), "foo")
 --R 
 --R
 --R   (27)  [var= foo(x),exponent= - 2]
---R    Type: Union(Record(var: Kernel Expression Integer,exponent: Integer),...)
+--R  Type: Union(Record(var: Kernel(Expression(Integer)),exponent: Integer),...)
 --E 28
 
 --S 29 of 29
diff --git a/src/input/expr1.input.pamphlet b/src/input/expr1.input.pamphlet
index e2fa1cb..b05a48f 100644
--- a/src/input/expr1.input.pamphlet
+++ b/src/input/expr1.input.pamphlet
@@ -27,7 +27,7 @@ sin(x) + 3*cos(x)**2
 --R
 --R                        2
 --R   (1)  sin(x) + 3cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 23
@@ -35,7 +35,7 @@ tan(x) - 3.45*x
 --R 
 --R
 --R   (2)  tan(x) - 3.45 x
---R                                                       Type: Expression Float
+--R                                                      Type: Expression(Float)
 --E 2
 
 --S 3 of 23
@@ -46,7 +46,7 @@ tan(x) - 3.45*x
 --R        - tan(\|7 )  + 2sin(\|11 )tan(\|7 ) - sin(\|11 )
 --R   (3)  -------------------------------------------------
 --R                          cos(y - x) - 4
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 23
@@ -54,7 +54,7 @@ log(exp  x)@Expression(Integer)
 --R 
 --R
 --R   (4)  x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 23
@@ -63,7 +63,7 @@ log(exp  x)@Expression(Complex Integer)
 --R
 --R              x
 --R   (5)  log(%e )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 5
 
 --S 6 of 23
@@ -83,7 +83,7 @@ sqrt 3 + sqrt(2 + sqrt(-5))
 --R         +----------+
 --R         | +---+         +-+
 --R   (7)  \|\|- 5  + 2  + \|3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 23
@@ -103,7 +103,7 @@ e := (sin(x) - 4)**2 / ( 1 - 2*y*sqrt(- y) )
 --R   (9)  ------------------------
 --R                 +---+
 --R              2y\|- y  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 23
@@ -112,7 +112,7 @@ numer e
 --R
 --R                 2
 --R   (10)  - sin(x)  + 8sin(x) - 16
---R        Type: SparseMultivariatePolynomial(Integer,Kernel Expression Integer)
+--R      Type: SparseMultivariatePolynomial(Integer,Kernel(Expression(Integer)))
 --E 10
 
 --S 11 of 23
@@ -121,7 +121,7 @@ denom e
 --R
 --R            +---+
 --R   (11)  2y\|- y  - 1
---R        Type: SparseMultivariatePolynomial(Integer,Kernel Expression Integer)
+--R      Type: SparseMultivariatePolynomial(Integer,Kernel(Expression(Integer)))
 --E 11
 
 --S 12 of 23
@@ -133,7 +133,7 @@ D(e, x)
 --R   (12)  --------------------------------------------------------------
 --R                                  +---+     3
 --R                               4y\|- y  + 4y  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 23
@@ -155,7 +155,7 @@ D(e, [x, y], [1, 2])
 --R     + 
 --R          2
 --R       16y
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 23
@@ -163,7 +163,7 @@ complexNumeric(cos(2 - 3*%i))
 --R 
 --R
 --R   (14)  - 4.1896256909 688072301 + 9.1092278937 55336598 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 14
 
 --S 15 of 23
@@ -180,7 +180,7 @@ e2 := cos(x**2 - y + 3)
 --R
 --R                  2
 --R   (16)  cos(y - x  - 3)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 23
@@ -189,7 +189,7 @@ e3 := asin(e2) - %pi/2
 --R
 --R                2
 --R   (17)  - y + x  + 3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 23
@@ -198,7 +198,7 @@ e3 :: Polynomial Integer
 --R
 --R                2
 --R   (18)  - y + x  + 3
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 18
 
 --S 19 of 23
@@ -215,7 +215,7 @@ sin %pi
 --R 
 --R
 --R   (20)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 --S 21 of 23
@@ -226,7 +226,7 @@ cos(%pi / 4)
 --R         \|2
 --R   (21)  ----
 --R           2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 --S 22 of 23
@@ -235,7 +235,7 @@ tan(x)**6 + 3*tan(x)**4 + 3*tan(x)**2 + 1
 --R
 --R               6          4          2
 --R   (22)  tan(x)  + 3tan(x)  + 3tan(x)  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 
 --S 23 of 23
@@ -246,7 +246,7 @@ simplify %
 --R   (23)  -------
 --R               6
 --R         cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 )spool 
 )lisp (bye)
diff --git a/src/input/exprode.input.pamphlet b/src/input/exprode.input.pamphlet
index 339e07c..024227f 100644
--- a/src/input/exprode.input.pamphlet
+++ b/src/input/exprode.input.pamphlet
@@ -43,15 +43,15 @@ eq := differentiate(y x, x, 3) - sin differentiate(y x, x, 2) * exp y x
 --R         ,,,        y(x)     ,,
 --R   (2)  y   (x) - %e    sin(y  (x))= cos(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 2
 
 --S 3 of 13
 seriesSolve(eq, y, x = 0, [1, 0, 0])
 --R 
---R   Compiling function %B with type List UnivariateTaylorSeries(
---R      Expression Integer,x,0) -> UnivariateTaylorSeries(Expression 
---R      Integer,x,0) 
+--I   Compiling function %B with type List(UnivariateTaylorSeries(
+--I      Expression(Integer),x,0)) -> UnivariateTaylorSeries(Expression(
+--I      Integer),x,0) 
 --R
 --R   (3)
 --R                          2            3              4      2
@@ -61,7 +61,7 @@ seriesSolve(eq, y, x = 0, [1, 0, 0])
 --R   + 
 --R        8
 --R     O(x )
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 3
  
 \end{chunk}
@@ -74,20 +74,20 @@ airy := differentiate(y x, x, 2) - x * y x
 --R         ,,
 --R   (4)  y  (x) - x y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 13
 seriesSolve(airy, y, x = 0, [a0, a1])
 --R 
---R   Compiling function %D with type List UnivariateTaylorSeries(
---R      Expression Integer,x,0) -> UnivariateTaylorSeries(Expression 
---R      Integer,x,0) 
+--I   Compiling function %D with type List(UnivariateTaylorSeries(
+--I      Expression(Integer),x,0)) -> UnivariateTaylorSeries(Expression(
+--I      Integer),x,0) 
 --R
 --R                    a0  3   a1  4    a0  6    a1  7      8
 --R   (5)  a0 + a1 x + -- x  + -- x  + --- x  + --- x  + O(x )
 --R                     6      12      180      504
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 5
 
 \end{chunk} 
@@ -96,9 +96,9 @@ We can solve around other points than $x = 0$
 --S 6 of 13
 seriesSolve(airy, y, x = 1, [a0, a1])
 --R 
---R   Compiling function %F with type List UnivariateTaylorSeries(
---R      Expression Integer,x,1) -> UnivariateTaylorSeries(Expression 
---R      Integer,x,1) 
+--I   Compiling function %F with type List(UnivariateTaylorSeries(
+--I      Expression(Integer),x,1)) -> UnivariateTaylorSeries(Expression(
+--I      Integer),x,1) 
 --R
 --R   (6)
 --R                      a0        2   a1 + a0        3   2a1 + a0        4
@@ -108,7 +108,7 @@ seriesSolve(airy, y, x = 1, [a0, a1])
 --R     a1 + 4a0        5   6a1 + 5a0        6   11a1 + 9a0        7            8
 --R     -------- (x - 1)  + --------- (x - 1)  + ---------- (x - 1)  + O((x - 1) )
 --R        120                 720                  5040
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,1)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,1)
 --E 6
 
 \end{chunk}
@@ -117,9 +117,9 @@ System of equations for tan(t) and sec(t)
 --S 7 of 13
 x := operator 'x
 --R 
---R   Compiled code for %F has been cleared.
---R   Compiled code for %D has been cleared.
---R   Compiled code for %B has been cleared.
+--I   Compiled code for %F has been cleared.
+--I   Compiled code for %D has been cleared.
+--I   Compiled code for %B has been cleared.
 --R
 --R   (7)  x
 --R                                                          Type: BasicOperator
@@ -132,7 +132,7 @@ eq1 := differentiate(x t, t) = 1 + x(t)**2
 --R         ,         2
 --R   (8)  x (t)= x(t)  + 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 8
 
 --S 9 of 13
@@ -142,23 +142,23 @@ eq2 := differentiate(y t, t) = x(t) * y(t)
 --R         ,
 --R   (9)  y (t)= x(t)y(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 9
 
 --S 10 of 13
 seriesSolve([eq2, eq1], [x, y], t = 0, [y 0 = 1, x 0 = 0])
 --R 
---R   Compiling function %H with type List UnivariateTaylorSeries(
---R      Expression Integer,t,0) -> UnivariateTaylorSeries(Expression 
---R      Integer,t,0) 
---R   Compiling function %I with type List UnivariateTaylorSeries(
---R      Expression Integer,t,0) -> UnivariateTaylorSeries(Expression 
---R      Integer,t,0) 
+--I   Compiling function %H with type List(UnivariateTaylorSeries(
+--I      Expression(Integer),t,0)) -> UnivariateTaylorSeries(Expression(
+--I      Integer),t,0) 
+--I   Compiling function %I with type List(UnivariateTaylorSeries(
+--I      Expression(Integer),t,0)) -> UnivariateTaylorSeries(Expression(
+--I      Integer),t,0) 
 --R
 --R              1  3    2  5    17  7      8      1  2    5  4    61  6      8
 --R   (10)  [t + - t  + -- t  + --- t  + O(t ),1 + - t  + -- t  + --- t  + O(t )]
 --R              3      15      315                2      24      720
---R                    Type: List UnivariateTaylorSeries(Expression Integer,t,0)
+--R                  Type: List(UnivariateTaylorSeries(Expression(Integer),t,0))
 --E 10
 
 \end{chunk}
@@ -171,7 +171,7 @@ eq1 := differentiate(x t, t) = y t
 --R          ,
 --R   (11)  x (t)= y(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 11
 
 --S 12 of 13
@@ -181,18 +181,18 @@ eq2 := differentiate(y t, t) = - g * sin(x t) - c * y t
 --R          ,
 --R   (12)  y (t)= - g sin(x(t)) - c y(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 12
 
 --S 13 of 13
 seriesSolve([eq1, eq2], [x, y], t = 0, [y 0 = a, x 0 = b])
 --R 
---R   Compiling function %K with type List UnivariateTaylorSeries(
---R      Expression Integer,t,0) -> UnivariateTaylorSeries(Expression 
---R      Integer,t,0) 
---R   Compiling function %L with type List UnivariateTaylorSeries(
---R      Expression Integer,t,0) -> UnivariateTaylorSeries(Expression 
---R      Integer,t,0) 
+--I   Compiling function %K with type List(UnivariateTaylorSeries(
+--I      Expression(Integer),t,0)) -> UnivariateTaylorSeries(Expression(
+--I      Integer),t,0) 
+--I   Compiling function %L with type List(UnivariateTaylorSeries(
+--I      Expression(Integer),t,0)) -> UnivariateTaylorSeries(Expression(
+--I      Integer),t,0) 
 --R
 --R   (13)
 --R   [
@@ -336,7 +336,7 @@ seriesSolve([eq1, eq2], [x, y], t = 0, [y 0 = a, x 0 = b])
 --R          8
 --R       O(t )
 --R     ]
---R                    Type: List UnivariateTaylorSeries(Expression Integer,t,0)
+--R                  Type: List(UnivariateTaylorSeries(Expression(Integer),t,0))
 --E 13
 )spool 
 )lisp (bye)
diff --git a/src/input/exprpoly.input.pamphlet b/src/input/exprpoly.input.pamphlet
index 2288066..16eda49 100644
--- a/src/input/exprpoly.input.pamphlet
+++ b/src/input/exprpoly.input.pamphlet
@@ -34,7 +34,7 @@ a := sin(i)*x**2 - y*x*sin(j)
 --R
 --R                        2
 --R   (1)  - x y sin(j) + x sin(i)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 \end{chunk}
@@ -46,7 +46,7 @@ a :: DMP([x,y], EXPR INT)
 --R
 --R               2
 --R   (2)  sin(i)x  - sin(j)x y
---R            Type: DistributedMultivariatePolynomial([x,y],Expression Integer)
+--R           Type: DistributedMultivariatePolynomial([x,y],Expression(Integer))
 --E 2
 
 --S 3 of 20
@@ -54,7 +54,7 @@ leadingCoefficient %
 --R 
 --R
 --R   (3)  sin(i)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 20
@@ -63,7 +63,7 @@ a :: HDMP([x,y], EXPR INT)
 --R
 --R               2
 --R   (4)  sin(i)x  - sin(j)x y
---R Type: HomogeneousDistributedMultivariatePolynomial([x,y],Expression Integer)
+--RType: HomogeneousDistributedMultivariatePolynomial([x,y],Expression(Integer))
 --E 4
 
 --S 5 of 20
@@ -72,7 +72,7 @@ a :: MPOLY([x,y], EXPR INT)
 --R
 --R               2
 --R   (5)  sin(i)x  - sin(j)y x
---R                       Type: MultivariatePolynomial([x,y],Expression Integer)
+--R                      Type: MultivariatePolynomial([x,y],Expression(Integer))
 --E 5
 
 --S 6 of 20
@@ -81,7 +81,7 @@ a :: MPOLY([y,x], EXPR INT)
 --R
 --R                             2
 --R   (6)  - sin(j)x y + sin(i)x
---R                       Type: MultivariatePolynomial([y,x],Expression Integer)
+--R                      Type: MultivariatePolynomial([y,x],Expression(Integer))
 --E 6
 
 \end{chunk}
@@ -93,7 +93,7 @@ Coerce it back to type Expression
 --R
 --R                        2
 --R   (7)  - x y sin(j) + x sin(i)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 20
@@ -101,7 +101,7 @@ a - %
 --R 
 --R
 --R   (8)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 \end{chunk}
@@ -113,7 +113,7 @@ a :: UP(x, EXPR INT)
 --R
 --R               2
 --R   (9)  sin(i)x  - y sin(j)x
---R                             Type: UnivariatePolynomial(x,Expression Integer)
+--R                            Type: UnivariatePolynomial(x,Expression(Integer))
 --E 9
 
 --S 10 of 20
@@ -122,7 +122,7 @@ a :: UP(y, EXPR INT)
 --R
 --R                        2
 --R   (10)  - x sin(j)y + x sin(i)
---R                             Type: UnivariatePolynomial(y,Expression Integer)
+--R                            Type: UnivariatePolynomial(y,Expression(Integer))
 --E 10
 
 --S 11 of 20
@@ -131,7 +131,7 @@ a :: UP(y, UP(x, EXPR INT))
 --R
 --R                              2
 --R   (11)  - sin(j)x y + sin(i)x
---R     Type: UnivariatePolynomial(y,UnivariatePolynomial(x,Expression Integer))
+--R    Type: UnivariatePolynomial(y,UnivariatePolynomial(x,Expression(Integer)))
 --E 11
 
 \end{chunk}
@@ -143,7 +143,7 @@ Coerce it back to type Expression
 --R
 --R                         2
 --R   (12)  - x y sin(j) + x sin(i)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 20
@@ -151,7 +151,7 @@ a - %
 --R 
 --R
 --R   (13)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 \end{chunk}
@@ -165,7 +165,7 @@ b : EXPR INT := (x - 2*y + 3*z)**3
 --R   (14)
 --R      3                 2       2             2       3        2     2     3
 --R   27z  + (- 54y + 27x)z  + (36y  - 36x y + 9x )z - 8y  + 12x y  - 6x y + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 20
@@ -193,7 +193,7 @@ b - (% :: EXPR INT)
 --R 
 --R
 --R   (17)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 20
@@ -213,7 +213,7 @@ b :: UP(y, HDMP([x,z], Integer))
 --R   (19)
 --R       3               2        2              2      3     2         2      3
 --R   - 8y  + (12x + 36z)y  + (- 6x  - 36x z - 54z )y + x  + 9x z + 27x z  + 27z
---IType: UnivariatePolynomial(y,HomogeneousDistributedMultivariatePolynomial(...
+--IType: UnivariatePolynomial(y,...
 --E 19
 
 --S 20 of 20
@@ -221,7 +221,7 @@ b - (% :: EXPR INT)
 --R 
 --R
 --R   (20)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 )spool 
 )lisp (bye)
diff --git a/src/input/exseries.input.pamphlet b/src/input/exseries.input.pamphlet
index cf3acef..b107e60 100644
--- a/src/input/exseries.input.pamphlet
+++ b/src/input/exseries.input.pamphlet
@@ -33,7 +33,7 @@ f := taylor(exp(x))
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 1
 
 --S 2 of 9
@@ -44,7 +44,7 @@ eval(f,1.0)
 --R   [1.0, 2.0, 2.5, 2.6666666666 666666667, 2.7083333333 333333333,
 --R    2.7166666666 666666667, 2.7180555555 555555556, 2.7182539682 53968254,
 --R    2.7182787698 412698413, 2.7182815255 731922399, ...]
---R                                                Type: Stream Expression Float
+--R                                              Type: Stream(Expression(Float))
 --E 2
 
 )clear all
@@ -57,7 +57,7 @@ series(sin(a*x),x = 0)
 --R              a   3    a   5    a    7     a     9      a      11      12
 --R   (1)  a x - -- x  + --- x  - ---- x  + ------ x  - -------- x   + O(x  )
 --R               6      120      5040      362880      39916800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 3
 
 --S 4 of 9
@@ -94,7 +94,7 @@ series(sin(a*x),a = %pi/4)
 --R                4         %pi 10          %pi 11
 --R     - ------------- (a - ---)   + O((a - ---)  )
 --R          3628800          4               4
---R                     Type: UnivariatePuiseuxSeries(Expression Integer,a,pi/4)
+--R                   Type: UnivariatePuiseuxSeries(Expression(Integer),a,%pi/4)
 --E 4
 
 )clear all
@@ -105,7 +105,7 @@ f := series(1/(1-x),x = 0)
 --R
 --R                 2    3    4    5    6    7    8    9    10      11
 --R   (1)  1 + x + x  + x  + x  + x  + x  + x  + x  + x  + x   + O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 5
 
 --S 6 of 9
@@ -119,7 +119,7 @@ g := log(f)
 --R   + 
 --R        12
 --R     O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 6
 
 --S 7 of 9
@@ -128,7 +128,7 @@ exp(g)
 --R
 --R                 2    3    4    5    6    7    8    9    10      11
 --R   (3)  1 + x + x  + x  + x  + x  + x  + x  + x  + x  + x   + O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 7
 
 )clear all
@@ -139,7 +139,7 @@ f := series(1/(1-x),x = 0)
 --R
 --R                 2    3    4    5    6    7    8    9    10      11
 --R   (1)  1 + x + x  + x  + x  + x  + x  + x  + x  + x  + x   + O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 8
 
 --S 9 of 9
@@ -149,7 +149,7 @@ f ** 2
 --R   (2)
 --R              2     3     4     5     6     7     8      9      10      11
 --R   1 + 2x + 3x  + 4x  + 5x  + 6x  + 7x  + 8x  + 9x  + 10x  + 11x   + O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 9
 )spool 
 )lisp (bye)
diff --git a/src/input/exsum.input.pamphlet b/src/input/exsum.input.pamphlet
index 3e893fd..c47b5a8 100644
--- a/src/input/exsum.input.pamphlet
+++ b/src/input/exsum.input.pamphlet
@@ -30,7 +30,7 @@ sum(k * x**k,k = 1..n)
 --R   (1)  -------------------------
 --R                2
 --R               x  - 2x + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 )clear all
@@ -42,7 +42,7 @@ limit( sum(1/(k * (k + 2)),k = 1..n) ,n = %plusInfinity)
 --R        3
 --R   (1)  -
 --R        4
---R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--R            Type: Union(OrderedCompletion(Fraction(Polynomial(Integer))),...)
 --E 2
 
 )clear all
@@ -55,7 +55,7 @@ s := sum(k**2,k = a..b)
 --R        2b  + 3b  + b - 2a  + 3a  - a
 --R   (1)  -----------------------------
 --R                      6
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 3
 
 --S 4 of 13
@@ -63,7 +63,7 @@ eval(s,[a,b],[1,25])
 --R 
 --R
 --R   (2)  5525
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 4
 
 --S 5 of 13
@@ -89,7 +89,7 @@ sum(3*k**2/(c**2 + 1) + 12*k/d,k = (3*a)..(4*b))
 --R  /
 --R        2
 --R     (2c  + 2)d
---R                                 Type: Union(Fraction Polynomial Integer,...)
+--R                               Type: Union(Fraction(Polynomial(Integer)),...)
 --E 6
 
 )clear all
@@ -99,7 +99,7 @@ sum(3*k**2/(c**2 + 1) + 12*k/d,k = (3*a)..(4*b))
 --R 
 --R
 --R   (1)  [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 7
 
 --S 8 of 13
@@ -127,7 +127,7 @@ reduce(+,[1.0/factorial(n) for n in 0..20])
 --R 
 --R
 --R   (1)  [25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 10
 
 --S 11 of 13
@@ -148,7 +148,7 @@ sum(k**3,k = 1..n)
 --R        n  + 2n  + n
 --R   (1)  -------------
 --R              4
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 12
 
 --S 13 of 13
@@ -159,7 +159,7 @@ sum(k,k = 1..n) ** 2
 --R        n  + 2n  + n
 --R   (2)  -------------
 --R              4
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 13
 )spool 
 )lisp (bye)
diff --git a/src/input/farray.input.pamphlet b/src/input/farray.input.pamphlet
index 5cac2fe..0303b3c 100644
--- a/src/input/farray.input.pamphlet
+++ b/src/input/farray.input.pamphlet
@@ -26,7 +26,7 @@ flexibleArray [i for i in 1..6]
 --R 
 --R
 --R   (1)  [1,2,3,4,5,6]
---R                                          Type: FlexibleArray PositiveInteger
+--R                                         Type: FlexibleArray(PositiveInteger)
 --E 1
 
 --S 2 of 16
@@ -34,7 +34,7 @@ f : FARRAY INT := new(6,0)
 --R 
 --R
 --R   (2)  [0,0,0,0,0,0]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 2
 
 --S 3 of 16
@@ -42,7 +42,7 @@ for i in 1..6 repeat f.i := i; f
 --R 
 --R
 --R   (3)  [1,2,3,4,5,6]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 3
 
 --S 4 of 16
@@ -58,7 +58,7 @@ concat!(f,11)
 --R 
 --R
 --R   (5)  [1,2,3,4,5,6,11]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 5
 
 --S 6 of 16
@@ -74,7 +74,7 @@ physicalLength!(f,15)
 --R 
 --R
 --R   (7)  [1,2,3,4,5,6,11]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 7
 
 --S 8 of 16
@@ -82,7 +82,7 @@ concat!(f,f)
 --R 
 --R
 --R   (8)  [1,2,3,4,5,6,11,1,2,3,4,5,6,11]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 8
 
 --S 9 of 16
@@ -90,7 +90,7 @@ insert!(22,f,1)
 --R 
 --R
 --R   (9)  [22,1,2,3,4,5,6,11,1,2,3,4,5,6,11]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 9
 
 --S 10 of 16
@@ -98,7 +98,7 @@ g := f(10..)
 --R 
 --R
 --R   (10)  [2,3,4,5,6,11]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 10
 
 --S 11 of 16
@@ -106,7 +106,7 @@ insert!(g,f,1)
 --R 
 --R
 --R   (11)  [2,3,4,5,6,11,22,1,2,3,4,5,6,11,1,2,3,4,5,6,11]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 11
 
 --S 12 of 16
@@ -114,7 +114,7 @@ merge!(sort! f, sort! g)
 --R 
 --R
 --R   (12)  [1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,6,6,6,6,11,11,11,11,22]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 12
 
 --S 13 of 16
@@ -122,7 +122,7 @@ removeDuplicates! f
 --R 
 --R
 --R   (13)  [1,2,3,4,5,6,11,22]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 13
 
 --S 14 of 16
@@ -130,7 +130,7 @@ select!(i +-> even? i,f)
 --R 
 --R
 --R   (14)  [2,4,6,22]
---R                                                  Type: FlexibleArray Integer
+--R                                                 Type: FlexibleArray(Integer)
 --E 14
 
 --S 15 of 16
diff --git a/src/input/ffdemo.input.pamphlet b/src/input/ffdemo.input.pamphlet
index b491ebb..9d2877a 100644
--- a/src/input/ffdemo.input.pamphlet
+++ b/src/input/ffdemo.input.pamphlet
@@ -41,7 +41,7 @@ Construct a field
 F:=PrimeField p
 --R 
 --R
---R   (2)  PrimeField 4817
+--R   (2)  PrimeField(4817)
 --R                                                                 Type: Domain
 --E 2
 
@@ -63,7 +63,7 @@ a:=index(size()$F quo 3)$F
 --R 
 --R
 --R   (4)  1605
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 4
 
 --S 5 of 350
@@ -71,7 +71,7 @@ b:=index(size()$F quo 7)$F
 --R 
 --R
 --R   (5)  688
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 5
 
 \end{chunk}
@@ -82,7 +82,7 @@ a+b
 --R 
 --R
 --R   (6)  2293
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 6
 
 --S 7 of 350
@@ -90,7 +90,7 @@ a-b
 --R 
 --R
 --R   (7)  917
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 7
 
 --S 8 of 350
@@ -98,7 +98,7 @@ a*b
 --R 
 --R
 --R   (8)  1147
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 8
 
 --S 9 of 350
@@ -106,7 +106,7 @@ a/b
 --R 
 --R
 --R   (9)  3216
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 9
 
 --S 10 of 350
@@ -114,7 +114,7 @@ a**1234
 --R 
 --R
 --R   (10)  2068
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 10
 
 --S 11 of 350
@@ -122,7 +122,7 @@ a**(-1)
 --R 
 --R
 --R   (11)  2407
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 11
 
 --S 12 of 350
@@ -130,7 +130,7 @@ g := generator()$F
 --R 
 --R
 --R   (12)  1
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 12
 
 --S 13 of 350
@@ -138,7 +138,7 @@ g := generator()$F
 --R 
 --R
 --R   (13)  0
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 13
 
 \end{chunk}
@@ -157,7 +157,7 @@ g:=primitiveElement()$F
 --R 
 --R
 --R   (15)  3
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 15
 
 --S 16 of 350
@@ -176,7 +176,7 @@ g**% - a
 --R 
 --R
 --R   (17)  0
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 17
 
 \end{chunk}
@@ -215,7 +215,7 @@ normalElement()$F
 --R 
 --R
 --R   (21)  1
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 21
 
 --S 22 of 350
@@ -223,7 +223,7 @@ definingPolynomial()$F
 --R 
 --R
 --R   (22)  ? + 4816
---R                             Type: SparseUnivariatePolynomial PrimeField 4817
+--R                           Type: SparseUnivariatePolynomial(PrimeField(4817))
 --E 22
 
 --S 23 of 350
@@ -231,7 +231,7 @@ minimalPolynomial(a)
 --R 
 --R
 --R   (23)  ? + 3212
---R                             Type: SparseUnivariatePolynomial PrimeField 4817
+--R                           Type: SparseUnivariatePolynomial(PrimeField(4817))
 --E 23
 
 --S 24 of 350
@@ -239,7 +239,7 @@ Frobenius(a)
 --R 
 --R
 --R   (24)  1605
---R                                                        Type: PrimeField 4817
+--R                                                       Type: PrimeField(4817)
 --E 24
 
 --S 25 of 350
@@ -247,7 +247,7 @@ linearAssociatedOrder(a)
 --R 
 --R
 --R   (25)  ? + 4816
---R                             Type: SparseUnivariatePolynomial PrimeField 4817
+--R                           Type: SparseUnivariatePolynomial(PrimeField(4817))
 --E 25
 
 --S 26 of 350
@@ -255,7 +255,7 @@ linearAssociatedLog(a)
 --R 
 --R
 --R   (26)  1605
---R                             Type: SparseUnivariatePolynomial PrimeField 4817
+--R                           Type: SparseUnivariatePolynomial(PrimeField(4817))
 --E 26
 
 --S 27 of 350
@@ -287,7 +287,7 @@ p:=7
 P:=PrimeField p
 --R 
 --R
---R   (29)  PrimeField 7
+--R   (29)  PrimeField(7)
 --R                                                                 Type: Domain
 --E 29
 
@@ -311,7 +311,7 @@ f:=createIrreduciblePoly(d)$FFPOLY(P)
 --R
 --R          6
 --R   (31)  ?  + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 31
 
 \end{chunk}
@@ -321,7 +321,7 @@ Construct the field
 F:=FFP(P,f)
 --R 
 --R
---R   (32)  FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R   (32)  FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --R                                                                 Type: Domain
 --E 32
 
@@ -345,7 +345,7 @@ a:=index(size()$F quo 3)$F
 --R
 --R            5      4      3      2
 --R   (34)  2%A  + 2%A  + 2%A  + 2%A  + 2%A + 2
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 34
 
 --S 35 of 350
@@ -354,7 +354,7 @@ b:=index(size()$F quo 7)$F
 --R
 --R           5
 --R   (35)  %A
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 35
 
 \end{chunk}
@@ -366,7 +366,7 @@ a+b
 --R
 --R            5      4      3      2
 --R   (36)  3%A  + 2%A  + 2%A  + 2%A  + 2%A + 2
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 36
 
 --S 37 of 350
@@ -375,7 +375,7 @@ a-b
 --R
 --R           5      4      3      2
 --R   (37)  %A  + 2%A  + 2%A  + 2%A  + 2%A + 2
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 37
 
 --S 38 of 350
@@ -384,7 +384,7 @@ a*b
 --R
 --R            5      4      3      2
 --R   (38)  2%A  + 3%A  + 3%A  + 3%A  + 3%A + 3
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 38
 
 --S 39 of 350
@@ -393,7 +393,7 @@ a/b
 --R
 --R            5      4      3      2
 --R   (39)  6%A  + 6%A  + 6%A  + 6%A  + 6%A + 2
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 39
 
 --S 40 of 350
@@ -402,7 +402,7 @@ a**1234
 --R
 --R            5     4      3
 --R   (40)  5%A  + %A  + 3%A  + 3%A + 4
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 40
 
 --S 41 of 350
@@ -410,7 +410,7 @@ a**(-1)
 --R 
 --R
 --R   (41)  %A + 6
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 41
 
 --S 42 of 350
@@ -418,7 +418,7 @@ g := generator()$F
 --R 
 --R
 --R   (42)  %A
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 42
 
 --S 43 of 350
@@ -426,7 +426,7 @@ g := generator()$F
 --R 
 --R
 --R   (43)  0
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 43
 
 \end{chunk}
@@ -445,7 +445,7 @@ g:=primitiveElement()$F
 --R 
 --R
 --R   (45)  %A + 1
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 45
 
 --S 46 of 350
@@ -464,7 +464,7 @@ g**% - a
 --R 
 --R
 --R   (47)  0
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 47
 
 \end{chunk}
@@ -504,7 +504,7 @@ normalElement()$F
 --R
 --R            5      4      3      2
 --R   (51)  5%A  + 3%A  + 3%A  + 5%A  + %A + 5
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 51
 
 --S 52 of 350
@@ -513,7 +513,7 @@ definingPolynomial()$F
 --R
 --R          6
 --R   (52)  ?  + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 52
 
 --S 53 of 350
@@ -522,7 +522,7 @@ minimalPolynomial(a)
 --R
 --R          6     5     4     3     2
 --R   (53)  ?  + 2?  + 5?  + 2?  + 5?  + 2? + 5
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 53
 
 --S 54 of 350
@@ -531,7 +531,7 @@ Frobenius(a)
 --R
 --R            5      4      3     2
 --R   (54)  6%A  + 4%A  + 5%A  + %A  + 3%A + 2
---R                  Type: FiniteFieldExtensionByPolynomial(PrimeField 7,?**6+2)
+--R                  Type: FiniteFieldExtensionByPolynomial(PrimeField(7),?^6+2)
 --E 54
 
 --S 55 of 350
@@ -540,7 +540,7 @@ linearAssociatedOrder(a)
 --R
 --R          6
 --R   (55)  ?  + 6
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 55
 
 --S 56 of 350
@@ -549,7 +549,7 @@ linearAssociatedLog(a)
 --R
 --R           5     4     3     2
 --R   (56)  2?  + 3?  + 3?  + 3?  + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 56
 
 --S 57 of 350
@@ -585,7 +585,7 @@ f:=createNormalPoly(d)$FFPOLY(P)
 --R
 --R          6     5
 --R   (58)  ?  + 6?  + 2? + 4
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 58
 
 \end{chunk}
@@ -596,7 +596,7 @@ F:=FFNBP(P,f)
 --R 
 --R
 --R   (59)
---R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --R                                                                 Type: Domain
 --E 59
 
@@ -621,7 +621,7 @@ a:=index(size()$F quo 3)$F
 --R             5       4       3       2
 --R            q       q       q       q       q
 --R   (61)  2%B   + 2%B   + 2%B   + 2%B   + 2%B  + 2%B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 61
 
 --S 62 of 350
@@ -631,7 +631,7 @@ b:=index(size()$F quo 7)$F
 --R            5
 --R           q
 --R   (62)  %B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 62
 
 \end{chunk}
@@ -644,7 +644,7 @@ a+b
 --R             5       4       3       2
 --R            q       q       q       q       q
 --R   (63)  3%B   + 2%B   + 2%B   + 2%B   + 2%B  + 2%B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 63
 
 --S 64 of 350
@@ -654,7 +654,7 @@ a-b
 --R            5       4       3       2
 --R           q       q       q       q       q
 --R   (64)  %B   + 2%B   + 2%B   + 2%B   + 2%B  + 2%B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 64
 
 --S 65 of 350
@@ -664,7 +664,7 @@ a*b
 --R             5
 --R            q
 --R   (65)  2%B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 65
 
 --S 66 of 350
@@ -674,7 +674,7 @@ a/b
 --R             4       3       2
 --R            q       q       q      q
 --R   (66)  3%B   + 2%B   + 4%B   + %B  + 3%B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 66
 
 --S 67 of 350
@@ -684,7 +684,7 @@ a**1234
 --R             5       4       3       2
 --R            q       q       q       q       q
 --R   (67)  2%B   + 2%B   + 2%B   + 2%B   + 2%B  + 2%B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 67
 
 --S 68 of 350
@@ -694,7 +694,7 @@ a**(-1)
 --R             5       4       3       2
 --R            q       q       q       q       q
 --R   (68)  4%B   + 4%B   + 4%B   + 4%B   + 4%B  + 4%B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 68
 
 --S 69 of 350
@@ -702,7 +702,7 @@ g := generator()$F
 --R 
 --R
 --R   (69)  %B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 69
 
 --S 70 of 350
@@ -710,7 +710,7 @@ g := generator()$F
 --R 
 --R
 --R   (70)  0
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 70
 
 \end{chunk}
@@ -731,7 +731,7 @@ g:=primitiveElement()$F
 --R            2
 --R           q
 --R   (72)  %B   + %B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 72
 
 --S 73 of 350
@@ -750,7 +750,7 @@ g**% - a
 --R 
 --R
 --R   (74)  0
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 74
 
 \end{chunk}
@@ -788,7 +788,7 @@ normalElement()$F
 --R 
 --R
 --R   (78)  %B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 78
 
 --S 79 of 350
@@ -797,7 +797,7 @@ definingPolynomial()$F
 --R
 --R          6     5
 --R   (79)  ?  + 6?  + 2? + 4
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 79
 
 --S 80 of 350
@@ -805,7 +805,7 @@ minimalPolynomial(a)
 --R 
 --R
 --R   (80)  ? + 5
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 80
 
 --S 81 of 350
@@ -815,7 +815,7 @@ Frobenius(a)
 --R             5       4       3       2
 --R            q       q       q       q       q
 --R   (81)  2%B   + 2%B   + 2%B   + 2%B   + 2%B  + 2%B
---RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 7,?**6+6*?**5+2*?+4)
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(7),?^6+6*?^5+2*?+4)
 --E 81
 
 --S 82 of 350
@@ -823,7 +823,7 @@ linearAssociatedOrder(a)
 --R 
 --R
 --R   (82)  ? + 6
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 82
 
 --S 83 of 350
@@ -832,7 +832,7 @@ linearAssociatedLog(a)
 --R
 --R           5     4     3     2
 --R   (83)  2?  + 2?  + 2?  + 2?  + 2? + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 83
 
 --S 84 of 350
@@ -887,7 +887,7 @@ p:=5
 P:=PrimeField p
 --R 
 --R
---R   (86)  PrimeField 5
+--R   (86)  PrimeField(5)
 --R                                                                 Type: Domain
 --E 86
 
@@ -911,7 +911,7 @@ f:=createPrimitivePoly(d)$FFPOLY(P)
 --R
 --R          4    2
 --R   (88)  ?  + ?  + 2? + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 5
+--R                              Type: SparseUnivariatePolynomial(PrimeField(5))
 --E 88
 
 \end{chunk}
@@ -922,7 +922,7 @@ F:=FFCGP(P,f)
 --R 
 --R
 --R   (89)
---R   FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--R   FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --R                                                                 Type: Domain
 --E 89
 
@@ -946,7 +946,7 @@ a:=index(size()$F quo 3)$F
 --R
 --R           207
 --R   (91)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 91
 
 --S 92 of 350
@@ -955,7 +955,7 @@ b:=index(size()$F quo 7)$F
 --R
 --R           88
 --R   (92)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 92
 
 \end{chunk}
@@ -967,7 +967,7 @@ a+b
 --R
 --R           70
 --R   (93)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 93
 
 --S 94 of 350
@@ -976,7 +976,7 @@ a-b
 --R
 --R           237
 --R   (94)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 94
 
 --S 95 of 350
@@ -985,7 +985,7 @@ a*b
 --R
 --R           295
 --R   (95)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 95
 
 --S 96 of 350
@@ -994,7 +994,7 @@ a/b
 --R
 --R           119
 --R   (96)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 96
 
 --S 97 of 350
@@ -1003,7 +1003,7 @@ a**1234
 --R
 --R           222
 --R   (97)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 97
 
 --S 98 of 350
@@ -1012,7 +1012,7 @@ a**(-1)
 --R
 --R           417
 --R   (98)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 98
 
 --S 99 of 350
@@ -1021,7 +1021,7 @@ g := generator()$F
 --R
 --R           1
 --R   (99)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 99
 
 --S 100 of 350
@@ -1029,7 +1029,7 @@ g := generator()$F
 --R 
 --R
 --R   (100)  0
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 100
 
 \end{chunk}
@@ -1049,7 +1049,7 @@ g:=primitiveElement()$F
 --R
 --R            1
 --R   (102)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 102
 
 --S 103 of 350
@@ -1068,7 +1068,7 @@ g**% - a
 --R 
 --R
 --R   (104)  0
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 104
 
 \end{chunk}
@@ -1107,7 +1107,7 @@ normalElement()$F
 --R
 --R            3
 --R   (108)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 108
 
 --S 109 of 350
@@ -1116,7 +1116,7 @@ definingPolynomial()$F
 --R
 --R           4    2
 --R   (109)  ?  + ?  + 2? + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 5
+--R                              Type: SparseUnivariatePolynomial(PrimeField(5))
 --E 109
 
 --S 110 of 350
@@ -1125,7 +1125,7 @@ minimalPolynomial(a)
 --R
 --R           4    3    2
 --R   (110)  ?  + ?  + ?  + 3? + 3
---R                                Type: SparseUnivariatePolynomial PrimeField 5
+--R                              Type: SparseUnivariatePolynomial(PrimeField(5))
 --E 110
 
 --S 111 of 350
@@ -1134,7 +1134,7 @@ Frobenius(a)
 --R
 --R            411
 --R   (111)  %C
---RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 5,?**4+?*?+2*?+2)
+--RType: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(5),?^4+?^2+2*?+2)
 --E 111
 
 --S 112 of 350
@@ -1143,7 +1143,7 @@ linearAssociatedOrder(a)
 --R
 --R           4
 --R   (112)  ?  + 4
---R                                Type: SparseUnivariatePolynomial PrimeField 5
+--R                              Type: SparseUnivariatePolynomial(PrimeField(5))
 --E 112
 
 --S 113 of 350
@@ -1152,7 +1152,7 @@ linearAssociatedLog(a)
 --R
 --R            3
 --R   (113)  3?  + 4? + 4
---R                                Type: SparseUnivariatePolynomial PrimeField 5
+--R                              Type: SparseUnivariatePolynomial(PrimeField(5))
 --E 113
 
 --S 114 of 350
@@ -1192,7 +1192,7 @@ p:=3
 P:=PrimeField p
 --R 
 --R
---R   (116)  PrimeField 3
+--R   (116)  PrimeField(3)
 --R                                                                 Type: Domain
 --E 116
 
@@ -1224,14 +1224,14 @@ f1:=createIrreduciblePoly(d1)$FFPOLY(P)
 --R
 --R           2
 --R   (119)  ?  + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 119
 
 --S 120 of 350
 F1:=FFP(P,f1)
 --R 
 --R
---R   (120)  FiniteFieldExtensionByPolynomial(PrimeField 3,?*?+1)
+--R   (120)  FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1)
 --R                                                                 Type: Domain
 --E 120
 
@@ -1244,7 +1244,7 @@ f2:=createIrreduciblePoly(d2)$FFPOLY(F1)
 --R
 --R           3
 --R   (121)  ?  + ? + %D
---IType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 121
 
 \end{chunk}
@@ -1255,8 +1255,8 @@ F:=FFP(F1,f2)
 --R 
 --R
 --R   (122)
---I  FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
---R  3,?*?+1),?**3+?+D)
+--R  FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(
+--R  3),?^2+1),?^3+?+%D)
 --R                                                                 Type: Domain
 --E 122
 
@@ -1280,7 +1280,7 @@ a:=index(size()$F quo 3)$F
 --R
 --R               2
 --R   (124)  %D %E
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 124
 
 --S 125 of 350
@@ -1289,7 +1289,7 @@ b:=index(size()$F quo 7)$F
 --R
 --R            2
 --R   (125)  %E  + 2%E + %D + 2
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 125
 
 \end{chunk}
@@ -1301,7 +1301,7 @@ a+b
 --R
 --R                    2
 --R   (126)  (%D + 1)%E  + 2%E + %D + 2
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 126
 
 --S 127 of 350
@@ -1310,7 +1310,7 @@ a-b
 --R
 --R                    2
 --R   (127)  (%D + 2)%E  + %E + 2%D + 1
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 127
 
 --S 128 of 350
@@ -1319,7 +1319,7 @@ a*b
 --R
 --R                    2
 --R   (128)  (%D + 2)%E  + (%D + 1)%E + 2
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 128
 
 --S 129 of 350
@@ -1328,7 +1328,7 @@ a/b
 --R
 --R                2
 --R   (129)  2%D %E  + 2%D + 2
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 129
 
 --S 130 of 350
@@ -1337,7 +1337,7 @@ a**1234
 --R
 --R             2
 --R   (130)  2%E  + %D %E + 2
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 130
 
 --S 131 of 350
@@ -1346,7 +1346,7 @@ a**(-1)
 --R
 --R               2
 --R   (131)  %D %E  + %E + %D
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 131
 
 --S 132 of 350
@@ -1354,7 +1354,7 @@ g := generator()$F
 --R 
 --R
 --R   (132)  %E
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 132
 
 --S 133 of 350
@@ -1362,7 +1362,7 @@ g := generator()$F
 --R 
 --R
 --R   (133)  0
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 133
 
 \end{chunk}
@@ -1381,7 +1381,7 @@ g:=primitiveElement()$F
 --R 
 --R
 --R   (135)  %E + 1
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 135
 
 --S 136 of 350
@@ -1400,7 +1400,7 @@ g**% - a
 --R 
 --R
 --R   (137)  0
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 137
 
 \end{chunk}
@@ -1439,7 +1439,7 @@ normalElement()$F
 --R
 --R            2
 --R   (141)  %E  + %E
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 141
 
 --S 142 of 350
@@ -1448,7 +1448,7 @@ definingPolynomial()$F
 --R
 --R           3
 --R   (142)  ?  + ? + %D
---IType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 142
 
 --S 143 of 350
@@ -1457,7 +1457,7 @@ minimalPolynomial(a)
 --R
 --R           3        2
 --R   (143)  ?  + 2%D ?  + 2? + 2%D
---IType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 143
 
 --S 144 of 350
@@ -1466,7 +1466,7 @@ Frobenius(a)
 --R
 --R               2
 --R   (144)  %D %E  + 2%E + 2%D
---IType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+?+%D)
 --E 144
 
 --S 145 of 350
@@ -1475,7 +1475,7 @@ linearAssociatedOrder(a)
 --R
 --R           3
 --R   (145)  ?  + 2
---IType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 145
 
 --S 146 of 350
@@ -1484,7 +1484,7 @@ linearAssociatedLog(a)
 --R
 --R                    2
 --R   (146)  (2%D + 2)?  + (2%D + 1)?
---IType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 146
 
 --S 147 of 350
@@ -1513,14 +1513,14 @@ f1:=createNormalPoly(d1)$FFPOLY(P)
 --R
 --R           2
 --R   (148)  ?  + 2? + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 148
 
 --S 149 of 350
 F1:=FFNBP(P,f1)
 --R 
 --R
---R   (149)  FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 3,?*?+2*?+2)
+--R   (149)  FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2)
 --R                                                                 Type: Domain
 --E 149
 
@@ -1533,7 +1533,7 @@ f2:=createIrreduciblePoly(d2)$FFPOLY(F1)
 --R
 --R           3
 --R   (150)  ?  + ? + %F
---IType: SparseUnivariatePolynomial FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 150
 
 \end{chunk}
@@ -1545,7 +1545,7 @@ F:=FFP(F1,f2)
 --R
 --R   (151)
 --R  FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(
---R  PrimeField 3,?*?+2*?+2),?**3+?+F)
+--R  PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --R                                                                 Type: Domain
 --E 151 of 350
 
@@ -1569,7 +1569,7 @@ a:=index(size()$F quo 3)$F
 --R
 --R            q  2
 --R   (153)  %F %G
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 153
 
 --S 154 of 350
@@ -1578,7 +1578,7 @@ b:=index(size()$F quo 7)$F
 --R
 --R               2              q
 --R   (154)  %F %G  + 2%F %G + %F  + 2%F
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 154
 
 \end{chunk}
@@ -1590,7 +1590,7 @@ a+b
 --R
 --R            2              q
 --R   (155)  %G  + 2%F %G + %F  + 2%F
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 155
 
 --S 156 of 350
@@ -1599,7 +1599,7 @@ a-b
 --R
 --R             q         2              q
 --R   (156)  (%F  + 2%F)%G  + %F %G + 2%F  + %F
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 156
 
 --S 157 of 350
@@ -1608,7 +1608,7 @@ a*b
 --R
 --R            q  2      q
 --R   (157)  %F %G  + 2%F %G + 2%F
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 157
 
 --S 158 of 350
@@ -1617,7 +1617,7 @@ a/b
 --R
 --R            2
 --R   (158)  %G  + %G
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 158
 
 --S 159 of 350
@@ -1626,7 +1626,7 @@ a**1234
 --R
 --R            q  2             q
 --R   (159)  %F %G  + %F %G + %F  + 2%F
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 159
 
 --S 160 of 350
@@ -1635,7 +1635,7 @@ a**(-1)
 --R
 --R            q  2          q
 --R   (160)  %F %G  + %G + %F
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 160
 
 --S 161 of 350
@@ -1643,7 +1643,7 @@ g := generator()$F
 --R 
 --R
 --R   (161)  %G
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 161
 
 --S 162 of 350
@@ -1651,7 +1651,7 @@ g := generator()$F
 --R 
 --R
 --R   (162)  0
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 162
 
 \end{chunk}
@@ -1670,7 +1670,7 @@ g:=primitiveElement()$F
 --R 
 --R
 --R   (164)  %G
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 164
 
 --S 165 of 350
@@ -1689,7 +1689,7 @@ g**% - a
 --R 
 --R
 --R   (166)  0
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 166
 
 \end{chunk}
@@ -1729,7 +1729,7 @@ normalElement()$F
 --R
 --R            2
 --R   (170)  %G
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 170
 
 --S 171 of 350
@@ -1738,7 +1738,7 @@ definingPolynomial()$F
 --R
 --R           3
 --R   (171)  ?  + ? + %F
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 171
 
 --S 172 of 350
@@ -1747,7 +1747,7 @@ minimalPolynomial(a)
 --R
 --R           3      q 2       q             q
 --R   (172)  ?  + 2%F ?  + (2%F  + %F)? + 2%F
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 172
 
 --S 173 of 350
@@ -1756,7 +1756,7 @@ Frobenius(a)
 --R
 --R            q  2               q
 --R   (173)  %F %G  + 2%F %G + 2%F
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+?+%F)
 --E 173
 
 --S 174 of 350
@@ -1765,7 +1765,7 @@ linearAssociatedOrder(a)
 --R
 --R           3      q
 --R   (174)  ?  + 2%F  + 2%F
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 174
 
 --S 175 of 350
@@ -1774,7 +1774,7 @@ linearAssociatedLog(a)
 --R
 --R            q
 --R   (175)  %F
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 175
 
 --S 176 of 350
@@ -1805,14 +1805,14 @@ f1:=createPrimitivePoly(d1)$FFPOLY(P)
 --R
 --R           2
 --R   (177)  ?  + ? + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 177
 
 --S 178 of 350
 F1:=FFCGP(P,f1)
 --R 
 --R
---R   (178)  FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 3,?*?+?+2)
+--R   (178)  FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2)
 --R                                                                 Type: Domain
 --E 178
 
@@ -1825,7 +1825,7 @@ f2:=createIrreduciblePoly(d2)$FFPOLY(F1)
 --R
 --R           3         1
 --R   (179)  ?  + ? + %H
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 179
 
 \end{chunk}
@@ -1837,7 +1837,7 @@ F:=FFP(F1,f2)
 --R
 --R   (180)
 --R  FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(
---R  PrimeField 3,?*?+?+2),?**3+?+H**1)
+--R  PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --R                                                                 Type: Domain
 --E 180
 
@@ -1861,7 +1861,7 @@ a:=index(size()$F quo 3)$F
 --R
 --R            2  2
 --R   (182)  %H %I
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 182
 
 --S 183 of 350
@@ -1870,7 +1870,7 @@ b:=index(size()$F quo 7)$F
 --R
 --R            2     1       4
 --R   (183)  %I  + %H %I + %H
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 183
 
 \end{chunk}
@@ -1882,7 +1882,7 @@ a+b
 --R
 --R            3  2     1       4
 --R   (184)  %H %I  + %H %I + %H
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 184
 
 --S 185 of 350
@@ -1891,7 +1891,7 @@ a-b
 --R
 --R            5  2     5
 --R   (185)  %H %I  + %H %I + 1
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 185
 
 --S 186 of 350
@@ -1900,7 +1900,7 @@ a*b
 --R
 --R            2  2     3
 --R   (186)  %H %I  + %H %I + 1
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 186
 
 --S 187 of 350
@@ -1909,7 +1909,7 @@ a/b
 --R
 --R            1  2     6
 --R   (187)  %H %I  + %H %I
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 187
 
 --S 188 of 350
@@ -1918,7 +1918,7 @@ a**1234
 --R
 --R            5  2     7
 --R   (188)  %H %I  + %H %I + 1
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 188
 
 --S 189 of 350
@@ -1927,7 +1927,7 @@ a**(-1)
 --R
 --R            4  2     1       4
 --R   (189)  %H %I  + %H %I + %H
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 189
 
 --S 190 of 350
@@ -1935,7 +1935,7 @@ g := generator()$F
 --R 
 --R
 --R   (190)  %I
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 190
 
 --S 191 of 350
@@ -1943,7 +1943,7 @@ g := generator()$F
 --R 
 --R
 --R   (191)  0
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 191
 
 \end{chunk}
@@ -1962,7 +1962,7 @@ g:=primitiveElement()$F
 --R 
 --R
 --R   (193)  %I
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 193
 
 --S 194 of 350
@@ -1981,7 +1981,7 @@ g**% - a
 --R 
 --R
 --R   (195)  0
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 195
 
 \end{chunk}
@@ -2020,7 +2020,7 @@ normalElement()$F
 --R
 --R            2
 --R   (199)  %I
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 199
 
 --S 200 of 350
@@ -2029,7 +2029,7 @@ definingPolynomial()$F
 --R
 --R           3         1
 --R   (200)  ?  + ? + %H
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 200
 
 --S 201 of 350
@@ -2038,7 +2038,7 @@ minimalPolynomial(a)
 --R
 --R           3     6 2     4      4
 --R   (201)  ?  + %H ?  + %H ? + %H
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 201
 
 --S 202 of 350
@@ -2047,7 +2047,7 @@ Frobenius(a)
 --R
 --R            2  2          6
 --R   (202)  %H %I  + %I + %H
---IType: FiniteFieldExtensionByPolynomial(...
+--RType: FiniteFieldExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+?+%H^1)
 --E 202
 
 --S 203 of 350
@@ -2056,7 +2056,7 @@ linearAssociatedOrder(a)
 --R
 --R           3     4
 --R   (203)  ?  + %H
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 203
 
 --S 204 of 350
@@ -2065,7 +2065,7 @@ linearAssociatedLog(a)
 --R
 --R            2
 --R   (204)  %H
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 204
 
 --S 205 of 350
@@ -2095,14 +2095,14 @@ f1:=createIrreduciblePoly(d1)$FFPOLY(P)
 --R
 --R           2
 --R   (206)  ?  + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 206
 
 --S 207 of 350
 F1:=FFP(P,f1)
 --R 
 --R
---R   (207)  FiniteFieldExtensionByPolynomial(PrimeField 3,?*?+1)
+--R   (207)  FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1)
 --R                                                                 Type: Domain
 --E 207
 
@@ -2115,7 +2115,7 @@ f2:=createNormalPoly(d2)$FFPOLY(F1)
 --R
 --R           3     2
 --R   (208)  ?  + 2?  + 1
---IType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 208
 
 \end{chunk}
@@ -2127,7 +2127,7 @@ F:=FFNBP(F1,f2)
 --R
 --R   (209)
 --R  FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(
---R  PrimeField 3,?*?+1),?**3+2*?*?+1)
+--R  PrimeField(3),?^2+1),?^3+2*?^2+1)
 --R                                                                 Type: Domain
 --E 209
 
@@ -2152,7 +2152,7 @@ a:=index(size()$F quo 3)$F
 --R                2
 --R               q
 --R   (211)  %D %J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 211
 
 --S 212 of 350
@@ -2162,7 +2162,7 @@ b:=index(size()$F quo 7)$F
 --R             2
 --R            q       q
 --R   (212)  %J   + 2%J  + (%D + 2)%J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 212
 
 \end{chunk}
@@ -2175,7 +2175,7 @@ a+b
 --R                     2
 --R                    q       q
 --R   (213)  (%D + 1)%J   + 2%J  + (%D + 2)%J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 213
 
 --S 214 of 350
@@ -2185,7 +2185,7 @@ a-b
 --R                     2
 --R                    q      q
 --R   (214)  (%D + 2)%J   + %J  + (2%D + 1)%J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 214
 
 --S 215 of 350
@@ -2195,7 +2195,7 @@ a*b
 --R                     2
 --R                    q         q
 --R   (215)  (%D + 2)%J   + %D %J  + (2%D + 1)%J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 215
 
 --S 216 of 350
@@ -2205,7 +2205,7 @@ a/b
 --R              2
 --R             q         q
 --R   (216)  2%J   + %D %J  + 2%J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 216
 
 --S 217 of 350
@@ -2214,7 +2214,7 @@ a**1234
 --R
 --R            q
 --R   (217)  %J  + 2%J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 217
 
 --S 218 of 350
@@ -2223,7 +2223,7 @@ a**(-1)
 --R
 --R                q
 --R   (218)  2%D %J  + %D %J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 218
 
 --S 219 of 350
@@ -2231,7 +2231,7 @@ g := generator()$F
 --R 
 --R
 --R   (219)  %J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 219
 
 --S 220 of 350
@@ -2239,7 +2239,7 @@ g := generator()$F
 --R 
 --R
 --R   (220)  0
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 220
 
 \end{chunk}
@@ -2259,7 +2259,7 @@ g:=primitiveElement()$F
 --R
 --R                    q
 --R   (222)  (%D + 1)%J  + 2%J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 222
 
 --S 223 of 350
@@ -2278,7 +2278,7 @@ g**% - a
 --R 
 --R
 --R   (224)  0
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 224
 
 \end{chunk}
@@ -2316,7 +2316,7 @@ normalElement()$F
 --R 
 --R
 --R   (228)  %J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 228
 
 --S 229 of 350
@@ -2325,7 +2325,7 @@ definingPolynomial()$F
 --R
 --R           3     2
 --R   (229)  ?  + 2?  + 1
---IType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 229
 
 --S 230 of 350
@@ -2334,7 +2334,7 @@ minimalPolynomial(a)
 --R
 --R           3        2
 --R   (230)  ?  + 2%D ?  + 2%D
---IType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 230
 
 --S 231 of 350
@@ -2342,7 +2342,7 @@ Frobenius(a)
 --R 
 --R
 --R   (231)  %D %J
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1),?^3+2*?^2+1)
 --E 231
 
 --S 232 of 350
@@ -2351,7 +2351,7 @@ linearAssociatedOrder(a)
 --R
 --R           3
 --R   (232)  ?  + 2
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 232
 
 --S 233 of 350
@@ -2360,7 +2360,7 @@ linearAssociatedLog(a)
 --R
 --R              2
 --R   (233)  %D ?
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(3),?^2+1))
 --E 233
 
 --S 234 of 350
@@ -2394,14 +2394,14 @@ f1:=createNormalPoly(d1)$FFPOLY(P)
 --R
 --R           2
 --R   (235)  ?  + 2? + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 235
 
 --S 236 of 350
 F1:=FFNBP(P,f1)
 --R 
 --R
---R   (236)  FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 3,?*?+2*?+2)
+--R   (236)  FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2)
 --R                                                                 Type: Domain
 --E 236
 
@@ -2414,7 +2414,7 @@ f2:=createNormalPoly(d2)$FFPOLY(F1)
 --R
 --R           3       q        2     q
 --R   (237)  ?  + (2%F  + 2%F)?  + %F  + %F
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 237
 
 \end{chunk}
@@ -2426,7 +2426,7 @@ F:=FFNBP(F1,f2)
 --R
 --R   (238)
 --R  FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionBy
---R  Polynomial(PrimeField 3,?*?+2*?+2),?**3+(2*F**q+2*F)*?*?+F**q+F)
+--R  Polynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --R                                                                 Type: Domain
 --E 238
 
@@ -2451,7 +2451,7 @@ a:=index(size()$F quo 3)$F
 --R                2
 --R            q  q
 --R   (240)  %F %K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 240
 
 --S 241 of 350
@@ -2461,7 +2461,7 @@ b:=index(size()$F quo 7)$F
 --R                2
 --R               q          q      q
 --R   (241)  %F %K   + 2%F %K  + (%F  + 2%F)%K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 241
 
 \end{chunk}
@@ -2474,7 +2474,7 @@ a+b
 --R             2
 --R            q          q      q
 --R   (242)  %K   + 2%F %K  + (%F  + 2%F)%K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 242
 
 --S 243 of 350
@@ -2484,7 +2484,7 @@ a-b
 --R                        2
 --R             q         q         q       q
 --R   (243)  (%F  + 2%F)%K   + %F %K  + (2%F  + %F)%K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 243
 
 --S 244 of 350
@@ -2494,7 +2494,7 @@ a*b
 --R                2
 --R            q  q        q         q      q
 --R   (244)  %F %K   + (2%F  + 2%F)%K  + 2%F %K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 244
 
 --S 245 of 350
@@ -2504,7 +2504,7 @@ a/b
 --R                         2
 --R              q         q       q         q       q
 --R   (245)  (2%F  + 2%F)%K   + (%F  + 2%F)%K  + (2%F  + 2%F)%K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 245
 
 --S 246 of 350
@@ -2513,7 +2513,7 @@ a**1234
 --R
 --R             q         q       q
 --R   (246)  (%F  + 2%F)%K  + (2%F  + %F)%K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 246
 
 --S 247 of 350
@@ -2522,7 +2522,7 @@ a**(-1)
 --R
 --R                q
 --R   (247)  2%F %K  + %F %K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 247
 
 --S 248 of 350
@@ -2530,7 +2530,7 @@ g := generator()$F
 --R 
 --R
 --R   (248)  %K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 248
 
 --S 249 of 350
@@ -2538,7 +2538,7 @@ g := generator()$F
 --R 
 --R
 --R   (249)  0
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 249
 
 \end{chunk}
@@ -2558,7 +2558,7 @@ g:=primitiveElement()$F
 --R
 --R               q     q
 --R   (251)  %F %K  + %F %K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 251
 
 --S 252 of 350
@@ -2577,7 +2577,7 @@ g**% - a
 --R 
 --R
 --R   (253)  0
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 253
 
 \end{chunk}
@@ -2616,7 +2616,7 @@ normalElement()$F
 --R 
 --R
 --R   (257)  %K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 257
 
 --S 258 of 350
@@ -2625,7 +2625,7 @@ definingPolynomial()$F
 --R
 --R           3       q        2     q
 --R   (258)  ?  + (2%F  + 2%F)?  + %F  + %F
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 258
 
 --S 259 of 350
@@ -2634,7 +2634,7 @@ minimalPolynomial(a)
 --R
 --R           3      q 2
 --R   (259)  ?  + 2%F ?  + %F
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 259
 
 --S 260 of 350
@@ -2643,7 +2643,7 @@ Frobenius(a)
 --R
 --R            q
 --R   (260)  %F %K
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2),?^3+(2*%F^q+2*%F)*?^2+(%F^q+%F))
 --E 260
 
 --S 261 of 350
@@ -2652,7 +2652,7 @@ linearAssociatedOrder(a)
 --R
 --R           3      q
 --R   (261)  ?  + 2%F  + 2%F
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 261
 
 --S 262 of 350
@@ -2661,7 +2661,7 @@ linearAssociatedLog(a)
 --R
 --R            q 2
 --R   (262)  %F ?
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^2+2*?+2))
 --E 262
 
 --S 263 of 350
@@ -2695,14 +2695,14 @@ f1:=createPrimitivePoly(d1)$FFPOLY(P)
 --R
 --R           2
 --R   (264)  ?  + ? + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 264
 
 --S 265 of 350
 F1:=FFCGP(P,f1)
 --R 
 --R
---R   (265)  FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 3,?*?+?+2)
+--R   (265)  FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2)
 --R                                                                 Type: Domain
 --E 265
 
@@ -2715,7 +2715,7 @@ f2:=createNormalPoly(d2)$FFPOLY(F1)
 --R
 --R           3     4 2
 --R   (266)  ?  + %H ?  + 1
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 266
 
 \end{chunk}
@@ -2727,7 +2727,7 @@ F:=FFNBP(F1,f2)
 --R
 --R   (267)
 --R  FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionBy
---R  Polynomial(PrimeField 3,?*?+?+2),?**3+H**4*?*?+1)
+--R  Polynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --R                                                                 Type: Domain
 --E 267
 
@@ -2752,7 +2752,7 @@ a:=index(size()$F quo 3)$F
 --R                2
 --R            2  q
 --R   (269)  %H %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 269
 
 --S 270 of 350
@@ -2762,7 +2762,7 @@ b:=index(size()$F quo 7)$F
 --R             2
 --R            q      1  q     4
 --R   (270)  %L   + %H %L  + %H %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 270
 
 \end{chunk}
@@ -2775,7 +2775,7 @@ a+b
 --R                2
 --R            3  q      1  q     4
 --R   (271)  %H %L   + %H %L  + %H %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 271
 
 --S 272 of 350
@@ -2785,7 +2785,7 @@ a-b
 --R                2
 --R            5  q      5  q
 --R   (272)  %H %L   + %H %L  + %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 272
 
 --S 273 of 350
@@ -2795,7 +2795,7 @@ a*b
 --R                2
 --R            7  q      q     6
 --R   (273)  %H %L   + %L  + %H %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 273
 
 --S 274 of 350
@@ -2805,7 +2805,7 @@ a/b
 --R                2
 --R            2  q      5  q     6
 --R   (274)  %H %L   + %H %L  + %H %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 274
 
 --S 275 of 350
@@ -2814,7 +2814,7 @@ a**1234
 --R
 --R            q     4
 --R   (275)  %L  + %H %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 275
 
 --S 276 of 350
@@ -2823,7 +2823,7 @@ a**(-1)
 --R
 --R            6  q     2
 --R   (276)  %H %L  + %H %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 276
 
 --S 277 of 350
@@ -2831,7 +2831,7 @@ g := generator()$F
 --R 
 --R
 --R   (277)  %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 277
 
 --S 278 of 350
@@ -2839,7 +2839,7 @@ g := generator()$F
 --R 
 --R
 --R   (278)  0
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 278
 
 \end{chunk}
@@ -2859,7 +2859,7 @@ g:=primitiveElement()$F
 --R
 --R            1  q     2
 --R   (280)  %H %L  + %H %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 280
 
 --S 281 of 350
@@ -2878,7 +2878,7 @@ g**% - a
 --R 
 --R
 --R   (282)  0
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 282
 
 \end{chunk}
@@ -2916,7 +2916,7 @@ normalElement()$F
 --R 
 --R
 --R   (286)  %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 286
 
 --S 287 of 350
@@ -2925,7 +2925,7 @@ definingPolynomial()$F
 --R
 --R           3     4 2
 --R   (287)  ?  + %H ?  + 1
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 287
 
 --S 288 of 350
@@ -2934,7 +2934,7 @@ minimalPolynomial(a)
 --R
 --R           3     6 2     6
 --R   (288)  ?  + %H ?  + %H
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 288
 
 --S 289 of 350
@@ -2943,7 +2943,7 @@ Frobenius(a)
 --R
 --R            2
 --R   (289)  %H %L
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2),?^3+%H^4*?^2+(1))
 --E 289
 
 --S 290 of 350
@@ -2952,7 +2952,7 @@ linearAssociatedOrder(a)
 --R
 --R           3     4
 --R   (290)  ?  + %H
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 290 of 350
 
 --S 291 of 350
@@ -2961,7 +2961,7 @@ linearAssociatedLog(a)
 --R
 --R            2 2
 --R   (291)  %H ?
---IType: SparseUnivariatePolynomial ...
+--RType: SparseUnivariatePolynomial(FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^2+?+2))
 --E 291
 
 --S 292 of 350
@@ -2992,7 +2992,7 @@ End of common finite field demonstration
 P3:= PF 3
 --R 
 --R
---R   (293)  PrimeField 3
+--R   (293)  PrimeField(3)
 --R                                                                 Type: Domain
 --E 293
 
@@ -3005,7 +3005,7 @@ fi:=createIrreduciblePoly(6)$FFPOLY(P3)
 --R
 --R           6
 --R   (294)  ?  + ? + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 294
 
 --S 295 of 350
@@ -3014,7 +3014,7 @@ fn:=createNormalPoly(6)$FFPOLY(P3)
 --R
 --R           6     5    3
 --R   (295)  ?  + 2?  + ?  + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 295
 
 --S 296 of 350
@@ -3023,7 +3023,7 @@ fp:=createPrimitivePoly(3)$FFPOLY(P3)
 --R
 --R           3
 --R   (296)  ?  + 2? + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 296
 
 \end{chunk}
@@ -3033,7 +3033,7 @@ fp:=createPrimitivePoly(3)$FFPOLY(P3)
 F:=FFP(P3,fn)
 --R 
 --R
---R   (297)  FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+2*?**5+?**3+1)
+--R   (297)  FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --R                                                                 Type: Domain
 --E 297
 
@@ -3042,7 +3042,7 @@ N:=FFNBP(P3,fn)
 --R 
 --R
 --R   (298)
---R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 3,?**6+2*?**5+?**3+1)
+--R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --R                                                                 Type: Domain
 --E 298
 
@@ -3052,7 +3052,7 @@ a:=index(size()$F quo 3)$F
 --R
 --R            5
 --R   (299)  %M
---R      Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+2*?**5+?**3+1)
+--R        Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 299
 
 --S 300 of 350
@@ -3061,7 +3061,7 @@ b:=index(size()$F quo 7)$F
 --R
 --R            4      2
 --R   (300)  %M  + 2%M  + %M + 2
---R      Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+2*?**5+?**3+1)
+--R        Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 300
 
 --S 301 of 350
@@ -3071,7 +3071,7 @@ an:=coerce(a)$FFHOM(F,P3,N)
 --R             4      3
 --R            q      q      q
 --R   (301)  %N   + %N   + %N  + 2%N
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 301
 
 --S 302 of 350
@@ -3081,7 +3081,7 @@ bn:=coerce(b)$FFHOM(F,P3,N)
 --R             3      2
 --R            q      q       q
 --R   (302)  %N   + %N   + 2%N  + 2%N
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 302
 
 --S 303 of 350
@@ -3091,7 +3091,7 @@ cn := an*bn
 --R              5       4      3
 --R             q       q      q      q
 --R   (303)  2%N   + 2%N   + %N   + %N
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 303
 
 --S 304 of 350
@@ -3100,7 +3100,7 @@ coerce(cn)$FFHOM(F,P3,N)
 --R
 --R            5      3      2
 --R   (304)  %M  + 2%M  + 2%M
---R      Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+2*?**5+?**3+1)
+--R        Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 304
 
 \end{chunk}
@@ -3112,7 +3112,7 @@ c:=a*b
 --R
 --R            5      3      2
 --R   (305)  %M  + 2%M  + 2%M
---R      Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+2*?**5+?**3+1)
+--R        Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 305
 
 \end{chunk}
@@ -3122,7 +3122,7 @@ c:=a*b
 F:=FFP(P3,fi)
 --R 
 --R
---R   (306)  FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+?+2)
+--R   (306)  FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+?+2)
 --R                                                                 Type: Domain
 --E 306
 
@@ -3131,7 +3131,7 @@ N:=FFNBP(P3,fn)
 --R 
 --R
 --R   (307)
---R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 3,?**6+2*?**5+?**3+1)
+--R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --R                                                                 Type: Domain
 --E 307
 
@@ -3141,7 +3141,7 @@ a:=index(size()$F quo 3)$F
 --R
 --R            5
 --R   (308)  %O
---R                Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+?+2)
+--R                Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+?+2)
 --E 308
 
 --S 309 of 350
@@ -3150,7 +3150,7 @@ b:=index(size()$F quo 7)$F
 --R
 --R            4      2
 --R   (309)  %O  + 2%O  + %O + 2
---R                Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+?+2)
+--R                Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+?+2)
 --E 309
 
 --S 310 of 350
@@ -3160,7 +3160,7 @@ an:=coerce(a)$FFHOM(F,P3,N)
 --R              5      4       3      2
 --R             q      q       q      q      q
 --R   (310)  2%N   + %N   + 2%N   + %N   + %N
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 310
 
 --S 311 of 350
@@ -3170,7 +3170,7 @@ bn:=coerce(b)$FFHOM(F,P3,N)
 --R              3      2
 --R             q      q
 --R   (311)  2%N   + %N
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 311
 
 --S 312 of 350
@@ -3180,7 +3180,7 @@ cn := an*bn
 --R              5      4      3      2
 --R             q      q      q      q      q
 --R   (312)  2%N   + %N   + %N   + %N   + %N  + 2%N
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 312
 
 --S 313 of 350
@@ -3189,7 +3189,7 @@ coerce(cn)$FFHOM(F,P3,N)
 --R
 --R             5      4     3     2
 --R   (313)  2%O  + 2%O  + %O  + %O  + %O + 1
---R                Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+?+2)
+--R                Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+?+2)
 --E 313
 
 \end{chunk}
@@ -3201,7 +3201,7 @@ c:=a*b
 --R
 --R             5      4     3     2
 --R   (314)  2%O  + 2%O  + %O  + %O  + %O + 1
---R                Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**6+?+2)
+--R                Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^6+?+2)
 --E 314
 
 \end{chunk}
@@ -3211,7 +3211,7 @@ c:=a*b
 C:=FFCGP(P3,fp)
 --R 
 --R
---R   (315)  FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 3,?**3+2*?+1)
+--R   (315)  FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^3+2*?+1)
 --R                                                                 Type: Domain
 --E 315
 
@@ -3220,7 +3220,7 @@ N:=FFNBP(P3,fn)
 --R 
 --R
 --R   (316)
---R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 3,?**6+2*?**5+?**3+1)
+--R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --R                                                                 Type: Domain
 --E 316
 
@@ -3230,7 +3230,7 @@ a:=index(size()$C quo 3)$C
 --R
 --R            8
 --R   (317)  %P
---R   Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 3,?**3+2*?+1)
+--R   Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^3+2*?+1)
 --E 317
 
 --S 318 of 350
@@ -3239,7 +3239,7 @@ b:=index(size()$C quo 7)$C
 --R
 --R            2
 --R   (318)  %P
---R   Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 3,?**3+2*?+1)
+--R   Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^3+2*?+1)
 --E 318
 
 --S 319 of 350
@@ -3249,7 +3249,7 @@ an:=coerce(a)$FFHOM(C,P3,N)
 --R              4       3
 --R             q       q       q
 --R   (319)  2%N   + 2%N   + 2%N  + 2%N
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 319
 
 --S 320 of 350
@@ -3259,7 +3259,7 @@ bn:=coerce(b)$FFHOM(C,P3,N)
 --R              5       2
 --R             q       q
 --R   (320)  2%N   + 2%N
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 320
 
 --S 321 of 350
@@ -3269,7 +3269,7 @@ cn := an+bn
 --R              5       4       3       2
 --R             q       q       q       q       q
 --R   (321)  2%N   + 2%N   + 2%N   + 2%N   + 2%N  + 2%N
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--RType: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^6+2*?^5+?^3+1)
 --E 321
 
 --S 322 of 350
@@ -3278,7 +3278,7 @@ coerce(cn)$FFHOM(C,P3,N)
 --R
 --R            13
 --R   (322)  %P
---R   Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 3,?**3+2*?+1)
+--R   Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^3+2*?+1)
 --E 322
 
 \end{chunk}
@@ -3290,7 +3290,7 @@ c:=a+b
 --R
 --R            13
 --R   (323)  %P
---R   Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 3,?**3+2*?+1)
+--R   Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^3+2*?+1)
 --E 323
 
 \end{chunk}
@@ -3302,14 +3302,14 @@ f:=createPrimitiveNormalPoly(5)$FFPOLY(P3)
 --R
 --R           5     4
 --R   (324)  ?  + 2?  + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 324
 
 --S 325 of 350
 FP:=FFP(P3,f)
 --R 
 --R
---R   (325)  FiniteFieldExtensionByPolynomial(PrimeField 3,?**5+2*?**4+1)
+--R   (325)  FiniteFieldExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --R                                                                 Type: Domain
 --E 325
 
@@ -3318,16 +3318,16 @@ Fc:=FFCGP(P3,f)  -- FC is a domain abbreviation
 --R 
 --R
 --R   (326)
---R   FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 3,?**5+2*?**4+1)
+--R   FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --R                                                                 Type: Domain
 --E 326
 
---S 328 of 350
+--S 327 of 350
 FN:=FFNBP(P3,f)
 --R 
 --R
 --R   (327)
---R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 3,?**5+2*?**4+1)
+--R   FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --R                                                                 Type: Domain
 --E 327
 
@@ -3337,7 +3337,7 @@ ap:=index(size()$FP quo 3)$FP
 --R
 --R            4
 --R   (328)  %Q
---R           Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**5+2*?**4+1)
+--R            Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 328
 
 --S 329 of 350
@@ -3346,7 +3346,7 @@ ac:=coerce(ap)$FFHOM(Fc,P3,FP)
 --R
 --R            4
 --R   (329)  %R
---IType: FiniteFieldCyclicGroupExtensionByPolynomial(...
+--R Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 329
 
 --S 330 of 350
@@ -3356,7 +3356,7 @@ an:=coerce(ap)$FFHOM(FN,P3,FP)
 --R              3       2
 --R             q       q       q
 --R   (330)  2%S   + 2%S   + 2%S  + %S
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--R Type: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 330
 
 --S 331 of 350
@@ -3365,7 +3365,7 @@ bp:=index(size()$FP quo 7)$FP
 --R
 --R            3
 --R   (331)  %Q  + 2%Q + 1
---R           Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**5+2*?**4+1)
+--R            Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 331
 
 --S 332 of 350
@@ -3374,7 +3374,7 @@ bc:=coerce(bp)$FFHOM(Fc,P3,FP)
 --R
 --R            133
 --R   (332)  %R
---IType: FiniteFieldCyclicGroupExtensionByPolynomial(...
+--R Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 332
 
 --S 333 of 350
@@ -3384,7 +3384,7 @@ bn:=coerce(bp)$FFHOM(FN,P3,FP)
 --R             4      3      2
 --R            q      q      q       q
 --R   (333)  %S   + %S   + %S   + 2%S
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--R Type: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 333
 
 \end{chunk}
@@ -3396,7 +3396,7 @@ ac+bc
 --R
 --R            187
 --R   (334)  %R
---IType: FiniteFieldCyclicGroupExtensionByPolynomial(...
+--R Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 334
 
 --S 335 of 350
@@ -3406,7 +3406,7 @@ an*bn
 --R             4      2
 --R            q      q      q
 --R   (335)  %S   + %S   + %S  + 2%S
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--R Type: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 335
 
 \end{chunk}
@@ -3419,7 +3419,7 @@ ap+bp
 --R
 --R            4     3
 --R   (336)  %Q  + %Q  + 2%Q + 1
---R           Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**5+2*?**4+1)
+--R            Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 336
 
 --S 337 of 350
@@ -3429,7 +3429,7 @@ an+bn
 --R             4
 --R            q      q
 --R   (337)  %S   + %S  + %S
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--R Type: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 337
 
 --S 338 of 350
@@ -3438,7 +3438,7 @@ ac+bc
 --R
 --R            187
 --R   (338)  %R
---IType: FiniteFieldCyclicGroupExtensionByPolynomial(...
+--R Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 338
 
 \end{chunk}
@@ -3450,7 +3450,7 @@ ap*bp
 --R
 --R            4      2
 --R   (339)  %Q  + 2%Q  + 2%Q
---R           Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**5+2*?**4+1)
+--R            Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 339
 
 --S 340 of 350
@@ -3460,7 +3460,7 @@ an*bn
 --R             4      2
 --R            q      q      q
 --R   (340)  %S   + %S   + %S  + 2%S
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--R Type: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 340
 
 --S 341 of 350
@@ -3469,7 +3469,7 @@ ac*bc
 --R
 --R            137
 --R   (341)  %R
---IType: FiniteFieldCyclicGroupExtensionByPolynomial(...
+--R Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 341
 
 \end{chunk}
@@ -3508,7 +3508,7 @@ ap**1234567
 --R
 --R             4     2
 --R   (345)  2%Q  + %Q  + %Q
---R           Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**5+2*?**4+1)
+--R            Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 345
 
 --S 346 of 350
@@ -3518,7 +3518,7 @@ an**1234567
 --R              4       2
 --R             q       q       q
 --R   (346)  2%S   + 2%S   + 2%S  + %S
---IType: FiniteFieldNormalBasisExtensionByPolynomial(...
+--R Type: FiniteFieldNormalBasisExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 346
 
 --S 347 of 350
@@ -3527,7 +3527,7 @@ ac**1234567
 --R
 --R            16
 --R   (347)  %R
---IType: FiniteFieldCyclicGroupExtensionByPolynomial(...
+--R Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 347
 
 \end{chunk}
@@ -3539,7 +3539,7 @@ ap+bc
 --R
 --R            187
 --R   (348)  %R
---IType: FiniteFieldCyclicGroupExtensionByPolynomial(...
+--R Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 348
 
 --S 349 of 350
@@ -3548,7 +3548,7 @@ an+bc
 --R
 --R            187
 --R   (349)  %R
---IType: FiniteFieldCyclicGroupExtensionByPolynomial(...
+--R Type: FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 349
 
 --S 350 of 350
@@ -3557,7 +3557,7 @@ an+bp
 --R
 --R            4     3
 --R   (350)  %Q  + %Q  + 2%Q + 1
---R           Type: FiniteFieldExtensionByPolynomial(PrimeField 3,?**5+2*?**4+1)
+--R            Type: FiniteFieldExtensionByPolynomial(PrimeField(3),?^5+2*?^4+1)
 --E 350
 )spool 
 )lisp (bye)
diff --git a/src/input/fferr.input.pamphlet b/src/input/fferr.input.pamphlet
index c9d41f5..c4af44c 100644
--- a/src/input/fferr.input.pamphlet
+++ b/src/input/fferr.input.pamphlet
@@ -25,7 +25,7 @@
 pf := PF 3
 --R 
 --R
---R   (1)  PrimeField 3
+--R   (1)  PrimeField(3)
 --R                                                                 Type: Domain
 --E 1
 
@@ -35,7 +35,7 @@ createIrreduciblePoly(6)$FFPOLY(pf)
 --R
 --R         6
 --R   (2)  ?  + ? + 2
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 2
 
 --S 3 of 7
@@ -44,7 +44,7 @@ createNormalPoly(6)$FFPOLY(pf)
 --R
 --R         6     5    3
 --R   (3)  ?  + 2?  + ?  + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 3
 
 --S 4 of 7
@@ -53,7 +53,7 @@ createPrimitivePoly(3)$FFPOLY(pf)
 --R
 --R         3
 --R   (4)  ?  + 2? + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 4
 
 --S 5 of 7
@@ -62,7 +62,7 @@ createIrreduciblePoly(3)$FFPOLY(pf)
 --R
 --R         3
 --R   (5)  ?  + 2? + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 5
 
 --S 6 of 7
@@ -71,7 +71,7 @@ createNormalPoly(3)$FFPOLY(pf)
 --R
 --R         3     2
 --R   (6)  ?  + 2?  + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 6
 
 --S 7 of 7
@@ -80,7 +80,7 @@ createPrimitivePoly(3)$FFPOLY(pf)
 --R
 --R         3
 --R   (7)  ?  + 2? + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 7
 )spool 
 )lisp (bye)
diff --git a/src/input/ffieldbug.input.pamphlet b/src/input/ffieldbug.input.pamphlet
index 844e2e8..e0d1e47 100644
--- a/src/input/ffieldbug.input.pamphlet
+++ b/src/input/ffieldbug.input.pamphlet
@@ -21,7 +21,7 @@
 gf2 := PrimeField 2
 --R 
 --R
---R   (1)  PrimeField 2
+--R   (1)  PrimeField(2)
 --R                                                                 Type: Domain
 --E 1
 
@@ -29,7 +29,7 @@ gf2 := PrimeField 2
 gf16 := FiniteFieldExtensionByPolynomial(gf2,x**4+x+1)
 --R 
 --R
---R   (2)  FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R   (2)  FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)
 --R                                                                 Type: Domain
 --E 2
 
@@ -38,7 +38,7 @@ a:=primitiveElement()$gf16
 --R 
 --R
 --R   (3)  %A
---R                Type: FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R                Type: FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)
 --E 3
 
 --S 4 of 29
@@ -47,7 +47,7 @@ p:POLY gf16:=a*x**3
 --R
 --R            3
 --R   (4)  %A x
---R     Type: Polynomial FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R    Type: Polynomial(FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --E 4
 
 --S 5 of 29
@@ -56,7 +56,7 @@ q:POLY gf16:=a*x**2+1
 --R
 --R            2
 --R   (5)  %A x  + 1
---R     Type: Polynomial FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R    Type: Polynomial(FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --E 5
 
 --S 6 of 29
@@ -77,7 +77,7 @@ p rem q
 gf2 := PrimeField 2
 --R 
 --R
---R   (1)  PrimeField 2
+--R   (1)  PrimeField(2)
 --R                                                                 Type: Domain
 --E 7
 
@@ -85,7 +85,7 @@ gf2 := PrimeField 2
 gf16:=FiniteFieldExtension(gf2,4)
 --R 
 --R
---R   (2)  FiniteFieldExtension(PrimeField 2,4)
+--R   (2)  FiniteFieldExtension(PrimeField(2),4)
 --R                                                                 Type: Domain
 --E 8
 
@@ -94,7 +94,7 @@ a:=primitiveElement()$gf16
 --R 
 --R
 --R   (3)  %A
---R                                   Type: FiniteFieldExtension(PrimeField 2,4)
+--R                                  Type: FiniteFieldExtension(PrimeField(2),4)
 --E 9
 
 --S 10 of 29
@@ -103,7 +103,7 @@ p:POLY gf16:=a*x**3
 --R
 --R            3
 --R   (4)  %A x
---R                        Type: Polynomial FiniteFieldExtension(PrimeField 2,4)
+--R                      Type: Polynomial(FiniteFieldExtension(PrimeField(2),4))
 --E 10
 
 --S 11 of 29
@@ -112,7 +112,7 @@ q:POLY gf16:=a*x**2+1
 --R
 --R            2
 --R   (5)  %A x  + 1
---R                        Type: Polynomial FiniteFieldExtension(PrimeField 2,4)
+--R                      Type: Polynomial(FiniteFieldExtension(PrimeField(2),4))
 --E 11
 
 --S 12 of 29
@@ -133,7 +133,7 @@ p rem q
 gf2 := PrimeField 2
 --R 
 --R
---R   (1)  PrimeField 2
+--R   (1)  PrimeField(2)
 --R                                                                 Type: Domain
 --E 13
 
@@ -159,7 +159,7 @@ p:POLY gf16:=a*x**3
 --R
 --R            3
 --R   (4)  %A x
---R                                            Type: Polynomial FiniteField(2,4)
+--R                                           Type: Polynomial(FiniteField(2,4))
 --E 16
 
 --S 17 of 29
@@ -168,7 +168,7 @@ q:POLY gf16:=a*x**2+1
 --R
 --R            2
 --R   (5)  %A x  + 1
---R                                            Type: Polynomial FiniteField(2,4)
+--R                                           Type: Polynomial(FiniteField(2,4))
 --E 17
 
 --S 18 of 29
@@ -206,7 +206,7 @@ FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1).
 gf2:=PrimeField 2
 --R 
 --R
---R   (1)  PrimeField 2
+--R   (1)  PrimeField(2)
 --R                                                                 Type: Domain
 --E 19
 
@@ -214,7 +214,7 @@ gf2:=PrimeField 2
 gf16:=FiniteFieldExtensionByPolynomial(gf2,x**4+x+1)
 --R 
 --R
---R   (2)  FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R   (2)  FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)
 --R                                                                 Type: Domain
 --E 20
 
@@ -223,8 +223,8 @@ P:=SUP gf16
 --R 
 --R
 --R   (3)
---R  SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(PrimeField 2,?**4
---R  +?+1)
+--R  SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(2),?^4
+--R  +?+1))
 --R                                                                 Type: Domain
 --E 21
 
@@ -233,7 +233,7 @@ a:gf16:=primitiveElement()
 --R 
 --R
 --R   (4)  %A
---R                Type: FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R                Type: FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)
 --E 22
 
 --S 23 of 29
@@ -253,7 +253,7 @@ m:P:=monomial(1,1)
 --R 
 --R
 --R   (5)  ?
---RType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --E 24
 
 --S 25 of 29
@@ -262,7 +262,7 @@ p:P:=a*m^3
 --R
 --R            3
 --R   (6)  %A ?
---RType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --E 25
 
 --S 26 of 29
@@ -282,7 +282,7 @@ a:=primitiveElement()$gf16
 --R 
 --R
 --R   (7)  %A
---R                Type: FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R                Type: FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)
 --E 27
 
 --S 28 of 29
@@ -291,7 +291,7 @@ q:P:=a*m^2+1
 --R
 --R            2
 --R   (8)  %A ?  + 1
---RType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --E 28
 
 --S 29 of 29
@@ -299,7 +299,7 @@ p rem q
 --R 
 --R
 --R   (9)  ?
---RType: SparseUnivariatePolynomial FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--RType: SparseUnivariatePolynomial(FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1))
 --E 29
 
 )spool 
diff --git a/src/input/ffx72.input.pamphlet b/src/input/ffx72.input.pamphlet
index 08bf82e..5329a68 100644
--- a/src/input/ffx72.input.pamphlet
+++ b/src/input/ffx72.input.pamphlet
@@ -45,7 +45,7 @@ u: UP(x,PF 7) := x**2 + 1
 --R
 --R         2
 --R   (2)  x  + 1
---R                                   Type: UnivariatePolynomial(x,PrimeField 7)
+--R                                  Type: UnivariatePolynomial(x,PrimeField(7))
 --E 2
 
 --S 3 of 13
@@ -54,7 +54,7 @@ factor u
 --R
 --R         2
 --R   (3)  x  + 1
---R                          Type: Factored UnivariatePolynomial(x,PrimeField 7)
+--R                        Type: Factored(UnivariatePolynomial(x,PrimeField(7)))
 --E 3 
 
 \end{chunk}
@@ -74,7 +74,7 @@ factor u2
 --R 
 --R
 --R   (5)  (x + %A)(x + 6%A)
---R                      Type: Factored UnivariatePolynomial(x,FiniteField(7,2))
+--R                     Type: Factored(UnivariatePolynomial(x,FiniteField(7,2)))
 --E 5
 
 \end{chunk} 
@@ -88,7 +88,7 @@ definingPolynomial()$gf72
 --R
 --R         2
 --R   (6)  ?  + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 6
 
 \end{chunk} 
@@ -107,7 +107,7 @@ norm e
 --R 
 --R
 --R   (8)  1
---R                                                           Type: PrimeField 7
+--R                                                          Type: PrimeField(7)
 --E 8
 
 --S 9 of 13
@@ -115,7 +115,7 @@ trace e
 --R 
 --R
 --R   (9)  4
---R                                                           Type: PrimeField 7
+--R                                                          Type: PrimeField(7)
 --E 9
 
 \end{chunk} 
@@ -144,7 +144,7 @@ allElts := [index(i :: PI)$gf72 for i in 1..48]
 --R    4%A + 3, 4%A + 4, 4%A + 5, 4%A + 6, 5%A, 5%A + 1, 5%A + 2, 5%A + 3,
 --R    5%A + 4, 5%A + 5, 5%A + 6, 6%A, 6%A + 1, 6%A + 2, 6%A + 3, 6%A + 4,
 --R    6%A + 5, 6%A + 6]
---R                                                  Type: List FiniteField(7,2)
+--R                                                 Type: List(FiniteField(7,2))
 --E 11
 
 \end{chunk} 
@@ -169,7 +169,7 @@ order 48 generates the multiplicative group of non-zero elements.
 --R   [1, 3, 6, 3, 6, 2, 4, 24, 48, 48, 48, 48, 24, 12, 48, 8, 16, 16, 8, 48, 12,
 --R    48, 16, 24, 24, 16, 48, 12, 48, 16, 24, 24, 16, 48, 12, 48, 8, 16, 16, 8,
 --R    48, 4, 24, 48, 48, 48, 48, 24]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 13
 )spool 
 )lisp (bye)
diff --git a/src/input/file.input.pamphlet b/src/input/file.input.pamphlet
index d301e6e..d94f9bf 100644
--- a/src/input/file.input.pamphlet
+++ b/src/input/file.input.pamphlet
@@ -26,7 +26,7 @@ ifile:File List Integer:=open("/tmp/jazz1","output")
 --R 
 --R
 --R   (1)  "/tmp/jazz1"
---R                                                      Type: File List Integer
+--R                                                    Type: File(List(Integer))
 --E 1
 
 --S 2 of 12
@@ -34,7 +34,7 @@ write!(ifile, [-1,2,3])
 --R 
 --R
 --R   (2)  [- 1,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 2
 
 --S 3 of 12
@@ -42,7 +42,7 @@ write!(ifile, [10,-10,0,111])
 --R 
 --R
 --R   (3)  [10,- 10,0,111]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 3
 
 --S 4 of 12
@@ -50,7 +50,7 @@ write!(ifile, [7])
 --R 
 --R
 --R   (4)  [7]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 4
 
 --S 5 of 12
@@ -58,7 +58,7 @@ reopen!(ifile, "input")
 --R 
 --R
 --R   (5)  "/tmp/jazz1"
---R                                                      Type: File List Integer
+--R                                                    Type: File(List(Integer))
 --E 5
 
 --S 6 of 12
@@ -66,7 +66,7 @@ read! ifile
 --R 
 --R
 --R   (6)  [- 1,2,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 6
 
 --S 7 of 12
@@ -74,7 +74,7 @@ read! ifile
 --R 
 --R
 --R   (7)  [10,- 10,0,111]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 7
 
 --S 8 of 12
@@ -82,7 +82,7 @@ readIfCan! ifile
 --R 
 --R
 --R   (8)  [7]
---R                                                Type: Union(List Integer,...)
+--R                                               Type: Union(List(Integer),...)
 --E 8
 
 --S 9 of 12
@@ -114,7 +114,7 @@ close! ifile
 --R 
 --R
 --R   (12)  "/tmp/jazz1"
---R                                                      Type: File List Integer
+--R                                                    Type: File(List(Integer))
 --E 12
 )spool 
 )system rm /tmp/jazz1
diff --git a/src/input/finitegraph.input.pamphlet b/src/input/finitegraph.input.pamphlet
index c77308f..8e882a0 100644
--- a/src/input/finitegraph.input.pamphlet
+++ b/src/input/finitegraph.input.pamphlet
@@ -79,7 +79,7 @@ FiniteGraph(nodes: BasicType): Exports == Implementation where
 g:FiniteGraph(INT):=new();
 --R 
 --R
---R                                                    Type: FiniteGraph Integer
+--R                                                   Type: FiniteGraph(Integer)
 --E 1
 
 --S 2 of 8
@@ -87,7 +87,7 @@ addNode(g,1)
 --R 
 --R
 --R   (2)  [1]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 2
 
 --S 3 of 8
@@ -95,7 +95,7 @@ addNode(g,2)
 --R 
 --R
 --R   (3)  [2]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 3
 
 --S 4 of 8
@@ -127,7 +127,7 @@ edgeList(g)
 --R 
 --R
 --R   (7)  [[source= 1,target= 2]]
---R                           Type: List Record(source: Integer,target: Integer)
+--R                          Type: List(Record(source: Integer,target: Integer))
 --E 7
 
 --S 8 of 8
@@ -135,7 +135,7 @@ nodeList(g)
 --R 
 --R
 --R   (8)  [1,2]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 8
 
 )spool 
diff --git a/src/input/fixed.input.pamphlet b/src/input/fixed.input.pamphlet
index 13557dd..34816b6 100644
--- a/src/input/fixed.input.pamphlet
+++ b/src/input/fixed.input.pamphlet
@@ -42,8 +42,8 @@ t1:=series(x/(x+log(x)))
 --R   ------- x  - ------- x  + ------- x  - -------- x   + -------- x   + O(x  )
 --R         7            8            9            10             11
 --R   log(x)       log(x)       log(x)       log(x)         log(x)
---R                   Type: GeneralUnivariatePowerSeries(Expression Integer,x,0)
---E
+--R                  Type: GeneralUnivariatePowerSeries(Expression(Integer),x,0)
+--E 1
 
 \end{chunk}
 Here integrate is treating log(x) as a constant, which is incorrect.
@@ -59,7 +59,7 @@ integrate(t1)
 --R
 --R   Continuing to read the file...
 --R
---E
+--E 2
 
 \end{chunk}
 bmt/10/19/92 integrate problem -- serious, wrong answer
@@ -71,8 +71,8 @@ t1:=2*sin(t)*sqrt(1+cos(t))
 --R
 --R                +----------+
 --R   (1)  2sin(t)\|cos(t) + 1
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 3
 
 \end{chunk}
 Correct answer is \[\frac{2\sin(t)}{\sqrt{1+\cos(t)}}\]
@@ -85,8 +85,8 @@ integrate(t1,t)
 --R        (- 4cos(t) - 4)\|cos(t) + 1
 --R   (2)  ----------------------------
 --R                      3
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 4
 
 \end{chunk}
 bmt/10/20/92 multiple complex in type tower
@@ -96,7 +96,7 @@ bmt/10/20/92 multiple complex in type tower
 --S 5 of 267
 n:Complex ?
 --R                                                                   Type: Void
---E
+--E 5
 
 \end{chunk}
 An invalid type. can't have 2 complex constructors in a tower
@@ -108,8 +108,8 @@ n:=x/y+%i
 --R        x
 --R   (2)  - + %i
 --R        y
---R                                    Type: Complex Fraction Polynomial Integer
---E
+--R                                 Type: Complex(Fraction(Polynomial(Integer)))
+--E 6
 
 \end{chunk}
 grabm/09/28/92 coercion bug
@@ -126,23 +126,23 @@ f:=(a-b-c-d)**2::EXPR INT
 --R
 --R         2                      2                 2           2
 --R   (1)  d  + (2c + 2b - 2a)d + c  + (2b - 2a)c + b  - 2a b + a
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 7
 
 --S 8 of 267
 t1:=f::DMP(['a,'b],EXPR INT)
 --R
 --R         2                          2                 2           2
 --R   (2)  a  - 2a b + (- 2d - 2c)a + b  + (2d + 2c)b + d  + 2c d + c
---R            Type: DistributedMultivariatePolynomial([a,b],Expression Integer)
---E
+--R           Type: DistributedMultivariatePolynomial([a,b],Expression(Integer))
+--E 8
 
 --S 9 of 267
 degree t1
 --R
 --R   (3)  [2,0]
 --R                                    Type: DirectProduct(2,NonNegativeInteger)
---E
+--E 9
 
 \end{chunk}
 bmt/10/26/92 wrong answer
@@ -165,8 +165,8 @@ integrate(sqrt(1+cos(x)),x)
 --R        2sin(x)\|cos(x) + 1
 --R   (1)  --------------------
 --R             cos(x) + 1
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 10 
 
 \end{chunk}
 bmt/09/28/92 bug in ITRIGMNP
@@ -182,8 +182,8 @@ integrate(exp(x**2),x)
 --I         ++    %K
 --I   (1)   |   %e   d%K
 --R        ++
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 11
 
 \end{chunk}
 themos/11/06/92 integration bug
@@ -211,8 +211,8 @@ f:=log(1-(b*x/(a+c*x**2)))/x
 --R               c x  + a
 --R   (1)  -------------------
 --R                 x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 12
 
 --S 13 of 267
 integrate(f,x)
@@ -224,8 +224,8 @@ integrate(f,x)
 --I         ++          %K c + a
 --I   (2)   |   -------------------- d%K
 --I        ++            %K
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 13
 
 --S 14 of 267
 g:=expand f
@@ -234,8 +234,8 @@ g:=expand f
 --R        - log(c x  + a) + log(c x  - b x + a)
 --R   (3)  -------------------------------------
 --R                          x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 14
 
 --S 15 of 267
 integrate(g,x)
@@ -244,8 +244,8 @@ integrate(g,x)
 --I         ++  - log(%K c + a) + log(%K c - %K b + a)
 --I   (4)   |   -------------------------------------- d%K
 --I        ++                     %K
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 15
 
 \end{chunk}
 bmt/11/17/92 interpreter resolve problem\\
@@ -260,8 +260,8 @@ Says cannot find an appropriate *
 --R        %i\|m
 --R   (1)  ------
 --R           m
---R                                             Type: Expression Complex Integer
---E
+--R                                           Type: Expression(Complex(Integer))
+--E 16
 
 \end{chunk}
 tpd/09/22/92 this generates extra brackets
@@ -271,14 +271,14 @@ tpd/09/22/92 this generates extra brackets
 --S 17 of 267
 foo n == matrix[[i for i in 1..n] for j in 1..n]
 --R                                                                   Type: Void
---E
+--E 17
 
 --S 18 of 267
 foo
 --R
 --R   (2)  foo n == [[i for i in 1..n] for j in 1..n]
---R                                                     Type: FunctionCalled foo
---E
+--R                                                    Type: FunctionCalled(foo)
+--E 18
 
 )clear all
 
@@ -310,9 +310,9 @@ comment: this works in version 2
 msq := Matrix SquareMatrix(2,POLY INT)
 --R 
 --R
---R   (1)  Matrix SquareMatrix(2,Polynomial Integer)
+--R   (1)  Matrix(SquareMatrix(2,Polynomial(Integer)))
 --R                                                                 Type: Domain
---E
+--E 19
 
 --S 20 of 267
 m : msq := zero(2,2)
@@ -324,8 +324,8 @@ m : msq := zero(2,2)
 --R        |+0  0+  +0  0+|
 --R        ||    |  |    ||
 --R        ++0  0+  +0  0++
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
---E
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
+--E 20
 
 --S 21 of 267
 m(1,1) := matrix([[1,2],[a,b]])
@@ -333,8 +333,8 @@ m(1,1) := matrix([[1,2],[a,b]])
 --R        +1  2+
 --R   (3)  |    |
 --R        +a  b+
---R                                     Type: SquareMatrix(2,Polynomial Integer)
---E
+--R                                    Type: SquareMatrix(2,Polynomial(Integer))
+--E 21
 
 --S 22 of 267
 m(1,2) := matrix([[a,b],[2,b]])
@@ -342,8 +342,8 @@ m(1,2) := matrix([[a,b],[2,b]])
 --R        +a  b+
 --R   (4)  |    |
 --R        +2  b+
---R                                     Type: SquareMatrix(2,Polynomial Integer)
---E
+--R                                    Type: SquareMatrix(2,Polynomial(Integer))
+--E 22
 
 --S 23 of 267
 m(2,2) := matrix([[1,2],[2,b]])
@@ -351,8 +351,8 @@ m(2,2) := matrix([[1,2],[2,b]])
 --R        +1  2+
 --R   (5)  |    |
 --R        +2  b+
---R                                     Type: SquareMatrix(2,Polynomial Integer)
---E
+--R                                    Type: SquareMatrix(2,Polynomial(Integer))
+--E 23
 
 --S 24 of 267
 m
@@ -364,8 +364,8 @@ m
 --R        |+0  0+  +1  2+|
 --R        ||    |  |    ||
 --R        ++0  0+  +2  b++
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
---E
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
+--E 24
 
 --S 25 of 267
 m*m
@@ -380,8 +380,8 @@ m*m
 --R        |      |    |              |              |      |
 --R        |      +0  0+              |         2    |      |
 --R        +                          +2b + 2  b  + 4+      +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
---E
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
+--E 25
 
 --S 26 of 267
 m**2
@@ -396,8 +396,8 @@ m**2
 --R        |      |    |              |              |      |
 --R        |      +0  0+              |         2    |      |
 --R        +                          +2b + 2  b  + 4+      +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
---E
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
+--E 26
 
 --S 27 of 267
 m**3
@@ -430,8 +430,8 @@ m**3
 --R   and matrix4= |                            |
 --R                |  2              3          |
 --R                +2b  + 2b + 10   b  + 8b + 4 +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
---E
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
+--E 27
 
 --S 28 of 267
 (m*m)*m
@@ -464,8 +464,8 @@ m**3
 --R   and matrix4= |                            |
 --R                |  2              3          |
 --R                +2b  + 2b + 10   b  + 8b + 4 +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
---E
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
+--E 28
 
 --S 29 of 267
 mm:=m*m
@@ -480,8 +480,8 @@ mm:=m*m
 --R         |      |    |              |              |      |
 --R         |      +0  0+              |         2    |      |
 --R         +                          +2b + 2  b  + 4+      +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
---E
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
+--E 29
 
 --S 30 of 267
 mm*m
@@ -514,8 +514,8 @@ mm*m
 --R   and matrix4= |                            |
 --R                |  2              3          |
 --R                +2b  + 2b + 10   b  + 8b + 4 +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
---E
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
+--E 30
 
 \end{chunk}
 tpd/09/25/92 new equation.spad from johannes grabmeier
@@ -531,80 +531,80 @@ eq1 := (-6*x**3+13*x**2+4)=(-x**4+12*x)
 --R
 --R            3      2         4
 --R   (1)  - 6x  + 13x  + 4= - x  + 12x
---R                                            Type: Equation Polynomial Integer
---E
+--R                                          Type: Equation(Polynomial(Integer))
+--E 31
 
 --S 32 of 267
 eq2 := x**4+13*x**2-12*x = 6*x**3-4
 --R
 --R         4      2          3
 --R   (2)  x  + 13x  - 12x= 6x  - 4
---R                                            Type: Equation Polynomial Integer
---E
+--R                                          Type: Equation(Polynomial(Integer))
+--E 32
 
 --S 33 of 267
 eq := eq1*y**2+eq2
 --R
 --R             3      2      2    4      2            4        2     3
 --R   (3)  (- 6x  + 13x  + 4)y  + x  + 13x  - 12x= (- x  + 12x)y  + 6x  - 4
---R                                            Type: Equation Polynomial Integer
---E
+--R                                          Type: Equation(Polynomial(Integer))
+--E 33
 
 --S 34 of 267
 t1:=swap eq
 --R
 --R            4        2     3           3      2      2    4      2
 --R   (4)  (- x  + 12x)y  + 6x  - 4= (- 6x  + 13x  + 4)y  + x  + 13x  - 12x
---R                                            Type: Equation Polynomial Integer
---E
+--R                                          Type: Equation(Polynomial(Integer))
+--E 34
 
 --S 35 of 267
 t2:=t1 + 4
 --R
 --R            4        2     3       3      2      2    4      2
 --R   (5)  (- x  + 12x)y  + 6x = (- 6x  + 13x  + 4)y  + x  + 13x  - 12x + 4
---R                                            Type: Equation Polynomial Integer
---E
+--R                                          Type: Equation(Polynomial(Integer))
+--E 35
 
 --S 36 of 267
 t3:=t2-6*x**3
 --R
 --R            4        2       3      2      2    4     3      2
 --R   (6)  (- x  + 12x)y = (- 6x  + 13x  + 4)y  + x  - 6x  + 13x  - 12x + 4
---R                                            Type: Equation Polynomial Integer
---E
+--R                                          Type: Equation(Polynomial(Integer))
+--E 36
 
 --S 37 of 267
 t4:=leftZero t3
 --R
 --R             4     3      2            2    4     3      2
 --R   (7)  0= (x  - 6x  + 13x  - 12x + 4)y  + x  - 6x  + 13x  - 12x + 4
---R                                            Type: Equation Polynomial Integer
---E
+--R                                          Type: Equation(Polynomial(Integer))
+--E 37
 
 --S 38 of 267
 t5:=swap t4
 --R
 --R          4     3      2            2    4     3      2
 --R   (8)  (x  - 6x  + 13x  - 12x + 4)y  + x  - 6x  + 13x  - 12x + 4= 0
---R                                            Type: Equation Polynomial Integer
---E
+--R                                          Type: Equation(Polynomial(Integer))
+--E 38
 
 --S 39 of 267
 t6:=factor lhs t5
 --R
 --R               2       2  2
 --R   (9)  (x - 2) (x - 1) (y  + 1)
---R                                            Type: Factored Polynomial Integer
---E
+--R                                          Type: Factored(Polynomial(Integer))
+--E 39
 
 --S 40 of 267
 t7:=factorAndSplit eq
 --R
 --R                             2
 --R   (10)  [x - 2= 0,x - 1= 0,y  + 1= 0]
---R                                       Type: List Equation Polynomial Integer
---E
+--R                                    Type: List(Equation(Polynomial(Integer)))
+--E 40
 
 --S 41 of 267
 t8:=inv (eq :: EQ FRAC POLY INT)
@@ -613,8 +613,8 @@ t8:=inv (eq :: EQ FRAC POLY INT)
 --R   (11)  - ------------------------------------= - ----------------------
 --R              3      2      2    4      2            4        2     3
 --R           (6x  - 13x  - 4)y  - x  - 13x  + 12x    (x  - 12x)y  - 6x  + 4
---R                                   Type: Equation Fraction Polynomial Integer
---E
+--R                                Type: Equation(Fraction(Polynomial(Integer)))
+--E 41
 
 --S 42 of 267
 - t8
@@ -623,8 +623,8 @@ t8:=inv (eq :: EQ FRAC POLY INT)
 --R   (12)  ------------------------------------= ----------------------
 --R            3      2      2    4      2          4        2     3
 --R         (6x  - 13x  - 4)y  - x  - 13x  + 12x  (x  - 12x)y  - 6x  + 4
---R                                   Type: Equation Fraction Polynomial Integer
---E
+--R                                Type: Equation(Fraction(Polynomial(Integer)))
+--E 42
 
 \end{chunk}
 bmt/09/29/92 coercion bug\\
@@ -654,7 +654,7 @@ properly declared despite the error message. --Tim
 --S 43 of 267
 (p1,p2):UP(x,INT)
 --R                                                                   Type: Void
---E
+--E 43
 
 --S 44 of 267
 p1:=3*x**4+11*x**2-4
@@ -662,7 +662,7 @@ p1:=3*x**4+11*x**2-4
 --R          4      2
 --R   (2)  3x  + 11x  - 4
 --R                                        Type: UnivariatePolynomial(x,Integer)
---E
+--E 44
 
 --S 45 of 267
 p2:=9*x**4+9*x**2-4
@@ -670,17 +670,17 @@ p2:=9*x**4+9*x**2-4
 --R          4     2
 --R   (3)  9x  + 9x  - 4
 --R                                        Type: UnivariatePolynomial(x,Integer)
---E
+--E 45
 
 --S 46 of 267
 myNextPrime: (INT,NNI) -> INT
 --R                                                                   Type: Void
---E
+--E 46
 
 --S 47 of 267
 myNextPrime(x,n)==nextPrime(x)$PRIMES(INT)
 --R                                                                   Type: Void
---E
+--E 47
 
 \end{chunk}
 Runs forever due to algebra bug in handling leading coefficients
@@ -693,7 +693,7 @@ modularGcd([p1,p2])$InnerModularGcd(INT,UP(x,INT),67108859,myNextPrime)
 --R          2
 --R   (6)  3x  - 1
 --R                                        Type: UnivariatePolynomial(x,Integer)
---E
+--E 48
 
 \end{chunk}
 dewar/10/02/92 actually, this was never wrong
@@ -705,7 +705,7 @@ numeric(%e ** %pi)
 --R
 --R   (1)  23.1406926327 79269006
 --R                                                                  Type: Float
---E
+--E 49
 
 \end{chunk}
 themos/10/07/92
@@ -717,7 +717,7 @@ y:=operator 'y
 --R
 --R   (1)  y
 --R                                                          Type: BasicOperator
---E
+--E 50
 
 --S 51 of 267
 deqx:=differentiate(y(x),x,2)+differentiate(y(x),x)+y(x)
@@ -725,8 +725,8 @@ deqx:=differentiate(y(x),x,2)+differentiate(y(x),x)+y(x)
 --R         ,,       ,
 --R   (2)  y  (x) + y (x) + y(x)
 --R
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 51
 
 --S 52 of 267
 solve(deqx,y,x)
@@ -736,8 +736,8 @@ solve(deqx,y,x)
 --R                                   x\|3      2     2    x\|3
 --R   (3)  [particular= 0,basis= [cos(-----)%e   ,%e   sin(-----)]]
 --R                                     2                    2
---IType: Union(Record(particular: Expression Integer,...
---E
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
+--E 52
 
 --S 53 of 267
 solve(deqx,y,x=0,[1])
@@ -747,8 +747,8 @@ solve(deqx,y,x=0,[1])
 --R            x\|3      2
 --R   (4)  cos(-----)%e
 --R              2
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 53
 
 --S 54 of 267
 deqt:=differentiate(y(t),t,2)+differentiate(y(t),t)+y(t)
@@ -756,8 +756,8 @@ deqt:=differentiate(y(t),t,2)+differentiate(y(t),t)+y(t)
 --R         ,,       ,
 --R   (5)  y  (t) + y (t) + y(t)
 --R
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 54
 
 --S 55 of 267
 solve(deqt,y,t)
@@ -767,8 +767,8 @@ solve(deqt,y,t)
 --R                                   t\|3      2     2    t\|3
 --R   (6)  [particular= 0,basis= [cos(-----)%e   ,%e   sin(-----)]]
 --R                                     2                    2
---IType: Union(Record(particular: Expression Integer,basis: ...
---E
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
+--E 55
 
 --S 56 of 267
 solve(deqt,y,t=0,[1]) -- bug
@@ -778,8 +778,8 @@ solve(deqt,y,t=0,[1]) -- bug
 --R            t\|3      2
 --R   (7)  cos(-----)%e
 --R              2
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 56
 
 --S 57 of 267
 deqz:=differentiate(y(z),z,2)+differentiate(y(z),z)+y(z)
@@ -787,8 +787,8 @@ deqz:=differentiate(y(z),z,2)+differentiate(y(z),z)+y(z)
 --R         ,,       ,
 --R   (8)  y  (z) + y (z) + y(z)
 --R
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 57
 
 --S 58 of 267
 solve(deqz,y,z)
@@ -798,8 +798,8 @@ solve(deqz,y,z)
 --R                                   z\|3      2     2    z\|3
 --R   (9)  [particular= 0,basis= [cos(-----)%e   ,%e   sin(-----)]]
 --R                                     2                    2
---IType: Union(Record(particular: Expression Integer,...
---E
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
+--E 58
 
 --S 59 of 267
 solve(deqz,y,z=0,[1]) --bug
@@ -809,8 +809,8 @@ solve(deqz,y,z=0,[1]) --bug
 --R             z\|3      2
 --R   (10)  cos(-----)%e
 --R               2
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 59
 
 \end{chunk}
 themos/10/07/92 equation
@@ -822,7 +822,7 @@ y:=operator 'y
 --R
 --R   (1)  y
 --R                                                          Type: BasicOperator
---E
+--E 60
 
 --S 61 of 267
 deq:=D(y(x),x)+x**2=(y x)/x-(y x)**2
@@ -831,8 +831,8 @@ deq:=D(y(x),x)+x**2=(y x)/x-(y x)**2
 --R         ,       2  - x y(x)  + y(x)
 --R   (2)  y (x) + x = ----------------
 --R                            x
---R                                            Type: Equation Expression Integer
---E
+--R                                          Type: Equation(Expression(Integer))
+--E 61
 
 \end{chunk}
 bmt/10/08/92 laplace
@@ -845,8 +845,8 @@ laplace(exp(-x**3)*x**7,x,s)
 --R                       3
 --R                 7  - x
 --R   (1)  laplace(x %e    ,x,s)
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 62
 
 \end{chunk}
 bmt/09/30/92 nonlinear ODE 
@@ -862,7 +862,7 @@ y:=operator 'y
 --R
 --R   (1)  y
 --R                                                          Type: BasicOperator
---E
+--E 63
 
 --S 64 of 267
 x**2 * D(y x, x) + 2*x*(y x) - (y x)**3 = 0
@@ -870,8 +870,8 @@ x**2 * D(y x, x) + 2*x*(y x) - (y x)**3 = 0
 --R         2 ,          3
 --R   (2)  x y (x) - y(x)  + 2x y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
---E
+--R                                          Type: Equation(Expression(Integer))
+--E 64
 
 --S 65 of 267
 solve(%,y,x)
@@ -881,8 +881,8 @@ solve(%,y,x)
 --R   (3)  ---------------------
 --R                 5    2
 --R               5x y(x)
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 65
 
 \end{chunk}
 sit/10/08/92 factor bug
@@ -893,8 +893,8 @@ sit/10/08/92 factor bug
 p:POLY FRAC INT := 3*(x+1)
 --R
 --R   (1)  3x + 3
---R                                            Type: Polynomial Fraction Integer
---E
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 66
 
 \end{chunk}
 Is wrong (missing factor of 3).
@@ -905,8 +905,8 @@ factor(p)**2
 --R
 --R                2
 --R   (2)  9(x + 1)
---R                                   Type: Factored Polynomial Fraction Integer
---E
+--R                                Type: Factored(Polynomial(Fraction(Integer)))
+--E 67
 
 \end{chunk}
 henderson/10/08/92 
@@ -929,55 +929,55 @@ fout:TextFile:=open("/tmp/foo","output")
 --R
 --R   (1)  "/tmp/foo"
 --R                                                               Type: TextFile
---E
+--E 68
 
 --S 69 of 267
 write!(fout,"foo")
 --R
 --R   (2)  "foo"
 --R                                                                 Type: String
---E
+--E 69
 
 --S 70 of 267
 close!(fout)
 --R
 --R   (3)  "/tmp/foo"
 --R                                                               Type: TextFile
---E
+--E 70
 
 --S 71 of 267
 fin:TextFile:=open("/tmp/foo","input")
 --R
 --R   (4)  "/tmp/foo"
 --R                                                               Type: TextFile
---E
+--E 71
 
 --S 72 of 267
 readLineIfCan!(fin)
 --R
 --R   (5)  "foo"
 --R                                                      Type: Union(String,...)
---E
+--E 72
 
 --S 73 of 267
 readLineIfCan!(fin)
 --R
 --R   (6)  "failed"
 --R                                                    Type: Union("failed",...)
---E
+--E 73
 
 --S 74 of 267
 close!(fin)
 --R
 --R   (7)  "/tmp/foo"
 --R                                                               Type: TextFile
---E
+--E 74
 
 --S 75 of 267
 )lisp (system "rm /tmp/foo")
 --R 
 --RValue = 0
---E
+--E 75
 
 \end{chunk}
 bmt/10/08/92 factoring over SAEs
@@ -993,23 +993,23 @@ a | a**2+1
 --R   a : SAEa := a
 --R
 --R   (1)  a
---IType: SimpleAlgebraicExtension(Fraction Integer,...
---E
+--RType: SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(a,Fraction(Integer)),a^2+1)
+--E 76
 
 --S 77 of 267
 t1:=(x+a)*(x+a+1)
 --R
 --R         2
 --R   (2)  x  + (2a + 1)x + a - 1
---IType: Polynomial SimpleAlgebraicExtension(Fraction Integer,...
---E
+--RType: Polynomial(SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(a,Fraction(Integer)),a^2+1))
+--E 77
 
 --S 78 of 267
 factor t1
 --R
 --R   (3)  (x + a + 1)(x + a)
---IType: Factored Polynomial SimpleAlgebraicExtension(Fraction Integer,...
---E
+--RType: Factored(Polynomial(SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(a,Fraction(Integer)),a^2+1)))
+--E 78
 
 \end{chunk}
 miller/10/09/92 local vars in types
@@ -1031,7 +1031,7 @@ Do this in a virgin system
 S2:= SquareMatrix(2,FRAC POLY INT);
 --R
 --R                                                                 Type: Domain
---E
+--E 79
 
 --S 80 of 267
 V2: S2 := matrix([[v,-v],[-v,v]])
@@ -1039,8 +1039,8 @@ V2: S2 := matrix([[v,-v],[-v,v]])
 --R        + v   - v+
 --R   (2)  |        |
 --R        +- v   v +
---R                            Type: SquareMatrix(2,Fraction Polynomial Integer)
---E
+--R                          Type: SquareMatrix(2,Fraction(Polynomial(Integer)))
+--E 80
 
 --S 81 of 267
 I2: S2 := 1
@@ -1048,15 +1048,15 @@ I2: S2 := 1
 --R        +1  0+
 --R   (3)  |    |
 --R        +0  1+
---R                            Type: SquareMatrix(2,Fraction Polynomial Integer)
---E
+--R                          Type: SquareMatrix(2,Fraction(Polynomial(Integer)))
+--E 81
 
 --S 82 of 267
 m:=5
 --R
 --R   (4)  5
 --R                                                        Type: PositiveInteger
---E
+--E 82
 
 --S 83 of 267
 l: List(S2) := append(cons(V2+h*I2,_
@@ -1071,8 +1071,8 @@ l: List(S2) := append(cons(V2+h*I2,_
 --R    +v + h   - v +
 --R    |            |]
 --R    + - v   v + h+
---R                       Type: List SquareMatrix(2,Fraction Polynomial Integer)
---E
+--R                    Type: List(SquareMatrix(2,Fraction(Polynomial(Integer))))
+--E 83
 
 \end{chunk}
 Does this give an error of deleteAssoc not defined ??
@@ -1103,8 +1103,8 @@ A: SquareMatrix(m, S2) := diagonalMatrix(l)
 --R                +v + 2h   - v  +
 --R   and matrix3= |              |
 --R                + - v    v + 2h+
---R            Type: SquareMatrix(5,SquareMatrix(2,Fraction Polynomial Integer))
---E
+--R          Type: SquareMatrix(5,SquareMatrix(2,Fraction(Polynomial(Integer))))
+--E 84
 
 \end{chunk}
 load definition of deleteAssoc
@@ -1126,8 +1126,8 @@ squareFree((2*x*y+1)*(x*y+1)**2)
 --R
 --R                 2
 --R   (1)  (x y + 1) (2x y + 1)
---R                                            Type: Factored Polynomial Integer
---E
+--R                                          Type: Factored(Polynomial(Integer))
+--E 85
 
 \end{chunk}
 bmt/10/19/92 division by zero error
@@ -1140,8 +1140,8 @@ limit(atan(1/sin(x)),x=0)
 --R                          %pi                 %pi
 --R   (1)  [leftHandLimit= - ---,rightHandLimit= ---]
 --R                           2                   2
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
---E
+--RType: Union(Record(leftHandLimit: Union(OrderedCompletion(Expression(Integer)),"failed"),rightHandLimit: Union(OrderedCompletion(Expression(Integer)),"failed")),...)
+--E 86
 
 \end{chunk}
 bmt/10/19/92 limit problem
@@ -1156,8 +1156,8 @@ limit(atan(-sin(x)/(cos(x)+e)),x=acos(-e))
 --R                          %pi                 %pi
 --R   (1)  [leftHandLimit= - ---,rightHandLimit= ---]
 --R                           2                   2
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
---E
+--RType: Union(Record(leftHandLimit: Union(OrderedCompletion(Expression(Integer)),"failed"),rightHandLimit: Union(OrderedCompletion(Expression(Integer)),"failed")),...)
+--E 87
 
 --S 88 of 267
 limit(atan(1/(cos(x)+e)),x=acos(-e))
@@ -1165,8 +1165,8 @@ limit(atan(1/(cos(x)+e)),x=acos(-e))
 --R                        %pi                   %pi
 --R   (2)  [leftHandLimit= ---,rightHandLimit= - ---]
 --R                         2                     2
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
---E
+--RType: Union(Record(leftHandLimit: Union(OrderedCompletion(Expression(Integer)),"failed"),rightHandLimit: Union(OrderedCompletion(Expression(Integer)),"failed")),...)
+--E 88
 
 \end{chunk}
 grabmeier/10/19/92 unable to compute the determinant of an 8x8
@@ -1176,14 +1176,14 @@ grabmeier/10/19/92 unable to compute the determinant of an 8x8
 --S 89 of 267
 D := MATRIX FRAC(POLY INT)
 --R
---R   (1)  Matrix Fraction Polynomial Integer
+--R   (1)  Matrix(Fraction(Polynomial(Integer)))
 --R                                                                 Type: Domain
---E
+--E 89
 
 --S 90 of 267
 d : (INT, Boolean) -> POLY INT
 --R                                                                   Type: Void
---E
+--E 90
 
 --S 91 of 267
 d(i,ss)  ==
@@ -1200,7 +1200,7 @@ d(i,ss)  ==
   'ddd
 --R 
 --R                                                                   Type: Void
---E
+--E 91
 
 -- 1,d,dd,ddd,s,sd,sdd,sddd
 
@@ -1222,8 +1222,8 @@ mTV4 : D := new(8,8,0)
 --R        |0  0  0  0  0  0  0  0|
 --R        |                      |
 --R        +0  0  0  0  0  0  0  0+
---R                                     Type: Matrix Fraction Polynomial Integer
---E
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
+--E 92
 
 --S 93 of 267
 for i in 1..8 repeat
@@ -1235,10 +1235,10 @@ for i in 1..8 repeat
       j <= 4 => d(i+j-2,true)
       d(-i+j,false)
 --R 
---R   Compiling function d with type (Integer,Boolean) -> Polynomial 
---R      Integer 
+--R   Compiling function d with type (Integer,Boolean) -> Polynomial(
+--R      Integer) 
 --R                                                                   Type: Void
---E
+--E 93
 
 --S 94 of 267
 mTV4
@@ -1258,8 +1258,8 @@ mTV4
 --R        |sdd   sddd   s     sd    dd   ddd    1     d  |
 --R        |                                              |
 --R        +sddd   s     sd   sdd    d     dd   ddd    1  +
---R                                     Type: Matrix Fraction Polynomial Integer
---E
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
+--E 94
 
 --S 95 of 267
 gdd4 := determinant mTV4
@@ -2090,8 +2090,8 @@ gdd4 := determinant mTV4
 --R   + 
 --R        8     4
 --R     - d  + 2d  - 1
---R                                            Type: Fraction Polynomial Integer
---E
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 95
 
 \end{chunk}
 sutor/09/28/92 operator bug?
@@ -2105,14 +2105,14 @@ L n ==
   (2*n-1)/n * x * L(n-1) - (n-1)/n * L(n-2)
 --R 
 --R                                                                   Type: Void
---E
+--E 96
 
 --S 97 of 267
 dx:=operator("D")::OP(POLY FRAC INT)
 --R
 --R   (2)  D
---R                                   Type: Operator Polynomial Fraction Integer
---E
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
+--E 97
 
 --S 98 of 267
 evaluate(dx,p+-> differentiate(p,'x))
@@ -2128,22 +2128,22 @@ evaluate(dx,p+-> differentiate(p,'x))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      evaluate with argument type(s) 
---R                    Operator Polynomial Fraction Integer
+--R                   Operator(Polynomial(Fraction(Integer)))
 --R                              AnonymousFunction
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
---E
+--E 98
 
 --S 99 of 267
 E n == (1-x**2)*dx**2-2*x*dx+n*(n+1)
 --R                                                                   Type: Void
---E
+--E 99
 
 --S 100 of 267
 L 15
---R   Compiling function L with type Integer -> Polynomial Fraction 
---R      Integer 
+--R   Compiling function L with type Integer -> Polynomial(Fraction(
+--R      Integer)) 
 --R   Compiling function L as a recurrence relation.
 --R
 --R   (4)
@@ -2154,8 +2154,8 @@ L 15
 --R       2909907  5   255255  3   6435
 --R     - ------- x  + ------ x  - ---- x
 --R         2048        2048       2048
---R                                            Type: Polynomial Fraction Integer
---E
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 100
 
 \end{chunk}
 Used to fail on this line
@@ -2163,13 +2163,13 @@ Used to fail on this line
 
 --S 101 of 267
 E 15
---R   Compiling function E with type PositiveInteger -> Operator 
---R      Polynomial Fraction Integer 
+--R   Compiling function E with type PositiveInteger -> Operator(
+--R      Polynomial(Fraction(Integer))) 
 --R
 --R                       2      2
 --R   (5)  240 - 2x D - (x  - 1)D
---R                                   Type: Operator Polynomial Fraction Integer
---E
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
+--E 101
 
 \end{chunk}
 bmt/10/12/92 EFSTRUC recursion problem
@@ -2185,8 +2185,8 @@ bug:=(1+x**(1/4))**(1/3)/(x**(1/2))
 --R   (1)  -----------
 --R             +-+
 --R            \|x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 102
 
 \end{chunk}
 Gives a value stack overflow
@@ -2201,8 +2201,8 @@ integrate(bug,x)
 --R        (12\|x   + 3\|x  - 9)\|\|x  + 1
 --R   (2)  --------------------------------
 --R                        7
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 103
 
 \end{chunk}
 james/10/28/92 coerce bug
@@ -2222,7 +2222,7 @@ g::ROMAN
 --R
 --R   Continuing to read the file...
 --R
---E
+--E 104
 
 \end{chunk}
 grabm/10/28/92 runs forever
@@ -2236,8 +2236,8 @@ factor 1068303355883998767544567663620885466990173600
 --R
 --R         5 7 2 4  2  2  2
 --R   (1)  2 3 5 7 17 19 23 3343 4219 326705949951846198203
---R                                                       Type: Factored Integer
---E
+--R                                                      Type: Factored(Integer)
+--E 105
 
 --S 106 of 267
 sqrt 1068303355883998767544567663620885466990173600
@@ -2245,7 +2245,7 @@ sqrt 1068303355883998767544567663620885466990173600
 --R                  +-----------------------------+
 --R   (2)  196571340\|27647393656301898872761810506
 --R                                                        Type: AlgebraicNumber
---E
+--E 106
 
 \end{chunk}
 themos/11/05/92 fortran output bug
@@ -2271,8 +2271,8 @@ a1:=sin(x)/(x**2+y**2)
 --R   (1)  -------
 --R         2    2
 --R        y  + x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 107
 
 --S 108 of 267
 a2:=D(a1,[x,y])
@@ -2282,8 +2282,8 @@ a2:=D(a1,[x,y])
 --R   (2)  ----------------------------------
 --R               6     2 4     4 2    6
 --R              y  + 3x y  + 3x y  + x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 108
 
 --S 109 of 267
 a2+D(a2,x)
@@ -2297,8 +2297,8 @@ a2+D(a2,x)
 --R  /
 --R      8     2 6     4 4     6 2    8
 --R     y  + 4x y  + 6x y  + 4x y  + x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 109
 
 \end{chunk}
 grabm/11/05/92 
@@ -2319,23 +2319,23 @@ working in POLY INT is o.k.
 --S 110 of 267
 R := FRAC INT
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
---E
+--E 110
 
 --S 111 of 267
 lpx : List POLY R := [x1+x2+x3, x1*x2+x1*x3+x2*x3,x1*x2*x3]
 --R
 --R   (2)  [x3 + x2 + x1,(x2 + x1)x3 + x1 x2,x1 x2 x3]
---R                                       Type: List Polynomial Fraction Integer
---E
+--R                                    Type: List(Polynomial(Fraction(Integer)))
+--E 111
 
 --S 112 of 267
 lip := [lpx.1-e3, lpx.2-e2, lpx.3-e1]--R
 --R
 --R   (3)  [x3 + x2 + x1 - e3,(x2 + x1)x3 + x1 x2 - e2,x1 x2 x3 - e1]
---R                                       Type: List Polynomial Fraction Integer
---E
+--R                                    Type: List(Polynomial(Fraction(Integer)))
+--E 112
 
 --S 113 of 267
 gbp := groebner lip
@@ -2345,30 +2345,30 @@ gbp := groebner lip
 --R   [x3 + x2 + x1 - e3, x2  + (x1 - e3)x2 + x1  - e3 x1 + e2,
 --R      3        2
 --R    x1  - e3 x1  + e2 x1 - e1]
---R                                       Type: List Polynomial Fraction Integer
---E
+--R                                    Type: List(Polynomial(Fraction(Integer)))
+--E 113
 
 --S 114 of 267
 normalForm(x1**2+x2**2+x3**2,gbp)
 --R
 --R          2
 --R   (5)  e3  - 2e2
---R                                            Type: Polynomial Fraction Integer
---E
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 114
 
 --S 115 of 267
 dmp := DMP([x1,x2,x3,e1,e2,e3],INT)
 --R
 --R   (6)  DistributedMultivariatePolynomial([x1,x2,x3,e1,e2,e3],Integer)
 --R                                                                 Type: Domain
---E
+--E 115
 
 --S 116 of 267
 li : List dmp := [lpx.1-e1, lpx.2-e2, lpx.3-e3]
 --R
 --R   (7)  [x1 + x2 + x3 - e1,x1 x2 + x1 x3 + x2 x3 - e2,x1 x2 x3 - e3]
---R    Type: List DistributedMultivariatePolynomial([x1,x2,x3,e1,e2,e3],Integer)
---E
+--R   Type: List(DistributedMultivariatePolynomial([x1,x2,x3,e1,e2,e3],Integer))
+--E 116
 
 --S 117 of 267
 gb := groebner li
@@ -2378,8 +2378,8 @@ gb := groebner li
 --R   [x1 + x2 + x3 - e1, x2  + x2 x3 - x2 e1 + x3  - x3 e1 + e2,
 --R      3     2
 --R    x3  - x3 e1 + x3 e2 - e3]
---R    Type: List DistributedMultivariatePolynomial([x1,x2,x3,e1,e2,e3],Integer)
---E
+--R   Type: List(DistributedMultivariatePolynomial([x1,x2,x3,e1,e2,e3],Integer))
+--E 117
 
 --S 118 of 267
 p:dmp:=(x1**2+x2**2+x3**2)
@@ -2387,23 +2387,23 @@ p:dmp:=(x1**2+x2**2+x3**2)
 --R          2     2     2
 --R   (9)  x1  + x2  + x3
 --R         Type: DistributedMultivariatePolynomial([x1,x2,x3,e1,e2,e3],Integer)
---E
+--E 118
 
 --S 119 of 267
 normalForm(p,gb)
 --R
 --R           2
 --R   (10)  e1  - 2e2
---RType: DistributedMultivariatePolynomial([x1,x2,x3,e1,e2,e3],Fraction Integer)
---E
+--RType: DistributedMultivariatePolynomial([x1,x2,x3,e1,e2,e3],Fraction(Integer))
+--E 119
 
 --S 120 of 267
 normalForm(x1**2+x2**2+x3**2,gb)
 --R
 --R            2                      2              2
 --R   (11)  2x2  + (2x1 - 2e1)x2 + 2x1  - 2e1 x1 + e1
---R                                            Type: Polynomial Fraction Integer
---E
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 120
 
 \end{chunk}
 bmt/11/17/92 Ifintegrate
@@ -2433,8 +2433,8 @@ integrate(normalize(sqrt(1+cos(x)),x),x)
 --R                  x
 --R              cos(-)
 --R                  2
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 121
 
 \end{chunk}
 This gets a non-invertible error
@@ -2459,8 +2459,8 @@ integrate(((-x-1)*log((x**2+x))**2+2*log(x))/(x+1),x)
 --I         ++  (- %K - 1)log(%K  + %K)  + 2log(%K)
 --I   (1)   |   ----------------------------------- d%K
 --I        ++                  %K + 1
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 122
 
 \end{chunk}
 dewar/02/15/93
@@ -2480,22 +2480,22 @@ will become obsolete, so the suggested fix is to use tagged unions instead:
 t1:=i::POLY INT
 --R
 --R   (1)  i
---R                                                     Type: Polynomial Integer
---E
+--R                                                    Type: Polynomial(Integer)
+--E 123
 
 --S 124 of 267
 t2:=t1::Union(s:Symbol, p:POLY INT)
 --R
 --R   (2)  i
---R                                       Type: Union(p: Polynomial Integer,...)
---E
+--R                                      Type: Union(p: Polynomial(Integer),...)
+--E 124
 
 --S 125 of 267
 list t2
 --R
 --R   (3)  [i]
---R                            Type: List Union(s: Symbol,p: Polynomial Integer)
---E
+--R                          Type: List(Union(s: Symbol,p: Polynomial(Integer)))
+--E 125
 
 \end{chunk}
 grabm/03/04/93 parser bug? not for system commands
@@ -2516,14 +2516,14 @@ I:=operator 'I
 --R
 --R   (1)  I
 --R                                                          Type: BasicOperator
---E
+--E 126
 
 --S 127 of 267
 J:=operator 'J
 --R
 --R   (2)  J
 --R                                                          Type: BasicOperator
---E
+--E 127
 
 --S 128 of 267
 eq := mu * D(I x,x) = - (K + S) * I(x) + S*J(x)
@@ -2531,8 +2531,8 @@ eq := mu * D(I x,x) = - (K + S) * I(x) + S*J(x)
 --R           ,
 --R   (3)  muI (x)= S J(x) + (- S - K)I(x)
 --R
---R                                            Type: Equation Expression Integer
---E
+--R                                          Type: Equation(Expression(Integer))
+--E 128
 
 --S 129 of 267
 solve(eq,I,x)
@@ -2546,8 +2546,8 @@ solve(eq,I,x)
 --R                                      -------------
 --R                                            mu
 --R                                 mu %e
---IType: Union(Record(particular: Expression Integer,...
---E
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
+--E 129
 
 \end{chunk}
 
@@ -2573,8 +2573,8 @@ no escape characters.
 ofile: File String := open("/tmp/test","output")
 --R
 --R   (1)  "/tmp/test"
---R                                                            Type: File String
---E
+--R                                                           Type: File(String)
+--E 130
 
 \end{chunk}
 This writes ``\verb|\\\\test|'' but should write ``\verb|\\test|''
@@ -2585,14 +2585,14 @@ write!(ofile,"\\test"::String)
 --R
 --R   (2)  "\\test"
 --R                                                                 Type: String
---E
+--E 131
 
 --S 132 of 267
 close! ofile
 --R
 --R   (3)  "/tmp/test"
---R                                                            Type: File String
---E
+--R                                                           Type: File(String)
+--E 132
 
 \end{chunk}
 
@@ -2609,16 +2609,16 @@ pol:DMP([x,y,z],PF(2)):=x**2*y**2+x**2*y*z+x**2*z**2+x*y*z**2+y**3*z+y*z**3
 --R
 --R         2 2    2       2 2        2    3       3
 --R   (1)  x y  + x y z + x z  + x y z  + y z + y z
---R                Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 2)
---E
+--R               Type: DistributedMultivariatePolynomial([x,y,z],PrimeField(2))
+--E 133
 
 --S 134 of 267
 factor pol
 --R
 --R         2 2    2       2 2        2    3       3
 --R   (2)  x y  + x y z + x z  + x y z  + y z + y z
---R       Type: Factored DistributedMultivariatePolynomial([x,y,z],PrimeField 2)
---E
+--R     Type: Factored(DistributedMultivariatePolynomial([x,y,z],PrimeField(2)))
+--E 134
 
 \end{chunk}
 williamson/04/21/93
@@ -2633,34 +2633,34 @@ SAEFACT.
 --S 135 of 267
 up := UP('w,FRAC INT)
 --R
---R   (1)  UnivariatePolynomial(w,Fraction Integer)
+--R   (1)  UnivariatePolynomial(w,Fraction(Integer))
 --R                                                                 Type: Domain
---E
+--E 135
 
 --S 136 of 267
 p : up := w**4 + w**3 + w**2 + w + 1
 --R
 --R         4    3    2
 --R   (2)  w  + w  + w  + w + 1
---R                               Type: UnivariatePolynomial(w,Fraction Integer)
---E
+--R                              Type: UnivariatePolynomial(w,Fraction(Integer))
+--E 136
 
 --S 137 of 267
 sae := SAE(FRAC INT,up,p)
 --R
 --R   (3)
---R  SimpleAlgebraicExtension(Fraction Integer,UnivariatePolynomial(w,Fraction Int
---R  eger),w**4+w**3+w*w+w+1)
+--R  SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(w,Fraction(In
+--R  teger)),w^4+w^3+w^2+w+1)
 --R                                                                 Type: Domain
---E
+--E 137
 
 --S 138 of 267
 q : UP('x,sae) := x**5 - 1
 --R
 --R         5
 --R   (4)  x  - 1
---IType: UnivariatePolynomial(x,SimpleAlgebraicExtension(...
---E
+--RType: UnivariatePolynomial(x,SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(w,Fraction(Integer)),w^4+w^3+w^2+w+1))
+--E 138
 
 \end{chunk}
 Used to report: x**5-1 
@@ -2670,27 +2670,27 @@ factor q
 --R
 --R                            2       3       3    2
 --R   (5)  (x - 1)(x - w)(x - w )(x - w )(x + w  + w  + w + 1)
---IType: Factored UnivariatePolynomial(x,SimpleAlgebraicExtension(...
---E
+--RType: Factored(UnivariatePolynomial(x,SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(w,Fraction(Integer)),w^4+w^3+w^2+w+1)))
+--E 139
 
 --S 140 of 267
 saefact := SAEFACT(up,sae,UP('x,sae))
 --R
 --R   (6)
---R  SimpleAlgebraicExtensionAlgFactor(UnivariatePolynomial(w,Fraction Integer),Si
---R  mpleAlgebraicExtension(Fraction Integer,UnivariatePolynomial(w,Fraction Integ
---R  er),w**4+w**3+w*w+w+1),UnivariatePolynomial(x,SimpleAlgebraicExtension(Fracti
---R  on Integer,UnivariatePolynomial(w,Fraction Integer),w**4+w**3+w*w+w+1)))
+--R  SimpleAlgebraicExtensionAlgFactor(UnivariatePolynomial(w,Fraction(Integer)),S
+--R  impleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(w,Fraction(Int
+--R  eger)),w^4+w^3+w^2+w+1),UnivariatePolynomial(x,SimpleAlgebraicExtension(Fract
+--R  ion(Integer),UnivariatePolynomial(w,Fraction(Integer)),w^4+w^3+w^2+w+1)))
 --R                                                                 Type: Domain
---E
+--E 140
 
 --S 141 of 267
 factor(q)$saefact
 --R
 --R                            2       3       3    2
 --R   (7)  (x - 1)(x - w)(x - w )(x - w )(x + w  + w  + w + 1)
---IType: Factored UnivariatePolynomial(x,SimpleAlgebraicExtension(...
---E
+--RType: Factored(UnivariatePolynomial(x,SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(w,Fraction(Integer)),w^4+w^3+w^2+w+1)))
+--E 141
 
 \end{chunk}
 
@@ -2711,8 +2711,8 @@ Results in 10 and not A
 10::RadixExpansion(16)
 --R
 --R   (1)  A
---R                                                      Type: RadixExpansion 16
---E
+--R                                                     Type: RadixExpansion(16)
+--E 142
 
 \end{chunk}
 bronstei@inf.ethz.ch (manuel bronstein)
@@ -2725,15 +2725,15 @@ Used to return x, now returns 1
 r:=rule 'x == 1
 --R
 --R   (1)  x == 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
+--E 143
 
 --S 144 of 267
 r x
 --R
 --R   (2)  1
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 144
 
 \end{chunk}
 ADK@scri.fsu.edu (tony kennedy)
@@ -2746,16 +2746,16 @@ t1:=factor(-12)
 --R
 --R           2
 --R   (1)  - 2 3
---R                                                       Type: Factored Integer
---E
+--R                                                      Type: Factored(Integer)
+--E 145
 
 --S 146 of 267
 t1**2
 --R
 --R         4 2
 --R   (2)  2 3
---R                                                       Type: Factored Integer
---E
+--R                                                      Type: Factored(Integer)
+--E 146
 
 \end{chunk}
 bronstei@inf.ethz.ch (manuel bronstein)
@@ -2768,8 +2768,8 @@ Error: cannot retract nonconstant polynomial
 complexNumeric(log(sqrt(-3)))
 --R
 --R   (1)  0.5493061443 340548457 + 1.5707963267 948966192 %i
---R                                                          Type: Complex Float
---E
+--R                                                         Type: Complex(Float)
+--E 147
 
 \end{chunk}
 quitte@knuth.univ-poitiers.fr/8/15/93 (Claude Quitte)
@@ -2808,7 +2808,6 @@ Your problem in TEST about specifying target types which are Mapping's
 was a bug in the compiler and has been fixed for Axiom release 2.0.
 
 \begin{chunk}{*}
-\begin{verbatim}
 )clear all
 )sys rm -f /tmp/tpd.spad
 )lisp (setq ofile (open "/tmp/tpd.spad" :direction :output))
@@ -2824,7 +2823,6 @@ was a bug in the compiler and has been fixed for Axiom release 2.0.
 )compile /tmp/tpd.spad
 )sys rm -f /tmp/tpd.spad
 )sys rm -rf /tmp/TPD.nrlib
-
 \end{chunk}
 bronstei@inf.ethz.ch/10/6/93 (Manuel Bronstein)
 
@@ -2846,31 +2844,31 @@ sqrt(-1::EXPR FLOAT)
 --R
 --R         +-----+
 --R   (1)  \|- 1.0
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 148
 
 --S 149 of 267
 sqrt(2::EXPR FLOAT)
 --R 
 --R
 --R   (2)  1.4142135623 730950488
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 149
 
 --S 150 of 267
 nthRoot(-2::EXPR FLOAT, 3)
 --R
 --R   (3)  - 1.2599210498 948731648
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 150
 
 --S 151 of 267
 nthRoot(-2::EXPR FLOAT, 4)
 --R
 --R        4+-----+
 --R   (4)  \|- 2.0
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 151
 
 \end{chunk}
 bronstei@inf.ethz.ch/10/6/93 (Manuel Bronstein)
@@ -2884,8 +2882,8 @@ real abs(4 + %i * 5)
 --R
 --R         +--+
 --R   (1)  \|41
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 152
 
 \end{chunk}
 bronstei@inf.ethz.ch/10/5/93 (Manuel Bronstein)
@@ -2906,8 +2904,8 @@ exp(5/3*%i*%pi)
 --R        - %i\|3  + 1
 --R   (1)  ------------
 --R              2
---R                                             Type: Expression Complex Integer
---E
+--R                                           Type: Expression(Complex(Integer))
+--E 153
 
 \end{chunk}
 bronstei@inf.ethz.ch/10/4/93 (Manuel Bronstein),\\
@@ -2919,8 +2917,8 @@ luczak@nag.com (Richard Luczak)
 exp(log(-1))
 --R
 --R   (1)  - 1
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 154
 
 --S 155 of 267
 sum((-1)**k * (k+m),k=0..n)
@@ -2929,8 +2927,8 @@ sum((-1)**k * (k+m),k=0..n)
 --R        (2n + 2m + 1)(- 1)  + 2m - 1
 --R   (2)  ----------------------------
 --R                      4
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 155
 
 \end{chunk}
 bronstei@inf.ethz.ch/10/4/93 (Manuel Bronstein)
@@ -2945,8 +2943,8 @@ abs((1/2)::EXPR(INT))
 --R        1
 --R   (1)  -
 --R        2
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 156
 
 \end{chunk}
 bronstei@inf.ethz.ch/10/4/93 (Manuel Bronstein)
@@ -2962,8 +2960,8 @@ integrate(1/(x**2 + %i*a),x)
 --R        \| a         \| a         \| a           \| a
 --R   (1)  ---------------------------------------------------
 --R                                 2
---R                                  Type: Union(Expression Complex Integer,...)
---E
+--R                                Type: Union(Expression(Complex(Integer)),...)
+--E 157
 
 \end{chunk}
 bmt@spadserv.watson.ibm.com/9/28/93 (Barry Trager)
@@ -2974,8 +2972,8 @@ bmt@spadserv.watson.ibm.com/9/28/93 (Barry Trager)
 limit(1/2**n,n=%plusInfinity)
 --R
 --R   (1)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
---E
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
+--E 158
 
 \end{chunk}
 bronstei@inf.ethz.ch/9/22/93 (Manuel Bronstein)
@@ -2995,23 +2993,23 @@ x := sqrt(-3) + sqrt 2 + sqrt(- exp a) + log(-a**2-1)
 --R         +-----+
 --R         |    a           2         +-+    +---+
 --R   (1)  \|- %e   + log(- a  - 1) + \|2  + \|- 3
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 159
 
 --S 160 of 267
 real? x
 --R
 --R   (2)  false
 --R                                                                Type: Boolean
---E
+--E 160
 
 --S 161 of 267
 real x
 --R
 --R             2         +-+
 --R   (3)  log(a  + 1) + \|2
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 161
 
 --S 162 of 267
 imag x
@@ -3019,8 +3017,8 @@ imag x
 --R         +---+
 --R         |  a     +-+
 --R   (4)  \|%e   + \|3  + %pi
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 162
 
 \end{chunk}
 bronstei@inf.ethz.ch/9/22/93 (Manuel Bronstein)
@@ -3046,36 +3044,36 @@ haha := rule x*x == z
 --R
 --R         2
 --R   (1)  x  == z
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
+--E 163
 
 --S 164 of 267
 haha 4
 --R
 --R   (2)  z
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 164
 
 --S 165 of 267
 haha 3
 --R
 --R   (3)  3
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 165
 
 --S 166 of 267
 haha(4*z)
 --R
 --R   (4)  z
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 166
 
 --S 167 of 267
 haha(3*z)
 --R
 --R   (5)  3z
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 167
 
 \end{chunk}
 To see the whole rewrite chain:
@@ -3086,30 +3084,30 @@ t1:=a*a + b*b + c**2 + d*d
 --R
 --R         2    2    2    2
 --R   (6)  d  + c  + b  + a
---R                                                     Type: Polynomial Integer
---E
+--R                                                    Type: Polynomial(Integer)
+--E 168
 
 --S 169 of 267
 t2:=applyRules([haha], t1, 1)$APPRULE(INT,INT,EXPR INT)
 --R
 --R   (7)  4z
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 169
 
 --S 170 of 267
 t3:=applyRules([haha], t2, 1)$APPRULE(INT,INT,EXPR INT)
 --R
 --R         2
 --R   (8)  z
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 170
 
 --S 171 of 267
 t4:=applyRules([haha], t3, 1)$APPRULE(INT,INT,EXPR INT)
 --R
 --R   (9)  z
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 171
 
 \end{chunk}
 I think it's actually the proper behavior for the pattern matcher. This
@@ -3125,21 +3123,21 @@ There's an odd discontinuity about the behaviour of the following function:
 --S 172 of 267
 harm(1) == 1
 --R                                                                   Type: Void
---E
+--E 172
 
 --S 173 of 267
 harm(n) == harm(n-1) + 1/n
 --R                                                                   Type: Void
---E
+--E 173
 
 --S 174 of 267
 harm : Integer -> Fraction Integer
 --R                                                                   Type: Void
---E
+--E 174
 
 --S 175 of 267
 harm(1023)
---R   Compiling function harm with type Integer -> Fraction Integer 
+--R   Compiling function harm with type Integer -> Fraction(Integer) 
 --R   Compiling function harm as a recurrence relation.
 --R
 --R   (4)
@@ -3158,8 +3156,8 @@ harm(1023)
 --R     3824612373575784564285126841732340269099782510311467722310664215128464192_
 --R     0090417465131869897386008931792841181410706392968052396422445537614139284_
 --R     160000
---R                                                       Type: Fraction Integer
---E
+--R                                                      Type: Fraction(Integer)
+--E 175
 
 --S 176 of 267
 harm(1024)
@@ -3180,8 +3178,8 @@ harm(1024)
 --R     6764922474715156912857025368346468053819956502062293544462132843025692838_
 --R     4018083493026373979477201786358568236282141278593610479284489107522827856_
 --R     8320000
---R                                                       Type: Fraction Integer
---E
+--R                                                      Type: Fraction(Integer)
+--E 176
 
 \end{chunk}
 williams@inf.ethz.ch/9/1/93 (Clifton Williamson)
@@ -3208,8 +3206,8 @@ t1:=series(x**x,x=0)
 --R     log(x)   6   log(x)   7   log(x)   8   log(x)   9   log(x)    10      11
 --R     ------- x  + ------- x  + ------- x  + ------- x  + -------- x   + O(x  )
 --R       720          5040        40320        362880       3628800
---R                   Type: GeneralUnivariatePowerSeries(Expression Integer,x,0)
---E
+--R                  Type: GeneralUnivariatePowerSeries(Expression(Integer),x,0)
+--E 177
 
 \end{chunk}
 In this case, as currently implemented, 'differentiate' returns incorrect
@@ -3218,11 +3216,36 @@ answers:
 
 --S 178 of 267
 differentiate t1
- 
-   >> Error detected within library code:
-   "'differentiate' unavailable on this domain;  use 'approximate' first"
-
---E
+--R 
+--R   >> Error detected within library code:
+--R   "'differentiate' unavailable on this domain;  use 'approximate' first"
+--R 
+--I  Line2690: --R
+--I  Line2691: --R   (1)
+--I  Line2692: --R                         2            3            4            5
+--I  Line2693: --R                   log(x)   2   log(x)   3   log(x)   4   log(x)   5
+--I  Line2694: --R     1 + log(x)x + ------- x  + ------- x  + ------- x  + ------- x
+--I  Line2695: --R                      2            6            24          120
+--I  Line2696: --R   + 
+--I  Line2697: --R           6            7            8            9            10
+--I  Line2698: --R     log(x)   6   log(x)   7   log(x)   8   log(x)   9   log(x)    10      11
+--I  Line2699: --R     ------- x  + ------- x  + ------- x  + ------- x  + -------- x   + O(x  )
+--I  Line2700: --R       720          5040        40320        362880       3628800
+--I  Line2701: --R                   Type: GeneralUnivariatePowerSeries(Expression Integer,x,0)
+--I  Line2702: --E 178
+--I  Line2703: 
+--I  Line2704: 
+--I  Line2705: --S 178 of 267
+--I  Line2706: differentiate t1
+--I  Line2707:  
+--I  Line2708:    >> Error detected within library code:
+--I           ...A....................................B
+--I  Error  A: (from #\A up to #\B) Ignored.
+--I  Error  B: Improper syntax.
+--I  Line2709:    "'differentiate' unavailable on this domain;  use 'approximate' first"
+--I   2 error(s) parsing 
+--I
+--E 178
 
 \end{chunk}
 The solution we discussed (perhaps ``resolution'' is a better word) was to
@@ -3268,8 +3291,8 @@ t1:=laurent(cos(a+x)/x,x=0)
 --R       cos(a)  5   sin(a)  6   cos(a)  7   sin(a)  8    cos(a)  9      10
 --R     - ------ x  + ------ x  + ------ x  - ------ x  - ------- x  + O(x  )
 --R         720        5040        40320      362880      3628800
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,0)
---E
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,0)
+--E 179
 
 --S 180 of 267
 approximate(t1,3)
@@ -3278,8 +3301,8 @@ approximate(t1,3)
 --R        (4x  - 24x)sin(a) + (x  - 12x  + 24)cos(a)
 --R   (2)  ------------------------------------------
 --R                            24x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 180
 
 \end{chunk}
 But, unfortunately, I never implemented it for Puiseux series:
@@ -3296,8 +3319,8 @@ t2:=puiseux(cos(a+x)/x,x=0)
 --R       cos(a)  5   sin(a)  6   cos(a)  7   sin(a)  8    cos(a)  9      10
 --R     - ------ x  + ------ x  + ------ x  - ------ x  - ------- x  + O(x  )
 --R         720        5040        40320      362880      3628800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
---E
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
+--E 181
 
 --S 182 of 267
 approximate(t2,3)
@@ -3306,8 +3329,8 @@ approximate(t2,3)
 --R        (4x  - 24x)sin(a) + (x  - 12x  + 24)cos(a)
 --R   (4)  ------------------------------------------
 --R                            24x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 182
 
 --S 183 of 267
 t3:=series(cos(x**(2/3) + a),x=0)
@@ -3318,8 +3341,8 @@ t3:=series(cos(x**(2/3) + a),x=0)
 --R                   3   cos(a)  3   sin(a)  2   cos(a)  3   sin(a)   3       3
 --R   cos(a) - sin(a)x  - ------ x  + ------ x  + ------ x  - ------ x   + O(x  )
 --R                          2           6          24          120
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
---E
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
+--E 183
 
 --S 184 of 267
 approximate(t3,2)
@@ -3328,8 +3351,8 @@ approximate(t3,2)
 --R        - 6sin(a)\|x   - 3x cos(a)\|x  + x sin(a) + 6cos(a)
 --R   (6)  ---------------------------------------------------
 --R                                 6
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 184
 
 --S 185 of 267
 approximate(t1,7)
@@ -3342,8 +3365,8 @@ approximate(t1,7)
 --R       (x  - 56x  + 1680x  - 20160x  + 40320)cos(a)
 --R  /
 --R     40320x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 185
 
 \end{chunk}
 bronstei@inf.ethz.ch/10/6/93 (manuel bronstein)
@@ -3363,30 +3386,30 @@ sqrt(-1::EXPR FLOAT)
 --R
 --R         +-----+
 --R   (1)  \|- 1.0
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 186
 
 --S 187 of 267
 sqrt(2::EXPR FLOAT)
 --R
 --R   (2)  1.4142135623 730950488
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 187
 
 --S 188 of 267
 nthRoot(-2::EXPR FLOAT, 3)
 --R
 --R   (3)  - 1.2599210498 948731648
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 188
 
 --S 189 of 267
 nthRoot(-2::EXPR FLOAT, 4)
 --R
 --R        4+-----+
 --R   (4)  \|- 2.0
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 189
 
 \end{chunk}
 As a side-effect, this fixes the problem with numeric\hfill\\
@@ -3431,7 +3454,6 @@ jhd@maths.bath.ac.uk/8/15/93 James Davenport
                             1
       ( Or (a - 1=0) -> - ------)
            (a + 1=0)      log(x)
-                                          Type: ConditionalExpression Integer
 
 \end{verbatim}
 is still fairly ugly.
@@ -3453,8 +3475,8 @@ integrate(1/(x*(log(x)**2+a**2-1)),x)
 --R                          +--------+                            +------+
 --R                          |   2                                 | 2
 --R                        2\|- a  + 1                            \|a  - 1
---R                                     Type: Union(List Expression Integer,...)
---E
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 190
 
 \end{chunk}
 bronstei@inf.ethz.ch/8/9/93 (manuel bronstein)
@@ -3469,8 +3491,8 @@ normalize(2**(1/2) + 2**(1/4))
 --R
 --R        4+-+2   4+-+
 --R   (1)  \|2   + \|2
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 191
 
 \end{chunk}
 
@@ -3486,15 +3508,15 @@ Isn't this a bug?
 integrate(%e**x,x=0..1)
 --R
 --R   (1)  %e - 1
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
---E
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+--E 192
 
 --S 913 of 267
 integrate(log(x),x=1..2)
 --R
 --R   (2)  log(4) - 1
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
---E
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+--E 193
 
 \end{chunk}
 
@@ -3509,8 +3531,8 @@ simplify(2**(1/3)*2**(1/2)) --
 --R
 --R        6+-+5
 --R   (1)  \|2
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 194
 
 \end{chunk}
 bronstei@inf.ethz.ch/8/4/93 (manuel bronstein)
@@ -3527,8 +3549,8 @@ integrate(1/sqrt(1+cos(x)), x)
 --R                              cos(x)  + 2cos(x) + 1
 --R   (1)  ---------------------------------------------------------
 --R                                    2
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 195
 
 \end{chunk}
 bronstei@inf.ethz.ch/8/4/93 (manuel bronstein)
@@ -3543,8 +3565,8 @@ normalize atan(cos(x)/sin(x))
 --R        - 2x + %pi
 --R   (1)  ----------
 --R             2
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 196
 
 \end{chunk}
 
@@ -3558,15 +3580,15 @@ a := 2**(1/6)
 --R        6+-+
 --R   (1)  \|2
 --R                                                        Type: AlgebraicNumber
---E
+--E 197
 
 --S 198 of 267
 [a**n for n in 2..13]
 --R
 --R         6+-+2 6+-+3 6+-+4 6+-+5    6+-+  6+-+2  6+-+3  6+-+4  6+-+5    6+-+
 --R   (2)  [\|2  ,\|2  ,\|2  ,\|2  ,2,2\|2 ,2\|2  ,2\|2  ,2\|2  ,2\|2  ,4,4\|2 ]
---R                                                   Type: List AlgebraicNumber
---E
+--R                                                  Type: List(AlgebraicNumber)
+--E 198
 
 \end{chunk}
 
@@ -3585,8 +3607,8 @@ int:=sqrt(a*(1-u**2)/(1+u**2))/u
 --R        \|  u  + 1
 --R   (1)  -------------
 --R              u
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 199
 
 --S 200 of 267
 integrate(eval(int,a=1),u) 
@@ -3602,8 +3624,8 @@ integrate(eval(int,a=1),u)
 --R                       u                                u
 --R   (2)  -------------------------------------------------------------
 --R                                      2
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 200
 
 \end{chunk}
 Runs forever?
@@ -3649,8 +3671,8 @@ integrate(eval(int,a=sqrt(-1)),u)
 --R                                        u \|- 1 \|2
 --R  /
 --R     4
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 201
 
 \end{chunk}
 Dies after a long time with an elt index error
@@ -3690,8 +3712,8 @@ integrate(eval(int,a=1)*(-1)**(1/4),u)
 --R                                           u \|- 1
 --R  /
 --R     4
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 202
 
 \end{chunk}
 bronstei@inf.ethz.ch/8/4/93 (manuel bronstein)
@@ -3704,8 +3726,8 @@ t1:=sqrt((1-x**2)*(1-k**2*x**2))
 --R         +-----------------------+
 --R         | 2 4       2      2
 --R   (1)  \|k x  + (- k  - 1)x  + 1
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 203
 
 --S 204 of 267
 integrate(x/t1,x)
@@ -3715,8 +3737,8 @@ integrate(x/t1,x)
 --R          log(2k\|k x  + (- k  - 1)x  + 1  - 2k x  + k  + 1)
 --R   (2)  - --------------------------------------------------
 --R                                  2k
---R                                          Type: Union(Expression Integer,...)
---E
+--R                                         Type: Union(Expression(Integer),...)
+--E 204
 
 \end{chunk}
 bronstei@inf.ethz.ch/7/26/93 (manuel bronstein)
@@ -3732,8 +3754,8 @@ t1:=last zerosOf((2+y)**8-3,y)
 --R        - \|- 2\|- 4\|3    - 4
 --R   (1)  ----------------------
 --R                   2
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 205
 
 --S 206 of 267
 k:=first kernels t1
@@ -3742,8 +3764,8 @@ k:=first kernels t1
 --R         |    +-------+
 --R         |    |    +-+
 --R   (2)  \|- 2\|- 4\|3
---R                                              Type: Kernel Expression Integer
---E
+--R                                            Type: Kernel(Expression(Integer))
+--E 206
 
 --S 207 of 267
 eval(t1,k,t1)
@@ -3754,8 +3776,8 @@ eval(t1,k,t1)
 --R        \|- 2\|- 4\|3    - 4
 --R   (3)  --------------------
 --R                  4
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 207
 
 \end{chunk}
 nagttt@vax.ox.ac.uk/7/15/93 themos tsikas
@@ -3768,8 +3790,8 @@ f := (x - y) / (x + y)
 --R        - y + x
 --R   (1)  -------
 --R         y + x
---R                                            Type: Fraction Polynomial Integer
---E
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 208
 
 --S 209 of 267
 eval(f,x=1/x)
@@ -3777,8 +3799,8 @@ eval(f,x=1/x)
 --R        - x y + 1
 --R   (2)  ---------
 --R         x y + 1
---R                                            Type: Fraction Polynomial Integer
---E
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 209
 
 \end{chunk}
 nagttt@vax.ox.ac.uk/7/15/93 themos tsikas
@@ -3794,7 +3816,7 @@ digits 200
 --R
 --R   (1)  20
 --R                                                        Type: PositiveInteger
---E
+--E 210
 
 --S 211 of 267
 a:=4*sin(2*%pi/9)*sin(5*%pi/9)/sqrt(3)
@@ -3805,8 +3827,8 @@ a:=4*sin(2*%pi/9)*sin(5*%pi/9)/sqrt(3)
 --R   (2)  -------------------
 --R                 +-+
 --R                \|3
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 211
 
 --S 212 of 267
 b:=1/(2*sin(%pi/9))
@@ -3816,8 +3838,8 @@ b:=1/(2*sin(%pi/9))
 --R             %pi
 --R        2sin(---)
 --R              9
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 212
 
 --S 213 of 267
 a::EXPR FLOAT
@@ -3826,8 +3848,8 @@ a::EXPR FLOAT
 --R  1.4619022000 8154362611 6377206683 1458519367 5283075946 2240855318 493177672
 --R  5 8139967590 4919627790 5155131563 5927196029 5136978338 4351923544 366777748
 --R  4 3145835284 9347399264 0517928099 4530246377 7454860377 762537213
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 213
 
 --S 214 of 267
 b::EXPR FLOAT
@@ -3836,15 +3858,15 @@ b::EXPR FLOAT
 --R  1.4619022000 8154362611 6377206683 1458519367 5283075946 2240855318 493177672
 --R  5 8139967590 4919627790 5155131563 5927196029 5136978338 4351923544 366777748
 --R  4 3145835284 9347399264 0517928099 4530246377 7454860377 762537213
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 214
 
 --S 215 of 267
 digits 20
 --R
 --R   (6)  200
 --R                                                        Type: PositiveInteger
---E
+--E 215
 \end{chunk}
 bmt@spadserv.watson.ibm.com/9/15/93 (Barry Trager)
 \begin{chunk}{*}
@@ -3854,8 +3876,8 @@ bmt@spadserv.watson.ibm.com/9/15/93 (Barry Trager)
 limit(tanh(x),x=%plusInfinity)
 --R
 --R   (1)  1
---R                        Type: Union(OrderedCompletion Expression Integer,...)
---E
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
+--E 216
 
 \end{chunk}
 bronstei@inf.ethz.ch/6/14/93 (manuel bronstein)
@@ -3866,15 +3888,15 @@ bronstei@inf.ethz.ch/6/14/93 (manuel bronstein)
 a := x::EXPR INT
 --R
 --R   (1)  x
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 217
 
 --S 218 of 267
 b := x::EXPR COMPLEX INT
 --R
 --R   (2)  x
---R                                             Type: Expression Complex Integer
---E
+--R                                           Type: Expression(Complex(Integer))
+--E 218
 
 --S 219 of 267
 zeroOf(a**4+1,x)
@@ -3884,8 +3906,8 @@ zeroOf(a**4+1,x)
 --R   (3)  ----------
 --R            +-+
 --R           \|2
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 219
 
 --S 220 of 267
 zeroOf(b**4+1,x)
@@ -3894,8 +3916,8 @@ zeroOf(b**4+1,x)
 --R   (4)  ------
 --R          +-+
 --R         \|2
---R                                             Type: Expression Complex Integer
---E
+--R                                           Type: Expression(Complex(Integer))
+--E 220
 
 \end{chunk}
 bronstei@inf.ethz.ch/6/11/93 (manuel bronstein)
@@ -3908,8 +3930,8 @@ Now returns 0  (was crashing before)
 normalize(0**a)
 --R
 --R   (1)  0
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 221
 
 \end{chunk}
 bronstei@inf.ethz.ch/6/11/93 (manuel bronstein)
@@ -3922,8 +3944,8 @@ New export ``complexForm(f)'' which returns the rectangular complex form of f:
 t1:=log(a+%i * b)
 --R
 --R   (1)  log(%i b + a)
---R                                             Type: Expression Complex Integer
---E
+--R                                           Type: Expression(Complex(Integer))
+--E 222
 
 --S 223 of 267
 complexForm t1
@@ -3932,15 +3954,15 @@ complexForm t1
 --R        log(b  + a )        b
 --R   (2)  ------------ + atan(-)%i
 --R              2             a
---R                                             Type: Complex Expression Integer
---E
+--R                                           Type: Complex(Expression(Integer))
+--E 223
 
 --S 224 of 267
 t2:=complexIntegrate(1/(x-%i),x)
 --R
 --R   (3)  log(x - %i)
---R                                             Type: Expression Complex Integer
---E
+--R                                           Type: Expression(Complex(Integer))
+--E 224
 
 --S 225 of 267
 complexForm t2
@@ -3949,8 +3971,8 @@ complexForm t2
 --R        log(x  + 1)        1
 --R   (4)  ----------- - atan(-)%i
 --R             2             x
---R                                             Type: Complex Expression Integer
---E
+--R                                           Type: Complex(Expression(Integer))
+--E 225
 
 \end{chunk}
 jcf@posso.ibp.fr
@@ -3964,28 +3986,28 @@ D:=DMP([a,b],INT)
 --R
 --R   (1)  DistributedMultivariatePolynomial([a,b],Integer)
 --R                                                                 Type: Domain
---E
+--E 226
 
 --S 227 of 267
 l:List D:=[2*a-1,b-a]
 --R
 --R   (2)  [2a - 1,- a + b]
---R                  Type: List DistributedMultivariatePolynomial([a,b],Integer)
---E
+--R                 Type: List(DistributedMultivariatePolynomial([a,b],Integer))
+--E 227
 
 --S 228 of 267
 g:=groebner l
 --R
 --R   (3)  [2a - 1,2b - 1]
---R                  Type: List DistributedMultivariatePolynomial([a,b],Integer)
---E
+--R                 Type: List(DistributedMultivariatePolynomial([a,b],Integer))
+--E 228
 
 --S 229 of 267
 p:D:=a
 --R
 --R   (4)  a
 --R                       Type: DistributedMultivariatePolynomial([a,b],Integer)
---E
+--E 229
 
 \end{chunk}
 Was 1, au lieu de 1/2 !!
@@ -3996,8 +4018,8 @@ normalForm(p,g)
 --R        1
 --R   (5)  -
 --R        2
---R              Type: DistributedMultivariatePolynomial([a,b],Fraction Integer)
---E
+--R             Type: DistributedMultivariatePolynomial([a,b],Fraction(Integer))
+--E 230
 
 \end{chunk}
 nagttt@vax.ox.ac.uk/6/9/93 themos tsikas
@@ -4009,7 +4031,7 @@ squareFreePart(50)
 --R
 --R   (1)  10
 --R                                                        Type: PositiveInteger
---E
+--E 231
 
 \end{chunk}
 
@@ -4021,15 +4043,15 @@ mcd@maths.bath.ac.uk/6/4/92 mike dewar
 f:=complexIntegrate(1/((x-%i)*(x-2*%i)),x)
 --R
 --R   (1)  %i log(x - %i) - %i log(x - 2%i)
---R                                             Type: Expression Complex Integer
---E
+--R                                           Type: Expression(Complex(Integer))
+--E 232
 
 --S 233 of 267
 g:=subst(f,x=1)
 --R
 --R   (2)  %i log(1 - %i) - %i log(1 - 2%i)
---R                                             Type: Expression Complex Integer
---E
+--R                                           Type: Expression(Complex(Integer))
+--E 233
 
 --S 234 of 267
 imag g
@@ -4037,8 +4059,8 @@ imag g
 --R        - log(5) + log(2)
 --R   (3)  -----------------
 --R                2
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 234
 
 \end{chunk}
 daly - not wrong but the order is obscure...
@@ -4049,8 +4071,8 @@ daly - not wrong but the order is obscure...
 primes(1,10)
 --R
 --R   (1)  [2,7,5,3]
---R                                                           Type: List Integer
---E
+--R                                                          Type: List(Integer)
+--E 235
 
 \end{chunk}
 nagttt@vax.ox.ac.uk/1/11/93 themos tsikas
@@ -4065,8 +4087,8 @@ m:=matrix[[1,a,0],[b,0,a],[0,b,c]]
 --R   (1)  |b  0  a|
 --R        |       |
 --R        +0  b  c+
---R                                              Type: Matrix Polynomial Integer
---E
+--R                                            Type: Matrix(Polynomial(Integer))
+--E 236
 
 \end{chunk}
 This ends in error:
@@ -4892,8 +4914,8 @@ ll:=radicalEigenvectors m
 --R           ]
 --R       ]
 --R     ]
---IType: List Record(radval: Expression Integer,radmult: Integer,...
---E
+--RType: List(Record(radval: Expression(Integer),radmult: Integer,radvect: List(Matrix(Expression(Integer)))))
+--E 237
 
 \end{chunk}
 but this works
@@ -5157,8 +5179,8 @@ ll 1
 --R    [1]]
 --R         ]
 --R     ]
---IType: Record(radval: Expression Integer,radmult: Integer,...
---E
+--RType: Record(radval: Expression(Integer),radmult: Integer,radvect: List(Matrix(Expression(Integer))))
+--E 238
 
 --S 239 of 267
 ll 2
@@ -5437,8 +5459,8 @@ ll 2
 --R    [1]]
 --R         ]
 --R     ]
---IType: Record(radval: Expression Integer,radmult: Integer,...
---E
+--RType: Record(radval: Expression(Integer),radmult: Integer,radvect: List(Matrix(Expression(Integer))))
+--E 239
 
 --S 240 of 267
 ll 3
@@ -5717,8 +5739,8 @@ ll 3
 --R    [1]]
 --R         ]
 --R     ]
---IType: Record(radval: Expression Integer,radmult: Integer,...
---E
+--RType: Record(radval: Expression(Integer),radmult: Integer,radvect: List(Matrix(Expression(Integer))))
+--E 240
 
 \end{chunk}
 bronstei@inf.ethz.ch/11/24/93 Manuel Bronstein
@@ -5806,36 +5828,36 @@ qrimes : Stream Integer := generate(nextPrime,2**512-5000)
 --R     06081129
 --R     ,
 --R    ...]
---R                                                         Type: Stream Integer
---E
+--R                                                        Type: Stream(Integer)
+--E 241
 
 --S 242 of 267
 rrimes := [ 2**512-p for p in qrimes while p < 2**512 ]
 --R
 --R   (2)  [5000,4893,4653,4475,4005,3893,3669,3459,3143,2967,...]
---R                                                         Type: Stream Integer
---E
+--R                                                        Type: Stream(Integer)
+--E 242
 
 --S 243 of 267
 srimes := complete rrimes
 --R
 --R   (3)  [5000,4893,4653,4475,4005,3893,3669,3459,3143,2967,...]
---R                                                         Type: Stream Integer
---E
+--R                                                        Type: Stream(Integer)
+--E 243
 
 --S 244 of 267
 [srimes.i for i in [1..18]]
 --R
 --R   (4)  [[5000,4893,4653,4475,4005,3893,3669,3459,3143,2967,...]]
---R                                                    Type: List Stream Integer
---E
+--R                                                  Type: List(Stream(Integer))
+--E 244
 
 --S 245 of 267
 [srimes.i for i in [10..18]]
 --R
 --R   (5)  [[2967,2807,2529,1827,1695,975,875,629,569]]
---R                                                    Type: List Stream Integer
---E
+--R                                                  Type: List(Stream(Integer))
+--E 245
 
 \end{chunk}
 miker@num-alg-grp.co.uk/12/13/93 (Mike Richardson)
@@ -5856,8 +5878,8 @@ I suspect that this is an example of the same thing - but it looks worse:
 X := log(0.7*%i*x)
 --R
 --R   (1)  log(0.7 %i x)
---R                                               Type: Expression Complex Float
---E
+--R                                             Type: Expression(Complex(Float))
+--E 246
 
 \end{chunk}
 
@@ -5880,7 +5902,7 @@ log2() --> Float
 --R
 --R   (1)  0.6931471805 5994530942
 --R                                                                  Type: Float
---E
+--E 247
 
 --S 248 of 267
 exp1() --> DoubleFLoat ???
@@ -5888,7 +5910,7 @@ exp1() --> DoubleFLoat ???
 --R
 --R   (2)  2.7182818284 590452354
 --R                                                                  Type: Float
---E
+--E 248
 
 \end{chunk}
 quitte@knuth.univ-poitiers.fr/12/14/93 Claude Quitte
@@ -5926,36 +5948,36 @@ A little session :
 L : List(String) := ["There is", "it seems", "a real bug", "here"]
 --R
 --R   (1)  ["There is","it seems","a real bug","here"]
---R                                                            Type: List String
---E
+--R                                                           Type: List(String)
+--E 249
 
 --S 250 of 267
 L1 := delete!(L, 1)
 --R
 --R   (2)  ["it seems","a real bug","here"]
---R                                                            Type: List String
---E
+--R                                                           Type: List(String)
+--E 250
 
 --S 251 of 267
 L
 --R
 --R   (3)  ["There is","it seems","a real bug","here"]
---R                                                            Type: List String
---E
+--R                                                           Type: List(String)
+--E 251
 
 --S 252 of 267
 L2 := delete!(L, 2)
 --R
 --R   (4)  ["There is","a real bug","here"]
---R                                                            Type: List String
---E
+--R                                                           Type: List(String)
+--E 252
 
 --S 253 of 267
 L
 --R
 --R   (5)  ["There is","a real bug","here"]
---R                                                            Type: List String
---E
+--R                                                           Type: List(String)
+--E 253
 
 \end{chunk}
 \begin{verbatim}
@@ -5985,54 +6007,54 @@ quitte@knuth.univ-poitiers.fr/1/13/94 Claude Quitte
 --S 254 of 267
 K := Fraction(Integer)   
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
---E
+--E 254
 
 --S 255 of 267
 PolK := UP('X, K) 
 --R
---R   (2)  UnivariatePolynomial(X,Fraction Integer)
+--R   (2)  UnivariatePolynomial(X,Fraction(Integer))
 --R                                                                 Type: Domain
---E
+--E 255
 
 --S 256 of 267
 X : PolK := monomial(1, 1) 
 --R
 --R   (3)  X
---R                               Type: UnivariatePolynomial(X,Fraction Integer)
---E
+--R                              Type: UnivariatePolynomial(X,Fraction(Integer))
+--E 256
 
 --S 257 of 267
 n : PositiveInteger := 15 
 --R
 --R   (4)  15
 --R                                                        Type: PositiveInteger
---E
+--E 257
 
 --S 258 of 267
 E := SimpleAlgebraicExtension(K, PolK, X**n + X**(n-3) -1) 
 --R
 --R   (5)
---R  SimpleAlgebraicExtension(Fraction Integer,UnivariatePolynomial(X,Fraction Int
---R  eger),X**15+X**12-1)
+--R  SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(X,Fraction(In
+--R  teger)),X^15+X^12+-1)
 --R                                                                 Type: Domain
---E
+--E 258
 
 --S 259 of 267
 y : E := X::E
 --R
 --R   (6)  X
---IType: SimpleAlgebraicExtension(Fraction Integer,UnivariatePolynomial(...
---E
+--RType: SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(X,Fraction(Integer)),X^15+X^12+-1)
+--E 259
 
 --S 260 of 267
 minimalPolynomial(y)$E
 --R
 --R         15    12
 --R   (7)  X   + X   - 1
---R                               Type: UnivariatePolynomial(X,Fraction Integer)
---E
+--R                              Type: UnivariatePolynomial(X,Fraction(Integer))
+--E 260
 
 \end{chunk}
 \begin{verbatim}
@@ -6058,8 +6080,8 @@ tr := rule cos(x)**(n | integer? n and even? n)==(1-sin(x)**2)**(n/2)
 --R                                  -
 --R              n             2     2
 --R   (1)  cos(x)  == (- sin(x)  + 1)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
+--E 261
 
 \end{chunk}
 Axiom returns
@@ -6072,7 +6094,7 @@ Axiom returns
                                   -
               n             2     2
    (2)  cos(x)  == (- sin(x)  + 1)
-                        Type: RewriteRule(Integer,Integer,Expression Integer)
+
 
 \end{verbatim}
 and henceforth the rule does not work as desired. Variations on the same bug
@@ -6177,16 +6199,16 @@ sqrt(2)*2.0 -- fails
 --R 
 --R
 --R   (1)  2.8284271247 461900976
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 262
 
 --S 263 of 267
 sqrt(2)::EXPR INT * 2.0 -- works
 --R 
 --R
 --R   (2)  2.8284271247 461900976
---R                                                       Type: Expression Float
---E
+--R                                                      Type: Expression(Float)
+--E 263
 
 \end{chunk}
 tpd: this now fails with sample : () -> Reference Integer is missing
@@ -6211,8 +6233,8 @@ f := exp(exp(x)*exp(1/exp(x))) / exp exp x
 --R               x
 --R             %e
 --R           %e
---R                                                     Type: Expression Integer
---E
+--R                                                    Type: Expression(Integer)
+--E 264
 
 \end{chunk}
 \begin{verbatim}
@@ -6235,8 +6257,8 @@ You can now do things like
 [1,2,3] :: DirectProduct(3, Fraction Integer)
 --R
 --R   (1)  [1,2,3]
---R                                      Type: DirectProduct(3,Fraction Integer)
---E
+--R                                     Type: DirectProduct(3,Fraction(Integer))
+--E 265
 
 \end{chunk}
 I also fixed coercions from Vector to List, which seems to have
@@ -6253,8 +6275,8 @@ x**10+1::Polynomial PrimeField 2
 --R
 --R         10
 --R   (1)  x   + 1
---R                                                Type: Polynomial PrimeField 2
---E
+--R                                              Type: Polynomial(PrimeField(2))
+--E 266
 
 \end{chunk}
 themos@num-alg-grp.co.uk/03/11/94 Themos Tsikas
@@ -6264,7 +6286,7 @@ themos@num-alg-grp.co.uk/03/11/94 Themos Tsikas
 --S 267 of 267
 f(x)==x**2
 --R                                                                   Type: Void
---E
+--E 267
 
 \end{chunk}
 draw(f,-1..1)
diff --git a/src/input/float1.input.pamphlet b/src/input/float1.input.pamphlet
index 97087ca..7a75037 100644
--- a/src/input/float1.input.pamphlet
+++ b/src/input/float1.input.pamphlet
@@ -69,7 +69,7 @@ i :: Fraction Integer
 --R 
 --R
 --R   (3)  3
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 6
 
 --S 7 of 37
@@ -87,7 +87,7 @@ r :: Fraction Integer
 --R        3
 --R   (5)  -
 --R        7
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 8
 
 --S 9 of 37
@@ -305,7 +305,7 @@ a: Matrix Fraction Integer := matrix [[1/(i+j+1) for j in 0..9] for i in 0..9]
 --R        | 1   1   1   1   1   1   1   1   1   1|
 --R        |--  --  --  --  --  --  --  --  --  --|
 --R        +10  11  12  13  14  15  16  17  18  19+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 29
 
 --S 30 of 37
@@ -315,7 +315,7 @@ d:= determinant a
 --R                                  1
 --R   (2)  -----------------------------------------------------
 --R        46206893947914691316295628839036278726983680000000000
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 30
 
 --S 31 of 37
@@ -331,7 +331,7 @@ b: Matrix DoubleFloat := matrix [[1/(i+j+1$DoubleFloat) _
     for j in 0..9] for i in 0..9];
 --R 
 --R
---R                                                     Type: Matrix DoubleFloat
+--R                                                    Type: Matrix(DoubleFloat)
 --E 32
 
 --S 33 of 37
@@ -354,7 +354,7 @@ digits 40
 c: Matrix Float := matrix [[1/(i+j+1$Float) for j in 0..9] for i in 0..9];
 --R 
 --R
---R                                                           Type: Matrix Float
+--R                                                          Type: Matrix(Float)
 --E 35
 
 --S 36 of 37
diff --git a/src/input/fname.input.pamphlet b/src/input/fname.input.pamphlet
index f3ccb02..4bc334b 100644
--- a/src/input/fname.input.pamphlet
+++ b/src/input/fname.input.pamphlet
@@ -55,7 +55,7 @@ writo: FNAME := "/tmp/writo"
 --R 
 --R
 --R   (4)  ["/tmp","reado",""]
---R                                                            Type: List String
+--R                                                           Type: List(String)
 --E 4
 
 --S 5 of 9
@@ -63,7 +63,7 @@ writo: FNAME := "/tmp/writo"
 --R 
 --R
 --R   (5)  ["/tmp","writo",""]
---R                                                            Type: List String
+--R                                                           Type: List(String)
 --E 5
 
 --S 6 of 9
@@ -71,7 +71,7 @@ writo: FNAME := "/tmp/writo"
 --R 
 --R
 --I   (6)  ["","nullo1406","x"]
---R                                                            Type: List String
+--R                                                           Type: List(String)
 --E 6
 
 --S 7 of 9
@@ -79,7 +79,7 @@ writo: FNAME := "/tmp/writo"
 --R 
 --R
 --R   (7)  [true,true,false]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 7
 
 --S 8 of 9
@@ -87,7 +87,7 @@ writo: FNAME := "/tmp/writo"
 --R 
 --R
 --R   (8)  [true,true,true]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 8
 
 --S 9 of 9
@@ -95,7 +95,7 @@ writo: FNAME := "/tmp/writo"
 --R 
 --R
 --R   (9)  [false,false,true]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 9
 )system rm -f /tmp/reado
 )system rm -f /tmp/writo
diff --git a/src/input/fns.input.pamphlet b/src/input/fns.input.pamphlet
index 2ed1f15..32b4398 100644
--- a/src/input/fns.input.pamphlet
+++ b/src/input/fns.input.pamphlet
@@ -33,7 +33,7 @@ odd(i) == 2*i - 1
 --R   Compiling function odd with type PositiveInteger -> Integer 
 --R
 --R   (2)  [1,3,5,7,9,11,13,15,17,19]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 2
 
 --S 3 of 20
@@ -58,7 +58,7 @@ odd(1111)
 --R 
 --R
 --R   (5)  [2,3,5,7,11,13,17,19,23,29,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 5
 
 --S 6 of 20
@@ -66,7 +66,7 @@ primes := /
 --R 
 --R
 --R   (6)  /
---R                                                             Type: Variable /
+--R                                                            Type: Variable(/)
 --E 6
 
 --S 7 of 20
@@ -87,7 +87,7 @@ primes
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named 
 --R      nextPrime with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -95,7 +95,7 @@ primes
 --R 
 --RDaly Bug
 --R   AXIOM can only iterate over lists now and you supplied an object of 
---R      type UniversalSegment PositiveInteger .
+--R      type UniversalSegment(PositiveInteger) .
 --E 8
 
 --S 9 of 20
@@ -110,7 +110,7 @@ primes(20)
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named 
 --R      nextPrime with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -118,7 +118,7 @@ primes(20)
 --R 
 --RDaly Bug
 --R   AXIOM can only iterate over lists now and you supplied an object of 
---R      type UniversalSegment PositiveInteger .
+--R      type UniversalSegment(PositiveInteger) .
 --E 9
 
 --S 10 of 20
@@ -139,7 +139,7 @@ firstPrimes(25)
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named 
 --R      nextPrime with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -149,7 +149,7 @@ firstPrimes(25)
 --R 
 --RDaly Bug
 --R   AXIOM can only iterate over lists now and you supplied an object of 
---R      type UniversalSegment PositiveInteger .
+--R      type UniversalSegment(PositiveInteger) .
 --E 11
 
 --S 12 of 20
@@ -170,7 +170,7 @@ primesLessThan 1000
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named 
 --R      nextPrime with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -180,7 +180,7 @@ primesLessThan 1000
 --R 
 --RDaly Bug
 --R   AXIOM can only iterate over lists now and you supplied an object of 
---R      type UniversalSegment PositiveInteger .
+--R      type UniversalSegment(PositiveInteger) .
 --E 13
 
 --S 14 of 20
@@ -201,7 +201,7 @@ isPrime?(1111)
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named 
 --R      nextPrime with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -211,7 +211,7 @@ isPrime?(1111)
 --R 
 --RDaly Bug
 --R   AXIOM can only iterate over lists now and you supplied an object of 
---R      type UniversalSegment PositiveInteger .
+--R      type UniversalSegment(PositiveInteger) .
 --E 15
 
 --S 16 of 20
@@ -226,7 +226,7 @@ twins := [p,p+2 for p in primes | prime?(p+2)]
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named 
 --R      nextPrime with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -234,7 +234,7 @@ twins := [p,p+2 for p in primes | prime?(p+2)]
 --R 
 --RDaly Bug
 --R   AXIOM can only iterate over lists now and you supplied an object of 
---R      type UniversalSegment PositiveInteger .
+--R      type UniversalSegment(PositiveInteger) .
 --E 16
 
 --S 17 of 20
@@ -249,7 +249,7 @@ twins := [p, p+2 for i in 1.. | (p := primes(i)) + 2 = primes(i+1)]
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named 
 --R      nextPrime with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -293,7 +293,7 @@ twins(i) ==firsts(i),2 + firsts(i)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      firsts with argument type(s) 
---R                                 Variable i
+--R                                 Variable(i)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
diff --git a/src/input/fparfrac.input.pamphlet b/src/input/fparfrac.input.pamphlet
index 77119c2..67533ff 100644
--- a/src/input/fparfrac.input.pamphlet
+++ b/src/input/fparfrac.input.pamphlet
@@ -29,7 +29,7 @@ This file demonstrates the factor-free conversion to full partial fractions.
 Q := FRAC INT
 --R 
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
 --E 1
 
@@ -37,7 +37,7 @@ Q := FRAC INT
 Px := UP(x, Q)
 --R 
 --R
---R   (2)  UnivariatePolynomial(x,Fraction Integer)
+--R   (2)  UnivariatePolynomial(x,Fraction(Integer))
 --R                                                                 Type: Domain
 --E 2
 
@@ -45,7 +45,7 @@ Px := UP(x, Q)
 Fx := FRAC Px
 --R 
 --R
---R   (3)  Fraction UnivariatePolynomial(x,Fraction Integer)
+--R   (3)  Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --R                                                                 Type: Domain
 --E 3
 
@@ -60,7 +60,7 @@ f:Fx := 36 / (x**5-2*x**4-2*x**3+4*x**2+x-2)
 --R   (4)  ----------------------------
 --R         5     4     3     2
 --R        x  - 2x  - 2x  + 4x  + x - 2
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 4
 
 \end{chunk}
@@ -75,7 +75,7 @@ g := fullPartialFraction f
 --R        x - 2   x + 1      --+              2
 --R                          2         (x - %A)
 --R                        %A  - 1= 0
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 5
 
 \end{chunk}
@@ -89,7 +89,7 @@ g::Fx
 --R   (6)  ----------------------------
 --R         5     4     3     2
 --R        x  - 2x  - 2x  + 4x  + x - 2
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 6
 
 \end{chunk}
@@ -104,7 +104,7 @@ g5 := D(g, 5)
 --R                 6          6      --+                7
 --R          (x - 2)    (x + 1)      2           (x - %A)
 --R                                %A  - 1= 0
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 7
 
 --S 8 of 18
@@ -126,7 +126,7 @@ f5 := D(f, 5)
 --R     + 
 --R           4        3       2
 --R       276x  - 1184x  + 208x  + 192x - 64
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 8
 
 \end{chunk}
@@ -137,7 +137,7 @@ g5::Fx - f5
 --R 
 --R
 --R   (9)  0
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 9
 
 \end{chunk}
@@ -152,7 +152,7 @@ f:Fx := (x**5 * (x-1)) / ((x**2 + x + 1)**2 * (x-2)**3)
 --R   (10)  -----------------------------------
 --R          7     6     5     3     2
 --R         x  - 4x  + 3x  + 9x  - 6x  - 4x - 8
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 10
 
 --S 11 of 18
@@ -175,7 +175,7 @@ g := fullPartialFraction f
 --R           --+                   2
 --R       2                 (x - %A)
 --R     %A  + %A + 1= 0
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 11
 
 --S 12 of 18
@@ -183,7 +183,7 @@ g::Fx - f
 --R 
 --R
 --R   (12)  0
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 12
 
 --S 13 of 18
@@ -195,7 +195,7 @@ f:Fx := (2*x**7-7*x**5+26*x**3+8*x)/(x**8-5*x**6+6*x**4+4*x**2-8)
 --R   (13)  ------------------------
 --R          8     6     4     2
 --R         x  - 5x  + 6x  + 4x  - 8
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 13
 
 --S 14 of 18
@@ -209,7 +209,7 @@ g := fullPartialFraction f
 --R            --+      x - %A      --+              3      --+      x - %A
 --R           2                    2         (x - %A)      2
 --R         %A  - 2= 0           %A  - 2= 0              %A  + 1= 0
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 14
 
 --S 15 of 18
@@ -217,7 +217,7 @@ g::Fx - f
 --R 
 --R
 --R   (15)  0
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 15
 
 --S 16 of 18
@@ -237,7 +237,7 @@ f:Fx := x**3/(x**21+2*x**20+4*x**19+7*x**18+10*x**17+17*x**16+22*x**15+30*x**14
 --R       47x   + 46x   + 49x  + 43x  + 38x  + 32x  + 23x  + 19x  + 10x  + 7x  + 2x
 --R     + 
 --R       1
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 16
 
 --S 17 of 18
@@ -296,7 +296,7 @@ g := fullPartialFraction f
 --R        -------------------------------------------------------------------
 --R                                             3
 --R                                     (x - %A)
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 17
 
 \end{chunk}
@@ -307,7 +307,7 @@ g::Fx - f
 --R 
 --R
 --R   (18)  0
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 18
 )spool 
 )lisp (bye)
diff --git a/src/input/fparfrc.input.pamphlet b/src/input/fparfrc.input.pamphlet
index bdae515..ed0f84f 100644
--- a/src/input/fparfrc.input.pamphlet
+++ b/src/input/fparfrc.input.pamphlet
@@ -25,7 +25,7 @@
 Fx := FRAC UP(x, FRAC INT)
 --R 
 --R
---R   (1)  Fraction UnivariatePolynomial(x,Fraction Integer)
+--R   (1)  Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --R                                                                 Type: Domain
 --E 1
 
@@ -37,7 +37,7 @@ f : Fx := 36 / (x**5-2*x**4-2*x**3+4*x**2+x-2)
 --R   (2)  ----------------------------
 --R         5     4     3     2
 --R        x  - 2x  - 2x  + 4x  + x - 2
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 2
 
 --S 3 of 16
@@ -49,7 +49,7 @@ g := fullPartialFraction f
 --R        x - 2   x + 1      --+              2
 --R                          2         (x - %A)
 --R                        %A  - 1= 0
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 3
 
 --S 4 of 16
@@ -60,7 +60,7 @@ g :: Fx
 --R   (4)  ----------------------------
 --R         5     4     3     2
 --R        x  - 2x  - 2x  + 4x  + x - 2
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 4
 
 --S 5 of 16
@@ -72,7 +72,7 @@ g5 := D(g, 5)
 --R                 6          6      --+                7
 --R          (x - 2)    (x + 1)      2           (x - %A)
 --R                                %A  - 1= 0
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 5
 
 --S 6 of 16
@@ -94,7 +94,7 @@ f5 := D(f, 5)
 --R     + 
 --R           4        3       2
 --R       276x  - 1184x  + 208x  + 192x - 64
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 6
 
 --S 7 of 16
@@ -102,7 +102,7 @@ g5::Fx - f5
 --R 
 --R
 --R   (7)  0
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 7
 
 --S 8 of 16
@@ -114,7 +114,7 @@ f : Fx := (x**5 * (x-1)) / ((x**2 + x + 1)**2 * (x-2)**3)
 --R   (8)  -----------------------------------
 --R         7     6     5     3     2
 --R        x  - 4x  + 3x  + 9x  - 6x  - 4x - 8
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 8
 
 --S 9 of 16
@@ -137,7 +137,7 @@ g := fullPartialFraction f
 --R           --+                   2
 --R       2                 (x - %A)
 --R     %A  + %A + 1= 0
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 9
 
 --S 10 of 16
@@ -145,7 +145,7 @@ g :: Fx - f
 --R 
 --R
 --R   (10)  0
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 10
 
 --S 11 of 16
@@ -157,7 +157,7 @@ f : Fx := (2*x**7-7*x**5+26*x**3+8*x) / (x**8-5*x**6+6*x**4+4*x**2-8)
 --R   (11)  ------------------------
 --R          8     6     4     2
 --R         x  - 5x  + 6x  + 4x  - 8
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 11
 
 --S 12 of 16
@@ -171,7 +171,7 @@ g := fullPartialFraction f
 --R            --+      x - %A      --+              3      --+      x - %A
 --R           2                    2         (x - %A)      2
 --R         %A  - 2= 0           %A  - 2= 0              %A  + 1= 0
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 12
 
 --S 13 of 16
@@ -179,7 +179,7 @@ g :: Fx - f
 --R 
 --R
 --R   (13)  0
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 13
 
 --S 14 of 16
@@ -200,7 +200,7 @@ f:Fx := x**3 / (x**21 + 2*x**20 + 4*x**19 + 7*x**18 + 10*x**17 + 17*x**16 + _
 --R       47x   + 46x   + 49x  + 43x  + 38x  + 32x  + 23x  + 19x  + 10x  + 7x  + 2x
 --R     + 
 --R       1
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 14
 
 --S 15 of 16
@@ -259,7 +259,7 @@ g := fullPartialFraction f
 --R        -------------------------------------------------------------------
 --R                                             3
 --R                                     (x - %A)
---IType: FullPartialFractionExpansion(Fraction Integer,...
+--RType: FullPartialFractionExpansion(Fraction(Integer),UnivariatePolynomial(x,Fraction(Integer)))
 --E 15
 
 --S 16 of 16
@@ -267,7 +267,7 @@ g :: Fx - f
 --R 
 --R
 --R   (16)  0
---R                      Type: Fraction UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Fraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 16
 )spool 
 )lisp (bye)
diff --git a/src/input/fr.input.pamphlet b/src/input/fr.input.pamphlet
index 7e8ad87..a89fe63 100644
--- a/src/input/fr.input.pamphlet
+++ b/src/input/fr.input.pamphlet
@@ -36,7 +36,7 @@ x := 2**8 * 78**7 * 111**3 * 74534
 --R
 --R         16 10  7  3
 --R   (2)  2  3  13 37 83 449
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 2
 
 --S 3 of 55
@@ -45,7 +45,7 @@ y := 2**4 * 45**3 * 162**6 * 774325
 --R
 --R         10 30 5
 --R   (3)  2  3  5 47 659
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 3
 
 \end{chunk}
@@ -65,7 +65,7 @@ z := z1 :: (FR INT)
 --R
 --R         47 22 12 8  4  3  2  2  2
 --R   (5)  2  3  5  7 11 13 17 19 23 29 31 37 41 43 47
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 5
 
 \end{chunk}
@@ -112,7 +112,7 @@ factorList z
 --R    [flg= "prime",fctr= 31,xpnt= 1], [flg= "prime",fctr= 37,xpnt= 1],
 --R    [flg= "prime",fctr= 41,xpnt= 1], [flg= "prime",fctr= 43,xpnt= 1],
 --R    [flg= "prime",fctr= 47,xpnt= 1]]
---IType: List Record(flg: Union("nil","sqfr","irred","prime"),fctr: ...
+--IType: List(Record(flg: Union("nil","sqfr","irred","prime"),...
 --E 9
 
 \end{chunk}
@@ -123,7 +123,7 @@ r:=reduce(*,[(nthFactor(z,i) :: (FR INT)) for i in 1..(numberOfFactors z)])
 --R 
 --R
 --R   (10)  2 3 5 7 11 13 17 19 23 29 31 37 41 43 47
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 10
 
 \end{chunk}
@@ -135,7 +135,7 @@ exquo(z,r)
 --R
 --R          46 21 11 7  3  2
 --R   (11)  2  3  5  7 11 13 17 19 23
---R                                            Type: Union(Factored Integer,...)
+--R                                           Type: Union(Factored(Integer),...)
 --E 11
 
 --S 12 of 55
@@ -144,7 +144,7 @@ x*y
 --R
 --R          26 40 5  7  3
 --R   (12)  2  3  5 13 37 47 83 449 659
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 12
 
 --S 13 of 55
@@ -153,7 +153,7 @@ y*x
 --R
 --R          26 40 5  7  3
 --R   (13)  2  3  5 13 37 47 83 449 659
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 13
 
 --S 14 of 55
@@ -170,7 +170,7 @@ gcd(x,z)
 --R
 --R          16 10  3
 --R   (15)  2  3  13 37
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 15
 
 --S 16 of 55
@@ -179,7 +179,7 @@ x+y
 --R
 --R          10 10
 --R   (16)  2  3  1109 3557 2007307818601
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 16
 
 \end{chunk}
@@ -205,7 +205,7 @@ f := x/y
 --R   (18)  --------------
 --R            20 5
 --R           3  5 47 659
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 18
 
 --S 19 of 55
@@ -217,7 +217,7 @@ g := (x ** 9) / y
 --R   (19)  ----------------------
 --R                 5
 --R                5 47 659
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 19
 
 --S 20 of 55
@@ -229,7 +229,7 @@ f * g
 --R   (20)  ------------------------
 --R                 10  2   2
 --R                5  47 659
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 20
 
 --S 21 of 55
@@ -241,7 +241,7 @@ f * g
 --R   (21)  ---------------
 --R          194 20 5
 --R         2   3  5 47 659
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 21
 
 --S 22 of 55
@@ -253,7 +253,7 @@ f * g
 --R   (22)  -------------------------------------------
 --R                            147
 --R                           2   659
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 22 
  
 \end{chunk}
@@ -276,7 +276,7 @@ u := (x**4 - y**4) :: POLY INT
 --R
 --R                          2    2
 --R   (2)  - (y - x)(y + x)(y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 24
 
 \end{chunk}
@@ -288,7 +288,7 @@ v := primeFactor(x-y,2) * primeFactor(x+y,2) * primeFactor(x**2 + y**2,1)
 --R
 --R               2       2  2    2
 --R   (3)  (y - x) (y + x) (y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 25
 
 --S 26 of 55
@@ -297,7 +297,7 @@ w := factor(x**2 + 2*x*y + 2*x + 2*y + y**2 + 1) * primeFactor(x-y,2)
 --R
 --R               2           2
 --R   (4)  (y - x) (y + x + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 26
 
 --S 27 of 55
@@ -305,7 +305,7 @@ unit w
 --R 
 --R
 --R   (5)  1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 27
 
 \end{chunk}
@@ -319,7 +319,7 @@ l := factorList u
 --R   [[flg= "prime",fctr= y - x,xpnt= 1], [flg= "prime",fctr= y + x,xpnt= 1],
 --R                         2    2
 --R    [flg= "prime",fctr= y  + x ,xpnt= 1]]
---IType: List Record(flg: Union("nil","sqfr","irred","prime"),fctr: ...
+--IType: List(Record(flg: Union("nil","sqfr","irred","prime"),...
 --E 28
 
 --S 29 of 55
@@ -330,7 +330,7 @@ factorList v
 --R   [[flg= "prime",fctr= y - x,xpnt= 2], [flg= "prime",fctr= y + x,xpnt= 2],
 --R                         2    2
 --R    [flg= "prime",fctr= y  + x ,xpnt= 1]]
---IType: List Record(flg: Union("nil","sqfr","irred","prime"),fctr: ...
+--IType: List(Record(flg: Union("nil","sqfr","irred","prime"),...
 --E 29
 
 --S 30 of 55
@@ -339,7 +339,7 @@ factorList w
 --R
 --R   (8)
 --R   [[flg= "prime",fctr= y - x,xpnt= 2],[flg= "prime",fctr= y + x + 1,xpnt= 2]]
---IType: List Record(flg: Union("nil","sqfr","irred","prime"),fctr: ...
+--IType: List(Record(flg: Union("nil","sqfr","irred","prime"),...
 --E 30
 
 --S 31 of 55
@@ -347,7 +347,7 @@ l.1.fctr
 --R 
 --R
 --R   (9)  y - x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 31
 
 --S 32 of 55
@@ -363,7 +363,7 @@ nthFactor(u,1)
 --R 
 --R
 --R   (11)  y - x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 33
 
 --S 34 of 55
@@ -371,7 +371,7 @@ nthFactor(u,2)
 --R 
 --R
 --R   (12)  y + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 34
 
 --S 35 of 55
@@ -380,7 +380,7 @@ nthFactor(u,3)
 --R
 --R          2    2
 --R   (13)  y  + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 35
 
 --S 36 of 55
@@ -404,7 +404,7 @@ nthFactor(u,4)
 --R 
 --R
 --R   (16)  1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 38
 
 \end{chunk}
@@ -417,7 +417,7 @@ s:=reduce(*,[(nthFactor(v,i) :: FR POLY INT) for i in 1..(numberOfFactors v)])
 --R
 --R                         2    2
 --R   (17)  (y - x)(y + x)(y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 39
 
 \end{chunk}
@@ -428,7 +428,7 @@ exquo(v,s)
 --R 
 --R
 --R   (18)  (y - x)(y + x)
---R                                 Type: Union(Factored Polynomial Integer,...)
+--R                               Type: Union(Factored(Polynomial(Integer)),...)
 --E 40
 
 --S 41 of 55
@@ -437,7 +437,7 @@ gcd(u,v)
 --R
 --R                         2    2
 --R   (19)  (y - x)(y + x)(y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 41
 
 --S 42 of 55
@@ -446,7 +446,7 @@ u + v
 --R
 --R                         2    2       2    2
 --R   (20)  (y - x)(y + x)(y  - x  - 1)(y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 42
 
 --S 43 of 55
@@ -455,7 +455,7 @@ lcm(v,w)
 --R
 --R                2       2           2  2    2
 --R   (21)  (y - x) (y + x) (y + x + 1) (y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 43
 
 --S 44 of 55
@@ -464,7 +464,7 @@ u * v * w
 --R
 --R                  5       3           2  2    2 2
 --R   (22)  - (y - x) (y + x) (y + x + 1) (y  + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 44
 
 \end{chunk}
@@ -486,7 +486,7 @@ expand(u * v * w)
 --R   + 
 --R          12     11      14     13    12
 --R     (- 2x   - 2x  )y + x   + 2x   + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 45
 
 \end{chunk}
@@ -501,7 +501,7 @@ u/w
 --R   (24)  - -------------------
 --R                             2
 --R           (y - x)(y + x + 1)
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 46
 
 --S 47 of 55
@@ -513,7 +513,7 @@ w/(u*v)
 --R   (25)  - -------------------------
 --R                         3  2    2 2
 --R           (y - x)(y + x) (y  + x )
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 47
 
 \end{chunk}
@@ -527,7 +527,7 @@ w/(u*v) * u/w
 --R   (26)  -------------------------
 --R                2       2  2    2
 --R         (y - x) (y + x) (y  + x )
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 48
 
 --S 49 of 55
@@ -547,7 +547,7 @@ w/(u*v) + u/w
 --R     /
 --R                      3           2  2    2 2
 --R        (y - x)(y + x) (y + x + 1) (y  + x )
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 49
 
 --S 50 of 55
@@ -555,7 +555,7 @@ differentiate(w,x)
 --R 
 --R
 --R   (28)  - 2(2x + 1)(y - x)(y + x + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 50
 
 --S 51 of 55
@@ -563,7 +563,7 @@ differentiate(w,y)
 --R 
 --R
 --R   (29)  2(y - x)(y + x + 1)(2y + 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 51
 
 --S 52 of 55
@@ -587,7 +587,7 @@ characteristic()$FR POLY INT
 --R 
 --R
 --R   (32)  1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 54
 
 --S 55 of 55
@@ -595,7 +595,7 @@ characteristic()$FR POLY INT
 --R 
 --R
 --R   (33)  0
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 55
 )spool 
 )lisp (bye)
diff --git a/src/input/fr1.input.pamphlet b/src/input/fr1.input.pamphlet
index 17d41bd..be447a2 100644
--- a/src/input/fr1.input.pamphlet
+++ b/src/input/fr1.input.pamphlet
@@ -27,7 +27,7 @@ g := factor(4312)
 --R
 --R         3 2
 --R   (1)  2 7 11
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 1
 
 --S 2 of 38
@@ -51,7 +51,7 @@ numberOfFactors(g)
 --R 
 --R
 --R   (4)  [2,7,11]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 4
 
 --S 5 of 38
@@ -59,7 +59,7 @@ numberOfFactors(g)
 --R 
 --R
 --R   (5)  [3,2,1]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 5
 
 --S 6 of 38
@@ -67,7 +67,7 @@ numberOfFactors(g)
 --R 
 --R
 --R   (6)  ["prime","prime","prime"]
---R                               Type: List Union("nil","sqfr","irred","prime")
+--R                              Type: List(Union("nil","sqfr","irred","prime"))
 --E 6
 
 --S 7 of 38
@@ -77,7 +77,7 @@ factorList(g)
 --R   (7)
 --R   [[flg= "prime",fctr= 2,xpnt= 3], [flg= "prime",fctr= 7,xpnt= 2],
 --R    [flg= "prime",fctr= 11,xpnt= 1]]
---IType: List Record(flg: Union("nil","sqfr","irred","prime"),...
+--IType: List(Record(flg: Union("nil","sqfr","irred","prime"),...
 --E 7
 
 --S 8 of 38
@@ -86,7 +86,7 @@ factors(g)
 --R
 --R   (8)
 --R   [[factor= 2,exponent= 3],[factor= 7,exponent= 2],[factor= 11,exponent= 1]]
---R                         Type: List Record(factor: Integer,exponent: Integer)
+--R                        Type: List(Record(factor: Integer,exponent: Integer))
 --E 8
 
 --S 9 of 38
@@ -105,7 +105,7 @@ g := factor(4312)
 --R
 --R         3 2
 --R   (1)  2 7 11
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 10
 
 --S 11 of 38
@@ -132,7 +132,7 @@ g := factor(4312)
 --R
 --R         3 2
 --R   (1)  2 7 11
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 13
 
 --S 14 of 38
@@ -141,7 +141,7 @@ f := factor(246960)
 --R
 --R         4 2   3
 --R   (2)  2 3 5 7
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 14
 
 --S 15 of 38
@@ -150,7 +150,7 @@ f * g
 --R
 --R         7 2   5
 --R   (3)  2 3 5 7 11
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 15
 
 --S 16 of 38
@@ -159,7 +159,7 @@ f**500
 --R
 --R         2000 1000 500 1500
 --R   (4)  2    3    5   7
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 16
 
 --S 17 of 38
@@ -168,7 +168,7 @@ gcd(f,g)
 --R
 --R         3 2
 --R   (5)  2 7
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 17
 
 --S 18 of 38
@@ -177,7 +177,7 @@ lcm(f,g)
 --R
 --R         4 2   3
 --R   (6)  2 3 5 7 11
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 18
 
 --S 19 of 38
@@ -186,7 +186,7 @@ f + g
 --R
 --R         3 2
 --R   (7)  2 7 641
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 19
 
 --S 20 of 38
@@ -195,7 +195,7 @@ f - g
 --R
 --R         3 2
 --R   (8)  2 7 619
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 20
 
 --S 21 of 38
@@ -235,7 +235,7 @@ one?(f)
 --R 
 --R
 --R   (13)  0
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 25
 
 --S 26 of 38
@@ -243,7 +243,7 @@ one?(f)
 --R 
 --R
 --R   (14)  1
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 26
 
 )clear all
@@ -254,7 +254,7 @@ nilFactor(24,2)
 --R
 --R          2
 --R   (1)  24
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 27
 
 --S 28 of 38
@@ -271,7 +271,7 @@ sqfrFactor(30,2)
 --R
 --R          2
 --R   (3)  30
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 29
 
 --S 30 of 38
@@ -280,7 +280,7 @@ irreducibleFactor(13,10)
 --R
 --R          10
 --R   (4)  13
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 30
 
 --S 31 of 38
@@ -289,7 +289,7 @@ primeFactor(11,5)
 --R
 --R          5
 --R   (5)  11
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 31
 
 --S 32 of 38
@@ -298,7 +298,7 @@ h := factor(-720)
 --R
 --R           4 2
 --R   (6)  - 2 3 5
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 32
 
 --S 33 of 38
@@ -306,7 +306,7 @@ h - makeFR(unit(h),factorList(h))
 --R 
 --R
 --R   (7)  0
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 33
 
 )clear all
@@ -317,7 +317,7 @@ p := (4*x*x-12*x+9)*y*y + (4*x*x-12*x+9)*y + 28*x*x - 84*x + 63
 --R
 --R           2            2      2                  2
 --R   (1)  (4x  - 12x + 9)y  + (4x  - 12x + 9)y + 28x  - 84x + 63
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 34
 
 --S 35 of 38
@@ -326,7 +326,7 @@ fp := factor(p)
 --R
 --R                2  2
 --R   (2)  (2x - 3) (y  + y + 7)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 35
 
 --S 36 of 38
@@ -335,7 +335,7 @@ D(p,x)
 --R
 --R                  2
 --R   (3)  (8x - 12)y  + (8x - 12)y + 56x - 84
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 36
 
 --S 37 of 38
@@ -344,7 +344,7 @@ D(fp,x)
 --R
 --R                   2
 --R   (4)  4(2x - 3)(y  + y + 7)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 37
 
 --S 38 of 38
diff --git a/src/input/fr2.input.pamphlet b/src/input/fr2.input.pamphlet
index 4fbb3e9..6e6f5dd 100644
--- a/src/input/fr2.input.pamphlet
+++ b/src/input/fr2.input.pamphlet
@@ -33,7 +33,7 @@ f := factor(720)
 --R
 --R         4 2
 --R   (2)  2 3 5
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 2
 
 --S 3 of 6
@@ -43,7 +43,7 @@ map(double,f)
 --R
 --R           4 2
 --R   (3)  2 4 6 10
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 3
 
 --S 4 of 6
@@ -55,11 +55,12 @@ makePoly(b) == x + b
 --S 5 of 6
 g := map(makePoly,f)
 --R 
---R   Compiling function makePoly with type Integer -> Polynomial Integer 
+--R   Compiling function makePoly with type Integer -> Polynomial(Integer)
+--R      
 --R
 --R                      4       2
 --R   (5)  (x + 1)(x + 2) (x + 3) (x + 5)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 5
 
 --S 6 of 6
diff --git a/src/input/frac.input.pamphlet b/src/input/frac.input.pamphlet
index d27c9da..9f3669c 100644
--- a/src/input/frac.input.pamphlet
+++ b/src/input/frac.input.pamphlet
@@ -28,7 +28,7 @@ a := 11/12
 --R        11
 --R   (1)  --
 --R        12
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 1
 
 --S 2 of 12
@@ -38,7 +38,7 @@ b := 23/24
 --R        23
 --R   (2)  --
 --R        24
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 2
 
 --S 3 of 12
@@ -48,7 +48,7 @@ b := 23/24
 --R        313271
 --R   (3)  ------
 --R         76032
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 3
 
 --S 4 of 12
@@ -76,7 +76,7 @@ r := (x**2 + 2*x + 1)/(x**2 - 2*x + 1)
 --R   (6)  -----------
 --R         2
 --R        x  - 2x + 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 6
 
 --S 7 of 12
@@ -88,7 +88,7 @@ factor(r)
 --R   (7)  -----------
 --R         2
 --R        x  - 2x + 1
---R                                   Type: Factored Fraction Polynomial Integer
+--R                                Type: Factored(Fraction(Polynomial(Integer)))
 --E 7
 
 --S 8 of 12
@@ -100,7 +100,7 @@ map(factor,r)
 --R   (8)  --------
 --R               2
 --R        (x - 1)
---R                                   Type: Fraction Factored Polynomial Integer
+--R                                Type: Fraction(Factored(Polynomial(Integer)))
 --E 8
 
 --S 9 of 12
@@ -110,7 +110,7 @@ continuedFraction(7/12)
 --R          1 |     1 |     1 |     1 |
 --R   (9)  +---+ + +---+ + +---+ + +---+
 --R        | 1     | 1     | 2     | 2
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 9
 
 --S 10 of 12
@@ -121,7 +121,7 @@ partialFraction(7,12)
 --R   (10)  1 - -- + -
 --R              2   3
 --R             2
---R                                                Type: PartialFraction Integer
+--R                                               Type: PartialFraction(Integer)
 --E 10
 
 --S 11 of 12
@@ -131,7 +131,7 @@ g := 2/3 + 4/5*%i
 --R         2   4
 --R   (11)  - + - %i
 --R         3   5
---R                                               Type: Complex Fraction Integer
+--R                                             Type: Complex(Fraction(Integer))
 --E 11
 
 --S 12 of 12
@@ -141,7 +141,7 @@ g :: FRAC COMPLEX INT
 --R         10 + 12%i
 --R   (12)  ---------
 --R             15
---R                                               Type: Fraction Complex Integer
+--R                                             Type: Fraction(Complex(Integer))
 --E 12
 )spool 
 )lisp (bye)
diff --git a/src/input/frame.input.pamphlet b/src/input/frame.input.pamphlet
index 224a6ba..2066a9e 100644
--- a/src/input/frame.input.pamphlet
+++ b/src/input/frame.input.pamphlet
@@ -113,7 +113,7 @@ a
 --R 
 --R
 --R   (1)  a
---R                                                             Type: Variable a
+--R                                                            Type: Variable(a)
 --E 14
 
 --S 15 of 24
diff --git a/src/input/free.input.pamphlet b/src/input/free.input.pamphlet
index 7c31ef5..d62c15b 100644
--- a/src/input/free.input.pamphlet
+++ b/src/input/free.input.pamphlet
@@ -21,7 +21,7 @@ We expect that $-b < z < a < b$
 --S 1 of 8
 Z2:=FreeAbelianGroup Symbol
 --R
---R   (1)  FreeAbelianGroup Symbol
+--R   (1)  FreeAbelianGroup(Symbol)
 --R                                                                 Type: Domain
 --E 1
 
@@ -29,21 +29,21 @@ Z2:=FreeAbelianGroup Symbol
 a:=a::FreeAbelianGroup Symbol
 --R
 --R   (2)  a
---R                                                Type: FreeAbelianGroup Symbol
+--R                                               Type: FreeAbelianGroup(Symbol)
 --E 2
 
 --S 3 of 8
 b:=b::FreeAbelianGroup Symbol
 --R
 --R   (3)  b
---R                                                Type: FreeAbelianGroup Symbol
+--R                                               Type: FreeAbelianGroup(Symbol)
 --E 3
 
 --S 4 of 8
 z:=0::FreeAbelianGroup Symbol
 --R
 --R   (4)  0
---R                                                Type: FreeAbelianGroup Symbol
+--R                                               Type: FreeAbelianGroup(Symbol)
 --E 4
 
 --S 5 of 8
diff --git a/src/input/function.input.pamphlet b/src/input/function.input.pamphlet
index b44c0df..a9331aa 100644
--- a/src/input/function.input.pamphlet
+++ b/src/input/function.input.pamphlet
@@ -24,21 +24,21 @@ f := (x - y) / (x + y)
 --R        - y + x
 --R   (1)  -------
 --R         y + x
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 1
 
 --S 2 of 33
 numer f
 --R
 --R   (2)  - y + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 2
 
 --S 3 of 33
 denom f
 --R
 --R   (3)  y + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 3
 
 --S 4 of 33
@@ -47,7 +47,7 @@ eval(f, x = 1/x)
 --R        - x y + 1
 --R   (4)  ---------
 --R         x y + 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 4
 
 --S 5 of 33
@@ -56,7 +56,7 @@ eval(f, [x = y, y = x])
 --R        y - x
 --R   (5)  -----
 --R        y + x
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 5
 
 \end{chunk}
@@ -70,14 +70,14 @@ f := sqrt(1 + x ** (1/3))
 --R         +--------+
 --R         |3+-+
 --R   (1)  \|\|x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 33
 y := rootOf(y**3 + y**2 - x*y + x**3 - 1, y)
 --R
 --R   (2)  y
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 33
@@ -88,7 +88,7 @@ differentiate(y, x)
 --R   (3)  ------------
 --R          2
 --R        3y  + 2y - x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 33
@@ -96,7 +96,7 @@ differentiate(y, x)
 --R
 --R          2               3
 --R   (4)  2y  + (x + 3)y - x  + 2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 33
@@ -107,7 +107,7 @@ g := inv f
 --R         +--------+
 --R         |3+-+
 --R        \|\|x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 33
@@ -115,7 +115,7 @@ ratPoly g
 --R
 --R                6     4     2
 --R   (6)  (x + 1)?  - 3?  + 3?  - 1
---R                          Type: SparseUnivariatePolynomial Expression Integer
+--R                        Type: SparseUnivariatePolynomial(Expression(Integer))
 --E 11
 
 \end{chunk}
@@ -129,7 +129,7 @@ f := x * log y * sin(1/(x+y))
 --R                      1
 --R   (1)  x log(y)sin(-----)
 --R                    y + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 33
@@ -138,7 +138,7 @@ eval(f, [x = y, y = x])
 --R                      1
 --R   (2)  y log(x)sin(-----)
 --R                    y + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 33
@@ -147,7 +147,7 @@ eval(f, log y = acosh(x + sqrt y))
 --R                1          +-+
 --R   (3)  x sin(-----)acosh(\|y  + x)
 --R              y + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 \end{chunk}
@@ -165,7 +165,7 @@ f := cos(x)/sec(x) * log(sin(x)**2/(cos(x)**2+sin(x)**2))
 --R                  sin(x)  + cos(x)
 --R   (1)  ----------------------------
 --R                   sec(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 33
@@ -173,7 +173,7 @@ g := simplify f
 --R
 --R              2            2
 --R   (2)  cos(x) log(- cos(x)  + 1)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 33
@@ -187,7 +187,7 @@ h := sin2csc cos2sec g
 --R   (3)  ----------------
 --R                   2
 --R             sec(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 33
@@ -198,7 +198,7 @@ expandLog h
 --R   (4)  -------------------------------
 --R                          2
 --R                    sec(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 --S 19 of 33
@@ -207,7 +207,7 @@ f1 := sqrt((x+1)**3)
 --R         +-----------------+
 --R         | 3     2
 --R   (5)  \|x  + 3x  + 3x + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 33
@@ -215,14 +215,14 @@ rootSimp f1
 --R
 --R                +-----+
 --R   (6)  (x + 1)\|x + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 --S 21 of 33
 g1 := sin(x + cos x)
 --R
 --R   (7)  sin(cos(x) + x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 --S 22 of 33
@@ -245,21 +245,21 @@ g2 := complexElementary g1
 --R                                           x\|- 1
 --R                                        2%e
 --R                  2%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 
 --S 23 of 33
 trigs g2
 --R
 --R   (9)  sin(cos(x) + x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 
 --S 24 of 33
 h1 := sinh(x + cosh x)
 --R
 --R   (10)  sinh(cosh(x) + x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 24
 
 --S 25 of 33
@@ -278,14 +278,14 @@ h2 := realElementary h1
 --R                          x
 --R                       2%e
 --R            2%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 25
 
 --S 26 of 33
 htrigs h2
 --R
 --R   (12)  sinh(cosh(x) + x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 26
 
 \end{chunk}
@@ -298,7 +298,7 @@ groupSqrt := _rule(sqrt(a) * sqrt(b), sqrt(a*b))
 --R
 --R           +-+ +-+       +---+
 --I   (1)  %B\|a \|b  == %B\|a b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 27
 
 --S 28 of 33
@@ -314,7 +314,7 @@ groupSqrt a
 --R
 --R         +-+
 --R   (3)  \|6
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 29
 
 --S 30 of 33
@@ -322,7 +322,7 @@ a := (sqrt(x) + sqrt(y))**4
 --R
 --R                  +-+ +-+    2           2
 --R   (4)  (4y + 4x)\|x \|y  + y  + 6x y + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 30
 
 --S 31 of 33
@@ -330,7 +330,7 @@ groupSqrt a
 --R
 --R                  +---+    2           2
 --R   (5)  (4y + 4x)\|x y  + y  + 6x y + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 31
 
 --S 32 of 33
@@ -351,14 +351,14 @@ sinCosExpand := rule
 --R    cos(y + x) == - sin(x)sin(y) + cos(x)cos(y),
 --R    sin(n x) == cos(x)sin((n - 1)x) + cos((n - 1)x)sin(x),
 --R    cos(n x) == - sin(x)sin((n - 1)x) + cos(x)cos((n - 1)x)}
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 32
 
 --S 33 of 33
 sinCosExpand(sin(x+y-2*z) * cos y)
 --R
 --R   (7)  - cos(y)sin(2z - y - x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 33
 
 )spool
diff --git a/src/input/galois.input.pamphlet b/src/input/galois.input.pamphlet
index 5930c77..1e1904a 100644
--- a/src/input/galois.input.pamphlet
+++ b/src/input/galois.input.pamphlet
@@ -27,7 +27,7 @@ p := x**5 - 5*x + 12
 --R
 --R         5
 --R   (1)  x  - 5x + 12
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 28
@@ -40,7 +40,7 @@ q := resultant(eval(p,x,y),-eval(p,x,y-x),y)
 --R   + 
 --R              7            5
 --R     18000000x  + 64000000x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 2
 
 --S 3 of 28
@@ -53,7 +53,7 @@ q1 := exquo(q, x**5)
 --R   + 
 --R              2
 --R     18000000x  + 64000000
---R                                          Type: Union(Polynomial Integer,...)
+--R                                         Type: Union(Polynomial(Integer),...)
 --E 3
 
 --S 4 of 28
@@ -66,7 +66,7 @@ factoredQ := factor q1
 --R  *
 --R       10      8       6       4        2
 --R     (x   + 10x  + 125x  + 500x  + 2500x  + 4000)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 4
 
 --S 5 of 28
@@ -75,7 +75,7 @@ r := nthFactor(factoredQ,1)
 --R
 --R         10      8      6        4        2
 --R   (5)  x   - 10x  - 75x  + 1500x  - 5500x  + 16000
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 5
 
 --S 6 of 28
@@ -134,7 +134,7 @@ algFactors := factor(p,[beta])
 --R           - 327000b  + 405200b + 2062400
 --R      /
 --R         1339200
---R                       Type: Factored UnivariatePolynomial(x,AlgebraicNumber)
+--R                      Type: Factored(UnivariatePolynomial(x,AlgebraicNumber))
 --E 8
 
 --S 9 of 28
@@ -143,7 +143,7 @@ factor(p)
 --R
 --R         5
 --R   (9)  x  - 5x + 12
---R                       Type: Factored UnivariatePolynomial(x,AlgebraicNumber)
+--R                      Type: Factored(UnivariatePolynomial(x,AlgebraicNumber))
 --E 9
 
 --S 10 of 28
@@ -211,7 +211,7 @@ roots := [-coefficient(nthFactor(algFactors,i),0) for i in 1..5]
 --R    /
 --R       1339200
 --R     ]
---R                                                   Type: List AlgebraicNumber
+--R                                                  Type: List(AlgebraicNumber)
 --E 12
 
 --S 13 of 28
@@ -233,7 +233,7 @@ eval(r,x,a1 - a2)
 --R 
 --R
 --R   (14)  0
---R                                             Type: Polynomial AlgebraicNumber
+--R                                            Type: Polynomial(AlgebraicNumber)
 --E 14
 
 --S 15 of 28
@@ -248,7 +248,7 @@ eval(r,x,a1 - a3)
 --R       75572250b  + 161688000b  - 184600000b - 710912000
 --R  /
 --R     4464
---R                                             Type: Polynomial AlgebraicNumber
+--R                                            Type: Polynomial(AlgebraicNumber)
 --E 15
 
 --S 16 of 28
@@ -256,7 +256,7 @@ eval(r,x,a1 - a4)
 --R 
 --R
 --R   (16)  0
---R                                             Type: Polynomial AlgebraicNumber
+--R                                            Type: Polynomial(AlgebraicNumber)
 --E 16
 
 --S 17 of 28
@@ -267,7 +267,7 @@ eval(r,x,a1 - a5)
 --R         405b  + 3450b  - 19875b  - 198000b  - 588000
 --R   (17)  --------------------------------------------
 --R                              31
---R                                             Type: Polynomial AlgebraicNumber
+--R                                            Type: Polynomial(AlgebraicNumber)
 --E 17
 
 --S 18 of 28
diff --git a/src/input/gamma.input.pamphlet b/src/input/gamma.input.pamphlet
index 6ea72c4..dbca279 100644
--- a/src/input/gamma.input.pamphlet
+++ b/src/input/gamma.input.pamphlet
@@ -831,7 +831,7 @@ Dover Publications, Inc. New York 1965. pp267-270
 --R     [1.9950000000000001, 0.99789636429999995, 0.99789636418206007,
 --R      - 1.1793988008435008E-10]
 --R     ]
---R                                                  Type: List List DoubleFloat
+--R                                                Type: List(List(DoubleFloat))
 --E 1
 
 \end{chunk}
@@ -1683,7 +1683,7 @@ Dover Publications, Inc. New York 1965. pp267-270
 --R      2.8108293470552326E-11]
 --R     ,
 --R    [2.,0.42278433510000002,0.42278433509846725,- 1.5327739077974911E-12]]
---R                                                  Type: List List DoubleFloat
+--R                                                Type: List(List(DoubleFloat))
 --E 3
 \end{chunk}
 \section{log(Gamma) 1+0.0i to 1+10.0i by 0+0.1i}
@@ -2521,7 +2521,7 @@ log(Gamma(1. + 10.0 * %i))-(- 13.637732188247 + 13.802912974230 * %i)]]
 --R      - 13.637732188247268 + 1.2365423598707301 %i,
 --R      - 2.6822988274943782E-13 - 12.56637061435927 %i]
 --R     ]
---R                                          Type: List List Complex DoubleFloat
+--R                                       Type: List(List(Complex(DoubleFloat)))
 --E 4
 
 \end{chunk}
@@ -2899,10 +2899,10 @@ H(1. + 10.0 * %i)-(- 13.637732188247 + 13.802912974230 * %i)]]
 --R 
 --R   Compiling function inner with type (NonNegativeInteger,
 --R      PositiveInteger) -> Integer 
---R   Compiling function B with type PositiveInteger -> Fraction Integer 
---R   Compiling function Z with type (PositiveInteger,Complex Float) -> 
---R      Complex Float 
---R   Compiling function H with type Complex Float -> Complex Float 
+--R   Compiling function B with type PositiveInteger -> Fraction(Integer) 
+--R   Compiling function Z with type (PositiveInteger,Complex(Float)) -> 
+--R      Complex(Float) 
+--R   Compiling function H with type Complex(Float) -> Complex(Float) 
 --R
 --R   (10)
 --R   [[1.0,0.0,0.0005342523 0039183749 9,0.0005342523 0039183749 9],
@@ -3406,7 +3406,7 @@ H(1. + 10.0 * %i)-(- 13.637732188247 + 13.802912974230 * %i)]]
 --R      - 13.6377321882 47287365 + 13.8029129742 29909153 %i,
 --R      - 0.287365 E -12 - 0.908474 E -13 %i]
 --R     ]
---R                                                Type: List List Complex Float
+--R                                             Type: List(List(Complex(Float)))
 --E 10
 \end{chunk}
 Another definition of the logGamma function that is 
@@ -3433,8 +3433,8 @@ lng2(xx:COMPLEX(DFLOAT)):COMPLEX(DFLOAT)==
   result:COMPLEX(DFLOAT):=log(2.5066282746310005*ser/x)-t1
   result
 --R 
---R   Function declaration lng2 : Complex DoubleFloat -> Complex 
---R      DoubleFloat has been added to workspace.
+--R   Function declaration lng2 : Complex(DoubleFloat) -> Complex(
+--R      DoubleFloat) has been added to workspace.
 --R                                                                   Type: Void
 --E 11
 
@@ -4045,8 +4045,8 @@ lng2(1. + 10.0 * %i),logGamma(1. + 10.0 * %i),_
 lng2(1. + 10.0 * %i)-logGamma(1. + 10.0 * %i),_
 lng2(1. + 10.0 * %i)-(- 13.637732188247 + 13.802912974230 * %i)]]
 --R 
---R   Compiling function lng2 with type Complex DoubleFloat -> Complex 
---R      DoubleFloat 
+--R   Compiling function lng2 with type Complex(DoubleFloat) -> Complex(
+--R      DoubleFloat) 
 --R
 --R   (12)
 --R   [[1.,0.,0.,0.],
@@ -5068,7 +5068,7 @@ lng2(1. + 10.0 * %i)-(- 13.637732188247 + 13.802912974230 * %i)]]
 --R      4.6176396040209511E-11 - 5.0027537668029254E-11 %i,
 --R      4.5908166157460073E-11 - 5.0125237294196268E-11 %i]
 --R     ]
---R                                          Type: List List Complex DoubleFloat
+--R                                       Type: List(List(Complex(DoubleFloat)))
 --E 12
 )spool 
 )lisp (bye)
diff --git a/src/input/gbf.input.pamphlet b/src/input/gbf.input.pamphlet
index 55fd502..cda69a6 100644
--- a/src/input/gbf.input.pamphlet
+++ b/src/input/gbf.input.pamphlet
@@ -48,7 +48,7 @@ mfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) := _
 --R        |   8     8      |
 --R        |1  -  y  -  1  0|
 --R        +   3     3      +
---RType: SquareMatrix(6,DistributedMultivariatePolynomial([x,y,z],Fraction Integer))
+--RType: SquareMatrix(6,DistributedMultivariatePolynomial([x,y,z],Fraction(Integer)))
 --E 1
 
 --S 2 of 3
@@ -59,7 +59,7 @@ eq := determinant mfzn
 --R      2 2   22  2    25  2   22    2   388       250     25  2   250     14575
 --R   - x y  + -- x y - -- x  + -- x y  - --- x y - --- x - -- y  - --- y + -----
 --R             3        9       3         9         27      9       27       81
---R            Type: DistributedMultivariatePolynomial([x,y,z],Fraction Integer)
+--R           Type: DistributedMultivariatePolynomial([x,y,z],Fraction(Integer))
 --E 2
 
 --S 3 of 3
@@ -90,7 +90,7 @@ groebnerFactorize [eq, eval(eq, [x,y,z], [y,z,x]), eval(eq, [x,y,z], [z,x,y])]
 --R         19     5     5
 --R    [x - --,y + -,z + -]]
 --R          3     3     3
---R  Type: List List DistributedMultivariatePolynomial([x,y,z],Fraction Integer)
+--RType: List(List(DistributedMultivariatePolynomial([x,y,z],Fraction(Integer))))
 --E 3
 )spool 
 )lisp (bye)
diff --git a/src/input/genups.input.pamphlet b/src/input/genups.input.pamphlet
index 41d4c81..349380a 100644
--- a/src/input/genups.input.pamphlet
+++ b/src/input/genups.input.pamphlet
@@ -33,7 +33,7 @@ taylor(n +-> 1/factorial(n),x = 0)      -- expansion of exp(x) at x = 0
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 1
 
 --S 2 of 40
@@ -48,7 +48,7 @@ taylor(n +-> (-1)**(n-1)/n,x = 1,1..)   -- expansion of log(x) at x = 1
 --R     1        7   1        8   1        9    1        10            11
 --R     - (x - 1)  - - (x - 1)  + - (x - 1)  - -- (x - 1)   + O((x - 1)  )
 --R     7            8            9            10
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,1)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,1)
 --E 2
 
 --S 3 of 40
@@ -59,7 +59,7 @@ taylor(n +-> (-1)**(n-1)/n,x = 1,1..6)  -- truncated expansion of log(x)
 --R             1        2   1        3   1        4   1        5   1        6
 --R   (x - 1) - - (x - 1)  + - (x - 1)  - - (x - 1)  + - (x - 1)  - - (x - 1)
 --R             2            3            4            5            6
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,1)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,1)
 --E 3
 
 --S 4 of 40
@@ -72,7 +72,7 @@ laurent(m +-> m**2,x = 7,-2..)          -- infinite Laurent expansion
 --R   + 
 --R              5            6            7            8            9
 --R     25(x - 7)  + 36(x - 7)  + 49(x - 7)  + 64(x - 7)  + O((x - 7) )
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,7)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,7)
 --E 4
 
 --S 5 of 40
@@ -85,7 +85,7 @@ laurent(m +-> m**2,x = 7,-2..5)         --   finite Laurent expansion
 --R   + 
 --R              5
 --R     25(x - 7)
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,7)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,7)
 --E 5
 
 --S 6 of 40
@@ -95,7 +95,7 @@ puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..,2)  -- sin(x) at x = 0
 --R            1  3    1   5     1   7      1    9       1     11      12
 --R   (6)  x - - x  + --- x  - ---- x  + ------ x  - -------- x   + O(x  )
 --R            6      120      5040      362880      39916800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 6
 
 --S 7 of 40
@@ -105,7 +105,7 @@ puiseux(i +-> (-1)**(i/2)/factorial(i),x = 0,0..,2)      -- cos(x) at x = 0
 --R            1  2    1  4    1   6     1    8      1     10      11
 --R   (7)  1 - - x  + -- x  - --- x  + ----- x  - ------- x   + O(x  )
 --R            2      24      720      40320      3628800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 7
 
 -- puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..9,2) -- truncated sin(x)
@@ -117,7 +117,7 @@ puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..9/1,2) -- truncated sin(x)
 --R            1  3    1   5     1   7      1    9
 --R   (8)  x - - x  + --- x  - ---- x  + ------ x
 --R            6      120      5040      362880
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 8
 
 --S 9 of 40
@@ -130,7 +130,7 @@ puiseux(j +-> j,x = 8,-4/3..,1/2)
 --R     4          3   5          6   1          3   1        6            2
 --R   - - (x - 8)    - - (x - 8)    - - (x - 8)    + - (x - 8)  + O((x - 8) )
 --R     3              6              3              6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,8)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,8)
 --E 9
 
 --S 10 of 40
@@ -142,7 +142,7 @@ puiseux(j +-> j,x = 8,-4/3..1/6,1/2)
 --R           4          3   5          6   1          3   1        6
 --R   (10)  - - (x - 8)    - - (x - 8)    - - (x - 8)    + - (x - 8)
 --R           3              6              3              6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,8)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,8)
 --E 10
 
 \end{chunk}
@@ -160,7 +160,7 @@ taylor(1/factorial(n),n,x = 0)      -- expansion of exp(x) at x = 0
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 11
 
 --S 12 of 40
@@ -175,7 +175,7 @@ taylor((-1)**(n-1)/n,n,x = 1,1..)   -- expansion of log(x) at x = 1
 --R     1        7   1        8   1        9    1        10            11
 --R     - (x - 1)  - - (x - 1)  + - (x - 1)  - -- (x - 1)   + O((x - 1)  )
 --R     7            8            9            10
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,1)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,1)
 --E 12
 
 --S 13 of 40
@@ -186,7 +186,7 @@ taylor((-1)**(n-1)/n,n,x = 1,1..6)  -- truncated expansion of log(x)
 --R             1        2   1        3   1        4   1        5   1        6
 --R   (x - 1) - - (x - 1)  + - (x - 1)  - - (x - 1)  + - (x - 1)  - - (x - 1)
 --R             2            3            4            5            6
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,1)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,1)
 --E 13
 
 --S 14 of 40
@@ -199,7 +199,7 @@ laurent(m**2,m,x = 7,-2..)          -- infinite Laurent expansion
 --R   + 
 --R              5            6            7            8            9
 --R     25(x - 7)  + 36(x - 7)  + 49(x - 7)  + 64(x - 7)  + O((x - 7) )
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,7)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,7)
 --E 14
 
 --S 15 of 40
@@ -212,7 +212,7 @@ laurent(m**2,m,x = 7,-2..5)         --   finite Laurent expansion
 --R   + 
 --R              5
 --R     25(x - 7)
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,7)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,7)
 --E 15
 
 --S 16 of 40
@@ -222,7 +222,7 @@ puiseux((-1)**((i-1)/2)/factorial(i),i,x = 0,1..,2)  -- sin(x) at x = 0
 --R             1  3    1   5     1   7      1    9       1     11      12
 --R   (16)  x - - x  + --- x  - ---- x  + ------ x  - -------- x   + O(x  )
 --R             6      120      5040      362880      39916800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 16
 
 --S 17 of 40
@@ -232,7 +232,7 @@ puiseux((-1)**(i/2)/factorial(i),i,x = 0,0..,2)      -- cos(x) at x = 0
 --R             1  2    1  4    1   6     1    8      1     10      11
 --R   (17)  1 - - x  + -- x  - --- x  + ----- x  - ------- x   + O(x  )
 --R             2      24      720      40320      3628800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 17
 
 -- puiseux((-1)**((i-1)/2)/factorial(i),i,x = 0,1..9,2) -- truncated sin(x)
@@ -244,7 +244,7 @@ puiseux((-1)**((i-1)/2)/factorial(i),i,x = 0,1..9/1,2) -- truncated sin(x)
 --R             1  3    1   5     1   7      1    9
 --R   (18)  x - - x  + --- x  - ---- x  + ------ x
 --R             6      120      5040      362880
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 18
 
 --S 19 of 40
@@ -257,7 +257,7 @@ puiseux(j,j,x = 8,-4/3..,1/2)
 --R     4          3   5          6   1          3   1        6            2
 --R   - - (x - 8)    - - (x - 8)    - - (x - 8)    + - (x - 8)  + O((x - 8) )
 --R     3              6              3              6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,8)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,8)
 --E 19
 
 --S 20 of 40
@@ -269,7 +269,7 @@ puiseux(j,j,x = 8,-4/3..1/6,1/2)
 --R           4          3   5          6   1          3   1        6
 --R   (20)  - - (x - 8)    - - (x - 8)    - - (x - 8)    + - (x - 8)
 --R           3              6              3              6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,8)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,8)
 --E 20
 
 \end{chunk}
@@ -288,7 +288,7 @@ series(n +-> 1/factorial(n),x = 0)      -- expansion of exp(x) at x = 0
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 21
 
 --S 22 of 40
@@ -306,7 +306,7 @@ series(n +-> (-1)**(n-1)/n,x = 1,1..)   -- expansion of log(x) at x = 1
 --R   + 
 --R              12
 --R     O((x - 1)  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,1)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,1)
 --E 22
 
 --S 23 of 40
@@ -317,7 +317,7 @@ series(n +-> (-1)**(n-1)/n,x = 1,1..6)  -- truncated expansion of log(x)
 --R             1        2   1        3   1        4   1        5   1        6
 --R   (x - 1) - - (x - 1)  + - (x - 1)  - - (x - 1)  + - (x - 1)  - - (x - 1)
 --R             2            3            4            5            6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,1)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,1)
 --E 23
 
 --S 24 of 40
@@ -330,7 +330,7 @@ series(m +-> m**2,x = 7,-2..)          -- infinite Laurent expansion
 --R   + 
 --R              5            6            7            8            9
 --R     25(x - 7)  + 36(x - 7)  + 49(x - 7)  + 64(x - 7)  + O((x - 7) )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,7)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,7)
 --E 24
 
 --S 25 of 40
@@ -343,7 +343,7 @@ series(m +-> m**2,x = 7,-2..5)         --   finite Laurent expansion
 --R   + 
 --R              5
 --R     25(x - 7)
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,7)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,7)
 --E 25
 
 --S 26 of 40
@@ -353,7 +353,7 @@ series(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..,2)  -- sin(x) at x = 0
 --R             1  3    1   5     1   7      1    9       1     11      12
 --R   (26)  x - - x  + --- x  - ---- x  + ------ x  - -------- x   + O(x  )
 --R             6      120      5040      362880      39916800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 26
 
 --S 27 of 40
@@ -363,7 +363,7 @@ series(i +-> (-1)**(i/2)/factorial(i),x = 0,0..,2)      -- cos(x) at x = 0
 --R             1  2    1  4    1   6     1    8      1     10      11
 --R   (27)  1 - - x  + -- x  - --- x  + ----- x  - ------- x   + O(x  )
 --R             2      24      720      40320      3628800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 27
 
 -- series(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..9,2) -- truncated sin(x)
@@ -375,7 +375,7 @@ series(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..9/1,2) -- truncated sin(x)
 --R             1  3    1   5     1   7      1    9
 --R   (28)  x - - x  + --- x  - ---- x  + ------ x
 --R             6      120      5040      362880
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 28
 
 --S 29 of 40
@@ -388,7 +388,7 @@ series(j +-> j,x = 8,-4/3..,1/2)
 --R     4          3   5          6   1          3   1        6            2
 --R   - - (x - 8)    - - (x - 8)    - - (x - 8)    + - (x - 8)  + O((x - 8) )
 --R     3              6              3              6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,8)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,8)
 --E 29
 
 --S 30 of 40
@@ -400,7 +400,7 @@ series(j +-> j,x = 8,-4/3..1/6,1/2)
 --R           4          3   5          6   1          3   1        6
 --R   (30)  - - (x - 8)    - - (x - 8)    - - (x - 8)    + - (x - 8)
 --R           3              6              3              6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,8)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,8)
 --E 30
 
 \end{chunk}
@@ -418,7 +418,7 @@ series(1/factorial(n),n,x = 0)      -- expansion of exp(x) at x = 0
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 31
 
 --S 32 of 40
@@ -436,7 +436,7 @@ series((-1)**(n-1)/n,n,x = 1,1..)   -- expansion of log(x) at x = 1
 --R   + 
 --R              12
 --R     O((x - 1)  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,1)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,1)
 --E 32
 
 --S 33 of 40
@@ -447,7 +447,7 @@ series((-1)**(n-1)/n,n,x = 1,1..6)  -- truncated expansion of log(x)
 --R             1        2   1        3   1        4   1        5   1        6
 --R   (x - 1) - - (x - 1)  + - (x - 1)  - - (x - 1)  + - (x - 1)  - - (x - 1)
 --R             2            3            4            5            6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,1)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,1)
 --E 33
 
 --S 34 of 40
@@ -460,7 +460,7 @@ series(m**2,m,x = 7,-2..)          -- infinite Laurent expansion
 --R   + 
 --R              5            6            7            8            9
 --R     25(x - 7)  + 36(x - 7)  + 49(x - 7)  + 64(x - 7)  + O((x - 7) )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,7)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,7)
 --E 34
 
 --S 35 of 40
@@ -473,7 +473,7 @@ series(m**2,m,x = 7,-2..5)         --   finite Laurent expansion
 --R   + 
 --R              5
 --R     25(x - 7)
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,7)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,7)
 --E 35
 
 --S 36 of 40
@@ -483,7 +483,7 @@ series((-1)**((i-1)/2)/factorial(i),i,x = 0,1..,2)  -- sin(x) at x = 0
 --R             1  3    1   5     1   7      1    9       1     11      12
 --R   (36)  x - - x  + --- x  - ---- x  + ------ x  - -------- x   + O(x  )
 --R             6      120      5040      362880      39916800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 36
 
 --S 37 of 40
@@ -493,7 +493,7 @@ series((-1)**(i/2)/factorial(i),i,x = 0,0..,2)      -- cos(x) at x = 0
 --R             1  2    1  4    1   6     1    8      1     10      11
 --R   (37)  1 - - x  + -- x  - --- x  + ----- x  - ------- x   + O(x  )
 --R             2      24      720      40320      3628800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 37
 
 -- series((-1)**((i-1)/2)/factorial(i),i,x = 0,1..9,2) -- truncated sin(x)
@@ -505,7 +505,7 @@ series((-1)**((i-1)/2)/factorial(i),i,x = 0,1..9/1,2) -- truncated sin(x)
 --R             1  3    1   5     1   7      1    9
 --R   (38)  x - - x  + --- x  - ---- x  + ------ x
 --R             6      120      5040      362880
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 38
 
 --S 39 of 40
@@ -518,7 +518,7 @@ series(j,j,x = 8,-4/3..,1/2)
 --R     4          3   5          6   1          3   1        6            2
 --R   - - (x - 8)    - - (x - 8)    - - (x - 8)    + - (x - 8)  + O((x - 8) )
 --R     3              6              3              6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,8)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,8)
 --E 39
 
 --S 40 of 40
@@ -530,7 +530,7 @@ series(j,j,x = 8,-4/3..1/6,1/2)
 --R           4          3   5          6   1          3   1        6
 --R   (40)  - - (x - 8)    - - (x - 8)    - - (x - 8)    + - (x - 8)
 --R           3              6              3              6
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,8)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,8)
 --E 40
 )spool 
 )lisp (bye)
diff --git a/src/input/gonshor.input.pamphlet b/src/input/gonshor.input.pamphlet
index d8e9675..f851a52 100644
--- a/src/input/gonshor.input.pamphlet
+++ b/src/input/gonshor.input.pamphlet
@@ -36,7 +36,7 @@ The coefficient ring:
 R := FRAC POLY INT
 --R 
 --R
---R   (1)  Fraction Polynomial Integer
+--R   (1)  Fraction(Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -56,7 +56,7 @@ c300, c301, c302, c303, c311, c312, c322) : R
 c100 :=  1 ;     c101 := -1 ;
 --R 
 --R
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 3
 
 --S 4 of 98
@@ -64,7 +64,7 @@ c200 :=  0 ;     c201 :=  1 ;     c202 := -1 ;
                  c211 :=  2 ;
 --R 
 --R
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 4
 
 --S 5 of 98
@@ -73,7 +73,7 @@ c300 :=  1 ;     c301 :=  0 ;     c302 := -1 ;     c303 :=  1 ;
                                   c322 :=  2 ;
 --R 
 --R
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 5
 
 \end{chunk}
@@ -91,7 +91,7 @@ gonshor : List SquareMatrix(4,R) :=
             [c302, c312, c322, 0], [c303, 0, 0, 0] ] ] ;
 --R 
 --R
---R                       Type: List SquareMatrix(4,Fraction Polynomial Integer)
+--R                    Type: List(SquareMatrix(4,Fraction(Polynomial(Integer))))
 --E 6
 
 --S 7 of 98
@@ -100,7 +100,7 @@ basisSymbols : List Symbol := [subscript(e,[i]) for i in 0..3]
 --R
 --R   (7)  [e ,e ,e ,e ]
 --R          0  1  2  3
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 7
 
 --S 8 of 98
@@ -108,8 +108,8 @@ GonshorGenetic := ALGSC(R, 4, basisSymbols, gonshor)
 --R 
 --R
 --R   (8)
---R  AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,[*01e0,*01e1,
---R  *01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
+--R  AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e
+--R  1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --R                                                                 Type: Domain
 --E 8
 
@@ -138,28 +138,28 @@ The canonical basis:
 e0 : GonshorGenetic := [1, 0, 0, 0] :: Vector R ;
 --R 
 --R
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 11
 
 --S 12 of 98
 e1 : GonshorGenetic := [0, 1, 0, 0] :: Vector R ;
 --R 
 --R
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 12
 
 --S 13 of 98
 e2 : GonshorGenetic := [0, 0, 1, 0] :: Vector R ;
 --R 
 --R
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 13
 
 --S 14 of 98
 e3 : GonshorGenetic := [0, 0, 0, 1] :: Vector R ;
 --R 
 --R
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 14
 
 \end{chunk}
@@ -171,7 +171,7 @@ x  : GonshorGenetic := x0*e0 + x1*e1 + x2*e2 + x3*e3
 --R
 --R   (15)  x3 e  + x2 e  + x1 e  + x0 e
 --R             3       2       1       0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 15
 
 \end{chunk}
@@ -188,7 +188,7 @@ Lx := leftRegularRepresentation x
 --R         |0       0        - x0       2x2 - x0  |
 --R         |                                      |
 --R         +0       0          0           x0     +
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 16
 
 \end{chunk}
@@ -204,7 +204,7 @@ p := characteristicPolynomial(Lx,Y)
 --R
 --R           4     2  2    4
 --R   (17)  x0  - 2Y x0  + Y
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 17
 
 \end{chunk}
@@ -216,7 +216,7 @@ leftMinimalPolynomial x
 --R
 --R          5      2 3     4
 --R   (18)  ?  - 2x0 ?  + x0 ?
---R                 Type: SparseUnivariatePolynomial Fraction Polynomial Integer
+--R              Type: SparseUnivariatePolynomial(Fraction(Polynomial(Integer)))
 --E 18
 
 )clear prop A a b c r s
@@ -226,8 +226,8 @@ A := GonshorGenetic
 --R 
 --R
 --R   (19)
---R  AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,[*01e0,*01e1,
---R  *01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
+--R  AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e
+--R  1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --R                                                                 Type: Domain
 --E 19
 
@@ -237,7 +237,7 @@ a := x
 --R
 --R   (20)  x3 e  + x2 e  + x1 e  + x0 e
 --R             3       2       1       0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 20
 
 --S 21 of 98
@@ -247,7 +247,7 @@ b := (1/4)*e1 + (1/5)*e2 + (3/20)*e3 + (2/5)*e0
 --R          3      1      1      2
 --R   (21)  -- e  + - e  + - e  + - e
 --R         20  3   5  2   4  1   5  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 21
 
 --S 22 of 98
@@ -257,7 +257,7 @@ c := (1/3)*e1 + (1/7)*e2 + (8/21)*e3 + (1/7)*e0
 --R          8      1      1      1
 --R   (22)  -- e  + - e  + - e  + - e
 --R         21  3   7  2   3  1   7  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 22
 
 --S 23 of 98
@@ -265,7 +265,7 @@ r  : R := r
 --R 
 --R
 --R   (23)  r
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 23
 
 --S 24 of 98
@@ -273,7 +273,7 @@ s  : R := s
 --R 
 --R
 --R   (24)  s
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 24
 
 --S 25 of 98
@@ -283,7 +283,7 @@ b*c
 --R         2      1       47       2
 --R   (25)  - e  + - e  - --- e  + -- e
 --R         7  3   4  2   420  1   35  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 25
 
 --S 26 of 98
@@ -293,7 +293,7 @@ b*c
 --R          893       277       4       4
 --R   (26)  ---- e  - ---- e  + -- e  + --- e
 --R         8400  3   1400  2   75  1   175  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 26
 
 --S 27 of 98
@@ -303,7 +303,7 @@ b*(c*b)
 --R          893       277       4       4
 --R   (27)  ---- e  - ---- e  + -- e  + --- e
 --R         8400  3   1400  2   75  1   175  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 27
 
 \end{chunk}
@@ -318,9 +318,9 @@ AP := ALGPKG(R,A)
 --R 
 --R
 --R   (28)
---R  AlgebraPackage(Fraction Polynomial Integer,AlgebraGivenByStructuralConstants(
---R  Fraction Polynomial Integer,4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX
---R  ,MATRIX]))
+--R  AlgebraPackage(Fraction(Polynomial(Integer)),AlgebraGivenByStructuralConstant
+--R  s(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MA
+--R  TRIX,MATRIX]))
 --R                                                                 Type: Domain
 --E 28
 
@@ -330,7 +330,7 @@ r*a
 --R
 --R   (29)  r x3 e  + r x2 e  + r x1 e  + r x0 e
 --R               3         2         1         0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 29
 
 --S 30 of 98
@@ -339,7 +339,7 @@ a*r
 --R
 --R   (30)  r x3 e  + r x2 e  + r x1 e  + r x0 e
 --R               3         2         1         0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 30
 
 --S 31 of 98
@@ -349,7 +349,7 @@ a*b
 --R         8x3 + 5x1 + 7x0      - 8x2 + 18x1 + x0      - 8x1 + 3x0      2x0
 --R   (31)  --------------- e  + ----------------- e  + ----------- e  + --- e
 --R                20        3           20         2        20      1    5   0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 31
 
 --S 32 of 98
@@ -359,7 +359,7 @@ b*c
 --R         2      1       47       2
 --R   (32)  - e  + - e  - --- e  + -- e
 --R         7  3   4  2   420  1   35  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 32
 
 --S 33 of 98
@@ -369,7 +369,7 @@ b*c
 --R         32      12            12
 --R   (33)  -- e  + -- e  + 4e  + -- e
 --R          7  3    7  2     1    7  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 32
 
 --S 34 of 98
@@ -378,7 +378,7 @@ b*c
 --R
 --R   (34)  - 3x3 e  - 3x2 e  - 3x1 e  - 3x0 e
 --R                3        2        1        0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 34
 
 --S 35 of 98
@@ -398,7 +398,7 @@ d  :=  a ** 12
 --R         11         10  2       11            11       12        12
 --R     (4x0  x2 - 92x0  x1  + 28x0  x1)e  + (4x0  x1 - x0  )e  + x0  e
 --R                                      2                    1        0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 35
 
 --S 36 of 98
@@ -418,7 +418,7 @@ d  :=  a ** 12
 --R           11         10  2       11              11       12        12
 --R     (- 4x0  x2 + 92x0  x1  - 28x0  x1)e  + (- 4x0  x1 + x0  )e  - x0  e
 --R                                        2                      1        0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 36
 
 --S 37 of 98
@@ -428,7 +428,7 @@ a + b
 --R         20x3 + 3      5x2 + 1      4x1 + 1      5x0 + 2
 --R   (37)  -------- e  + ------- e  + ------- e  + ------- e
 --R            20     3      5     2      4     1      5     0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 37
 
 --S 38 of 98
@@ -456,7 +456,7 @@ d-c
 --R     7x0   - 1
 --R     --------- e
 --R         7      0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 38
 
 --S 39 of 98
@@ -488,7 +488,7 @@ zero := 0$A
 --R 
 --R
 --R   (42)  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 42
 
 --S 43 of 98
@@ -496,7 +496,7 @@ zero : A := 0
 --R 
 --R
 --R   (43)  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 43
 
 --S 44 of 98
@@ -540,7 +540,7 @@ commutator(a,b)
 --R 
 --R
 --R   (48)  0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 48
 
 --S 49 of 98
@@ -550,7 +550,7 @@ antiCommutator(a,b)
 --R         8x3 + 5x1 + 7x0      - 8x2 + 18x1 + x0      - 8x1 + 3x0      4x0
 --R   (49)  --------------- e  + ----------------- e  + ----------- e  + --- e
 --R                10        3           10         2        10      1    5   0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 49
 
 --S 50 of 98
@@ -560,7 +560,7 @@ associator(a,b,c)
 --R         - 21x2 + 6x1 + 7x0      12x2 - 30x1 + 58x0      12x1 - 28x0
 --R   (50)  ------------------ e  + ------------------ e  + ----------- e
 --R                 42          3           105         2       105      1
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,4,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 50
 
 --S 51 of 98
@@ -569,7 +569,7 @@ basis()$A
 --R
 --R   (51)  [e ,e ,e ,e ]
 --R           0  1  2  3
---IType: Vector AlgebraGivenByStructuralConstants(...
+--RType: Vector(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
 --E 51
 
 --S 52 of 98
@@ -585,7 +585,7 @@ v : Vector R := [i for i in 1..n]
 --R 
 --R
 --R   (53)  [1,2,3,4]
---R                                     Type: Vector Fraction Polynomial Integer
+--R                                  Type: Vector(Fraction(Polynomial(Integer)))
 --E 53
 
 --S 54 of 98
@@ -594,7 +594,7 @@ g : A := represents  v
 --R
 --R   (54)  4e  + 3e  + 2e  + e
 --R           3     2     1    0
---IType: AlgebraGivenByStructuralConstants(Fraction Polynomial Integer,...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 54
 
 --S 55 of 98
@@ -602,7 +602,7 @@ coordinates a
 --R 
 --R
 --R   (55)  [x0,x1,x2,x3]
---R                                     Type: Vector Fraction Polynomial Integer
+--R                                  Type: Vector(Fraction(Polynomial(Integer)))
 --E 55
 
 --S 56 of 98
@@ -614,7 +614,7 @@ coordinates [a,b]
 --R   (56)  |2   1   1    3|
 --R         |-   -   -   --|
 --R         +5   4   5   20+
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 56
 
 --S 57 of 98
@@ -622,7 +622,7 @@ a.3
 --R 
 --R
 --R   (57)  x2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 57
 
 --S 58 of 98
@@ -658,7 +658,7 @@ sB := someBasis()$A
 --R
 --R   (61)  [e ,e ,e ,e ]
 --R           0  1  2  3
---IType: Vector AlgebraGivenByStructuralConstants(...
+--RType: Vector(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
 --E 61
 
 --S 62 of 98
@@ -674,7 +674,7 @@ associatorDependence()$A
 --R 
 --R
 --R   (63)  [[1,1,1,0,0,0],[0,1,0,1,0,0],[1,0,0,0,1,0],[- 1,- 1,0,0,0,1]]
---R                                Type: List Vector Fraction Polynomial Integer
+--R                            Type: List(Vector(Fraction(Polynomial(Integer))))
 --E 63
 
 \end{chunk}
@@ -726,7 +726,7 @@ b2 := [reduce(+,[sB.i for i in 1..k]) for k in 1..n]
 --R
 --R   (68)  [e ,e  + e ,e  + e  + e ,e  + e  + e  + e ]
 --R           0  1    0  2    1    0  3    2    1    0
---IType: List AlgebraGivenByStructuralConstants(...
+--RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
 --E 68
 
 --S 69 of 98
@@ -734,7 +734,7 @@ coordinates  (a ,b2 :: Vector A)
 --R 
 --R
 --R   (69)  [- x1 + x0,- x2 + x1,- x3 + x2,x3]
---R                                     Type: Vector Fraction Polynomial Integer
+--R                                  Type: Vector(Fraction(Polynomial(Integer)))
 --E 69
 
 --S 70 of 98
@@ -746,7 +746,7 @@ coordinates  ([a,b] ,bb := (b2 :: Vector A))
 --R   (70)  |    3          1          1       3|
 --R         |   --         --         --      --|
 --R         +   20         20         20      20+
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 70
 
 --S 71 of 98
@@ -755,7 +755,7 @@ leftMinimalPolynomial a
 --R
 --R          5      2 3     4
 --R   (71)  ?  - 2x0 ?  + x0 ?
---R                 Type: SparseUnivariatePolynomial Fraction Polynomial Integer
+--R              Type: SparseUnivariatePolynomial(Fraction(Polynomial(Integer)))
 --E 71
 
 --S 72 of 98
@@ -770,7 +770,7 @@ leftPower (a,10)
 --R           9         8  2      9        10            9       10        10
 --R     (- 2x0 x2 + 26x0 x1  + 6x0 x1 - 4x0  )e  + (- 2x0 x1 + x0  )e  + x0  e
 --R                                            2                     1        0
---IType: AlgebraGivenByStructuralConstants(...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 72
 
 --S 73 of 98
@@ -785,7 +785,7 @@ rightPower(a,10)
 --R           9         8  2      9        10            9       10        10
 --R     (- 2x0 x2 + 26x0 x1  + 6x0 x1 - 4x0  )e  + (- 2x0 x1 + x0  )e  + x0  e
 --R                                            2                     1        0
---IType: AlgebraGivenByStructuralConstants(...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 73
 
 --S 74 of 98
@@ -799,7 +799,7 @@ leftRegularRepresentation a
 --R         |0       0        - x0       2x2 - x0  |
 --R         |                                      |
 --R         +0       0          0           x0     +
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 74
 
 --S 75 of 98
@@ -813,7 +813,7 @@ leftRegularRepresentation (a,bb)
 --R         |x1 + x0    x2 - 4x1       - x3 - 2x2 + 2x1       x3 + x2 + x1   |
 --R         |                                                                |
 --R         +x1 + x0    x2 - 4x1     - x3 - 2x2 + 2x1 - x0  x3 + x2 + x1 + x0+
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 75
 
 --S 76 of 98
@@ -831,7 +831,7 @@ represents (v,bb)
 --R
 --R   (77)  4e  + 7e  + 9e  + 10e
 --R           3     2     1      0
---IType: AlgebraGivenByStructuralConstants(...
+--RType: AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX])
 --E 77
 
 --S 78 of 98
@@ -840,7 +840,7 @@ rightMinimalPolynomial a
 --R
 --R          5      2 3     4
 --R   (78)  ?  - 2x0 ?  + x0 ?
---R                 Type: SparseUnivariatePolynomial Fraction Polynomial Integer
+--R              Type: SparseUnivariatePolynomial(Fraction(Polynomial(Integer)))
 --E 78
 
 --S 79 of 98
@@ -854,7 +854,7 @@ rightRegularRepresentation a
 --R         |0       0        - x0       2x2 - x0  |
 --R         |                                      |
 --R         +0       0          0           x0     +
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 79
 
 --S 80 of 98
@@ -868,7 +868,7 @@ rightRegularRepresentation (a,bb)
 --R         |x1 + x0    x2 - 4x1       - x3 - 2x2 + 2x1       x3 + x2 + x1   |
 --R         |                                                                |
 --R         +x1 + x0    x2 - 4x1     - x3 - 2x2 + 2x1 - x0  x3 + x2 + x1 + x0+
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 80
 
 --S 81 of 98
@@ -891,7 +891,7 @@ structuralConstants()$A
 --R          |0  0  0  0| | 0    0   0  0| |- 1  0   0   0| |- 1  0   2   0|
 --R          |          | |              | |              | |              |
 --R          +0  0  0  0+ + 0    0   0  0+ + 0   0   0   0+ + 1   0   0   0+
---R                              Type: Vector Matrix Fraction Polynomial Integer
+--R                          Type: Vector(Matrix(Fraction(Polynomial(Integer))))
 --E 82
 
 --S 83 of 98
@@ -905,7 +905,7 @@ structuralConstants(bb)
 --R          |1  2  2  2| | 0   - 4  - 3  - 3| | 0   2   0   - 1| |0  1  2  3|
 --R          |          | |                  | |                | |          |
 --R          +1  2  2  2+ + 0   - 4  - 3  - 3+ +- 1  1  - 1  - 2+ +1  2  3  4+
---R                              Type: Vector Matrix Fraction Polynomial Integer
+--R                          Type: Vector(Matrix(Fraction(Polynomial(Integer))))
 --E 83
 
 --S 84 of 98
@@ -963,7 +963,7 @@ basisOfCenter()$AP
 --R
 --R   (90)  [e ]
 --R           3
---IType: List AlgebraGivenByStructuralConstants(...
+--RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
 --E 90
 
 --S 91 of 98
@@ -972,7 +972,7 @@ basisOfLeftNucleus()$AP
 --R
 --R   (91)  [e ]
 --R           3
---IType: List AlgebraGivenByStructuralConstants(...
+--RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
 --E 91
 
 --S 92 of 98
@@ -981,7 +981,7 @@ basisOfNucleus()$AP
 --R
 --R   (92)  [e ]
 --R           3
---IType: List AlgebraGivenByStructuralConstants(...
+--RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
 --E 92
 
 --S 93 of 98
@@ -990,7 +990,7 @@ basisOfRightNucleus()$AP
 --R
 --R   (93)  [e ]
 --R           3
---IType: List AlgebraGivenByStructuralConstants(...
+--RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
 --E 93
 
 --S 94 of 98
@@ -1004,7 +1004,7 @@ basisOfCentroid()$AP
 --R          |0  0  0  0| |0  0  1  0|
 --R          |          | |          |
 --R          +1  0  0  0+ +0  0  0  1+
---R                                Type: List Matrix Fraction Polynomial Integer
+--R                            Type: List(Matrix(Fraction(Polynomial(Integer))))
 --E 94
 
 --S 95 of 98
@@ -1013,7 +1013,7 @@ basisOfCommutingElements()$AP
 --R
 --R   (95)  [e ,e ,e ,e ]
 --R           3  2  1  0
---IType: List AlgebraGivenByStructuralConstants(...
+--RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
 --E 95
 
 --S 96 of 98
@@ -1027,7 +1027,7 @@ basisOfLeftNucloid()$AP
 --R          |0  0  0  0| |0  0  1  0|
 --R          |          | |          |
 --R          +1  0  0  0+ +0  0  0  1+
---R                                Type: List Matrix Fraction Polynomial Integer
+--R                            Type: List(Matrix(Fraction(Polynomial(Integer))))
 --E 96
 
 --S 97 of 98
@@ -1036,7 +1036,7 @@ basisOfMiddleNucleus()$AP
 --R
 --R   (97)  [e ]
 --R           3
---IType: List AlgebraGivenByStructuralConstants(...
+--RType: List(AlgebraGivenByStructuralConstants(Fraction(Polynomial(Integer)),4,[*01e0,*01e1,*01e2,*01e3],[MATRIX,MATRIX,MATRIX,MATRIX]))
 --E 97
 
 --S 98 of 98
@@ -1050,7 +1050,7 @@ basisOfRightNucloid()$AP
 --R          |0  0  0  0| |0  0  1  0|
 --R          |          | |          |
 --R          +1  0  0  0+ +0  0  0  1+
---R                                Type: List Matrix Fraction Polynomial Integer
+--R                            Type: List(Matrix(Fraction(Polynomial(Integer))))
 --E 98
 )spool 
 )lisp (bye)
diff --git a/src/input/grpthry.input.pamphlet b/src/input/grpthry.input.pamphlet
index 5833367..194723d 100644
--- a/src/input/grpthry.input.pamphlet
+++ b/src/input/grpthry.input.pamphlet
@@ -26,7 +26,7 @@ x : PERM INT := [[1,3,5],[7,11,9]]
 --R 
 --R
 --R   (1)  (1 3 5)(7 11 9)
---R                                                    Type: Permutation Integer
+--R                                                   Type: Permutation(Integer)
 --E 1
 
 --S 2 of 68
@@ -34,7 +34,7 @@ y : PERM INT := [[3,5,7,9]]
 --R 
 --R
 --R   (2)  (3 5 7 9)
---R                                                    Type: Permutation Integer
+--R                                                   Type: Permutation(Integer)
 --E 2
 
 --S 3 of 68
@@ -42,7 +42,7 @@ z : PERM INT := [1,3,11]
 --R 
 --R
 --R   (3)  (1 3 11)
---R                                                    Type: Permutation Integer
+--R                                                   Type: Permutation(Integer)
 --E 3
 
 --S 4 of 68
@@ -50,7 +50,7 @@ g1 : PERMGRP INT := [ x , y ]
 --R 
 --R
 --R   (4)  <(1 3 5)(7 11 9),(3 5 7 9)>
---R                                               Type: PermutationGroup Integer
+--R                                              Type: PermutationGroup(Integer)
 --E 4
 
 --S 5 of 68
@@ -58,7 +58,7 @@ g2 : PERMGRP INT := [ x , z ]
 --R 
 --R
 --R   (5)  <(1 3 5)(7 11 9),(1 3 11)>
---R                                               Type: PermutationGroup Integer
+--R                                              Type: PermutationGroup(Integer)
 --E 5
 
 --S 6 of 68
@@ -66,7 +66,7 @@ g3 : PERMGRP INT := [ y , z ]
 --R 
 --R
 --R   (6)  <(3 5 7 9),(1 3 11)>
---R                                               Type: PermutationGroup Integer
+--R                                              Type: PermutationGroup(Integer)
 --E 6
 
 --S 7 of 68
@@ -90,7 +90,7 @@ movedPoints g2
 --R 
 --R
 --R   (9)  {1,3,5,7,9,11}
---R                                                            Type: Set Integer
+--R                                                           Type: Set(Integer)
 --E 9
 
 --S 10 of 68
@@ -98,7 +98,7 @@ orbit (g1, 3)
 --R 
 --R
 --R   (10)  {1,3,5,7,9,11}
---R                                                            Type: Set Integer
+--R                                                           Type: Set(Integer)
 --E 10
 
 --S 11 of 68
@@ -106,7 +106,7 @@ orbits g3
 --R 
 --R
 --R   (11)  {{1,3,5,7,9,11}}
---R                                                        Type: Set Set Integer
+--R                                                      Type: Set(Set(Integer))
 --E 11
 
 --S 12 of 68
@@ -120,32 +120,34 @@ member? ( y , g2 )
 --S 13 of 68
 )sh PERMGRP
 --R 
---R PermutationGroup S: SetCategory  is a domain constructor
+--R PermutationGroup(S: SetCategory)  is a domain constructor
 --R Abbreviation for PermutationGroup is PERMGRP 
 --R This constructor is exposed in this frame.
 --R Issue )edit bookvol10.3.pamphlet to see algebra source code for PERMGRP 
 --R
 --R------------------------------- Operations --------------------------------
 --R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
---R ?=? : (%,%) -> Boolean                base : % -> List S
---R coerce : List Permutation S -> %      coerce : % -> List Permutation S
+--R ?=? : (%,%) -> Boolean                base : % -> List(S)
 --R coerce : % -> OutputForm              degree : % -> NonNegativeInteger
 --R hash : % -> SingleInteger             latex : % -> String
---R movedPoints : % -> Set S              orbit : (%,List S) -> Set List S
---R orbit : (%,Set S) -> Set Set S        orbit : (%,S) -> Set S
---R orbits : % -> Set Set S               order : % -> NonNegativeInteger
---R random : % -> Permutation S           ?~=? : (%,%) -> Boolean
---R ?.? : (%,NonNegativeInteger) -> Permutation S
---R generators : % -> List Permutation S
+--R movedPoints : % -> Set(S)             orbit : (%,Set(S)) -> Set(Set(S))
+--R orbit : (%,S) -> Set(S)               orbits : % -> Set(Set(S))
+--R order : % -> NonNegativeInteger       random : % -> Permutation(S)
+--R ?~=? : (%,%) -> Boolean              
+--R coerce : List(Permutation(S)) -> %
+--R coerce : % -> List(Permutation(S))
+--R ?.? : (%,NonNegativeInteger) -> Permutation(S)
+--R generators : % -> List(Permutation(S))
 --R initializeGroupForWordProblem : (%,Integer,Integer) -> Void
 --R initializeGroupForWordProblem : % -> Void
---R member? : (Permutation S,%) -> Boolean
---R permutationGroup : List Permutation S -> %
---R random : (%,Integer) -> Permutation S
---R strongGenerators : % -> List Permutation S
---R wordInGenerators : (Permutation S,%) -> List NonNegativeInteger
---R wordInStrongGenerators : (Permutation S,%) -> List NonNegativeInteger
---R wordsForStrongGenerators : % -> List List NonNegativeInteger
+--R member? : (Permutation(S),%) -> Boolean
+--R orbit : (%,List(S)) -> Set(List(S))
+--R permutationGroup : List(Permutation(S)) -> %
+--R random : (%,Integer) -> Permutation(S)
+--R strongGenerators : % -> List(Permutation(S))
+--R wordInGenerators : (Permutation(S),%) -> List(NonNegativeInteger)
+--R wordInStrongGenerators : (Permutation(S),%) -> List(NonNegativeInteger)
+--R wordsForStrongGenerators : % -> List(List(NonNegativeInteger))
 --R
 --E 13
 
@@ -157,7 +159,7 @@ ptn9 := partitions 9
 --R
 --R   (1)
 --R   [[9],[8,1],[7,2],[7,1,1],[6,3],[6,2,1],[6,1,1,1],[5,4],[5,3,1],[5,2,2],...]
---R                                                    Type: Stream List Integer
+--R                                                  Type: Stream(List(Integer))
 --E 14
 
 --S 15 of 68
@@ -165,7 +167,7 @@ map(dimensionOfIrreducibleRepresentation, ptn9)
 --R 
 --R
 --R   (2)  [1,8,27,28,48,105,56,42,162,120,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 15
 
 --S 16 of 68
@@ -179,7 +181,7 @@ yt := listYoungTableaus [4,2]
 --R    +0  1  3  4+  +0  1  2  5+  +0  1  2  4+  +0  1  2  3+
 --R    |          |, |          |, |          |, |          |]
 --R    +2  5  0  0+  +3  4  0  0+  +3  5  0  0+  +4  5  0  0+
---R                                                    Type: List Matrix Integer
+--R                                                  Type: List(Matrix(Integer))
 --E 16
 
 --S 17 of 68
@@ -203,7 +205,7 @@ r1 := irreducibleRepresentation([4,2],[1,2,4,5,3,6])
 --R        |- 1  - 1  - 1  - 1  - 1  - 1   0    0    0 |
 --R        |                                           |
 --R        + 0    0    0    1    0    0    0    0    0 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 17
 
 --S 18 of 68
@@ -227,7 +229,7 @@ r2 := irreducibleRepresentation([4,2],[3,2,1,5,6,4])
 --R        | 0    0    0    0    0    0    0    0    1 |
 --R        |                                           |
 --R        + 0   - 1   0    0   - 1   0   - 1   0    0 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 18
 
 --S 19 of 68
@@ -251,7 +253,7 @@ r3 := irreducibleRepresentation([4,2],[4,2,1,3,6,5])
 --R        |0   0    0   0   1    0    0    0    0 |
 --R        |                                       |
 --R        +0   0    0   0   0    1    0    0    0 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 19
 
 --S 20 of 68
@@ -1281,7 +1283,7 @@ irreducibleRepresentation [4,4,1]
 --R      0, 0, - 1, 0, 0, 0, - 1, 0, 0, 0, - 1, 0]
 --R     ]
 --R     ]
---R                                                    Type: List Matrix Integer
+--R                                                  Type: List(Matrix(Integer))
 --E 21
 
 )clear all
@@ -1311,7 +1313,7 @@ permutationRepresentation [2,3,1,4,6,5,11,10,7,8,9]
 --R        |0  0  0  0  0  0  0  1  0  0  0|
 --R        |                               |
 --R        +0  0  0  0  0  0  1  0  0  0  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 22
 
 --S 23 of 68
@@ -1323,7 +1325,7 @@ gm2 := createGenericMatrix 2
 --R   (2)  |          |
 --R        |x     x   |
 --R        + 2,1   2,2+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 23
 
 --S 24 of 68
@@ -1340,7 +1342,7 @@ symmetricTensors (gm2,2)
 --R        |                                         |
 --R        |2x   x     2x   x     x   x    + x   x   |
 --R        +  1,1 2,1    1,2 2,2   1,1 2,2    1,2 2,1+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 24
 
 --S 25 of 68
@@ -1355,7 +1357,7 @@ gm3 := createGenericMatrix 3
 --R        |                |
 --R        |x     x     x   |
 --R        + 3,1   3,2   3,3+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 25
 
 --S 26 of 68
@@ -1370,7 +1372,7 @@ antisymmetricTensors (gm3,2)
 --R        |                                                             |
 --R        |x   x    - x   x     x   x    - x   x     x   x    - x   x   |
 --R        + 2,1 3,2    2,2 3,1   2,1 3,3    2,3 3,1   2,2 3,3    2,3 3,2+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 26
 
 --S 27 of 68
@@ -1390,31 +1392,31 @@ tensorProduct(gm2,gm2)
 --R        |     2                             2  |
 --R        | x        x   x     x   x      x      |
 --R        +  2,1      2,1 2,2   2,1 2,2    2,2   +
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 27
 
 --S 28 of 68
 )sh REP1
 --R 
---R RepresentationPackage1 R: Ring  is a package constructor
+--R RepresentationPackage1(R: Ring)  is a package constructor
 --R Abbreviation for RepresentationPackage1 is REP1 
 --R This constructor is exposed in this frame.
 --I Issue )edit /research/research/s2/mnt/fedora5/...
 --R
 --R------------------------------- Operations --------------------------------
---I antisymmetricTensors : (Matrix R,PositiveInteger) -> ...
---I antisymmetricTensors : (List Matrix R,PositiveInteger) -> ...
---R createGenericMatrix : NonNegativeInteger -> Matrix Polynomial R
---R permutationRepresentation : (Permutation Integer,Integer) -> Matrix Integer
---R permutationRepresentation : List Integer -> Matrix Integer
---I permutationRepresentation : (List Permutation Integer,Integer) -> ...
---R permutationRepresentation : List List Integer -> List Matrix Integer
---R symmetricTensors : (Matrix R,PositiveInteger) -> Matrix R
---R symmetricTensors : (List Matrix R,PositiveInteger) -> List Matrix R
---R tensorProduct : (Matrix R,Matrix R) -> Matrix R
---R tensorProduct : (List Matrix R,List Matrix R) -> List Matrix R
---R tensorProduct : Matrix R -> Matrix R
---R tensorProduct : List Matrix R -> List Matrix R
+--R antisymmetricTensors : (Matrix(R),PositiveInteger) -> Matrix(R) if R has commutative(*)
+--R antisymmetricTensors : (List(Matrix(R)),PositiveInteger) -> List(Matrix(R)) if R has commutative(*)
+--R createGenericMatrix : NonNegativeInteger -> Matrix(Polynomial(R))
+--R permutationRepresentation : (Permutation(Integer),Integer) -> Matrix(Integer)
+--R permutationRepresentation : List(Integer) -> Matrix(Integer)
+--R permutationRepresentation : (List(Permutation(Integer)),Integer) -> List(Matrix(Integer))
+--R permutationRepresentation : List(List(Integer)) -> List(Matrix(Integer))
+--R symmetricTensors : (Matrix(R),PositiveInteger) -> Matrix(R)
+--R symmetricTensors : (List(Matrix(R)),PositiveInteger) -> List(Matrix(R))
+--R tensorProduct : (Matrix(R),Matrix(R)) -> Matrix(R)
+--R tensorProduct : (List(Matrix(R)),List(Matrix(R))) -> List(Matrix(R))
+--R tensorProduct : Matrix(R) -> Matrix(R)
+--R tensorProduct : List(Matrix(R)) -> List(Matrix(R))
 --R
 --E 28
 
@@ -1424,7 +1426,7 @@ tensorProduct(gm2,gm2)
 r0 := irreducibleRepresentation [2,2,2,1,1];
 --R 
 --R
---R                                                    Type: List Matrix Integer
+--R                                                  Type: List(Matrix(Integer))
 --E 29
 
 --S 30 of 68
@@ -1549,7 +1551,7 @@ r28 := meatAxe (r0::(LIST MATRIX PF 2))
 --R      |                                        |
 --R      +0  1  1  1  1  0  0  0  1  1  1  1  1  1+
 --R     ]
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 30
 
 --S 31 of 68
@@ -1560,7 +1562,7 @@ areEquivalent? (r28.1, r28.2)
 --R   Representations are not equivalent.
 --R
 --R   (3)  [0]
---R                                                    Type: Matrix PrimeField 2
+--R                                                  Type: Matrix(PrimeField(2))
 --E 31
 
 --S 32 of 68
@@ -1635,7 +1637,7 @@ meatAxe r28.2
 --R      |                                        |
 --R      +0  1  0  1  1  0  0  0  0  1  1  0  1  1+
 --R     ]
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 32
 
 --S 33 of 68 random generation, FAILURE OK.
@@ -1696,7 +1698,7 @@ ma := meatAxe r28.1
 --R     |0  0  0  0  1  0| |1  0  0  0  1  1|
 --R     |                | |                |
 --R     +1  1  1  0  0  0+ +0  1  1  1  0  1+
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 34
 
 --S 35 of 68 random generation, FAILURE OK.
@@ -1740,7 +1742,7 @@ px : PERM PF 29 := cycles [[1,3,5],[7,11,9]]
 --R 
 --R
 --R   (1)  (1 3 5)(7 11 9)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 37
 
 --S 38 of 68
@@ -1748,7 +1750,7 @@ py : PERM PF 29 := cycles [[3,5,7,9]]
 --R 
 --R
 --R   (2)  (3 5 7 9)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 38
 
 --S 39 of 68
@@ -1756,7 +1758,7 @@ pz : PERM PF 29 := cycle [1,3,11]
 --R 
 --R
 --R   (3)  (1 3 11)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 39
 
 --S 40 of 68
@@ -1764,7 +1766,7 @@ px * pz
 --R 
 --R
 --R   (4)  (1 5)(3 9 7 11)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 40
 
 --S 41 of 68
@@ -1772,7 +1774,7 @@ py ** 3
 --R 
 --R
 --R   (5)  (3 9 7 5)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 41
 
 --S 42 of 68
@@ -1780,7 +1782,7 @@ inv px
 --R 
 --R
 --R   (6)  (1 5 3)(7 9 11)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 42
 
 --S 43 of 68
@@ -1796,7 +1798,7 @@ movedPoints py
 --R 
 --R
 --R   (8)  {3,5,7,9}
---R                                                      Type: Set PrimeField 29
+--R                                                    Type: Set(PrimeField(29))
 --E 44
 
 --S 45 of 68
@@ -1804,7 +1806,7 @@ orbit ( pz , 3 )
 --R 
 --R
 --R   (9)  {3,11,1}
---R                                                      Type: Set PrimeField 29
+--R                                                    Type: Set(PrimeField(29))
 --E 45
 
 --S 46 of 68
@@ -1812,13 +1814,13 @@ eval ( py , 7 )
 --R 
 --R
 --R   (10)  9
---R                                                          Type: PrimeField 29
+--R                                                         Type: PrimeField(29)
 --E 46
 
 --S 47 of 68
 )sh PERM
 --R 
---R Permutation S: SetCategory  is a domain constructor
+--R Permutation(S: SetCategory)  is a domain constructor
 --R Abbreviation for Permutation is PERM 
 --R This constructor is exposed in this frame.
 --I Issue )edit /research/research/s2/mnt/fedora5/...
@@ -1828,29 +1830,29 @@ eval ( py , 7 )
 --R ?**? : (%,PositiveInteger) -> %       ?/? : (%,%) -> %
 --R ?<? : (%,%) -> Boolean                ?=? : (%,%) -> Boolean
 --R 1 : () -> %                           ?^? : (%,Integer) -> %
---R ?^? : (%,PositiveInteger) -> %        coerce : List S -> %
---R coerce : List List S -> %             coerce : % -> OutputForm
---R coerceImages : List S -> %            commutator : (%,%) -> %
---R conjugate : (%,%) -> %                cycle : List S -> %
---R cyclePartition : % -> Partition       cycles : List List S -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : List(S) -> %
+--R coerce : List(List(S)) -> %           coerce : % -> OutputForm
+--R coerceImages : List(S) -> %           commutator : (%,%) -> %
+--R conjugate : (%,%) -> %                cycle : List(S) -> %
+--R cyclePartition : % -> Partition       cycles : List(List(S)) -> %
 --R degree : % -> NonNegativeInteger      ?.? : (%,S) -> S
 --R eval : (%,S) -> S                     even? : % -> Boolean
 --R hash : % -> SingleInteger             inv : % -> %
---R latex : % -> String                   movedPoints : % -> Set S
+--R latex : % -> String                   movedPoints : % -> Set(S)
 --R odd? : % -> Boolean                   one? : % -> Boolean
---R orbit : (%,S) -> Set S                order : % -> NonNegativeInteger
+--R orbit : (%,S) -> Set(S)               order : % -> NonNegativeInteger
 --R recip : % -> Union(%,"failed")        sample : () -> %
---R sign : % -> Integer                   sort : List % -> List %
+--R sign : % -> Integer                   sort : List(%) -> List(%)
 --R ?~=? : (%,%) -> Boolean              
 --R ?**? : (%,NonNegativeInteger) -> %
 --R ?<=? : (%,%) -> Boolean if S has FINITE or S has ORDSET
 --R ?>? : (%,%) -> Boolean if S has FINITE or S has ORDSET
 --R ?>=? : (%,%) -> Boolean if S has FINITE or S has ORDSET
 --R ?^? : (%,NonNegativeInteger) -> %
---R coerceListOfPairs : List List S -> %
---R coercePreimagesImages : List List S -> %
---R fixedPoints : % -> Set S if S has FINITE
---R listRepresentation : % -> Record(preimage: List S,image: List S)
+--R coerceListOfPairs : List(List(S)) -> %
+--R coercePreimagesImages : List(List(S)) -> %
+--R fixedPoints : % -> Set(S) if S has FINITE
+--R listRepresentation : % -> Record(preimage: List(S),image: List(S))
 --R max : (%,%) -> % if S has FINITE or S has ORDSET
 --R min : (%,%) -> % if S has FINITE or S has ORDSET
 --R numberOfCycles : % -> NonNegativeInteger
@@ -1864,7 +1866,7 @@ genA6 : List PERM INT := [cycle [1,2,3],cycle [2,3,4,5,6]]
 --R 
 --R
 --R   (1)  [(1 2 3),(2 3 4 5 6)]
---R                                               Type: List Permutation Integer
+--R                                             Type: List(Permutation(Integer))
 --E 48
 
 --S 49 of 68
@@ -1882,7 +1884,7 @@ pRA6 := permutationRepresentation (genA6,6)
 --R         |0  0  0  0  1  0| |0  0  0  1  0  0|
 --R         |                | |                |
 --R         +0  0  0  0  0  1+ +0  0  0  0  1  0+
---R                                                    Type: List Matrix Integer
+--R                                                  Type: List(Matrix(Integer))
 --E 49
 
 --S 50 of 68
@@ -1903,7 +1905,7 @@ sp0 := meatAxe (pRA6::(List Matrix PF 2))
 --R          |0  0  0  1  0| |0  0  1  0  0|
 --R          |             | |             |
 --R          +0  0  0  0  1+ +0  0  0  1  0+
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 50
 
 --S 51 of 68
@@ -1929,7 +1931,7 @@ sp1 := meatAxe sp0.1
 --R                    |1  0  0  0| |1  1  1  0|
 --R                    |          | |          |
 --R                    +0  0  0  1+ +1  1  1  1+
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 51
 
 --S 52 of 68 random generation, FAILURE OK.
@@ -1969,7 +1971,7 @@ d2211 := irreducibleRepresentation ([2,2,1,1],genA6)
 --R    |0  0  0   0    1    0    0    0    0 | | 0   - 1  0   0   0  0   1   0  0|
 --R    |                                     | |                                 |
 --R    +0  0  0   0    0    1    0    0    0 + + 0    0   0  - 1  0  0  - 1  0  0+
---R                                                    Type: List Matrix Integer
+--R                                                  Type: List(Matrix(Integer))
 --E 53
 
 --S 54 of 68
@@ -1990,7 +1992,7 @@ d2211m2 := (d2211::(List Matrix PF 2)); sp2 := meatAxe d2211m2
 --R          |          | |          |   |0  1  0  1  0| |0  0  1  0  1|
 --R          +0  1  0  0+ +0  1  0  1+   |             | |             |
 --R                                      +0  1  1  1  0+ +1  0  0  1  1+
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 54
 
 --S 55 of 68 random generation, FAILURE OK.
@@ -2020,7 +2022,7 @@ areEquivalent? (sp2.1, sp1.2)
 --R   Representations are not equivalent.
 --R
 --R   (9)  [0]
---R                                                    Type: Matrix PrimeField 2
+--R                                                  Type: Matrix(PrimeField(2))
 --E 56
 
 --S 57 of 68
@@ -2120,7 +2122,7 @@ dA6d16 := tensorProduct(sp2.1,sp1.2); meatAxe dA6d16
 --R      |                                              |
 --R      +0  0  0  0  1  1  0  1  1  1  0  1  1  1  0  1+
 --R     ]
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 57
 
 --S 58 of 68
@@ -2277,7 +2279,7 @@ sp3 := meatAxe (dA6d16 :: (List Matrix FF(2,2)))
 --R      |                                                          |
 --R      +  %A    %A  %A + 1  %A + 1    %A      %A      0       1   +
 --R     ]
---R                                      Type: List List Matrix FiniteField(2,2)
+--R                                   Type: List(List(Matrix(FiniteField(2,2))))
 --E 59
 
 --S 60 of 68 random generation, FAILURE OK.
@@ -2355,7 +2357,7 @@ areEquivalent? (sp3.1,sp3.2)
 --R   Representations are not equivalent.
 --R
 --R   (15)  [0]
---R                                                Type: Matrix FiniteField(2,2)
+--R                                               Type: Matrix(FiniteField(2,2))
 --E 62
 
 --S 63 of 68
@@ -2363,7 +2365,7 @@ sp0.2
 --R 
 --R
 --R   (16)  [[1],[1]]
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 63
 
 --S 64 of 68
@@ -2377,7 +2379,7 @@ sp1.2
 --R          |1  0  0  0| |1  1  1  0|
 --R          |          | |          |
 --R          +0  0  0  1+ +1  1  1  1+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 64
 
 --S 65 of 68
@@ -2391,7 +2393,7 @@ sp2.1
 --R          |1  1  0  0| |1  0  1  1|
 --R          |          | |          |
 --R          +0  1  0  0+ +0  1  0  1+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 65
 
 --S 66 of 68
@@ -2429,7 +2431,7 @@ sp3.1
 --R    |%A + 1    0       1       1     0     %A    %A + 1    1   |
 --R    |                                                          |
 --R    +%A + 1    %A      %A    %A + 1  0   %A + 1    %A      0   +
---R                                           Type: List Matrix FiniteField(2,2)
+--R                                         Type: List(Matrix(FiniteField(2,2)))
 --E 66
 
 --S 67 of 68
@@ -2467,7 +2469,7 @@ sp3.2
 --R    |  0     1   %A + 1    1       1     %A + 1  %A + 1    1   |
 --R    |                                                          |
 --R    +  %A    %A  %A + 1  %A + 1    %A      %A      0       1   +
---R                                           Type: List Matrix FiniteField(2,2)
+--R                                         Type: List(Matrix(FiniteField(2,2)))
 --E 67
 
 --S 68 of 68
@@ -2537,7 +2539,7 @@ dA6d16
 --R    |0  0  0  0  1  1  1  0  0  0  0  0  1  1  1  0|
 --R    |                                              |
 --R    +0  0  0  0  1  1  1  1  0  0  0  0  1  1  1  1+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 68
 )spool 
 )lisp (bye)
diff --git a/src/input/gstbl.input.pamphlet b/src/input/gstbl.input.pamphlet
index 501c235..5186179 100644
--- a/src/input/gstbl.input.pamphlet
+++ b/src/input/gstbl.input.pamphlet
@@ -26,7 +26,7 @@ patrons: GeneralSparseTable(String, Integer, KeyedAccessFile(Integer), 0) := _
    table() ;
 --R 
 --R
---R           Type: GeneralSparseTable(String,Integer,KeyedAccessFile Integer,0)
+--R          Type: GeneralSparseTable(String,Integer,KeyedAccessFile(Integer),0)
 --E 1
 )spool 
 )lisp (bye)
diff --git a/src/input/heap.input.pamphlet b/src/input/heap.input.pamphlet
index 8e342cb..88eff4d 100644
--- a/src/input/heap.input.pamphlet
+++ b/src/input/heap.input.pamphlet
@@ -26,7 +26,7 @@ h := heap [-4,9,11,2,7,-7]
 --R 
 --R
 --R   (1)  [11,7,9,- 4,2,- 7]
---R                                                           Type: Heap Integer
+--R                                                          Type: Heap(Integer)
 --E 1
 
 --S 2 of 8
@@ -34,7 +34,7 @@ insert!(3,h)
 --R 
 --R
 --R   (2)  [11,7,9,- 4,2,- 7,3]
---R                                                           Type: Heap Integer
+--R                                                          Type: Heap(Integer)
 --E 2
 
 --S 3 of 8
@@ -50,7 +50,7 @@ h
 --R 
 --R
 --R   (4)  [9,7,3,- 4,2,- 7]
---R                                                           Type: Heap Integer
+--R                                                          Type: Heap(Integer)
 --E 4
 
 --S 5 of 8
@@ -58,7 +58,7 @@ h
 --R 
 --R
 --R   (5)  [9,7,3,2,- 4,- 7]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 5
 
 --S 6 of 8
@@ -72,16 +72,17 @@ h1 := heap [17,-4,9,-11,2,7,-7]
 --R 
 --R
 --R   (7)  [17,2,9,- 11,- 4,7,- 7]
---R                                                           Type: Heap Integer
+--R                                                          Type: Heap(Integer)
 --E 7
 
 --S 8 of 8
 heapsort h1
 --R 
---R   Compiling function heapsort with type Heap Integer -> List Integer 
+--R   Compiling function heapsort with type Heap(Integer) -> List(Integer)
+--R      
 --R
 --R   (8)  [17,9,7,2,- 4,- 7,- 11]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 8
 )spool 
 )lisp (bye)
diff --git a/src/input/heat.input.pamphlet b/src/input/heat.input.pamphlet
index 268608a..5a6bbdb 100644
--- a/src/input/heat.input.pamphlet
+++ b/src/input/heat.input.pamphlet
@@ -37,7 +37,7 @@ heat:= D(u(x, t), t) - D(u(x, t), x, 2) = 0
 --R
 --R   (2)  - u    (x,t) + u  (x,t)= 0
 --R           ,1,1         ,2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 2
 
 \end{chunk}
@@ -61,7 +61,7 @@ s:= rule(u(x, t) == f(x/sqrt(t))/sqrt(t))
 --R   (4)  u(x,t) == --------
 --R                     +-+
 --R                    \|t
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 4
 
 \end{chunk}
@@ -78,7 +78,7 @@ s(lhs(heat)) = 0
 --R   (5)  -----------------------------------------= 0
 --R                           2 +-+
 --R                         2t \|t
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 5
 
 \end{chunk}
@@ -94,7 +94,7 @@ subst(lhs(%), x = z*sqrt(t)) = 0
 --R   (6)  -------------------------= 0
 --R                     +-+
 --R                  2t\|t
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 6
 
 \end{chunk}
@@ -107,7 +107,7 @@ Eliminate the denominator
 --R            ,,        ,
 --R   (7)  - 2f  (z) - zf (z) - f(z)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 7
 
 \end{chunk}
@@ -120,7 +120,7 @@ eq:=%
 --R            ,,        ,
 --R   (8)  - 2f  (z) - zf (z) - f(z)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 8
 
 --S 9 of 11
@@ -133,7 +133,7 @@ solve(%, f, z=0,[k1,k2])
 --R                4 ++     4                4 ++     4                4
 --R   (9)  k2 %e     |   %e   d%P  - k2 %e     |   %e   d%P  + k1 %e
 --R                 ++                        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 9
 
 \end{chunk}
@@ -153,7 +153,7 @@ subst(%, z = x/sqrt(t))/sqrt(t)
 --R   (10)  ----------------------------------------------------------------
 --R                                        +-+
 --R                                       \|t
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 \end{chunk}
@@ -172,7 +172,7 @@ subst(%, [k2 = 0, k1 = 1/(2*sqrt(%pi))])
 --R   (11)  -----------
 --R           +---+ +-+
 --R         2\|%pi \|t
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 )spool 
 )lisp (bye)
diff --git a/src/input/help.input.pamphlet b/src/input/help.input.pamphlet
index da9ee24..8d4463f 100644
--- a/src/input/help.input.pamphlet
+++ b/src/input/help.input.pamphlet
@@ -27,7 +27,7 @@ a:= x**2 + 1
 --R
 --R         2
 --R   (1)  x  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 2
@@ -36,7 +36,7 @@ a:= x**2 + 1
 --R
 --R         4     2
 --R   (2)  x  - 2x  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 2
 )spool 
 )lisp (bye)
diff --git a/src/input/herm.input.pamphlet b/src/input/herm.input.pamphlet
index 1061fb7..ef905f4 100644
--- a/src/input/herm.input.pamphlet
+++ b/src/input/herm.input.pamphlet
@@ -38,7 +38,7 @@ h0 := pHS([] :: List INT)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named pHS 
 --R      with argument type(s) 
---R                                List Integer
+--R                                List(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -101,7 +101,7 @@ f0 := expand h0
 --R 
 --R
 --R   (6)  h0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 8
 --       []
 
@@ -111,7 +111,7 @@ f1 := expand h1
 --R
 --R   (7)  pHS
 --R           1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 9
 --       [1]
 
@@ -121,7 +121,7 @@ f2 := expand h2
 --R
 --R   (8)  pHS
 --R           1,2
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 10
 --       [1,2]
 
@@ -131,7 +131,7 @@ f3 := expand h3
 --R
 --R   (9)  pHS
 --R           1,2,3
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 11
 --       [1,2 + 3%i,2 - 3%i]
 
@@ -141,7 +141,7 @@ f4 := expand h4
 --R
 --R   (10)  pHS
 --R            1,2,3,4
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 12
 --       [1,2 + 4%i,3,2 - 4%i]
 
@@ -151,7 +151,7 @@ f5 := expand h5
 --R
 --R   (11)  pHS
 --R            1,2,3,4,5
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 13
 --       [1,2 + 5%i,3 + 4%i,3 - 4%i,2 - 5%i]
 
@@ -167,7 +167,7 @@ packHS f0
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      packHS with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -186,7 +186,7 @@ packHS f1
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      packHS with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -205,7 +205,7 @@ packHS f2
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      packHS with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -224,7 +224,7 @@ packHS f3
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      packHS with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -243,7 +243,7 @@ packHS f4
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      packHS with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -262,7 +262,7 @@ packHS f5
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      packHS with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -281,7 +281,7 @@ packHS vector[%i,3,3,3]
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      packHS with argument type(s) 
---R                           Vector Complex Integer
+--R                          Vector(Complex(Integer))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -302,7 +302,7 @@ packHS vector [1, 3, 5, 7]
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      packHS with argument type(s) 
---R                           Vector PositiveInteger
+--R                           Vector(PositiveInteger)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -335,7 +335,7 @@ conjHerm h0
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      conjHerm with argument type(s) 
---R                                 Variable h0
+--R                                Variable(h0)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
diff --git a/src/input/heugcd.input.pamphlet b/src/input/heugcd.input.pamphlet
index 8f3f442..590b437 100644
--- a/src/input/heugcd.input.pamphlet
+++ b/src/input/heugcd.input.pamphlet
@@ -27,35 +27,35 @@ the gcd function in listgcd.spad.pamphlet.
 gcd([0,0,x^2-1,x^2+2*x+1])
 --R
 --R   (1)  x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 5
 gcd([0,0,x^2-1,x^2+2*x+1])$HeuGcd(SparseUnivariatePolynomial Integer)
 --R
 --R   (2)  ? + 1
---R                                     Type: SparseUnivariatePolynomial Integer
+--R                                    Type: SparseUnivariatePolynomial(Integer)
 --E 2
 
 --S 3 of 5
 gcd(6*x^2-1,36*x^2+12*x+1)
 --R
 --R   (3)  1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 3
 
 --S 4 of 5
 gcd([36*x^2-1,36*x^2+12*x+1])
 --R
 --R   (4)  6x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 4
 
 --S 5 of 5
 gcd([36*x^2-1,36*x^2+12*x+1])$HeuGcd(SparseUnivariatePolynomial Integer)
 --R
 --R   (5)  6? + 1
---R                                     Type: SparseUnivariatePolynomial Integer
+--R                                    Type: SparseUnivariatePolynomial(Integer)
 --E 5
 )spool 
 )lisp (bye)
diff --git a/src/input/hexadec.input.pamphlet b/src/input/hexadec.input.pamphlet
index 688d74f..aed12d5 100644
--- a/src/input/hexadec.input.pamphlet
+++ b/src/input/hexadec.input.pamphlet
@@ -47,7 +47,7 @@ r + hex(6/7)
 --R   [0.00BB3EE721A54D88, 0.00BAB6561, 0.00BA2E8, 0.00B9A7862A0FF465879D5F,
 --R       _____________________________
 --R    0.00B92143FA36F5E02E4850FE8DBD78]
---R                                              Type: List HexadecimalExpansion
+--R                                             Type: List(HexadecimalExpansion)
 --E 3
 
 --S 4 of 7
@@ -68,7 +68,7 @@ p := hex(1/4)*x**2 + hex(2/3)*x + hex(4/9)
 --R
 --R            2     _      ___
 --R   (5)  0.4x  + 0.Ax + 0.71C
---R                                        Type: Polynomial HexadecimalExpansion
+--R                                       Type: Polynomial(HexadecimalExpansion)
 --E 5
 
 --S 6 of 7
@@ -77,7 +77,7 @@ q := D(p, x)
 --R
 --R                 _
 --R   (6)  0.8x + 0.A
---R                                        Type: Polynomial HexadecimalExpansion
+--R                                       Type: Polynomial(HexadecimalExpansion)
 --E 6
 
 --S 7 of 7
@@ -86,7 +86,7 @@ g := gcd(p, q)
 --R
 --R              _
 --R   (7)  x + 1.5
---R                                        Type: Polynomial HexadecimalExpansion
+--R                                       Type: Polynomial(HexadecimalExpansion)
 --E 7
 )spool 
 )lisp (bye)
diff --git a/src/input/hyperbolicrules.input.pamphlet b/src/input/hyperbolicrules.input.pamphlet
index a89d386..0591a2b 100644
--- a/src/input/hyperbolicrules.input.pamphlet
+++ b/src/input/hyperbolicrules.input.pamphlet
@@ -27,7 +27,7 @@ sinhdef:=rule(sinh(x) == (e^x-e^(-x))/2)
 --R                   e  - e
 --R   (1)  sinh(x) == ---------
 --R                       2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 1
 
 --S 2 of 298
@@ -37,14 +37,14 @@ t1:=sinh(x) - (e^x-e^(-x))/2
 --R        - e  + e    + 2sinh(x)
 --R   (2)  ----------------------
 --R                   2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 298
 t2:=sinhdef t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 \end{chunk}
@@ -60,7 +60,7 @@ coshdef:=rule(cosh(x) == (e^x+e^(-x))/2)
 --R                   e  + e
 --R   (1)  cosh(x) == ---------
 --R                       2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 4
 
 --S 5 of 298
@@ -70,14 +70,14 @@ t1:=cosh(x) - (e^x+e^(-x))/2
 --R        - e  - e    + 2cosh(x)
 --R   (2)  ----------------------
 --R                   2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 298
 t2:=coshdef t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 \end{chunk}
@@ -94,7 +94,7 @@ tanhdef:=rule(tanh(x) == (e^x-e*(-x))/(e^x+e*(-x)))
 --R   (1)  tanh(x) == --------
 --R                    x
 --R                   e  - e x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 7
 
 --S 8 of 298
@@ -105,14 +105,14 @@ t1:=tanh(x) - (e^x-e*(-x))/(e^x+e*(-x))
 --R   (2)  -----------------------------------
 --R                       x
 --R                      e  - e x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 298
 t2:=tanhdef t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 \end{chunk}
@@ -129,7 +129,7 @@ cothdef:=rule(coth(x) == (e^x+e*(-x))/(e^x-e*(-x)))
 --R   (1)  coth(x) == --------
 --R                    x
 --R                   e  + e x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 10
 
 --S 11 of 298
@@ -140,14 +140,14 @@ t1:=coth(x) - (e^x+e*(-x))/(e^x-e*(-x))
 --R   (2)  -----------------------------------
 --R                       x
 --R                      e  + e x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 298
 t2:=cothdef t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 \end{chunk}
@@ -163,7 +163,7 @@ sechdef:=rule(sech(x) == 2/(e^x+e*(-x)))
 --R   (1)  sech(x) == --------
 --R                    x
 --R                   e  - e x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 13
 
 --S 14 of 298
@@ -174,14 +174,14 @@ t1:=sech(x) - 2/(e^x+e*(-x))
 --R   (2)  ---------------------------
 --R                   x
 --R                  e  - e x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 298
 t2:=sechdef t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 \end{chunk}
@@ -197,7 +197,7 @@ cschdef:=rule(csch(x) == 2/(e^x-e*(-x)))
 --R   (1)  csch(x) == --------
 --R                    x
 --R                   e  + e x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 16
 
 --S 17 of 298
@@ -208,14 +208,14 @@ t1:=csch(x) - 2/(e^x-e*(-x))
 --R   (2)  ---------------------------
 --R                   x
 --R                  e  + e x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 298
 t2:=cschdef t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 \end{chunk}
@@ -231,7 +231,7 @@ tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
 --R                   sinh(x)
 --R   (1)  tanh(x) == -------
 --R                   cosh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 19
 
 --S 20 of 298
@@ -240,14 +240,14 @@ t1:=tanh(x) - sinh(x)/cosh(x)
 --R        cosh(x)tanh(x) - sinh(x)
 --R   (2)  ------------------------
 --R                 cosh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 --S 21 of 298
 t2:=tanhrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 \end{chunk}
@@ -263,7 +263,7 @@ cothrule:=rule(coth(x) == 1/tanh(x))
 --R                      1
 --R   (1)  coth(x) == -------
 --R                   tanh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 22
 
 --S 23 of 298
@@ -272,14 +272,14 @@ t1:=coth(x) - 1/tanh(x)
 --R        coth(x)tanh(x) - 1
 --R   (2)  ------------------
 --R              tanh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 
 --S 24 of 298
 t2:=cothrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 24
 
 --S 25 of 298
@@ -288,7 +288,7 @@ cothrule2:=rule(coth(x) == cosh(x)/sinh(x))
 --R                   cosh(x)
 --R   (4)  coth(x) == -------
 --R                   sinh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 25
 
 --S 26 of 298
@@ -297,14 +297,14 @@ t3:=coth(x) - cosh(x)/sinh(x)
 --R        coth(x)sinh(x) - cosh(x)
 --R   (5)  ------------------------
 --R                 sinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 26
 
 --S 27 of 298
 t4:=cothrule2 t3
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 27
 
 \end{chunk}
@@ -319,7 +319,7 @@ sechrule:=rule(sech(x) == 1/cosh(x))
 --R                      1
 --R   (1)  sech(x) == -------
 --R                   cosh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 28
 
 --S 29 of 298
@@ -328,14 +328,14 @@ t1:=sech(x) - 1/cosh(x)
 --R        cosh(x)sech(x) - 1
 --R   (2)  ------------------
 --R              cosh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 29
 
 --S 30 of 298
 t2:=sechrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 30
 
 \end{chunk}
@@ -350,7 +350,7 @@ cschrule:=rule(csch(x) == 1/sinh(x))
 --R                      1
 --R   (1)  csch(x) == -------
 --R                   sinh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 31
 
 --S 32 of 298
@@ -359,14 +359,14 @@ t1:=csch(x) - 1/sinh(x)
 --R        csch(x)sinh(x) - 1
 --R   (2)  ------------------
 --R              sinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 32
 
 --S 33 of 298
 t2:=cschrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 33
 
 \end{chunk}
@@ -380,7 +380,7 @@ coshsinh:=rule(cosh(x)^2-sinh(x)^2 == 1)
 --R
 --R                 2          2
 --I   (1)  - sinh(x)  + cosh(x)  + %Y == %Y + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 34
 
 --S 35 of 298
@@ -388,14 +388,14 @@ t1:=cosh(x)^2-sinh(x)^2 - 1
 --R
 --R                 2          2
 --R   (2)  - sinh(x)  + cosh(x)  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 35
 
 --S 36 of 298
 t2:=coshsinh t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 36
 
 \end{chunk}
@@ -409,7 +409,7 @@ sechtanh:=rule(sech(x)^2+tanh(x)^2 == 1)
 --R
 --R               2          2
 --I   (1)  tanh(x)  + sech(x)  + %Z == %Z + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 37
 
 --S 38 of 298
@@ -417,14 +417,14 @@ t1:=sech(x)^2+tanh(x)^2 - 1
 --R
 --R               2          2
 --R   (2)  tanh(x)  + sech(x)  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 38
 
 --S 39 of 298
 t2:=sechtanh t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 39
 
 \end{chunk}
@@ -438,7 +438,7 @@ cothcsch:=rule(coth(x)^2-csch(x)^2 == 1)
 --R
 --R                 2          2
 --I   (1)  - csch(x)  + coth(x)  + %BA == %BA + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 40
 
 --S 41 of 298
@@ -446,14 +446,14 @@ t1:=coth(x)^2-csch(x)^2 - 1
 --R
 --R                 2          2
 --R   (2)  - csch(x)  + coth(x)  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 41
 
 --S 42 of 298
 t2:=cothcsch t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 42
 
 \end{chunk}
@@ -468,7 +468,7 @@ Axiom already knows these simplifications
 sinh(-x)
 --R
 --R   (1)  - sinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 43
 
 
@@ -482,7 +482,7 @@ sinh(-x)
 cosh(-x)
 --R
 --R   (1)  cosh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 44
 
 \end{chunk}
@@ -495,7 +495,7 @@ cosh(-x)
 tanh(-x)
 --R
 --R   (1)  - tanh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 45
 
 \end{chunk}
@@ -508,7 +508,7 @@ tanh(-x)
 csch(-x)
 --R
 --R   (1)  - csch(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 \end{chunk}
@@ -521,7 +521,7 @@ csch(-x)
 sech(-x)
 --R
 --R   (1)  sech(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 47
 
 \end{chunk}
@@ -534,7 +534,7 @@ sech(-x)
 coth(-x)
 --R
 --R   (1)  - coth(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 48
 
 \end{chunk}
@@ -548,42 +548,42 @@ coth(-x)
 sinhadd:=rule(sinh(x+y) == sinh(x)*cosh(y)+cosh(x)*sinh(y))
 --R
 --R   (1)  sinh(y + x) == cosh(x)sinh(y) + cosh(y)sinh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 49
 
 --S 50 of 298
 t1:=sinh(x+y) - (sinh(x)*cosh(y)+cosh(x)*sinh(y))
 --R
 --R   (2)  sinh(y + x) - cosh(x)sinh(y) - cosh(y)sinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 50
 
 --S 51 of 298
 t2:=sinhadd t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 51
 
 --S 52 of 298
 sinhsub:=rule(sinh(x-y) == sinh(x)*cosh(y)-cosh(x)*sinh(y))
 --R
 --I   (4)  - %T sinh(y - x) == - %T cosh(x)sinh(y) + %T cosh(y)sinh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 52
 
 --S 53 of 298
 t3:=sinh(x-y) - (sinh(x)*cosh(y)-cosh(x)*sinh(y))
 --R
 --R   (5)  cosh(x)sinh(y) - sinh(y - x) - cosh(y)sinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 53
 
 --S 54 of 298
 t4:=sinhsub t3
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 54 
 
 \end{chunk}
@@ -596,42 +596,42 @@ t4:=sinhsub t3
 coshadd:=rule(cosh(x+y) == cosh(x)*cosh(y)+sinh(x)*sinh(y))
 --R
 --R   (1)  cosh(y + x) == sinh(x)sinh(y) + cosh(x)cosh(y)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 55
 
 --S 56 of 298
 t1:=cosh(x+y) - (cosh(x)*cosh(y)+sinh(x)*sinh(y))
 --R
 --R   (2)  - sinh(x)sinh(y) + cosh(y + x) - cosh(x)cosh(y)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 56
 
 --S 57 of 298
 t2:=coshadd t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 57
 
 --S 58 of 298
 coshsub:=rule(cosh(x-y) == cosh(x)*cosh(y)-sinh(x)*sinh(y))
 --R
 --R   (4)  cosh(y - x) == - sinh(x)sinh(y) + cosh(x)cosh(y)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 58
 
 --S 59 of 298
 t3:=cosh(x-y) - (cosh(x)*cosh(y)-sinh(x)*sinh(y))
 --R
 --R   (5)  sinh(x)sinh(y) - cosh(x)cosh(y) + cosh(y - x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 59
 
 --S 60 of 298
 t4:=coshsub t3
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 60
 
 \end{chunk}
@@ -646,7 +646,7 @@ tanhadd:=rule(tanh(x+y) == (tanh(x)+tanh(y))/(1+tanh(x)*tanh(y)))
 --R                        tanh(y) + tanh(x)
 --R   (1)  tanh(y + x) == ------------------
 --R                       tanh(x)tanh(y) + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 61
 
 --S 62 of 298
@@ -655,14 +655,14 @@ t1:=tanh(x+y) - (tanh(x)+tanh(y))/(1+tanh(x)*tanh(y))
 --R        (tanh(x)tanh(y) + 1)tanh(y + x) - tanh(y) - tanh(x)
 --R   (2)  ---------------------------------------------------
 --R                         tanh(x)tanh(y) + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 62
 
 --S 63 of 298
 t2:=tanhadd t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 63
 
 --S 64 of 298
@@ -671,7 +671,7 @@ tanhneg:=rule(tanh(x-y) == (tanh(x)-tanh(y))/(1-tanh(x)*tanh(y)))
 --I                            %V tanh(y) - %V tanh(x)
 --I   (4)  - %V tanh(y - x) == -----------------------
 --R                               tanh(x)tanh(y) - 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 64
 
 --S 65 of 298
@@ -680,7 +680,7 @@ t3:=tanh(x-y) - (tanh(x)-tanh(y))/(1-tanh(x)*tanh(y))
 --R        (- tanh(x)tanh(y - x) - 1)tanh(y) + tanh(y - x) + tanh(x)
 --R   (5)  ---------------------------------------------------------
 --R                            tanh(x)tanh(y) - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 65
 
 \end{chunk}
@@ -702,7 +702,7 @@ cothadd:=rule(coth(x+y) == (coth(x)*coth(y)+1)/(coth(y)+coth(x)))
 --R                       coth(x)coth(y) + 1
 --R   (1)  coth(y + x) == ------------------
 --R                        coth(y) + coth(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 67
 
 --S 68 of 298
@@ -711,14 +711,14 @@ t1:=coth(x+y) - (coth(x)*coth(y)+1)/(coth(y)+coth(x))
 --R        (coth(y) + coth(x))coth(y + x) - coth(x)coth(y) - 1
 --R   (2)  ---------------------------------------------------
 --R                         coth(y) + coth(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 68
 
 --S 69 of 298
 t2:=cothadd t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 69
 
 --S 70 of 298
@@ -727,7 +727,7 @@ cothneg:=rule(coth(x-y) == (coth(x)*coth(y)-1)/(coth(y)-coth(x)))
 --I                            %W coth(x)coth(y) - %W
 --I   (4)  - %W coth(y - x) == ----------------------
 --R                               coth(y) - coth(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 70
 
 --S 71 of 298
@@ -736,7 +736,7 @@ t3:=coth(x-y) - (coth(x)*coth(y)-1)/(coth(y)-coth(x))
 --R        (- coth(y - x) - coth(x))coth(y) + coth(x)coth(y - x) + 1
 --R   (5)  ---------------------------------------------------------
 --R                            coth(y) - coth(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 71
 
 \end{chunk}
@@ -757,21 +757,21 @@ This loops forever
 sinh2x:=rule(sinh(2*x) == 2*sinh(x)*cosh(x))
 --R
 --R   (1)  sinh(2x) == 2cosh(x)sinh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 73
 
 --S 74 of 298
 t1:=sinh(2*x) - 2*sinh(x)*cosh(x)
 --R
 --R   (2)  sinh(2x) - 2cosh(x)sinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 74
 
 --S 75 of 298
 t2:=sinh2x t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 75
 
 \end{chunk}
@@ -787,7 +787,7 @@ cosh2x:=rule(cosh(2*x) == cosh(x)^2+sinh(x)^2)
 --R
 --R                           2          2
 --R   (1)  cosh(2x) == sinh(x)  + cosh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 76
 
 --S 77 of 298
@@ -795,14 +795,14 @@ t1:=cosh(2*x) - (cosh(x)^2+sinh(x)^2)
 --R
 --R                 2                     2
 --R   (2)  - sinh(x)  + cosh(2x) - cosh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 77
 
 --S 78 of 298
 t2:=cosh2x t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 78
 
 --S 79 of 298
@@ -810,7 +810,7 @@ cosh2x2:=rule(cosh(2*x) == 2*cosh(x)^2-1)
 --R
 --R                            2
 --R   (4)  cosh(2x) == 2cosh(x)  - 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 79
 
 --S 80 of 298
@@ -818,14 +818,14 @@ t3:=cosh(2*x) - (2*cosh(x)^2-1)
 --R
 --R                           2
 --R   (5)  cosh(2x) - 2cosh(x)  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 80
 
 --S 81 of 298
 t4:=cosh2x2 t3
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 81
 
 --S 82 of 298
@@ -833,7 +833,7 @@ cosh2x3:=rule(cosh(2*x) == 1+2*sinh(x)^2)
 --R
 --R                            2
 --R   (7)  cosh(2x) == 2sinh(x)  + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 82
 
 --S 83 of 298
@@ -841,14 +841,14 @@ t5:=cosh(2*x) - (1+2*sinh(x)^2)
 --R
 --R                  2
 --R   (8)  - 2sinh(x)  + cosh(2x) - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 83
 
 --S 84 of 298
 t6:=cosh2x3 t5
 --R
 --R   (9)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 84
 
 \end{chunk}
@@ -864,7 +864,7 @@ tanh2x:=rule(tanh(2*x) == (2*tanh(x))/(1+tanh(x)^2))
 --R   (1)  tanh(2x) == ------------
 --R                           2
 --R                    tanh(x)  + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 85
 
 --S 86 of 298
@@ -875,14 +875,14 @@ t1:=tanh(2*x) - (2*tanh(x))/(1+tanh(x)^2)
 --R   (2)  ---------------------------------
 --R                          2
 --R                   tanh(x)  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 86
 
 --S 87 of 298
 t2:=tanh2x t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 87
 
 \end{chunk}
@@ -902,7 +902,7 @@ sinhhalf:=rule(sinh(x/2) == sqrt((cosh(x)-1)/2))
 --R   (1)  sinh(-) == --------------
 --R             2           +-+
 --R                        \|2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 88
 
 --S 89 of 298
@@ -914,14 +914,14 @@ t1:=sinh(x/2) - sqrt((cosh(x)-1)/2)
 --R   (2)  ------------------------------
 --R                      +-+
 --R                     \|2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 89
 
 --S 90 of 298
 t2:=sinhhalf t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 90
 
 \end{chunk}
@@ -937,7 +937,7 @@ sinhhalfneg:=rule(sinh(x/2) == -sqrt((cosh(x)-1)/2))
 --R   (1)  sinh(-) == - --------------
 --R             2             +-+
 --R                          \|2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 91
 
 --S 92 of 298
@@ -949,14 +949,14 @@ t1:=sinh(x/2) - -sqrt((cosh(x)-1)/2)
 --R   (2)  ----------------------------
 --R                     +-+
 --R                    \|2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 92
 
 --S 93 of 298
 t2:=sinhhalfneg t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 93
 
 \end{chunk}
@@ -973,7 +973,7 @@ coshhalf:=rule(cosh(x/2) == sqrt((cosh(x)+1)/2))
 --R   (1)  cosh(-) == --------------
 --R             2           +-+
 --R                        \|2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 94
 
 --S 95 of 298
@@ -985,14 +985,14 @@ t1:=cosh(x/2) - sqrt((cosh(x)+1)/2)
 --R   (2)  ------------------------------
 --R                      +-+
 --R                     \|2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 95
 
 --S 96 of 298
 t2:=coshhalf t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 96
 
 \end{chunk}
@@ -1012,7 +1012,7 @@ tanhhalf:=rule(tanh(x/2) == sqrt((cosh(x)-1)/(cosh(x)+1)))
 --R             x      |cosh(x) - 1
 --R   (1)  tanh(-) ==  |-----------
 --R             2     \|cosh(x) + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 97
 
 --S 98 of 298
@@ -1022,14 +1022,14 @@ t1:=tanh(x/2) -sqrt((cosh(x)-1)/(cosh(x)+1))
 --R           |cosh(x) - 1         x
 --R   (2)  -  |-----------  + tanh(-)
 --R          \|cosh(x) + 1         2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 98
 
 --S 99 of 298
 t2:=tanhhalf t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 99
 
 \end{chunk}
@@ -1044,7 +1044,7 @@ tanhhalfneg:=rule(tanh(x/2) == -sqrt((cosh(x)-1)/(cosh(x)+1)))
 --R             x        |cosh(x) - 1
 --R   (1)  tanh(-) == -  |-----------
 --R             2       \|cosh(x) + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 100
 
 --S 101 of 298
@@ -1054,14 +1054,14 @@ t1:=tanh(x/2) - -sqrt((cosh(x)-1)/(cosh(x)+1))
 --R         |cosh(x) - 1         x
 --R   (2)   |-----------  + tanh(-)
 --R        \|cosh(x) + 1         2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 101
 
 --S 102 of 298
 t2:=tanhhalfneg t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 102
 
 )clear all
@@ -1072,7 +1072,7 @@ tanhhalf2:=rule(tanh(x/2) == sinh(x)/(cosh(x)+1))
 --R             x       sinh(x)
 --R   (1)  tanh(-) == -----------
 --R             2     cosh(x) + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 103
 
 --S 104 of 298
@@ -1083,14 +1083,14 @@ t1:=tanh(x/2) - sinh(x)/(cosh(x)+1)
 --R                          2
 --R   (2)  ------------------------------
 --R                  cosh(x) + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 104
 
 --S 105 of 298
 t2:=tanhhalf2 t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 105
 
 )clear all
@@ -1101,7 +1101,7 @@ tanhhalf3:=rule(tanh(x/2) == (cosh(x)-1)/sinh(x))
 --R             x     cosh(x) - 1
 --R   (1)  tanh(-) == -----------
 --R             2       sinh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 106
 
 --S 107 of 298
@@ -1112,14 +1112,14 @@ t1:=tanh(x/2) - (cosh(x)-1)/sinh(x)
 --R                    2
 --R   (2)  ----------------------------
 --R                   sinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 107
 
 --S 108 of 298
 t2:=tanhhalf3 t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 108
 
 \end{chunk}
@@ -1135,7 +1135,7 @@ sinh3x:=rule(sinh(3*x) == 3*sinh(x)+4*sinh(x)^3)
 --R
 --R                            3
 --R   (1)  sinh(3x) == 4sinh(x)  + 3sinh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 109
 
 --S 110 of 298
@@ -1143,14 +1143,14 @@ t1:=sinh(3*x) - (3*sinh(x)+4*sinh(x)^3)
 --R
 --R                           3
 --R   (2)  sinh(3x) - 4sinh(x)  - 3sinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 110
 
 --S 111 of 298
 t2:=sinh3x t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 111
 
 \end{chunk}
@@ -1164,7 +1164,7 @@ cosh3x:=rule(cosh(3*x) == 4*cosh(x)^3-3*cosh(x))
 --R
 --R                            3
 --R   (1)  cosh(3x) == 4cosh(x)  - 3cosh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 112
 
 --S 113 of 298
@@ -1172,14 +1172,14 @@ t1:=cosh(3*x) - (4*cosh(x)^3-3*cosh(x))
 --R
 --R                           3
 --R   (2)  cosh(3x) - 4cosh(x)  + 3cosh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 113
 
 --S 114 of 298
 t2:=cosh3x t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 114
 
 \end{chunk}
@@ -1196,7 +1196,7 @@ tanh3x:=rule(tanh(3*x) == (3*tanh(x)+tanh(x)^3)/(1+3*tanh(x)^2))
 --R   (1)  tanh(3x) == -------------------
 --R                               2
 --R                       3tanh(x)  + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 115
 
 --S 116 of 298
@@ -1207,14 +1207,14 @@ t1:=tanh(3*x) - (3*tanh(x)+tanh(x)^3)/(1+3*tanh(x)^2)
 --R   (2)  ---------------------------------------------
 --R                                2
 --R                        3tanh(x)  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 116
 
 --S 117 of 298
 t2:=tanh3x t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 117
 
 \end{chunk}
@@ -1228,7 +1228,7 @@ sinh4x:=rule(sinh(4*x) == 8*sinh(x)^3*cosh(x)+4*sinh(x)*cosh(x))
 --R
 --R                                   3
 --R   (1)  sinh(4x) == 8cosh(x)sinh(x)  + 4cosh(x)sinh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 118
 
 --S 119 of 298
@@ -1236,14 +1236,14 @@ t1:=sinh(4*x) - (8*sinh(x)^3*cosh(x)+4*sinh(x)*cosh(x))
 --R
 --R                                  3
 --R   (2)  sinh(4x) - 8cosh(x)sinh(x)  - 4cosh(x)sinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 119
 
 --S 120 of 298
 t2:=sinh4x t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 120
 
 \end{chunk}
@@ -1257,7 +1257,7 @@ cosh4x:=rule(cosh(4*x) == 8*cosh(x)^4-8*cosh(x)^2+1)
 --R
 --R                            4           2
 --R   (1)  cosh(4x) == 8cosh(x)  - 8cosh(x)  + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 121
 
 --S 122 of 298
@@ -1265,14 +1265,14 @@ t1:=cosh(4*x) - (8*cosh(x)^4-8*cosh(x)^2+1)
 --R
 --R                           4           2
 --R   (2)  cosh(4x) - 8cosh(x)  + 8cosh(x)  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 122
 
 --S 123 of 298
 t2:=cosh4x t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 123
 
 \end{chunk}
@@ -1289,7 +1289,7 @@ tanh4x:=rule(tanh(4*x) == (4*tanh(x)+4*tanh(x)^3)/(1+6*tanh(x)^2+tanh(x)^4))
 --R   (1)  tanh(4x) == ------------------------
 --R                           4           2
 --R                    tanh(x)  + 6tanh(x)  + 1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 124
 
 --S 125 of 298
@@ -1300,14 +1300,14 @@ t1:=tanh(4*x) - (4*tanh(x)+4*tanh(x)^3)/(1+6*tanh(x)^2+tanh(x)^4)
 --R   (2)  ---------------------------------------------------------
 --R                                4           2
 --R                         tanh(x)  + 6tanh(x)  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 125
 
 --S 126 of 298
 t2:=tanh4x t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 126
 
 \end{chunk}
@@ -1324,7 +1324,7 @@ sinhsquared:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R               2    cosh(2x) - 1
 --R   (1)  sinh(x)  == ------------
 --R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 127
 
 --S 128 of 298
@@ -1334,14 +1334,14 @@ t1:=sinh(x)^2 - (1/2*cosh(2*x)-1/2)
 --R        2sinh(x)  - cosh(2x) + 1
 --R   (2)  ------------------------
 --R                    2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 128
 
 --S 129 of 298
 t2:=sinhsquared t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 129
 
 \end{chunk}
@@ -1374,7 +1374,7 @@ sinhcubed:=rule(sinh(x)^3 == 1/4*sinh(3*x)-3/4*sinh(x))
 --R               3    sinh(3x) - 3sinh(x)
 --R   (1)  sinh(x)  == -------------------
 --R                             4
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 133
 
 --S 134 of 298
@@ -1384,14 +1384,14 @@ t1:=sinh(x)^3 - (1/4*sinh(3*x)-3/4*sinh(x))
 --R        - sinh(3x) + 4sinh(x)  + 3sinh(x)
 --R   (2)  ---------------------------------
 --R                        4
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 134
 
 --S 135 of 298
 t2:=sinhcubed t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 135
 
 \end{chunk}
@@ -1406,7 +1406,7 @@ coshcubed:=rule(cosh(x)^3 == 1/4*cosh(3*x)+3/4*cosh(x))
 --R               3    cosh(3x) + 3cosh(x)
 --R   (1)  cosh(x)  == -------------------
 --R                             4
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 136
 
 --S 137 of 298
@@ -1416,14 +1416,14 @@ t1:=cosh(x)^3 - (1/4*cosh(3*x)+3/4*cosh(x))
 --R        - cosh(3x) + 4cosh(x)  - 3cosh(x)
 --R   (2)  ---------------------------------
 --R                        4
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 137
 
 --S 138 of 298
 t2:=coshcubed t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 138
 
 \end{chunk}
@@ -1438,7 +1438,7 @@ sinhfourth:=rule(sinh(x)^4 == 3/8-1/2*cosh(2*x)+1/8*cosh(4*x))
 --R               4    cosh(4x) - 4cosh(2x) + 3
 --R   (1)  sinh(x)  == ------------------------
 --R                                8
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 139
 
 --S 140 of 298
@@ -1448,14 +1448,14 @@ t1:=sinh(x)^4 - (3/8-1/2*cosh(2*x)+1/8*cosh(4*x))
 --R        8sinh(x)  - cosh(4x) + 4cosh(2x) - 3
 --R   (2)  ------------------------------------
 --R                          8
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 140
 
 --S 141 of 298
 t2:=sinhfourth t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 141
 
 \end{chunk}
@@ -1470,7 +1470,7 @@ coshfourth:=rule(cosh(x)^4 == 3/8+1/2*cosh(2*x)+1/8*cosh(4*x))
 --R               4    cosh(4x) + 4cosh(2x) + 3
 --R   (1)  cosh(x)  == ------------------------
 --R                                8
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 142
 
 --S 143 of 298
@@ -1480,14 +1480,14 @@ t1:=cosh(x)^4 - (3/8+1/2*cosh(2*x)+1/8*cosh(4*x))
 --R        - cosh(4x) - 4cosh(2x) + 8cosh(x)  - 3
 --R   (2)  --------------------------------------
 --R                           8
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 143
 
 --S 144 of 298
 t2:=coshfourth t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 144
 
 \end{chunk}
@@ -1503,7 +1503,7 @@ sinhplussinh:=rule(sinh(x)+sinh(y) == 2*sinh(1/2*(x+y))*cosh(1/2*(x-y)))
 --R                                        y - x      y + x
 --I   (1)  sinh(y) + sinh(x) + %M == 2cosh(-----)sinh(-----) + %M
 --R                                          2          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 145
 
 --S 146 of 298
@@ -1512,14 +1512,14 @@ t1:=sinh(x)+sinh(y) - 2*sinh(1/2*(x+y))*cosh(1/2*(x-y))
 --R                        y - x      y + x
 --R   (2)  sinh(y) - 2cosh(-----)sinh(-----) + sinh(x)
 --R                          2          2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 146
 
 --S 147 of 298
 t2:=sinhplussinh t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 147
 
 \end{chunk}
@@ -1534,7 +1534,7 @@ sinhminussinh:=rule(sinh(x)-sinh(y) == 2*cosh(1/2*(x+y))*sinh(1/2*(x-y)))
 --R                                            y + x      y - x
 --I   (1)  - sinh(y) + sinh(x) + %N == - 2cosh(-----)sinh(-----) + %N
 --R                                              2          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 148
 
 --S 149 of 298
@@ -1543,14 +1543,14 @@ t1:=sinh(x)-sinh(y) - 2*cosh(1/2*(x+y))*sinh(1/2*(x-y))
 --R                          y + x      y - x
 --R   (2)  - sinh(y) + 2cosh(-----)sinh(-----) + sinh(x)
 --R                            2          2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 149
 
 --S 150 of 298
 t2:=sinhminussinh t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 150
 
 \end{chunk}
@@ -1565,7 +1565,7 @@ coshpluscosh:=rule(cosh(x)+cosh(y) == 2*cosh(1/2*(x+y))*cosh(1/2*(x-y)))
 --R                                        y - x      y + x
 --I   (1)  cosh(y) + cosh(x) + %O == 2cosh(-----)cosh(-----) + %O
 --R                                          2          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 151
 
 --S 152 of 298
@@ -1574,14 +1574,14 @@ t1:=cosh(x)+cosh(y) - 2*cosh(1/2*(x+y))*cosh(1/2*(x-y))
 --R                        y - x      y + x
 --R   (2)  cosh(y) - 2cosh(-----)cosh(-----) + cosh(x)
 --R                          2          2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 152
 
 --S 153 of 298
 t2:=coshpluscosh t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 153
 
 \end{chunk}
@@ -1596,7 +1596,7 @@ coshminuscosh:=rule(cosh(x)-cosh(y) == 2*sinh(1/2*(x+y))*sinh(1/2*(x-y)))
 --R                                            y - x      y + x
 --I   (1)  - cosh(y) + cosh(x) + %P == - 2sinh(-----)sinh(-----) + %P
 --R                                              2          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 154
 
 --S 155 of 298
@@ -1605,14 +1605,14 @@ t1:=cosh(x)-cosh(y) - 2*sinh(1/2*(x+y))*sinh(1/2*(x-y))
 --R              y - x      y + x
 --R   (2)  2sinh(-----)sinh(-----) - cosh(y) + cosh(x)
 --R                2          2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 155
 
 --S 156 of 298
 t2:=coshminuscosh t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 156
 
 \end{chunk}
@@ -1627,7 +1627,7 @@ sinhtimessinh:=rule(sinh(x)*sinh(y) == 1/2*(cosh(x+y)-cosh(x-y)))
 --I                             %Q cosh(y + x) - %Q cosh(y - x)
 --I   (1)  %Q sinh(x)sinh(y) == -------------------------------
 --R                                            2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 157
 
 --S 158 of 298
@@ -1636,14 +1636,14 @@ t1:=sinh(x)*sinh(y) - (1/2*(cosh(x+y)-cosh(x-y)))
 --R        2sinh(x)sinh(y) - cosh(y + x) + cosh(y - x)
 --R   (2)  -------------------------------------------
 --R                             2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 158
 
 --S 159 of 298
 t2:=sinhtimessinh t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 159
 
 \end{chunk}
@@ -1658,7 +1658,7 @@ coshtimescosh:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
 --I                             %R cosh(y + x) + %R cosh(y - x)
 --I   (1)  %R cosh(x)cosh(y) == -------------------------------
 --R                                            2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 160
 
 --S 161 of 298
@@ -1667,14 +1667,14 @@ t1:=cosh(x)*cosh(y) - 1/2*(cosh(x+y)+cosh(x-y))
 --R        - cosh(y + x) + 2cosh(x)cosh(y) - cosh(y - x)
 --R   (2)  ---------------------------------------------
 --R                              2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 161
 
 --S 162 of 298
 t2:=coshtimescosh t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 162
 
 \end{chunk}
@@ -1689,7 +1689,7 @@ sinhtimescosh:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --I                             %S sinh(y + x) - %S sinh(y - x)
 --I   (1)  %S cosh(y)sinh(x) == -------------------------------
 --R                                            2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 163
 
 --S 164 of 298
@@ -1698,14 +1698,14 @@ t1:=sinh(x)*cosh(y) - 1/2*(sinh(x+y)+sinh(x-y))
 --R        - sinh(y + x) + sinh(y - x) + 2cosh(y)sinh(x)
 --R   (2)  ---------------------------------------------
 --R                              2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 164
 
 --S 165 of 298
 t2:=sinhtimescosh t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 165
 
 \end{chunk}
@@ -1721,7 +1721,7 @@ asinhrule:=rule(asinh(x) == log(x+sqrt(x^2+1)))
 --R                         +------+
 --R                         | 2
 --R   (1)  asinh(x) == log(\|x  + 1  + x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 166
 
 --S 167 of 298
@@ -1730,14 +1730,14 @@ t1:=asinh(x) - log(x+sqrt(x^2+1))
 --R               +------+
 --R               | 2
 --R   (2)  - log(\|x  + 1  + x) + asinh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 167
 
 --S 168 of 298
 t2:=asinhrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 168
 
 \end{chunk}
@@ -1752,7 +1752,7 @@ acoshrule:=rule(acosh(x) == log(x+sqrt(x^2-1)))
 --R                         +------+
 --R                         | 2
 --R   (1)  acosh(x) == log(\|x  - 1  + x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 169
 
 --S 170 of 298
@@ -1761,14 +1761,14 @@ t1:=acosh(x) - log(x+sqrt(x^2-1))
 --R               +------+
 --R               | 2
 --R   (2)  - log(\|x  - 1  + x) + acosh(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 170
 
 --S 171 of 298
 t2:=acoshrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 171
 
 \end{chunk}
@@ -1786,7 +1786,7 @@ atanhrule:=rule(atanh(x) == 1/2*log((1+x)/(1-x)))
 --R                         x - 1
 --R   (1)  atanh(x) == ------------
 --R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 172
 
 --S 173 of 298
@@ -1797,14 +1797,14 @@ t1:=atanh(x) - 1/2*log((1+x)/(1-x))
 --R               x - 1
 --R   (2)  --------------------------
 --R                     2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 173
 
 --S 174 of 298
 t2:=atanhrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 174
 
 \end{chunk}
@@ -1822,7 +1822,7 @@ acothrule:=rule(acoth(x) == 1/2*log((x+1)/(x-1)))
 --R                        x - 1
 --R   (1)  acoth(x) == ----------
 --R                         2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 175
 
 --S 176 of 298
@@ -1833,14 +1833,14 @@ t1:=acoth(x) - 1/2*log((x+1)/(x-1))
 --R              x - 1
 --R   (2)  ------------------------
 --R                    2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 176
 
 --S 177 of 298
 t2:=acothrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 177
 
 \end{chunk}
@@ -1861,7 +1861,7 @@ asechrule:=rule(asech(x) == log(1/x+sqrt(1/x^2-1)))
 --R                         \|   x
 --R   (1)  asech(x) == log(----------------)
 --R                                x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 178
 
 --S 179 of 298
@@ -1875,14 +1875,14 @@ t1:=asech(x) - log(1/x+sqrt(1/x^2-1))
 --R               \|   x
 --R   (2)  - log(----------------) + asech(x)
 --R                      x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 179
 
 --S 180 of 298
 t2:=asechrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 180
 
 \end{chunk}
@@ -1902,7 +1902,7 @@ acschrule:=rule(acsch(x) == log(1/x+sqrt(1/x^2+1)))
 --R                         \|  x
 --R   (1)  acsch(x) == log(--------------)
 --R                               x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 181
 
 --S 182 of 298
@@ -1916,14 +1916,14 @@ t1:=acsch(x) - log(1/x+sqrt(1/x^2+1))
 --R               \|  x
 --R   (2)  - log(--------------) + acsch(x)
 --R                     x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 182
 
 --S 183 of 298
 t2:=acschrule t1
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 183
 
 \end{chunk}
@@ -1941,7 +1941,7 @@ cschinv:=rule(csch(x)^(-1) == sinh(1/x)^(-1))
 --R        csch(x)         1
 --R                   sinh(-)
 --R                        x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 184
 
 --S 185 of 298
@@ -1954,7 +1954,7 @@ t1:=csch(x)^(-1) - sinh(1/x)^(-1)
 --R                      1
 --R          csch(x)sinh(-)
 --R                      x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 185
 
 --S 186 of 298
@@ -1967,7 +1967,7 @@ t2:=cschinv t1
 --R                      1
 --R          csch(x)sinh(-)
 --R                      x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 186
 
 \end{chunk}
@@ -1984,7 +1984,7 @@ sechinv:=rule(sech(x)^(-1) == cosh(1/x)^(-1))
 --R        sech(x)         1
 --R                   cosh(-)
 --R                        x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 187
 
 --S 188 of 298
@@ -1997,7 +1997,7 @@ t1:=sech(x)^(-1) - cosh(1/x)^(-1)
 --R                1
 --R           cosh(-)sech(x)
 --R                x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 188
 
 --S 189 of 298
@@ -2010,7 +2010,7 @@ t2:=sechinv t1
 --R                1
 --R           cosh(-)sech(x)
 --R                x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 189
 
 \end{chunk}
@@ -2027,7 +2027,7 @@ cothinv:=rule(coth(x)^(-1) == tanh(1/x)^(-1))
 --R        coth(x)         1
 --R                   tanh(-)
 --R                        x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 190
 
 --S 191 of 298
@@ -2040,7 +2040,7 @@ t1:=coth(x)^(-1) - tanh(1/x)^(-1)
 --R                      1
 --R          coth(x)tanh(-)
 --R                      x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 191
 
 --S 192 of 298
@@ -2053,7 +2053,7 @@ t2:=cothinv t1
 --R                      1
 --R          coth(x)tanh(-)
 --R                      x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 192
 
 \end{chunk}
@@ -2067,7 +2067,7 @@ These identities are already known to Axiom
 t1:=sinh(-x)^(-1) - -sinh(x)^(-1)
 --R
 --R   (1)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 193
 
 \end{chunk}
@@ -2080,7 +2080,7 @@ t1:=sinh(-x)^(-1) - -sinh(x)^(-1)
 t1:=tanh(-x)^(-1) - -tanh(x)^(-1)
 --R
 --R   (1)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 194
 
 \end{chunk}
@@ -2093,7 +2093,7 @@ t1:=tanh(-x)^(-1) - -tanh(x)^(-1)
 t1:=coth(-x)^(-1) - -coth(x)^(-1)
 --R
 --R   (1)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 195
 
 \end{chunk}
@@ -2106,7 +2106,7 @@ t1:=coth(-x)^(-1) - -coth(x)^(-1)
 t1:=csch(-x)^(-1) - -csch(x)^(-1)
 --R
 --R   (1)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 196
 
 \end{chunk}
@@ -2121,21 +2121,21 @@ This match does not work.
 sininv:=rule(sin(%i*x) == %i*sinh(x))
 --R
 --R   (1)  sin(%i x) == %i sinh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 197
 
 --S 198 of 298
 t1:=sin(x*%i) - %i*sinh(x)
 --R
 --R   (2)  - %i sinh(x) + sin(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 198
 
 --S 199 of 298
 t2:=sininv t1
 --R
 --R   (3)  - %i sinh(x) + sin(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 199
 
 \end{chunk}
@@ -2148,21 +2148,21 @@ t2:=sininv t1
 cosinv:=rule(cos(x*%i) == cosh(x))
 --R
 --R   (1)  cos(%i x) == cosh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 200
 
 --S 201 of 298
 t1:=cos(x*%i) - cosh(x)
 --R
 --R   (2)  - cosh(x) + cos(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 201
 
 --S 202 of 298
 t2:=cosinv t1
 --R
 --R   (3)  - cosh(x) + cos(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 202
 
 \end{chunk}
@@ -2175,21 +2175,21 @@ t2:=cosinv t1
 taninv:=rule(tan(x*%i) == %i*tanh(x))
 --R
 --R   (1)  tan(%i x) == %i tanh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 203
 
 --S 204 of 298
 t1:=tan(x*%i) - %i*tanh(x)
 --R
 --R   (2)  - %i tanh(x) + tan(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 204
 
 --S 205 of 298
 t2:=taninv t1
 --R
 --R   (3)  - %i tanh(x) + tan(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 205
 
 \end{chunk}
@@ -2202,21 +2202,21 @@ t2:=taninv t1
 cscinv:=rule(csc(x*%i) == -%i*csch(x))
 --R
 --R   (1)  csc(%i x) == - %i csch(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 206
 
 --S 207 of 298
 t1:=csc(x*%i) - -%i*csch(x)
 --R
 --R   (2)  %i csch(x) + csc(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 207
 
 --S 208 of 298
 t2:=cscinv t1
 --R
 --R   (3)  %i csch(x) + csc(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 208
 
 \end{chunk}
@@ -2229,21 +2229,21 @@ t2:=cscinv t1
 secinv:=rule(sec(x*%i) == sech(x))
 --R
 --R   (1)  sec(%i x) == sech(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 209
 
 --S 210 of 298
 t1:=sec(x*%i) - sech(x)
 --R
 --R   (2)  - sech(x) + sec(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 210
 
 --S 211 of 298
 t2:=secinv t1
 --R
 --R   (3)  - sech(x) + sec(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 211
 
 \end{chunk}
@@ -2256,21 +2256,21 @@ t2:=secinv t1
 cotinv:=rule(cot(x*%i) == -%i*coth(x))
 --R
 --R   (1)  cot(%i x) == - %i coth(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 212
 
 --S 213 of 298
 t1:=cot(x*%i) - -%i*coth(x)
 --R
 --R   (2)  %i coth(x) + cot(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 213
 
 --S 214 of 298
 t2:=cotinv t1
 --R
 --R   (3)  %i coth(x) + cot(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 214 
 
 \end{chunk}
@@ -2283,21 +2283,21 @@ t2:=cotinv t1
 sinhinv:=rule(sinh(x*%i) == %i*sin(x))
 --R
 --R   (1)  sinh(%i x) == %i sin(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 215
 
 --S 216 of 298
 t1:=sinh(x*%i) - %i*sin(x)
 --R
 --R   (2)  sinh(%i x) - %i sin(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 216
 
 --S 217 of 298
 t2:=sinhinv t1
 --R
 --R   (3)  sinh(%i x) - %i sin(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 217
 
 \end{chunk}
@@ -2310,21 +2310,21 @@ t2:=sinhinv t1
 coshinv:=rule(cosh(x*%i) == cos(x))
 --R
 --R   (1)  cosh(%i x) == cos(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 218
 
 --S 219 of 298
 t1:=cosh(x*%i) - cos(x)
 --R
 --R   (2)  cosh(%i x) - cos(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 219
 
 --S 220 of 298
 t2:=coshinv t1
 --R
 --R   (3)  cosh(%i x) - cos(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 220
 
 \end{chunk}
@@ -2337,21 +2337,21 @@ p\subsection{8.82 ${\rm tanh}(ix)$}
 tanhinv:=rule(tanh(x*%i) == %i*tan(x))
 --R
 --R   (1)  tanh(%i x) == %i tan(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 221
 
 --S 222 of 298
 t1:=tanh(x*%i) - %i*tan(x)
 --R
 --R   (2)  tanh(%i x) - %i tan(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 222
 
 --S 223 of 298
 t2:=tanhinv t1
 --R
 --R   (3)  tanh(%i x) - %i tan(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 223
 
 \end{chunk}
@@ -2364,21 +2364,21 @@ t2:=tanhinv t1
 cschinv:=rule(x*%i == -%i*csc(x))
 --R
 --R   (1)  %i x == - %i csc(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 224
 
 --S 225 of 298
 t1:=x*%i - -%i*csc(x)
 --R
 --R   (2)  %i csc(x) + %i x
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 225
 
 --S 226 of 298
 t2:=cschinv t1
 --R
 --R   (3)  %i csc(x) + %i x
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 226
 
 \end{chunk}
@@ -2391,21 +2391,21 @@ t2:=cschinv t1
 sechinv:=rule(sech(x*%i) == sec(x))
 --R
 --R   (1)  sech(%i x) == sec(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 227
 
 --S 228 of 298
 t1:=sech(x*%i) - sec(x)
 --R
 --R   (2)  sech(%i x) - sec(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 228
 
 --S 229 of 298
 t2:=sechinv t1
 --R
 --R   (3)  sech(%i x) - sec(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 229
 
 \end{chunk}
@@ -2418,21 +2418,21 @@ t2:=sechinv t1
 cothinv:=rule(coth(x*%i) == -%i*cot(x))
 --R
 --R   (1)  coth(%i x) == - %i cot(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 230
 
 --S 231 of 298
 t1:=coth(x*%i) - -%i*cot(x)
 --R
 --R   (2)  coth(%i x) + %i cot(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 231
 
 --S 232 of 298
 t2:=cothinv t1
 --R
 --R   (3)  coth(%i x) + %i cot(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 232
 
 \end{chunk}
@@ -2447,21 +2447,21 @@ t2:=cothinv t1
 sinhperiod:=rule(sinh(x+2*k*%pi*%i) == sinh(x))
 --R
 --R   (1)  sinh(x + 2%i k %pi) == sinh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 233
 
 --S 234 of 298
 t1:=sinh(x+2*k*%pi*%i) - sinh(x)
 --R
 --R   (2)  sinh(x + 2%i k %pi) - sinh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 234
 
 --S 235 of 298
 t2:=sinhperiod t1
 --R
 --R   (3)  sinh(x + 2%i k %pi) - sinh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 235
 
 \end{chunk}
@@ -2474,21 +2474,21 @@ t2:=sinhperiod t1
 coshperiod:=rule(cosh(x+2*k*%pi*%i) == cosh(x))
 --R
 --R   (1)  cosh(x + 2%i k %pi) == cosh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 236
 
 --S 237 of 298
 t1:=cosh(x+2*k*%pi*%i) - cosh(x)
 --R
 --R   (2)  cosh(x + 2%i k %pi) - cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 237
 
 --S 238 of 298
 t2:=coshperiod t1
 --R
 --R   (3)  cosh(x + 2%i k %pi) - cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 238
 
 \end{chunk}
@@ -2501,21 +2501,21 @@ t2:=coshperiod t1
 tanhperiod:=rule(tanh(x+k*%pi*%i) == tanh(x))
 --R
 --R   (1)  tanh(x + %i k %pi) == tanh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 239
 
 --S 240 of 298
 t1:=tanh(x+k*%pi*%i) - tanh(x)
 --R
 --R   (2)  tanh(x + %i k %pi) - tanh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 240
 
 --S 241 of 298
 t2:=tanhperiod t1
 --R
 --R   (3)  tanh(x + %i k %pi) - tanh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 241
 
 \end{chunk}
@@ -2528,21 +2528,21 @@ t2:=tanhperiod t1
 cschperiod:=rule(csch(x+2*k*%pi*%i) == csch(x))
 --R
 --R   (1)  csch(x + 2%i k %pi) == csch(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 242
 
 --S 243 of 298
 t1:=csch(x+2*k*%pi*%i) - csch(x)
 --R
 --R   (2)  csch(x + 2%i k %pi) - csch(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 243
 
 --S 244 of 298
 t2:=cschperiod t1
 --R
 --R   (3)  csch(x + 2%i k %pi) - csch(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 244
 
 \end{chunk}
@@ -2555,21 +2555,21 @@ t2:=cschperiod t1
 sechperiod:=rule(sech(x+2*k*%pi*%i) == sech(x))
 --R
 --R   (1)  sech(x + 2%i k %pi) == sech(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 245
 
 --S 246 of 298
 t1:=sech(x+2*k*%pi*%i) - sech(x)
 --R
 --R   (2)  sech(x + 2%i k %pi) - sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 246
 
 --S 247 of 298
 t2:=sechperiod t1
 --R
 --R   (3)  sech(x + 2%i k %pi) - sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 247
 
 \end{chunk}
@@ -2582,21 +2582,21 @@ t2:=sechperiod t1
 cothperiod:=rule(coth(x+k*%pi*%i) == coth(x))
 --R
 --R   (1)  coth(x + %i k %pi) == coth(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 248
 
 --S 249 of 298
 t1:=coth(x+k*%pi*%i) - coth(x)
 --R
 --R   (2)  coth(x + %i k %pi) - coth(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 249
 
 --S 250 of 298
 t2:=cothperiod t1
 --R
 --R   (3)  coth(x + %i k %pi) - coth(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 250
 
 \end{chunk}
@@ -2614,7 +2614,7 @@ sinsinh:=rule(sin(%i*x)^(-1) == %i*sinh(x)^(-1))
 --R            1           %i
 --R   (1)  --------- == -------
 --R        sin(%i x)    sinh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 251
 
 --S 252 of 298
@@ -2623,7 +2623,7 @@ t1:=sin(%i*x)^(-1) - %i*sinh(x)^(-1)
 --R        sinh(x) - %i sin(%i x)
 --R   (2)  ----------------------
 --R           sin(%i x)sinh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 252
 
 --S 253 of 298
@@ -2632,7 +2632,7 @@ t2:=sinsinh t1
 --R        sinh(x) - %i sin(%i x)
 --R   (3)  ----------------------
 --R           sin(%i x)sinh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 253
 
 \end{chunk}
@@ -2647,7 +2647,7 @@ sinhsin:=rule(sinh(%i*x)^(-1) == %i*sin(x)^(-1))
 --R             1          %i
 --R   (1)  ---------- == ------
 --R        sinh(%i x)    sin(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 254
 
 --S 255 of 298
@@ -2656,7 +2656,7 @@ t1:=sinh(%i*x)^(-1) - %i*sin(x)^(-1)
 --R        - %i sinh(%i x) + sin(x)
 --R   (2)  ------------------------
 --R            sin(x)sinh(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 255
 
 --S 256 of 298
@@ -2665,7 +2665,7 @@ t2:=sinhsin t1
 --R        - %i sinh(%i x) + sin(x)
 --R   (3)  ------------------------
 --R            sin(x)sinh(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 256
 
 \end{chunk}
@@ -2680,7 +2680,7 @@ coscosh:=rule(cos(x)^(-1) == %i*cosh(x)^(-1))
 --R           1         %i
 --R   (1)  ------ == -------
 --R        cos(x)    cosh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 257
 
 --S 258 of 298
@@ -2689,7 +2689,7 @@ t1:=cos(x)^(-1) - %i*cosh(x)^(-1)
 --R        cosh(x) - %i cos(x)
 --R   (2)  -------------------
 --R           cos(x)cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 258
 
 --S 259 of 298
@@ -2698,7 +2698,7 @@ t2:=coscosh t1
 --R        cosh(x) - %i cos(x)
 --R   (3)  -------------------
 --R           cos(x)cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 259
 
 )clear all
@@ -2709,7 +2709,7 @@ coscosh2:=rule(cos(x)^(-1) == -%i*cosh(x)^(-1))
 --R           1           %i
 --R   (1)  ------ == - -------
 --R        cos(x)      cosh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 260
 
 --S 261 of 298
@@ -2718,7 +2718,7 @@ t1:=cos(x)^(-1) - -%i*cosh(x)^(-1)
 --R        cosh(x) + %i cos(x)
 --R   (2)  -------------------
 --R           cos(x)cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 261
 
 --S 262 of 298
@@ -2727,7 +2727,7 @@ t2:=coscosh2 t1
 --R        cosh(x) + %i cos(x)
 --R   (3)  -------------------
 --R           cos(x)cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 262
 
 \end{chunk}
@@ -2742,7 +2742,7 @@ coshcos:=rule(cosh(x)^(-1) == %i*cos(x)^(-1))
 --R           1         %i
 --R   (1)  ------- == ------
 --R        cosh(x)    cos(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 263
 
 --S 264 of 298
@@ -2751,7 +2751,7 @@ t1:=cosh(x)^(-1) - %i*cos(x)^(-1)
 --R        - %i cosh(x) + cos(x)
 --R   (2)  ---------------------
 --R            cos(x)cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 264
 
 --S 265 of 298
@@ -2760,7 +2760,7 @@ t2:=coshcos t1
 --R        - %i cosh(x) + cos(x)
 --R   (3)  ---------------------
 --R            cos(x)cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 265
 
 )clear all
@@ -2771,7 +2771,7 @@ coshcos2:=rule(cosh(x)^(-1) == -%i*cos(x)^(-1))
 --R           1           %i
 --R   (1)  ------- == - ------
 --R        cosh(x)      cos(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 266
 
 --S 267 of 298
@@ -2780,7 +2780,7 @@ t1:=cosh(x)^(-1) - -%i*cos(x)^(-1)
 --R        %i cosh(x) + cos(x)
 --R   (2)  -------------------
 --R           cos(x)cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 267
 
 --S 268 of 298
@@ -2789,7 +2789,7 @@ t2:=coshcos2 t1
 --R        %i cosh(x) + cos(x)
 --R   (3)  -------------------
 --R           cos(x)cosh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 268
 
 \end{chunk}
@@ -2804,7 +2804,7 @@ tantanh:=rule(tan(%i*x)^(-1) == %i*tanh(x)^(-1))
 --R            1           %i
 --R   (1)  --------- == -------
 --R        tan(%i x)    tanh(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 269
 
 --S 270 of 298
@@ -2813,7 +2813,7 @@ t1:=tan(%i*x)^(-1) - %i*tanh(x)^(-1)
 --R        tanh(x) - %i tan(%i x)
 --R   (2)  ----------------------
 --R           tan(%i x)tanh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 270
 
 --S 271 of 298
@@ -2822,7 +2822,7 @@ t2:=tantanh t1
 --R        tanh(x) - %i tan(%i x)
 --R   (3)  ----------------------
 --R           tan(%i x)tanh(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 271
 
 \end{chunk}
@@ -2837,7 +2837,7 @@ tanhtan:=rule(tanh(%i*x)^(-1) == %i*tan(x)^(-1))
 --R             1          %i
 --R   (1)  ---------- == ------
 --R        tanh(%i x)    tan(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 272
 
 --S 273 of 298
@@ -2846,7 +2846,7 @@ t1:=tanh(%i*x)^(-1) - %i*tan(x)^(-1)
 --R        - %i tanh(%i x) + tan(x)
 --R   (2)  ------------------------
 --R            tan(x)tanh(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 273
 
 --S 274 of 298
@@ -2855,7 +2855,7 @@ t2:=tanhtan t1
 --R        - %i tanh(%i x) + tan(x)
 --R   (3)  ------------------------
 --R            tan(x)tanh(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 274
 
 \end{chunk}
@@ -2870,7 +2870,7 @@ cotcoth:=rule(cot(%i*x)^(-1) == -%i*coth(x)^(-1))
 --R            1             %i
 --R   (1)  --------- == - -------
 --R        cot(%i x)      coth(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 275
 
 --S 276 of 298
@@ -2879,7 +2879,7 @@ t1:=cot(%i*x)^(-1) - -%i*coth(x)^(-1)
 --R        coth(x) + %i cot(%i x)
 --R   (2)  ----------------------
 --R           cot(%i x)coth(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 276
 
 --S 277 of 298
@@ -2888,7 +2888,7 @@ t2:=cotcoth t1
 --R        coth(x) + %i cot(%i x)
 --R   (3)  ----------------------
 --R           cot(%i x)coth(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 277
 
 \end{chunk}
@@ -2903,7 +2903,7 @@ cothcot:=rule(coth(%i*x)^(-1) == -%i*cot(x)^(-1))
 --R             1            %i
 --R   (1)  ---------- == - ------
 --R        coth(%i x)      cot(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 278
 
 --S 279 of 298
@@ -2912,7 +2912,7 @@ t1:=coth(%i*x)^(-1) - -%i*cot(x)^(-1)
 --R        %i coth(%i x) + cot(x)
 --R   (2)  ----------------------
 --R           cot(x)coth(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 279
 
 --S 280 of 298
@@ -2921,7 +2921,7 @@ t2:=cothcot t1
 --R        %i coth(%i x) + cot(x)
 --R   (3)  ----------------------
 --R           cot(x)coth(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 280
 
 \end{chunk}
@@ -2936,7 +2936,7 @@ secsech:=rule(sec(x)^(-1) == %i*sech(x)^(-1))
 --R           1         %i
 --R   (1)  ------ == -------
 --R        sec(x)    sech(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 281
 
 --S 282 of 298
@@ -2945,7 +2945,7 @@ t1:=sec(x)^(-1) - %i*sech(x)^(-1)
 --R        sech(x) - %i sec(x)
 --R   (2)  -------------------
 --R           sec(x)sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 282
 
 --S 283 of 298
@@ -2954,7 +2954,7 @@ t2:=secsech t1
 --R        sech(x) - %i sec(x)
 --R   (3)  -------------------
 --R           sec(x)sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 283
 
 )clear all
@@ -2965,7 +2965,7 @@ secsech2:=rule(sec(x)^(-1) == -%i*sech(x)^(-1))
 --R           1           %i
 --R   (1)  ------ == - -------
 --R        sec(x)      sech(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 284
 
 --S 285 of 298
@@ -2974,7 +2974,7 @@ t1:=sec(x)^(-1) - -%i*sech(x)^(-1)
 --R        sech(x) + %i sec(x)
 --R   (2)  -------------------
 --R           sec(x)sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 285
 
 --S 286 of 298
@@ -2983,7 +2983,7 @@ t2:=secsech2 t1
 --R        sech(x) + %i sec(x)
 --R   (3)  -------------------
 --R           sec(x)sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 286
 
 \end{chunk}
@@ -2998,7 +2998,7 @@ sechsec:=rule(sech(x)^(-1) == %i*sec(x)^(-1))
 --R           1         %i
 --R   (1)  ------- == ------
 --R        sech(x)    sec(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 287
 
 --S 288 of 298
@@ -3007,7 +3007,7 @@ t1:=sech(x)^(-1) - %i*sec(x)^(-1)
 --R        - %i sech(x) + sec(x)
 --R   (2)  ---------------------
 --R            sec(x)sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 288
 
 --S 289 of 298
@@ -3016,7 +3016,7 @@ t2:=sechsec t1
 --R        - %i sech(x) + sec(x)
 --R   (3)  ---------------------
 --R            sec(x)sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 289
 
 )clear all
@@ -3027,7 +3027,7 @@ sechsec:=rule(sech(x)^(-1) == -%i*sec(x)^(-1))
 --R           1           %i
 --R   (1)  ------- == - ------
 --R        sech(x)      sec(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 290
 
 --S 291 of 298
@@ -3036,7 +3036,7 @@ t1:=sech(x)^(-1) - -%i*sec(x)^(-1)
 --R        %i sech(x) + sec(x)
 --R   (2)  -------------------
 --R           sec(x)sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 291
 
 --S 292 of 298
@@ -3045,7 +3045,7 @@ t2:=sechsec t1
 --R        %i sech(x) + sec(x)
 --R   (3)  -------------------
 --R           sec(x)sech(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 292
 
 \end{chunk}
@@ -3060,7 +3060,7 @@ csccsch:=rule(csc(%i*x)^(-1) == -%i*csch(x)^(-1))
 --R            1             %i
 --R   (1)  --------- == - -------
 --R        csc(%i x)      csch(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 293
 
 --S 294 of 298
@@ -3069,7 +3069,7 @@ t1:=csc(%i*x)^(-1) - -%i*csch(x)^(-1)
 --R        csch(x) + %i csc(%i x)
 --R   (2)  ----------------------
 --R           csc(%i x)csch(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 294
 
 --S 295 of 298
@@ -3078,7 +3078,7 @@ t2:=csccsch t1
 --R        csch(x) + %i csc(%i x)
 --R   (3)  ----------------------
 --R           csc(%i x)csch(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 295
 
 \end{chunk}
@@ -3093,7 +3093,7 @@ cschcsc:=rule(csch(%i*x)^(-1) == -%i*csc(x)^(-1))
 --R             1            %i
 --R   (1)  ---------- == - ------
 --R        csch(%i x)      csc(x)
---R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--R     Type: RewriteRule(Integer,Complex(Integer),Expression(Complex(Integer)))
 --E 296
 
 --S 297 of 298
@@ -3102,7 +3102,7 @@ t1:=csch(%i*x)^(-1) - -%i*csc(x)^(-1)
 --R        %i csch(%i x) + csc(x)
 --R   (2)  ----------------------
 --R           csc(x)csch(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 297
 
 --S 298 of 298
@@ -3111,7 +3111,7 @@ t2:=cschcsc t1
 --R        %i csch(%i x) + csc(x)
 --R   (3)  ----------------------
 --R           csc(x)csch(%i x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 298
 
 \end{chunk}
diff --git a/src/input/hyperell.input.pamphlet b/src/input/hyperell.input.pamphlet
index 6bf8db5..16c3c08 100644
--- a/src/input/hyperell.input.pamphlet
+++ b/src/input/hyperell.input.pamphlet
@@ -22,14 +22,14 @@ p:= nextPrime(2^20)
 --R 
 --R
 --R   (1)  1048583
---R                                                        Type: PositiveInteger
+--R                                                                 Type: Domain
 --E 1
 
 --S 2 of 26
 K:=PF p
 --R 
 --R
---R   (2)  PrimeField 1048583
+--R   (2)  PrimeField(1048583)
 --R                                                                 Type: Domain
 --E 2
 
@@ -37,8 +37,8 @@ K:=PF p
 R:=DMP([x,y,z],K)
 --R 
 --R
---R   (3)  DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
---R                                                                 Type: Domain
+--R   (3)  DistributedMultivariatePolynomial([x,y,z],PrimeField(1048583))
+--R--R                                                                 Type: Domain
 --E 3
 
 --S 4 of 26
@@ -48,7 +48,7 @@ P:=PAFFFF( K, [x,y,z], BLQT)
 --R   (4)
 --R  PackageForAlgebraicFunctionFieldOverFiniteField(PrimeField 1048583,[x,y,z],Bl
 --R  owUpWithQuadTrans)
---R                                                                 Type: Domain
+--R--R                                                                 Type: Domain
 --E 4
 
 --S 5 of 26
@@ -56,8 +56,8 @@ ProjPl := PROJPLPS PrimeField p
 --R 
 --R
 --R   (5)
---R   ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
---R                                                                 Type: Domain
+--R   ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField(PrimeField(1048583))
+--R--R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
 --E 5
 
 --S 6 of 26
@@ -66,7 +66,7 @@ f:R:= y^2 - (x-1)*(x-2)*(x-3)*(x-4)*(x-5)
 --R
 --R                5      4           3       2               2
 --R   (6)  1048582x  + 15x  + 1048498x  + 225x  + 1048309x + y  + 120
---R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
+--R--R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
 --E 6
 
 --S 7 of 26
@@ -75,7 +75,7 @@ fh:R:= homogenize( f , 3 )$P
 --R
 --R                5      4            3 2       2 3             4    2 3       5
 --R   (7)  1048582x  + 15x z + 1048498x z  + 225x z  + 1048309x z  + y z  + 120z
---R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
+--R--RType: Divisor PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
 --E 7
 
 --S 8 of 26
@@ -84,7 +84,7 @@ setCurve(fh)$P
 --R
 --R                5      4            3 2       2 3             4    2 3       5
 --R   (8)  1048582x  + 15x z + 1048498x z  + 225x z  + 1048309x z  + y z  + 120z
---R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
+--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField(PrimeField(1048583))
 --E 8
 
 --S 9 of 26
@@ -92,7 +92,7 @@ g:=genus()$P
 --R 
 --R
 --R   (9)  2
---R                                                     Type: NonNegativeInteger
+--R--R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
 --E 9
 
 --S 10 of 26
@@ -101,7 +101,7 @@ divZ := intersectionDivisor(z)$P
 --R
 --R              1
 --I   (10)  5 %I7
---RType: Divisor PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--R--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
 --E 10
 
 --S 11 of 26
@@ -110,7 +110,7 @@ pInf:= first supp divZ
 --R
 --R            1
 --I   (11)  %I7
---R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField(PrimeField(1048583))
 --E 11
 
 --S 12 of 26
@@ -119,7 +119,7 @@ p1:= projectivePoint( [1,0,1] :: List K )$ProjPl
 --R
 --R                1
 --R   (12)  (1:0:1)
---RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--R--R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
 --E 12
 
 --S 13 of 26
@@ -128,7 +128,7 @@ pl1:= first placesAbove( p1 )$P
 --R
 --R                1
 --R   (13)  [1:0:1]
---R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--R--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
 --E 13
 
 --S 14 of 26
@@ -137,7 +137,7 @@ p2:= projectivePoint( [2,0,1] :: List K )$ProjPl
 --R
 --R                1
 --R   (14)  (2:0:1)
---RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField(PrimeField(1048583))
 --E 14
 
 --S 15 of 26
@@ -146,7 +146,7 @@ pl2:= first placesAbove( p2 )$P
 --R
 --R                1
 --R   (15)  [2:0:1]
---R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--R--R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
 --E 15
 
 --S 16 of 26
@@ -155,7 +155,7 @@ p3:= projectivePoint( [3,0,1] :: List K )$ProjPl
 --R
 --R                1
 --R   (16)  (3:0:1)
---RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--R--RType: Divisor PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
 --E 16
 
 --S 17 of 26
@@ -164,7 +164,7 @@ pl3:= first placesAbove( p3 )$P
 --R
 --R                1
 --R   (17)  [3:0:1]
---R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--R--R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
 --E 17
 
 --S 18 of 26
@@ -173,7 +173,7 @@ p4:= projectivePoint( [4,0,1] :: List K )$ProjPl
 --R
 --R                1
 --R   (18)  (4:0:1)
---RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--R--RType: Divisor PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
 --E 18
 
 --S 19 of 26
diff --git a/src/input/i2e.input.pamphlet b/src/input/i2e.input.pamphlet
index 9c85943..7c3e900 100644
--- a/src/input/i2e.input.pamphlet
+++ b/src/input/i2e.input.pamphlet
@@ -26,7 +26,7 @@ ex:=sin(cos(x+2)+3)+exp(x+2)+sqrt(x)
 --R
 --R                               +-+     x + 2
 --R   (1)  sin(cos(x + 2) + 3) + \|x  + %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 6
@@ -40,14 +40,14 @@ exi:=ex::InputForm
 d1:=destruct exi
 --R
 --R   (3)  [+,(sin (+ (cos (+ x 2)) 3)),(+ (** x (/ 1 2)) (exp (+ x 2)))]
---R                                                         Type: List InputForm
+--R                                                        Type: List(InputForm)
 --E 3
 
 --S 4 of 6
 l2:=[first d1, first rest d1, first rest destruct first rest rest d1]
 --R
 --R   (4)  [+,(sin (+ (cos (+ x 2)) 3)),(** x (/ 1 2))]
---R                                                         Type: List InputForm
+--R                                                        Type: List(InputForm)
 --E 4
 
 --S 5 of 6
@@ -62,7 +62,7 @@ interpret inf
 --R
 --R                               +-+
 --R   (6)  sin(cos(x + 2) + 3) + \|x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 )spool
diff --git a/src/input/ico.input.pamphlet b/src/input/ico.input.pamphlet
index f70d786..e2a7c9f 100644
--- a/src/input/ico.input.pamphlet
+++ b/src/input/ico.input.pamphlet
@@ -36,7 +36,7 @@ exp(%i*2*%pi/5)
 --R          -------
 --R             5
 --R   (1)  %e
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 2
 
 --S 3 of 65
@@ -48,7 +48,7 @@ FG2F %
 --R          ----------
 --R               5
 --R   (2)  %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 65
@@ -60,7 +60,7 @@ FG2F %
 --R          ----------
 --R               5
 --R   (3)  %e           - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 65
@@ -70,7 +70,7 @@ complexForm %
 --R            2%pi            2%pi
 --R   (4)  cos(----) - 1 + sin(----)%i
 --R              5               5
---R                                             Type: Complex Expression Integer
+--R                                           Type: Complex(Expression(Integer))
 --E 5
 
 --S 6 of 65
@@ -80,7 +80,7 @@ norm %
 --R            2%pi 2       2%pi 2        2%pi
 --R   (5)  sin(----)  + cos(----)  - 2cos(----) + 1
 --R              5            5             5
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 65
@@ -90,7 +90,7 @@ simplify %
 --R               2%pi
 --R   (6)  - 2cos(----) + 2
 --R                 5
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 65
@@ -101,7 +101,7 @@ s:=sqrt %
 --R         |       2%pi
 --R   (7)   |- 2cos(----) + 2
 --R        \|         5
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 65
@@ -112,7 +112,7 @@ ph:=exp(%i*2*%pi/5)
 --R          -------
 --R             5
 --R   (8)  %e
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 9
 
 --S 10 of 65
@@ -120,7 +120,7 @@ A1:=complex(1,0)
 --R 
 --R
 --R   (9)  1
---R                                                        Type: Complex Integer
+--R                                                       Type: Complex(Integer)
 --E 10
 
 --S 11 of 65
@@ -131,7 +131,7 @@ A2:=A1*ph
 --R           -------
 --R              5
 --R   (10)  %e
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 11
 
 --S 12 of 65
@@ -142,7 +142,7 @@ A3:=A2*ph
 --R            -------
 --R               5
 --R   (11)  (%e       )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 12
 
 --S 13 of 65
@@ -153,7 +153,7 @@ A4:=A3*ph
 --R            -------
 --R               5
 --R   (12)  (%e       )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 13
 
 --S 14 of 65
@@ -164,7 +164,7 @@ A5:=A4*ph
 --R            -------
 --R               5
 --R   (13)  (%e       )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 14
 
 --S 15 of 65
@@ -172,7 +172,7 @@ ca1:=map(numeric , complexForm FG2F simplify A1)
 --R 
 --R
 --R   (14)  1.0
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 15
 
 --S 16 of 65
@@ -180,7 +180,7 @@ ca2:=map(numeric , complexForm FG2F simplify A2)
 --R 
 --R
 --R   (15)  0.3090169943 749474241 + 0.9510565162 9515357212 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 16
 
 --S 17 of 65
@@ -188,7 +188,7 @@ ca3:=map(numeric ,complexForm FG2F simplify A3)
 --R 
 --R
 --R   (16)  - 0.8090169943 749474241 + 0.5877852522 9247312917 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 17
 
 --S 18 of 65
@@ -196,7 +196,7 @@ ca4:=map(numeric ,complexForm FG2F simplify A4)
 --R 
 --R
 --R   (17)  - 0.8090169943 7494742411 - 0.5877852522 9247312917 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 18
 
 --S 19 of 65
@@ -204,7 +204,7 @@ ca5:=map(numeric ,complexForm FG2F simplify A5)
 --R 
 --R
 --R   (18)  0.3090169943 749474241 - 0.9510565162 9515357212 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 19
 
 --S 20 of 65
@@ -215,7 +215,7 @@ B1:=A1*exp(2*%i*%pi/10)
 --R           ------
 --R              5
 --R   (19)  %e
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 20
 
 --S 21 of 65
@@ -226,7 +226,7 @@ B2:=B1*ph
 --R           ------  -------
 --R              5       5
 --R   (20)  %e      %e
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 21
 
 --S 22 of 65
@@ -237,7 +237,7 @@ B3:=B2*ph
 --R           ------   -------
 --R              5        5
 --R   (21)  %e      (%e       )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 22
 
 --S 23 of 65
@@ -248,7 +248,7 @@ B4:=B3*ph
 --R           ------   -------
 --R              5        5
 --R   (22)  %e      (%e       )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 23
 
 --S 24 of 65
@@ -259,7 +259,7 @@ B5:=B4*ph
 --R           ------   -------
 --R              5        5
 --R   (23)  %e      (%e       )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 24
 
 --S 25 of 65
@@ -267,7 +267,7 @@ cb1:=map (numeric ,complexForm FG2F simplify B1)
 --R 
 --R
 --R   (24)  0.8090169943 749474241 + 0.5877852522 9247312917 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 25
 
 --S 26 of 65
@@ -275,7 +275,7 @@ cb2:=map (numeric ,complexForm FG2F simplify B2)
 --R 
 --R
 --R   (25)  - 0.3090169943 749474241 + 0.9510565162 9515357212 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 26
 
 --S 27 of 65
@@ -283,7 +283,7 @@ cb3:=map (numeric ,complexForm FG2F simplify B3)
 --R 
 --R
 --R   (26)  - 1.0
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 27
 
 --S 28 of 65
@@ -291,7 +291,7 @@ cb4:=map (numeric ,complexForm FG2F simplify B4)
 --R 
 --R
 --R   (27)  - 0.3090169943 7494742409 - 0.9510565162 9515357212 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 28
 
 --S 29 of 65
@@ -299,7 +299,7 @@ cb5:=map (numeric ,complexForm FG2F simplify B5)
 --R 
 --R
 --R   (28)  0.8090169943 7494742411 - 0.5877852522 9247312916 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 29
 
 --S 30 of 65
@@ -315,7 +315,7 @@ p0:=point([0,0,u+1/2])@Point(SF)
 --R 
 --R
 --R   (30)  [0.,0.,1.1180339887498949]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 31
 
 --S 32 of 65
@@ -323,7 +323,7 @@ p1:=point([real ca1,imag ca1,0.5])@Point(SF)
 --R 
 --R
 --R   (31)  [1.,0.,0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 32
 
 --S 33 of 65
@@ -331,7 +331,7 @@ p2:=point([real ca2,imag ca2,0.5])@Point(SF)
 --R 
 --R
 --R   (32)  [0.30901699437494745,0.95105651629515353,0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 33
 
 --S 34 of 65
@@ -339,7 +339,7 @@ p2:=point([real ca2,imag ca2,0.5])@Point(SF)
 --R 
 --R
 --R   (33)  [0.30901699437494745,0.95105651629515353,0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 34
 
 --S 35 of 65
@@ -347,7 +347,7 @@ p3:=point([real ca3,imag ca3,0.5])@Point(SF)
 --R 
 --R
 --R   (34)  [- 0.80901699437494734,0.58778525229247314,0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 35
 
 --S 36 of 65
@@ -355,7 +355,7 @@ p4:=point([real ca4,imag ca4,0.5])@Point(SF)
 --R 
 --R
 --R   (35)  [- 0.80901699437494734,- 0.58778525229247303,0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 36
 
 --S 37 of 65
@@ -363,7 +363,7 @@ p5:=point([real ca5,imag ca5,0.5])@Point(SF)
 --R 
 --R
 --R   (36)  [0.30901699437494745,- 0.95105651629515364,0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 37
 
 --S 38 of 65
@@ -371,7 +371,7 @@ p6:=point([real cb1,imag cb1,-0.5])@Point(SF)
 --R 
 --R
 --R   (37)  [0.80901699437494745,0.58778525229247314,- 0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 38
 
 --S 39 of 65
@@ -379,7 +379,7 @@ p7:=point([real cb2,imag cb2,-0.5])@Point(SF)
 --R 
 --R
 --R   (38)  [- 0.3090169943749474,0.95105651629515353,- 0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 39
 
 --S 40 of 65
@@ -387,7 +387,7 @@ p8:=point([real cb3,imag cb3,-0.5])@Point(SF)
 --R 
 --R
 --R   (39)  [- 1.,0.,- 0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 40
 
 --S 41 of 65
@@ -395,7 +395,7 @@ p9:=point([real cb4,imag cb4,-0.5])@Point(SF)
 --R 
 --R
 --R   (40)  [- 0.3090169943749474,- 0.95105651629515364,- 0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 41
 
 --S 42 of 65
@@ -403,7 +403,7 @@ p10:=point([real cb5,imag cb5,-0.5])@Point(SF)
 --R 
 --R
 --R   (41)  [0.80901699437494745,- 0.58778525229247303,- 0.5]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 42
 
 --S 43 of 65
@@ -411,7 +411,7 @@ p11:=point([0,0,-u-1/2])@Point(SF)
 --R 
 --R
 --R   (42)  [0.,0.,- 1.1180339887498947]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 43
 
 --S 44 of 65
@@ -419,7 +419,7 @@ space:=create3Space()$ThreeSpace DFLOAT
 --R 
 --R
 --R   (43)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 44
 
 --S 45 of 65
@@ -427,7 +427,7 @@ polygon(space,[p0,p1,p2])
 --R 
 --R
 --R   (44)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 45
 
 --S 46 of 65
@@ -435,7 +435,7 @@ polygon(space,[p0,p2,p3])
 --R 
 --R
 --R   (45)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 46
 
 --S 47 of 65
@@ -443,7 +443,7 @@ polygon(space,[p0,p3,p4])
 --R 
 --R
 --R   (46)  3-Space with 3 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 47
 
 --S 48 of 65
@@ -451,7 +451,7 @@ polygon(space,[p0,p4,p5])
 --R 
 --R
 --R   (47)  3-Space with 4 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 48
 
 --S 49 of 65
@@ -459,7 +459,7 @@ polygon(space,[p0,p5,p1])
 --R 
 --R
 --R   (48)  3-Space with 5 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 49
 
 --S 50 of 65
@@ -467,7 +467,7 @@ polygon(space,[p1,p6,p2])
 --R 
 --R
 --R   (49)  3-Space with 6 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 50
 
 --S 51 of 65
@@ -475,7 +475,7 @@ polygon(space,[p2,p7,p3])
 --R 
 --R
 --R   (50)  3-Space with 7 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 51
 
 --S 52 of 65
@@ -483,7 +483,7 @@ polygon(space,[p3,p8,p4])
 --R 
 --R
 --R   (51)  3-Space with 8 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 52
 
 --S 53 of 65
@@ -491,7 +491,7 @@ polygon(space,[p4,p9,p5])
 --R 
 --R
 --R   (52)  3-Space with 9 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 53
 
 --S 54 of 65
@@ -499,7 +499,7 @@ polygon(space,[p5,p10,p1])
 --R 
 --R
 --R   (53)  3-Space with 10 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 54
 
 --S 55 of 65
@@ -507,7 +507,7 @@ polygon(space,[p2,p6,p7])
 --R 
 --R
 --R   (54)  3-Space with 11 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 55
 
 --S 56 of 65
@@ -515,7 +515,7 @@ polygon(space,[p3,p7,p8])
 --R 
 --R
 --R   (55)  3-Space with 12 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 56
 
 --S 57 of 65
@@ -523,7 +523,7 @@ polygon(space,[p4,p8,p9])
 --R 
 --R
 --R   (56)  3-Space with 13 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 57
 
 --S 58 of 65
@@ -531,7 +531,7 @@ polygon(space,[p5,p9,p10])
 --R 
 --R
 --R   (57)  3-Space with 14 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 58
 
 --S 59 of 65
@@ -539,7 +539,7 @@ polygon(space,[p1,p10,p6])
 --R 
 --R
 --R   (58)  3-Space with 15 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 59
 
 --S 60 of 65
@@ -547,7 +547,7 @@ polygon(space,[p6,p11,p7])
 --R 
 --R
 --R   (59)  3-Space with 16 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 60
 
 --S 61 of 65
@@ -555,7 +555,7 @@ polygon(space,[p7,p11,p8])
 --R 
 --R
 --R   (60)  3-Space with 17 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 61
 
 --S 62 of 65
@@ -563,7 +563,7 @@ polygon(space,[p8,p11,p9])
 --R 
 --R
 --R   (61)  3-Space with 18 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 62
 
 --S 63 of 65
@@ -571,7 +571,7 @@ polygon(space,[p9,p11,p10])
 --R 
 --R
 --R   (62)  3-Space with 19 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 63
 
 --S 64 of 65
@@ -579,7 +579,7 @@ polygon(space,[p10,p11,p6])
 --R 
 --R
 --R   (63)  3-Space with 20 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 64
 
 --S 65 of 65
diff --git a/src/input/ideal.input.pamphlet b/src/input/ideal.input.pamphlet
index 7338563..c73cf09 100644
--- a/src/input/ideal.input.pamphlet
+++ b/src/input/ideal.input.pamphlet
@@ -33,7 +33,7 @@ m := [x**2+y**2-1]
 --R
 --R          2    2
 --R   (2)  [x  + y  - 1]
---R         Type: List DistributedMultivariatePolynomial([x,y],Fraction Integer)
+--R       Type: List(DistributedMultivariatePolynomial([x,y],Fraction(Integer)))
 --E 2
 
 --S 3 of 18
@@ -42,7 +42,7 @@ n := [x**2-y**2]
 --R
 --R          2    2
 --R   (3)  [x  - y ]
---R         Type: List DistributedMultivariatePolynomial([x,y],Fraction Integer)
+--R       Type: List(DistributedMultivariatePolynomial([x,y],Fraction(Integer)))
 --E 3
 
 --S 4 of 18
@@ -52,7 +52,7 @@ id := ideal m + ideal n
 --R          2   1  2   1
 --R   (4)  [x  - -,y  - -]
 --R              2      2
---IType: PolynomialIdeals(Fraction Integer,DirectProduct(...
+--IType: PolynomialIdeals(Fraction(Integer),...
 --E 4
 
 --S 5 of 18
@@ -91,7 +91,7 @@ f := x**2-1
 --R
 --R         2
 --R   (9)  x  - 1
---R              Type: DistributedMultivariatePolynomial([x,y],Fraction Integer)
+--R             Type: DistributedMultivariatePolynomial([x,y],Fraction(Integer))
 --E 9
 
 --S 10 of 18
@@ -100,7 +100,7 @@ g := x*(x**2-1)
 --R
 --R          3
 --R   (10)  x  - x
---R              Type: DistributedMultivariatePolynomial([x,y],Fraction Integer)
+--R             Type: DistributedMultivariatePolynomial([x,y],Fraction(Integer))
 --E 10
 
 --S 11 of 18
@@ -109,7 +109,7 @@ relationsIdeal [f,g]
 --R
 --R              2     3     2          2          3
 --R   (11)  [- %B  + %A  + %A ] | [%A= x  - 1,%B= x  - x]
---IType: SuchThat(List Polynomial Fraction Integer,...
+--IType: SuchThat(List(Polynomial(Fraction(Integer))),...
 --E 11
 
 --S 12 of 18
@@ -124,7 +124,7 @@ l:=[x**2+2*y**2,x*z**2-y*z,z**2-4]
 --R
 --R           2     2    2        2
 --R   (13)  [x  + 2y ,x z  - y z,z  - 4]
---R       Type: List DistributedMultivariatePolynomial([x,y,z],Fraction Integer)
+--R     Type: List(DistributedMultivariatePolynomial([x,y,z],Fraction(Integer)))
 --E 13
 
 --S 14 of 18
@@ -134,7 +134,7 @@ ld:=primaryDecomp ideal l
 --R               1    2             1    2
 --R   (14)  [[x + - y,y ,z + 2],[x - - y,y ,z - 2]]
 --R               2                  2
---IType: List PolynomialIdeals(Fraction Integer,DirectProduct(...
+--IType: List(PolynomialIdeals(Fraction(Integer),...
 --E 14
 
 --S 15 of 18
@@ -144,7 +144,7 @@ reduce(intersect,ld)
 --R              1      2  2
 --R   (15)  [x - - y z,y ,z  - 4]
 --R              4
---IType: PolynomialIdeals(Fraction Integer,DirectProduct(...
+--IType: PolynomialIdeals(Fraction(Integer),...
 --E 15
 
 --S 16 of 18
@@ -153,7 +153,7 @@ reduce(intersect,[radical ld.i for i in 1..2])
 --R
 --R               2
 --R   (16)  [x,y,z  - 4]
---IType: PolynomialIdeals(Fraction Integer,DirectProduct(...
+--IType: PolynomialIdeals(Fraction(Integer),...
 --E 16
 
 --S 17 of 18
@@ -162,7 +162,7 @@ radical ideal l
 --R
 --R               2
 --R   (17)  [x,y,z  - 4]
---IType: PolynomialIdeals(Fraction Integer,DirectProduct(...
+--IType: PolynomialIdeals(Fraction(Integer),...
 --E 17
 
 --S 18 of 18
@@ -171,7 +171,7 @@ quotient(ideal l,y)
 --R
 --R               2
 --R   (18)  [x,y,z  - 4]
---IType: PolynomialIdeals(Fraction Integer,DirectProduct(...
+--IIype: PolynomialIdeals(Fraction(Integer),...
 --E 18
 )spool 
 )lisp (bye)
diff --git a/src/input/ifact.input.pamphlet b/src/input/ifact.input.pamphlet
index 24902d3..6e3dc1a 100644
--- a/src/input/ifact.input.pamphlet
+++ b/src/input/ifact.input.pamphlet
@@ -29,7 +29,7 @@ factor(3**17-1)
 --R 
 --R
 --R   (1)  2 1871 34511
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 1
 
 --S 2 of 7
@@ -37,7 +37,7 @@ factor(3**23-1)
 --R 
 --R
 --R   (2)  2 47 1001523179
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 2
 
 --S 3 of 7
@@ -45,7 +45,7 @@ factor(3**31-1)
 --R 
 --R
 --R   (3)  2 683 102673 4404047
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 3
 
 --S 4 of 7
@@ -53,7 +53,7 @@ factor(3**41-1)
 --R 
 --R
 --R   (4)  2 83 2526913 86950696619
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 4
 
 --S 5 of 7
@@ -61,7 +61,7 @@ factor(3**53-1)
 --R 
 --R
 --R   (5)  2 107 24169 3747607031112307667
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 5
 
 --S 6 of 7
@@ -69,7 +69,7 @@ factor(111111111111111111111111)
 --R 
 --R
 --R   (6)  3 7 11 13 37 73 101 137 9901 99990001
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 6
 
 --S 7 of 7
@@ -77,7 +77,7 @@ factor(11111111111111111111111111111111111111111111111)
 --R 
 --R
 --R   (7)  35121409 316362908763458525001406154038726382279
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 7
 )spool 
 )lisp (bye)
diff --git a/src/input/ifthenelse.input.pamphlet b/src/input/ifthenelse.input.pamphlet
index 044318c..0d75341 100644
--- a/src/input/ifthenelse.input.pamphlet
+++ b/src/input/ifthenelse.input.pamphlet
@@ -133,7 +133,7 @@ i:=2
 --R 
 --R
 --R   (6)  2
---R                                                        Type: PositiveInteger
+--R  Line  50: --R                                                                   Type: Void
 --E 7
 
 --S 8 of 20
@@ -170,7 +170,7 @@ i:=1.5
 --R 
 --R
 --R   (7)  1.5
---R                                                                  Type: Float
+--R--R                                                        Type: PositiveInteger
 --E 9
 
 --S 10 of 20
@@ -196,7 +196,7 @@ you can produce the same error with something like:
 --S 11 of 20
 test: (INT,INT) -> List(INT)
 --R 
---R                                                                   Type: Void
+--R                                                                  Type: Float
 --E 11
 
 --S 12 of 20
@@ -215,16 +215,16 @@ test(a,b) ==
 --R 
 --R
 --R   (11)  0
---R                                                     Type: NonNegativeInteger
+--R                                                                   Type: Void
 --E 13
 
 --S 14 of 20
 test(4,-2)
 --R 
---R   Compiling function test with type (Integer,Integer) -> List Integer 
+--R   Compiling function test with type (Integer,Integer) -> List(Integer)
 --R
 --R   (12)  [1,1]
---R                                                           Type: List Integer
+--R                                                     Type: NonNegativeInteger
 --E 14
 
 \end{chunk}
@@ -236,7 +236,7 @@ returns correctly [1,1], but
 --R 
 --R
 --R   (13)  1
---R                                                        Type: PositiveInteger
+--R                                                          Type: List(Integer)
 --E 15
 
 --S 16 of 20
@@ -244,7 +244,7 @@ test(4,-3)
 --R 
 --R
 --R   (14)  [0,0]
---R                                                           Type: List Integer
+--R                                                        Type: PositiveInteger
 --E 16
 
 \end{chunk}
@@ -256,7 +256,7 @@ or
 --R 
 --R
 --R   (15)  0
---R                                                     Type: NonNegativeInteger
+--R                                                          Type: List(Integer)
 --E 17
 
 --S 18 of 20
@@ -264,7 +264,7 @@ test(4,2)
 --R 
 --R
 --R   (16)  [0,0]
---R                                                           Type: List Integer
+--R                                                     Type: NonNegativeInteger
 --E 18
 
 \end{chunk}
@@ -274,7 +274,7 @@ wrongly returns [0,1]. The same happens if I write
 --S 19 of 20
 test1: (INT,INT) -> List(INT)
 --R 
---R                                                                   Type: Void
+--R                                                          Type: List(Integer)
 --E 19
 
 --S 20 of 20
diff --git a/src/input/int.input.pamphlet b/src/input/int.input.pamphlet
index 5b1c656..f11cf15 100644
--- a/src/input/int.input.pamphlet
+++ b/src/input/int.input.pamphlet
@@ -215,7 +215,7 @@ reduce(lcm,[2,45,-89,78,100,-45])
 --R         13
 --R   (24)  --
 --R          4
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 24
 
 --S 25 of 47
@@ -274,7 +274,7 @@ factor 102400
 --R
 --R         12 2
 --R   (1)  2  5
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 31
 
 --S 32 of 47
@@ -314,7 +314,7 @@ primes(100,175)
 --R 
 --R
 --R   (6)  [173,167,163,157,151,149,139,137,131,127,113,109,107,103,101]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 36
 
 --S 37 of 47
@@ -323,7 +323,7 @@ factor(2 :: Complex Integer)
 --R
 --R                     2
 --R   (7)  - %i (1 + %i)
---R                                               Type: Factored Complex Integer
+--R                                             Type: Factored(Complex(Integer))
 --E 37
 
 )clear all
@@ -333,7 +333,7 @@ factor(2 :: Complex Integer)
 --R 
 --R
 --R   (1)  [0,1,1,2,3,5,8,13,21,34,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 38
 
 --S 39 of 47
@@ -341,7 +341,7 @@ factor(2 :: Complex Integer)
 --R 
 --R
 --R   (2)  [0,1,- 1,1,1,1,- 1,- 1,- 1,1,- 1]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 39
 
 --S 40 of 47
@@ -349,7 +349,7 @@ factor(2 :: Complex Integer)
 --R 
 --R
 --R   (3)  [0,1,1,0,1,0,0,- 1,1,0]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 40
 
 --S 41 of 47
@@ -357,7 +357,7 @@ factor(2 :: Complex Integer)
 --R 
 --R
 --R   (4)  [1,1,2,2,4,2,6,4,6,4,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 41
 
 --S 42 of 47
@@ -365,7 +365,7 @@ factor(2 :: Complex Integer)
 --R 
 --R
 --R   (5)  [1,- 1,- 1,0,- 1,1,- 1,0,0,1,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 42
 
 --S 43 of 47
diff --git a/src/input/intaf.input.pamphlet b/src/input/intaf.input.pamphlet
index 30d9475..2a5c743 100644
--- a/src/input/intaf.input.pamphlet
+++ b/src/input/intaf.input.pamphlet
@@ -31,7 +31,7 @@ x**2 / sqrt(a + b*x**3)
 --R         +--------+
 --R         |   3
 --R        \|b x  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 20
@@ -43,7 +43,7 @@ integrate(%,x)
 --R        2\|b x  + a
 --R   (2)  ------------
 --R             3b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 --S 3 of 20
@@ -53,7 +53,7 @@ x**3 * sqrt(a + b*x**4)
 --R           +--------+
 --R         3 |   4
 --R   (3)  x \|b x  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 20
@@ -65,7 +65,7 @@ integrate(%,x)
 --R        (b x  + a)\|b x  + a
 --R   (4)  ---------------------
 --R                  6b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 --S 5 of 20
@@ -77,7 +77,7 @@ integrate(%,x)
 --R         +------+
 --R         | 3
 --R        \|x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 20
@@ -90,7 +90,7 @@ integrate(%,x)
 --R        ++    +-------+
 --R              |  3
 --R             \|%N  + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 --S 7 of 20
@@ -100,7 +100,7 @@ sqrt(1+x**3)
 --R         +------+
 --R         | 3
 --R   (7)  \|x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 20
@@ -111,7 +111,7 @@ integrate(%,x)
 --R         ++   |  3
 --R   (8)   |   \|%N  + 1 d%N
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 
 --S 9 of 20
@@ -123,7 +123,7 @@ integrate(%,x)
 --R          +------+
 --R          | 3
 --R        x\|x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 20
@@ -135,7 +135,7 @@ integrate(%,x)
 --R         - log(\|x  + 1  + 1) + log(\|x  + 1  - 1)
 --R   (10)  -----------------------------------------
 --R                             3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 
 --S 11 of 20
@@ -148,7 +148,7 @@ x**3/sqrt(1+x**8)
 --R          +------+
 --R          | 8
 --R         \|x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 20
@@ -160,7 +160,7 @@ integrate(%,x)
 --R           log(\|x  + 1  - x )
 --R   (12)  - -------------------
 --R                    4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 12
 
 --S 13 of 20
@@ -172,7 +172,7 @@ x/sqrt(1-x**4)
 --R          +--------+
 --R          |   4
 --R         \|- x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 20
@@ -185,7 +185,7 @@ integrate(%,x)
 --R   (14)  - atan(---------------)
 --R                        2
 --R                       x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 14
 
 --S 15 of 20
@@ -197,7 +197,7 @@ integrate(%,x)
 --R                 +------+
 --R                 | 3
 --R         (x - 2)\|x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 20
@@ -212,7 +212,7 @@ integrate(%,x)
 --R                          x  - 6x  + 12x - 8
 --R   (16)  - --------------------------------------------
 --R                                 3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 16
 
 --S 17 of 20
@@ -225,7 +225,7 @@ x**6/sqrt((x**7+1)*(x**7+2))
 --R          +-------------+
 --R          | 14     7
 --R         \|x   + 3x  + 2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 20
@@ -237,7 +237,7 @@ integrate(%,x)
 --R           log(2\|x   + 3x  + 2  - 2x  - 3)
 --R   (18)  - --------------------------------
 --R                           7
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 18
 
 --S 19 of 20
@@ -247,7 +247,7 @@ sqrt(1 + sqrt(1 + x))
 --R          +------------+
 --R          | +-----+
 --R   (19)  \|\|x + 1  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 20
@@ -259,7 +259,7 @@ integrate(%,x)
 --R         (4\|x + 1  + 12x + 4)\|\|x + 1  + 1
 --R   (20)  ------------------------------------
 --R                          15
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 20
 )spool 
 )lisp (bye)
diff --git a/src/input/intbypart.input.pamphlet b/src/input/intbypart.input.pamphlet
index be287f3..8cd2369 100644
--- a/src/input/intbypart.input.pamphlet
+++ b/src/input/intbypart.input.pamphlet
@@ -65,7 +65,7 @@ integrate(x*log(x),x)
 --R        2x log(x) - x
 --R   (1)  --------------
 --R               4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 1
 \end{chunk}
 
@@ -90,7 +90,7 @@ integrate(x*exp(x),x)
 --R
 --R                 x
 --R   (2)  (x - 1)%e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 \end{chunk}
 
@@ -143,7 +143,7 @@ integrate(exp(x)*sin(x),x)
 --R        %e sin(x) - cos(x)%e
 --R   (3)  ---------------------
 --R                  2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 3
 \end{chunk}
 
@@ -166,7 +166,7 @@ integrate(x^3*exp(x^2),x)
 --R        (x  - 1)%e
 --R   (4)  ------------
 --R              2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 \end{chunk}
@@ -193,7 +193,7 @@ integrate(log(x^2+2),x)
 --R               2          +-+     \|2
 --R   (5)  x log(x  + 2) - 2\|2 atan(----) - 2x
 --R                                    x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 5
 \end{chunk}
 
@@ -214,7 +214,7 @@ $$= -x\ cos(x)+sin(x)+C$$
 integrate(x*sin(x),x)
 --R
 --R   (6)  sin(x) - x cos(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 \end{chunk}
 
@@ -236,7 +236,7 @@ integrate(x*cos(x),x)
 --R 
 --R
 --R   (7)  x sin(x) + cos(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 7
 \end{chunk}
 
@@ -260,7 +260,7 @@ integrate(x^2*cos(x),x)
 --R
 --R          2
 --R   (8)  (x  - 2)sin(x) + 2x cos(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 \end{chunk}
 
@@ -288,7 +288,7 @@ integrate(sin(x)*cos(x),x)
 --R          cos(x)
 --R   (9)  - -------
 --R             2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 9
 \end{chunk}
 
@@ -310,7 +310,7 @@ $$=x(ln(x)-1)+C$$
 integrate(log(x),x)
 --R
 --R   (10)  x log(x) - x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 \end{chunk}
 
@@ -335,7 +335,7 @@ integrate(x^2*log(x),x)
 --R         3x log(x) - x
 --R   (11)  --------------
 --R                9
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 11
 \end{chunk}
 
@@ -358,7 +358,7 @@ integrate(x^2*exp(x),x)
 --R
 --R           2            x
 --R   (12)  (x  - 2x + 2)%e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 12
 \end{chunk}
 
@@ -390,7 +390,7 @@ integrate(asin(x),x)
 --R                     2x  - 1
 --R   (13)  --------------------------------------
 --R                            2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 13
 \end{chunk}
 
@@ -417,7 +417,7 @@ integrate(atan(x),x)
 --R                                x  - 1
 --R   (14)  ------------------------------
 --R                        2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 14
 \end{chunk}
 
@@ -451,7 +451,7 @@ integrate(sec(x)^3,x)
 --R   --------------------------------------------------------------------------
 --R                                           2
 --R                                    2cos(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 15
 \end{chunk}
 
@@ -497,7 +497,7 @@ integrate(x^3*exp(2*x),x)
 --R         (4x  - 6x  + 6x - 3)%e
 --R   (16)  ------------------------
 --R                     8
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 16
 )spool
 )lisp (bye)
diff --git a/src/input/intdeq.input.pamphlet b/src/input/intdeq.input.pamphlet
index edfd8a5..ff675db 100644
--- a/src/input/intdeq.input.pamphlet
+++ b/src/input/intdeq.input.pamphlet
@@ -35,7 +35,7 @@ deq := differentiate(y x, x, 2) + 2*w[0]*differentiate(y x, x) + w[0]**2*y x
 --R         ,,          ,        2
 --R   (2)  y  (x) + 2w y (x) + w  y(x)
 --R                   0         0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 7
@@ -50,7 +50,7 @@ sol:= solve(deq = sin (w*x), y, x=0,[0,0])
 --R                                  4      2 2     4
 --R                                 w  + 2w  w  + w
 --R                                        0       0
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 3
 
 --S 4 of 7
@@ -70,7 +70,7 @@ work:= sol *sin(w*x)
 --R      4      2 2     4
 --R     w  + 2w  w  + w
 --R            0       0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 7
@@ -97,7 +97,7 @@ integrate(work,x)
 --R       7      2 5      4 3      6
 --R     2w  + 6w  w  + 6w  w  + 2w  w
 --R             0        0        0
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 5
 
 --S 6 of 7
@@ -111,7 +111,7 @@ D(%,x)-work
 --R                           4      2 2      4
 --R                         2w  + 4w  w  + 2w
 --R                                 0        0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 7
@@ -119,7 +119,7 @@ simplify %
 --R 
 --R
 --R   (7)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 )spool 
 )lisp (bye)
diff --git a/src/input/intef.input.pamphlet b/src/input/intef.input.pamphlet
index 8ec2e7f..f4e6aba 100644
--- a/src/input/intef.input.pamphlet
+++ b/src/input/intef.input.pamphlet
@@ -29,7 +29,7 @@
 --R   (1)  --------------------------------------
 --R         2        2         2          2 3
 --R        b x log(x)  + 2a b x log(x) + a x  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 16
@@ -37,7 +37,7 @@ integrate(%,x)
 --R 
 --R
 --R   (2)  atan(b log(x) + a x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 --S 3 of 16
@@ -53,7 +53,7 @@ integrate(%,x)
 --R   (3)  ---------------------------------
 --R               2   x 2     3  x    4
 --R              x (%e )  + 2x %e  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 16
@@ -69,7 +69,7 @@ integrate(%,x)
 --R   (4)  ------------------
 --R                  x
 --R                %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 \end{chunk} 
@@ -82,7 +82,7 @@ sin(x)/x
 --R        sin(x)
 --R   (5)  ------
 --R           x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 16
@@ -90,7 +90,7 @@ integrate(%,x)
 --R 
 --R
 --R   (6)  Si(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 --S 7 of 16
@@ -98,7 +98,7 @@ x * cot x
 --R 
 --R
 --R   (7)  x cot(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 16
@@ -109,7 +109,7 @@ integrate(%,x)
 --R         ++
 --R   (8)   |   %J cot(%J)d%J
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 
 --S 9 of 16
@@ -121,7 +121,7 @@ integrate(%,x)
 --R   (9)  ----------------------
 --R                3    2
 --R          log(x)  - x log(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 16
@@ -131,7 +131,7 @@ integrate(%,x)
 --R         log(log(x) + x) - log(log(x) - x) + 2li(x)
 --R   (10)  ------------------------------------------
 --R                              2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 
 \end{chunk}
@@ -144,7 +144,7 @@ cos(a * x) / (1 + cos(a * x))
 --R           cos(a x)
 --R   (11)  ------------
 --R         cos(a x) + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 16
@@ -154,7 +154,7 @@ integrate(%,x)
 --R         - sin(a x) + a x cos(a x) + a x
 --R   (12)  -------------------------------
 --R                  a cos(a x) + a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 12
 
 --S 13 of 16
@@ -162,7 +162,7 @@ cos(3*x)*sin(2*x)
 --R 
 --R
 --R   (13)  cos(3x)sin(2x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 16
@@ -173,7 +173,7 @@ integrate(%,x)
 --R         - 8cos(x)  + 10cos(x)
 --R   (14)  ----------------------
 --R                    5
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 14
 
 \end{chunk}
@@ -184,7 +184,7 @@ cosh(a*x)*sinh(a*x)
 --R 
 --R
 --R   (15)  cosh(a x)sinh(a x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 16
@@ -195,7 +195,7 @@ integrate(%,x)
 --R         sinh(a x)  + cosh(a x)
 --R   (16)  -----------------------
 --R                    4a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 16
 )spool 
 )lisp (bye)
diff --git a/src/input/intef2.input.pamphlet b/src/input/intef2.input.pamphlet
index 9228b2a..126aca3 100644
--- a/src/input/intef2.input.pamphlet
+++ b/src/input/intef2.input.pamphlet
@@ -28,7 +28,7 @@
 --R   (1)  --------------------------------------
 --R         2        2         2          2 3
 --R        b x log(x)  + 2a b x log(x) + a x  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 10
@@ -36,7 +36,7 @@ integrate(%,x)
 --R 
 --R
 --R   (2)  atan(b log(x) + a x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 --S 3 of 10
@@ -52,7 +52,7 @@ integrate(%,x)
 --R   (3)  ---------------------------------
 --R               2   x 2     3  x    4
 --R              x (%e )  + 2x %e  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 10
@@ -68,7 +68,7 @@ integrate(%,x)
 --R   (4)  ------------------
 --R                  x
 --R                %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 \end{chunk}
@@ -79,7 +79,7 @@ x * cot x
 --R 
 --R
 --R   (5)  x cot(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 10
@@ -90,7 +90,7 @@ integrate(%,x)
 --R         ++
 --R   (6)   |   %J cot(%J)d%J
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 --S 7 of 10
@@ -98,7 +98,7 @@ tan x + cos x
 --R 
 --R
 --R   (7)  tan(x) + cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 10
@@ -108,7 +108,7 @@ integrate(%,x)
 --R                 2                2cos(x)
 --R   (8)  log(----------) - log(- ----------) + sin(x)
 --R            cos(x) + 1          cos(x) + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 
 \end{chunk}
@@ -119,7 +119,7 @@ cosh(a*x)*sinh(a*x)
 --R 
 --R
 --R   (9)  cosh(a x)sinh(a x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 10
@@ -130,7 +130,7 @@ integrate(%,x)
 --R         sinh(a x)  + cosh(a x)
 --R   (10)  -----------------------
 --R                    4a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 )spool 
 )lisp (bye)
diff --git a/src/input/intg0.input.pamphlet b/src/input/intg0.input.pamphlet
index 38a2c72..1677ee0 100644
--- a/src/input/intg0.input.pamphlet
+++ b/src/input/intg0.input.pamphlet
@@ -30,7 +30,7 @@ y := sqrt(a * x + b)
 --R
 --R         +-------+
 --R   (1)  \|a x + b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 25
@@ -41,7 +41,7 @@ integrate(y,x)
 --R        (2a x + 2b)\|a x + b
 --R   (2)  ---------------------
 --R                  3a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 --S 3 of 25
@@ -50,7 +50,7 @@ t1:=x * y
 --R
 --R          +-------+
 --R   (3)  x\|a x + b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 25
@@ -62,7 +62,7 @@ integrate(t1,x)
 --R   (4)  --------------------------------
 --R                         2
 --R                      15a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 --S 5 of 25
@@ -72,7 +72,7 @@ z := sqrt(a**2 - x**2)
 --R         +---------+
 --R         |   2    2
 --R   (5)  \|- x  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 25
@@ -84,7 +84,7 @@ t2:=1 / z
 --R         +---------+
 --R         |   2    2
 --R        \|- x  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 25
@@ -96,7 +96,7 @@ integrate(t2,x)
 --R                \|- x  + a   - a
 --R   (7)  - 2atan(----------------)
 --R                        x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 7
 
 --S 8 of 25
@@ -106,7 +106,7 @@ t3:=x**2 * z
 --R           +---------+
 --R         2 |   2    2
 --R   (8)  x \|- x  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 25
@@ -131,7 +131,7 @@ integrate(t3,x)
 --R                     +---------+
 --R           2      3  |   2    2      4      2 2      4
 --R     (32a x  - 64a )\|- x  + a   + 8x  - 64a x  + 64a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 9
 
 --S 10 of 25
@@ -143,7 +143,7 @@ t4:=x**3 / (a+b*x)**(1/3)
 --R   (10)  ----------
 --R         3+-------+
 --R         \|b x + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 25
@@ -155,7 +155,7 @@ integrate(t4,x)
 --R   (11)  ---------------------------------------------------
 --R                                    4
 --R                                440b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 11
 
 --S 12 of 25
@@ -166,7 +166,7 @@ t5:=1 / (x**3 * (a+b*x)**(1/3))
 --R   (12)  ------------
 --R          3 3+-------+
 --R         x  \|b x + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 25
@@ -187,7 +187,7 @@ integrate(t5,x)
 --R  /
 --R        2 2 +-+3+-+
 --R     18a x \|3 \|a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 13
 
 \end{chunk}
@@ -202,7 +202,7 @@ t6:=x / (y + y**2) + log(y + 1)
 --R   (14)  ---------------------------------------------
 --R                       +-------+
 --R                      \|a x + b  + a x + b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 25
@@ -218,7 +218,7 @@ integrate(t6,x)
 --R  /
 --R       2
 --R     2a
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 15
 
 --S 16 of 25
@@ -230,7 +230,7 @@ t7:=(2 + 1/sqrt(x)) * cos(x + sqrt x)
 --R   (16)  ------------------------
 --R                    +-+
 --R                   \|x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 25
@@ -239,7 +239,7 @@ integrate(t7,x)
 --R
 --R               +-+
 --R   (17)  2sin(\|x  + x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 17
 
 \end{chunk}
@@ -253,7 +253,7 @@ t8:=log(1 + y) / x
 --R         log(\|a x + b  + 1)
 --R   (18)  -------------------
 --R                  x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 --S 19 of 25
@@ -264,7 +264,7 @@ integrate(t8,x)
 --I          ++  log(\|b + %K a  + 1)
 --I   (19)   |   -------------------- d%K
 --I         ++            %K
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 19
 
 \end{chunk}
@@ -279,7 +279,7 @@ t9:=(sinh(1+sqrt(x+b))+2*sqrt(x+b))/(sqrt(x+b)*(x+cosh(1+sqrt(x+b))))
 --R   (20)  --------------------------------------
 --R          +-----+      +-----+          +-----+
 --R         \|x + b cosh(\|x + b  + 1) + x\|x + b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 --S 21 of 25
@@ -291,7 +291,7 @@ integrate(t9,x)
 --R   (21)  2log(---------------------------------------) - 2\|x + b
 --R                    +-----+              +-----+
 --R              sinh(\|x + b  + 1) - cosh(\|x + b  + 1)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 21
 
 \end{chunk}
@@ -304,7 +304,7 @@ t10:=tan(atan(x)/2)
 --R             atan(x)
 --R   (22)  tan(-------)
 --R                2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 
 --S 23 of 25
@@ -326,7 +326,7 @@ integrate(t10,x)
 --R      +------+
 --R      | 2
 --R     \|x  + 1  - x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 23
 
 --S 24 of 25
@@ -336,7 +336,7 @@ t11:=tan(atan(x)/3)
 --R             atan(x)
 --R   (24)  tan(-------)
 --R                3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 24
 
 --S 25 of 25
@@ -348,7 +348,7 @@ integrate(t11,x)
 --R                      3                     3                   3
 --R   (25)  ------------------------------------------------------------
 --R                                      18
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 25
 )spool 
 )lisp (bye)
diff --git a/src/input/intheory.input.pamphlet b/src/input/intheory.input.pamphlet
index fd30099..d6cbc23 100644
--- a/src/input/intheory.input.pamphlet
+++ b/src/input/intheory.input.pamphlet
@@ -25,7 +25,7 @@ div144 := divisors(144)
 --R 
 --R
 --R   (1)  [1,2,3,4,6,8,9,12,16,18,24,36,48,72,144]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 1
 
 --S 2 of 22
@@ -119,7 +119,7 @@ fibonacci(25)
 --R 
 --R
 --R   (13)  [1,1,2,3,5,8,13,21,34,55,89,144,233,377,610]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 13
 
 --S 14 of 22
@@ -142,7 +142,7 @@ fib(25)
 --R 
 --R
 --R   (16)  [1,1,2,3,5,8,13,21,34,55,89,144,233,377,610]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 16
 
 --S 17 of 22
diff --git a/src/input/intmix.input.pamphlet b/src/input/intmix.input.pamphlet
index 0ce4c6c..f1a1576 100644
--- a/src/input/intmix.input.pamphlet
+++ b/src/input/intmix.input.pamphlet
@@ -30,7 +30,7 @@
 --R   (1)  --------------------------------------------
 --R                     3    2      2  +----------+
 --R            (x log(x)  + x log(x) )\|log(x) + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 6
@@ -42,7 +42,7 @@ integrate(%, x)
 --R   (2)  -----------------------------------
 --R                       2
 --R                 log(x)  + x log(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 \end{chunk}
@@ -60,7 +60,7 @@ This one requires solving a risch d.e. over an elliptic curve
 --R                                  +------+
 --R                                2 | 3
 --R                               x \|x  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 6
@@ -73,7 +73,7 @@ integrate(%, x)
 --R        (2\|x  + 1  + 2)%e
 --R   (4)  ----------------------------
 --R                      x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 \end{chunk}
@@ -89,7 +89,7 @@ log(1 + exp x)**(1/3) / (1 + log(1 + exp x))
 --R   (5)  ----------------
 --R              x
 --R        log(%e  + 1) + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 6
@@ -102,7 +102,7 @@ integrate(%, x)
 --R   (6)   |   ----------------- d%T
 --R        ++         %T
 --R             log(%e   + 1) + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 )spool 
 )lisp (bye)
diff --git a/src/input/intmix2.input.pamphlet b/src/input/intmix2.input.pamphlet
index ca1b516..a5c26a8 100644
--- a/src/input/intmix2.input.pamphlet
+++ b/src/input/intmix2.input.pamphlet
@@ -28,7 +28,7 @@
 --R   (1)  ----------------------------
 --R                     2  +----------+
 --R        (x log(x) + x )\|log(x) + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 4
@@ -39,7 +39,7 @@ integrate(%, x)
 --R          2\|log(x) + x
 --R   (2)  - --------------
 --R            log(x) + x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 \end{chunk}
@@ -55,7 +55,7 @@ log(1 + exp x)**(1/3) / (1 + log(1 + exp x))
 --R   (3)  ----------------
 --R              x
 --R        log(%e  + 1) + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 4
@@ -68,7 +68,7 @@ integrate(%, x)
 --R   (4)   |   ----------------- d%P
 --R        ++         %P
 --R             log(%e   + 1) + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 )spool 
 )lisp (bye)
diff --git a/src/input/intrf.input.pamphlet b/src/input/intrf.input.pamphlet
index 77e0d87..f0b5fc1 100644
--- a/src/input/intrf.input.pamphlet
+++ b/src/input/intrf.input.pamphlet
@@ -32,7 +32,7 @@ x + y/x
 --R        y + x
 --R   (1)  ------
 --R           x
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 1
 
 --S 2 of 14
@@ -43,7 +43,7 @@ integrate(%,x)
 --R        2y log(x) + x
 --R   (2)  --------------
 --R               2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 \end{chunk}
@@ -58,7 +58,7 @@ We need not factor the denominator
 --R   (3)  --------------------------------------
 --R         6     5      4      3      2
 --R        x  + 6x  + 15x  + 20x  + 15x  + 6x + 2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 3
 
 --S 4 of 14
@@ -69,7 +69,7 @@ integrate(%,x)
 --R        atan(x  + 3x  + 3x + 1)
 --R   (4)  -----------------------
 --R                   3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 --S 5 of 14
@@ -81,7 +81,7 @@ integrate(%,x)
 --R   (5)  ------------------------------------
 --R         10      8      6      4      2
 --R        x   - 10x  + 40x  - 80x  + 80x  - 32
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 5
 
 --S 6 of 14
@@ -100,7 +100,7 @@ integrate(%,x)
 --R  /
 --R       8      6      4      2
 --R     2x  - 16x  + 48x  - 64x  + 32
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 --S 7 of 14
@@ -112,7 +112,7 @@ x**5/(x**4+x**2+1)**2
 --R   (7)  ------------------------
 --R         8     6     4     2
 --R        x  + 2x  + 3x  + 2x  + 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 7
 
 --S 8 of 14
@@ -126,7 +126,7 @@ integrate(%,x)
 --R   (8)  ---------------------------------------------------
 --R                           4     2      +-+
 --R                        (6x  + 6x  + 6)\|3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 
 --S 9 of 14
@@ -137,7 +137,7 @@ integrate(%,x)
 --R   (9)  ------
 --R         2
 --R        x  + a
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 9
 
 --S 10 of 14
@@ -152,7 +152,7 @@ integrate(%,x)
 --R   (10)  [--------------------------,-----------]
 --R                      +---+               +-+
 --R                    2\|- a               \|a
---R                                     Type: Union(List Expression Integer,...)
+--R                                   Type: Union(List(Expression(Integer)),...)
 --E 10
 
 --S 11 of 14
@@ -164,7 +164,7 @@ x**2/(x**4-a**2)
 --R   (11)  -------
 --R          4    2
 --R         x  - a
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 11
 
 --S 12 of 14
@@ -188,7 +188,7 @@ integrate(%,x)
 --R    -------------------------------------------]
 --R                        +---+
 --R                      4\|- a
---R                                     Type: Union(List Expression Integer,...)
+--R                                   Type: Union(List(Expression(Integer)),...)
 --E 12
 
 --S 13 of 14
@@ -199,7 +199,7 @@ x/(1-x**3)
 --R   (13)  - ------
 --R            3
 --R           x  - 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 13
 
 --S 14 of 14
@@ -213,7 +213,7 @@ integrate(%,x)
 --R   (14)  -----------------------------------------------------------
 --R                                      +-+
 --R                                    6\|3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 14
 )spool 
 )lisp (bye)
diff --git a/src/input/ipftest.input.pamphlet b/src/input/ipftest.input.pamphlet
index 1392e28..0a237eb 100644
--- a/src/input/ipftest.input.pamphlet
+++ b/src/input/ipftest.input.pamphlet
@@ -24,7 +24,7 @@
 gf2 := PF 2
 --R 
 --R
---R   (1)  PrimeField 2
+--R   (1)  PrimeField(2)
 --R                                                                 Type: Domain
 --E 1
 
@@ -33,7 +33,7 @@ a : gf2 := primitiveElement()$gf2
 --R 
 --R
 --R   (2)  1
---R                                                           Type: PrimeField 2
+--R                                                          Type: PrimeField(2)
 --E 2
 
 --S 3 of 8
@@ -58,7 +58,7 @@ createPrimitivePoly(2)$FFPOLY(gf2)
 --R
 --R         2
 --R   (5)  ?  + ? + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 2
+--R                              Type: SparseUnivariatePolynomial(PrimeField(2))
 --E 5
 
 --S 6 of 8
@@ -67,7 +67,7 @@ createPrimitivePoly(4)$FFPOLY(gf2)
 --R
 --R         4
 --R   (6)  ?  + ? + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 2
+--R                              Type: SparseUnivariatePolynomial(PrimeField(2))
 --E 6
 
 --S 7 of 8
@@ -76,7 +76,7 @@ createPrimitivePoly(12)$FFPOLY(gf2)
 --R
 --R         12    6    4
 --R   (7)  ?   + ?  + ?  + ? + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 2
+--R                              Type: SparseUnivariatePolynomial(PrimeField(2))
 --E 7
 
 --S 8 of 8
@@ -85,7 +85,7 @@ createPrimitivePoly(5)$FFPOLY(PF 3)
 --R
 --R         5    3
 --R   (8)  ?  + ?  + ? + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 3
+--R                              Type: SparseUnivariatePolynomial(PrimeField(3))
 --E 8
 )spool 
 )lisp (bye)
diff --git a/src/input/is.input.pamphlet b/src/input/is.input.pamphlet
index ea2f269..ea5f49c 100644
--- a/src/input/is.input.pamphlet
+++ b/src/input/is.input.pamphlet
@@ -60,8 +60,8 @@ The function g generates the stream of the repeated applications of f
 --S 3 of 5
 g(n:INT):STREAM(INT) == generate(f, n)
 --R 
---R   Function declaration g : Integer -> Stream Integer has been added to
---R      workspace.
+--R   Function declaration g : Integer -> Stream(Integer) has been added 
+--R      to workspace.
 --R                                                                   Type: Void
 --E 3
 
@@ -72,11 +72,11 @@ for every n
 --S 4 of 5
 s := g 27
 --R 
---R   Compiling function g with type Integer -> Stream Integer 
+--R   Compiling function g with type Integer -> Stream(Integer) 
 --R   Compiling function f with type Integer -> Integer 
 --R
 --R   (4)  [27,82,41,124,62,31,94,47,142,71,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 4
 
 --S 5 of 5
@@ -94,7 +94,7 @@ extend(s, 150)
 --R    160, 80, 40, 20, 10, 5, 16, 8, 4, 2, 7, 22, 11, 34, 17, 52, 26, 13, 40, 20,
 --R    10, 5, 16, 8, 4, 2, 7, 22, 11, 34, 17, 52, 26, 13, 40, 20, 10, 5, 16, 8, 4,
 --R    2, 7, 22, 11, 34, 17, 52, 26, ...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 5
 )spool 
 )lisp (bye)
diff --git a/src/input/isprime.input.pamphlet b/src/input/isprime.input.pamphlet
index 2f9a123..45314fb 100644
--- a/src/input/isprime.input.pamphlet
+++ b/src/input/isprime.input.pamphlet
@@ -47,7 +47,7 @@ factor(n)
 --R 
 --R
 --R   (3)  6763 10627 29947
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 3
 
 --S 4 of 15
@@ -71,7 +71,7 @@ factor(n)
 --R 
 --R
 --R   (6)  1303 16927 157543
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 6
 
 --S 7 of 15
@@ -95,7 +95,7 @@ factor(n)
 --R 
 --R
 --R   (9)  3739 18691 153259
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 9
 
 --S 10 of 15
@@ -119,7 +119,7 @@ factor(n)
 --R 
 --R
 --R   (12)  46411 232051 417691
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 12
 
 --S 13 of 15
@@ -143,7 +143,7 @@ factor(n)
 --R 
 --R
 --R   (15)  21319 106591 3005839
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 15
 )spool 
 )lisp (bye)
diff --git a/src/input/kernel.input.pamphlet b/src/input/kernel.input.pamphlet
index 5d7be28..b8f0f4f 100644
--- a/src/input/kernel.input.pamphlet
+++ b/src/input/kernel.input.pamphlet
@@ -25,7 +25,7 @@ x :: Expression Integer
 --R 
 --R
 --R   (1)  x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 19
@@ -33,7 +33,7 @@ kernel x
 --R 
 --R
 --R   (2)  x
---R                                              Type: Kernel Expression Integer
+--R                                            Type: Kernel(Expression(Integer))
 --E 2
 
 --S 3 of 19
@@ -41,7 +41,7 @@ sin(x) + cos(x)
 --R 
 --R
 --R   (3)  sin(x) + cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 19
@@ -49,7 +49,7 @@ kernels %
 --R 
 --R
 --R   (4)  [sin(x),cos(x)]
---R                                         Type: List Kernel Expression Integer
+--R                                      Type: List(Kernel(Expression(Integer)))
 --E 4
 
 --S 5 of 19
@@ -58,7 +58,7 @@ sin(x)**2 + sin(x) + cos(x)
 --R
 --R              2
 --R   (5)  sin(x)  + sin(x) + cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 19
@@ -66,7 +66,7 @@ kernels %
 --R 
 --R
 --R   (6)  [sin(x),cos(x)]
---R                                         Type: List Kernel Expression Integer
+--R                                      Type: List(Kernel(Expression(Integer)))
 --E 6
 
 --S 7 of 19
@@ -74,7 +74,7 @@ kernels(1 :: Expression Integer)
 --R 
 --R
 --R   (7)  []
---R                                         Type: List Kernel Expression Integer
+--R                                      Type: List(Kernel(Expression(Integer)))
 --E 7
 
 --S 8 of 19
@@ -82,7 +82,7 @@ mainKernel(cos(x) + tan(x))
 --R 
 --R
 --R   (8)  tan(x)
---R                                   Type: Union(Kernel Expression Integer,...)
+--R                                 Type: Union(Kernel(Expression(Integer)),...)
 --E 8
 
 --S 9 of 19
@@ -146,7 +146,7 @@ e := f(x, y, 10)
 --R 
 --R
 --R   (16)  f(x,y,10)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 19
@@ -170,7 +170,7 @@ argument mainKernel e
 --R 
 --R
 --R   (19)  [x,y,10]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 19
 )spool 
 )lisp (bye)
diff --git a/src/input/knot2.input.pamphlet b/src/input/knot2.input.pamphlet
index e1d2ff6..58dcd97 100644
--- a/src/input/knot2.input.pamphlet
+++ b/src/input/knot2.input.pamphlet
@@ -43,7 +43,7 @@ see the notes for detail...too involved to explain here
 --R 
 --R
 --R   (2)  [3,5]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 2
 
 --S 3 of 7
@@ -53,7 +53,7 @@ PQ    := p/q
 --R        3
 --R   (3)  -
 --R        5
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 3
 
 --S 4 of 7
@@ -77,7 +77,7 @@ theRange := 0..maxRange
 --R 
 --R
 --R   (6)  0..(5%pi)
---R                                                             Type: Segment Pi
+--R                                                            Type: Segment(Pi)
 --E 6
 
 \end{chunk}
@@ -96,7 +96,7 @@ v:=draw(curve(sin t * cos(PQ*t),cos t * cos(PQ*t),cos t * sin(PQ*t)), _
 --I   Compiling function %F with type DoubleFloat -> DoubleFloat 
 --R   Transmitting data...
 --R
---R   (7)  ThreeDimensionalViewport: "DCOS((3*t)/5)*DSIN(t)"
+--R   (7)  ThreeDimensionalViewport: "cos((3*t)/5)*sin(t)"
 --R                                               Type: ThreeDimensionalViewport
 --E 7
 
diff --git a/src/input/kovacic.input.pamphlet b/src/input/kovacic.input.pamphlet
index 0c5101b..f8541d0 100644
--- a/src/input/kovacic.input.pamphlet
+++ b/src/input/kovacic.input.pamphlet
@@ -45,7 +45,7 @@ eq := 2*x**3 * differentiate(y x,x,2) + 3*x**2 * differentiate(y x,x) - 2 * y x
 --R          3 ,,        2 ,
 --R   (2)  2x y  (x) + 3x y (x) - 2y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 3
@@ -57,7 +57,7 @@ solve(eq,y,x).basis
 --R              +-+    +-+
 --R             \|x    \|x
 --R   (3)  [%e      ,%e    ]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 3
 )spool 
 )lisp (bye)
diff --git a/src/input/kuipers.input.pamphlet b/src/input/kuipers.input.pamphlet
index f983433..4176057 100644
--- a/src/input/kuipers.input.pamphlet
+++ b/src/input/kuipers.input.pamphlet
@@ -29,7 +29,7 @@ R1:=matrix([[cos a, sin a, 0],[-sin a, cos a, 0],[0, 0, 1]])
 --R   (1)  |- sin(a)  cos(a)  0|
 --R        |                   |
 --R        +   0        0     1+
---R                                              Type: Matrix Expression Integer
+--R                                            Type: Matrix(Expression(Integer))
 --E 1
 
 --S 2 of 30
@@ -41,7 +41,7 @@ R2:=matrix([[cos b, 0, -sin b],[0, 1, 0],[sin b, 0, cos b]])
 --R   (2)  |  0     1     0    |
 --R        |                   |
 --R        +sin(b)  0   cos(b) +
---R                                              Type: Matrix Expression Integer
+--R                                            Type: Matrix(Expression(Integer))
 --E 2
 
 --S 3 of 30
@@ -53,7 +53,7 @@ R:=R2*R1
 --R   (3)  |  - sin(a)       cos(a)        0    |
 --R        |                                    |
 --R        +cos(a)sin(b)  sin(a)sin(b)   cos(b) +
---R                                              Type: Matrix Expression Integer
+--R                                            Type: Matrix(Expression(Integer))
 --E 3
 
 --S 4 of 30
@@ -65,7 +65,7 @@ V:=matrix([[x1],[y1],[z1]])
 --R   (4)  |y1|
 --R        |  |
 --R        +z1+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 4
 
 --S 5 of 30
@@ -77,7 +77,7 @@ E:=R*V=V
 --R   (5)  |            - x1 sin(a) + y1 cos(a)            |= |y1|
 --R        |                                               |  |  |
 --R        +   (y1 sin(a) + x1 cos(a))sin(b) + z1 cos(b)   +  +z1+
---R                                     Type: Equation Matrix Expression Integer
+--R                                  Type: Equation(Matrix(Expression(Integer)))
 --E 5
 
 --S 6 of 30
@@ -89,7 +89,7 @@ F:=lhs(E)-rhs(E)
 --R   (6)  |            - x1 sin(a) + y1 cos(a) - y1            |
 --R        |                                                    |
 --R        +   (y1 sin(a) + x1 cos(a))sin(b) + z1 cos(b) - z1   +
---R                                              Type: Matrix Expression Integer
+--R                                            Type: Matrix(Expression(Integer))
 --E 6
 
 --S 7 of 30
@@ -101,7 +101,7 @@ G:=F=matrix([[0],[0],[0]])
 --R   (7)  |            - x1 sin(a) + y1 cos(a) - y1            |= |0|
 --R        |                                                    |  | |
 --R        +   (y1 sin(a) + x1 cos(a))sin(b) + z1 cos(b) - z1   +  +0+
---R                                     Type: Equation Matrix Expression Integer
+--R                                  Type: Equation(Matrix(Expression(Integer)))
 --E 7
 
 --S 8 of 30
@@ -109,7 +109,7 @@ H:=elt(F,2,1)
 --R 
 --R
 --R   (8)  - x1 sin(a) + y1 cos(a) - y1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 30
@@ -117,7 +117,7 @@ x1:=k
 --R 
 --R
 --R   (9)  k
---R                                                             Type: Variable k
+--R                                                            Type: Variable(k)
 --E 9
 
 --S 10 of 30
@@ -125,7 +125,7 @@ J:=subst(H,'x1=k)
 --R 
 --R
 --R   (10)  - k sin(a) + y1 cos(a) - y1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 30
@@ -135,7 +135,7 @@ L:=solve(J,y1)
 --R               k sin(a)
 --R   (11)  [y1= ----------]
 --R              cos(a) - 1
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 11
 
 --S 12 of 30
@@ -145,7 +145,7 @@ y1:=rhs(first(solve(J,y1)))
 --R          k sin(a)
 --R   (12)  ----------
 --R         cos(a) - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 30
@@ -153,7 +153,7 @@ H1:=elt(F,3,1)
 --R 
 --R
 --R   (13)  (y1 sin(a) + x1 cos(a))sin(b) + z1 cos(b) - z1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 30
@@ -167,7 +167,7 @@ J1:=subst(H1,['x1=x1, 'y1=y1])
 --R       - z1 cos(a) + z1
 --R  /
 --R     cos(a) - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 30
@@ -177,7 +177,7 @@ z1:=simplify(rhs(first(solve(J1,z1))))
 --R          k sin(b)
 --R   (15)  ----------
 --R         cos(b) - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 30
@@ -187,7 +187,7 @@ z1:=simplify(rhs(first(solve(J1,z1))))
 --R             k sin(a)   k sin(b)
 --R   (16)  [k,----------,----------]
 --R            cos(a) - 1 cos(b) - 1
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 16
 
 --S 17 of 30
@@ -197,7 +197,7 @@ y1:=eval(y1,[k=-1])
 --R             sin(a)
 --R   (17)  - ----------
 --R           cos(a) - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 30
@@ -207,7 +207,7 @@ z1:=eval(z1,[k=-1])
 --R             sin(b)
 --R   (18)  - ----------
 --R           cos(b) - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 --S 19 of 30
@@ -217,7 +217,7 @@ z1:=eval(z1,[k=-1])
 --R                sin(a)       sin(b)
 --R   (19)  [k,- ----------,- ----------]
 --R              cos(a) - 1   cos(b) - 1
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 19
 
 --S 20 of 30
@@ -229,7 +229,7 @@ RSQ:SQMATRIX(3,EXPR(INT)):=R
 --R   (20)  |  - sin(a)       cos(a)        0    |
 --R         |                                    |
 --R         +cos(a)sin(b)  sin(a)sin(b)   cos(b) +
---R                                     Type: SquareMatrix(3,Expression Integer)
+--R                                    Type: SquareMatrix(3,Expression(Integer))
 --E 20
 
 --S 21 of 30
@@ -237,7 +237,7 @@ TR:=trace(RSQ)
 --R 
 --R
 --R   (21)  (cos(a) + 1)cos(b) + cos(a)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 --S 22 of 30
@@ -245,7 +245,7 @@ TREQ:=TR=1+2*cos(c)
 --R 
 --R
 --R   (22)  (cos(a) + 1)cos(b) + cos(a)= 2cos(c) + 1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 22
 
 --S 23 of 30
@@ -255,7 +255,7 @@ c:=rhs(first(solve(TREQ,c)))
 --R              (cos(a) + 1)cos(b) + cos(a) - 1
 --R   (23)  acos(-------------------------------)
 --R                             2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 
 --S 24 of 30
@@ -263,7 +263,7 @@ x1v:=eval(x1,k=-1)
 --R 
 --R
 --R   (24)  - 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 24
 
 --S 25 of 30
@@ -287,7 +287,7 @@ z1v:=numeric(eval(z1,[k=-1,b=%pi/3]))
 --R 
 --R
 --R   (27)  [- 1.0,3.7320508075 688772936,1.7320508075 688772935]
---R                                                  Type: List Polynomial Float
+--R                                                Type: List(Polynomial(Float))
 --E 27
 
 --S 28 of 30
@@ -324,7 +324,7 @@ rv:=eval(R,[a=%pi/6,b=%pi/3])
 --R         | 3    \|3     1   |
 --R         | -    ----    -   |
 --R         + 4      4     2   +
---R                                              Type: Matrix Expression Integer
+--R                                            Type: Matrix(Expression(Integer))
 --E 30
 )spool 
 )lisp (bye)
diff --git a/src/input/laplace.input.pamphlet b/src/input/laplace.input.pamphlet
index 5debc8f..45dceb5 100644
--- a/src/input/laplace.input.pamphlet
+++ b/src/input/laplace.input.pamphlet
@@ -36,12 +36,13 @@ L(f n) is $1/(s+a)^n$
 --S 2 of 27
 f 2
 --R 
---R   Compiling function f with type PositiveInteger -> Expression Integer
+--R   Compiling function f with type PositiveInteger -> Expression(Integer
+--R      ) 
 --R      
 --R
 --R            - a t
 --R   (2)  t %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 27
@@ -52,7 +53,7 @@ laplace(%, t, s)
 --R   (3)  --------------
 --R         2           2
 --R        s  + 2a s + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 27
@@ -63,7 +64,7 @@ f 5
 --R        t %e
 --R   (4)  ---------
 --R            24
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 27
@@ -74,7 +75,7 @@ laplace(%, t, s)
 --R   (5)  ----------------------------------------
 --R         5       4      2 3      3 2     4     5
 --R        s  + 5a s  + 10a s  + 10a s  + 5a s + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 27
@@ -82,7 +83,7 @@ sin(a*t) - a*t*cos(a*t)
 --R 
 --R
 --R   (6)  sin(a t) - a t cos(a t)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 27
@@ -94,7 +95,7 @@ laplace(%, t, s)
 --R   (7)  ---------------
 --R         4     2 2    4
 --R        s  + 2a s  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 27
@@ -105,7 +106,7 @@ laplace(%, t, s)
 --R   (8)  --------------------
 --R                   2
 --R                 2a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 27
@@ -116,7 +117,7 @@ laplace(%, t, s)
 --R   (9)  -------
 --R         4    4
 --R        s  - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 27
@@ -128,7 +129,7 @@ exp(-a*t) * sin(b*t) / b**2
 --R   (10)  ---------------
 --R                 2
 --R                b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 27
@@ -139,7 +140,7 @@ laplace(%, t, s)
 --R   (11)  ------------------------
 --R            2             3    2
 --R         b s  + 2a b s + b  + a b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 27
@@ -147,7 +148,7 @@ sin(a*t) * cosh(a*t) - cos(a*t) * sinh(a*t)
 --R 
 --R
 --R   (12)  - cos(a t)sinh(a t) + cosh(a t)sin(a t)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 27
@@ -159,7 +160,7 @@ laplace(%, t, s)
 --R   (13)  --------
 --R          4     4
 --R         s  + 4a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 27
@@ -170,7 +171,7 @@ laplace(%, t, s)
 --R         - %e    + %e
 --R   (14)  ---------------
 --R                t
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 27
@@ -178,7 +179,7 @@ laplace(%, t, s)
 --R 
 --R
 --R   (15)  - log(s - a) + log(s - b)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 27
@@ -188,7 +189,7 @@ laplace(%, t, s)
 --R         - 2cosh(a t) + 2
 --R   (16)  ----------------
 --R                 t
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 27
@@ -197,7 +198,7 @@ laplace(%, t, s)
 --R
 --R              2    2
 --R   (17)  log(s  - a ) - 2log(s)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 27
@@ -207,7 +208,7 @@ laplace(%, t, s)
 --R         - 2cos(a t) + 2
 --R   (18)  ---------------
 --R                t
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 --S 19 of 27
@@ -216,7 +217,7 @@ laplace(%, t, s)
 --R
 --R              2    2
 --R   (19)  log(s  + a ) - 2log(s)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 27
@@ -226,7 +227,7 @@ laplace(%, t, s)
 --R         - cos(b t) + cos(a t)
 --R   (20)  ---------------------
 --R                   t
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 --S 21 of 27
@@ -237,7 +238,7 @@ laplace(%, t, s)
 --R         log(s  + b ) - log(s  + a )
 --R   (21)  ---------------------------
 --R                      2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 \end{chunk}
@@ -248,7 +249,7 @@ a*Ci(b*t) + c*Si(d*t)
 --R 
 --R
 --R   (22)  c Si(d t) + a Ci(b t)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 
 --S 23 of 27
@@ -262,7 +263,7 @@ laplace(%, t, s)
 --R                  b
 --R   (23)  ---------------------------
 --R                      2s
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 
 --S 24 of 27
@@ -271,7 +272,7 @@ exp(a*t+b)*Ei(c*t)
 --R
 --R                  a t + b
 --R   (24)  Ei(c t)%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 24
 
 --S 25 of 27
@@ -283,7 +284,7 @@ laplace(%, t, s)
 --R                    c
 --R   (25)  -----------------
 --R               s - a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 25
 
 \end{chunk}
@@ -296,7 +297,7 @@ sin(a*t) - a*t*cos(a*t) + exp(t**2)
 --R                       2
 --R                      t
 --R   (26)  sin(a t) + %e   - a t cos(a t)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 26
 
 --S 27 of 27
@@ -309,7 +310,7 @@ laplace(%, t, s)
 --R   (27)  ----------------------------------------
 --R                       4     2 2    4
 --R                      s  + 2a s  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 27
 )spool 
 )lisp (bye)
diff --git a/src/input/leg.input.pamphlet b/src/input/leg.input.pamphlet
index fcede09..725db6e 100644
--- a/src/input/leg.input.pamphlet
+++ b/src/input/leg.input.pamphlet
@@ -45,14 +45,14 @@ p(n | n>1) == ((2*n-1)*x*p(n-1)-(n-1)*p(n-2))/n
 --S 4 of 4
 p 3
 --R 
---R   Compiling function p with type Integer -> Polynomial Fraction 
---R      Integer 
+--R   Compiling function p with type Integer -> Polynomial(Fraction(
+--R      Integer)) 
 --R   Compiling function p as a recurrence relation.
 --R
 --R        5  3   3
 --R   (4)  - x  - - x
 --R        2      2
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 4
 )spool 
 )lisp (bye)
diff --git a/src/input/limit.input.pamphlet b/src/input/limit.input.pamphlet
index 30c1063..baef1ed 100644
--- a/src/input/limit.input.pamphlet
+++ b/src/input/limit.input.pamphlet
@@ -39,7 +39,7 @@ limit((x^2-4)/(x-2),x=2)
 --R 
 --R
 --R   (1)  4
---R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--R            Type: Union(OrderedCompletion(Fraction(Polynomial(Integer))),...)
 --E 1
 \end{chunk}
 \section{Right and Left Limits}
@@ -99,7 +99,7 @@ limit(sqrt(9-x^2),x=-3)
 --R 
 --R
 --R   (3)  [leftHandLimit= "failed",rightHandLimit= 0]
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
+--IType: Union(Record(leftHandLimit: Union(OrderedCompletion(...
 --E 3
 
 --S 4 of 15
@@ -108,7 +108,7 @@ limit(sqrt(9-x^2),x=-2)
 --R
 --R         +-+
 --R   (4)  \|5
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 4
 
 --S 5 of 15
@@ -116,7 +116,7 @@ limit(sqrt(9-x^2),x=0)
 --R 
 --R
 --R   (5)  3
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 5
 
 --S 6 of 15
@@ -125,7 +125,7 @@ limit(sqrt(9-x^2),x=2)
 --R
 --R         +-+
 --R   (6)  \|5
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 6
 
 --S 7 of 15
@@ -133,7 +133,7 @@ limit(sqrt(9-x^2),x=3)
 --R 
 --R
 --R   (7)  [leftHandLimit= 0,rightHandLimit= "failed"]
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
+--IType: Union(Record(leftHandLimit: Union(OrderedCompletion(...
 --E 7
 
 --S 8 of 15
@@ -223,7 +223,7 @@ limit(1/x^2,x=0)
 --R 
 --R
 --R   (9)   + infinity
---R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--R            Type: Union(OrderedCompletion(Fraction(Polynomial(Integer))),...)
 --E 9
 
 --S 10 of 15
@@ -231,7 +231,7 @@ limit(-1/(x-1)^2,x=1)
 --R 
 --R
 --R   (10)  - infinity
---R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--R            Type: Union(OrderedCompletion(Fraction(Polynomial(Integer))),...)
 --E 10
 
 --S 11 of 15
@@ -239,7 +239,7 @@ limit(1/x,x=0)
 --R 
 --R
 --R   (11)  [leftHandLimit= - infinity,rightHandLimit=  + infinity]
---IType: Union(Record(leftHandLimit: Union(OrderedCompletion ...
+--IType: Union(Record(leftHandLimit: Union(OrderedCompletion(...
 --E 11
 
 \end{chunk}
@@ -263,7 +263,7 @@ limit(1/x,x=%plusInfinity)
 --R 
 --R
 --R   (12)  0
---R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--R            Type: Union(OrderedCompletion(Fraction(Polynomial(Integer))),...)
 --E 12
 
 --S 13 of 15
@@ -271,7 +271,7 @@ limit(2+(1/x^2),x=%plusInfinity)
 --R 
 --R
 --R   (13)  2
---R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--R            Type: Union(OrderedCompletion(Fraction(Polynomial(Integer))),...)
 --E 13
 
 )clear all
@@ -284,7 +284,7 @@ f := exp(n) * (sin(1/n + exp(-n)) - sin(1/n))
 --R          n    n %e    + 1      n    1
 --R   (1)  %e sin(-----------) - %e sin(-)
 --R                    n                n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 15
@@ -306,4 +306,3 @@ ISBN 0-07-041973-6 pp61-63
 \end{thebibliography}
 \end{document}
 
- 
diff --git a/src/input/lindep.input.pamphlet b/src/input/lindep.input.pamphlet
index 7efd61c..0cd6d62 100644
--- a/src/input/lindep.input.pamphlet
+++ b/src/input/lindep.input.pamphlet
@@ -24,8 +24,8 @@
 v(i:INT):DIRPROD(5, FRAC INT) ==
    directProduct vector [i / (i + j) for j in 0..4]
 --R 
---R   Function declaration v : Integer -> DirectProduct(5,Fraction Integer
---R      ) has been added to workspace.
+--R   Function declaration v : Integer -> DirectProduct(5,Fraction(Integer
+--R      )) has been added to workspace.
 --R                                                                   Type: Void
 --E 1
 
@@ -35,14 +35,14 @@ Create several elements of $Q^5$
 --S 2 of 10
 V := vector [v i for i in 1..6]
 --R 
---R   Compiling function v with type Integer -> DirectProduct(5,Fraction 
---R      Integer) 
+--R   Compiling function v with type Integer -> DirectProduct(5,Fraction(
+--R      Integer)) 
 --R
 --R   (2)
 --R       1 1 1 1     2 1 2 1     3 3 1 3     4 2 4 1     5 5 5 5     6 3 2 3
 --R   [[1,-,-,-,-],[1,-,-,-,-],[1,-,-,-,-],[1,-,-,-,-],[1,-,-,-,-],[1,-,-,-,-]]
 --R       2 3 4 5     3 2 5 3     4 5 2 7     5 3 7 2     6 7 8 9     7 4 3 5
---R                               Type: Vector DirectProduct(5,Fraction Integer)
+--R                             Type: Vector(DirectProduct(5,Fraction(Integer)))
 --E 2
 
 \end{chunk}
@@ -64,7 +64,7 @@ linearDependenceOverZ V
 --R 
 --R
 --R   (4)  [- 1,15,- 70,140,- 126,42]
---R                                              Type: Union(Vector Integer,...)
+--R                                             Type: Union(Vector(Integer),...)
 --E 4
 
 \end{chunk}
@@ -77,7 +77,7 @@ solveLinearlyOverQ(delete(V, 2), V.2)
 --R          1 14   28 42   14
 --R   (5)  [--,--,- --,--,- --]
 --R         15  3    3  5    5
---R                                     Type: Union(Vector Fraction Integer,...)
+--R                                   Type: Union(Vector(Fraction(Integer)),...)
 --E 5
 
 --S 6 of 10
@@ -100,7 +100,7 @@ W := vector [w i for i in 1..3]
 --R         +1   2 + +2   3 + +3   4 +
 --R   (7)  [|      |,|      |,|      |]
 --R         +0  - 1+ +1  - 2+ +2  - 3+
---R                                         Type: Vector SquareMatrix(2,Integer)
+--R                                        Type: Vector(SquareMatrix(2,Integer))
 --E 7
 
 \end{chunk}
@@ -122,7 +122,7 @@ linearDependenceOverZ W
 --R 
 --R
 --R   (9)  [1,- 2,1]
---R                                              Type: Union(Vector Integer,...)
+--R                                             Type: Union(Vector(Integer),...)
 --E 9
 
 \end{chunk}
@@ -135,7 +135,7 @@ solveLinearlyOverQ(delete(W, 2), W.2)
 --R          1 1
 --R   (10)  [-,-]
 --R          2 2
---R                                     Type: Union(Vector Fraction Integer,...)
+--R                                   Type: Union(Vector(Fraction(Integer)),...)
 --E 10
 )spool 
 )lisp (bye)
diff --git a/src/input/liska.input.pamphlet b/src/input/liska.input.pamphlet
index db727c8..0b49b4d 100644
--- a/src/input/liska.input.pamphlet
+++ b/src/input/liska.input.pamphlet
@@ -59,7 +59,7 @@ factor bi
 --R
 --R          4
 --R   (4)  23 37 59 101
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 4
 
 --S 5 of 94
@@ -90,7 +90,7 @@ gcd(bi,bia)
 --R        617283945
 --R   (1)  ---------
 --R         49382716
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 7
 
 --S 8 of 94
@@ -100,7 +100,7 @@ rn:=1/2+2/15-64/47
 --R          1027
 --R   (2)  - ----
 --R          1410
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 8
 \end{chunk}
 \subsection{Complex numbers}
@@ -114,7 +114,7 @@ cn:=(2+3*%i)*(15-6*%i)+2/(2-4*%i)
 --R        63 + 115%i
 --R   (1)  ----------
 --R          2 + %i
---R                                               Type: Fraction Complex Integer
+--R                                             Type: Fraction(Complex(Integer))
 --E 9
 
 --S 10 of 94
@@ -124,7 +124,7 @@ real(cn)+%i*imag(cn)
 --R        63 + 115%i
 --R   (2)  ----------
 --R          2 + %i
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 10
 \end{chunk}
 \subsection{Algebraic numbers}
@@ -152,7 +152,7 @@ sqrt2:=rootOf(sqrt2^2-2)
 --R 
 --R
 --R   (3)  x + sqrt2
---R                                    Type: Fraction Polynomial AlgebraicNumber
+--R                                  Type: Fraction(Polynomial(AlgebraicNumber))
 --E 13
 
 --S 14 of 94
@@ -163,7 +163,7 @@ t1:=(x^3+(sqrt2-2)*x^2-(2*sqrt2+3)*x-3*sqrt2)/(x^2-2)
 --R        x  - 2x - 3
 --R   (4)  -----------
 --R         x - sqrt2
---R                                    Type: Fraction Polynomial AlgebraicNumber
+--R                                  Type: Fraction(Polynomial(AlgebraicNumber))
 --E 14
 
 --S 15 of 94
@@ -174,7 +174,7 @@ normalize t1
 --R        - x  + 2x + 3
 --R   (5)  -------------
 --R          sqrt2 - x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 
 --S 16 of 94
@@ -184,7 +184,7 @@ sqrt(x^2-2*sqrt2*x*y+2*y^2)
 --R         +-----------------------+
 --R         |                 2    2
 --R   (6)  \|- 2x y sqrt2 + 2y  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 94
@@ -224,7 +224,7 @@ cbrt
 --R 
 --R
 --R   (11)  cbrt
---R                                                          Type: Variable cbrt
+--R                                                         Type: Variable(cbrt)
 --E 21
 
 --S 22 of 94
@@ -234,7 +234,7 @@ sqrt(x^2+2*(sqrt5-cbrt3)*x+5-2*sqrt5*cbrt3+cbrt3^2)
 --R          +-------------------------------------------------+
 --R          |                            2               2
 --R   (12)  \|(- 2cbrt3 + 2x)sqrt5 + cbrt3  - 2x cbrt3 + x  + 5
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 \end{chunk}
 \subsection{Big floating point numbers}
@@ -248,7 +248,7 @@ rn:=-1027/1410
 --R          1027
 --R   (1)  - ----
 --R          1410
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 23
 
 --S 24 of 94
@@ -258,7 +258,7 @@ cn:=(167*%i+241)/5
 --R        63 + 115%i
 --R   (2)  ----------
 --R          2 + %i
---R                                               Type: Fraction Complex Integer
+--R                                             Type: Fraction(Complex(Integer))
 --E 24
 
 --S 25 of 94
@@ -274,7 +274,7 @@ cn::Complex Float
 --R 
 --R
 --R   (4)  48.2 + 33.4 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 26
 
 --S 27 of 94
@@ -354,7 +354,7 @@ tan(1.0+1.0*%i)
 --R 
 --R
 --R   (14)  0.2717525853 1951171653 + 1.0839233273 386945435 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 36
 
 --S 37 of 94
@@ -362,7 +362,7 @@ log(1.0+1.0*%i)
 --R 
 --R
 --R   (15)  0.3465735902 7997265471 + 0.7853981633 9744830961 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 37
 \end{chunk}
 \section{Polynomials}
@@ -380,7 +380,7 @@ pol:=(a+b+c)^4
 --R   + 
 --R      4       3     2 2     3     4
 --R     b  + 4a b  + 6a b  + 4a b + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 38
 
 --S 39 of 94
@@ -390,7 +390,7 @@ dpol:=D(pol,a)
 --R   (2)
 --R     3               2       2              2       3        2      2      3
 --R   4c  + (12b + 12a)c  + (12b  + 24a b + 12a )c + 4b  + 12a b  + 12a b + 4a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 39
 
 --S 40 of 94
@@ -398,7 +398,7 @@ D(D(pol,a),b,2)
 --R 
 --R
 --R   (3)  24c + 24b + 24a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 40
 
 --S 41 of 94
@@ -408,7 +408,7 @@ t1:=integrate(dpol,a)
 --R   (4)
 --R       3              2  2         2      2      3         3     2 2     3     4
 --R   4a c  + (12a b + 6a )c  + (12a b  + 12a b + 4a )c + 4a b  + 6a b  + 4a b + a
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 41
 
 --S 42 of 94
@@ -417,7 +417,7 @@ pol-t1
 --R
 --R         4       3     2 2     3     4
 --R   (5)  c  + 4b c  + 6b c  + 4b c + b
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 42
 
 --S 43 of 94
@@ -427,7 +427,7 @@ pol-t1
 --R        - b - a
 --R   (6)  -------
 --R         b - a
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 43
 
 --S 44 of 94
@@ -436,7 +436,7 @@ g:=34*x^19-91*x+70*x^7-25*x^16+20*x^3-86
 --R
 --R           19      16      7      3
 --R   (7)  34x   - 25x   + 70x  + 20x  - 91x - 86
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 44
 
 --S 45 of 94
@@ -457,7 +457,7 @@ f1:=g*(64*x^34-21*x^47-126*x^8-46*x^5-16*x^60-81)
 --R     - 3220x   - 2520x   + 11466x  + 9916x  - 5670x  + 4186x  + 3956x  - 1620x
 --R   + 
 --R     7371x + 6966
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 45
 
 --S 46 of 94
@@ -479,7 +479,7 @@ f2:=g*(72*x^60-25*x^25-19*x^23-22*x^39-83*x^52+54*x^10+81)
 --R   + 
 --R            16        13        11        10        7        3
 --R     - 2025x   + 1080x   - 4914x   - 4644x   + 5670x  + 1620x  - 7371x - 6966
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 46
 
 --S 47 of 94
@@ -488,7 +488,7 @@ gcd(f1,f2)
 --R
 --R            19      16      7      3
 --R   (10)  34x   - 25x   + 70x  + 20x  - 91x - 86
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 47
 
 \end{chunk}
@@ -501,7 +501,7 @@ factor(a^2-b^2)
 --R 
 --R
 --R   (1)  - (b - a)(b + a)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 48
 
 --S 49 of 94
@@ -509,7 +509,7 @@ factor(a^2+b^2,[rootOf(i^2+1)])
 --R 
 --R
 --R   (2)  (b - i a)(b + i a)
---R                                    Type: Factored Polynomial AlgebraicNumber
+--R                                  Type: Factored(Polynomial(AlgebraicNumber))
 --E 49
 
 --S 50 of 94
@@ -534,7 +534,7 @@ fa:=(x^2*z+y^4*z^2+5)*(x*y^3+z^2)*(-x^3*y+z^2+3)*(x^3*y^4+z^2)
 --R   + 
 --R         9 8     6 7       7 8      4 7
 --R     (- x y  + 3x y )z - 5x y  + 15x y
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 50
 
 --S 51 of 94
@@ -543,7 +543,7 @@ factor fa
 --R
 --R          2    3        2      3   2    3 4   4 2    2
 --R   (4)  (z  - x y + 3)(z  + x y )(z  + x y )(y z  + x z + 5)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 51
 \end{chunk}
 \subsection{Groebner bases}
@@ -567,7 +567,7 @@ polys:=[45*p+35*s-165*b-36, _
 --R                    2   2   33      2673
 --R    99w - 11b s + 3b , b  + -- b + -----]
 --R                            50     10000
---R                                       Type: List Polynomial Fraction Integer
+--R                                    Type: List(Polynomial(Fraction(Integer)))
 --E 52
 
 --S 53 of 94
@@ -575,7 +575,7 @@ vars:=[w,p,z,t,s,b]
 --R 
 --R
 --R   (2)  [w,p,z,t,s,b]
---R                                 Type: List OrderedVariableList [w,p,z,t,s,b]
+--R                               Type: List(OrderedVariableList([w,p,z,t,s,b]))
 --E 53
 
 --S 54 of 94
@@ -589,7 +589,7 @@ groebner(polys)
 --R        31     153   2   33      2673
 --R    p - -- b - ---, b  + -- b + -----]
 --R        18     200       50     10000
---R                                       Type: List Polynomial Fraction Integer
+--R                                    Type: List(Polynomial(Fraction(Integer)))
 --E 54
 
 --S 55 of 94
@@ -605,7 +605,7 @@ solve(polys,vars)
 --R      s= --------, 10000b  + 6600b + 2673= 0]
 --R            200
 --R     ]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 55
 
 \end{chunk}
@@ -621,7 +621,7 @@ rf:=(3*a*b^2-5*a^2*b)/(a^4-2)
 --R   (5)  ------------
 --R            4
 --R           a  - 2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 56
 
 --S 57 of 94
@@ -684,7 +684,7 @@ integrate(rf,a)
 --R              3125a b
 --R  /
 --R     4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 57
 
 --S 58 of 94
@@ -696,14 +696,14 @@ t1:=(10*x^2-11*x-6)/(x^3-x^2-2*x)
 --R   (7)  --------------
 --R          3    2
 --R         x  - x  - 2x
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 58
 
 --S 59 of 94
 FACU:=Factored UnivariatePolynomial(x,Fraction Integer)
 --R 
 --R
---R   (8)  Factored UnivariatePolynomial(x,Fraction Integer)
+--R   (8)  Factored(UnivariatePolynomial(x,Fraction(Integer)))
 --R                                                                 Type: Domain
 --E 59
 
@@ -714,7 +714,7 @@ partialFraction(numerator(t1)::FACU,denominator(t1)::FACU)
 --R          2       5     3
 --R   (9)  ----- + ----- + -
 --R        x - 2   x + 1   x
---R               Type: PartialFraction UnivariatePolynomial(x,Fraction Integer)
+--R             Type: PartialFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 60
 \end{chunk}
 \section{Solving Equations}
@@ -727,7 +727,7 @@ solve([2*x1+x2+3*x3-9, x1-2*x2+x3+2, 3*x1+2*x2+2*x3-7],[x1,x2,x3])
 --R 
 --R
 --R   (1)  [[x1= - 1,x2= 2,x3= 3]]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 61
 \end{chunk}
 \subsection{Nonlinear equations}
@@ -740,7 +740,7 @@ solve(x^8-8*x^7+34*x^6-92*x^5-175*x^4-236*x^3+226*x^2-140*x+46,x)
 --R
 --R          8     7      6      5       4       3       2
 --R   (1)  [x  - 8x  + 34x  - 92x  - 175x  - 236x  + 226x  - 140x + 46= 0]
---R                              Type: List Equation Fraction Polynomial Integer
+--R                          Type: List(Equation(Fraction(Polynomial(Integer))))
 --E 62
 
 --S 63 of 94
@@ -758,7 +758,7 @@ solve(log(acos(asin(x^(2/3)-b)-1))+2,x)
 --R    x= (sin(cos(---) + 1) + b) |sin(cos(---) + 1) + b ]
 --R                  2            |          2
 --R                %e            \|        %e
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 63
 \end{chunk}
 \subsection{Nonlinear systems}
@@ -802,7 +802,7 @@ limit(sin(x)/x,x=0)
 --R 
 --R
 --R   (1)  1
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 65
 
 --S 66 of 94
@@ -811,7 +811,7 @@ limit((3*sin(%pi*x)-sin(3*%pi*x))/x^3,x=0)
 --R
 --R            3
 --R   (2)  4%pi
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 66
 
 --S 67 of 94
@@ -821,7 +821,7 @@ limit((2*x+5)/(3*x-2),x=%plusInfinity)
 --R        2
 --R   (3)  -
 --R        3
---R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--R            Type: Union(OrderedCompletion(Fraction(Polynomial(Integer))),...)
 --E 67
 \end{chunk}
 \subsection{Taylor series}
@@ -837,7 +837,7 @@ series(%e^x,x=0)
 --R                1  2   1  3    1  4      5
 --R   (1)  1 + x + - x  + - x  + -- x  + O(x )
 --R                2      6      24
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 68
 \end{chunk}
 \subsection{Summation and Products}
@@ -853,7 +853,7 @@ sum(n^2*x^n,n)
 --R   (1)  --------------------------------------------------
 --R                          3     2
 --R                         x  - 3x  + 3x - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 69
 
 --S 70 of 94
@@ -864,7 +864,7 @@ sum(cos((2*r-1)*%pi/(2*n+1)),r)
 --R   (2)  >    cos(------------)
 --R        --+         2n + 1
 --R         r
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 70
 
 --S 71 of 94
@@ -875,7 +875,7 @@ product(%e^(sin(n*x)),n)
 --R   (3)   | |   %e
 --R         | |
 --R          n
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 71
 
 --S 72 of 94
@@ -886,7 +886,7 @@ sum(n*2^n/factorial(n+2),n)
 --R          2 2
 --R   (4)  - --------
 --R          (n + 1)!
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 72
 \end{chunk}
 \subsection{Integration}
@@ -903,7 +903,7 @@ integrate(x^2*(a+b*x)^p,x)
 --R   -----------------------------------------------------------------------------
 --R                              3 3     3 2      3      3
 --R                             b p  + 6b p  + 11b p + 6b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 73
 
 --S 74 of 94
@@ -915,7 +915,7 @@ integrate(x^2*log(x^2+a^2),x)
 --R                                  a
 --R   (2)  -----------------------------------------
 --R                            9
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 74
 
 --S 75 of 94
@@ -933,7 +933,7 @@ integrate(x*d^x*sin(x),x)
 --R  /
 --R           4          2
 --R     log(d)  + 2log(d)  + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 75
 
 --S 76 of 94
@@ -946,7 +946,7 @@ integrate(x*sqrt(a+b*x)^p,x)
 --R   (4)  ----------------------------------------------------
 --R                           2 2     2      2
 --R                          b p  + 6b p + 8b
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 76
 
 --S 77 of 94
@@ -960,7 +960,7 @@ integrate(2*x*%e^(x^2)*log(x)+%e^(x^2)/x+(log(x)-2)/(log(x)^2+x)^2+_
 --R   (5)  ----------------------------------------------------------------
 --R                                         2
 --R                                   log(x)  + x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 77
 \end{chunk}
 \subsection{Ordinary differential equations}
@@ -980,7 +980,7 @@ solve(D(y(x),x)+y(x)*sin(x)/cos(x)-1/cos(x)=0,y,x)
 --R 
 --R
 --R   (2)  [particular= sin(x),basis= [cos(x)]]
---IType: Union(Record(particular: Expression Integer,...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 79
 
 --S 80 of 94
@@ -992,7 +992,7 @@ solve(x*(1-x^2)*D(y(x),x)+(2*x^2-1)*y(x)-x^3*y(x)^3=0,y,x)
 --R   (3)  ----------------------------
 --R                        2
 --R                   5y(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 80
 
 --S 81 of 94
@@ -1003,7 +1003,7 @@ solve(D(y(x),x,2)+4*D(y(x),x)+4*y(x)-x*exp(x)=0,y,x)
 --R                     (3x - 2)%e    (%e )            - 2x     - 2x
 --R   (4)  [particular= --------------------,basis= [%e    ,x %e    ]]
 --R                              27
---IType: Union(Record(particular: Expression Integer,...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 81
 \end{chunk}
 \subsection{Substitutions -- pattern matching}
@@ -1032,7 +1032,7 @@ sincosRules:=rule
 --R          2    cos(2x) + 1        2    - cos(2x) + 1
 --R    cos(x)  == -----------, sin(x)  == -------------}
 --R                    2                        2
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 82
 
 --S 83 of 94
@@ -1062,7 +1062,7 @@ sincosRules (a1*cos(wt)+a3*cos(3*wt)+b1*sin(wt)+b3*sin(3*wt))^3
 --R   + 
 --R       3       3
 --R     a1 cos(wt)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 83
 
 --S 84 of 94
@@ -1089,7 +1089,7 @@ intRules:=rule
 --R                          p       x
 --R    int(y,z) == y z, int(x ,x) == ------}
 --R                                   p + 1
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 85
 
 --
@@ -1113,8 +1113,8 @@ intRules int(a^2*b+a^b+3*a-5,a)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named elt 
 --R      with argument type(s) 
---R                             Polynomial Integer
---R                                 Variable a
+--R                             Polynomial(Integer)
+--R                                 Variable(a)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1128,7 +1128,7 @@ intRules int(a^(a+1),a)
 --R        a
 --R   (5)  ------
 --R         a + 2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 87
 \end{chunk}
 \section{Matrices}
@@ -1141,7 +1141,7 @@ xx:=matrix([[a11,a12],[a21,a22]])
 --R        +a11  a12+
 --R   (6)  |        |
 --R        +a21  a22+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 88
 
 --S 89 of 94
@@ -1151,7 +1151,7 @@ yy:=matrix([[y1],[y2]])
 --R        +y1+
 --R   (7)  |  |
 --R        +y2+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 89
 
 --S 90 of 94
@@ -1159,7 +1159,7 @@ determinant xx
 --R 
 --R
 --R   (8)  a11 a22 - a12 a21
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 90
 
 --S 91 of 94
@@ -1173,7 +1173,7 @@ zz:=inverse(xx)*yy
 --R        | a11 y2 - a21 y1 |
 --R        |-----------------|
 --R        +a11 a22 - a12 a21+
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 91
 
 --S 92 of 94
@@ -1203,7 +1203,7 @@ inverse(xx)^2
 --R         2   2                         2   2
 --R      a11 a22  - 2a11 a12 a21 a22 + a12 a21
 --R     ]
---R                                     Type: Matrix Fraction Polynomial Integer
+--R                                  Type: Matrix(Fraction(Polynomial(Integer)))
 --E 92
 
 --S 93 of 94
@@ -1215,7 +1215,7 @@ v:=matrix([[2,-1,1],[0,1,1],[-1,1,1]])
 --R   (11)  | 0    1   1|
 --R         |           |
 --R         +- 1   1   1+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 93
 
 --S 94 of 94
@@ -1228,7 +1228,7 @@ eigenvectors v
 --R   [[eigval= 1,eigmult= 2,eigvec= [|1|]],[eigval= 2,eigmult= 1,eigvec= [|1|]]]
 --R                                   | |                                  | |
 --R                                   +0+                                  +1+
---IType: List Record(eigval: Union(Fraction Polynomial Integer,...
+--RType: List(Record(eigval: Union(Fraction(Polynomial(Integer)),SuchThat(Symbol,Polynomial(Integer))),eigmult: NonNegativeInteger,eigvec: List(Matrix(Fraction(Polynomial(Integer))))))
 --E 94
 
 \end{chunk}
diff --git a/src/input/list.input.pamphlet b/src/input/list.input.pamphlet
index 6da800e..1951ffe 100644
--- a/src/input/list.input.pamphlet
+++ b/src/input/list.input.pamphlet
@@ -25,7 +25,7 @@
 --R 
 --R
 --R   (1)  [2,4,5,6]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 1
 
 --S 2 of 33
@@ -33,7 +33,7 @@
 --R 
 --R
 --R   (2)  [1]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 2
 
 --S 3 of 33
@@ -41,7 +41,7 @@ list(1)
 --R 
 --R
 --R   (3)  [1]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 3
 
 --S 4 of 33
@@ -49,7 +49,7 @@ append([1,2,3],[5,6,7])
 --R 
 --R
 --R   (4)  [1,2,3,5,6,7]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 4
 
 --S 5 of 33
@@ -57,7 +57,7 @@ cons(10,[9,8,7])
 --R 
 --R
 --R   (5)  [10,9,8,7]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 5
 
 )clear all
@@ -83,7 +83,7 @@ k := [4,3,7,3,8,5,9,2]
 --R 
 --R
 --R   (3)  [4,3,7,3,8,5,9,2]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 8
 
 --S 9 of 33
@@ -157,7 +157,7 @@ k := [4,3,7,3,8,5,9,2]
 --R 
 --R
 --R   (1)  [4,3,7,3,8,5,9,2]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 17
 
 --S 18 of 33
@@ -173,7 +173,7 @@ k
 --R 
 --R
 --R   (3)  [999,3,7,3,8,5,9,2]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 19
 
 --S 20 of 33
@@ -181,7 +181,7 @@ k := [1,2]
 --R 
 --R
 --R   (4)  [1,2]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 20
 
 --S 21 of 33
@@ -189,7 +189,7 @@ m := cons(0,k)
 --R 
 --R
 --R   (5)  [0,1,2]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 21
 
 --S 22 of 33
@@ -205,7 +205,7 @@ m
 --R 
 --R
 --R   (7)  [0,99,2]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 23
 
 --S 24 of 33
@@ -213,7 +213,7 @@ k
 --R 
 --R
 --R   (8)  [99,2]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 24
 
 )clear all
@@ -223,7 +223,7 @@ k := [1,2,3]
 --R 
 --R
 --R   (1)  [1,2,3]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 25
 
 --S 26 of 33
@@ -231,7 +231,7 @@ rest k
 --R 
 --R
 --R   (2)  [2,3]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 26
 
 --S 27 of 33
@@ -239,7 +239,7 @@ removeDuplicates [4,3,4,3,5,3,4]
 --R 
 --R
 --R   (3)  [4,3,5]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 27
 
 --S 28 of 33
@@ -247,7 +247,7 @@ reverse [1,2,3,4,5,6]
 --R 
 --R
 --R   (4)  [6,5,4,3,2,1]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 28
 
 --S 29 of 33
@@ -273,7 +273,7 @@ member?(1/12,[3/4,5/6,1/2])
 --R 
 --R
 --R   (1)  [1..3,10..10,20..23]
---R                                           Type: List Segment PositiveInteger
+--R                                         Type: List(Segment(PositiveInteger))
 --E 31
 
 --S 32 of 33
@@ -281,7 +281,7 @@ expand [1..3,10,20..23]
 --R 
 --R
 --R   (2)  [1,2,3,10,20,21,22,23]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 32
 
 --S 33 of 33
@@ -289,7 +289,7 @@ expand [1..]
 --R 
 --R
 --R   (3)  [1,2,3,4,5,6,7,8,9,10,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 33
 )spool 
 )lisp (bye)
diff --git a/src/input/lode.input.pamphlet b/src/input/lode.input.pamphlet
index 84185f0..eb53ea0 100644
--- a/src/input/lode.input.pamphlet
+++ b/src/input/lode.input.pamphlet
@@ -42,7 +42,7 @@ deq := differentiate(y x, x, 2) + differentiate(y x, x) + y x
 --R         ,,       ,
 --R   (2)  y  (x) + y (x) + y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 15
@@ -54,7 +54,7 @@ solve(deq, y, x).basis
 --R             x\|3      2     2    x\|3
 --R   (3)  [cos(-----)%e   ,%e   sin(-----)]
 --R               2                    2
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 3
 
 \end{chunk} 
@@ -67,7 +67,7 @@ deq := differentiate(y x, x, 2) + y x
 --R         ,,
 --R   (4)  y  (x) + y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 15
@@ -75,7 +75,7 @@ solve(deq, y, x = 0, [1, 1])
 --R 
 --R
 --R   (5)  sin(x) + cos(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 5
 
 \end{chunk} 
@@ -88,7 +88,7 @@ solve(deq = sin x, y, x)
 --R                       x cos(x)
 --R   (6)  [particular= - --------,basis= [cos(x),sin(x)]]
 --R                           2
---IType: Union(Record(particular: Expression Integer,...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 6
 
 \end{chunk}
@@ -102,7 +102,7 @@ deq := x**3 * differentiate(y x, x, 3) + x**2 * differentiate(y x, x, 2) - _
 --R         3 ,,,       2 ,,         ,               4
 --R   (7)  x y   (x) + x y  (x) - 2xy (x) + 2y(x)= 2x
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 7
 
 --S 8 of 15
@@ -114,7 +114,7 @@ solve(deq, y, x)
 --R                x  - 10x  + 20x  + 4         2x  - 3x  + 1 x  - 1 x  - 3x  - 1
 --R   [particular= --------------------,basis= [-------------,------,------------]]
 --R                         15x                       x          x         x
---IType: Union(Record(particular: Expression Integer,...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 8
 
 \end{chunk}
@@ -128,7 +128,7 @@ solve(deq, y, x = 1, [b, 0, a])
 --R        2x  + (- 10b + 10a - 10)x  + (30b - 15a + 10)x  + 10b + 5a - 2
 --R   (9)  --------------------------------------------------------------
 --R                                      30x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 9
 
 \end{chunk}
@@ -143,7 +143,7 @@ deq := (x**9 + x**3) * differentiate(y x, x, 3) + _
 --R           9    3  ,,,         8 ,,          ,             6
 --R   (10)  (x  + x )y   (x) + 18x y  (x) - 90xy (x) + (- 330x  + 90)y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 15
@@ -156,7 +156,7 @@ solve(deq, y, x).basis
 --R   (11)  [------,-----------------,---------------]
 --R           6            6                6
 --R          x  + 1       x  + 1           x  + 1
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 11
 
 \end{chunk} 
@@ -171,7 +171,7 @@ deq := (2*x+2)* differentiate(y x, x, 3) + 3* differentiate(y x, x, 2) + _
 --R            ,,,        ,,         2       ,           +-----+    2
 --R   (2x + 2)y   (x) + 3y  (x) + (2x  + 2x)y (x) - y(x)\|x + 1 = 2x  + x - 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 12
 
 --S 13 of 15
@@ -180,7 +180,7 @@ solve(deq, y, x).particular
 --R
 --R          +-----+
 --R   (13)  \|x + 1  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 \end{chunk} 
@@ -193,7 +193,7 @@ deq := 2*x**3*differentiate(y x,x,2) + 3*x**2*differentiate(y x,x) - 2*y x
 --R           3 ,,        2 ,
 --R   (14)  2x y  (x) + 3x y (x) - 2y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 15
@@ -205,7 +205,7 @@ solve(deq,y,x).basis
 --R               +-+    +-+
 --R              \|x    \|x
 --R   (15)  [%e      ,%e    ]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 15
 )spool 
 )lisp (bye)
diff --git a/src/input/lodesys.input.pamphlet b/src/input/lodesys.input.pamphlet
index 5fdf94c..aa4e309 100644
--- a/src/input/lodesys.input.pamphlet
+++ b/src/input/lodesys.input.pamphlet
@@ -48,7 +48,7 @@ M := matrix [[ 1+4*t,  -5*t,   7*t,  -8*t,   8*t,  -6*t],_
 --R        |  5t     - 5t      7t       - 8t     7t + 1   - 6t |
 --R        |                                                   |
 --R        + - 5t     5t      - 7t       8t       - 8t   5t + 1+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 1
 
 \end{chunk}
@@ -75,7 +75,7 @@ sol := solve(inv(t**2) * M, t)
 --R         8%e      %e             8%e        %e             6%e          %e
 --R    [0,- ------,0,-----,0,0], [0,------,0,0,-----,0], [0,- ------,0,0,0,-----]]
 --R           5t       t              5t         t              5t           t
---R                              Type: Union(List Vector Expression Integer,...)
+--R                           Type: Union(List(Vector(Expression(Integer))),...)
 --E 2
 
 \end{chunk}
@@ -88,7 +88,7 @@ Verify the solutions
 --R   (3)
 --R   [[0,0,0,0,0,0], [0,0,0,0,0,0], [0,0,0,0,0,0], [0,0,0,0,0,0], [0,0,0,0,0,0],
 --R    [0,0,0,0,0,0]]
---R                                         Type: List Vector Expression Integer
+--R                                      Type: List(Vector(Expression(Integer)))
 --E 3
 
 \end{chunk}
@@ -118,7 +118,7 @@ sys := [D(x t, t) = x t + sqrt 3 * y t, D(y t, t) = sqrt 3 * x t - y t]
 --R          ,      +-+             ,               +-+
 --R   (6)  [x (t)= \|3 y(t) + x(t),y (t)= - y(t) + \|3 x(t)]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 6
 
 --S 7 of 13
@@ -130,7 +130,7 @@ solve(sys, [x, y], t).basis
 --R   (7)  [[%e  ,----],[%e    ,- -------]]
 --R                +-+               +-+
 --R               \|3               \|3
---R                                         Type: List Vector Expression Integer
+--R                                      Type: List(Vector(Expression(Integer)))
 --E 7
 
 \end{chunk}
@@ -146,7 +146,7 @@ v := vector [1, (-29*t + 19)/5, -1, t + 1, - 2*t + 3, -1]
 --R             29     19
 --R   (8)  [1,- -- t + --,- 1,t + 1,- 2t + 3,- 1]
 --R              5      5
---R                                     Type: Vector Polynomial Fraction Integer
+--R                                  Type: Vector(Polynomial(Fraction(Integer)))
 --E 8
 
 \end{chunk}
@@ -159,7 +159,7 @@ solp := solve(inv(t**2) * M, inv(t**2) * v, t).particular
 --R               19
 --R   (9)  [- 1,- --,1,- 1,- 3,1]
 --R                5
---R                                              Type: Vector Expression Integer
+--R                                            Type: Vector(Expression(Integer))
 --E 9
 
 \end{chunk}
@@ -170,7 +170,7 @@ t**2 * map(h +-> D(h, t), solp) - M * solp - v
 --R 
 --R
 --R   (10)  [0,0,0,0,0,0]
---R                                              Type: Vector Expression Integer
+--R                                            Type: Vector(Expression(Integer))
 --E 10
 
 \end{chunk}
@@ -191,7 +191,7 @@ sys := [D(x t, t) = y t + z t + t, D(y t, t) = x t + z t, D(z t, t) = x t + y t]
 --R           ,                      ,                  ,
 --R   (12)  [x (t)= z(t) + y(t) + t,y (t)= z(t) + x(t),z (t)= y(t) + x(t)]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 12
 
 --S 13 of 13
@@ -201,7 +201,7 @@ solve(sys, [x, y, z], t).particular
 --R          2t - 3 - 2t + 1 - 2t + 1
 --R   (13)  [------,--------,--------]
 --R             4       4        4
---R                                              Type: Vector Expression Integer
+--R                                            Type: Vector(Expression(Integer))
 --E 13
 )spool 
 )lisp (bye)
diff --git a/src/input/lodo.input.pamphlet b/src/input/lodo.input.pamphlet
index a7c83d1..c83683a 100644
--- a/src/input/lodo.input.pamphlet
+++ b/src/input/lodo.input.pamphlet
@@ -41,7 +41,7 @@ or elements of other domains.
 RN:=FRAC INT
 --R 
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
 --E 1
 
@@ -59,7 +59,7 @@ Dx := D()
 --R 
 --R
 --R   (3)  D
---IType: LinearOrdinaryDifferentialOperator2(...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 3
 
 --S 4 of 55
@@ -67,7 +67,7 @@ a  := Dx  + 1
 --R 
 --R
 --R   (4)  D + 1
---IType: LinearOrdinaryDifferentialOperator2(...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 4
 
 --S 5 of 55
@@ -77,7 +77,7 @@ b  := a + 1/2*Dx**2 - 1/2
 --R        1  2       1
 --R   (5)  - D  + D + -
 --R        2          2
---IType: LinearOrdinaryDifferentialOperator2(...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 5
 
 \end{chunk}
@@ -90,7 +90,7 @@ p: UP(x,RN) := 4*x**2 + 2/3
 --R          2   2
 --R   (6)  4x  + -
 --R              3
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 6
  
 \end{chunk}
@@ -103,7 +103,7 @@ a p
 --R          2        2
 --R   (7)  4x  + 8x + -
 --R                   3
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 7
 
 \end{chunk}
@@ -116,7 +116,7 @@ Multiplication is defined by this identity
 --R          2         37    2         37
 --R   (8)  2x  + 12x + --= 2x  + 12x + --
 --R                     3               3
---R                      Type: Equation UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Equation(UnivariatePolynomial(x,Fraction(Integer)))
 --E 8
 
 \end{chunk}
@@ -130,7 +130,7 @@ c := (1/9)*b*(a + b)**2
 --R         1  6    5  5   13  4   19  3   79  2    7     1
 --R   (9)  -- D  + -- D  + -- D  + -- D  + -- D  + -- D + -
 --R        72      36      24      18      72      12     8
---IType: LinearOrdinaryDifferentialOperator2(...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 9
 
 \end{chunk}
@@ -143,7 +143,7 @@ General application of operator expressions
 --R           2   44     541
 --R   (10)  3x  + -- x + ---
 --R                3      36
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 10
 
 \end{chunk}
@@ -155,7 +155,7 @@ General application of operator expressions
 RFZ := FRAC UP(x,INT)
 --R 
 --R
---R   (1)  Fraction UnivariatePolynomial(x,Integer)
+--R   (1)  Fraction(UnivariatePolynomial(x,Integer))
 --R                                                                 Type: Domain
 --E 11
 
@@ -170,7 +170,7 @@ Dx := D()
 --R 
 --R
 --R   (3)  D
---IType: LinearOrdinaryDifferentialOperator1 ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 13
 
 --S 14 of 55
@@ -180,7 +180,7 @@ b := 3*x**2*Dx**2 + 2*Dx + 1/x
 --R          2 2        1
 --R   (4)  3x D  + 2D + -
 --R                     x
---IType: LinearOrdinaryDifferentialOperator1 ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 14
 
 --S 15 of 55
@@ -190,7 +190,7 @@ a := b*(5*x*Dx + 7)
 --R           3 3       2        2         7
 --R   (5)  15x D  + (51x  + 10x)D  + 29D + -
 --R                                        x
---IType: LinearOrdinaryDifferentialOperator1 ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 15
 
 --S 16 of 55
@@ -202,7 +202,7 @@ p: RFZ := x**2 + 1/x**2
 --R   (6)  ------
 --R           2
 --R          x
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 16
 
 \end{chunk}
@@ -217,7 +217,7 @@ Operator multiplication is not commutative
 --R   (7)  ------------------
 --R                 4
 --R                x
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 17
 
 \end{chunk} 
@@ -233,7 +233,7 @@ leftDivide(a,b)
 --R 
 --R
 --R   (8)  [quotient= 5x D + 7,remainder= 0]
---IType: Record(quotient: LinearOrdinaryDifferentialOperator1 ...
+--IType: Record(quotient: LinearOrdinaryDifferentialOperator1(...
 --E 18
 
 --S 19 of 55
@@ -241,7 +241,7 @@ a - (b * %.quotient + %.remainder)
 --R 
 --R
 --R   (9)  0
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 19
 
 --S 20 of 55
@@ -251,7 +251,7 @@ rightDivide(a,b)
 --R                                              5
 --R   (10)  [quotient= 5x D + 7,remainder= 10D + -]
 --R                                              x
---IType: Record(quotient: LinearOrdinaryDifferentialOperator1 ...
+--IType: Record(quotient: LinearOrdinaryDifferentialOperator1(...
 --E 20
 
 --S 21 of 55
@@ -259,7 +259,7 @@ a - (%.quotient * b + %.remainder)
 --R 
 --R
 --R   (11)  0
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 21
 
 \end{chunk}
@@ -272,7 +272,7 @@ e := leftGcd(a,b)
 --R           2 2        1
 --R   (12)  3x D  + 2D + -
 --R                      x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(UnivariatePolynomial(x,Integer)))
 --E 22
 
 \end{chunk}
@@ -283,7 +283,7 @@ leftRemainder(a, e)
 --R 
 --R
 --R   (13)  0
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 23
 
 \end{chunk}
@@ -296,7 +296,7 @@ rightRemainder(a, e)
 --R               5
 --R   (14)  10D + -
 --R               x
---IType: LinearOrdinaryDifferentialOperator1 ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 24
 
 \end{chunk}
@@ -309,7 +309,7 @@ f := rightLcm(a,b)
 --R            3 3       2        2         7
 --R   (15)  15x D  + (51x  + 10x)D  + 29D + -
 --R                                         x
---IType: LinearOrdinaryDifferentialOperator1 ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 25
 
 --S 26 of 55
@@ -317,7 +317,7 @@ leftRemainder(f, b)
 --R 
 --R
 --R   (16)  0
---IType: LinearOrdinaryDifferentialOperator1 ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 26
 
 \end{chunk}
@@ -330,7 +330,7 @@ rightRemainder(f, b)
 --R               5
 --R   (17)  10D + -
 --R               x
---IType: LinearOrdinaryDifferentialOperator1 ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 27
 
 \end{chunk} 
@@ -354,7 +354,7 @@ Dx := D()
 --R 
 --R
 --R   (2)  D
---IType: LinearOrdinaryDifferentialOperator(Expression Integer,...
+--IType: LinearOrdinaryDifferentialOperator(Expression(Integer),...
 --E 29
 
 --S 30 of 55
@@ -366,7 +366,7 @@ Dop:= Dx**3 + G/x**2*Dx + H/x**3 - 1
 --R   (3)  D  + -- D + --------
 --R              2         3
 --R             x         x
---IType: LinearOrdinaryDifferentialOperator(Expression Integer,...
+--IType: LinearOrdinaryDifferentialOperator(Expression(Integer),...
 --E 30
 
 --S 31 of 55
@@ -421,21 +421,21 @@ leq == solve(pans1,[subscript(s,[i]) for i in 1..n])
 leq
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
---R   Compiling body of rule phi to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi1 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi2 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi3 to compute value of type Polynomial 
---R      Integer 
+--R   Compiling body of rule phi to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi1 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi2 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi3 to compute value of type Polynomial(
+--R      Integer) 
 --R   Compiling body of rule pans to compute value of type 
---R      UnivariatePolynomial(x,Polynomial Integer) 
---R   Compiling body of rule pans1 to compute value of type List 
---R      Polynomial Integer 
---R   Compiling body of rule leq to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
---I   Compiling function G3445 with type Integer -> Boolean 
+--R      UnivariatePolynomial(x,Polynomial(Integer)) 
+--R   Compiling body of rule pans1 to compute value of type List(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule leq to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
+--I   Compiling function G3586 with type Integer -> Boolean 
 --R
 --R   (12)
 --R                           2                                3        2
@@ -443,7 +443,7 @@ leq
 --R          0        0     0       0         0       0      0        0        0
 --R   [[s = ---,s = ------------------,s = --------------------------------------]]
 --R      1   3   2          18          3                    162
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 39
 
 --S 40 of 55
@@ -465,20 +465,20 @@ n==4
 leq
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
---R   Compiling body of rule phi to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi1 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi2 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi3 to compute value of type Polynomial 
---R      Integer 
+--R   Compiling body of rule phi to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi1 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi2 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi3 to compute value of type Polynomial(
+--R      Integer) 
 --R   Compiling body of rule pans to compute value of type 
---R      UnivariatePolynomial(x,Polynomial Integer) 
---R   Compiling body of rule pans1 to compute value of type List 
---R      Polynomial Integer 
---R   Compiling body of rule leq to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
+--R      UnivariatePolynomial(x,Polynomial(Integer)) 
+--R   Compiling body of rule pans1 to compute value of type List(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule leq to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
 --R
 --R   (14)
 --R   [
@@ -505,7 +505,7 @@ leq
 --R           1944
 --R       ]
 --R     ]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 41
 
 --S 42 of 55
@@ -527,20 +527,20 @@ n==7
 leq
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
---R   Compiling body of rule phi to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi1 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi2 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi3 to compute value of type Polynomial 
---R      Integer 
+--R   Compiling body of rule phi to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi1 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi2 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi3 to compute value of type Polynomial(
+--R      Integer) 
 --R   Compiling body of rule pans to compute value of type 
---R      UnivariatePolynomial(x,Polynomial Integer) 
---R   Compiling body of rule pans1 to compute value of type List 
---R      Polynomial Integer 
---R   Compiling body of rule leq to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
+--R      UnivariatePolynomial(x,Polynomial(Integer)) 
+--R   Compiling body of rule pans1 to compute value of type List(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule leq to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
 --R
 --R   (16)
 --R   [
@@ -621,7 +621,7 @@ leq
 --R           11022480
 --R       ]
 --R     ]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 43
  
 \end{chunk}
@@ -649,7 +649,7 @@ p := directProduct([3*x**2 + 1, 2*x, 7*x**3 + 2*x]::(VECTOR(PZ)))@Vect
 --R
 --R           2          3
 --R   (3)  [3x  + 1,2x,7x  + 2x]
---IType: DirectProductMatrixModule(3,...
+--IType: DirectProductMatrixModule(3,UnivariatePolynomial(x,Integer),...
 --E 46
 
 --S 47 of 55
@@ -687,7 +687,7 @@ Dx:  Modo := D()
 --R 
 --R
 --R   (6)  D
---IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(...
+--IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(3,...
 --E 49
 
 --S 50 of 55
@@ -702,7 +702,7 @@ a:   Modo := 1*Dx  + m
 --R            |           |
 --R            |          2|
 --R            +0   0   4x +
---IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(...
+--IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(3,...
 --E 50
 
 --S 51 of 55
@@ -717,7 +717,7 @@ b:   Modo := m*Dx  + 1
 --R        |           |    +0  0  1+
 --R        |          2|
 --R        +0   0   4x +
---IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(...
+--IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(3,...
 --E 51
 
 --S 52 of 55
@@ -733,7 +733,7 @@ a*b
 --R   |           |     |                                        |    |           |
 --R   |          2|     |                              4         |    |          2|
 --R   +0   0   4x +     +     0            0        16x  + 8x + 1+    +0   0   4x +
---IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(...
+--IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(3,...
 --E 52
 
 --S 53 of 55
diff --git a/src/input/lodo1.input.pamphlet b/src/input/lodo1.input.pamphlet
index d9d88df..88991bd 100644
--- a/src/input/lodo1.input.pamphlet
+++ b/src/input/lodo1.input.pamphlet
@@ -24,7 +24,7 @@
 RFZ := Fraction UnivariatePolynomial('x, Integer)
 --R 
 --R
---R   (1)  Fraction UnivariatePolynomial(x,Integer)
+--R   (1)  Fraction(UnivariatePolynomial(x,Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -33,7 +33,7 @@ x : RFZ := 'x
 --R 
 --R
 --R   (2)  x
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 2
 
 --S 3 of 20
@@ -41,7 +41,7 @@ Dx : LODO1 RFZ := D()
 --R 
 --R
 --R   (3)  D
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 3
 
 --S 4 of 20
@@ -51,7 +51,7 @@ b : LODO1 RFZ := 3*x**2*Dx**2 + 2*Dx + 1/x
 --R          2 2        1
 --R   (4)  3x D  + 2D + -
 --R                     x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 4
 
 --S 5 of 20
@@ -61,7 +61,7 @@ a : LODO1 RFZ := b*(5*x*Dx + 7)
 --R           3 3       2        2         7
 --R   (5)  15x D  + (51x  + 10x)D  + 29D + -
 --R                                        x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 5
 
 --S 6 of 20
@@ -73,7 +73,7 @@ p := x**2 + 1/x**2
 --R   (6)  ------
 --R           2
 --R          x
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 6
 
 --S 7 of 20
@@ -85,7 +85,7 @@ p := x**2 + 1/x**2
 --R   (7)  ------------------
 --R                 4
 --R                x
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 7
 
 --S 8 of 20
@@ -93,7 +93,7 @@ ld := leftDivide(a,b)
 --R 
 --R
 --R   (8)  [quotient= 5x D + 7,remainder= 0]
---IType: Record(quotient: LinearOrdinaryDifferentialOperator1 ...
+--IType: Record(quotient: LinearOrdinaryDifferentialOperator1(...
 --E 8
 
 --S 9 of 20
@@ -103,7 +103,7 @@ a = b * ld.quotient + ld.remainder
 --R           3 3       2        2         7     3 3       2        2         7
 --R   (9)  15x D  + (51x  + 10x)D  + 29D + -= 15x D  + (51x  + 10x)D  + 29D + -
 --R                                        x                                  x
---IType: Equation LinearOrdinaryDifferentialOperator1 ...
+--IType: Equation(LinearOrdinaryDifferentialOperator1(...
 --E 9
 
 --S 10 of 20
@@ -113,7 +113,7 @@ rd := rightDivide(a,b)
 --R                                              5
 --R   (10)  [quotient= 5x D + 7,remainder= 10D + -]
 --R                                              x
---IType: Record(quotient: LinearOrdinaryDifferentialOperator1 ...
+--IType: Record(quotient: LinearOrdinaryDifferentialOperator1(...
 --E 10
 
 --S 11 of 20
@@ -123,7 +123,7 @@ a = rd.quotient * b + rd.remainder
 --R            3 3       2        2         7     3 3       2        2         7
 --R   (11)  15x D  + (51x  + 10x)D  + 29D + -= 15x D  + (51x  + 10x)D  + 29D + -
 --R                                         x                                  x
---IType: Equation LinearOrdinaryDifferentialOperator1 ...
+--IType: Equation(LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 11
 
 --S 12 of 20
@@ -131,7 +131,7 @@ rightQuotient(a,b)
 --R 
 --R
 --R   (12)  5x D + 7
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 12
 
 --S 13 of 20
@@ -141,7 +141,7 @@ rightRemainder(a,b)
 --R               5
 --R   (13)  10D + -
 --R               x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 13
 
 --S 14 of 20
@@ -149,7 +149,7 @@ leftExactQuotient(a,b)
 --R 
 --R
 --R   (14)  5x D + 7
---IType: Union(LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: Union(LinearOrdinaryDifferentialOperator1(...
 --E 14
 
 --S 15 of 20
@@ -159,7 +159,7 @@ e := leftGcd(a,b)
 --R           2 2        1
 --R   (15)  3x D  + 2D + -
 --R                      x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 15
 
 --S 16 of 20
@@ -167,7 +167,7 @@ leftRemainder(a, e)
 --R 
 --R
 --R   (16)  0
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 16
 
 --S 17 of 20
@@ -177,7 +177,7 @@ rightRemainder(a, e)
 --R               5
 --R   (17)  10D + -
 --R               x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 17
 
 --S 18 of 20
@@ -187,7 +187,7 @@ f := rightLcm(a,b)
 --R            3 3       2        2         7
 --R   (18)  15x D  + (51x  + 10x)D  + 29D + -
 --R                                         x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 18
 
 --S 19 of 20
@@ -197,7 +197,7 @@ rightRemainder(f, b)
 --R               5
 --R   (19)  10D + -
 --R               x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 19
 
 --S 20 of 20
@@ -205,7 +205,7 @@ leftRemainder(f, b)
 --R 
 --R
 --R   (20)  0
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 20
 )spool 
 )lisp (bye)
diff --git a/src/input/lodo2.input.pamphlet b/src/input/lodo2.input.pamphlet
index f2ab014..b004d2c 100644
--- a/src/input/lodo2.input.pamphlet
+++ b/src/input/lodo2.input.pamphlet
@@ -24,7 +24,7 @@
 Q  := Fraction Integer
 --R 
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
 --E 1
 
@@ -32,7 +32,7 @@ Q  := Fraction Integer
 PQ := UnivariatePolynomial('x, Q)
 --R 
 --R
---R   (2)  UnivariatePolynomial(x,Fraction Integer)
+--R   (2)  UnivariatePolynomial(x,Fraction(Integer))
 --R                                                                 Type: Domain
 --E 2
 
@@ -41,7 +41,7 @@ x: PQ := 'x
 --R 
 --R
 --R   (3)  x
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 3
 
 --S 4 of 26
@@ -49,7 +49,7 @@ Dx: LODO2(Q, PQ) := D()
 --R 
 --R
 --R   (4)  D
---IType: LinearOrdinaryDifferentialOperator2(Fraction Integer,...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 4
 
 --S 5 of 26
@@ -57,7 +57,7 @@ a := Dx  + 1
 --R 
 --R
 --R   (5)  D + 1
---IType: LinearOrdinaryDifferentialOperator2(Fraction Integer,...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 5
 
 --S 6 of 26
@@ -67,7 +67,7 @@ b := a + 1/2*Dx**2 - 1/2
 --R        1  2       1
 --R   (6)  - D  + D + -
 --R        2          2
---IType: LinearOrdinaryDifferentialOperator2(Fraction Integer,...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 6
 
 --S 7 of 26
@@ -77,7 +77,7 @@ p := 4*x**2 + 2/3
 --R          2   2
 --R   (7)  4x  + -
 --R              3
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 7
 
 --S 8 of 26
@@ -87,7 +87,7 @@ a p
 --R          2        2
 --R   (8)  4x  + 8x + -
 --R                   3
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 8
 
 --S 9 of 26
@@ -97,7 +97,7 @@ a p
 --R          2         37    2         37
 --R   (9)  2x  + 12x + --= 2x  + 12x + --
 --R                     3               3
---R                      Type: Equation UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Equation(UnivariatePolynomial(x,Fraction(Integer)))
 --E 9
 
 --S 10 of 26
@@ -107,7 +107,7 @@ c := (1/9)*b*(a + b)**2
 --R          1  6    5  5   13  4   19  3   79  2    7     1
 --R   (10)  -- D  + -- D  + -- D  + -- D  + -- D  + -- D + -
 --R         72      36      24      18      72      12     8
---IType: LinearOrdinaryDifferentialOperator2(Fraction Integer,...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 10
 
 --S 11 of 26
@@ -117,7 +117,7 @@ c := (1/9)*b*(a + b)**2
 --R           2   44     541
 --R   (11)  3x  + -- x + ---
 --R                3      36
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 11
 
 )clear all
diff --git a/src/input/lodo3.input.pamphlet b/src/input/lodo3.input.pamphlet
index 72f23ee..fd06eaa 100644
--- a/src/input/lodo3.input.pamphlet
+++ b/src/input/lodo3.input.pamphlet
@@ -31,7 +31,7 @@ Dx := D()
 --R 
 --R
 --R   (2)  D
---IType: LinearOrdinaryDifferentialOperator(Expression Integer,...
+--IType: LinearOrdinaryDifferentialOperator(Expression(Integer),...
 --E 2
 
 --S 3 of 16
@@ -43,7 +43,7 @@ Dop:= Dx**3 + G/x**2*Dx + H/x**3 - 1
 --R   (3)  D  + -- D + --------
 --R              2         3
 --R             x         x
---IType: LinearOrdinaryDifferentialOperator(Expression Integer,...
+--IType: LinearOrdinaryDifferentialOperator(Expression(Integer),...
 --E 3
 
 --S 4 of 16
@@ -98,21 +98,21 @@ leq == solve(pans1,[subscript(s,[i]) for i in 1..n])
 leq
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
---R   Compiling body of rule phi to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi1 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi2 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi3 to compute value of type Polynomial 
---R      Integer 
+--R   Compiling body of rule phi to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi1 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi2 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi3 to compute value of type Polynomial(
+--R      Integer) 
 --R   Compiling body of rule pans to compute value of type 
---R      UnivariatePolynomial(x,Polynomial Integer) 
---R   Compiling body of rule pans1 to compute value of type List 
---R      Polynomial Integer 
---R   Compiling body of rule leq to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
---I   Compiling function G3350 with type Integer -> Boolean 
+--R      UnivariatePolynomial(x,Polynomial(Integer)) 
+--R   Compiling body of rule pans1 to compute value of type List(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule leq to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
+--I   Compiling function G3491 with type Integer -> Boolean 
 --R
 --R   (12)
 --R                           2                                3        2
@@ -120,7 +120,7 @@ leq
 --R          0        0     0       0         0       0      0        0        0
 --R   [[s = ---,s = ------------------,s = --------------------------------------]]
 --R      1   3   2          18          3                    162
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 12
 
 --S 13 of 16
@@ -142,20 +142,20 @@ n==4
 leq
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
---R   Compiling body of rule phi to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi1 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi2 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi3 to compute value of type Polynomial 
---R      Integer 
+--R   Compiling body of rule phi to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi1 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi2 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi3 to compute value of type Polynomial(
+--R      Integer) 
 --R   Compiling body of rule pans to compute value of type 
---R      UnivariatePolynomial(x,Polynomial Integer) 
---R   Compiling body of rule pans1 to compute value of type List 
---R      Polynomial Integer 
---R   Compiling body of rule leq to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
+--R      UnivariatePolynomial(x,Polynomial(Integer)) 
+--R   Compiling body of rule pans1 to compute value of type List(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule leq to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
 --R
 --R   (14)
 --R   [
@@ -182,7 +182,7 @@ leq
 --R           1944
 --R       ]
 --R     ]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 14
 
 --S 15 of 16
@@ -204,20 +204,20 @@ n==7
 leq
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
---R   Compiling body of rule phi to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi1 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi2 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi3 to compute value of type Polynomial 
---R      Integer 
+--R   Compiling body of rule phi to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi1 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi2 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi3 to compute value of type Polynomial(
+--R      Integer) 
 --R   Compiling body of rule pans to compute value of type 
---R      UnivariatePolynomial(x,Polynomial Integer) 
---R   Compiling body of rule pans1 to compute value of type List 
---R      Polynomial Integer 
---R   Compiling body of rule leq to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
+--R      UnivariatePolynomial(x,Polynomial(Integer)) 
+--R   Compiling body of rule pans1 to compute value of type List(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule leq to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
 --R
 --R   (16)
 --R   [
@@ -298,7 +298,7 @@ leq
 --R           11022480
 --R       ]
 --R     ]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 16
 )spool 
 )lisp (bye)
diff --git a/src/input/lodof.input.pamphlet b/src/input/lodof.input.pamphlet
index 1656cd1..6635d80 100644
--- a/src/input/lodof.input.pamphlet
+++ b/src/input/lodof.input.pamphlet
@@ -39,7 +39,7 @@ P := UP(t, AN)
 Q := FRAC P
 --R 
 --R
---R   (2)  Fraction UnivariatePolynomial(t,AlgebraicNumber)
+--R   (2)  Fraction(UnivariatePolynomial(t,AlgebraicNumber))
 --R                                                                 Type: Domain
 --E 3
 
@@ -48,8 +48,8 @@ L := LODO1 Q
 --R 
 --R
 --R   (3)
---R  LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(t,Algebraic
---R  Number)
+--R  LinearOrdinaryDifferentialOperator1(Fraction(UnivariatePolynomial(t,Algebraic
+--R  Number)))
 --R                                                                 Type: Domain
 --E 4
 
@@ -58,7 +58,7 @@ d := D()$L
 --R 
 --R
 --R   (4)  D
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 5
 
 --S 6 of 16
@@ -66,7 +66,7 @@ t := t::P::Q
 --R 
 --R
 --R   (5)  t
---R                       Type: Fraction UnivariatePolynomial(t,AlgebraicNumber)
+--R                      Type: Fraction(UnivariatePolynomial(t,AlgebraicNumber))
 --E 6
 
 \end{chunk} 
@@ -78,7 +78,7 @@ op := d**2 + t * d + 1
 --R
 --R         2
 --R   (6)  D  + t D + 1
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 7
 
 --S 8 of 16
@@ -86,7 +86,7 @@ factor op
 --R 
 --R
 --R   (7)  [D,D + t]
---IType: List LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: List(LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 8
 
 \end{chunk} 
@@ -98,7 +98,7 @@ op := 2*t**3 * d**2 + 3*t**2 * d - 2
 --R
 --R          3 2     2
 --R   (8)  2t D  + 3t D - 2
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 9
 
 --S 10 of 16
@@ -107,7 +107,7 @@ factor op
 --R
 --R           3 2     2
 --R   (9)  [2t D  + 3t D - 2]
---IType: List LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: List(LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 10
 
 \end{chunk} 
@@ -119,7 +119,7 @@ op := 2*t**3 * d**3 - (2*t**4 - 9*t**2) * d**2 - (3*t**3 - 6*t + 2) * d + 2*t
 --R
 --R           3 3        4     2  2        3
 --R   (10)  2t D  + (- 2t  + 9t )D  + (- 3t  + 6t - 2)D + 2t
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 11
 
 --S 12 of 16
@@ -128,7 +128,7 @@ factor op
 --R
 --R                      3 2        4     2       5      3
 --R   (11)  [- D + t,- 2t D  + (- 8t  - 3t )D - 8t  - 10t  + 2]
---IType: List LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: List(LinearOrdinaryDifferentialOperator1(...
 --E 12
 
 \end{chunk} 
@@ -140,7 +140,7 @@ op := (t**9 + t**3) * d**3 + 18 * t**8 * d**2 - 90 * t * d - 30 * (11*t**6-3)
 --R
 --R           9    3  3      8 2               6
 --R   (12)  (t  + t )D  + 18t D  - 90t D - 330t  + 90
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 13
 
 --S 14 of 16
@@ -158,7 +158,7 @@ factor op
 --R    D + -------]
 --R          7
 --R         t  + t
---IType: List LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: List(LinearOrdinaryDifferentialOperator1(...
 --E 14
 
 \end{chunk} 
@@ -172,7 +172,7 @@ op := d**3 + 2 * d**2 + 5 / t * d + 7 / t**2
 --R   (14)  D  + 2D  + - D + --
 --R                    t      2
 --R                          t
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(...
 --E 15
 
 --S 16 of 16
@@ -183,7 +183,7 @@ factor op
 --R   (15)  [D  + 2D  + - D + --]
 --R                     t      2
 --R                           t
---IType: List LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: List(LinearOrdinaryDifferentialOperator1(...
 --E 16
 )spool 
 )lisp (bye)
diff --git a/src/input/log.input.pamphlet b/src/input/log.input.pamphlet
index bbc9250..35d7c1a 100644
--- a/src/input/log.input.pamphlet
+++ b/src/input/log.input.pamphlet
@@ -429,7 +429,7 @@ Dover Publications, Inc. New York 1965. pp100-113
 --R    [1.98,0.6830968447 064439,0.6830968447 0644386823,- 0.318 E -16],
 --R    [1.99,0.6881346387 36401,0.6881346387 3640102737,0.274 E -16],
 --R    [2.0,0.6931471805 599453,0.6931471805 5994530942,0.942 E -17]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 )spool 
 )lisp (bye)
diff --git a/src/input/lpoly.input.pamphlet b/src/input/lpoly.input.pamphlet
index 18e03a4..a24d501 100644
--- a/src/input/lpoly.input.pamphlet
+++ b/src/input/lpoly.input.pamphlet
@@ -25,7 +25,7 @@
 RN    := Fraction Integer
 --R 
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
 --E 1
 
@@ -33,7 +33,7 @@ RN    := Fraction Integer
 Lpoly := LiePolynomial(Symbol,RN)
 --R 
 --R
---R   (2)  LiePolynomial(Symbol,Fraction Integer)
+--R   (2)  LiePolynomial(Symbol,Fraction(Integer))
 --R                                                                 Type: Domain
 --E 2
 
@@ -41,7 +41,7 @@ Lpoly := LiePolynomial(Symbol,RN)
 Dpoly := XDPOLY(Symbol,RN)
 --R 
 --R
---R   (3)  XDistributedPolynomial(Symbol,Fraction Integer)
+--R   (3)  XDistributedPolynomial(Symbol,Fraction(Integer))
 --R                                                                 Type: Domain
 --E 3
 
@@ -49,7 +49,7 @@ Dpoly := XDPOLY(Symbol,RN)
 Lword := LyndonWord Symbol
 --R 
 --R
---R   (4)  LyndonWord Symbol
+--R   (4)  LyndonWord(Symbol)
 --R                                                                 Type: Domain
 --E 4
 
@@ -82,7 +82,7 @@ aa: Lpoly := a
 --R 
 --R
 --R   (8)  [a]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 8
 
 --S 9 of 28
@@ -90,7 +90,7 @@ bb: Lpoly := b
 --R 
 --R
 --R   (9)  [b]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 9
 
 --S 10 of 28
@@ -98,7 +98,7 @@ cc: Lpoly := c
 --R 
 --R
 --R   (10)  [c]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 10
 
 --S 11 of 28
@@ -106,7 +106,7 @@ p : Lpoly := [aa,bb]
 --R 
 --R
 --R   (11)  [a b]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 11
 
 --S 12 of 28
@@ -115,7 +115,7 @@ q : Lpoly := [p,bb]
 --R
 --R             2
 --R   (12)  [a b ]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 12
 
 --S 13 of 28
@@ -124,7 +124,7 @@ liste : List Lword := LyndonWordsList([a,b], 4)
 --R
 --R                          2       2    3     2 2      3
 --R   (13)  [[a],[b],[a b],[a b],[a b ],[a b],[a b ],[a b ]]
---R                                                 Type: List LyndonWord Symbol
+--R                                               Type: List(LyndonWord(Symbol))
 --E 13
 
 --S 14 of 28
@@ -133,7 +133,7 @@ r: Lpoly := p + q + 3*LiePoly(liste.4)$Lpoly
 --R
 --R                    2         2
 --R   (14)  [a b] + 3[a b] + [a b ]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 14
 
 --S 15 of 28
@@ -142,7 +142,7 @@ s:Lpoly := [p,r]
 --R
 --R              2                 2
 --R   (15)  - 3[a b a b] + [a b a b ]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 15
 
 --S 16 of 28
@@ -151,7 +151,7 @@ t:Lpoly  := s  + 2*LiePoly(liste.3) - 5*LiePoly(liste.5)
 --R
 --R                       2       2                 2
 --R   (16)  2[a b] - 5[a b ] - 3[a b a b] + [a b a b ]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 16
 
 --S 17 of 28
@@ -168,30 +168,30 @@ mirror t
 --R
 --R                         2       2                 2
 --R   (18)  - 2[a b] - 5[a b ] - 3[a b a b] + [a b a b ]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 18
 
 --S 19 of 28
 Jacobi(p: Lpoly, q: Lpoly, r: Lpoly): Lpoly == 
   [[p,q]$Lpoly, r] + [[q,r]$Lpoly, p] + [[r,p]$Lpoly, q]
 --R 
---R   Function declaration Jacobi : (LiePolynomial(Symbol,Fraction Integer
---R      ),LiePolynomial(Symbol,Fraction Integer),LiePolynomial(Symbol,
---R      Fraction Integer)) -> LiePolynomial(Symbol,Fraction Integer) has 
---R      been added to workspace.
+--R   Function declaration Jacobi : (LiePolynomial(Symbol,Fraction(Integer
+--R      )),LiePolynomial(Symbol,Fraction(Integer)),LiePolynomial(Symbol,
+--R      Fraction(Integer))) -> LiePolynomial(Symbol,Fraction(Integer)) 
+--R      has been added to workspace.
 --R                                                                   Type: Void
 --E 19
 
 --S 20 of 28
 test: Lpoly := Jacobi(a,b,b)
 --R 
---R   Compiling function Jacobi with type (LiePolynomial(Symbol,Fraction 
---R      Integer),LiePolynomial(Symbol,Fraction Integer),LiePolynomial(
---R      Symbol,Fraction Integer)) -> LiePolynomial(Symbol,Fraction 
---R      Integer) 
+--R   Compiling function Jacobi with type (LiePolynomial(Symbol,Fraction(
+--R      Integer)),LiePolynomial(Symbol,Fraction(Integer)),LiePolynomial(
+--R      Symbol,Fraction(Integer))) -> LiePolynomial(Symbol,Fraction(
+--R      Integer)) 
 --R
 --R   (20)  0
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 20
 
 --S 21 of 28
@@ -199,7 +199,7 @@ test: Lpoly := Jacobi(p,q,r)
 --R 
 --R
 --R   (21)  0
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 21
 
 --S 22 of 28
@@ -207,7 +207,7 @@ test: Lpoly := Jacobi(r,s,t)
 --R 
 --R
 --R   (22)  0
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 22
 
 --S 23 of 28
@@ -216,7 +216,7 @@ eval(p, a, p)$Lpoly
 --R
 --R             2
 --R   (23)  [a b ]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 23
 
 --S 24 of 28
@@ -224,7 +224,7 @@ eval(p, [a,b], [2*bb, 3*aa])$Lpoly
 --R 
 --R
 --R   (24)  - 6[a b]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 24
 
 --S 25 of 28
@@ -232,7 +232,7 @@ r: Lpoly := [p,c]
 --R 
 --R
 --R   (25)  [a b c] + [a c b]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 25
 
 --S 26 of 28
@@ -240,7 +240,7 @@ r1: Lpoly := eval(r, [a,b,c], [bb, cc, aa])$Lpoly
 --R 
 --R
 --R   (26)  - [a b c]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 26
 
 --S 27 of 28
@@ -248,7 +248,7 @@ r2: Lpoly := eval(r, [a,b,c], [cc, aa, bb])$Lpoly
 --R 
 --R
 --R   (27)  - [a c b]
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 27
 
 --S 28 of 28
@@ -256,7 +256,7 @@ r + r1 + r2
 --R 
 --R
 --R   (28)  0
---R                                 Type: LiePolynomial(Symbol,Fraction Integer)
+--R                                Type: LiePolynomial(Symbol,Fraction(Integer))
 --E 28
 )spool 
 )lisp (bye)
diff --git a/src/input/lupfact.input.pamphlet b/src/input/lupfact.input.pamphlet
index c1a637d..8e09163 100644
--- a/src/input/lupfact.input.pamphlet
+++ b/src/input/lupfact.input.pamphlet
@@ -38,7 +38,7 @@ State the field here
 field := Fraction Integer
 --R 
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
 --E 1
 
@@ -205,7 +205,7 @@ m : Matrix field := zero(4,4)
 --R         |0  0  0  0|
 --R         |          |
 --R         +0  0  0  0+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 14
 
 --S 15 of 18
@@ -225,7 +225,7 @@ m
 --R         |0  2  0  0|
 --R         |          |
 --R         +1  0  0  0+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 16
  
 --S 17 of 18
@@ -233,18 +233,18 @@ lupFactor m
 --R 
 --R   Compiling function intLog2 with type NonNegativeInteger -> 
 --R      NonNegativeInteger 
---R   Compiling function embedMatrix with type (Matrix Fraction Integer,
---R      NonNegativeInteger,NonNegativeInteger) -> Matrix Fraction Integer
---R      
---R   Compiling function nonZeroCol with type Matrix Fraction Integer -> 
---R      Integer 
+--R   Compiling function embedMatrix with type (Matrix(Fraction(Integer)),
+--R      NonNegativeInteger,NonNegativeInteger) -> Matrix(Fraction(Integer
+--R      )) 
+--R   Compiling function nonZeroCol with type Matrix(Fraction(Integer))
+--R       -> Integer 
 --R   Compiling function permMat with type (Integer,Integer,Integer) -> 
---R      Matrix Fraction Integer 
---R   Compiling function lupFactorEngine with type (Matrix Fraction 
---R      Integer,Integer,Integer) -> List Matrix Fraction Integer 
---R   Compiling function lupFactor with type Matrix Fraction Integer -> 
---R      Union(List Matrix Fraction Integer,"failed") 
---I   Compiling function G7005 with type Integer -> Boolean 
+--R      Matrix(Fraction(Integer)) 
+--R   Compiling function lupFactorEngine with type (Matrix(Fraction(
+--R      Integer)),Integer,Integer) -> List(Matrix(Fraction(Integer))) 
+--R   Compiling function lupFactor with type Matrix(Fraction(Integer)) -> 
+--R      Union(List(Matrix(Fraction(Integer))),"failed") 
+--I   Compiling function G7376 with type Integer -> Boolean 
 --R
 --R          +1  0  0  0+ +4  0  0  0+ +0  0  0  1+
 --R          |          | |          | |          |
@@ -253,7 +253,7 @@ lupFactor m
 --R          |0  0  1  0| |0  0  2  0| |0  1  0  0|
 --R          |          | |          | |          |
 --R          +0  0  0  1+ +0  0  0  1+ +1  0  0  0+
---R                                Type: Union(List Matrix Fraction Integer,...)
+--R                             Type: Union(List(Matrix(Fraction(Integer))),...)
 --E 17
 
 \end{chunk}
@@ -268,7 +268,7 @@ m := [[1,2,3],[2,3,1],[3,1,2]]
 --R   (18)  |2  3  1|
 --R         |       |
 --R         +3  1  2+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 18
 )spool 
 )lisp (bye)
diff --git a/src/input/lword.input.pamphlet b/src/input/lword.input.pamphlet
index 5a01eda..cad3055 100644
--- a/src/input/lword.input.pamphlet
+++ b/src/input/lword.input.pamphlet
@@ -48,7 +48,7 @@ c:Symbol :='c
 lword:= LyndonWord(Symbol)
 --R 
 --R
---R   (4)  LyndonWord Symbol
+--R   (4)  LyndonWord(Symbol)
 --R                                                                 Type: Domain
 --E 4
 
@@ -56,7 +56,7 @@ lword:= LyndonWord(Symbol)
 magma := Magma(Symbol)
 --R 
 --R
---R   (5)  Magma Symbol
+--R   (5)  Magma(Symbol)
 --R                                                                 Type: Domain
 --E 5
 
@@ -64,7 +64,7 @@ magma := Magma(Symbol)
 word   := OrderedFreeMonoid(Symbol)
 --R 
 --R
---R   (6)  OrderedFreeMonoid Symbol
+--R   (6)  OrderedFreeMonoid(Symbol)
 --R                                                                 Type: Domain
 --E 6
 
@@ -76,7 +76,7 @@ LyndonWordsList1([a,b,c],3)$lword
 --R   [[[a],[b],[c]], [[a b],[a c],[b c]],
 --R       2     2       2                      2    2       2
 --R    [[a b],[a c],[a b ],[a b c],[a c b],[a c ],[b c],[b c ]]]
---R                             Type: OneDimensionalArray List LyndonWord Symbol
+--R                          Type: OneDimensionalArray(List(LyndonWord(Symbol)))
 --E 7
 
 --S 8 of 22
@@ -88,7 +88,7 @@ LyndonWordsList([a,b,c],3)$lword
 --R   [[a], [b], [c], [a b], [a c], [b c], [a b], [a c], [a b ], [a b c], [a c b],
 --R        2     2        2
 --R    [a c ], [b c], [b c ]]
---R                                                 Type: List LyndonWord Symbol
+--R                                               Type: List(LyndonWord(Symbol))
 --E 8
 
 --S 9 of 22
@@ -100,7 +100,7 @@ lw := LyndonWordsList([a,b],5)$lword
 --R   [[a], [b], [a b], [a b], [a b ], [a b], [a b ], [a b ], [a b], [a b ],
 --R      2          2 3           2       4
 --R    [a b a b], [a b ], [a b a b ], [a b ]]
---R                                                 Type: List LyndonWord Symbol
+--R                                               Type: List(LyndonWord(Symbol))
 --E 9
 
 --S 10 of 22
@@ -109,7 +109,7 @@ w1 : word := lw.4 :: word
 --R
 --R          2
 --R   (10)  a b
---R                                               Type: OrderedFreeMonoid Symbol
+--R                                              Type: OrderedFreeMonoid(Symbol)
 --E 10
 
 --S 11 of 22
@@ -118,7 +118,7 @@ w2 : word := lw.5 :: word
 --R
 --R            2
 --R   (11)  a b
---R                                               Type: OrderedFreeMonoid Symbol
+--R                                              Type: OrderedFreeMonoid(Symbol)
 --E 11
 
 --S 12 of 22
@@ -126,7 +126,7 @@ factor(a::word)$lword
 --R 
 --R
 --R   (12)  [[a]]
---R                                                 Type: List LyndonWord Symbol
+--R                                               Type: List(LyndonWord(Symbol))
 --E 12
 
 --S 13 of 22
@@ -135,7 +135,7 @@ factor(w1*w2)$lword
 --R
 --R            2     2
 --R   (13)  [[a b a b ]]
---R                                                 Type: List LyndonWord Symbol
+--R                                               Type: List(LyndonWord(Symbol))
 --E 13
 
 --S 14 of 22
@@ -144,7 +144,7 @@ factor(w2*w2)$lword
 --R
 --R              2      2
 --R   (14)  [[a b ],[a b ]]
---R                                                 Type: List LyndonWord Symbol
+--R                                               Type: List(LyndonWord(Symbol))
 --E 14
 
 --S 15 of 22
@@ -153,7 +153,7 @@ factor(w2*w1)$lword
 --R
 --R              2    2
 --R   (15)  [[a b ],[a b]]
---R                                                 Type: List LyndonWord Symbol
+--R                                               Type: List(LyndonWord(Symbol))
 --E 15
 
 --S 16 of 22
@@ -186,7 +186,7 @@ lyndonIfCan(w1)$lword
 --R
 --R           2
 --R   (19)  [a b]
---R                                           Type: Union(LyndonWord Symbol,...)
+--R                                          Type: Union(LyndonWord(Symbol),...)
 --E 19
 
 --S 20 of 22
@@ -203,7 +203,7 @@ lyndon(w1)$lword
 --R
 --R           2
 --R   (21)  [a b]
---R                                                      Type: LyndonWord Symbol
+--R                                                     Type: LyndonWord(Symbol)
 --E 21
 
 --S 22 of 22
@@ -212,7 +212,7 @@ lyndon(w1*w2)$lword
 --R
 --R           2     2
 --R   (22)  [a b a b ]
---R                                                      Type: LyndonWord Symbol
+--R                                                     Type: LyndonWord(Symbol)
 --E 22
 )spool 
 )lisp (bye)
diff --git a/src/input/macbug.input.pamphlet b/src/input/macbug.input.pamphlet
index cf05ff8..1b54a18 100644
--- a/src/input/macbug.input.pamphlet
+++ b/src/input/macbug.input.pamphlet
@@ -40,7 +40,7 @@ ff z
 --R
 --R         2
 --R   (2)  z  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 2
 
 \end{chunk}
@@ -65,7 +65,7 @@ gg(1/w)
 --R   (4)  ---------------
 --R                2
 --R              9w
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 4
 
 \end{chunk}
diff --git a/src/input/magma.input.pamphlet b/src/input/magma.input.pamphlet
index 3e4eab5..f65b19d 100644
--- a/src/input/magma.input.pamphlet
+++ b/src/input/magma.input.pamphlet
@@ -48,7 +48,7 @@ z:Symbol :='z
 word := OrderedFreeMonoid(Symbol)
 --R 
 --R
---R   (4)  OrderedFreeMonoid Symbol
+--R   (4)  OrderedFreeMonoid(Symbol)
 --R                                                                 Type: Domain
 --E 4
 
@@ -56,7 +56,7 @@ word := OrderedFreeMonoid(Symbol)
 tree := Magma(Symbol)
 --R 
 --R
---R   (5)  Magma Symbol
+--R   (5)  Magma(Symbol)
 --R                                                                 Type: Domain
 --E 5
 
@@ -65,7 +65,7 @@ a:tree := x*x
 --R 
 --R
 --R   (6)  [x,x]
---R                                                           Type: Magma Symbol
+--R                                                          Type: Magma(Symbol)
 --E 6
 
 --S 7 of 22
@@ -73,7 +73,7 @@ b:tree := y*y
 --R 
 --R
 --R   (7)  [y,y]
---R                                                           Type: Magma Symbol
+--R                                                          Type: Magma(Symbol)
 --E 7
 
 --S 8 of 22
@@ -81,7 +81,7 @@ c:tree := a*b
 --R 
 --R
 --R   (8)  [[x,x],[y,y]]
---R                                                           Type: Magma Symbol
+--R                                                          Type: Magma(Symbol)
 --E 8
 
 --S 9 of 22
@@ -89,7 +89,7 @@ left c
 --R 
 --R
 --R   (9)  [x,x]
---R                                                           Type: Magma Symbol
+--R                                                          Type: Magma(Symbol)
 --E 9
 
 --S 10 of 22
@@ -97,7 +97,7 @@ right c
 --R 
 --R
 --R   (10)  [y,y]
---R                                                           Type: Magma Symbol
+--R                                                          Type: Magma(Symbol)
 --E 10
 
 --S 11 of 22
@@ -114,7 +114,7 @@ c::word
 --R
 --R          2 2
 --R   (12)  x y
---R                                               Type: OrderedFreeMonoid Symbol
+--R                                              Type: OrderedFreeMonoid(Symbol)
 --E 12
 
 --S 13 of 22
@@ -154,7 +154,7 @@ rest c
 --R 
 --R
 --R   (17)  [x,[y,y]]
---R                                                           Type: Magma Symbol
+--R                                                          Type: Magma(Symbol)
 --E 17
 
 --S 18 of 22
@@ -162,7 +162,7 @@ rest rest c
 --R 
 --R
 --R   (18)  [y,y]
---R                                                           Type: Magma Symbol
+--R                                                          Type: Magma(Symbol)
 --E 18
 
 --S 19 of 22
@@ -170,7 +170,7 @@ ax:tree := a*x
 --R 
 --R
 --R   (19)  [[x,x],x]
---R                                                           Type: Magma Symbol
+--R                                                          Type: Magma(Symbol)
 --E 19
 
 --S 20 of 22
@@ -178,7 +178,7 @@ xa:tree := x*a
 --R 
 --R
 --R   (20)  [x,[x,x]]
---R                                                           Type: Magma Symbol
+--R                                                          Type: Magma(Symbol)
 --E 20
 
 --S 21 of 22
diff --git a/src/input/manuel.input.pamphlet b/src/input/manuel.input.pamphlet
index 13d3443..9790687 100644
--- a/src/input/manuel.input.pamphlet
+++ b/src/input/manuel.input.pamphlet
@@ -28,7 +28,7 @@ g:=x/sqrt(x^4+10*x^2-96*x-71)
 --R         +--------------------+
 --R         | 4      2
 --R        \|x  + 10x  - 96x - 71
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 3
@@ -45,14 +45,14 @@ f:=integrate(g,x)
 --R             - 20x  + 128x  - 54x  + 1408x  - 3124x  - 10001
 --R     /
 --R        8
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 --S 3 of 3
 differentiate(f,x)-g
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 )spool 
 )lisp (bye)
diff --git a/src/input/mapleok.input.pamphlet b/src/input/mapleok.input.pamphlet
index b7b81fb..6507cbc 100644
--- a/src/input/mapleok.input.pamphlet
+++ b/src/input/mapleok.input.pamphlet
@@ -28,7 +28,7 @@ in1012a:=integrate(log(abs(z^3-1))/(1+z)^2, z= 0..%plusInfinity,"noPole")
 --R        %pi\|3
 --R   (1)  -------
 --R           3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 1
 
 --S 2 of 224
@@ -36,7 +36,7 @@ in101a:=integrate((sqrt(z)^%i)^%i, z= 0..1,"noPole")
 --R 
 --R
 --R   (2)  2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 2
 
 --S 3 of 224
@@ -44,7 +44,7 @@ in108a:=integrate(sqrt((1 + cos(z))*(1 + sin(z))),z=0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (3)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 3
 
 --S 4 of 224
@@ -62,7 +62,7 @@ in119a:=integrate(log(1/z+sqrt(1+1/z)), z=0..1,"noPole")
 --R                            2\|2  + 3
 --R  /
 --R     4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 4
 
 --S 5 of 224
@@ -70,7 +70,7 @@ in120a:=integrate(1/(1+1/z^6), z=0..%plusInfinity)
 --R 
 --R
 --R   (5)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 5
 
 --S 6 of 224
@@ -78,7 +78,7 @@ in1030a:=integrate(%i*z/(%i*z+1), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (6)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 6
 
 --S 7 of 224
@@ -88,7 +88,7 @@ in1066a:=integrate(acoth(z)*real(z), z= 0..1,"noPole")
 --R        1
 --R   (7)  -
 --R        2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 7
 
 --S 8 of 224
@@ -98,7 +98,7 @@ in1067a:=integrate(acoth(z)*z^(1/2), z= 0..1,"noPole")
 --R        - 2log(2) - %pi + 8
 --R   (8)  -------------------
 --R                 6
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 8
 
 --S 9 of 224
@@ -106,7 +106,7 @@ in1076a:=integrate(sin(z)*(1-cos(z)/(1-sin(z)^2)^(1/2))^2, z= 0..1,"noPole")
 --R 
 --R
 --R   (9)  - 4cos(1) + 4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 9
 
 --S 10 of 224
@@ -116,7 +116,7 @@ in1084a:=integrate(atan(sin(z))+atan(1/sin(z)), z= 0..1,"noPole")
 --R           %pi
 --R   (10)  - ---
 --R            2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 10
 
 --S 11 of 224
@@ -142,7 +142,7 @@ in1112a:=integrate((1-1/z)^(1/2), z= %pi..2*%pi,"noPole")
 --R           \|  2%pi          \|  %pi
 --R  /
 --R     4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 11
 
 --S 12 of 224
@@ -151,7 +151,7 @@ in1114a:=integrate(-z-(1/2*2^(1/2)+1/2*%i*2^(1/2))*z^(1/2), _
 --R 
 --R
 --R   (12)  - infinity
---R   Type: Union(f1: OrderedCompletion Expression Complex Fraction Integer,...)
+--RType: Union(f1: OrderedCompletion(Expression(Complex(Fraction(Integer)))),...)
 --E 12
 
 --S 13 of 224
@@ -161,7 +161,7 @@ in1118:=integrate(acot(z), z= 0..1/2*%i)
 --R         1     3    1     1
 --R   (13)  - log(-) - - log(-)
 --R         2     4    8     9
---R   Type: Union(f1: OrderedCompletion Expression Complex Fraction Integer,...)
+--RType: Union(f1: OrderedCompletion(Expression(Complex(Fraction(Integer)))),...)
 --E 13
 
 --S 14 of 224
@@ -171,7 +171,7 @@ in1120a:=integrate((z^2)^(1/2), z= 1..2,"noPole")
 --R         3
 --R   (14)  -
 --R         2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 14
 
 --S 15 of 224
@@ -182,7 +182,7 @@ in1130a:=integrate(3^log(z), z= -%i..%i,"noPole")
 --R         %i %e              + %i %e
 --R   (15)  -----------------------------------------
 --R                         log(3) + 1
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 15
 
 --S 16 of 224
@@ -190,7 +190,7 @@ in1149:=integrate(imag(z)*z^(1/6), z= -%i..%i)
 --R 
 --R
 --R   (16)  0
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 16
 
 --S 17 of 224
@@ -199,7 +199,7 @@ in1150a:=integrate(1/z^(1/2), z= -%i..%i,"noPole")
 --R
 --R           +--+     +----+
 --R   (17)  2\|%i  - 2\|- %i
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 17
 
 --S 18 of 224
@@ -207,7 +207,7 @@ in1161a:=integrate(hermiteH(1, z), z= -%i..%i)
 --R 
 --R
 --R   (18)  0
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 18
 
 --S 19 of 224
@@ -217,7 +217,7 @@ in1160:=integrate(hermiteH(2, z), z= -%i..%i)
 --R           20%i
 --R   (19)  - ----
 --R             3
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 19
 
 --S 20 of 224
@@ -225,7 +225,7 @@ in1162:=integrate(laguerreL(1, z), z= -%i..%i)
 --R 
 --R
 --R   (20)  2%i
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 20
 
 --S 21 of 224
@@ -233,7 +233,7 @@ in1163:=integrate(legendreP(3, z), z= -%i..%i)
 --R 
 --R
 --R   (21)  0
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 21
 
 --S 22 of 224
@@ -241,7 +241,7 @@ in1164:=integrate(legendreP(2, z), z= -%i..%i)
 --R 
 --R
 --R   (22)  - 2%i
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 22
 
 --S 23 of 224
@@ -252,7 +252,7 @@ in1167a:=integrate((z^2)^(1/6), z= -3..-1,"noPole")
 --R         - 3\|- 1  + 9\|- 3
 --R   (23)  -------------------
 --R                  4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 23
 
 --S 24 of 224
@@ -532,7 +532,7 @@ in1180:=integrate(z^(1/3)/(z^2+1), z= 0..1000000000000000000000000000000000_
 --R       2%pi\|3
 --R  /
 --R     24
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 25
 
 --S 26 of 224
@@ -547,7 +547,7 @@ in1183a:=integrate(csc(z), z= 1-%i..1+%i,"noPole")
 --R       cos(1 + %i)  + 2cos(1 + %i) + 1        cos(1 - %i)  + 2cos(1 - %i) + 1
 --R   ---------------------------------------------------------------------------
 --R                                        2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 26
 
 --S 27 of 224
@@ -1139,7 +1139,7 @@ in1185a:=integrate((z+1)^(1/2)/(1+z^4), z= 0..1,"noPole")
 --I                 - 12288%%BQ0  - 1536%%BQ0  - 144%%BQ0 + 30
 --R  /
 --R     4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 27
 
 --S 28 of 224
@@ -1311,7 +1311,7 @@ in1186a:=integrate((z^2+z)^(1/2)/(1+z^2)^2, z= 0..1,"noPole")
 --R  /
 --R         +-+
 --R     384\|2  - 544
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 28
 
 --S 29 of 224
@@ -1461,7 +1461,7 @@ in1190a:=integrate(sin(z)^2*tan(z)^(1/2), z= 0..1,"noPole")
 --R     + 
 --R                                      4             2
 --R       - 1024cos(1)sin(1) + 2048cos(1)  - 2048cos(1)  - 64
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 29
 
 --S 30 of 224
@@ -1606,7 +1606,7 @@ in1191a:=integrate(sin(z)^2/tan(z)^(1/2), z= 0..1,"noPole")
 --R     + 
 --R                                      4             2
 --R       - 1024cos(1)sin(1) + 2048cos(1)  - 2048cos(1)  - 64
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 30
 
 --S 31 of 224
@@ -1614,7 +1614,7 @@ in1193a:=integrate(-sin(z)^2*cot(z-1), z= 0..1,"noPole")
 --R 
 --R
 --R   (31)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 31
 
 --S 32 of 224
@@ -1767,7 +1767,7 @@ in1207a:=integrate(sin(z)*cos(z)*tan(z)^(1/2), z= 0..1,"noPole")
 --R     + 
 --R                                      4             2
 --R       - 1024cos(1)sin(1) + 2048cos(1)  - 2048cos(1)  - 64
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 33
 
 --S 34 of 224
@@ -1775,7 +1775,7 @@ in1210a:=integrate(-sin(z)*cos(z)*cot(z-1), z= 0..1,"noPole")
 --R 
 --R
 --R   (34)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 34
 
 --S 35 of 224
@@ -1830,7 +1830,7 @@ in1214a:=integrate(-sin(z)*tan(z)*csc(z-1), z= 0..1,"noPole")
 --R          1 4        1 4
 --R     2sin(-)  - 2cos(-)
 --R          2          2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 35
 
 --S 36 of 224
@@ -1934,7 +1934,7 @@ in1217a:=integrate(sin(z)*sec(z)*tan(z)^(1/2), z= 0..1,"noPole")
 --R              +-+ |sin(1)
 --R     16cos(1)\|2  |------  - 16sin(1) - 16cos(1)
 --R                 \|cos(1)
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 36
 
 --S 37 of 224
@@ -1995,7 +1995,7 @@ in1218a:=integrate(sin(z)*sec(z)/tan(z)^(1/2), z= 0..1,"noPole")
 --R       %pi\|2
 --R  /
 --R     16
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 37
 
 --S 38 of 224
@@ -2003,7 +2003,7 @@ in1a:=integrate(log(abs(z^2-1))/(1+z)^2, z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (38)  1
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 38
 
 --S 39 of 224
@@ -2179,7 +2179,7 @@ in15ab:=integrate(log(sqrt(z)+z^5), z=0..a,"noPole")
 --R       2%pi\|3  - 60a
 --R  /
 --R     12
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 39
 
 --S 40 of 224
@@ -2187,7 +2187,7 @@ in20a:=integrate(log(sin(z)^2+cos(z)^2), z= 0..1,"noPole")
 --R 
 --R
 --R   (40)  0
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 40
 
 --S 41 of 224
@@ -2196,7 +2196,7 @@ in126a:=integrate(atan(1/cot(z)), z= 0..2*%pi,"noPole")
 --R
 --R             2
 --R   (41)  2%pi
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 41
 
 --S 42 of 224
@@ -2206,7 +2206,7 @@ in128a:=integrate(atan(sqrt(1-cos(z)^2)/(1+cos(z))), z= 0..1,"noPole")
 --R         1
 --R   (42)  -
 --R         4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 42
 
 --S 43 of 224
@@ -2214,7 +2214,7 @@ in134a:=integrate(log(exp(z)), z= -%i..%i)
 --R 
 --R
 --R   (43)  0
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 43
 
 --S 44 of 224
@@ -2224,7 +2224,7 @@ in1221a:=integrate(sin(z)*csc(z)*acoth(1/z), z= 0..1,"noPole")
 --R         log(4)
 --R   (44)  ------
 --R            2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 44
 
 --S 45 of 224
@@ -2285,7 +2285,7 @@ in1228a:=integrate(sin(z)*csc(z)*tan(z)^(1/2), z= 0..1,"noPole")
 --R       %pi\|2
 --R  /
 --R     16
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 45
 
 --S 46 of 224
@@ -2295,7 +2295,7 @@ in1241a:=integrate(sin(z)*csc(z)*acoth(1/z), z= 0..1,"noPole")
 --R         log(4)
 --R   (46)  ------
 --R            2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 46
 
 --S 47 of 224
@@ -2356,7 +2356,7 @@ in1248a:=integrate(sin(z)*csc(z)*tan(z)^(1/2), z= 0..1,"noPole")
 --R       %pi\|2
 --R  /
 --R     16
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 47
 
 --S 48 of 224
@@ -2405,7 +2405,7 @@ in1261a:=integrate(1/(sin(z)+cos(2*z)), z= -1..1,"noPole")
 --R  /
 --R             2          2                +-+
 --R     (3sin(1)  - 3cos(1)  - 6cos(1) - 3)\|3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 48
 
 --S 49 of 224
@@ -2413,7 +2413,7 @@ in1273a:=integrate((1/(z-%i))^(1/2), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (49)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 49
 
 --S 50 of 224
@@ -2421,7 +2421,7 @@ in1274a:=integrate(1/(1/(z-%i))^(1/2), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (50)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 50
 
 --S 51 of 224
@@ -2429,7 +2429,7 @@ in1284a:=integrate(log(1+2^(1/2)/z^(1/4)-1/z^(1/2)), z= 0..%plusInfinity,"noPole
 --R 
 --R
 --R   (51)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 51
 
 --S 52 of 224
@@ -2439,7 +2439,7 @@ in1314a:=integrate(log(1-z)*atanh(z^(1/2)), z= 0..1,"noPole")
 --R         log(16) - 6
 --R   (52)  -----------
 --R              2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 52
 
 --S 53 of 224
@@ -2448,7 +2448,7 @@ in1359a:=integrate((%i*z)^(1/2)*(-%i*z)^(1/2), _
 --R 
 --R
 --R   (53)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 53
 
 --S 54 of 224
@@ -2458,7 +2458,7 @@ in1376a:=integrate(z*acoth(z^(1/2)), z= 0..1,"noPole")
 --R         2
 --R   (54)  -
 --R         3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 54
 
 --S 55 of 224
@@ -2468,7 +2468,7 @@ in1377a:=integrate(z*acoth(1-z), z= 0..1,"noPole")
 --R         log(4) - 1
 --R   (55)  ----------
 --R              2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 55
 
 --S 56 of 224
@@ -2478,7 +2478,7 @@ in1378a:=integrate(z*acoth(1-(1-z)^(1/2)), z= 0..1,"noPole")
 --R         - 3log(4) + 5
 --R   (56)  -------------
 --R               3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 56
 
 --S 57 of 224
@@ -2486,7 +2486,7 @@ in1392a:=integrate(acoth(z^(1/2)), z= 0..1,"noPole")
 --R 
 --R
 --R   (57)  1
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 57
 
 --S 58 of 224
@@ -2498,7 +2498,7 @@ in1397a:=integrate(1/(-1+z^(1/2))^(1/2), z= 1..2,"noPole")
 --R         (4\|2  + 8)\|\|2  - 1
 --R   (58)  ----------------------
 --R                    3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 58
 
 --S 59 of 224
@@ -2508,7 +2508,7 @@ in1398a:=integrate(acoth(1/z), z= 1..2,"noPole")
 --R         3log(9) - 2log(4)
 --R   (59)  -----------------
 --R                 4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 59
 
 --S 60 of 224
@@ -2522,7 +2522,7 @@ in1399a:=integrate(acoth(1/z^(1/2)), z= 1..2,"noPole")
 --R              2\|2  - 3
 --R   (60)  ----------------------------
 --R                       4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 60
 
 --S 61 of 224
@@ -2627,7 +2627,7 @@ in143a:=integrate(sqrt(1+z)/(1+z^2), z= 0..1,"noPole")
 --R                                  8
 --R  /
 --R     4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 61
 
 --S 62 of 224
@@ -2635,7 +2635,7 @@ in144:=integrate(1, z= %i*infinity..%plusInfinity)
 --R 
 --R
 --R   (62)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 62
 
 --S 63 of 224
@@ -2650,7 +2650,7 @@ in146a:=integrate(csc(z), z= 1-%i..1+%i,"noPole")
 --R       cos(1 + %i)  + 2cos(1 + %i) + 1        cos(1 - %i)  + 2cos(1 - %i) + 1
 --R   ---------------------------------------------------------------------------
 --R                                        2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 63
 
 --S 64 of 224
@@ -2658,7 +2658,7 @@ in148:=integrate(min(1,z), z= 0..2)
 --R 
 --R
 --R   (64)  2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 64
 
 --S 65 of 224
@@ -2669,7 +2669,7 @@ in156a:=integrate(z^(2/3), z= 1..10,"noPole")
 --R         30\|10   - 3
 --R   (65)  ------------
 --R               5
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 65
 
 --S 66 of 224
@@ -2677,7 +2677,7 @@ in1425a:=integrate(-(z^2+%i*z+3)/(z^2+%i*z+2), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (66)  - infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 66
 
 --S 67 of 224
@@ -2685,7 +2685,7 @@ in1426a:=integrate(-%i/(1+%i*z^3)*z^3, z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (67)  - infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 67
 
 --S 68 of 224
@@ -2693,7 +2693,7 @@ in1428a:=integrate(-%i/(1+%i*z)*z, z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (68)  - infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 68
 
 --S 69 of 224
@@ -2701,7 +2701,7 @@ in1432:=integrate(-(z+%i)*(-1+1/(z+%i)), z= 0..%plusInfinity)
 --R 
 --R
 --R   (69)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 69
 
 --S 70 of 224
@@ -2709,7 +2709,7 @@ in1434a:=integrate(-(1+(%i*z)^(1/2))/(%i*z)^(1/2), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (70)  - infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 70
 
 --S 71 of 224
@@ -2717,7 +2717,7 @@ in1440a:=integrate((1-(%i*z)^(1/2))/(%i*z)^(1/2), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (71)  - infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 71
 
 --S 72 of 224
@@ -2725,7 +2725,7 @@ in1460:=integrate(z^2+%i*z+3, z= 0..%plusInfinity)
 --R 
 --R
 --R   (72)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 72
 
 --S 73 of 224
@@ -2733,7 +2733,7 @@ in1464a:=integrate(1+1/(%i*z)^(1/2), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (73)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 73
 
 --S 74 of 224
@@ -2742,7 +2742,7 @@ in2045:=integrate(atan(1/tan(z)), z= 0..2*%pi,"noPole")
 --R
 --R               2
 --R   (74)  - 3%pi
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 74
 
 --S 75 of 224
@@ -2750,7 +2750,7 @@ in1502a:=integrate(log(z)^2*log(-z), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (75)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 75
 
 --S 76 of 224
@@ -2758,7 +2758,7 @@ in1512a:=integrate(log(z)*(1/(z-%i))^(1/2), z= 1..%plusInfinity,"noPole")
 --R 
 --R
 --R   (76)  [ + infinity, + infinity]
---R       Type: Union(f2: List OrderedCompletion Expression Complex Integer,...)
+--R   Type: Union(f2: List(OrderedCompletion(Expression(Complex(Integer)))),...)
 --E 76
 
 --S 77 of 224
@@ -2766,7 +2766,7 @@ in1513a:=integrate(log(z)*(1/(z+%i))^(1/2), z= 1..%plusInfinity,"noPole")
 --R 
 --R
 --R   (77)  [ + infinity, + infinity]
---R       Type: Union(f2: List OrderedCompletion Expression Complex Integer,...)
+--R   Type: Union(f2: List(OrderedCompletion(Expression(Complex(Integer)))),...)
 --E 77
 
 --S 78 of 224
@@ -2774,7 +2774,7 @@ in1514a:=integrate(log(z)/(%i/(z-%i))^(1/2), z= 1..%plusInfinity,"noPole")
 --R 
 --R
 --R   (78)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 78
 
 --S 79 of 224
@@ -2786,7 +2786,7 @@ in161:=integrate((-z^2)^(1/3), z)
 --R         3z\|- z
 --R   (79)  ---------
 --R             5
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 79
 
 --S 80 of 224
@@ -2796,7 +2796,7 @@ in179:=integrate(1/(1+(3*z+1)^2), z)
 --R         atan(3z + 1)
 --R   (80)  ------------
 --R               3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 80
 
 --S 81 of 224
@@ -2817,7 +2817,7 @@ in1636a:=integrate(-z/(z-1)/(1/(z-%i))^(1/2), z= 0..1,"noPole")
 --R    /
 --R       3
 --R     ]
---R       Type: Union(f2: List OrderedCompletion Expression Complex Integer,...)
+--R   Type: Union(f2: List(OrderedCompletion(Expression(Complex(Integer)))),...)
 --E 81
 
 --S 82 of 224
@@ -3022,7 +3022,7 @@ in1639a:=integrate(-z/(z-1)/(1-%i*z^2)^(1/2), z= 0..1,"noPole")
 --R                 \|2
 --R  /
 --R     4
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 82
 
 --S 83 of 224
@@ -3033,7 +3033,7 @@ in1712a:=integrate(-log(-z)*(-%i*z)^(1/2), z= 0..1,"noPole")
 --R         4\|- %i
 --R   (83)  --------
 --R             9
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 83
 
 --S 84 of 224
@@ -3082,7 +3082,7 @@ in1720a:=integrate(-z^2/(z^2-1)*(1/(z-%i))^(1/2), z= 0..1,"noPole")
 --R       \|1 + %i                \|1 + %i
 --R  /
 --R     4
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 84
 
 --S 85 of 224
@@ -3090,7 +3090,7 @@ in1721a:=integrate(-z^2/(z^2-1)/(1/(z-%i))^(1/2), z= 0..1,"noPole")
 --R 
 --R
 --R   (85)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 85
 
 --S 86 of 224
@@ -3098,7 +3098,7 @@ in1723a:=integrate(-z^2/(z^2-1)*(1+%i/z)^(1/2), z= 0..1,"noPole")
 --R 
 --R
 --R   (86)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 86
 
 --S 87 of 224
@@ -3109,7 +3109,7 @@ in1731:=integrate(-log(1-z^2)*atanh(z), z= 0..1)
 --R         - log(4)  + 4log(4)
 --R   (87)  -------------------
 --R                  4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 87
 
 --S 88 of 224
@@ -3120,7 +3120,7 @@ in1793a:=integrate((1-z^(1/2))^(1/2)*acoth(z^(1/2)), z= 0..1,"noPole")
 --R         - 2\|2 log(12\|2  + 17) + 16
 --R   (88)  ----------------------------
 --R                      15
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 88
 
 --S 89 of 224
@@ -3130,7 +3130,7 @@ in1794a:=integrate((1-z^(1/2))^(1/2)*acoth(1-z^(1/2)), z= 0..1,"noPole")
 --R         - 4log(2) - 8%pi + 32
 --R   (89)  ---------------------
 --R                   15
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 89
 
 --S 90 of 224
@@ -3141,7 +3141,7 @@ in1796a:=integrate((1+(1-z)^(1/2))^(1/2), z= 0..1,"noPole")
 --R         8\|2  + 8
 --R   (90)  ---------
 --R             15
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 90
 
 --S 91 of 224
@@ -3153,7 +3153,7 @@ in184:=integrate(exp(%i*z), z= %i..2*%i)
 --R   (91)  --------------
 --R                  2
 --R             %e %e
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 91
 
 --S 92 of 224
@@ -3165,7 +3165,7 @@ in184a:=integrate(exp(%i*z), z= %i..2*%i)
 --R   (92)  --------------
 --R                  2
 --R             %e %e
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 92
 
 --S 93 of 224
@@ -3176,7 +3176,7 @@ in187a:=integrate(2^log(z), z= -%i..%i,"noPole")
 --R         %i %e              + %i %e
 --R   (93)  -----------------------------------------
 --R                         log(2) + 1
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 93
 
 --S 94 of 224
@@ -3187,7 +3187,7 @@ in187a:=integrate(2^log(z), z= -%i..%i,"noPole")
 --R         %i %e              + %i %e
 --R   (94)  -----------------------------------------
 --R                         log(2) + 1
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 94
 
 --S 95 of 224
@@ -3197,7 +3197,7 @@ in194a:=integrate(sqrt(z^2), z= 1..2,"noPole")
 --R         3
 --R   (95)  -
 --R         2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 95
 
 --S 96 of 224
@@ -3216,7 +3216,7 @@ in1854a:=integrate(1/(z-1)/(1/(z-%i))^(1/2), z= 0..1,"noPole")
 --R         +------+     +----+
 --R       2\|1 - %i  - 2\|- %i
 --R     ]
---R       Type: Union(f2: List OrderedCompletion Expression Complex Integer,...)
+--R   Type: Union(f2: List(OrderedCompletion(Expression(Complex(Integer)))),...)
 --E 96
 
 --S 97 of 224
@@ -3230,7 +3230,7 @@ in1856a:=integrate(1/(z-1)/(1-%i*z)^(1/2), z= 0..1,"noPole")
 --R    - \|- 2 - 2%i log(- --------------------) + \|- 2 - 2%i atan(------------)]
 --R                                 +---------+                      +---------+
 --R                        (1 + %i)\|- 2 - 2%i                      \|- 2 - 2%i
---R       Type: Union(f2: List OrderedCompletion Expression Complex Integer,...)
+--R   Type: Union(f2: List(OrderedCompletion(Expression(Complex(Integer)))),...)
 --E 97
 
 --S 98 of 224
@@ -3279,7 +3279,7 @@ in1863a:=integrate(1/(z^2-1)*(1/(z-%i))^(1/2), z= 0..1,"noPole")
 --R           \|1 + %i                \|1 + %i
 --R  /
 --R     4
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 98
 
 --S 99 of 224
@@ -3287,7 +3287,7 @@ in1864a:=integrate(1/(z^2-1)*((1+z)/(z-1))^(1/3), z= 0..1,"noPole")
 --R 
 --R
 --R   (99)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 99
 
 --S 100 of 224
@@ -3295,7 +3295,7 @@ in1866a:=integrate(1/(z^2-1)*(1-%i/z)^(1/2), z= 0..1,"noPole")
 --R 
 --R
 --R   (100)  - infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 100
 
 --S 101 of 224
@@ -3829,7 +3829,7 @@ in1870a:=integrate(1/(z^2-1)/(1+(%i*z)^(1/2))^(1/2), z= 0..1,"noPole")
 --R  /
 --R       +-+
 --R     4\|2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 101
 
 --S 102 of 224
@@ -3870,7 +3870,7 @@ in1872a:=integrate(1/(z^2-1)/(%i/(z+%i))^(1/2), z= 0..1,"noPole")
 --R                                 \|1 + %i
 --R  /
 --R     4
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 102
 
 --S 103 of 224
@@ -3976,7 +3976,7 @@ in1933a:=integrate(atan(z)/z/(z*(1+z))^(1/2), z= 0..1,"noPole")
 --R  /
 --R       +-+
 --R     2\|2  - 2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 103
 
 --S 104 of 224
@@ -3986,7 +3986,7 @@ in1945a:=integrate(acoth((1-z)/(1+z)), z= 0..1,"noPole")
 --R          1
 --R   (104)  -
 --R          2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 104
 
 --S 105 of 224
@@ -3996,7 +3996,7 @@ in1946a:=integrate(acoth((1-z)/(1+z))*z, z= 0..1,"noPole")
 --R          1
 --R   (105)  -
 --R          8
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 105
 
 --S 106 of 224
@@ -4006,7 +4006,7 @@ in1947a:=integrate(acoth((1-z)/(1+z))*z^(1/2), z= 0..1,"noPole")
 --R          2
 --R   (106)  -
 --R          9
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 106
 
 --S 107 of 224
@@ -4016,7 +4016,7 @@ in1950a:=integrate(acoth((1-z)/(1+z))/(1-z)^(1/2), z= 0..1,"noPole")
 --R          - log(4) - 2log(2) + 4
 --R   (107)  ----------------------
 --R                     2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 107
 
 --S 108 of 224
@@ -4027,7 +4027,7 @@ in1952a:=integrate(acoth((1-z)/(1+z))*(%i*z)^(1/2), z= 0..1,"noPole")
 --R          2\|%i
 --R   (108)  ------
 --R             9
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 108
 
 --S 109 of 224
@@ -4036,7 +4036,7 @@ in1954a:=integrate(acoth((1-z)/(1+z))/(%i*z)^(1/2), z= 0..1,"noPole")
 --R
 --R                +--+
 --R   (109)  - 2%i\|%i
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 109
 
 --S 110 of 224
@@ -4049,7 +4049,7 @@ in202a:=integrate(acsc(z), z= 0..1/2,"noPole")
 --R                          5
 --R   (110)  --------------------------------------------
 --R                               12
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 110
 
 --S 111 of 224
@@ -4075,7 +4075,7 @@ in206a:=integrate(sqrt(1-1/z), z= %pi..2*%pi,"noPole")
 --R           \|  2%pi          \|  %pi
 --R  /
 --R     4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 111
 
 --S 112 of 224
@@ -4086,7 +4086,7 @@ in211:=integrate(acos(sin(2*z))*cos(z), z= 0..4*%pi/3)
 --R          13%pi\|3  + 36
 --R   (112)  --------------
 --R                12
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 112
 
 --S 113 of 224
@@ -4101,7 +4101,7 @@ in213a:=integrate(log(abs(1+1/(-z)^(1/3))), z= 0..1,"noPole")
 --R                                             \|- 1
 --R   -----------------------------------------------------------------------------
 --R                                         2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 113
 
 --S 114 of 224
@@ -4112,7 +4112,7 @@ in216a:=integrate(1/(1/z-1)^(1/3), z= 0..1,"noPole")
 --R   (114)  -----
 --R            +-+
 --R          3\|3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 114
 
 --S 115 of 224
@@ -4123,7 +4123,7 @@ in2023a:=integrate((1-z)/(-1+z^(1/2)), z= 1..2,"noPole")
 --R          - 4\|2  - 1
 --R   (115)  -----------
 --R               3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 115
 
 --S 116 of 224
@@ -4131,7 +4131,7 @@ in2024a:=integrate(log(1-1/z)+csc(z-1), z= 0..1,"noPole")
 --R 
 --R
 --R   (116)  - infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 116
 
 --S 117 of 224
@@ -4141,7 +4141,7 @@ in2032a:=integrate(acoth(z)/z^(1/2), z= 0..1,"noPole")
 --R          - 2log(2) + %pi
 --R   (117)  ---------------
 --R                 2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 117
 
 --S 118 of 224
@@ -4149,7 +4149,7 @@ in2040a:=integrate(log(1-1/z^4)+cot(z), z= -1..1,"noPole")
 --R 
 --R
 --R   (118)  log(16) + log(4) + %pi
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 118
 
 --S 119 of 224
@@ -4157,7 +4157,7 @@ in2050a:=integrate(-csc(z-1)-1/z^(1/3), z= -1..1,"noPole")
 --R 
 --R
 --R   (119)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 119
 
 --S 120 of 224
@@ -4188,7 +4188,7 @@ in2051a:=integrate((z^2+%i*z-1)^(1/2)*z, z= -1..1,"noPole")
 --R       (129408\|- %i  + 90240 - 91200%i)\|%i  + (- 90240 - 91200%i)\|- %i
 --R     + 
 --R       - 127200
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 120
 
 --S 121 of 224
@@ -4205,7 +4205,7 @@ in2053a:=integrate(atan(2*z-1), z= 0..infinity,"noPole")
 --R                             2infinity  - 2infinity
 --R  /
 --R     8
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 121
 
 --S 122 of 224
@@ -4223,7 +4223,7 @@ in2056a:=integrate(z^(1/2)-acoth(1-z), z= 0..1,"noPole")
 --R          - 3log(4) + 4
 --R   (123)  -------------
 --R                6
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 123
 
 --S 124 of 224
@@ -4258,7 +4258,7 @@ in2058a:=integrate((z^2+%i*z-3)^(1/2)+z, z= -1..1,"noPole")
 --R       (1280\|- 2 - %i  - 128 - 1344%i)\|- 2 + %i  + (128 - 1344%i)\|- 2 - %i
 --R     + 
 --R       - 1424
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 124
 
 --S 125 of 224
@@ -4266,7 +4266,7 @@ in2068a:=integrate(1/(%i*z)^(1/2)-csch(z), z= 0..1,"noPole")
 --R 
 --R
 --R   (125)  - infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 125
 
 --S 126 of 224
@@ -4276,7 +4276,7 @@ in2071a:=integrate(1/(3+z)^3*acoth(z), z= -1..1,"noPole")
 --R          - 3log(16) + 3log(4) - 2
 --R   (126)  ------------------------
 --R                     128
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 126
 
 --S 127 of 224
@@ -4297,7 +4297,7 @@ in2090a:=integrate(exp(z^(1/3))*(3+z)^9, z= -1..1,"noPole")
 --R       %e
 --R   + 
 --R     - 9746099248106233432776547720320%e
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 127
 
 --S 128 of 224
@@ -4308,7 +4308,7 @@ in2094a:=integrate(asinh(z)-acoth(z), z= -1..1,"noPole")
 --R          log(2\|2  + 3) + log(- 2\|2  + 3)
 --R   (128)  ---------------------------------
 --R                          2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 128
 
 --S 129 of 224
@@ -4316,7 +4316,7 @@ in2096a:=integrate(log(z)^2, z= %minusInfinity..%plusInfinity,"noPole")
 --R 
 --R
 --R   (129)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 129
 
 --S 130 of 224
@@ -4324,7 +4324,7 @@ in2098a:=integrate(1/z^(1/3)-z^2/(z-1)^2, z= -1..1,"noPole")
 --R 
 --R
 --R   (130)  - infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 130
 
 --S 131 of 224
@@ -4332,7 +4332,7 @@ in2105a:=integrate(-1/(z^2-%i*z+2)^(1/2)/z, z= 0..1,"noPole")
 --R 
 --R
 --R   (131)  - infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 131
 
 --S 132 of 224
@@ -4342,7 +4342,7 @@ in2106a:=integrate(acos(z)+acoth(1-z), z= 0..1,"noPole")
 --R          log(4) + 2
 --R   (132)  ----------
 --R               2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 132
 
 --S 133 of 224
@@ -4350,7 +4350,7 @@ in2112a:=integrate(-cot(z-1)+log(1-1/z^4), z= -1..1,"noPole")
 --R 
 --R
 --R   (133)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 133
 
 --S 134 of 224
@@ -4358,7 +4358,7 @@ in2115a:=integrate(-z/(z-1)+log(1-z^(1/3)), z= -1..1,"noPole")
 --R 
 --R
 --R   (134)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 134
 
 --S 135 of 224
@@ -4370,7 +4370,7 @@ in2120a:=integrate(-z+1/(z^2+%i*z-3)^(1/2), z= -1..1,"noPole")
 --R   log((8 - 4%i)\|- 2 - %i  - 5 - 8%i) - log((- 8 - 4%i)\|- 2 + %i  - 5 + 8%i)
 --R   ---------------------------------------------------------------------------
 --R                                        2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 135
 
 --S 136 of 224
@@ -4378,7 +4378,7 @@ in25:=integrate(cos(z), z= %i..a)
 --R 
 --R
 --R   (136)  sin(a) - sin(%i)
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 136
 
 --S 137 of 224
@@ -4386,7 +4386,7 @@ in25a:=integrate(cos(z), z= %i..a)
 --R 
 --R
 --R   (137)  sin(a) - sin(%i)
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 137
 
 --S 138 of 224
@@ -4397,7 +4397,7 @@ in25b:=integrate(exp(%i*z), z= %i..%i*infinity)
 --R          - %i %e %e           + %i
 --R   (138)  -------------------------
 --R                      %e
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 138
 
 --S 139 of 224
@@ -4408,7 +4408,7 @@ in25c:=integrate(exp(%i*z), z= %i..%i*infinity)
 --R          - %i %e %e           + %i
 --R   (139)  -------------------------
 --R                      %e
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 139
 
 --S 140 of 224
@@ -4419,7 +4419,7 @@ in28a:=integrate(1/z, z=1..z,"noPole")
 --R          log(z )
 --R   (140)  -------
 --R             2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 140
 
 --S 141 of 224
@@ -4429,7 +4429,7 @@ in30:=integrate(sin(3*asin(1/(1+z^2))), z= 0..%plusInfinity)
 --R          3%pi
 --R   (141)  ----
 --R            4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 141
 
 --S 142 of 224
@@ -4437,7 +4437,7 @@ in32:=integrate(exp(-z), z= 0..%plusInfinity)
 --R 
 --R
 --R   (142)  1
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 142
 
 --S 143 of 224
@@ -4465,7 +4465,7 @@ in34a:=integrate(1/(sin(z)-1/2), z= 0..1,"noPole")
 --R  /
 --R      +-+
 --R     \|3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 143
 
 --S 144 of 224
@@ -4473,7 +4473,7 @@ in37:=integrate(atan(tan(1/z)), z= 0..1)
 --R 
 --R
 --R   (144)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 144
 
 --S 145 of 224
@@ -4481,7 +4481,7 @@ in40:=integrate(atan(tan(z)), z= 0..%plusInfinity)
 --R 
 --R
 --R   (145)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 145
 
 --S 146 of 224
@@ -4491,7 +4491,7 @@ in2157a:=integrate(acoth(z)-1/(1+z^(1/2)), z= 0..1,"noPole")
 --R          log(4) + 10log(2) - 8
 --R   (146)  ---------------------
 --R                    4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 146
 
 --S 147 of 224
@@ -4499,7 +4499,7 @@ in2158a:=integrate(2*acoth(1-(1-z)^(1/2)), z= 0..1,"noPole")
 --R 
 --R
 --R   (147)  2log(4) - 2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 147
 
 --S 148 of 224
@@ -4507,7 +4507,7 @@ in2168a:=integrate(-csch(z-1)-(1+%i*z)^(1/2), z= 0..1,"noPole")
 --R 
 --R
 --R   (148)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 148
 
 --S 149 of 224
@@ -4515,7 +4515,7 @@ in2185a:=integrate(csch(z)+(z^2-%i*z+1)^(1/2), z= 0..1,"noPole")
 --R 
 --R
 --R   (149)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 149
 
 --S 150 of 224
@@ -4527,7 +4527,7 @@ in2195a:=integrate(1-acoth(1-(1-z)^(1/2)), z= -1..1,"noPole")
 --R   2log(\|2 ) - log(- 2\|2  + 3) + 3log(- 4\|2  + 6) + 4\|2  - 4log(4) + 8
 --R   -----------------------------------------------------------------------
 --R                                      4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 150
 
 --S 151 of 224
@@ -4538,7 +4538,7 @@ in2201a:=integrate(acoth(z)+%pi-asec(z-1), z= 0..1,"noPole")
 --R          - %pi\|2  + log(4) + 2%pi
 --R   (151)  -------------------------
 --R                      2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 151
 
 --S 152 of 224
@@ -4552,7 +4552,7 @@ in221:=integrate(log(z+sqrt(z^2-1)), z)
 --R                                 +------+
 --R                                 | 2
 --R                                \|z  - 1  - z
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 152
 
 --S 153 of 224
@@ -4562,7 +4562,7 @@ in227a:=integrate(atan(sin(z))+atan(1/(sin(z))), z= 0..1,"noPole")
 --R            %pi
 --R   (153)  - ---
 --R             2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 153
 
 --S 154 of 224
@@ -4570,7 +4570,7 @@ in237a:=integrate(sin(z)*(1-cos(z)/sqrt(1-sin(z)^2))^2, z= 0..1,"noPole")
 --R 
 --R
 --R   (154)  - 4cos(1) + 4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 154
 
 --S 155 of 224
@@ -4578,7 +4578,7 @@ in2221:=integrate((z-%i)*(-1+1/(z-%i)), z= 0..%plusInfinity)
 --R 
 --R
 --R   (155)  - infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 155
 
 --S 156 of 224
@@ -4586,7 +4586,7 @@ in2243a:=integrate(-1/sinh(z-1)+1/(%i*z)^(1/2), z= 0..1,"noPole")
 --R 
 --R
 --R   (156)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 156
 
 --S 157 of 224
@@ -4596,7 +4596,7 @@ in2254a:=integrate(cosh(z^(1/2))-acoth(1-z), z= 0..1,"noPole")
 --R          - %e log(4) + 4%e - 4
 --R   (157)  ---------------------
 --R                   2%e
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 157
 
 --S 158 of 224
@@ -4607,7 +4607,7 @@ in2270a:=integrate(log(z)*log(1/z)*(%i*z)^(1/3), z= -1..1,"noPole")
 --R          - 27\|%i  - 27\|- %i
 --R   (158)  ---------------------
 --R                    32
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 158
 
 --S 159 of 224
@@ -4617,7 +4617,7 @@ in2274a:=integrate(acoth(1-z)-acosh(1/z), z= -1..1,"noPole")
 --R          3log(9) - 4%pi
 --R   (159)  --------------
 --R                 4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 159
 
 --S 160 of 224
@@ -4654,7 +4654,7 @@ in2275a:=integrate((z^2+%i*z-3)^(1/2)*(3+z^2), z= -1..1,"noPole")
 --R     + 
 --R                                 +--------+
 --R       (- 11194368 - 31143936%i)\|- 2 - %i  - 50074368
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 160
 
 --S 161 of 224
@@ -4672,7 +4672,7 @@ in2276a:=integrate((1-tanh(log(1+z^(1/3))))^5, z= -1..1,"noPole")
 --R  /
 --R          3+---+2        3+---+
 --R     30625\|- 1   - 40000\|- 1  - 70000
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 161
 
 --S 162 of 224
@@ -4682,7 +4682,7 @@ in2278a:=integrate(acoth(1-z)+log(abs(z-1)/z), z= 0..1,"noPole")
 --R          log(4)
 --R   (162)  ------
 --R             2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 162
 
 --S 163 of 224
@@ -4699,7 +4699,7 @@ in2279a:=integrate(acoth(1/(z^2-z+1)^(1/2)), z= -1..1,"noPole")
 --R       log(16) - 2log(4)
 --R  /
 --R     4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 163
 
 --S 164 of 224
@@ -4717,7 +4717,7 @@ in2311a:=integrate(-1/sinh(z-1)+1/(%i*z)^(1/2), z= 0..%pi,"noPole")
 --R                                 %e                   %e
 --R  /
 --R     2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 164
 
 --S 165 of 224
@@ -4736,7 +4736,7 @@ in2312a:=integrate(sin(z)-1/(z^2+%i*z-1)^(1/2), z= -1..1,"noPole")
 --R          - log((8 - 4%i)\|- %i  + 3 - 8%i) + log((- 8 - 4%i)\|%i  + 3 + 8%i)
 --R   (166)  -------------------------------------------------------------------
 --R                                           2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 166
 
 --S 167 of 224
@@ -4747,7 +4747,7 @@ in2324a:=integrate(cosh(z^(1/2)-1)+acoth(1-z), z= 0..1,"noPole")
 --R          %e log(4) + 2%e  - 4%e + 2
 --R   (167)  --------------------------
 --R                      2%e
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 167
 
 --S 168 of 224
@@ -4762,7 +4762,7 @@ in2330a:=integrate(exp(-z)+1/(z^2+%i*z-1)^(1/2), z= -1..1,"noPole")
 --R       2%e  - 2
 --R  /
 --R     2%e
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 168
 
 --S 169 of 224
@@ -4772,7 +4772,7 @@ in2332a:=integrate(acoth(z^(1/2))*(1-z^(1/2)), z= 0..1,"noPole")
 --R          log(16) - log(4) - 10log(2) + 8
 --R   (169)  -------------------------------
 --R                         12
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 169
 
 --S 170 of 224
@@ -4783,7 +4783,7 @@ in2333a:=integrate(acoth(z)+1/(z^2+z+2)^(1/2), z= 0..1,"noPole")
 --R          log(- 4\|2  + 9) + log(4)
 --R   (170)  -------------------------
 --R                      2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 170
 
 --S 171 of 224
@@ -4791,7 +4791,7 @@ in2360a:=integrate(1/(1-%i*z^2)^(1/2)-csch(z-1), z= -1..1,"noPole")
 --R 
 --R
 --R   (171)  [ + infinity, + infinity]
---R       Type: Union(f2: List OrderedCompletion Expression Complex Integer,...)
+--R   Type: Union(f2: List(OrderedCompletion(Expression(Complex(Integer)))),...)
 --E 171
 
 --S 172 of 224
@@ -4824,7 +4824,7 @@ in2367a:=integrate(log(1-z^2)-1/(%i/(z-%i))^(1/2), z= -1..1,"noPole")
 --R        |    %i    |   1
 --R     6  |- ------  |------
 --R       \|  1 + %i \|1 + %i
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 172
 
 --S 173 of 224
@@ -4834,7 +4834,7 @@ in2375a:=integrate(acoth(1-z^(1/2))+1/z^(1/3), z= 0..1,"noPole")
 --R          2log(4) + 1
 --R   (173)  -----------
 --R               2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 173
 
 --S 174 of 224
@@ -4866,7 +4866,7 @@ in2376a:=integrate(log(1-z^(1/3)-z^(2/3)), z= 0..infinity,"noPole")
 --R       3\|infinity   - 18\|infinity  - 3\|5 log(6\|5  + 14) - 4infinity
 --R  /
 --R     6
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 174
 
 --S 175 of 224
@@ -4919,7 +4919,7 @@ in2378a:=integrate((z^2+%i*z-3)^(1/2)-tanh(z-1), z= -1..1,"noPole")
 --R       (1280\|- 2 - %i  - 128 - 1344%i)\|- 2 + %i  + (128 - 1344%i)\|- 2 - %i
 --R     + 
 --R       - 1424
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 175
 
 --S 176 of 224
@@ -4930,7 +4930,7 @@ in2386a:=integrate(acoth(1-z)-(z^2-z+2)^(1/2), z= 0..1,"noPole")
 --R          - 7log(4\|2  + 9) + 7log(- 4\|2  + 9) - 8\|2  + 8log(4)
 --R   (176)  -------------------------------------------------------
 --R                                     16
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 176
 
 --S 177 of 224
@@ -4976,7 +4976,7 @@ in2390a:=integrate((z^2-%i*z-2)^(1/2)+1/sec(z-1), z= -1..1,"noPole")
 --R     + 
 --R                       2%i +--------+         2%i
 --R       (384 + 1088%i)%e   \|- 1 - %i  - 1040%e
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 177
 
 --S 178 of 224
@@ -4984,7 +4984,7 @@ in2392a:=integrate(1/sec(z-1)+acoth(1-z^(1/2)), z= 0..1,"noPole")
 --R 
 --R
 --R   (178)  sin(1) + log(4) - 1
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 178
 
 --S 179 of 224
@@ -5026,7 +5026,7 @@ in2404a:=integrate(1/(1+%i*z^2)^(1/2)+acoth(z), z= -1..1,"noPole")
 --R    - 2\|4%i atan(------------------)]
 --R                         +---+
 --R                        \|4%i
---R       Type: Union(f2: List OrderedCompletion Expression Complex Integer,...)
+--R   Type: Union(f2: List(OrderedCompletion(Expression(Complex(Integer)))),...)
 --E 179
 
 --S 180 of 224
@@ -5034,7 +5034,7 @@ in2409a:=integrate(tan(z)+1/(%i/(z+%i))^(1/2), z= 0..1/2*%pi,"noPole")
 --R 
 --R
 --R   (180)   + infinity
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 180
 
 --S 181 of 224
@@ -5042,7 +5042,7 @@ in248a:=integrate(log(z^%i)^2, z= 0..1,"noPole")
 --R 
 --R
 --R   (181)  - 2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 181
 
 --S 182 of 224
@@ -5050,7 +5050,7 @@ in248b:=integrate(log(z^%i)^2, z= 0..1,"noPole")
 --R 
 --R
 --R   (182)  - 2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 182
 
 --S 183 of 224
@@ -5061,7 +5061,7 @@ in249a:=integrate((sin(z)/(cos(z)-1))^(1/3), z= 0..%pi,"noPole")
 --R          3log(32\|2 ) - 12log(2\|2 ) - 4%pi\|3
 --R   (183)  --------------------------------------
 --R                            24
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 183
 
 --S 184 of 224
@@ -5073,7 +5073,7 @@ in251a:=integrate((-1)^z*exp(-z)*sin(z), z= 0..%plusInfinity,"noPole")
 --R   (184)  ----------
 --R              4
 --R           %pi  + 4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 184
 
 --S 185 of 224
@@ -5083,7 +5083,7 @@ in2434a:=integrate(acoth(z^(1/2))+log(abs(z-1)), z= 0..1,"noPole")
 --R          log(16) + log(4) - 6log(2)
 --R   (185)  --------------------------
 --R                       4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 185
 
 --S 186 of 224
@@ -5102,7 +5102,7 @@ in2443a:=integrate(sech(z)+log(abs(1-1/z^(1/3))), z= -1..1,"noPole")
 --R               %e
 --R  /
 --R     2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 186
 
 --S 187 of 224
@@ -5110,7 +5110,7 @@ in2462a:=integrate(log((1+(1-z)^(1/2))/z)+csch(z), z= -1..0,"noPole")
 --R 
 --R
 --R   (187)  - infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 187
 
 --S 188 of 224
@@ -5125,7 +5125,7 @@ in2469a:=integrate(1/(2+z)^2+1/(z^2-%i*z-2)^(1/2), z= -1..1,"noPole")
 --R       - 3log((- 8 + 4%i)\|- 1 - %i  - 1 - 8%i) + 4
 --R  /
 --R     6
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 188
 
 --S 189 of 224
@@ -5133,7 +5133,7 @@ in2484a:=integrate(log(1-z^2)+sinh(z^(1/2)), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (189)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 189
 
 --S 190 of 224
@@ -5143,7 +5143,7 @@ in2485a:=integrate(log(1-z^(1/2))-acoth(z^(1/2)), z= 0..1,"noPole")
 --R          - log(16) + log(4) + 2log(2) - 10
 --R   (190)  ---------------------------------
 --R                          4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 190
 
 --S 191 of 224
@@ -5151,7 +5151,7 @@ in2521a:=integrate(acoth(z^(1/2))+cos(z^(1/2)-1), z= 0..1,"noPole")
 --R 
 --R
 --R   (191)  - 2cos(1) + 3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 191
 
 --S 192 of 224
@@ -5159,7 +5159,7 @@ in2524a:=integrate(log(abs(1+1/z^(1/3)))+log(1+1/z), z= -1..0,"noPole")
 --R 
 --R
 --R   (192)  - infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 192
 
 --S 193 of 224
@@ -5177,7 +5177,7 @@ in2533a:=integrate(log(abs(1-1/z^(1/3)))-log(1-1/z), z= -1..0,"noPole")
 --R       2\|- 1  - log(4)
 --R  /
 --R     2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 193
 
 --S 194 of 224
@@ -5188,7 +5188,7 @@ in2566a:=integrate(log(1+(1-z)^(1/2))+acoth(1-z), z= -1..1,"noPole")
 --R          4log(\|2  + 1) + 4\|2  + 3log(9) - 4
 --R   (194)  ------------------------------------
 --R                            4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 194
 
 --S 195 of 224
@@ -5198,7 +5198,7 @@ in2586a:=integrate(acoth(z^(1/2))+atan(z^(1/2)), z= 0..1,"noPole")
 --R          log(16) - log(4) - 2log(2) + 2%pi
 --R   (195)  ---------------------------------
 --R                          4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 195
 
 --S 196 of 224
@@ -5206,7 +5206,7 @@ in2591a:=integrate(log(z)/(1-z^(1/2))^3-log(z)*log(-z), z= 0..1,"noPole")
 --R 
 --R
 --R   (196)  - infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 196
 
 --S 197 of 224
@@ -5216,7 +5216,7 @@ in2598a:=integrate(exp(-z^(1/2))+acoth(1-z^(1/2)), z= 0..1,"noPole")
 --R          %e log(4) + %e - 4
 --R   (197)  ------------------
 --R                  %e
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 197
 
 --S 198 of 224
@@ -5231,7 +5231,7 @@ in2604a:=integrate(acoth(1-z^(1/2))+log(1+z^(1/3)), z= 1..2,"noPole")
 --R       - 6\|2   - 6\|2   - 12log(2) + 7
 --R  /
 --R     6
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 198
 
 --S 199 of 224
@@ -5241,7 +5241,7 @@ in271a:=integrate(1/sqrt((z^2-1)*(z^2-1)), z= 2..%plusInfinity,"noPole")
 --R          log(9)
 --R   (199)  ------
 --R             4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 199
 
 --S 200 of 224
@@ -5252,7 +5252,7 @@ in275c:=integrate(sqrt(z), z= -%i..%i,"noPole")
 --R          2%i\|%i  + 2%i\|- %i
 --R   (200)  ---------------------
 --R                    3
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 200
 
 --S 201 of 224
@@ -5262,7 +5262,7 @@ in275a:=integrate(1/(1+z), z= -%i..%i,"noPole")
 --R          log(2%i) - log(- 2%i)
 --R   (201)  ---------------------
 --R                    2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 201
 
 --S 202 of 224
@@ -5272,7 +5272,7 @@ in275b:=integrate(1/(1+z), z= -%i..%i,"noPole")
 --R          log(2%i) - log(- 2%i)
 --R   (202)  ---------------------
 --R                    2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 202
 
 --S 203 of 224
@@ -5303,7 +5303,7 @@ in276a:=integrate(log(1-z^(1/3)-z^(2/3)), z= 0..sqrt(5)-2,"noPole")
 --R       3\|\|5  - 2   - 18\|\|5  - 2  - 3\|5 log(6\|5  + 14) - 4\|5  + 8
 --R  /
 --R     6
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 203
 
 --S 204 of 224
@@ -5317,7 +5317,7 @@ in2634a:=integrate(1/(z^2+%i*z-1)^(1/2)+log(abs(z-1)), z= -1..1,"noPole")
 --R       2log(4) - 4
 --R  /
 --R     2
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 204
 
 --S 205 of 224
@@ -5329,7 +5329,7 @@ in2656a:=integrate(acoth(1-(1-z)^(1/2))-log(1-1/z), z= -1..1,"noPole")
 --R   - 10log(\|2 ) + log(- 2\|2  + 3) - 3log(- 4\|2  + 6) - 4\|2  + 2log(4)
 --R   ----------------------------------------------------------------------
 --R                                      4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 205
 
 --S 206 of 224
@@ -5341,7 +5341,7 @@ in2676a:=integrate(acoth(1-(1-z)^(1/2))-log(1-1/z), z= -1..1,"noPole")
 --R   - 10log(\|2 ) + log(- 2\|2  + 3) - 3log(- 4\|2  + 6) - 4\|2  + 2log(4)
 --R   ----------------------------------------------------------------------
 --R                                      4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 206
 
 --S 207 of 224
@@ -5349,7 +5349,7 @@ in2664aa:=integrate(atanh(1/z)+(1+z^2)^(1/2), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (207)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 207
 
 --S 208 of 224
@@ -5403,7 +5403,7 @@ in2681a:=integrate((z^2-%i*z-3)^(1/2)+%pi-acot(z-1), z= -1..1,"noPole")
 --R       (1280\|- 2 - %i  + 128 + 1344%i)\|- 2 + %i  + (- 128 + 1344%i)\|- 2 - %i
 --R     + 
 --R       - 1424
---R            Type: Union(f1: OrderedCompletion Expression Complex Integer,...)
+--R         Type: Union(f1: OrderedCompletion(Expression(Complex(Integer))),...)
 --E 208
 
 --S 209 of 224
@@ -5413,7 +5413,7 @@ in2720a:=integrate(acoth(1-(1-z)^(1/2))+atan(z-1), z= 0..1,"noPole")
 --R          5log(4) - %pi - 4
 --R   (209)  -----------------
 --R                  4
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 209
 
 --S 210 of 224
@@ -5421,7 +5421,7 @@ in2724a:=integrate(log(1-1/z^3)-(1+1/z^2)^(1/2), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (210)  - infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 210
 
 --S 211 of 224
@@ -5429,7 +5429,7 @@ in2732:=integrate(atan(1/3*3^(1/2)*(2*z-1)), z= 0..%plusInfinity)
 --R 
 --R
 --R   (211)  - infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 211
 
 --S 212 of 224
@@ -5437,7 +5437,7 @@ in2783a:=integrate(1/z^(1/3)+atanh(1/z^(1/2)), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (212)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 212
 
 --S 213 of 224
@@ -5449,7 +5449,7 @@ in285:=integrate(sqrt(1+sqrt(z-1)), z)
 --R          (4\|z - 1  + 12z - 20)\|\|z - 1  + 1
 --R   (213)  -------------------------------------
 --R                            15
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 213
 
 --S 214 of 224
@@ -5462,7 +5462,7 @@ in295a:=integrate(z*sqrt(1+sqrt(z^2-1)), z)
 --R          (2\|z  - 1  + 6z  - 10)\|\|z  - 1  + 1
 --R   (214)  ---------------------------------------
 --R                             15
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 214
 
 --S 215 of 224
@@ -5473,7 +5473,7 @@ in295ba:=integrate(z*sqrt(1+sqrt(z^2-1)), z= 1..sqrt(2),"noPole")
 --R          4\|2  + 4
 --R   (215)  ---------
 --R              15
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 215
 
 --S 216 of 224
@@ -5485,7 +5485,7 @@ integrate(1/sqrt(20+x^2+y^2), x = -5..5,"noPole")
 --R          log(10\|y  + 45  + y  + 70) - log(- 10\|y  + 45  + y  + 70)
 --R   (216)  -----------------------------------------------------------
 --R                                       2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 216
 
 --S 217 of 224
@@ -5494,7 +5494,7 @@ in291:=integrate(cos(2*atan(z-sqrt(2)))-sin(2*atan(z-sqrt(2))), _
 --R 
 --R
 --R   (217)  - infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 217
 
 --S 218 of 224
@@ -5502,7 +5502,7 @@ in2992a:=integrate(acoth(1-z^(1/2))+log(1+z^(1/3)), z= 1..%plusInfinity,"noPole"
 --R 
 --R
 --R   (218)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 218
 
 --S 219 of 224
@@ -5511,7 +5511,7 @@ in2997a:=integrate(log(1+1/z^3)-log(abs(1+z)), _
 --R 
 --R
 --R   (219)  - infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 219
 
 --S 220 of 224
@@ -5519,7 +5519,7 @@ in3008a:=integrate(exp(-z^(1/3))+atanh(1/z^(1/2)), z= 0..%plusInfinity,"noPole")
 --R 
 --R
 --R   (220)   + infinity
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 220
 
 --S 221 of 224
@@ -5542,7 +5542,7 @@ in303a:=integrate(1/(1+cosh(n*z)^2), z= 0..1,"noPole")
 --R  /
 --R        +-+
 --R     4n\|2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 221
 
 --S 222 of 224
@@ -5570,7 +5570,7 @@ in314a:=integrate(1/(sin(z)-1/2), z= 0..1,"noPole")
 --R  /
 --R      +-+
 --R     \|3
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 222
 
 --S 223 of 224
@@ -5578,7 +5578,7 @@ in317:=integrate((cos(z)^a)^(1/a), z= 0..%pi)
 --R 
 --R
 --R   (223)  0
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 223
 
 --S 224 of 224
@@ -5588,7 +5588,7 @@ in319a:=integrate(exp(-z)*atan(sin(z)/(1+cos(z))), z=0..%plusInfinity,"noPole")
 --R          1
 --R   (224)  -
 --R          2
---R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
+--R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
 --E 224
 )spool 
 )lisp (bye)
diff --git a/src/input/matbug.input.pamphlet b/src/input/matbug.input.pamphlet
index c25b4df..a5178dc 100644
--- a/src/input/matbug.input.pamphlet
+++ b/src/input/matbug.input.pamphlet
@@ -24,7 +24,7 @@
 msq := Matrix SquareMatrix(2,POLY INT)
 --R 
 --R
---R   (1)  Matrix SquareMatrix(2,Polynomial Integer)
+--R   (1)  Matrix(SquareMatrix(2,Polynomial(Integer)))
 --R                                                                 Type: Domain
 --E 1
 
@@ -39,7 +39,7 @@ m : msq := zero(2,2)
 --R        |+0  0+  +0  0+|
 --R        ||    |  |    ||
 --R        ++0  0+  +0  0++
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
 --E 2
 
 --S 3 of 12
@@ -49,7 +49,7 @@ m(1,1) := matrix([[1,2],[a,b]])
 --R        +1  2+
 --R   (3)  |    |
 --R        +a  b+
---R                                     Type: SquareMatrix(2,Polynomial Integer)
+--R                                    Type: SquareMatrix(2,Polynomial(Integer))
 --E 3
 
 --S 4 of 12
@@ -59,7 +59,7 @@ m(1,2) := matrix([[a,b],[2,b]])
 --R        +a  b+
 --R   (4)  |    |
 --R        +2  b+
---R                                     Type: SquareMatrix(2,Polynomial Integer)
+--R                                    Type: SquareMatrix(2,Polynomial(Integer))
 --E 4
 
 --S 5 of 12
@@ -69,7 +69,7 @@ m(2,2) := matrix([[1,2],[2,b]])
 --R        +1  2+
 --R   (5)  |    |
 --R        +2  b+
---R                                     Type: SquareMatrix(2,Polynomial Integer)
+--R                                    Type: SquareMatrix(2,Polynomial(Integer))
 --E 5
 
 --S 6 of 12
@@ -83,7 +83,7 @@ m
 --R        |+0  0+  +1  2+|
 --R        ||    |  |    ||
 --R        ++0  0+  +2  b++
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
 --E 6
 
 --S 7 of 12
@@ -100,7 +100,7 @@ m*m
 --R        |      |    |              |              |      |
 --R        |      +0  0+              |         2    |      |
 --R        +                          +2b + 2  b  + 4+      +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
 --E 7
 
 --S 8 of 12
@@ -117,7 +117,7 @@ m**2
 --R        |      |    |              |              |      |
 --R        |      +0  0+              |         2    |      |
 --R        +                          +2b + 2  b  + 4+      +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
 --E 8
 
 --S 9 of 12
@@ -152,7 +152,7 @@ m**3
 --R   and matrix4= |                            |
 --R                |  2              3          |
 --R                +2b  + 2b + 10   b  + 8b + 4 +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
 --E 9
 
 --S 10 of 12
@@ -187,7 +187,7 @@ m**3
 --R   and matrix4= |                            |
 --R                |  2              3          |
 --R                +2b  + 2b + 10   b  + 8b + 4 +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
 --E 10
 
 --S 11 of 12
@@ -204,7 +204,7 @@ mm:=m*m
 --R         |      |    |              |              |      |
 --R         |      +0  0+              |         2    |      |
 --R         +                          +2b + 2  b  + 4+      +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
 --E 11
 
 --S 12 of 12
@@ -239,7 +239,7 @@ mm*m
 --R   and matrix4= |                            |
 --R                |  2              3          |
 --R                +2b  + 2b + 10   b  + 8b + 4 +
---R                              Type: Matrix SquareMatrix(2,Polynomial Integer)
+--R                            Type: Matrix(SquareMatrix(2,Polynomial(Integer)))
 --E 12
 )spool 
 )lisp (bye)
diff --git a/src/input/mathml.input.pamphlet b/src/input/mathml.input.pamphlet
index 45c1770..dbe0640 100644
--- a/src/input/mathml.input.pamphlet
+++ b/src/input/mathml.input.pamphlet
@@ -23,7 +23,7 @@
 --R
 --R         2           2
 --R   (1)  y  + 2x y + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 21
@@ -44,7 +44,7 @@ coerce(%)$MMLFORM
 --R
 --R         2           2
 --R   (3)  y  + 2x y + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 3
 
 --S 4 of 21
@@ -68,7 +68,7 @@ display(coerce(%)$MMLFORM)$MMLFORM
 --I<mrow><mrow><msup><mrow><mi>y</mi></mrow><mrow><mn>2</mn>...
 --R</math>
 --R
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 5
 
 --S 6 of 21
@@ -83,7 +83,7 @@ integrate(x**x,x)
 --I<mrow><mo>&#x0222B;</mo><mrow><msup><mrow><mi>x</mi></mrow>...
 --R</math>
 --R
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 --S 7 of 21
@@ -98,7 +98,7 @@ integral(x**x,x)
 --I<mrow><mo>&#x0222B;</mo><mrow><msup><mrow><mi>x</mi></mrow>...
 --R</math>
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 21
@@ -124,7 +124,7 @@ set [1,2,3]
 --I<mrow><mo>{</mo><mn>1</mn><mo>,</mo><mn>2</mn><mo>,...
 --R</math>
 --R
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 9
 
 --S 10 of 21
@@ -136,7 +136,7 @@ multiset [x rem 5 for x in primes(2,1000)]
 --I<mrow><mo>{</mo><mn>0</mn><mo>,</mo><mrow><mrow><mn>40</mn></mrow>...
 --R</math>
 --R
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 10
 
 --S 11 of 21
@@ -151,7 +151,7 @@ series(sin(a*x),x=0)
 --I<mrow><mrow><mi>a</mi><mspace width='0.3em'/><mi>x</mi></mrow>...
 --R</math>
 --R
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 11
 
 --S 12 of 21
@@ -203,7 +203,7 @@ matrix [[xi+yj for i in 1..10] for j in 1..10]
 --I<mrow><mo>[</mo><mtable><mtr><mtd><mrow><mi>yj</mi><mo>+</mo>...
 --R</math>
 --R
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 12
 
 --S 13 of 21
@@ -228,7 +228,7 @@ D(y(x,z),[x,x,z,x])
 --I<msub><mi>y</mi><mrow><mo>,</mo><mn>1</mn><mo>,</mo><mn>1</mn><mo>,...
 --R</math>
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 )clear all
@@ -256,7 +256,7 @@ D(y x,x,2)
 --I<msup><mi>y</mi><mrow><mo>&#x02032;</mo><mo>&#x02032;</mo>...
 --R</math>
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 --S 17 of 21
@@ -268,7 +268,7 @@ x:=series 'x
 --R<mi>x</mi>
 --R</math>
 --R
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 17
 
 --S 18 of 21
@@ -287,7 +287,7 @@ sin(1+x)
 --I<mrow><mrow><mo><mo>sin</mo></mo><mo>(</mo><mrow><mn>1</mn></mrow><mo>)...
 --R</math>
 --R
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 18
 
 )clear all
@@ -312,7 +312,7 @@ series(1/log(y),y=1)
 --I<mrow><mrow><msup><mrow><mrow><mo>(</mo><mi>y</mi><mo>-</mo>...
 --R</math>
 --R
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,y,1)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),y,1)
 --E 19
 
 )clear all
@@ -354,7 +354,7 @@ c:=continuedFraction(314159/100000)
 --I<mrow><mn>3</mn><mo>+</mo><mfrac><mn>1</mn><mrow><mn><mn>7</mn></mn>...
 --R</math>
 --R
---R                                              Type: ContinuedFraction Integer
+--R                                             Type: ContinuedFraction(Integer)
 --E 21
 )spool
 )lisp (bye)
diff --git a/src/input/matrix.input.pamphlet b/src/input/matrix.input.pamphlet
index 7fd07ab..552221a 100644
--- a/src/input/matrix.input.pamphlet
+++ b/src/input/matrix.input.pamphlet
@@ -50,7 +50,7 @@ mat : MATRIX FRAC INT := matrix [[1/(i + j) for i in 1..5] for j in 1..5]
 --R        |1  1  1  1   1|
 --R        |-  -  -  -  --|
 --R        +6  7  8  9  10+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 1
 
 --S 2 of 42
@@ -66,7 +66,7 @@ matinv := inverse mat
 --R        |- 15120   176400   - 604800   793800   - 352800|
 --R        |                                               |
 --R        + 6300    - 75600    264600   - 352800   158760 +
---R                                     Type: Union(Matrix Fraction Integer,...)
+--R                                   Type: Union(Matrix(Fraction(Integer)),...)
 --E 2
 
 --S 3 of 42
@@ -82,7 +82,7 @@ mat * matinv
 --R        |0  0  0  1  0|
 --R        |             |
 --R        +0  0  0  0  1+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 3
 
 \end{chunk} 
@@ -112,7 +112,7 @@ mat1 : IMATRIX(FRAC INT,-3,47) := _
 --R        |1  1  1  1   1|
 --R        |-  -  -  -  --|
 --R        +6  7  8  9  10+
---R                                  Type: IndexedMatrix(Fraction Integer,-3,47)
+--R                                 Type: IndexedMatrix(Fraction(Integer),-3,47)
 --E 4
 
 --S 5 of 42
@@ -128,7 +128,7 @@ mat1inv := inverse mat1
 --R        |- 15120   176400   - 604800   793800   - 352800|
 --R        |                                               |
 --R        + 6300    - 75600    264600   - 352800   158760 +
---R                       Type: Union(IndexedMatrix(Fraction Integer,-3,47),...)
+--R                      Type: Union(IndexedMatrix(Fraction(Integer),-3,47),...)
 --E 5
 
 --S 6 of 42
@@ -144,7 +144,7 @@ mat1 * mat1inv
 --R        |0  0  0  1  0|
 --R        |             |
 --R        +0  0  0  0  1+
---R                                  Type: IndexedMatrix(Fraction Integer,-3,47)
+--R                                 Type: IndexedMatrix(Fraction(Integer),-3,47)
 --E 6
  
 \end{chunk}
@@ -163,7 +163,7 @@ mat2 : MATRIX INT := matrix [[j**i for i in 0..4] for j in 1..5]
 --R        |1  4  16  64   256|
 --R        |                  |
 --R        +1  5  25  125  625+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 7
 
 --S 8 of 42
@@ -179,7 +179,7 @@ rowEchelon  mat2
 --R        |0  0  0  6  12|
 --R        |              |
 --R        +0  0  0  0  24+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 8
 
 --S 9 of 42
@@ -266,7 +266,7 @@ mat4 : MATRIX FRAC INT := matrix [[j**i for i in 0..4] for j in 1..5]
 --R         |1  4  16  64   256|
 --R         |                  |
 --R         +1  5  25  125  625+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 15
 
 --S 16 of 42
@@ -282,7 +282,7 @@ rowEchelon  mat4
 --R         |0  0  0  1  0|
 --R         |             |
 --R         +0  0  0  0  1+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 16
 
 --S 17 of 42
@@ -290,7 +290,7 @@ determinant mat4
 --R 
 --R
 --R   (17)  288
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 17
 
 --S 18 of 42
@@ -298,7 +298,7 @@ minordet    mat4
 --R 
 --R
 --R   (18)  288
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 18
 
 \end{chunk}
@@ -318,7 +318,7 @@ mat5 : IMATRIX(FRAC INT,-113,37) := _
 --R         |1  4  16  64   256|
 --R         |                  |
 --R         +1  5  25  125  625+
---R                                Type: IndexedMatrix(Fraction Integer,-113,37)
+--R                               Type: IndexedMatrix(Fraction(Integer),-113,37)
 --E 19
 
 --S 20 of 42
@@ -334,7 +334,7 @@ rowEchelon  mat5
 --R         |0  0  0  1  0|
 --R         |             |
 --R         +0  0  0  0  1+
---R                                Type: IndexedMatrix(Fraction Integer,-113,37)
+--R                               Type: IndexedMatrix(Fraction(Integer),-113,37)
 --E 20
 
 --S 21 of 42
@@ -342,7 +342,7 @@ determinant mat5
 --R 
 --R
 --R   (21)  288
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 21
 
 --S 22 of 42
@@ -350,7 +350,7 @@ minordet    mat5
 --R 
 --R
 --R   (22)  288
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 22
  
 --S 23 of 42
@@ -362,7 +362,7 @@ mat6 : MATRIX INT := matrix [[1,2,3],[4,5,6],[7,8,9]]
 --R   (23)  |4  5  6|
 --R         |       |
 --R         +7  8  9+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 23
 
 --S 24 of 42
@@ -374,7 +374,7 @@ rowEchelon mat6
 --R   (24)  |0  3  6|
 --R         |       |
 --R         +0  0  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 24
 
 --S 25 of 42
@@ -398,7 +398,7 @@ nullSpace  mat6
 --R 
 --R
 --R   (27)  [[1,- 2,1]]
---R                                                    Type: List Vector Integer
+--R                                                  Type: List(Vector(Integer))
 --E 27
  
 --S 28 of 42
@@ -410,7 +410,7 @@ mat7 : IMATRIX(FRAC INT,163,61657) := matrix [[1,2,3],[4,5,6],[7,8,9]]
 --R   (28)  |4  5  6|
 --R         |       |
 --R         +7  8  9+
---R                              Type: IndexedMatrix(Fraction Integer,163,61657)
+--R                             Type: IndexedMatrix(Fraction(Integer),163,61657)
 --E 28
 
 --S 29 of 42
@@ -422,7 +422,7 @@ rowEchelon mat7
 --R   (29)  |0  1   2 |
 --R         |         |
 --R         +0  0   0 +
---R                              Type: IndexedMatrix(Fraction Integer,163,61657)
+--R                             Type: IndexedMatrix(Fraction(Integer),163,61657)
 --E 29
 
 --S 30 of 42
@@ -446,7 +446,7 @@ nullSpace  mat7
 --R 
 --R
 --R   (32)  [[1,- 2,1]]
---R                               Type: List IndexedVector(Fraction Integer,163)
+--R                             Type: List(IndexedVector(Fraction(Integer),163))
 --E 32
 
 --S 33 of 42
@@ -459,7 +459,7 @@ mat8 : MATRIX INT := _
 --R   (33)  |- 4  15   0    16   - 2   1  |
 --R         |                             |
 --R         +- 7   0   8   - 11   9    0  +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 33
 
 --S 34 of 42
@@ -471,7 +471,7 @@ rowEchelon mat8
 --R   (34)  |0  7  52   16  18  - 187|
 --R         |                        |
 --R         +0  0  203  21  80  - 703+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 34
 
 --S 35 of 42
@@ -496,7 +496,7 @@ nullSpace  mat8
 --R
 --R   (37)
 --R   [[- 49,- 44,- 3,29,0,0],[1187,506,- 560,0,1421,0],[5624,1405,4921,0,0,1421]]
---R                                                    Type: List Vector Integer
+--R                                                  Type: List(Vector(Integer))
 --E 37
  
 --S 38 of 42
@@ -509,7 +509,7 @@ mat9 : IMATRIX(FRAC INT,163,61657) := _
 --R   (38)  |- 4  15   0    16   - 2   1  |
 --R         |                             |
 --R         +- 7   0   8   - 11   9    0  +
---R                              Type: IndexedMatrix(Fraction Integer,163,61657)
+--R                             Type: IndexedMatrix(Fraction(Integer),163,61657)
 --E 38
 
 --S 39 of 42
@@ -527,7 +527,7 @@ rowEchelon mat9
 --R         |          3    80      703 |
 --R         |0  0  1  --   ---    - --- |
 --R         +         29   203      203 +
---R                              Type: IndexedMatrix(Fraction Integer,163,61657)
+--R                             Type: IndexedMatrix(Fraction(Integer),163,61657)
 --E 39
 
 --S 40 of 42
@@ -554,7 +554,7 @@ nullSpace  mat9
 --R       49   44    3         1187  506    80         5624 1405 703
 --R   [[- --,- --,- --,1,0,0],[----,----,- ---,0,1,0],[----,----,---,0,0,1]]
 --R       29   29   29         1421 1421   203         1421 1421 203
---R                               Type: List IndexedVector(Fraction Integer,163)
+--R                             Type: List(IndexedVector(Fraction(Integer),163))
 --E 42
 )spool 
 )lisp (bye)
diff --git a/src/input/matrix1.input.pamphlet b/src/input/matrix1.input.pamphlet
index efe230f..98187c5 100644
--- a/src/input/matrix1.input.pamphlet
+++ b/src/input/matrix1.input.pamphlet
@@ -29,7 +29,7 @@ m : Matrix(Integer) := new(3,3,0)
 --R   (1)  |0  0  0|
 --R        |       |
 --R        +0  0  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 1
 
 --S 2 of 38
@@ -57,7 +57,7 @@ m
 --R   (4)  |0  0   5|
 --R        |        |
 --R        +0  0   0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 4
 
 --S 5 of 38
@@ -67,7 +67,7 @@ matrix [[1,2,3,4],[0,9,8,7]]
 --R        +1  2  3  4+
 --R   (5)  |          |
 --R        +0  9  8  7+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 5
 
 --S 6 of 38
@@ -87,7 +87,7 @@ dm := diagonalMatrix [1,x**2,x**3,x**4,x**5]
 --R        |                 |
 --R        |                5|
 --R        +0  0   0   0   x +
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 6
 
 --S 7 of 38
@@ -106,7 +106,7 @@ setRow!(dm,5,vector [1,1,1,1,1])
 --R        |0  0   0   x   0|
 --R        |                |
 --R        +1  1   1   1   1+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 7
 
 --S 8 of 38
@@ -124,7 +124,7 @@ setColumn!(dm,2,vector [y,y,y,y,y])
 --R        |0  y  0   x   0|
 --R        |               |
 --R        +1  y  1   1   1+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 8
 
 --S 9 of 38
@@ -142,7 +142,7 @@ cdm := copy(dm)
 --R        |0  y  0   x   0|
 --R        |               |
 --R        +1  y  1   1   1+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 9
 
 --S 10 of 38
@@ -151,7 +151,7 @@ setelt(dm,4,1,1-x**7)
 --R
 --R            7
 --R   (10)  - x  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 10
 
 --S 11 of 38
@@ -169,7 +169,7 @@ setelt(dm,4,1,1-x**7)
 --R          |- x  + 1  y  0   x   0| |0  y  0   x   0|
 --R          |                      | |               |
 --R          +   1      y  1   1   1+ +1  y  1   1   1+
---R                                         Type: List Matrix Polynomial Integer
+--R                                      Type: List(Matrix(Polynomial(Integer)))
 --E 11
 
 --S 12 of 38
@@ -180,7 +180,7 @@ subMatrix(dm,2,3,2,4)
 --R   (12)  |        |
 --R         |    3   |
 --R         +y  x   0+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 12
 
 --S 13 of 38
@@ -194,7 +194,7 @@ d := diagonalMatrix [1.2,-1.3,1.4,-1.5]
 --R         |0.0   0.0   1.4   0.0 |
 --R         |                      |
 --R         +0.0   0.0   0.0  - 1.5+
---R                                                           Type: Matrix Float
+--R                                                          Type: Matrix(Float)
 --E 13
 
 --S 14 of 38
@@ -204,7 +204,7 @@ e := matrix [[6.7,9.11],[-31.33,67.19]]
 --R         +  6.7    9.11 +
 --R   (14)  |              |
 --R         +- 31.33  67.19+
---R                                                           Type: Matrix Float
+--R                                                          Type: Matrix(Float)
 --E 14
 
 --S 15 of 38
@@ -218,7 +218,7 @@ setsubMatrix!(d,1,2,e)
 --R         |0.0    0.0     1.4    0.0 |
 --R         |                          |
 --R         +0.0    0.0     0.0   - 1.5+
---R                                                           Type: Matrix Float
+--R                                                          Type: Matrix(Float)
 --E 15
 
 --S 16 of 38
@@ -232,7 +232,7 @@ d
 --R         |0.0    0.0     1.4    0.0 |
 --R         |                          |
 --R         +0.0    0.0     0.0   - 1.5+
---R                                                           Type: Matrix Float
+--R                                                          Type: Matrix(Float)
 --E 16
 
 --S 17 of 38
@@ -246,7 +246,7 @@ a := matrix [[1/2,1/3,1/4],[1/5,1/6,1/7]]
 --R         |1  1  1|
 --R         |-  -  -|
 --R         +5  6  7+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 17
 
 --S 18 of 38
@@ -260,7 +260,7 @@ b := matrix [[3/5,3/7,3/11],[3/13,3/17,3/19]]
 --R         | 3   3   3|
 --R         |--  --  --|
 --R         +13  17  19+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 18
 
 --S 19 of 38
@@ -274,7 +274,7 @@ horizConcat(a,b)
 --R         |1  1  1   3   3   3|
 --R         |-  -  -  --  --  --|
 --R         +5  6  7  13  17  19+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 19
 
 --S 20 of 38
@@ -296,7 +296,7 @@ vab := vertConcat(a,b)
 --R         | 3   3   3|
 --R         |--  --  --|
 --R         +13  17  19+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 20
 
 --S 21 of 38
@@ -314,7 +314,7 @@ transpose vab
 --R         |1  1   3   3|
 --R         |-  -  --  --|
 --R         +4  7  11  19+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 21
 
 )clear all
@@ -326,7 +326,7 @@ m := matrix [[1,2],[3,4]]
 --R        +1  2+
 --R   (1)  |    |
 --R        +3  4+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 22
 
 --S 23 of 38
@@ -336,7 +336,7 @@ m := matrix [[1,2],[3,4]]
 --R        +- 20  - 40+
 --R   (2)  |          |
 --R        +- 60  - 80+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 23
 
 --S 24 of 38
@@ -346,7 +346,7 @@ n := matrix([[1,0,-2],[-3,5,1]])
 --R        + 1   0  - 2+
 --R   (3)  |           |
 --R        +- 3  5   1 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 24
 
 --S 25 of 38
@@ -356,7 +356,7 @@ m * n
 --R        +- 5  10   0 +
 --R   (4)  |            |
 --R        +- 9  20  - 2+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 25
 
 --S 26 of 38
@@ -364,7 +364,7 @@ vec := column(n,3)
 --R 
 --R
 --R   (5)  [- 2,1]
---R                                                         Type: Vector Integer
+--R                                                        Type: Vector(Integer)
 --E 26
 
 --S 27 of 38
@@ -372,7 +372,7 @@ vec * m
 --R 
 --R
 --R   (6)  [1,0]
---R                                                         Type: Vector Integer
+--R                                                        Type: Vector(Integer)
 --E 27
 
 --S 28 of 38
@@ -380,7 +380,7 @@ m * vec
 --R 
 --R
 --R   (7)  [0,- 2]
---R                                                         Type: Vector Integer
+--R                                                        Type: Vector(Integer)
 --E 28
 
 --S 29 of 38
@@ -398,7 +398,7 @@ hilb := matrix([[1/(i + j) for i in 1..3] for j in 1..3])
 --R        |1  1  1|
 --R        |-  -  -|
 --R        +4  5  6+
---R                                                Type: Matrix Fraction Integer
+--R                                              Type: Matrix(Fraction(Integer))
 --E 29
 
 --S 30 of 38
@@ -410,7 +410,7 @@ inverse(hilb)
 --R   (9)  |- 240   900   - 720|
 --R        |                   |
 --R        + 180   - 720   600 +
---R                                     Type: Union(Matrix Fraction Integer,...)
+--R                                   Type: Union(Matrix(Fraction(Integer)),...)
 --E 30
 
 --S 31 of 38
@@ -424,7 +424,7 @@ mm := matrix([[1,2,3,4], [5,6,7,8], [9,10,11,12], [13,14,15,16]])
 --R         |9   10  11  12|
 --R         |              |
 --R         +13  14  15  16+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 31
 
 --S 32 of 38
@@ -472,7 +472,7 @@ nullSpace(mm)
 --R 
 --R
 --R   (16)  [[1,- 2,1,0],[2,- 3,0,1]]
---R                                                    Type: List Vector Integer
+--R                                                  Type: List(Vector(Integer))
 --E 37
 
 --S 38 of 38
@@ -486,7 +486,7 @@ rowEchelon(mm)
 --R         |0  0  0  0 |
 --R         |           |
 --R         +0  0  0  0 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 38
 )spool 
 )lisp (bye)
diff --git a/src/input/mfinfact.input.pamphlet b/src/input/mfinfact.input.pamphlet
index c03771a..867710a 100644
--- a/src/input/mfinfact.input.pamphlet
+++ b/src/input/mfinfact.input.pamphlet
@@ -26,7 +26,7 @@ p:POLY PF 7 :=6*x +6*y +6*z +x^49+y^49+z^49
 --R
 --R         49         49         49
 --R   (1)  z   + 6z + y   + 6y + x   + 6x
---R                                                Type: Polynomial PrimeField 7
+--R                                              Type: Polynomial(PrimeField(7))
 --E 1
 
 --S 2 of 13
@@ -97,7 +97,7 @@ factor p
 --R  *
 --R     2                 2           2       2                 2           2
 --R   (z  + (2y + 2x)z + y  + 2x y + x  + 2)(z  + (2y + 2x)z + y  + 2x y + x  + 4)
---R                                       Type: Factored Polynomial PrimeField 7
+--R                                    Type: Factored(Polynomial(PrimeField(7)))
 --E 2
 
 --S 3 of 13
@@ -110,7 +110,7 @@ p:POLY PF 7:=(x+3*y+z)*(w*x+y)*(x*y+w**3)
 --R   + 
 --R         3      4    3        4 2
 --R     (w x  + (3w  + w )x)y + w x
---R                                                Type: Polynomial PrimeField 7
+--R                                              Type: Polynomial(PrimeField(7))
 --E 3
 
 --S 4 of 13
@@ -119,7 +119,7 @@ factor p
 --R
 --R                         3
 --R   (4)  (y + w x)(x y + w )(z + 3y + x)
---R                                       Type: Factored Polynomial PrimeField 7
+--R                                    Type: Factored(Polynomial(PrimeField(7)))
 --E 4
 
 --S 5 of 13
@@ -158,7 +158,7 @@ pp:=p**2
 --R   + 
 --R      8 4
 --R     w x
---R                                                Type: Polynomial PrimeField 7
+--R                                              Type: Polynomial(PrimeField(7))
 --E 5
 
 --S 6 of 13
@@ -166,7 +166,7 @@ gcd(p,differentiate(p,x))
 --R 
 --R
 --R   (6)  1
---R                                                Type: Polynomial PrimeField 7
+--R                                              Type: Polynomial(PrimeField(7))
 --E 6
 
 --S 7 of 13
@@ -179,7 +179,7 @@ p23:POLY PF 23:=(x+3*y+z)*(w*x+y)*(x*y+w**3)
 --R   + 
 --R         3      4    3        4 2
 --R     (w x  + (3w  + w )x)y + w x
---R                                               Type: Polynomial PrimeField 23
+--R                                             Type: Polynomial(PrimeField(23))
 --E 7
 
 --S 8 of 13
@@ -188,7 +188,7 @@ factor(p23)
 --R
 --R                         3
 --R   (8)  (y + w x)(x y + w )(z + 3y + x)
---R                                      Type: Factored Polynomial PrimeField 23
+--R                                   Type: Factored(Polynomial(PrimeField(23)))
 --E 8
 
 --S 9 of 13
@@ -197,7 +197,7 @@ q: POLY PF 2 := y**4 + y**3 + x**4 + x**2
 --R
 --R         4    3    4    2
 --R   (9)  y  + y  + x  + x
---R                                                Type: Polynomial PrimeField 2
+--R                                              Type: Polynomial(PrimeField(2))
 --E 9
 
 --S 10 of 13
@@ -206,7 +206,7 @@ factor q
 --R
 --R          4    3    4    2
 --R   (10)  y  + y  + x  + x
---R                                       Type: Factored Polynomial PrimeField 2
+--R                                    Type: Factored(Polynomial(PrimeField(2)))
 --E 10
 
 --S 11 of 13
@@ -215,7 +215,7 @@ factor(q*(q+1))
 --R
 --R           4    3    4    2       4    3    4    2
 --R   (11)  (y  + y  + x  + x  + 1)(y  + y  + x  + x )
---R                                       Type: Factored Polynomial PrimeField 2
+--R                                    Type: Factored(Polynomial(PrimeField(2)))
 --E 11
 
 --S 12 of 13
@@ -224,7 +224,7 @@ q:=x**2*y**2+z
 --R
 --R              2 2
 --R   (12)  z + x y
---R                                                Type: Polynomial PrimeField 2
+--R                                              Type: Polynomial(PrimeField(2))
 --E 12
 
 --S 13 of 13
@@ -233,7 +233,7 @@ factor(q*(1+q))
 --R
 --R               2 2           2 2
 --R   (13)  (z + x y  + 1)(z + x y )
---R                                       Type: Factored Polynomial PrimeField 2
+--R                                    Type: Factored(Polynomial(PrimeField(2)))
 --E 13
 )spool 
 )lisp (bye)
diff --git a/src/input/mkfunc.input.pamphlet b/src/input/mkfunc.input.pamphlet
index 2d414d4..bc0d164 100644
--- a/src/input/mkfunc.input.pamphlet
+++ b/src/input/mkfunc.input.pamphlet
@@ -36,7 +36,7 @@ expr := (x - exp x + 1)**2 * (sin(x**2) * x + 1)**3
 --R   + 
 --R                 x    2
 --R     (- 2x - 2)%e  + x  + 2x + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 9
@@ -52,7 +52,7 @@ tbl := [f(0.1 * i - 1) for i in 0..20];
 --R 
 --R   Compiling function f with type Float -> Float 
 --R
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 3
 
 --S 4 of 9
@@ -65,7 +65,7 @@ e := (x - y + 1)**2 * (x**2 * y + 1)**2
 --R   + 
 --R        4     3     2               2
 --R     (2x  + 4x  + 2x  - 2x - 2)y + x  + 2x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 4
 
 --S 5 of 9
diff --git a/src/input/mpoly.input.pamphlet b/src/input/mpoly.input.pamphlet
index fc2fd60..aac5522 100644
--- a/src/input/mpoly.input.pamphlet
+++ b/src/input/mpoly.input.pamphlet
@@ -50,7 +50,7 @@ p := (a**2*x - b*y**2 + 1)**2
 --R
 --R         4 2        2   2     2      2 4       2
 --R   (4)  a x  + (- 2a b y  + 2a )x + b y  - 2b y  + 1
---R                       Type: MultivariatePolynomial([x,y],Polynomial Integer)
+--R                      Type: MultivariatePolynomial([x,y],Polynomial(Integer))
 --E 4
 
 --S 5 of 10
@@ -59,7 +59,7 @@ p :: POLY INT
 --R
 --R         2 4        2          2    4 2     2
 --R   (5)  b y  + (- 2a b x - 2b)y  + a x  + 2a x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 5
 
 --S 6 of 10
@@ -68,7 +68,7 @@ p :: POLY INT
 --R
 --R         2 4          2        2    4 2     2
 --R   (6)  x a  + (- 2x y b + 2x)a  + y b  - 2y b + 1
---R                       Type: MultivariatePolynomial([a,b],Polynomial Integer)
+--R                      Type: MultivariatePolynomial([a,b],Polynomial(Integer))
 --E 6
 
 --S 7 of 10
@@ -86,7 +86,7 @@ q := (x**2 - x*(z+1)/y +2)**2
 --R   (8)  x  + -------- x  + ----------------- x  + -------- x + 4
 --R                 y                  2                 y
 --R                                   y
---R Type: UnivariatePolynomial(x,Fraction MultivariatePolynomial([y,z],Integer))
+--RType: UnivariatePolynomial(x,Fraction(MultivariatePolynomial([y,z],Integer)))
 --E 8
 
 --S 9 of 10
@@ -99,7 +99,7 @@ q :: UP(z, FRAC MPOLY([x,y],INT))
 --R   -- z  + -------------------- z + ---------------------------------------
 --R    2                2                                  2
 --R   y                y                                  y
---R Type: UnivariatePolynomial(z,Fraction MultivariatePolynomial([x,y],Integer))
+--RType: UnivariatePolynomial(z,Fraction(MultivariatePolynomial([x,y],Integer)))
 --E 9
 
 --S 10 of 10
@@ -111,7 +111,7 @@ q :: MPOLY([x,z], FRAC UP(y,INT))
 --R   (10)  x  + (- - z - -)x  + (-- z  + -- z + -------)x  + (- - z - -)x + 4
 --R                 y     y        2       2         2           y     y
 --R                               y       y         y
---R Type: MultivariatePolynomial([x,z],Fraction UnivariatePolynomial(y,Integer))
+--RType: MultivariatePolynomial([x,z],Fraction(UnivariatePolynomial(y,Integer)))
 --E 10
 )spool 
 )lisp (bye)
diff --git a/src/input/mset.input.pamphlet b/src/input/mset.input.pamphlet
index 76c8d43..ec736f2 100644
--- a/src/input/mset.input.pamphlet
+++ b/src/input/mset.input.pamphlet
@@ -55,7 +55,7 @@ s := multiset [1,2,3,4,5,4,3,2,3,4,5,6,7,4,10]
 --R 
 --R
 --R   (6)  {1,2: 2,3: 3,4: 4,2: 5,6,7,10}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 6
 
 --S 7 of 17
@@ -63,7 +63,7 @@ t := multiset [2,2,2,9]
 --R 
 --R
 --R   (7)  {3: 2,9}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 7
 
 --S 8 of 17
@@ -71,7 +71,7 @@ union(s,t)
 --R 
 --R
 --R   (8)  {1,5: 2,3: 3,4: 4,2: 5,6,7,9,10}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 8
 
 --S 9 of 17
@@ -79,7 +79,7 @@ union(s,s)
 --R 
 --R
 --R   (9)  {2: 1,4: 2,6: 3,8: 4,4: 5,2: 6,2: 7,2: 10}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 9
 
 --S 10 of 17
@@ -87,7 +87,7 @@ intersect(s,t)
 --R 
 --R
 --R   (10)  {5: 2}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 10
 
 --S 11 of 17
@@ -95,7 +95,7 @@ difference(s,t)
 --R 
 --R
 --R   (11)  {1,3: 3,4: 4,2: 5,6,7,10}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 11
 
 --S 12 of 17
@@ -103,7 +103,7 @@ symdif(s,t)
 --R 
 --R
 --R   (12)  {1,3: 3,4: 4,2: 5,6,7,9,10}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 12
 
 --S 13 of 17
@@ -111,7 +111,7 @@ symdif(s,s)
 --R 
 --R
 --R   (13)  {}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 13
 
 --S 14 of 17
@@ -119,7 +119,7 @@ t1 := multiset [2,2]
 --R 
 --R
 --R   (14)  {2: 2}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 14
 
 --S 15 of 17
@@ -127,7 +127,7 @@ t1 := multiset [2,2]
 --R 
 --R
 --R   (15)  [true,true,true,true]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 15
 
 --S 16 of 17
@@ -135,7 +135,7 @@ t1 := multiset [2,2,2]
 --R 
 --R
 --R   (16)  {3: 2}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 16
 
 --S 17 of 17
@@ -143,7 +143,7 @@ t1 := multiset [2,2,2]
 --R 
 --R
 --R   (17)  [true,false,true,true]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 17
 )spool 
 )lisp (bye)
diff --git a/src/input/mset2.input.pamphlet b/src/input/mset2.input.pamphlet
index e2c4bf2..c86d0c4 100644
--- a/src/input/mset2.input.pamphlet
+++ b/src/input/mset2.input.pamphlet
@@ -25,7 +25,7 @@ s := multiset [1,2,3,4,5,4,3,2,3,4,5,6,7,4,10]
 --R 
 --R
 --R   (1)  {1,2: 2,3: 3,4: 4,2: 5,6,7,10}
---R                                               Type: Multiset PositiveInteger
+--R                                              Type: Multiset(PositiveInteger)
 --E 1
 
 --S 2 of 12
@@ -33,7 +33,7 @@ insert!(3,s)
 --R 
 --R
 --R   (2)  {1,2: 2,4: 3,4: 4,2: 5,6,7,10}
---R                                               Type: Multiset PositiveInteger
+--R                                              Type: Multiset(PositiveInteger)
 --E 2
 
 --S 3 of 12
@@ -41,7 +41,7 @@ remove!(3,s,1); s
 --R 
 --R
 --R   (3)  {1,2: 2,3: 3,4: 4,2: 5,6,7,10}
---R                                               Type: Multiset PositiveInteger
+--R                                              Type: Multiset(PositiveInteger)
 --E 3
 
 --S 4 of 12
@@ -49,7 +49,7 @@ remove!(5,s); s
 --R 
 --R
 --R   (4)  {1,2: 2,3: 3,4: 4,6,7,10}
---R                                               Type: Multiset PositiveInteger
+--R                                              Type: Multiset(PositiveInteger)
 --E 4
 
 --S 5 of 12
@@ -65,7 +65,7 @@ t := multiset [2,2,2,-9]
 --R 
 --R
 --R   (6)  {3: 2,- 9}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 6
 
 --S 7 of 12
@@ -73,7 +73,7 @@ U := union(s,t)
 --R 
 --R
 --R   (7)  {1,5: 2,3: 3,4: 4,6,7,10,- 9}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 7
 
 --S 8 of 12
@@ -81,7 +81,7 @@ I := intersect(s,t)
 --R 
 --R
 --R   (8)  {5: 2}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 8
 
 --S 9 of 12
@@ -89,7 +89,7 @@ difference(s,t)
 --R 
 --R
 --R   (9)  {1,3: 3,4: 4,6,7,10}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 9
 
 --S 10 of 12
@@ -97,7 +97,7 @@ S := symmetricDifference(s,t)
 --R 
 --R
 --R   (10)  {1,3: 3,4: 4,6,7,10,- 9}
---R                                                       Type: Multiset Integer
+--R                                                      Type: Multiset(Integer)
 --E 10
 
 --S 11 of 12
@@ -113,7 +113,7 @@ t1 := multiset [1,2,2,3]; [t1 < t, t1 < s, t < s, t1 <= s]
 --R 
 --R
 --R   (12)  [false,true,false,true]
---R                                                           Type: List Boolean
+--R                                                          Type: List(Boolean)
 --E 12
 )spool 
 )lisp (bye)
diff --git a/src/input/multfact.input.pamphlet b/src/input/multfact.input.pamphlet
index fd4d881..f472248 100644
--- a/src/input/multfact.input.pamphlet
+++ b/src/input/multfact.input.pamphlet
@@ -34,7 +34,7 @@ p := y*z**2 + a*z*x**2 + a*a*x*y**2
 --R
 --R           2      2                2
 --R   (2)  y z  + a x z + (- a - 1)x y
---R                                             Type: Polynomial AlgebraicNumber
+--R                                            Type: Polynomial(AlgebraicNumber)
 --E 2
 
 --S 3 of 5
@@ -43,7 +43,7 @@ factor(p,[a])
 --R
 --R           2      2                2
 --R   (3)  y z  + a x z + (- a - 1)x y
---R                                    Type: Factored Polynomial AlgebraicNumber
+--R                                  Type: Factored(Polynomial(AlgebraicNumber))
 --E 3
 
 --S 4 of 5
@@ -59,7 +59,7 @@ factor(x**2*y**2+u**2*v**2,[b])
 --R 
 --R
 --R   (5)  (x y - b u v)(x y + b u v)
---R                                    Type: Factored Polynomial AlgebraicNumber
+--R                                  Type: Factored(Polynomial(AlgebraicNumber))
 --E 5
 )spool 
 )lisp (bye)
diff --git a/src/input/multiple.input.pamphlet b/src/input/multiple.input.pamphlet
index 5e657af..badfa0a 100644
--- a/src/input/multiple.input.pamphlet
+++ b/src/input/multiple.input.pamphlet
@@ -27,7 +27,7 @@ draw(sin(x),x=0..2*%pi)
 --R   Graph data being transmitted to the viewport manager...
 --R   AXIOM2D data being transmitted to the viewport manager...
 --R
---R   (1)  TwoDimensionalViewport: "sin x"
+--R   (1)  TwoDimensionalViewport: "sin(x)"
 --R                                                 Type: TwoDimensionalViewport
 --E 1
 
@@ -35,18 +35,18 @@ draw(sin(x),x=0..2*%pi)
 v1 := %
 --R 
 --R
---R   (2)  TwoDimensionalViewport: "sin x"
+--R   (2)  TwoDimensionalViewport: "sin(x)"
 --R                                                 Type: TwoDimensionalViewport
 --E 2
 
 --S 3 of 8
 draw(cos(x),x=0..2*%pi,curveColor==light red())
 --R 
---R   Compiling function %D with type DoubleFloat -> DoubleFloat 
+--I   Compiling function %D with type DoubleFloat -> DoubleFloat 
 --R   Graph data being transmitted to the viewport manager...
 --R   AXIOM2D data being transmitted to the viewport manager...
 --R
---R   (3)  TwoDimensionalViewport: "cos x"
+--R   (3)  TwoDimensionalViewport: "cos(x)"
 --R                                                 Type: TwoDimensionalViewport
 --E 3
 
@@ -54,7 +54,7 @@ draw(cos(x),x=0..2*%pi,curveColor==light red())
 v2 := %
 --R 
 --R
---R   (4)  TwoDimensionalViewport: "cos x"
+--R   (4)  TwoDimensionalViewport: "cos(x)"
 --R                                                 Type: TwoDimensionalViewport
 --E 4
 
@@ -65,7 +65,7 @@ graphs v1
 --R   (5)
 --R   [Graph with 1 point list, undefined, undefined, undefined, undefined,
 --R    undefined, undefined, undefined, undefined]
---R                                     Type: Vector Union(GraphImage,undefined)
+--R                                    Type: Vector(Union(GraphImage,undefined))
 --E 5
 
 --g1 := elt(graphs v1,1)::GraphImage
@@ -88,7 +88,7 @@ makeViewport2D(v2)
 --R 
 --R   AXIOM2D data being transmitted to the viewport manager...
 --R
---R   (8)  TwoDimensionalViewport: "cos x"
+--R   (8)  TwoDimensionalViewport: "cos(x)"
 --R                                                 Type: TwoDimensionalViewport
 --E 8
 )spool 
diff --git a/src/input/ndftip.input.pamphlet b/src/input/ndftip.input.pamphlet
index 78f7d60..e4df210 100644
--- a/src/input/ndftip.input.pamphlet
+++ b/src/input/ndftip.input.pamphlet
@@ -37,7 +37,7 @@ outputGeneral 6
 seqA := [0.34907,0.54890,0.74776,0.94459,1.1385,1.3285,1.5137];
 --R 
 --R
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 2
 
 --S 3 of 45
@@ -50,7 +50,7 @@ seqB := [0.34907 - 0.37168*%i,  _
          1.51370 + 0.16298*%i];
 --R 
 --R
---R                                                     Type: List Complex Float
+--R                                                   Type: List(Complex(Float))
 --E 3
 
 --S 4 of 45
@@ -87,7 +87,7 @@ seqsD := [vector [0.3854, 0.6772, 0.1138, 0.6751, 0.6362, 0.1424], _
           vector [0.9172, 0.0644, 0.6037, 0.6430, 0.0428, 0.4815]];
 --R 
 --R
---R                                                Type: List Vector DoubleFloat
+--R                                              Type: List(Vector(DoubleFloat))
 --E 7
 
 --S 8 of 45
@@ -105,7 +105,7 @@ seqsE := [pHS [0.3854, 0.6772, 0.1138, 0.6751, 0.6362, 0.1424], _
           pHS [0.9172, 0.0644, 0.6037, 0.6430, 0.0428, 0.4815]];
 --R 
 --R
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 9
 
 --S 10 of 45
@@ -126,7 +126,7 @@ seqsF := [vector [0.3854 + 0.5417*%i, 0.6772 + 0.2983*%i,   _
                   0.6967 + 0.9190*%i, 0.2792 + 0.3355*%i]];
 --R 
 --R
---R                                        Type: List Vector Complex DoubleFloat
+--R                                     Type: List(Vector(Complex(DoubleFloat)))
 --E 11
 
 --S 12 of 45
@@ -141,7 +141,7 @@ dftA := nagDFT seqA;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagDFT with argument type(s) 
---R                                 List Float
+--R                                 List(Float)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -152,8 +152,8 @@ dftA :: Vector Complex Float :: Matrix Complex Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Variable dftA to Vector Complex Float for 
---R      value
+--R   Cannot convert from type Variable(dftA) to Vector(Complex(Float)) 
+--R      for value
 --R   dftA
 --R
 --E 13
@@ -188,7 +188,7 @@ nagInverseDFT dftA :: Vector Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagInverseDFT with argument type(s) 
---R                                Variable dftA
+--R                               Variable(dftA)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -208,7 +208,7 @@ dftB := nagDFT seqB;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagDFT with argument type(s) 
---R                             List Complex Float
+--R                            List(Complex(Float))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -219,8 +219,8 @@ dftB :: Vector Complex Float :: Matrix Complex Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Variable dftB to Vector Complex Float for 
---R      value
+--R   Cannot convert from type Variable(dftB) to Vector(Complex(Float)) 
+--R      for value
 --R   dftB
 --R
 --E 16
@@ -253,7 +253,7 @@ dftB :: Vector Complex Float :: Matrix Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagInverseDFT with argument type(s) 
---R                                Variable dftB
+--R                               Variable(dftB)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -286,7 +286,7 @@ hdftA := nagHermitianDFT seqA;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagHermitianDFT with argument type(s) 
---R                                 List Float
+--R                                 List(Float)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -297,8 +297,8 @@ hdftA := nagHermitianDFT seqA;
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Polynomial Integer to Vector Complex Float 
---R      for value
+--R   Cannot convert from type Polynomial(Integer) to Vector(Complex(Float
+--R      )) for value
 --R   hdftA
 --R
 --E 19
@@ -330,7 +330,7 @@ hdftA := nagHermitianDFT seqA;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagInverseDFT with argument type(s) 
---R                               Variable hdftA
+--R                               Variable(hdftA)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -362,7 +362,7 @@ dftC :: Vector Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Variable dftC to Vector Float for value
+--R   Cannot convert from type Variable(dftC) to Vector(Float) for value
 --R   dftC
 --R
 --E 22
@@ -382,7 +382,7 @@ dftC :: Vector Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagInverseDFT with argument type(s) 
---R                                Variable dftC
+--R                               Variable(dftC)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -404,7 +404,7 @@ nagHermitianInverseDFT dftC
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagHermitianInverseDFT with argument type(s) 
---R                                Variable dftC
+--R                               Variable(dftC)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -427,7 +427,7 @@ dftsD := nagDFT seqsD;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagDFT with argument type(s) 
---R                           List Vector DoubleFloat
+--R                          List(Vector(DoubleFloat))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -438,8 +438,8 @@ dftsD :: List Vector Complex Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Variable dftsD to List Vector Complex Float
---R      for value
+--R   Cannot convert from type Variable(dftsD) to List(Vector(Complex(
+--R      Float))) for value
 --R   dftsD
 --R
 --E 26
@@ -471,7 +471,7 @@ invdftsD := nagInverseDFT dftsD ;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagInverseDFT with argument type(s) 
---R                               Variable dftsD
+--R                               Variable(dftsD)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -482,8 +482,8 @@ invdftsD :: List Vector Complex Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Variable invdftsD to List Vector Complex 
---R      Float for value
+--R   Cannot convert from type Variable(invdftsD) to List(Vector(Complex(
+--R      Float))) for value
 --R   invdftsD
 --R
 --E 28 
@@ -504,7 +504,7 @@ dftsE := nagDFT seqsE;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagDFT with argument type(s) 
---R                                 List Symbol
+--R                                List(Symbol)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -515,7 +515,7 @@ dftsE :: List Vector Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Variable dftsE to List Vector Float for 
+--R   Cannot convert from type Variable(dftsE) to List(Vector(Float)) for 
 --R      value
 --R   dftsE
 --R
@@ -537,7 +537,7 @@ invdftsE := nagInverseDFT dftsE;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagInverseDFT with argument type(s) 
---R                               Variable dftsE
+--R                               Variable(dftsE)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -548,8 +548,8 @@ invdftsE :: List Vector Complex Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Variable invdftsE to List Vector Complex 
---R      Float for value
+--R   Cannot convert from type Variable(invdftsE) to List(Vector(Complex(
+--R      Float))) for value
 --R   invdftsE
 --R
 --E 32
@@ -579,7 +579,7 @@ hdftsD := nagHermitianDFT seqsD;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagHermitianDFT with argument type(s) 
---R                           List Vector DoubleFloat
+--R                          List(Vector(DoubleFloat))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -599,8 +599,8 @@ map(expand,hdftsD) :: List Vector Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named map 
 --R      with argument type(s) 
---R                               Variable expand
---R                               Variable hdftsD
+--R                              Variable(expand)
+--R                              Variable(hdftsD)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -632,7 +632,7 @@ map(expand,hdftsD) :: List Vector Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagInverseDFT with argument type(s) 
---R                               Variable hdftsD
+--R                              Variable(hdftsD)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -654,7 +654,7 @@ dftsF := nagDFT seqsF;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagDFT with argument type(s) 
---R                       List Vector Complex DoubleFloat
+--R                     List(Vector(Complex(DoubleFloat)))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -665,8 +665,8 @@ dftsF :: List Vector Complex Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Variable dftsF to List Vector Complex Float
---R      for value
+--R   Cannot convert from type Variable(dftsF) to List(Vector(Complex(
+--R      Float))) for value
 --R   dftsF
 --R
 --E 37
@@ -698,7 +698,7 @@ invdftsF := nagInverseDFT dftsF ;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagInverseDFT with argument type(s) 
---R                               Variable dftsF
+--R                               Variable(dftsF)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -709,8 +709,8 @@ invdftsF :: List Vector Complex Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Variable invdftsF to List Vector Complex 
---R      Float for value
+--R   Cannot convert from type Variable(invdftsF) to List(Vector(Complex(
+--R      Float))) for value
 --R   invdftsF
 --R
 --E 39 
@@ -740,7 +740,7 @@ nagHermitianInverseDFT dftsE
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagHermitianInverseDFT with argument type(s) 
---R                               Variable dftsE
+--R                               Variable(dftsE)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -814,7 +814,7 @@ badSeqs : List PackedHermitianSequence DoubleFloat
 --            pHS [0.9172, 0.0644, 0.6037, 0.6430, 0.0428, 0.4815]];
 -- 
 --
---                                                            Type: List Symbol
+--R--                                                            Type: List Symbol
 
 --S 44 of 45
 nagDFT badSeqs
@@ -828,7 +828,7 @@ nagDFT badSeqs
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagDFT with argument type(s) 
---R                              Variable badSeqs
+--R                              Variable(badSeqs)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
diff --git a/src/input/nepip.input.pamphlet b/src/input/nepip.input.pamphlet
index 31403b0..f7b056d 100644
--- a/src/input/nepip.input.pamphlet
+++ b/src/input/nepip.input.pamphlet
@@ -39,7 +39,7 @@ mA1 := matrix [[ 0.5 ,   1.5 ,   6.6 ,   4.8],  _
                [ 4.8 ,   8.6 ,   9.8 , -17.1]];
 --R 
 --R
---R                                                           Type: Matrix Float
+--R                                                          Type: Matrix(Float)
 --E 2
 
 --S 3 of 27
@@ -49,7 +49,7 @@ mB1 := matrix[[ 1 ,  3 ,   4 ,  1],  _
               [ 1 , 11 ,  18 , 27]];
 --R 
 --R
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 3
 
 --S 4 of 27
@@ -59,7 +59,7 @@ mA2 := matrix [[ 3.9 ,  12.5 , -34.5 ,  -0.5],  _
                [ 4.4 ,  26.0 , -46.0 ,   6.0]];
 --R 
 --R
---R                                                           Type: Matrix Float
+--R                                                          Type: Matrix(Float)
 --E 4
 
 --S 5 of 27
@@ -69,7 +69,7 @@ mB2 := matrix[[ 1 , 2 , -3 , 1],  _
               [ 1 , 3 , -4 , 4]];
 --R 
 --R
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 5
 
 --S 6 of 27 used to work?
@@ -84,8 +84,8 @@ nagEigenvalues(mA1,mB1) :: List Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagEigenvalues with argument type(s) 
---R                                Matrix Float
---R                               Matrix Integer
+--R                                Matrix(Float)
+--R                               Matrix(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -104,8 +104,8 @@ vv1 := nagEigenvectors(mA1,mB1);
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagEigenvectors with argument type(s) 
---R                                Matrix Float
---R                               Matrix Integer
+--R                                Matrix(Float)
+--R                               Matrix(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -123,7 +123,7 @@ vv1 := nagEigenvectors(mA1,mB1);
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named vv1 
 --R      with argument type(s) 
---R                            Variable eigenvalues
+--R                            Variable(eigenvalues)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -142,7 +142,7 @@ vv1 := nagEigenvectors(mA1,mB1);
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named vv1 
 --R      with argument type(s) 
---R                            Variable eigenvectors
+--R                           Variable(eigenvectors)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -162,8 +162,8 @@ nagEigenvalues(mA2,mB2)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagEigenvalues with argument type(s) 
---R                                Matrix Float
---R                               Matrix Integer
+--R                                Matrix(Float)
+--R                               Matrix(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -177,7 +177,7 @@ All components are O(1) or more so:
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Matrix Integer to List Complex Float for 
+--R   Cannot convert from type Matrix(Integer) to List(Complex(Float)) for
 --R      value
 --R   +1  2  - 3  1+
 --R   |            |
@@ -202,8 +202,8 @@ vv2 := nagEigenvectors(mA2,mB2);
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagEigenvectors with argument type(s) 
---R                                Matrix Float
---R                               Matrix Integer
+--R                                Matrix(Float)
+--R                               Matrix(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -221,7 +221,7 @@ vv2.eigenvalues
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named vv2 
 --R      with argument type(s) 
---R                            Variable eigenvalues
+--R                            Variable(eigenvalues)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -236,7 +236,7 @@ All components are O(1) or more so:
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Matrix Integer to List Complex Float for 
+--R   Cannot convert from type Matrix(Integer) to List(Complex(Float)) for
 --R      value
 --R   +1  2  - 3  1+
 --R   |            |
@@ -261,7 +261,7 @@ vv2.eigenvectors :: List Vector Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named vv2 
 --R      with argument type(s) 
---R                            Variable eigenvectors
+--R                           Variable(eigenvectors)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -291,8 +291,8 @@ vv2a := nagEigenvectors(mA2,mB2,0.0001);
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagEigenvectors with argument type(s) 
---R                                Matrix Float
---R                               Matrix Integer
+--R                                Matrix(Float)
+--R                               Matrix(Integer)
 --R                                    Float
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -311,7 +311,7 @@ vv2a.eigenvalues :: List Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named vv2a 
 --R      with argument type(s) 
---R                            Variable eigenvalues
+--R                            Variable(eigenvalues)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -330,7 +330,7 @@ vv2a.eigenvectors :: List Vector Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named vv2a 
 --R      with argument type(s) 
---R                            Variable eigenvectors
+--R                           Variable(eigenvectors)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -368,8 +368,8 @@ nagEigenvalues(mA1,mB1)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagEigenvalues with argument type(s) 
---R                                Matrix Float
---R                               Matrix Integer
+--R                                Matrix(Float)
+--R                               Matrix(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -383,7 +383,7 @@ All components are O(1) or more so:
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Integer to List Complex Float for value
+--R   Cannot convert from type Integer to List(Complex(Float)) for value
 --R   - 1
 --R
 --E 21
@@ -404,8 +404,8 @@ vv3 := nagEigenvectors(mA1,mB1);
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagEigenvectors with argument type(s) 
---R                                Matrix Float
---R                               Matrix Integer
+--R                                Matrix(Float)
+--R                               Matrix(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -423,7 +423,7 @@ vv3.eigenvalues
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named vv3 
 --R      with argument type(s) 
---R                            Variable eigenvalues
+--R                            Variable(eigenvalues)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -438,7 +438,7 @@ All components are O(1) or more so:
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Integer to List Complex Float for value
+--R   Cannot convert from type Integer to List(Complex(Float)) for value
 --R   - 1
 --R
 --E 24
@@ -456,7 +456,7 @@ vv3.eigenvectors :: List Vector Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named vv3 
 --R      with argument type(s) 
---R                            Variable eigenvectors
+--R                           Variable(eigenvectors)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
diff --git a/src/input/newlodo.input.pamphlet b/src/input/newlodo.input.pamphlet
index 245d0b7..dd10a38 100644
--- a/src/input/newlodo.input.pamphlet
+++ b/src/input/newlodo.input.pamphlet
@@ -35,7 +35,7 @@ or elements of other domains.
 RN:=FRAC INT
 --R 
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
 --E 1
 
@@ -50,7 +50,7 @@ Dx := D()                  -- definition of an operator
 --R 
 --R
 --R   (3)  D
---IType: LinearOrdinaryDifferentialOperator2(Fraction Integer,...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 3
 
 --S 4 of 55
@@ -58,7 +58,7 @@ a  := Dx  + 1
 --R 
 --R
 --R   (4)  D + 1
---IType: LinearOrdinaryDifferentialOperator2(Fraction Integer,...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 4
 
 --S 5 of 55
@@ -68,7 +68,7 @@ b  := a + 1/2*Dx**2 - 1/2
 --R        1  2       1
 --R   (5)  - D  + D + -
 --R        2          2
---IType: LinearOrdinaryDifferentialOperator2(Fraction Integer,...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 5
 
 --S 6 of 55
@@ -78,7 +78,7 @@ p: UP(x,RN) := 4*x**2 + 2/3      -- something to work on
 --R          2   2
 --R   (6)  4x  + -
 --R              3
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 6
 
 --S 7 of 55
@@ -88,7 +88,7 @@ a p                        -- application of an operator to a polynomial
 --R          2        2
 --R   (7)  4x  + 8x + -
 --R                   3
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 7
 
 --S 8 of 55
@@ -98,7 +98,7 @@ a p                        -- application of an operator to a polynomial
 --R          2         37    2         37
 --R   (8)  2x  + 12x + --= 2x  + 12x + --
 --R                     3               3
---R                      Type: Equation UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Equation(UnivariatePolynomial(x,Fraction(Integer)))
 --E 8
 
 --S 9 of 55
@@ -108,7 +108,7 @@ c := (1/9)*b*(a + b)**2    -- exponentiation follows from multiplication
 --R         1  6    5  5   13  4   19  3   79  2    7     1
 --R   (9)  -- D  + -- D  + -- D  + -- D  + -- D  + -- D + -
 --R        72      36      24      18      72      12     8
---IType: LinearOrdinaryDifferentialOperator2(Fraction Integer,...
+--IType: LinearOrdinaryDifferentialOperator2(Fraction(Integer),...
 --E 9
 
 --S 10 of 55
@@ -118,7 +118,7 @@ c := (1/9)*b*(a + b)**2    -- exponentiation follows from multiplication
 --R           2   44     541
 --R   (10)  3x  + -- x + ---
 --R                3      36
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 10
 
 \end{chunk}
@@ -130,7 +130,7 @@ c := (1/9)*b*(a + b)**2    -- exponentiation follows from multiplication
 RFZ := FRAC UP(x,INT)
 --R 
 --R
---R   (1)  Fraction UnivariatePolynomial(x,Integer)
+--R   (1)  Fraction(UnivariatePolynomial(x,Integer))
 --R                                                                 Type: Domain
 --E 11
 
@@ -145,7 +145,7 @@ Dx := D()
 --R 
 --R
 --R   (3)  D
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 13
 
 --S 14 of 55
@@ -155,7 +155,7 @@ b := 3*x**2*Dx**2 + 2*Dx + 1/x
 --R          2 2        1
 --R   (4)  3x D  + 2D + -
 --R                     x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 14
 
 --S 15 of 55
@@ -165,7 +165,7 @@ a := b*(5*x*Dx + 7)
 --R           3 3       2        2         7
 --R   (5)  15x D  + (51x  + 10x)D  + 29D + -
 --R                                        x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 15
 
 --S 16 of 55
@@ -177,7 +177,7 @@ p: RFZ := x**2 + 1/x**2
 --R   (6)  ------
 --R           2
 --R          x
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 16
 
 --S 17 of 55
@@ -189,7 +189,7 @@ p: RFZ := x**2 + 1/x**2
 --R   (7)  ------------------
 --R                 4
 --R                x
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 17
 
 \end{chunk}
@@ -203,7 +203,7 @@ leftDivide(a,b)      -- result is the quotient/remainder pair
 --R 
 --R
 --R   (8)  [quotient= 5x D + 7,remainder= 0]
---IType: Record(quotient: LinearOrdinaryDifferentialOperator1 ...
+--IType: Record(quotient: LinearOrdinaryDifferentialOperator1(...
 --E 18
 
 --S 19 of 55
@@ -211,7 +211,7 @@ a - (b * %.quotient + %.remainder)
 --R 
 --R
 --R   (9)  0
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 19
 
 --S 20 of 55
@@ -221,7 +221,7 @@ rightDivide(a,b)
 --R                                              5
 --R   (10)  [quotient= 5x D + 7,remainder= 10D + -]
 --R                                              x
---IType: Record(quotient: LinearOrdinaryDifferentialOperator1 ...
+--IType: Record(quotient: LinearOrdinaryDifferentialOperator1(...
 --E 20
 
 --S 21 of 55
@@ -229,7 +229,7 @@ a - (%.quotient * b + %.remainder)
 --R 
 --R
 --R   (11)  0
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 21
 
 \end{chunk}
@@ -242,7 +242,7 @@ e := leftGcd(a,b)
 --R           2 2        1
 --R   (12)  3x D  + 2D + -
 --R                      x
---IType: LinearOrdinaryDifferentialOperator1 Fraction 
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 22
 
 --S 23 of 55
@@ -250,7 +250,7 @@ leftRemainder(a, e)    -- remainder from left division
 --R 
 --R
 --R   (13)  0
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 23
 
 --S 24 of 55
@@ -260,7 +260,7 @@ rightRemainder(a, e)    -- remainder from right division
 --R               5
 --R   (14)  10D + -
 --R               x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 24
 
 \end{chunk}
@@ -273,7 +273,7 @@ f := rightLcm(a,b)
 --R            3 3       2        2         7
 --R   (15)  15x D  + (51x  + 10x)D  + 29D + -
 --R                                         x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 25
 
 --S 26 of 55
@@ -281,7 +281,7 @@ leftRemainder(f, b)
 --R 
 --R
 --R   (16)  0
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 26
 
 --S 27 of 55
@@ -291,7 +291,7 @@ rightRemainder(f, b)  -- the remainder is non-zero
 --R               5
 --R   (17)  10D + -
 --R               x
---IType: LinearOrdinaryDifferentialOperator1 Fraction ...
+--IType: LinearOrdinaryDifferentialOperator1(Fraction(...
 --E 27
 
 \end{chunk}
@@ -315,7 +315,7 @@ Dx := D()
 --R 
 --R
 --R   (2)  D
---IType: LinearOrdinaryDifferentialOperator(Expression Integer,...
+--IType: LinearOrdinaryDifferentialOperator(Expression(Integer),...
 --E 29
 
 --S 30 of 55
@@ -327,7 +327,7 @@ Dop:= Dx**3 + G/x**2*Dx + H/x**3 - 1
 --R   (3)  D  + -- D + --------
 --R              2         3
 --R             x         x
---IType: LinearOrdinaryDifferentialOperator(Expression Integer,...
+--IType: LinearOrdinaryDifferentialOperator(Expression(Integer),...
 --E 30
 
 --S 31 of 55
@@ -382,21 +382,21 @@ leq == solve(pans1,[subscript(s,[i]) for i in 1..n])
 leq
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
---R   Compiling body of rule phi to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi1 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi2 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi3 to compute value of type Polynomial 
---R      Integer 
+--R   Compiling body of rule phi to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi1 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi2 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi3 to compute value of type Polynomial(
+--R      Integer) 
 --R   Compiling body of rule pans to compute value of type 
---R      UnivariatePolynomial(x,Polynomial Integer) 
---R   Compiling body of rule pans1 to compute value of type List 
---R      Polynomial Integer 
---R   Compiling body of rule leq to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
---I   Compiling function G3445 with type Integer -> Boolean 
+--R      UnivariatePolynomial(x,Polynomial(Integer)) 
+--R   Compiling body of rule pans1 to compute value of type List(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule leq to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
+--I   Compiling function G3586 with type Integer -> Boolean 
 --R
 --R   (12)
 --R                           2                                3        2
@@ -404,7 +404,7 @@ leq
 --R          0        0     0       0         0       0      0        0        0
 --R   [[s = ---,s = ------------------,s = --------------------------------------]]
 --R      1   3   2          18          3                    162
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 39
 
 --S 40 of 55
@@ -426,20 +426,20 @@ n==4
 leq
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
---R   Compiling body of rule phi to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi1 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi2 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi3 to compute value of type Polynomial 
---R      Integer 
+--R   Compiling body of rule phi to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi1 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi2 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi3 to compute value of type Polynomial(
+--R      Integer) 
 --R   Compiling body of rule pans to compute value of type 
---R      UnivariatePolynomial(x,Polynomial Integer) 
---R   Compiling body of rule pans1 to compute value of type List 
---R      Polynomial Integer 
---R   Compiling body of rule leq to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
+--R      UnivariatePolynomial(x,Polynomial(Integer)) 
+--R   Compiling body of rule pans1 to compute value of type List(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule leq to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
 --R
 --R   (14)
 --R   [
@@ -466,7 +466,7 @@ leq
 --R           1944
 --R       ]
 --R     ]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 41
 
 --S 42 of 55
@@ -488,20 +488,20 @@ n==7
 leq
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
---R   Compiling body of rule phi to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi1 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi2 to compute value of type Expression 
---R      Integer 
---R   Compiling body of rule phi3 to compute value of type Polynomial 
---R      Integer 
+--R   Compiling body of rule phi to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi1 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi2 to compute value of type Expression(
+--R      Integer) 
+--R   Compiling body of rule phi3 to compute value of type Polynomial(
+--R      Integer) 
 --R   Compiling body of rule pans to compute value of type 
---R      UnivariatePolynomial(x,Polynomial Integer) 
---R   Compiling body of rule pans1 to compute value of type List 
---R      Polynomial Integer 
---R   Compiling body of rule leq to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
+--R      UnivariatePolynomial(x,Polynomial(Integer)) 
+--R   Compiling body of rule pans1 to compute value of type List(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule leq to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
 --R
 --R   (16)
 --R   [
@@ -582,7 +582,7 @@ leq
 --R           11022480
 --R       ]
 --R     ]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --E 43
 
 \end{chunk}
@@ -610,7 +610,7 @@ p := directProduct([3*x**2 + 1, 2*x, 7*x**3 + 2*x]::(VECTOR(PZ)))@Vect
 --R
 --R           2          3
 --R   (3)  [3x  + 1,2x,7x  + 2x]
---IType: DirectProductMatrixModule(3,...
+--IType: DirectProductMatrixModule(3,UnivariatePolynomial(x,Integer),...
 --E 46
 
 --S 47 of 55
@@ -637,7 +637,7 @@ q: Vect := m * p
 --R
 --R           4    2        5     2        5     3
 --R   (5)  [3x  + x  + 2x,2x  + 3x  + 1,28x  + 8x ]
---IType: DirectProductMatrixModule(3,...
+--IType: DirectProductMatrixModule(3,UnivariatePolynomial(x,Integer),...
 --E 48
 
 \end{chunk}
@@ -648,7 +648,7 @@ Dx:  Modo := D()
 --R 
 --R
 --R   (6)  D
---IType: LinearOrdinaryDifferentialOperator2(...
+--IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(3,...
 --E 49
 
 --S 50 of 55
@@ -663,7 +663,7 @@ a:   Modo := 1*Dx  + m
 --R            |           |
 --R            |          2|
 --R            +0   0   4x +
---IType: LinearOrdinaryDifferentialOperator2(...
+--IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(3,...
 --E 50
 
 --S 51 of 55
@@ -678,7 +678,7 @@ b:   Modo := m*Dx  + 1
 --R        |           |    +0  0  1+
 --R        |          2|
 --R        +0   0   4x +
---IType: LinearOrdinaryDifferentialOperator2(...
+--IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(3,...
 --E 51
 
 --S 52 of 55
@@ -694,7 +694,7 @@ a*b
 --R   |           |     |                                        |    |           |
 --R   |          2|     |                              4         |    |          2|
 --R   +0   0   4x +     +     0            0        16x  + 8x + 1+    +0   0   4x +
---IType: LinearOrdinaryDifferentialOperator2(...
+--IType: LinearOrdinaryDifferentialOperator2(SquareMatrix(3,...
 --E 52
 
 --S 53 of 55
@@ -703,7 +703,7 @@ a p
 --R
 --R            4    2        5     2        5     3      2
 --R   (10)  [3x  + x  + 8x,2x  + 3x  + 3,28x  + 8x  + 21x  + 2]
---IType: DirectProductMatrixModule(3,...
+--IType: DirectProductMatrixModule(3,UnivariatePolynomial(x,Integer),...
 --E 53
 
 --S 54 of 55
@@ -712,7 +712,7 @@ b p
 --R
 --R            3     2       4         4     3     2
 --R   (11)  [6x  + 3x  + 3,2x  + 8x,84x  + 7x  + 8x  + 2x]
---IType: DirectProductMatrixModule(3,...
+--IType: DirectProductMatrixModule(3,UnivariatePolynomial(x,Integer),...
 --E 54
 
 --S 55 of 55
@@ -726,7 +726,7 @@ b p
 --R    2x  + 10x  + 3x  + 10x  + 16x  + 12x  + 7x  + 18x + 6,
 --R        7       6      5       4      3      2
 --R    112x  + 560x  + 88x  + 320x  + 23x  + 53x  + 2x + 2]
---IType: DirectProductMatrixModule(3,...
+--IType: DirectProductMatrixModule(3,UnivariatePolynomial(x,Integer),
 --E 55
 )spool 
 )lisp (bye)
diff --git a/src/input/newton.input.pamphlet b/src/input/newton.input.pamphlet
index 5904e15..a1093e7 100644
--- a/src/input/newton.input.pamphlet
+++ b/src/input/newton.input.pamphlet
@@ -47,8 +47,8 @@ complexFunPack := _
 --R 
 --R
 --R   (2)
---R  MakeUnaryCompiledFunction(Expression Integer,Complex DoubleFloat,Complex Doub
---R  leFloat)
+--R  MakeUnaryCompiledFunction(Expression(Integer),Complex(DoubleFloat),Complex(Do
+--R  ubleFloat))
 --R                                                                 Type: Domain
 --E 2
 
diff --git a/src/input/newtonlisp.input.pamphlet b/src/input/newtonlisp.input.pamphlet
index 380b607..77b65e3 100644
--- a/src/input/newtonlisp.input.pamphlet
+++ b/src/input/newtonlisp.input.pamphlet
@@ -79,7 +79,7 @@ newton(f:Expression R,x:Symbol,x0:R):R ==
     if iterNum >= maxIt then
       error "Maximum iterations exceeded."
 --R 
---R   Function declaration newton : (Expression Float,Symbol,Float) -> 
+--R   Function declaration newton : (Expression(Float),Symbol,Float) -> 
 --R      Float has been added to workspace.
 --R                                                                   Type: Void
 --E 3
@@ -87,7 +87,7 @@ newton(f:Expression R,x:Symbol,x0:R):R ==
 --S 4 of 14
 newton(x^2-2.0,x,2.0)
 --R 
---R   Compiling function newton with type (Expression Float,Symbol,Float)
+--R   Compiling function newton with type (Expression(Float),Symbol,Float)
 --R       -> Float 
 --R
 --R   (4)  1.4142135623 746899106
@@ -178,7 +178,7 @@ This is a function to call a lisp compiled function
 compiledDF(expr: EXPR FLOAT, x:Symbol):Symbol ==
   compiledFunction(expr,x)$MakeUnaryLispFunction(EXPR FLOAT,DFLOAT,DFLOAT)
 --R 
---R   Function declaration compiledDF : (Expression Float,Symbol) -> 
+--R   Function declaration compiledDF : (Expression(Float),Symbol) -> 
 --R      Symbol has been added to workspace.
 --R                                                                   Type: Void
 --E 7
@@ -187,7 +187,7 @@ compiledDF(expr: EXPR FLOAT, x:Symbol):Symbol ==
 newtonUsingLisp(f:Expression Float,x:Symbol,x0:DFLOAT):DFLOAT ==
   float(NEWTON(compiledDF(f,x),compiledDF(D(f,x),x),x0)$Lisp)
 --R 
---R   Function declaration newtonUsingLisp : (Expression Float,Symbol,
+--R   Function declaration newtonUsingLisp : (Expression(Float),Symbol,
 --R      DoubleFloat) -> DoubleFloat has been added to workspace.
 --R                                                                   Type: Void
 --E 8
@@ -195,9 +195,9 @@ newtonUsingLisp(f:Expression Float,x:Symbol,x0:DFLOAT):DFLOAT ==
 --S 9 of 14
 newtonUsingLisp(x**2-2.0,x,2.0::SF)-sqrt(2.0::SF)
 --R 
---R   Compiling function compiledDF with type (Expression Float,Symbol)
+--R   Compiling function compiledDF with type (Expression(Float),Symbol)
 --R       -> Symbol 
---R   Compiling function newtonUsingLisp with type (Expression Float,
+--R   Compiling function newtonUsingLisp with type (Expression(Float),
 --R      Symbol,DoubleFloat) -> DoubleFloat 
 --I   Compiling function %A with type DoubleFloat -> DoubleFloat 
 --I   Compiling function %B with type DoubleFloat -> DoubleFloat 
@@ -307,8 +307,8 @@ newtonExpression(f,x,x0) ==
 --S 14 of 14
 newtonExpression(x^2-2.0,x,2.0)-sqrt(2.0)
 --R 
---R   Compiling function newtonExpression with type (Polynomial Float,
---R      Variable x,Float) -> DoubleFloat 
+--R   Compiling function newtonExpression with type (Polynomial(Float),
+--R      Variable(x),Float) -> DoubleFloat 
 --R
 --R   (14)  1.5949463971764999E-12
 --R                                                            Type: DoubleFloat
diff --git a/src/input/nlode.input.pamphlet b/src/input/nlode.input.pamphlet
index 1e542ee..e7ef0c3 100644
--- a/src/input/nlode.input.pamphlet
+++ b/src/input/nlode.input.pamphlet
@@ -44,7 +44,7 @@ deq := (sin y x - x / y(x)) * differentiate(y x, x) = 1
 --R
 --R   (2)  ------------------------= 1
 --R                  y(x)
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 2
 
 \end{chunk}
@@ -56,7 +56,7 @@ solve(deq, y, x)
 --R 
 --R
 --R   (3)  sin(y(x)) - y(x)cos(y(x)) - x y(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 3
 
 --S 4 of 16
@@ -66,7 +66,7 @@ deq := differentiate(y x, x) = y(x) / (x + y(x) * log y x)
 --R         ,            y(x)
 --R   (4)  y (x)= -----------------
 --R               y(x)log(y(x)) + x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 4
 
 --S 5 of 16
@@ -77,7 +77,7 @@ solve(deq, y, x)
 --R        y(x)log(y(x))  - 2x
 --R   (5)  -------------------
 --R               2y(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 5
 
 \end{chunk}
@@ -92,7 +92,7 @@ solve(deq, y, x = 1, [1])
 --R        y(x)log(y(x))  + 2y(x) - 2x
 --R   (6)  ---------------------------
 --R                   2y(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 --S 7 of 16
@@ -102,7 +102,7 @@ deq := (exp(- 2 * y x) - 2 * x * y x) * differentiate(y x, x) = y x
 --R           - 2y(x)            ,
 --R   (7)  (%e        - 2x y(x))y (x)= y(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 7
 
 --S 8 of 16
@@ -111,7 +111,7 @@ solve(deq, y, x)
 --R
 --R                        2y(x)
 --R   (8)  log(y(x)) - x %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 8
 
 \end{chunk}
@@ -124,7 +124,7 @@ deq := differentiate(y x, x) = w + y(x) / (1 - y x)
 --R         ,     (w - 1)y(x) - w
 --R   (9)  y (x)= ---------------
 --R                   y(x) - 1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 9
 
 --S 10 of 16
@@ -136,7 +136,7 @@ solve(deq, y, x = 0, [0])
 --R   (10)  ----------------------------------------------------------------
 --R                                     2
 --R                                    w  - 2w + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 
 \end{chunk}
@@ -150,7 +150,7 @@ deq := x**2 * differentiate(y x, x) + 2 * x * y x - y(x)**3
 --R          2 ,          3
 --R   (11)  x y (x) - y(x)  + 2x y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 16
@@ -162,7 +162,7 @@ solve(deq, y, x)
 --R   (12)  ---------------------
 --R                  5    2
 --R                5x y(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 12
 
 \end{chunk}
@@ -176,7 +176,7 @@ deq := differentiate(y x,x) = 1 + x**2 - 2 * x * y x + y(x)**2
 --R          ,         2              2
 --R   (13)  y (x)= y(x)  - 2x y(x) + x  + 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 13
 
 --S 14 of 16
@@ -187,7 +187,7 @@ solve(deq, y, x)
 --R   (14)  ---------------
 --R                   2
 --R         x y(x) - x  + 1
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 14
 
 \end{chunk}
@@ -201,7 +201,7 @@ deq := x**2 * differentiate(y x,x) = -1 - x * y x + x**2 * y(x)**2
 --R          2 ,      2    2
 --R   (15)  x y (x)= x y(x)  - x y(x) - 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 15
 
 --S 16 of 16
@@ -213,7 +213,7 @@ solve(deq, y, x)
 --R   (16)  ----------------------------
 --R             3                 2
 --R         (18x  - 18x)y(x) + 18x  + 18
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 16
 )spool 
 )lisp (bye)
diff --git a/src/input/none.input.pamphlet b/src/input/none.input.pamphlet
index 7f41f4a..e5313bc 100644
--- a/src/input/none.input.pamphlet
+++ b/src/input/none.input.pamphlet
@@ -25,7 +25,7 @@
 --R 
 --R
 --R   (1)  []
---R                                                              Type: List None
+--R                                                             Type: List(None)
 --E 1
 
 --S 2 of 3
@@ -33,7 +33,7 @@
 --R 
 --R
 --R   (2)  []
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 2
 
 --S 3 of 3
@@ -41,7 +41,7 @@
 --R 
 --R
 --R   (3)  []
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 3
 )spool 
 )lisp (bye)
diff --git a/src/input/nonlinhomodiffeq.input.pamphlet b/src/input/nonlinhomodiffeq.input.pamphlet
index 860c3c1..acb610f 100644
--- a/src/input/nonlinhomodiffeq.input.pamphlet
+++ b/src/input/nonlinhomodiffeq.input.pamphlet
@@ -36,7 +36,7 @@ deq1 := D(y(x),x) = 9-y(x)^2
 --R         ,           2
 --R   (2)  y (x)= - y(x)  + 9
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 2
 
 --S 3 of 59
@@ -46,7 +46,7 @@ solve(deq1,y,x)
 --R        - log(y(x) + 3) + log(y(x) - 3) + 6x
 --R   (3)  ------------------------------------
 --R                          6
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 3
 
 \end{chunk}
@@ -59,7 +59,7 @@ deq2a := D(y(x),x) = c - p*y(x)^2
 --R         ,             2
 --R   (4)  y (x)= - p y(x)  + c
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 4
 
 --S 5 of 59
@@ -74,7 +74,7 @@ xpr2b := solve(deq2a,y,x)
 --R   (5)  -----------------------------------------------
 --R                              +---+
 --R                            2\|c p
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 5
 
 --S 6 of 59
@@ -89,7 +89,7 @@ simplify(x-xpr2b)
 --R   (6)  - ------------------------------------
 --R                           +---+
 --R                         2\|c p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 \end{chunk}
@@ -110,7 +110,7 @@ deq3 := D(y(x),x) = f(y(x))
 --R         ,
 --R   (8)  y (x)= f(y(x))
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 8
 
 --S 9 of 59
@@ -121,7 +121,7 @@ solve(deq3,y,x)
 --R         ++       1
 --R   (9)   |      ----- d%P  - x
 --R        ++      f(%P)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 9
 
 \end{chunk}
@@ -134,7 +134,7 @@ integrate(1/(1-x^2),x)
 --R         log(x + 1) - log(x - 1)
 --R   (10)  -----------------------
 --R                    2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 
 \end{chunk}
@@ -147,7 +147,7 @@ xpr5 := (log(x+1)-log(x-1))/2
 --R         log(x + 1) - log(x - 1)
 --R   (11)  -----------------------
 --R                    2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 59
@@ -158,7 +158,7 @@ D(xpr5,x)
 --R   (12)  - ------
 --R            2
 --R           x  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 \end{chunk}
@@ -173,7 +173,7 @@ xpr6 := log(1+2/(x-1))/2
 --R             x - 1
 --R   (13)  ----------
 --R              2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 59
@@ -184,7 +184,7 @@ D(xpr6,x)
 --R   (14)  - ------
 --R            2
 --R           x  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 \end{chunk}
@@ -197,7 +197,7 @@ eq7a := x = (log(z+1)-log(z-1))/2
 --R            log(z + 1) - log(z - 1)
 --R   (15)  x= -----------------------
 --R                       2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 15
 
 --S 16 of 59
@@ -209,7 +209,7 @@ solve(eq7a,z)
 --R   (16)  [z= ------------]
 --R                - 2x
 --R              %e     - 1
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 16
 
 --S 17 of 59
@@ -221,7 +221,7 @@ xpr7b := (1+exp(-2*z))/(1-exp(-2*z))
 --R   (17)  ------------
 --R            - 2z
 --R          %e     - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 59
@@ -233,7 +233,7 @@ simplify(xpr7b)
 --R   (18)  ------------
 --R            - 2z
 --R          %e     - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 \end{chunk}
@@ -248,7 +248,7 @@ xpr8 := (1+exp(-2*x))/(1-exp(-2*x)) - (1+2/(exp(2*x)-1))
 --R   (19)  -----------------------------
 --R            - 2x       2x     - 2x
 --R         (%e     - 1)%e   - %e     + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 59
@@ -256,7 +256,7 @@ simplify(xpr8)
 --R 
 --R
 --R   (20)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 \end{chunk}
@@ -271,7 +271,7 @@ xpr9a := (1+2/(exp(2*x)-1))
 --R   (21)  --------
 --R           2x
 --R         %e   - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 --S 22 of 59
@@ -283,7 +283,7 @@ xpr9b := D(xpr9a,x)
 --R   (22)  - -------------------
 --R              2x 2      2x
 --R           (%e  )  - 2%e   + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 
 --S 23 of 59
@@ -295,7 +295,7 @@ xpr9c := 1-(xpr9a)^2
 --R   (23)  - -------------------
 --R              2x 2      2x
 --R           (%e  )  - 2%e   + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 
 \end{chunk}
@@ -307,7 +307,7 @@ wcp := sqrt(c*p)
 --R
 --R          +---+
 --R   (24)  \|c p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 24
 
 --S 25 of 59
@@ -322,7 +322,7 @@ xpr10a := log(((p*z^2+c)*wcp-2*c*p*z)/(p*z^2-c))/(2*wcp)
 --R   (25)  ------------------------------
 --R                       +---+
 --R                     2\|c p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 25
 
 --S 26 of 59
@@ -378,7 +378,7 @@ solve(x = xpr10a,z)
 --R           2x\|c p     +---+
 --R         %e         - \|c p
 --R     ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 26
 
 --S 27 of 59
@@ -387,7 +387,7 @@ eq10c := (p*z^2+c)*wcp - 2*c*p*z
 --R
 --R             2      +---+
 --R   (27)  (p z  + c)\|c p  - 2c p z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 27
 
 --S 28 of 59
@@ -398,7 +398,7 @@ solve(eq10c=0,z)
 --R   (28)  [z= ------,z= ------]
 --R              +---+     +---+
 --R             \|c p     \|c p
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 28
 
 --S 29 of 59
@@ -407,7 +407,7 @@ xpr10d := p*wcp*(z-wcp/p)^2
 --R
 --R             2      +---+
 --R   (29)  (p z  + c)\|c p  - 2c p z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 29
 
 --S 30 of 59
@@ -415,7 +415,7 @@ simplify(xpr10d/eq10c)
 --R 
 --R
 --R   (30)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 30
 
 --S 31 of 59
@@ -429,7 +429,7 @@ xpr10e := (wcp/p)*(2/(1-exp(-2*wcp*x)/wcp)-1)
 --R                   +---+
 --R              - 2x\|c p      +---+
 --R          p %e           - p\|c p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 31
 
 --S 32 of 59
@@ -443,7 +443,7 @@ xpr10f := D(xpr10e,x)
 --R                   +---+ 2                 +---+
 --R              - 2x\|c p        +---+  - 2x\|c p
 --R           (%e          )  - 2\|c p %e           + c p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 32
 
 --S 33 of 59
@@ -457,7 +457,7 @@ xpr10g := c-p*(xpr10e)^2
 --R                   +---+ 2                 +---+
 --R              - 2x\|c p        +---+  - 2x\|c p
 --R           (%e          )  - 2\|c p %e           + c p
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 33
 
 --S 34 of 59
@@ -465,7 +465,7 @@ simplify(xpr10f/xpr10g)
 --R 
 --R
 --R   (34)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 34
 
 \end{chunk}
@@ -478,7 +478,7 @@ deq11a := D(y(x),x) = a*x+b-p*y(x)^2
 --R          ,             2
 --R   (35)  y (x)= - p y(x)  + a x + b
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 35
 
 --S 36 of 59
@@ -507,7 +507,7 @@ deq12a := D(y(x),x) = c(x) - p*y(x)^2
 --R          ,             2
 --R   (38)  y (x)= - p y(x)  + c(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 38
 
 --S 39 of 59
@@ -527,7 +527,7 @@ wpcx := sqrt(c(x))*sqrt(p)
 --R
 --R          +-+ +----+
 --R   (40)  \|p \|c(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 40
 
 --S 41 of 59
@@ -542,7 +542,7 @@ xpr13a := log((p*wpcx*(z-wpcx/p)^2)/(p*z^2-c(x)))/(2*wpcx)
 --R   (41)  -------------------------------------------
 --R                           +-+ +----+
 --R                         2\|p \|c(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 41
 
 --S 42 of 59
@@ -556,7 +556,7 @@ xpr13b := (wpcx/p)*(2/(1-exp(-2*wpcx*x)/wpcx)-1)
 --R                     +-+ +----+
 --R                - 2x\|p \|c(x)      +-+ +----+
 --R            p %e                - p\|p \|c(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 42
 
 --S 43 of 59
@@ -584,7 +584,7 @@ xpr13c := D(xpr13b,x)
 --R     + 
 --R         2     +----+
 --R       2p c(x)\|c(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 43
 
 --S 44 of 59
@@ -598,7 +598,7 @@ xpr13d := c(x) - p*(xpr13b)^2
 --R                   +-+ +----+ 2                      +-+ +----+
 --R              - 2x\|p \|c(x)        +-+ +----+  - 2x\|p \|c(x)
 --R           (%e               )  - 2\|p \|c(x) %e                + p c(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 44
 
 --S 45 of 59
@@ -636,7 +636,7 @@ simplify(xpr13d/xpr13c)
 --R        +-+ ,     - 8x\|p \|c(x)     2    2 +-+ ,
 --R       \|p c (x)%e                - p c(x) \|p c (x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 45
 
 --S 46 of 59
@@ -651,7 +651,7 @@ xpr13e := simplify(D((2/(1-exp(-2*wpcx*x)/wpcx)-1),x))
 --R                         +-+ +----+                 +-+ +----+
 --R               +-+  - 2x\|p \|c(x)     +----+  - 4x\|p \|c(x)           +----+
 --R         2c(x)\|p %e                - \|c(x) %e                - p c(x)\|c(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 --S 47 of 59
@@ -661,7 +661,7 @@ xpr13f := (wpcx-exp(-2*wpcx*x))^2
 --R                 +-+ +----+ 2                      +-+ +----+
 --R            - 2x\|p \|c(x)        +-+ +----+  - 2x\|p \|c(x)
 --R   (47)  (%e               )  - 2\|p \|c(x) %e                + p c(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 47
 
 --S 48 of 59
@@ -674,7 +674,7 @@ xpr13g := simplify(((2*p*c(x)*x+wpcx)*D(c(x),x)+4*p*c(x)^2)/wpcx)
 --R   (48)  -----------------------------------------
 --R                         +-+ +----+
 --R                        \|p \|c(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 48
 
 --S 49 of 59
@@ -684,7 +684,7 @@ xpr13h := simplify((1+2*wpcx*x)*D(c(x),x)+4*wpcx*c(x))
 --R             +-+ +----+      ,            +-+ +----+
 --R   (49)  (2x\|p \|c(x)  + 1)c (x) + 4c(x)\|p \|c(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 49
 
 --S 50 of 59
@@ -692,7 +692,7 @@ simplify(xpr13h/xpr13g)
 --R 
 --R
 --R   (50)  1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 50
 
 --S 51 of 59
@@ -710,7 +710,7 @@ xpr13i:=simplify((1/(wpcx-z)-1/(2*wpcx))*D(c(x),x)+_
 --R  /
 --R                    3  +-+ +----+     2    2       2
 --R     (6p z c(x) + 2z )\|p \|c(x)  - 2p c(x)  - 6p z c(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 51
 
 --S 52 of 59
@@ -744,7 +744,7 @@ simplify(D((2/(1-z(x)/w(x))-1)*c(x)/w(x),x))
 --R  /
 --R         2    2        3           4
 --R     w(x) z(x)  - 2w(x) z(x) + w(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 54
 
 --S 55 of 59
@@ -763,7 +763,7 @@ simplify((2*c(x)*w(x)^2*D(z(x),x)+(z(x)^2-2*w(x)*z(x)-w(x)^2)*c(x)*D(w(x),x)+_
 --R  /
 --R         2    2        3           4
 --R     w(x) z(x)  - 2w(x) z(x) + w(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 55
 
 --S 56 of 59
@@ -779,7 +779,7 @@ xpr13j:=simplify((2*c(x)*w(x)^2*w(x)*z(x)*(x/c(x)-1/2)+(z(x)^2-2*w(x)*z(x)-_
 --R   ---------------------------------------------------------------------------
 --R                                  2        2            3
 --R                         2w(x)z(x)  - 4w(x) z(x) + 2w(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 56
 
 --S 57 of 59
@@ -793,7 +793,7 @@ xpr13k:=simplify((1/(w(x)-z(x))-1/(2*w(x)))*D(c(x),x)+_
 --R   (57)  ----------------------------------------------------------------
 --R                                  2        2            3
 --R                         2w(x)z(x)  - 4w(x) z(x) + 2w(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 57
 
 --S 58 of 59
@@ -808,7 +808,7 @@ simplify(xpr13k/xpr13j)
 --R         2          ,          2                    2                    2
 --R   (2z(x)  - 2w(x))c (x) + z(x)  + ((2c(x) - 4x)w(x)  - 2w(x))z(x) - w(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 58
 
 --S 59 of 59
@@ -825,7 +825,7 @@ simplify(xpr13k-xpr13j)
 --R  /
 --R              2        2            3
 --R     2w(x)z(x)  - 4w(x) z(x) + 2w(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 59
 
 )spool
diff --git a/src/input/noonburg.input.pamphlet b/src/input/noonburg.input.pamphlet
index d00ab2f..277abc4 100644
--- a/src/input/noonburg.input.pamphlet
+++ b/src/input/noonburg.input.pamphlet
@@ -28,7 +28,7 @@
 RN := Fraction Integer
 --R 
 --R
---R   (1)  Fraction Integer
+--R   (1)  Fraction(Integer)
 --R                                                                 Type: Domain
 --E 1
 
@@ -36,7 +36,7 @@ RN := Fraction Integer
 dmp0 := DMP([x,y,z,c],RN)
 --R 
 --R
---R   (2)  DistributedMultivariatePolynomial([x,y,z,c],Fraction Integer)
+--R   (2)  DistributedMultivariatePolynomial([x,y,z,c],Fraction(Integer))
 --R                                                                 Type: Domain
 --E 2
 
@@ -46,7 +46,7 @@ px : dmp0 := 1-c*x +x*(y**2 + z**2)
 --R
 --R           2      2
 --R   (3)  x y  + x z  - x c + 1
---R          Type: DistributedMultivariatePolynomial([x,y,z,c],Fraction Integer)
+--R         Type: DistributedMultivariatePolynomial([x,y,z,c],Fraction(Integer))
 --E 3
 
 --S 4 of 6
@@ -55,7 +55,7 @@ py : dmp0 := 1-c*y +y*(z**2 + x**2)
 --R
 --R         2       2
 --R   (4)  x y + y z  - y c + 1
---R          Type: DistributedMultivariatePolynomial([x,y,z,c],Fraction Integer)
+--R         Type: DistributedMultivariatePolynomial([x,y,z,c],Fraction(Integer))
 --E 4
 
 --S 5 of 6
@@ -64,7 +64,7 @@ pz : dmp0 := 1-c*z +z*(x**2 + y**2)
 --R
 --R         2     2
 --R   (5)  x z + y z - z c + 1
---R          Type: DistributedMultivariatePolynomial([x,y,z,c],Fraction Integer)
+--R         Type: DistributedMultivariatePolynomial([x,y,z,c],Fraction(Integer))
 --E 5
 
 --S 6 of 6
@@ -149,7 +149,7 @@ gb0 := groebnerFactorize [px,py,pz]
 --R                  3   1       1
 --R    [x - z,y - z,z  - - z c + -]]
 --R                      2       2
---RType: List List DistributedMultivariatePolynomial([x,y,z,c],Fraction Integer)
+--RType: List(List(DistributedMultivariatePolynomial([x,y,z,c],Fraction(Integer))))
 --E 6
 )spool 
 )lisp (bye)
diff --git a/src/input/noptip.input.pamphlet b/src/input/noptip.input.pamphlet
index fae3092..7bc28ac 100644
--- a/src/input/noptip.input.pamphlet
+++ b/src/input/noptip.input.pamphlet
@@ -36,14 +36,14 @@ outputGeneral 5
 f := %e^x*(4*x^2 + 2*y^2 + 4*x*y + 2*y + 1);
 --R 
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 6
 start := [x=-1.0, y=1.0];
 --R 
 --R
---R                                         Type: List Equation Polynomial Float
+--R                                      Type: List(Equation(Polynomial(Float)))
 --E 3
 
 --S 4 of 6 used to work?
@@ -58,8 +58,8 @@ nagMin(f,start) :: List Equation Polynomial Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagMin with argument type(s) 
---R                             Expression Integer
---R                       List Equation Polynomial Float
+--R                             Expression(Integer)
+--R                      List(Equation(Polynomial(Float)))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
diff --git a/src/input/nqip.input.pamphlet b/src/input/nqip.input.pamphlet
index a6642c5..aa468a3 100644
--- a/src/input/nqip.input.pamphlet
+++ b/src/input/nqip.input.pamphlet
@@ -37,7 +37,7 @@ xvals := [0.00,0.04,0.08,0.12,0.22,0.26,0.30,0.38,0.39,0.42,0.45,
                0.46,0.60,0.68,0.72,0.73,0.83,0.85,0.88,0.90,1.00];
 --R 
 --R
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 2
 
 --S 3 of 14
@@ -46,7 +46,7 @@ yvals := [4.0000,3.9936,3.9746,3.9432,3.8135,3.7467,3.6697,3.4943,
                         2.6094,2.3684,2.3222,2.2543,2.2099,2.0000];
 --R 
 --R
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 3
 
 --S 4 of 14
@@ -61,8 +61,8 @@ result := nagPolygonIntegrate(xvals,yvals);
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagPolygonIntegrate with argument type(s) 
---R                                 List Float
---R                                 List Float
+--R                                 List(Float)
+--R                                 List(Float)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -80,7 +80,7 @@ result.integral :: Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      result with argument type(s) 
---R                              Variable integral
+--R                             Variable(integral)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -99,7 +99,7 @@ result.errorEstimate :: Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      result with argument type(s) 
---R                           Variable errorEstimate
+--R                           Variable(errorEstimate)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -110,7 +110,7 @@ result.errorEstimate :: Float
 coords := transpose matrix [xvals, yvals];
 --R 
 --R
---R                                                           Type: Matrix Float
+--R                                                          Type: Matrix(Float)
 --E 7
 
 --S 8 of 14
@@ -125,7 +125,7 @@ result := nagPolygonIntegrate coords;
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagPolygonIntegrate with argument type(s) 
---R                                Matrix Float
+--R                                Matrix(Float)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -143,7 +143,7 @@ result.integral :: Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      result with argument type(s) 
---R                              Variable integral
+--R                             Variable(integral)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -162,7 +162,7 @@ result.errorEstimate :: Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      result with argument type(s) 
---R                           Variable errorEstimate
+--R                           Variable(errorEstimate)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -181,8 +181,8 @@ nagPolygonIntegrate([1,2,3],[1,2,3,4])
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagPolygonIntegrate with argument type(s) 
---R                            List PositiveInteger
---R                            List PositiveInteger
+--R                            List(PositiveInteger)
+--R                            List(PositiveInteger)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
diff --git a/src/input/nsfip.input.pamphlet b/src/input/nsfip.input.pamphlet
index 9e4fc56..dfc4077 100644
--- a/src/input/nsfip.input.pamphlet
+++ b/src/input/nsfip.input.pamphlet
@@ -1106,7 +1106,7 @@ nagDAiryBi(0.3+0.4*%i) :: Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagDAiryBi with argument type(s) 
---R                                Complex Float
+--R                               Complex(Float)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1128,7 +1128,7 @@ nagScaledDAiryAi(0.3+0.4*%i) :: Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagScaledDAiryAi with argument type(s) 
---R                                Complex Float
+--R                               Complex(Float)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1150,7 +1150,7 @@ nagScaledDAiryBi(0.3+0.4*%i) :: Complex Float
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagScaledDAiryBi with argument type(s) 
---R                                Complex Float
+--R                               Complex(Float)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1173,7 +1173,7 @@ nagHankelH1(0,0.3+0.4*%i,2) :: Matrix Complex Float
 --R   Cannot find a definition or applicable library operation named 
 --R      nagHankelH1 with argument type(s) 
 --R                             NonNegativeInteger
---R                                Complex Float
+--R                               Complex(Float)
 --R                               PositiveInteger
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -1240,7 +1240,7 @@ nagHankelH2(6,3.1-1.6*%i,2) :: Matrix Complex Float
 --R   Cannot find a definition or applicable library operation named 
 --R      nagHankelH2 with argument type(s) 
 --R                               PositiveInteger
---R                                Complex Float
+--R                               Complex(Float)
 --R                               PositiveInteger
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -1264,7 +1264,7 @@ nagScaledHankelH1(0,0.3+0.4*%i,2) :: Matrix Complex Float
 --R   Cannot find a definition or applicable library operation named 
 --R      nagScaledHankelH1 with argument type(s) 
 --R                             NonNegativeInteger
---R                                Complex Float
+--R                               Complex(Float)
 --R                               PositiveInteger
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -1289,7 +1289,7 @@ nagScaledHankelH2(6,3.1-1.6*%i,2) :: Matrix Complex Float
 --R   Cannot find a definition or applicable library operation named 
 --R      nagScaledHankelH2 with argument type(s) 
 --R                               PositiveInteger
---R                                Complex Float
+--R                               Complex(Float)
 --R                               PositiveInteger
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
diff --git a/src/input/numbers.input.pamphlet b/src/input/numbers.input.pamphlet
index 8aacbe1..03418a6 100644
--- a/src/input/numbers.input.pamphlet
+++ b/src/input/numbers.input.pamphlet
@@ -94,7 +94,7 @@ factor(x)
 --R     89 97 101 103 107 109 113 127 131 137 139 149 151 157 163 167 173 179 181
 --R  *
 --R     191 193 197 199
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 6
 
 --S 7 of 76
@@ -103,7 +103,7 @@ factor(y)
 --R
 --R         3
 --R   (7)  3 7 11 19 31 73 151 331 631 23311 18837001
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 7
 
 )clear all
@@ -157,7 +157,7 @@ sin(%pi/6.)
 --R         1
 --R   (1)  --
 --R        20
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 13
 
 --S 14 of 76
@@ -168,7 +168,7 @@ f := (x**2 + 1)/(x - 1)
 --R        x  + 1
 --R   (2)  ------
 --R         x - 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 14
 
 --S 15 of 76
@@ -179,7 +179,7 @@ g := (x**2 - 3*x + 2)/(x + 2)
 --R        x  - 3x + 2
 --R   (3)  -----------
 --R           x + 2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 15
 
 --S 16 of 76
@@ -190,7 +190,7 @@ f * g
 --R        x  - 2x  + x - 2
 --R   (4)  ----------------
 --R              x + 2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 16
 
 )clear all
@@ -241,7 +241,7 @@ numeric %pi
 F7 := PF 7
 --R 
 --R
---R   (1)  PrimeField 7
+--R   (1)  PrimeField(7)
 --R                                                                 Type: Domain
 --E 20
 
@@ -259,7 +259,7 @@ definingPolynomial()$F49
 --R
 --R         2
 --R   (3)  ?  + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 7
+--R                              Type: SparseUnivariatePolynomial(PrimeField(7))
 --E 22
 
 --S 23 of 76
@@ -275,7 +275,7 @@ norm e
 --R 
 --R
 --I   (5)  4
---R                                                           Type: PrimeField 7
+--R                                                          Type: PrimeField(7)
 --E 24
 
 --S 25 of 76
@@ -283,7 +283,7 @@ trace e
 --R 
 --R
 --I   (6)  6
---R                                                           Type: PrimeField 7
+--R                                                          Type: PrimeField(7)
 --E 25
 
 --S 26 of 76
@@ -305,7 +305,7 @@ allElts := [index(i)$F49 for i in 1..48]
 --R    4%A + 3, 4%A + 4, 4%A + 5, 4%A + 6, 5%A, 5%A + 1, 5%A + 2, 5%A + 3,
 --R    5%A + 4, 5%A + 5, 5%A + 6, 6%A, 6%A + 1, 6%A + 2, 6%A + 3, 6%A + 4,
 --R    6%A + 5, 6%A + 6]
---R                                                  Type: List FiniteField(7,2)
+--R                                                 Type: List(FiniteField(7,2))
 --E 27
 
 --S 28 of 76
@@ -324,7 +324,7 @@ reduce(+,allElts)
 --R   [1, 3, 6, 3, 6, 2, 4, 24, 48, 48, 48, 48, 24, 12, 48, 8, 16, 16, 8, 48, 12,
 --R    48, 16, 24, 24, 16, 48, 12, 48, 16, 24, 24, 16, 48, 12, 48, 8, 16, 16, 8,
 --R    48, 4, 24, 48, 48, 48, 48, 24]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 29
 
 --S 30 of 76
@@ -333,7 +333,7 @@ u:UP(x, F7) := x**2 + 1
 --R
 --R          2
 --R   (11)  x  + 1
---R                                   Type: UnivariatePolynomial(x,PrimeField 7)
+--R                                  Type: UnivariatePolynomial(x,PrimeField(7))
 --E 30
 
 --S 31 of 76
@@ -342,7 +342,7 @@ factor u
 --R
 --R          2
 --R   (12)  x  + 1
---R                          Type: Factored UnivariatePolynomial(x,PrimeField 7)
+--R                        Type: Factored(UnivariatePolynomial(x,PrimeField(7)))
 --E 31
 
 --S 32 of 76
@@ -359,7 +359,7 @@ factor u2
 --R 
 --R
 --R   (14)  (x + %A)(x + 6%A)
---R                      Type: Factored UnivariatePolynomial(x,FiniteField(7,2))
+--R                     Type: Factored(UnivariatePolynomial(x,FiniteField(7,2)))
 --E 33
 
 )clear all
@@ -381,7 +381,7 @@ factor f(7)
 --R   Compiling function f with type NonNegativeInteger -> Integer 
 --R
 --R   (3)  127
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 36
 
 --S 37 of 76
@@ -389,7 +389,7 @@ ints := [n for n in 1..]
 --R 
 --R
 --R   (4)  [1,2,3,4,5,6,7,8,9,10,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 37
 
 --S 28 of 76
@@ -397,7 +397,7 @@ primes := [x for x in ints | prime? x]
 --R 
 --R
 --R   (5)  [2,3,5,7,11,13,17,19,23,29,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 38
 
 --S 39 of 76
@@ -413,7 +413,7 @@ numbers := [f(n) for n in primes]
 --R 
 --R
 --R   (7)  [3,7,31,127,2047,8191,131071,524287,8388607,536870911,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 40
 
 --S 41 of 76
@@ -421,7 +421,7 @@ factors := [factor n for n in numbers]
 --R 
 --R
 --R   (8)  [3,7,31,127,23 89,8191,131071,524287,47 178481,233 1103 2089,...]
---R                                                Type: Stream Factored Integer
+--R                                              Type: Stream(Factored(Integer))
 --E 41
 
 --S 42 of 76
@@ -432,7 +432,7 @@ nums := [x for x in numbers | not prime? x]
 --R   [2047, 8388607, 536870911, 137438953471, 2199023255551, 8796093022207,
 --R    140737488355327, 9007199254740991, 576460752303423487,
 --R    147573952589676412927, ...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 42
 
 )clear all
@@ -445,7 +445,7 @@ numbers := [n**2 - n + 41 for n in 0..40]
 --R   [41, 41, 43, 47, 53, 61, 71, 83, 97, 113, 131, 151, 173, 197, 223, 251, 281,
 --R    313, 347, 383, 421, 461, 503, 547, 593, 641, 691, 743, 797, 853, 911, 971,
 --R    1033, 1097, 1163, 1231, 1301, 1373, 1447, 1523, 1601]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 43
 
 --S 44 of 76
@@ -456,7 +456,7 @@ numbers := [n**2 - n + 41 for n in 0..40]
 --R   [41, 41, 43, 47, 53, 61, 71, 83, 97, 113, 131, 151, 173, 197, 223, 251, 281,
 --R    313, 347, 383, 421, 461, 503, 547, 593, 641, 691, 743, 797, 853, 911, 971,
 --R    1033, 1097, 1163, 1231, 1301, 1373, 1447, 1523, 1601]
---R                                                  Type: List Factored Integer
+--R                                                Type: List(Factored(Integer))
 --E 44
 
 )clear all
@@ -476,7 +476,7 @@ differentiate(f x,x,7)
 --R         (vii)
 --R   (2)  f     (x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 --S 47 of 76
@@ -529,7 +529,7 @@ m := matrix [[1/(i + j) for i in 1..3] for j in 1..3]
 --R        | I    I    I|
 --R        |--    -   --|
 --R        +IV    V   VI+
---R                                           Type: Matrix Fraction RomanNumeral
+--R                                         Type: Matrix(Fraction(RomanNumeral))
 --E 51
 
 --S 52 of 76
@@ -541,7 +541,7 @@ inverse m
 --R   (8)  |- CCXL    CM     - DCCXX|
 --R        |                        |
 --R        +CLXXX   - DCCXX    DC   +
---R                                Type: Union(Matrix Fraction RomanNumeral,...)
+--R                              Type: Union(Matrix(Fraction(RomanNumeral)),...)
 --E 52
 
 --S 53 of 76
@@ -593,7 +593,7 @@ factor f(1)
 --R   Compiling function f with type NonNegativeInteger -> Integer 
 --R
 --R   (3)  5
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 57
 
 --S 58 of 76
@@ -601,7 +601,7 @@ factor f(2)
 --R 
 --R
 --R   (4)  17
---R                                                       Type: Factored Integer
+--R                                                      Type: Factored(Integer)
 --E 58
 
 --S 59 of 76
@@ -684,7 +684,7 @@ numeric(1/3)
 --R               794006207119672937688869745365148806136551203249
 --R   ------------------------------------------------------------------------
 --R   999796019072919181341770495558788771223957844095225846167460930641229761
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 66
 
 --S 67 of 76
@@ -694,7 +694,7 @@ x := 104348/33215
 --R        104348
 --R   (2)  ------
 --R         33215
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 67
 
 --S 68 of 76
@@ -729,7 +729,7 @@ factor(numer x) / factor(denom x)
 --R        2 19 1373
 --R   (6)  ---------
 --R        5 7 13 73
---R                                              Type: Fraction Factored Integer
+--R                                            Type: Fraction(Factored(Integer))
 --E 71
 
 )clear all
diff --git a/src/input/numericgamma.input.pamphlet b/src/input/numericgamma.input.pamphlet
index 279c9b5..469c4a7 100644
--- a/src/input/numericgamma.input.pamphlet
+++ b/src/input/numericgamma.input.pamphlet
@@ -267,8 +267,8 @@ NGamma(a,x)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      NGamma with argument type(s) 
---R                                 Variable a
---R                                 Variable x
+--R                                 Variable(a)
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -280,7 +280,7 @@ machineFraction(NGamma(0,1))
 --R          7904139241557877
 --R   (14)  -----------------
 --R         36028797018963968
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 18
 
 --S 19 of 36
@@ -289,7 +289,7 @@ machineFraction(NGamma(0,2))
 --R          7047306297697619
 --R   (15)  ------------------
 --R         144115188075855872
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 19
 
 --S 20 of 36
@@ -298,7 +298,7 @@ machineFraction(NGamma(1,1))
 --R          828390857088487
 --R   (16)  ----------------
 --R         2251799813685248
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 20
 
 --S 21 of 36
@@ -308,7 +308,7 @@ machineFraction(NGamma(1,1.1))
 --R          5996472354020337
 --R   (17)  -----------------
 --R         18014398509481984
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 21
 
 --S 22 of 36
@@ -317,7 +317,7 @@ machineFraction(NGamma(5,10))
 --R         197613592684481
 --R   (18)  ---------------
 --R         281474976710656
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 22
 
 --S 23 of 36
@@ -326,7 +326,7 @@ machineFraction(NGamma(5,11))
 --R         3265203545699083
 --R   (19)  ----------------
 --R         9007199254740992
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 23
 
 --S 24 of 36
@@ -335,7 +335,7 @@ machineFraction(NGamma(7,0))
 --R         6333186975989761
 --R   (20)  ----------------
 --R           8796093022208
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 24
 
 --S 25 of 36
@@ -345,7 +345,7 @@ machineFraction(NGamma(7,0.1))
 --R         6333190201121973
 --R   (21)  ----------------
 --R           8796093022208
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 25
 
 --S 26 of 36
@@ -355,7 +355,7 @@ machineFraction(NGamma(7,0.2))
 --R         6333187094743041
 --R   (22)  ----------------
 --R           8796093022208
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 26
 
 )set functions compile on
@@ -401,20 +401,20 @@ gamcfe(a,x) == exp(-x)*x^a*(ccfe(a,x).j)::Float
 --S 33 of 36
 gamcfe(2,3)
 --R 
---R   Compiling function nume with type PositiveInteger -> Stream Float 
+--R   Compiling function nume with type PositiveInteger -> Stream(Float) 
 --R   Compiling function dene with type (PositiveInteger,PositiveInteger)
---R       -> Stream Float 
+--R       -> Stream(Float) 
 --R   Compiling function cfe with type (PositiveInteger,PositiveInteger)
---R       -> ContinuedFraction Float 
+--R       -> ContinuedFraction(Float) 
 --R   Compiling function ccfe with type (PositiveInteger,PositiveInteger)
---R       -> Stream Fraction Float 
+--R       -> Stream(Fraction(Float)) 
 --R   Compiling function gamcfe with type (PositiveInteger,PositiveInteger
---R      ) -> Expression Float 
+--R      ) -> Expression(Float) 
 --R
 --R   (29)
 --R  0.1991482734 7145577191 7369662600 2471065267 9836875369 2862270510 910424242
 --R  6 7092079820 0616216976 9465333782
---R                                                       Type: Expression Float
+--R                                                      Type: Expression(Float)
 --E 33
 
 --S 34 of 36
@@ -426,14 +426,14 @@ E1fun(x) == gamcfe(0,x)
 --S 35 of 36
 E1fun(2.0)
 --R 
---R   Compiling function nume with type NonNegativeInteger -> Stream Float
---R      
+--R   Compiling function nume with type NonNegativeInteger -> Stream(Float
+--R      ) 
 --R   Compiling function dene with type (NonNegativeInteger,Float) -> 
---R      Stream Float 
+--R      Stream(Float) 
 --R   Compiling function cfe with type (NonNegativeInteger,Float) -> 
---R      ContinuedFraction Float 
+--R      ContinuedFraction(Float) 
 --R   Compiling function ccfe with type (NonNegativeInteger,Float) -> 
---R      Stream Fraction Float 
+--R      Stream(Fraction(Float)) 
 --R   Compiling function gamcfe with type (NonNegativeInteger,Float) -> 
 --R      Float 
 --R   Compiling function E1fun with type Float -> Float 
@@ -449,7 +449,7 @@ E1fun(2.0)-E1(2.0)
 --R 
 --R
 --R   (32)  1.1102230246251565E-16
---R                                         Type: OnePointCompletion DoubleFloat
+--R                                        Type: OnePointCompletion(DoubleFloat)
 --E 36
 
 )spool 
diff --git a/src/input/oct.input.pamphlet b/src/input/oct.input.pamphlet
index fd1f59a..dc3572d 100644
--- a/src/input/oct.input.pamphlet
+++ b/src/input/oct.input.pamphlet
@@ -25,7 +25,7 @@ oci1 := octon(1,2,3,4,5,6,7,8)
 --R 
 --R
 --R   (1)  1 + 2i + 3j + 4k + 5E + 6I + 7J + 8K
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 1
 
 --S 2 of 15
@@ -33,7 +33,7 @@ oci2 := octon(7,2,3,-4,5,6,-7,0)
 --R 
 --R
 --R   (2)  7 + 2i + 3j - 4k + 5E + 6I - 7J
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 2
 
 --S 3 of 15
@@ -41,7 +41,7 @@ oci3 := octon(quatern(-7,-12,3,-10), quatern(5,6,9,0))
 --R 
 --R
 --R   (3)  - 7 - 12i + 3j - 10k + 5E + 6I + 9J
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 3
 
 --S 4 of 15
@@ -49,7 +49,7 @@ oci3 := octon(quatern(-7,-12,3,-10), quatern(5,6,9,0))
 --R 
 --R
 --R   (4)  2696i - 2928j - 4072k + 16E - 1192I + 832J + 2616K
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 4
 
 --S 5 of 15
@@ -58,7 +58,7 @@ oci3 := octon(quatern(-7,-12,3,-10), quatern(5,6,9,0))
 --R 
 --R
 --R   (5)  [1,2,3,4,5,6,7,8]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 5
 
 --S 6 of 15
@@ -66,7 +66,7 @@ q : Quaternion Polynomial Integer := quatern(q1, qi, qj, qk)
 --R 
 --R
 --R   (6)  q1 + qi i + qj j + qk k
---R                                          Type: Quaternion Polynomial Integer
+--R                                        Type: Quaternion(Polynomial(Integer))
 --E 6
 
 --S 7 of 15
@@ -74,7 +74,7 @@ E : Octonion Polynomial Integer:= octon(0,0,0,0,1,0,0,0)
 --R 
 --R
 --R   (7)  E
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 7
 
 --S 8 of 15
@@ -82,7 +82,7 @@ q * E
 --R 
 --R
 --R   (8)  q1 E + qi I + qj J + qk K
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 8
 
 --S 9 of 15
@@ -90,7 +90,7 @@ E * q
 --R 
 --R
 --R   (9)  q1 E - qi I - qj J - qk K
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 9
 
 --S 10 of 15
@@ -98,7 +98,7 @@ q * 1$(Octonion Polynomial Integer)
 --R 
 --R
 --R   (10)  q1 + qi i + qj j + qk k
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 10
 
 --S 11 of 15
@@ -106,7 +106,7 @@ q * 1$(Octonion Polynomial Integer)
 --R 
 --R
 --R   (11)  q1 + qi i + qj j + qk k
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 11
 
 --S 12 of 15
@@ -114,7 +114,7 @@ o : Octonion Polynomial Integer := octon(o1, oi, oj, ok, oE, oI, oJ, oK)
 --R 
 --R
 --R   (12)  o1 + oi i + oj j + ok k + oE E + oI I + oJ J + oK K
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 12
 
 --S 13 of 15
@@ -123,7 +123,7 @@ norm o
 --R
 --R           2     2     2     2     2     2     2     2
 --R   (13)  ok  + oj  + oi  + oK  + oJ  + oI  + oE  + o1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 13
 
 --S 14 of 15
@@ -131,7 +131,7 @@ p : Octonion Polynomial Integer := octon(p1, pi, pj, pk, pE, pI, pJ, pK)
 --R 
 --R
 --R   (14)  p1 + pi i + pj j + pk k + pE E + pI I + pJ J + pK K
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 14
 
 --S 15 of 15
@@ -201,7 +201,7 @@ norm(o*p)-norm(p)*norm(p)
 --R   + 
 --R        2     2     2     2     2     2     2     2   2
 --R     (ok  + oj  + oi  + oK  + oJ  + oI  + oE  + o1 )p1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 15
 )spool 
 )lisp (bye)
diff --git a/src/input/octonion.input.pamphlet b/src/input/octonion.input.pamphlet
index 9d3cf37..482c87d 100644
--- a/src/input/octonion.input.pamphlet
+++ b/src/input/octonion.input.pamphlet
@@ -26,7 +26,7 @@ e0:Octonion(Fraction(Integer)):=octon(1,0,0,0,0,0,0,0)
 --R 
 --R
 --R   (1)  1
---R                                              Type: Octonion Fraction Integer
+--R                                            Type: Octonion(Fraction(Integer))
 --E 1
 
 --S 2 of 39
@@ -34,7 +34,7 @@ e1:Octonion(Fraction(Integer)):=octon(0,1,0,0,0,0,0,0)
 --R 
 --R
 --R   (2)  i
---R                                              Type: Octonion Fraction Integer
+--R                                            Type: Octonion(Fraction(Integer))
 --E 2
 
 --S 3 of 39
@@ -42,7 +42,7 @@ e2:Octonion(Fraction(Integer)):=octon(0,0,1,0,0,0,0,0)
 --R 
 --R
 --R   (3)  j
---R                                              Type: Octonion Fraction Integer
+--R                                            Type: Octonion(Fraction(Integer))
 --E 3
 
 --S 4 of 39
@@ -50,7 +50,7 @@ e3:Octonion(Fraction(Integer)):=octon(0,0,0,1,0,0,0,0)
 --R 
 --R
 --R   (4)  k
---R                                              Type: Octonion Fraction Integer
+--R                                            Type: Octonion(Fraction(Integer))
 --E 4
 
 --S 5 of 39
@@ -58,7 +58,7 @@ e4:Octonion(Fraction(Integer)):=octon(0,0,0,0,1,0,0,0)
 --R 
 --R
 --R   (5)  E
---R                                              Type: Octonion Fraction Integer
+--R                                            Type: Octonion(Fraction(Integer))
 --E 5
 
 --S 6 of 39
@@ -66,7 +66,7 @@ e5:Octonion(Fraction(Integer)):=octon(0,0,0,0,0,1,0,0)
 --R 
 --R
 --R   (6)  I
---R                                              Type: Octonion Fraction Integer
+--R                                            Type: Octonion(Fraction(Integer))
 --E 6
 
 --S 7 of 39
@@ -74,7 +74,7 @@ e6:Octonion(Fraction(Integer)):=octon(0,0,0,0,0,0,1,0)
 --R 
 --R
 --R   (7)  J
---R                                              Type: Octonion Fraction Integer
+--R                                            Type: Octonion(Fraction(Integer))
 --E 7
 
 --S 8 of 39
@@ -82,7 +82,7 @@ e7:Octonion(Fraction(Integer)):=octon(0,0,0,0,0,0,0,1)
 --R 
 --R
 --R   (8)  K
---R                                              Type: Octonion Fraction Integer
+--R                                            Type: Octonion(Fraction(Integer))
 --E 8
 
 --S 9 of 39
@@ -90,7 +90,7 @@ e7:Octonion(Fraction(Integer)):=octon(0,0,0,0,0,0,0,1)
 --R 
 --R
 --R   (9)  [1,i,j,k,E,I,J,K]
---R                                         Type: List Octonion Fraction Integer
+--R                                      Type: List(Octonion(Fraction(Integer)))
 --E 9
 \end{chunk}
 Given the above basis elements we can form the multiplication table
@@ -118,7 +118,7 @@ oci1 := octon(1,2,3,4,5,6,7,8)
 --R 
 --R
 --R   (11)  1 + 2i + 3j + 4k + 5E + 6I + 7J + 8K
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 11
 
 --S 12 of 39
@@ -126,7 +126,7 @@ oci2 := octon(7,2,3,-4,5,6,-7,0)
 --R 
 --R
 --R   (12)  7 + 2i + 3j - 4k + 5E + 6I - 7J
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 12
 
 --S 13 of 39
@@ -134,7 +134,7 @@ oci3 := octon(-7,-12,3,-10,5,6,9,0)
 --R 
 --R
 --R   (13)  - 7 - 12i + 3j - 10k + 5E + 6I + 9J
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 13
 
 --S 14 of 39
@@ -142,7 +142,7 @@ oci := oci1 * oci2 * oci3
 --R 
 --R
 --R   (14)  - 324 + 2104i - 1100j - 2984k - 1444E + 528I - 44J + 128K
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 14
 
 --S 15 of 39
@@ -150,7 +150,7 @@ oci := oci1 * oci2 * oci3
 --R 
 --R
 --R   (15)  2696i - 2928j - 4072k + 16E - 1192I + 832J + 2616K
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 15
 
 \end{chunk}
@@ -161,7 +161,7 @@ octon(1,0,0,0,0,0,0,0)
 --R 
 --R
 --R   (16)  1
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 16
 
 --S 17 of 39
@@ -169,7 +169,7 @@ i := octon(0,1,0,0,0,0,0,0)
 --R 
 --R
 --R   (17)  i
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 17
 
 --S 18 of 39
@@ -177,7 +177,7 @@ j := octon(0,0,1,0,0,0,0,0)
 --R 
 --R
 --R   (18)  j
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 18
 
 --S 19 of 39
@@ -185,7 +185,7 @@ octon(0,0,0,1,0,0,0,0)
 --R 
 --R
 --R   (19)  k
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 19
 
 --S 20 of 39
@@ -193,7 +193,7 @@ octon(0,0,0,0,1,0,0,0)
 --R 
 --R
 --R   (20)  E
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 20
 
 --S 21 of 39
@@ -201,7 +201,7 @@ octon(0,0,0,0,0,1,0,0)
 --R 
 --R
 --R   (21)  I
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 21
 
 --S 22 of 39
@@ -209,7 +209,7 @@ J := octon(0,0,0,0,0,0,1,0)
 --R 
 --R
 --R   (22)  J
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 22
 
 --S 23 of 39
@@ -217,7 +217,7 @@ octon(0,0,0,0,0,0,0,1)
 --R 
 --R
 --R   (23)  K
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 23
 
 --S 24 of 39
@@ -225,7 +225,7 @@ i*(j*J)
 --R 
 --R
 --R   (24)  - I
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 24
 
 --S 25 of 39
@@ -233,7 +233,7 @@ i*(j*J)
 --R 
 --R
 --R   (25)  I
---R                                                       Type: Octonion Integer
+--R                                                      Type: Octonion(Integer)
 --E 25
 
 \end{chunk}
@@ -263,7 +263,7 @@ but what are the commuting rules?
 qs := Quaternion Polynomial Integer
 --R 
 --R
---R   (28)  Quaternion Polynomial Integer
+--R   (28)  Quaternion(Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 28
 
@@ -271,7 +271,7 @@ qs := Quaternion Polynomial Integer
 os := Octonion Polynomial Integer
 --R 
 --R
---R   (29)  Octonion Polynomial Integer
+--R   (29)  Octonion(Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 29
 
@@ -283,7 +283,7 @@ q : qs := quatern(q1,qi,qj,qk)
 --R 
 --R
 --R   (30)  q1 + qi i + qj j + qk k
---R                                          Type: Quaternion Polynomial Integer
+--R                                        Type: Quaternion(Polynomial(Integer))
 --E 30
 
 --S 31 of 39
@@ -291,7 +291,7 @@ E := octon(0,0,0,0,1,0,0,0)$os
 --R 
 --R
 --R   (31)  E
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 31
 
 --S 32 of 39
@@ -299,7 +299,7 @@ q * E
 --R 
 --R
 --R   (32)  q1 E + qi I + qj J + qk K
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 32
 
 --S 33 of 39
@@ -307,7 +307,7 @@ E * q
 --R 
 --R
 --R   (33)  q1 E - qi I - qj J - qk K
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 33
 
 --S 34 of 39
@@ -315,7 +315,7 @@ q * 1$os
 --R 
 --R
 --R   (34)  q1 + qi i + qj j + qk k
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 34
 
 --S 35 of 39
@@ -323,7 +323,7 @@ q * 1$os
 --R 
 --R
 --R   (35)  q1 + qi i + qj j + qk k
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 35
 
 \end{chunk}
@@ -334,7 +334,7 @@ o : os := octon(o1,oi,oj,ok,oE,oI,oJ,oK)
 --R 
 --R
 --R   (36)  o1 + oi i + oj j + ok k + oE E + oI I + oJ J + oK K
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 36
 
 --S 37 of 39
@@ -342,7 +342,7 @@ p : os := octon(p1,pi,pj,pk,pE,pI,pJ,pK)
 --R 
 --R
 --R   (37)  p1 + pi i + pj j + pk k + pE E + pI I + pJ J + pK K
---R                                            Type: Octonion Polynomial Integer
+--R                                          Type: Octonion(Polynomial(Integer))
 --E 37
 
 \end{chunk}
@@ -356,7 +356,7 @@ norm o
 --R
 --R           2     2     2     2     2     2     2     2
 --R   (38)  ok  + oj  + oi  + oK  + oJ  + oI  + oE  + o1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 38
 
 \end{chunk}
@@ -367,7 +367,7 @@ norm(o*p)-norm(p*o)
 --R 
 --R
 --R   (39)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 39
 )spool 
 )lisp (bye)
diff --git a/src/input/ode.input.pamphlet b/src/input/ode.input.pamphlet
index ec38066..1941e8f 100644
--- a/src/input/ode.input.pamphlet
+++ b/src/input/ode.input.pamphlet
@@ -40,7 +40,7 @@ deqx:= differentiate(y x,x,2)+differentiate(y x,x) +y x
 --R         ,,       ,
 --R   (2)  y  (x) + y (x) + y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 11
@@ -52,7 +52,7 @@ solve(deqx,y,x) --OK
 --R                                   x\|3      2     2    x\|3
 --R   (3)  [particular= 0,basis= [cos(-----)%e   ,%e   sin(-----)]]
 --R                                     2                    2
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),basis: ...
 --E 3
 
 --S 4 of 11
@@ -64,7 +64,7 @@ solve(deqx,y,x=0,[1]) --OK
 --R            x\|3      2
 --R   (4)  cos(-----)%e
 --R              2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 --S 5 of 11
@@ -74,7 +74,7 @@ deqt:= differentiate(y t,t,2)+differentiate(y t,t) +y t
 --R         ,,       ,
 --R   (5)  y  (t) + y (t) + y(t)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 11
@@ -86,7 +86,7 @@ solve(deqt,y,t) --OK
 --R                                   t\|3      2     2    t\|3
 --R   (6)  [particular= 0,basis= [cos(-----)%e   ,%e   sin(-----)]]
 --R                                     2                    2
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),basis: ...
 --E 6
 
 --S 7 of 11
@@ -98,7 +98,7 @@ solve(deqt,y,t=0,[1]) -- BUG!
 --R            t\|3      2
 --R   (7)  cos(-----)%e
 --R              2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 7
 
 --S 8 of 11
@@ -108,7 +108,7 @@ deqz:= differentiate(y z,z,2)+differentiate(y z,z) +y z
 --R         ,,       ,
 --R   (8)  y  (z) + y (z) + y(z)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 11
@@ -120,7 +120,7 @@ solve(deqz,y,z) --OK
 --R                                   z\|3      2     2    z\|3
 --R   (9)  [particular= 0,basis= [cos(-----)%e   ,%e   sin(-----)]]
 --R                                     2                    2
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),basis: ...
 --E 9
 
 --S 10 of 11
@@ -132,7 +132,7 @@ solve(deqz,y,z=0,[1]) -- BUG!
 --R             z\|3      2
 --R   (10)  cos(-----)%e
 --R               2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 10
 
 \end{chunk}
diff --git a/src/input/odpol.input.pamphlet b/src/input/odpol.input.pamphlet
index f04fac9..9cc56c3 100644
--- a/src/input/odpol.input.pamphlet
+++ b/src/input/odpol.input.pamphlet
@@ -24,7 +24,7 @@
 dpol:= ODPOL(FRAC INT)
 --R 
 --R
---R   (1)  OrderlyDifferentialPolynomial Fraction Integer
+--R   (1)  OrderlyDifferentialPolynomial(Fraction(Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -33,7 +33,7 @@ w := makeVariable('w)$dpol
 --R 
 --R
 --R   (2)  theMap(DPOLCAT-;makeVariable;AM;17!0,0)
---R Type: (NonNegativeInteger -> OrderlyDifferentialPolynomial Fraction Integer)
+--RType: (NonNegativeInteger -> OrderlyDifferentialPolynomial(Fraction(Integer)))
 --E 2
 
 --S 3 of 36
@@ -41,7 +41,7 @@ z := makeVariable('z)$dpol
 --R 
 --R
 --R   (3)  theMap(DPOLCAT-;makeVariable;AM;17!0,0)
---R Type: (NonNegativeInteger -> OrderlyDifferentialPolynomial Fraction Integer)
+--RType: (NonNegativeInteger -> OrderlyDifferentialPolynomial(Fraction(Integer)))
 --E 3
 
 --S 4 of 36
@@ -50,7 +50,7 @@ w.5
 --R
 --R   (4)  w
 --R         5
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 4
 
 --S 5 of 36
@@ -58,7 +58,7 @@ w 0
 --R 
 --R
 --R   (5)  w
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 5
 
 --S 6 of 36
@@ -67,7 +67,7 @@ w 0
 --R
 --R   (6)  [z ,z ,z ,z ,z ]
 --R          1  2  3  4  5
---R                    Type: List OrderlyDifferentialPolynomial Fraction Integer
+--R                 Type: List(OrderlyDifferentialPolynomial(Fraction(Integer)))
 --E 6
 
 --S 7 of 36
@@ -77,7 +77,7 @@ f:= w.4 - w.1 * w.1 * z.3
 --R               2
 --R   (7)  w  - w  z
 --R         4    1  3
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 7
 
 --S 8 of 36
@@ -87,7 +87,7 @@ g:=(z.1)**3 * (z.2)**2 - w.2
 --R          3  2
 --R   (8)  z  z   - w
 --R         1  2     2
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 8
 
 --S 9 of 36
@@ -97,7 +97,7 @@ D(f)
 --R               2
 --R   (9)  w  - w  z  - 2w w z
 --R         5    1  4     1 2 3
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 9
 
 --S 10 of 36
@@ -112,7 +112,7 @@ D(f,4)
 --R                                         2
 --R     (- 8w w  - 24w w )z  - 8w z w  - 6w  z
 --R          1 4      2 3  4     2 3 4     3  3
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 10
 
 --S 11 of 36
@@ -120,7 +120,7 @@ df:=makeVariable(f)$dpol
 --R 
 --R
 --R   (11)  theMap(DPOLCAT-;makeVariable;AM;17!0,0)
---R Type: (NonNegativeInteger -> OrderlyDifferentialPolynomial Fraction Integer)
+--RType: (NonNegativeInteger -> OrderlyDifferentialPolynomial(Fraction(Integer)))
 --E 11
 
 --S 12 of 36
@@ -135,7 +135,7 @@ df.4
 --R                                         2
 --R     (- 8w w  - 24w w )z  - 8w z w  - 6w  z
 --R          1 4      2 3  4     2 3 4     3  3
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 12
 
 --S 13 of 36
@@ -159,7 +159,7 @@ differentialVariables(g)
 --R 
 --R
 --R   (15)  [z,w]
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 15
 
 --S 16 of 36
@@ -169,7 +169,7 @@ degree(g)
 --R           2  3
 --R   (16)  z  z
 --R          2  1
---R                    Type: IndexedExponents OrderlyDifferentialVariable Symbol
+--R                  Type: IndexedExponents(OrderlyDifferentialVariable(Symbol))
 --E 16
 
 --S 17 of 36
@@ -185,7 +185,7 @@ weights(g)
 --R 
 --R
 --R   (18)  [7,2]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 18
 
 --S 19 of 36
@@ -193,7 +193,7 @@ weights(g,'w)
 --R 
 --R
 --R   (19)  [2]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 19
 
 --S 20 of 36
@@ -219,7 +219,7 @@ eval(g,['w::Symbol],[f])
 --R                  2                           2        3  2
 --R   (22)  - w  + w  z  + 4w w z  + (2w w  + 2w  )z  + z  z
 --R            6    1  5     1 2 4      1 3     2   3    1  2
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 22
 
 --S 23 of 36
@@ -229,7 +229,7 @@ eval(g,variables(w.0),[f])
 --R           3  2
 --R   (23)  z  z   - w
 --R          1  2     2
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 23
 
 --S 24 of 36
@@ -239,7 +239,7 @@ monomials(g)
 --R            3  2
 --R   (24)  [z  z  ,- w ]
 --R           1  2     2
---R                    Type: List OrderlyDifferentialPolynomial Fraction Integer
+--R                 Type: List(OrderlyDifferentialPolynomial(Fraction(Integer)))
 --E 24
 
 --S 25 of 36
@@ -248,7 +248,7 @@ variables(g)
 --R
 --R   (25)  [z ,w ,z ]
 --R           2  2  1
---R                                Type: List OrderlyDifferentialVariable Symbol
+--R                              Type: List(OrderlyDifferentialVariable(Symbol))
 --E 25
 
 --S 26 of 36
@@ -256,7 +256,7 @@ gcd(f,g)
 --R 
 --R
 --R   (26)  1
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 26
 
 --S 27 of 36
@@ -266,7 +266,7 @@ groebner([f,g])
 --R                 2     3  2
 --R   (27)  [w  - w  z ,z  z   - w ]
 --R           4    1  3  1  2     2
---R                    Type: List OrderlyDifferentialPolynomial Fraction Integer
+--R                 Type: List(OrderlyDifferentialPolynomial(Fraction(Integer)))
 --E 27
 
 --S 28 of 36
@@ -275,7 +275,7 @@ lg:=leader(g)
 --R
 --R   (28)  z
 --R          2
---R                                     Type: OrderlyDifferentialVariable Symbol
+--R                                    Type: OrderlyDifferentialVariable(Symbol)
 --E 28
 
 --S 29 of 36
@@ -285,7 +285,7 @@ sg:=separant(g)
 --R            3
 --R   (29)  2z  z
 --R           1  2
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 29
 
 --S 30 of 36
@@ -295,7 +295,7 @@ ig:=initial(g)
 --R           3
 --R   (30)  z
 --R          1
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 30
 
 --S 31 of 36
@@ -305,7 +305,7 @@ g1 := D g
 --R            3               2  3
 --R   (31)  2z  z z  - w  + 3z  z
 --R           1  2 3    3     1  2
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 31
 
 --S 32 of 36
@@ -314,7 +314,7 @@ lg1:= leader g1
 --R
 --R   (32)  z
 --R          3
---R                                     Type: OrderlyDifferentialVariable Symbol
+--R                                    Type: OrderlyDifferentialVariable(Symbol)
 --E 32
 
 --S 33 of 36
@@ -324,7 +324,7 @@ pdf:=D(f, lg1)
 --R             2
 --R   (33)  - w
 --R            1
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 33
 
 --S 34 of 36
@@ -334,7 +334,7 @@ prf:=sg * f- pdf * g1
 --R            3         2        2  2  3
 --R   (34)  2z  z w  - w  w  + 3w  z  z
 --R           1  2 4    1  3     1  1  2
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 34
 
 --S 35 of 36
@@ -344,7 +344,7 @@ lcf:=leadingCoefficient univariate(prf, lg)
 --R            2  2
 --R   (35)  3w  z
 --R           1  1
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 35
 
 --S 36 of 36
@@ -354,7 +354,7 @@ ig * prf - lcf * g * lg
 --R            6         2  3        2  2
 --R   (36)  2z  z w  - w  z  w  + 3w  z  w z
 --R           1  2 4    1  1  3     1  1  2 2
---R                         Type: OrderlyDifferentialPolynomial Fraction Integer
+--R                       Type: OrderlyDifferentialPolynomial(Fraction(Integer))
 --E 36
 )spool 
 )lisp (bye)
diff --git a/src/input/op.input.pamphlet b/src/input/op.input.pamphlet
index f0bdcd1..183b374 100644
--- a/src/input/op.input.pamphlet
+++ b/src/input/op.input.pamphlet
@@ -25,7 +25,7 @@ abs(x)
 --R 
 --R
 --R   (1)  abs(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 2
@@ -33,7 +33,7 @@ eval(%,x=-3.4)
 --R 
 --R
 --R   (2)  3.4
---R                                                       Type: Expression Float
+--R                                                      Type: Expression(Float)
 --E 2
 )spool 
 )lisp (bye)
diff --git a/src/input/op1.input.pamphlet b/src/input/op1.input.pamphlet
index a58e9e4..c125a41 100644
--- a/src/input/op1.input.pamphlet
+++ b/src/input/op1.input.pamphlet
@@ -33,7 +33,7 @@ t := operator("tilde") :: OP(R)
 --R 
 --R
 --R   (2)  tilde
---R                                       Type: Operator SquareMatrix(2,Integer)
+--R                                      Type: Operator(SquareMatrix(2,Integer))
 --E 2
 
 --S 3 of 21
@@ -47,7 +47,7 @@ evaluate(t, m +-> transpose m)
 --R 
 --R
 --R   (3)  tilde
---R                                       Type: Operator SquareMatrix(2,Integer)
+--R                                      Type: Operator(SquareMatrix(2,Integer))
 --E 4
 
 --S 5 of 21
@@ -67,7 +67,7 @@ rho := t * s
 --R             +0  1+
 --R   (5)  tilde|    |
 --R             +1  0+
---R                                       Type: Operator SquareMatrix(2,Integer)
+--R                                      Type: Operator(SquareMatrix(2,Integer))
 --E 6
 
 --S 7 of 21
@@ -77,7 +77,7 @@ z := rho**4 - 1
 --R                   +0  1+     +0  1+     +0  1+     +0  1+
 --R   (6)  - 1 + tilde|    |tilde|    |tilde|    |tilde|    |
 --R                   +1  0+     +1  0+     +1  0+     +1  0+
---R                                       Type: Operator SquareMatrix(2,Integer)
+--R                                      Type: Operator(SquareMatrix(2,Integer))
 --E 7
 
 --S 8 of 21
@@ -137,7 +137,7 @@ b := t * s - s * t
 --R           +0  1+             +0  1+
 --R   (12)  - |    |tilde + tilde|    |
 --R           +1  0+             +1  0+
---R                                       Type: Operator SquareMatrix(2,Integer)
+--R                                      Type: Operator(SquareMatrix(2,Integer))
 --E 13
 
 --S 14 of 21
@@ -164,7 +164,7 @@ dx := operator("D") :: OP(POLY FRAC INT)
 --R 
 --R
 --R   (15)  D
---R                                   Type: Operator Polynomial Fraction Integer
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
 --E 16
 
 --S 17 of 21
@@ -172,7 +172,7 @@ evaluate(dx, p +-> D(p, 'x))
 --R 
 --R
 --R   (16)  D
---R                                   Type: Operator Polynomial Fraction Integer
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
 --E 17
 
 --S 18 of 21
@@ -184,8 +184,8 @@ E n == (1 - x**2) * dx**2 - 2 * x * dx + n*(n+1)
 --S 19 of 21
 L 15
 --R 
---R   Compiling function L with type Integer -> Polynomial Fraction 
---R      Integer 
+--R   Compiling function L with type Integer -> Polynomial(Fraction(
+--R      Integer)) 
 --R   Compiling function L as a recurrence relation.
 --R
 --R   (18)
@@ -196,18 +196,18 @@ L 15
 --R       2909907  5   255255  3   6435
 --R     - ------- x  + ------ x  - ---- x
 --R         2048        2048       2048
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 18
 
 --S 20 of 21
 E 15
 --R 
---R   Compiling function E with type PositiveInteger -> Operator 
---R      Polynomial Fraction Integer 
+--R   Compiling function E with type PositiveInteger -> Operator(
+--R      Polynomial(Fraction(Integer))) 
 --R
 --R                        2      2
 --R   (19)  240 - 2x D - (x  - 1)D
---R                                   Type: Operator Polynomial Fraction Integer
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
 --E 20
 
 --S 21 of 21
@@ -215,7 +215,7 @@ E 15
 --R 
 --R
 --R   (20)  0
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 21
 )spool 
 )lisp (bye)
diff --git a/src/input/opalg.input.pamphlet b/src/input/opalg.input.pamphlet
index 5b47b43..bc34e16 100644
--- a/src/input/opalg.input.pamphlet
+++ b/src/input/opalg.input.pamphlet
@@ -36,14 +36,14 @@ L n ==
 --S 2 of 9
 L 5
 --R 
---R   Compiling function L with type Integer -> Polynomial Fraction 
---R      Integer 
+--R   Compiling function L with type Integer -> Polynomial(Fraction(
+--R      Integer)) 
 --R   Compiling function L as a recurrence relation.
 --R
 --R        63  5   35  3   15
 --R   (2)  -- x  - -- x  + -- x
 --R         8       4       8
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 2
 
 \end{chunk}
@@ -54,7 +54,7 @@ dx := operator("D")::OP(POLY FRAC INT)
 --R 
 --R
 --R   (3)  D
---R                                   Type: Operator Polynomial Fraction Integer
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
 --E 3
 
 \end{chunk}
@@ -65,7 +65,7 @@ evaluate(dx, p +-> differentiate(p, 'x))$OP(POLY FRAC INT)
 --R 
 --R
 --R   (4)  D
---R                                   Type: Operator Polynomial Fraction Integer
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
 --E 4
 
 \end{chunk}
@@ -80,12 +80,12 @@ E n == (1 - x**2) * dx**2 - 2 * x * dx + n*(n+1)
 --S 6 of 9
 E 5
 --R 
---R   Compiling function E with type PositiveInteger -> Operator 
---R      Polynomial Fraction Integer 
+--R   Compiling function E with type PositiveInteger -> Operator(
+--R      Polynomial(Fraction(Integer))) 
 --R
 --R                      2      2
 --R   (6)  30 - 2x D - (x  - 1)D
---R                                   Type: Operator Polynomial Fraction Integer
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
 --E 6
 
 --S 7 of 9
@@ -108,7 +108,7 @@ E 5
 --R    46189  10   109395  8   45045  6   15015  4   3465  2    63
 --R    ----- x   - ------ x  + ----- x  - ----- x  + ---- x  - ---]
 --R     256          256        128        128        256      256
---R                                       Type: List Polynomial Fraction Integer
+--R                                    Type: List(Polynomial(Fraction(Integer)))
 --E 7
 
 --S 8 of 9
@@ -124,7 +124,7 @@ E 5
 --R    56 - 2x D - (x  - 1)D , 72 - 2x D - (x  - 1)D , 90 - 2x D - (x  - 1)D ,
 --R                   2      2
 --R    110 - 2x D - (x  - 1)D ]
---R                              Type: List Operator Polynomial Fraction Integer
+--R                          Type: List(Operator(Polynomial(Fraction(Integer))))
 --E 8
 
 --S 9 of 9
@@ -132,7 +132,7 @@ E 5
 --R 
 --R
 --R   (9)  [0,0,0,0,0,0,0,0,0,0]
---R                                       Type: List Polynomial Fraction Integer
+--R                                    Type: List(Polynomial(Fraction(Integer)))
 --E 9
 )spool 
 )lisp (bye)
diff --git a/src/input/operator.input.pamphlet b/src/input/operator.input.pamphlet
index e20b752..8821c16 100644
--- a/src/input/operator.input.pamphlet
+++ b/src/input/operator.input.pamphlet
@@ -34,7 +34,7 @@ dx := operator("D") :: OP(POLY FRAC INT)
 --R 
 --R
 --R   (2)  D
---R                                   Type: Operator Polynomial Fraction Integer
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
 --E 2
 
 --S 3 of 6
@@ -42,7 +42,7 @@ evaluate(dx, p +-> differentiate(p, 'x))$OP(POLY FRAC INT)
 --R 
 --R
 --R   (3)  D
---R                                   Type: Operator Polynomial Fraction Integer
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
 --E 3
 
 --S 4 of 6
@@ -54,8 +54,8 @@ E n == (1 - x**2) * dx**2 - 2 * x * dx + n*(n+1)
 --S 5 of 6
 L 15
 --R 
---R   Compiling function L with type Integer -> Polynomial Fraction 
---R      Integer 
+--R   Compiling function L with type Integer -> Polynomial(Fraction(
+--R      Integer)) 
 --R   Compiling function L as a recurrence relation.
 --R
 --R   (5)
@@ -66,18 +66,18 @@ L 15
 --R       2909907  5   255255  3   6435
 --R     - ------- x  + ------ x  - ---- x
 --R         2048        2048       2048
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 5
 
 --S 6 of 6
 E 15
 --R 
---R   Compiling function E with type PositiveInteger -> Operator 
---R      Polynomial Fraction Integer 
+--R   Compiling function E with type PositiveInteger -> Operator(
+--R      Polynomial(Fraction(Integer))) 
 --R
 --R                       2      2
 --R   (6)  240 - 2x D - (x  - 1)D
---R                                   Type: Operator Polynomial Fraction Integer
+--R                                Type: Operator(Polynomial(Fraction(Integer)))
 --E 6
 )spool 
 )lisp (bye)
diff --git a/src/input/ovar.input.pamphlet b/src/input/ovar.input.pamphlet
index 8e0691a..a3c5b35 100644
--- a/src/input/ovar.input.pamphlet
+++ b/src/input/ovar.input.pamphlet
@@ -25,14 +25,14 @@ ls:List Symbol:=['x,'a,'z]
 --R 
 --R
 --R   (1)  [x,a,z]
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 1
 
 --S 2 of 5
 Z:=OVAR ls
 --R 
 --R
---R   (2)  OrderedVariableList [x,a,z]
+--R   (2)  OrderedVariableList([x,a,z])
 --R                                                                 Type: Domain
 --E 2
 
@@ -51,7 +51,7 @@ lv:=[index(i::PI)$Z for i in 1..size()$Z]
 --I   Compiling function G1573 with type NonNegativeInteger -> Boolean 
 --R
 --R   (4)  [x,a,z]
---R                                       Type: List OrderedVariableList [x,a,z]
+--R                                     Type: List(OrderedVariableList([x,a,z]))
 --E 4
 
 --S 5 of 5
diff --git a/src/input/overload.input.pamphlet b/src/input/overload.input.pamphlet
index 192b895..22178bf 100644
--- a/src/input/overload.input.pamphlet
+++ b/src/input/overload.input.pamphlet
@@ -64,7 +64,7 @@ cos(2/3)
 --R            2
 --R   (3)  cos(-)
 --R            3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 \end{chunk}
@@ -136,7 +136,7 @@ cos(2/3)::Float
 --R 
 --R 
 --RDaly Bug
---R   Cannot convert from type Expression Integer to Float for value
+--R   Cannot convert from type Expression(Integer) to Float for value
 --R       2
 --R   cos(-)
 --R       3
@@ -151,8 +151,8 @@ on the innermost atomic constants. Suppose we define
 --S 11 of 51
 cosf(x:Expression Integer):Expression Integer == 1+cos(x/2)
 --R 
---R   Function declaration cosf : Expression Integer -> Expression Integer
---R      has been added to workspace.
+--R   Function declaration cosf : Expression(Integer) -> Expression(
+--R      Integer) has been added to workspace.
 --R                                                                   Type: Void
 --E 11
 
@@ -173,13 +173,13 @@ decieve.
 --S 12 of 51
 cosf(2/3)
 --R 
---R   Compiling function cosf with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function cosf with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R             1
 --R   (11)  cos(-) + 1
 --R             3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 51
@@ -188,7 +188,7 @@ cosf((2/3)::Float)
 --R   Conversion failed in the compiled user function cosf .
 --R 
 --RDaly Bug
---R   Cannot convert from type Float to Expression Integer for value
+--R   Cannot convert from type Float to Expression(Integer) for value
 --R   0.6666666666 6666666667
 --R
 --E 13
@@ -229,7 +229,7 @@ cos(2/3)+1.2323
 --R 
 --R
 --R   (12)  2.0181872607 769480007
---R                                                       Type: Expression Float
+--R                                                      Type: Expression(Float)
 --E 15
 
 \end{chunk}
@@ -260,7 +260,7 @@ Define the type $Q$ of Hamiltonian biquaternions
 C:=Complex Expression Integer
 --R 
 --R
---R   (14)  Complex Expression Integer
+--R   (14)  Complex(Expression(Integer))
 --R                                                                 Type: Domain
 --E 17
 
@@ -268,7 +268,7 @@ C:=Complex Expression Integer
 Q:=Quaternion C
 --R 
 --R
---R   (15)  Quaternion Complex Expression Integer
+--R   (15)  Quaternion(Complex(Expression(Integer)))
 --R                                                                 Type: Domain
 --E 18
 
@@ -280,9 +280,9 @@ division was introduced to simplify the format of the formulae
 --S 19 of 51
 ((x:Q)/(y:Q)):Q == x*inv(y)
 --R 
---R   Function declaration ?/? : (Quaternion Complex Expression Integer,
---R      Quaternion Complex Expression Integer) -> Quaternion Complex 
---R      Expression Integer has been added to workspace.
+--R   Function declaration ?/? : (Quaternion(Complex(Expression(Integer)))
+--R      ,Quaternion(Complex(Expression(Integer)))) -> Quaternion(Complex(
+--R      Expression(Integer))) has been added to workspace.
 --R                                                                   Type: Void
 --E 19
 
@@ -295,14 +295,14 @@ integer division
 --S 20 of 51
 x:=15/6
 --R 
---R   Compiling function / with type (Quaternion Complex Expression 
---R      Integer,Quaternion Complex Expression Integer) -> Quaternion 
---R      Complex Expression Integer 
+--R   Compiling function / with type (Quaternion(Complex(Expression(
+--R      Integer))),Quaternion(Complex(Expression(Integer)))) -> 
+--R      Quaternion(Complex(Expression(Integer))) 
 --R
 --R         5
 --R   (17)  -
 --R         2
---R                                  Type: Quaternion Complex Expression Integer
+--R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 20
 
 \end{chunk}
@@ -318,7 +318,7 @@ cos(x)
 --R             5
 --R   (18)  cos(-)
 --R             2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 \end{chunk}
@@ -343,8 +343,8 @@ cos(15.457/6)
 --R   Conversion failed in the compiled user function / .
 --R 
 --RDaly Bug
---R   Cannot convert from type Float to Quaternion Complex Expression 
---R      Integer for value
+--R   Cannot convert from type Float to Quaternion(Complex(Expression(
+--R      Integer))) for value
 --R   15.457
 --R
 --E 23
@@ -401,8 +401,8 @@ c(1.237/2)
 --R   Conversion failed in the compiled user function / .
 --R 
 --RDaly Bug
---R   Cannot convert from type Float to Quaternion Complex Expression 
---R      Integer for value
+--R   Cannot convert from type Float to Quaternion(Complex(Expression(
+--R      Integer))) for value
 --R   1.237
 --R
 --E 27
@@ -422,7 +422,7 @@ cos(2/3::Float)
 --R             2
 --R   (23)  cos(-)
 --R             3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 28
 
 --S 29 of 51
@@ -440,7 +440,7 @@ cos(2/3$Float)
 --R             2
 --R   (25)  cos(-)
 --R             3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 30
 
 --S 31 of 51
@@ -458,7 +458,7 @@ cos(2/3@Float)
 --R             2
 --R   (27)  cos(-)
 --R             3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 32
 
 --S 33 of 51
@@ -467,8 +467,8 @@ cos((2/3)@Float)
 --R 
 --RDaly Bug
 --R   An expression involving @ Float actually evaluated to one of type 
---R      Quaternion Complex Expression Integer . Perhaps you should use ::
---R      Float .
+--R      Quaternion(Complex(Expression(Integer))) . Perhaps you should use
+--R      :: Float .
 --E 33
 
 \end{chunk}
@@ -522,8 +522,8 @@ c((2/3)@Float)
 --R 
 --RDaly Bug
 --R   An expression involving @ Float actually evaluated to one of type 
---R      Quaternion Complex Expression Integer . Perhaps you should use ::
---R      Float .
+--R      Quaternion(Complex(Expression(Integer))) . Perhaps you should use
+--R      :: Float .
 --E 39
 
 \end{chunk}
@@ -559,7 +559,7 @@ c2(x)
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named cos 
 --R      with argument type(s) 
---R                    Quaternion Complex Expression Integer
+--R                  Quaternion(Complex(Expression(Integer)))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -568,7 +568,7 @@ c2(x)
 --R             5
 --R   (35)  cos(-)
 --R             2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 42
 
 \end{chunk}
@@ -582,8 +582,8 @@ c2(1.237/2)
 --R   Conversion failed in the compiled user function / .
 --R 
 --RDaly Bug
---R   Cannot convert from type Float to Quaternion Complex Expression 
---R      Integer for value
+--R   Cannot convert from type Float to Quaternion(Complex(Expression(
+--R      Integer))) for value
 --R   1.237
 --R
 --E 43
@@ -600,7 +600,7 @@ c2(2/3::Float)
 --R             2
 --R   (36)  cos(-)
 --R             3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 44
 
 --S 45 of 51
@@ -618,7 +618,7 @@ c2(2/3$Float)
 --R             2
 --R   (38)  cos(-)
 --R             3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 --S 47 of 51
@@ -636,7 +636,7 @@ c2(2/3@Float)
 --R             2
 --R   (40)  cos(-)
 --R             3
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 48
 
 --S 49 of 51
@@ -645,8 +645,8 @@ c2((2/3)@Float)
 --R 
 --RDaly Bug
 --R   An expression involving @ Float actually evaluated to one of type 
---R      Quaternion Complex Expression Integer . Perhaps you should use ::
---R      Float .
+--R      Quaternion(Complex(Expression(Integer))) . Perhaps you should use
+--R      :: Float .
 --E 49
 
 \end{chunk}
diff --git a/src/input/padic.input.pamphlet b/src/input/padic.input.pamphlet
index 8bc600f..553887a 100644
--- a/src/input/padic.input.pamphlet
+++ b/src/input/padic.input.pamphlet
@@ -27,7 +27,7 @@ root2 : PADIC 7 := sqrt(2,3)
 --R   (1)
 --R              2      3    4      5    6      7      8      9      10      11
 --R   3 + 7 + 2 7  + 6 7  + 7  + 2 7  + 7  + 2 7  + 4 7  + 6 7  + 6 7   + O(7  )
---R                                                         Type: PAdicInteger 7
+--R                                                        Type: PAdicInteger(7)
 --E 1
 
 --S 2 of 20
@@ -40,7 +40,7 @@ extend(root2,20)
 --R   + 
 --R      12    13      15    16    17      18      19    20      21
 --R     7   + 7   + 2 7   + 7   + 7   + 4 7   + 6 7   + 7   + O(7  )
---R                                                         Type: PAdicInteger 7
+--R                                                        Type: PAdicInteger(7)
 --E 2
 
 --S 3 of 20
@@ -49,7 +49,7 @@ broot2 : BPADIC 7 := sqrt(2,3)
 --R
 --R                   2    3      4      5    6      7      8      11
 --R   (3)  3 + 7 + 2 7  - 7  + 2 7  + 2 7  + 7  + 2 7  - 3 7  + O(7  )
---R                                                 Type: BalancedPAdicInteger 7
+--R                                                Type: BalancedPAdicInteger(7)
 --E 3
 
 --S 4 of 20
@@ -62,7 +62,7 @@ extend(broot2,20)
 --R   + 
 --R        15    16    17      18      20      21
 --R     2 7   + 7   + 7   - 3 7   + 2 7   + O(7  )
---R                                                 Type: BalancedPAdicInteger 7
+--R                                                Type: BalancedPAdicInteger(7)
 --E 4
 
 --S 5 of 20
@@ -70,7 +70,7 @@ xx : SUP INT := monomial(1,1)
 --R 
 --R
 --R   (5)  ?
---R                                     Type: SparseUnivariatePolynomial Integer
+--R                                    Type: SparseUnivariatePolynomial(Integer)
 --E 5
 
 --S 6 of 20
@@ -79,7 +79,7 @@ pp := xx^6 - 1
 --R
 --R         6
 --R   (6)  ?  - 1
---R                                     Type: SparseUnivariatePolynomial Integer
+--R                                    Type: SparseUnivariatePolynomial(Integer)
 --E 6
 
 --S 7 of 20
@@ -88,7 +88,7 @@ r1 : PADIC 7 := root(pp,1)
 --R
 --R               11
 --R   (7)  1 + O(7  )
---R                                                         Type: PAdicInteger 7
+--R                                                        Type: PAdicInteger(7)
 --E 7
 
 --S 8 of 20
@@ -98,7 +98,7 @@ r2 : PADIC 7 := root(pp,2)
 --R   (8)
 --R                2      3      5      6      7      8      9      10      11
 --R   2 + 4 7 + 6 7  + 3 7  + 2 7  + 6 7  + 2 7  + 4 7  + 3 7  + 4 7   + O(7  )
---R                                                         Type: PAdicInteger 7
+--R                                                        Type: PAdicInteger(7)
 --E 8
 
 --S 9 of 20
@@ -108,7 +108,7 @@ r3 : PADIC 7 := root(pp,3)
 --R   (9)
 --R                2      3      5      6      7      8      9      10      11
 --R   3 + 4 7 + 6 7  + 3 7  + 2 7  + 6 7  + 2 7  + 4 7  + 3 7  + 4 7   + O(7  )
---R                                                         Type: PAdicInteger 7
+--R                                                        Type: PAdicInteger(7)
 --E 9
 
 --S 10 of 20
@@ -117,7 +117,7 @@ r4 : PADIC 7 := root(pp,4)
 --R
 --R                      3      4      5      7      8      9      10      11
 --R   (10)  4 + 2 7 + 3 7  + 6 7  + 4 7  + 4 7  + 2 7  + 3 7  + 2 7   + O(7  )
---R                                                         Type: PAdicInteger 7
+--R                                                        Type: PAdicInteger(7)
 --E 10
 
 --S 11 of 20
@@ -126,7 +126,7 @@ r5 : PADIC 7 := root(pp,5)
 --R
 --R                      3      4      5      7      8      9      10      11
 --R   (11)  5 + 2 7 + 3 7  + 6 7  + 4 7  + 4 7  + 2 7  + 3 7  + 2 7   + O(7  )
---R                                                         Type: PAdicInteger 7
+--R                                                        Type: PAdicInteger(7)
 --E 11
 
 --S 12 of 20
@@ -139,7 +139,7 @@ r6 : PADIC 7 := root(pp,6)
 --R   + 
 --R        11
 --R     O(7  )
---R                                                         Type: PAdicInteger 7
+--R                                                        Type: PAdicInteger(7)
 --E 12
 
 --S 13 of 20
@@ -152,7 +152,7 @@ r6 : PADIC 7 := root(pp,6)
 --R   + 
 --R        3      4      5      6      7      8      9      10      11
 --R     6 7  + 6 7  + 6 7  + 6 7  + 6 7  + 6 7  + 6 7  + 6 7   + O(7  )
---R                                              Type: Polynomial PAdicInteger 7
+--R                                            Type: Polynomial(PAdicInteger(7))
 --E 13
 
 --S 14 of 20
@@ -161,7 +161,7 @@ rr1 : BPADIC 7 := root(pp,1)
 --R
 --R                11
 --R   (14)  1 + O(7  )
---R                                                 Type: BalancedPAdicInteger 7
+--R                                                Type: BalancedPAdicInteger(7)
 --E 14
 
 --S 15 of 20
@@ -170,7 +170,7 @@ rr2 : BPADIC 7 := root(pp,2)
 --R
 --R                      3    4      5    6      7      8      9      10      11
 --R   (15)  2 - 3 7 - 3 7  + 7  + 2 7  - 7  + 3 7  - 3 7  - 3 7  - 2 7   + O(7  )
---R                                                 Type: BalancedPAdicInteger 7
+--R                                                Type: BalancedPAdicInteger(7)
 --E 15
 
 --S 16 of 20
@@ -179,7 +179,7 @@ rr3 : BPADIC 7 := root(pp,3)
 --R
 --R                      3    4      5    6      7      8      9      10      11
 --R   (16)  3 - 3 7 - 3 7  + 7  + 2 7  - 7  + 3 7  - 3 7  - 3 7  - 2 7   + O(7  )
---R                                                 Type: BalancedPAdicInteger 7
+--R                                                Type: BalancedPAdicInteger(7)
 --E 16
 
 --S 17 of 20
@@ -189,7 +189,7 @@ rr4 : BPADIC 7 := root(pp,4)
 --R   (17)
 --R                  3    4      5    6      7      8      9      10      11
 --R   - 3 + 3 7 + 3 7  - 7  - 2 7  + 7  - 3 7  + 3 7  + 3 7  + 2 7   + O(7  )
---R                                                 Type: BalancedPAdicInteger 7
+--R                                                Type: BalancedPAdicInteger(7)
 --E 17
 
 --S 18 of 20
@@ -199,7 +199,7 @@ rr5 : BPADIC 7 := root(pp,5)
 --R   (18)
 --R                  3    4      5    6      7      8      9      10      11
 --R   - 2 + 3 7 + 3 7  - 7  - 2 7  + 7  - 3 7  + 3 7  + 3 7  + 2 7   + O(7  )
---R                                                 Type: BalancedPAdicInteger 7
+--R                                                Type: BalancedPAdicInteger(7)
 --E 18
 
 --S 19 of 20
@@ -208,7 +208,7 @@ rr6 : BPADIC 7 := root(pp,6)
 --R
 --R                  11
 --R   (19)  - 1 + O(7  )
---R                                                 Type: BalancedPAdicInteger 7
+--R                                                Type: BalancedPAdicInteger(7)
 --E 19
 
 --S 20 of 20
@@ -217,7 +217,7 @@ rr6 : BPADIC 7 := root(pp,6)
 --R
 --R          6      12  5      12  4      12  3      12  2      12            11
 --R   (20)  x  + O(7  )x  + O(7  )x  + O(7  )x  + O(7  )x  + O(7  )x - 1 + O(7  )
---R                                      Type: Polynomial BalancedPAdicInteger 7
+--R                                    Type: Polynomial(BalancedPAdicInteger(7))
 --E 20
 )spool 
 )lisp (bye)
diff --git a/src/input/page.input.pamphlet b/src/input/page.input.pamphlet
index e817fb6..5999bb5 100644
--- a/src/input/page.input.pamphlet
+++ b/src/input/page.input.pamphlet
@@ -188,7 +188,7 @@ map(expr,map(interpretString,a1=a2)::Equation(INFORM))
 --R         a   a  a   a
 --R   (16)  - + -= - + -
 --R         x   y  x   y
---R                                                    Type: Equation OutputForm
+--R                                                   Type: Equation(OutputForm)
 --E 16
 
 --S 17 of 18
@@ -197,7 +197,7 @@ map(expr,map(interpretString,a2=a3)::Equation(INFORM))
 --R         a   a  a x + a y
 --R   (17)  - + -= ---------
 --R         x   y     x y
---R                                                    Type: Equation OutputForm
+--R                                                   Type: Equation(OutputForm)
 --E 17
 
 --S 18 of 18
@@ -206,7 +206,7 @@ map(expr,map(interpretString,a1=a3)::Equation(INFORM))
 --R         a   a  a x + a y
 --R   (18)  - + -= ---------
 --R         x   y     x y
---R                                                    Type: Equation OutputForm
+--R                                                   Type: Equation(OutputForm)
 --E 18
 )spool 
 )lisp (bye)
diff --git a/src/input/parabola.input.pamphlet b/src/input/parabola.input.pamphlet
index 5874b8f..2793ce8 100644
--- a/src/input/parabola.input.pamphlet
+++ b/src/input/parabola.input.pamphlet
@@ -28,7 +28,7 @@ draw(curve(t**2 + 2*t - 1,t**2 + t - 2),t = -4..3)
 --R   Graph data being transmitted to the viewport manager...
 --R   AXIOM2D data being transmitted to the viewport manager...
 --R
---R   (1)  TwoDimensionalViewport: "t*t+2*t-1"
+--R   (1)  TwoDimensionalViewport: "t^2+2*t+-1"
 --R                                                 Type: TwoDimensionalViewport
 --E 1
 )spool 
diff --git a/src/input/pascal.input.pamphlet b/src/input/pascal.input.pamphlet
index 63950b7..89a0e3c 100644
--- a/src/input/pascal.input.pamphlet
+++ b/src/input/pascal.input.pamphlet
@@ -67,8 +67,8 @@ pn(n) == [p(i,n) for i in 1..n]
 --S 7 of 10
 pn(50)
 --R 
---R   Compiling function pn with type PositiveInteger -> List 
---R      PositiveInteger 
+--R   Compiling function pn with type PositiveInteger -> List(
+--R      PositiveInteger) 
 --R   pn will cache all previously computed values.
 --R
 --R   (6)
@@ -81,7 +81,7 @@ pn(50)
 --R    11554258485616, 6499270398159, 3348108992991, 1575580702584, 675248872536,
 --R    262596783764, 92263734836, 29135916264, 8217822536, 2054455634, 450978066,
 --R    85900584, 13983816, 1906884, 211876, 18424, 1176, 49, 1]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 7
 
 --S 8 of 10
@@ -93,15 +93,15 @@ pk n == [pn(i) for i in 1..n]
 --S 9 of 10
 pk 10
 --R 
---R   Compiling function pk with type PositiveInteger -> List List 
---R      PositiveInteger 
+--R   Compiling function pk with type PositiveInteger -> List(List(
+--R      PositiveInteger)) 
 --R   pk will cache all previously computed values.
 --R
 --R   (8)
 --R   [[1], [1,1], [1,2,1], [1,3,3,1], [1,4,6,4,1], [1,5,10,10,5,1],
 --R    [1,6,15,20,15,6,1], [1,7,21,35,35,21,7,1], [1,8,28,56,70,56,28,8,1],
 --R    [1,9,36,84,126,126,84,36,9,1]]
---R                                              Type: List List PositiveInteger
+--R                                            Type: List(List(PositiveInteger))
 --E 9
 
 \end{chunk}
diff --git a/src/input/pascal1.input.pamphlet b/src/input/pascal1.input.pamphlet
index 0f9e1b2..cb105a6 100644
--- a/src/input/pascal1.input.pamphlet
+++ b/src/input/pascal1.input.pamphlet
@@ -68,7 +68,7 @@ pr(n) == [p(i,n) for i in 1..n]
 l := [center blankSeparate [p(i,n)::OUTFORM for i in 1..n] for n in 1..10] ;
 --R 
 --R
---R                                                        Type: List OutputForm
+--R                                                       Type: List(OutputForm)
 --E 7
 )spool 
 )lisp (bye)
diff --git a/src/input/pat.input.pamphlet b/src/input/pat.input.pamphlet
index 9120420..d65aace 100644
--- a/src/input/pat.input.pamphlet
+++ b/src/input/pat.input.pamphlet
@@ -32,7 +32,7 @@ rule square(x) == x*x
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      square with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
diff --git a/src/input/patch51.input.pamphlet b/src/input/patch51.input.pamphlet
index 9ecd14a..b046d61 100644
--- a/src/input/patch51.input.pamphlet
+++ b/src/input/patch51.input.pamphlet
@@ -28,7 +28,7 @@ D(besselK(a,x),x)
 --R        - besselK(a + 1,x) - besselK(a - 1,x)
 --R   (1)  -------------------------------------
 --R                          2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 )spool 
 )lisp (bye)
diff --git a/src/input/patmatch.input.pamphlet b/src/input/patmatch.input.pamphlet
index 3b89f68..f1d971b 100644
--- a/src/input/patmatch.input.pamphlet
+++ b/src/input/patmatch.input.pamphlet
@@ -26,7 +26,7 @@ p := 3 * n ** 2 + 1
 --R
 --R          2
 --R   (1)  3n  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 22
@@ -35,7 +35,7 @@ q := 3 * n% ** 2 + 1
 --R
 --R           2
 --R   (2)  3n%  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 2
 
 --S 3 of 22
@@ -67,7 +67,7 @@ Is(a, p)
 --R 
 --R
 --R   (6)  [n= IV]
---R                                  Type: List Equation Polynomial RomanNumeral
+--R                               Type: List(Equation(Polynomial(RomanNumeral)))
 --E 6
 
 --S 7 of 22
@@ -75,7 +75,7 @@ Is(a, q)
 --R 
 --R
 --R   (7)  [n%= IV]
---R                                  Type: List Equation Polynomial RomanNumeral
+--R                               Type: List(Equation(Polynomial(RomanNumeral)))
 --E 7
 
 --S 8 of 22
@@ -83,7 +83,7 @@ Is(b, p)
 --R 
 --R
 --R   (8)  []
---R                                  Type: List Equation Polynomial RomanNumeral
+--R                               Type: List(Equation(Polynomial(RomanNumeral)))
 --E 8
 
 --S 9 of 22
@@ -91,7 +91,7 @@ Is(b, q)
 --R 
 --R
 --R   (9)  []
---R                                  Type: List Equation Polynomial RomanNumeral
+--R                               Type: List(Equation(Polynomial(RomanNumeral)))
 --E 9
 
 --S 10 of 22
@@ -99,7 +99,7 @@ Is(c, p)
 --R 
 --R
 --R   (10)  []
---R                                  Type: List Equation Polynomial RomanNumeral
+--R                               Type: List(Equation(Polynomial(RomanNumeral)))
 --E 10
 
 --S 11 of 22
@@ -107,7 +107,7 @@ Is(c, q)
 --R 
 --R
 --R   (11)  []
---R                                  Type: List Equation Polynomial RomanNumeral
+--R                               Type: List(Equation(Polynomial(RomanNumeral)))
 --E 11
 
 --S 12 of 22
@@ -117,7 +117,7 @@ ab := a / b
 --R         XLIX
 --R   (12)  ----
 --R          IV
---R                                                  Type: Fraction RomanNumeral
+--R                                                 Type: Fraction(RomanNumeral)
 --E 12
 
 --S 13 of 22
@@ -129,7 +129,7 @@ pq := p / q
 --R   (13)  --------
 --R            2
 --R         3n%  + 1
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 13
 
 --S 14 of 22
@@ -137,7 +137,7 @@ Is(ab, pq)
 --R 
 --R
 --R   (14)  []
---R                         Type: List Equation Polynomial Fraction RomanNumeral
+--R                     Type: List(Equation(Polynomial(Fraction(RomanNumeral))))
 --E 14
 
 --S 15 of 22
@@ -147,7 +147,7 @@ ab := rational ab
 --R         49
 --R   (15)  --
 --R          4
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 15
 
 --S 16 of 22
@@ -155,7 +155,7 @@ a  := rational a
 --R 
 --R
 --R   (16)  49
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 16
 
 --Is([ab, a], [pq, _:l, p])
@@ -182,7 +182,7 @@ myprimes := [i for i in 1.. | bar? i]
 --R   Compiling function bar? with type Integer -> Boolean 
 --R
 --R   (18)  [5,17,37,101,197,257,401,577,677,1297,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 18
 
 --S 19 of 22
@@ -191,7 +191,7 @@ p := x**2 + 3*x + 1
 --R
 --R          2
 --R   (19)  x  + 3x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 19
 
 --S 20 of 22
@@ -199,7 +199,7 @@ Is(p, n * y**2 + (2*n+1)*y + 1)
 --R 
 --R
 --R   (20)  []
---R                                       Type: List Equation Polynomial Integer
+--R                                    Type: List(Equation(Polynomial(Integer)))
 --E 20
 
 --S 21 of 22
@@ -207,7 +207,7 @@ Is(p, n% * y**2 + (2*n%+1)*y + 1)
 --R 
 --R
 --R   (21)  []
---R                                       Type: List Equation Polynomial Integer
+--R                                    Type: List(Equation(Polynomial(Integer)))
 --E 21
 
 --S 22 of 22
@@ -215,7 +215,7 @@ Is(3*x**2 + 9*x + 1, n * y**2 + n**2 * y + 1)
 --R 
 --R
 --R   (22)  [n= x,y= 3]
---R                                       Type: List Equation Polynomial Integer
+--R                                    Type: List(Equation(Polynomial(Integer)))
 --E 22
 )spool 
 )lisp (bye)
diff --git a/src/input/perm.input.pamphlet b/src/input/perm.input.pamphlet
index 3080fb4..c4bd940 100644
--- a/src/input/perm.input.pamphlet
+++ b/src/input/perm.input.pamphlet
@@ -36,7 +36,7 @@ x : List List PrimeField 29 :=
 --R 
 --R
 --R   (1)  [[23,19,7,9,12,11,15],[22,4,14,18,2,5,8],[21,20,10,16,13,6,17]]
---R                                                Type: List List PrimeField 29
+--R                                             Type: List(List(PrimeField(29)))
 --E 1
 
 --S 2 of 51
@@ -44,7 +44,7 @@ px : PERM PrimeField 29 := x
 --R 
 --R
 --R   (2)  (2 5 8 22 4 14 18)(6 17 21 20 10 16 13)(7 9 12 11 15 23 19)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 2
 
 \end{chunk}
@@ -57,7 +57,7 @@ w : List PrimeField 29 :=
 --R 
 --R
 --R   (3)  [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23]
---R                                                     Type: List PrimeField 29
+--R                                                   Type: List(PrimeField(29))
 --E 3
 
 --S 4 of 51
@@ -65,7 +65,7 @@ pw : PERM PrimeField 29 := cycle w
 --R 
 --R
 --R   (4)  (1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 4
 
 \end{chunk}
@@ -77,7 +77,7 @@ k : List List PrimeField 29 :=
 --R 
 --R
 --R   (5)  [[23,24],[22,16],[21,9],[20,19],[18,12],[17,14],[15,7],[10,6]]
---R                                                Type: List List PrimeField 29
+--R                                             Type: List(List(PrimeField(29)))
 --E 5
 
 --S 6 of 51
@@ -85,7 +85,7 @@ pk : PERM PrimeField 29 := cycles k
 --R 
 --R
 --R   (6)  (6 10)(7 15)(9 21)(12 18)(14 17)(16 22)(19 20)(23 24)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 6
 
 \end{chunk}
@@ -100,7 +100,7 @@ pw*pk
 --R 
 --R
 --R   (7)  (13 14 18)(8 9 22 17 15)(1 2 3 4 5 6 11 12 19 21 10 7 16 23 24)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 7
 
 --S 8 of 51
@@ -108,7 +108,7 @@ px**3
 --R 
 --R
 --R   (8)  (2 22 18 8 14 5 4)(6 20 13 21 16 17 10)(7 11 19 12 23 9 15)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 8
 
 \end{chunk}
@@ -119,7 +119,7 @@ inv px
 --R 
 --R
 --R   (9)  (2 18 14 4 22 8 5)(6 13 16 10 20 21 17)(7 19 23 15 11 12 9)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 9
 
 \end{chunk}
@@ -130,7 +130,7 @@ eval(px,17::PrimeField(29))
 --R 
 --R
 --R   (10)  21
---R                                                          Type: PrimeField 29
+--R                                                         Type: PrimeField(29)
 --E 10
 
 \end{chunk}
@@ -141,7 +141,7 @@ commutator(pk,pw)
 --R 
 --R
 --R   (11)  (5 21 7 15 9)(6 17 11 14 10)(8 19 12 18 20)(13 22 23 24 16)
---R                                              Type: Permutation PrimeField 29
+--R                                            Type: Permutation(PrimeField(29))
 --E 11
 
 \end{chunk}
@@ -154,7 +154,7 @@ orbit(px,11::PrimeField(29))
 --R 
 --R
 --R   (12)  {11,15,23,19,7,9,12}
---R                                                      Type: Set PrimeField 29
+--R                                                    Type: Set(PrimeField(29))
 --E 12
 
 \end{chunk}
@@ -166,7 +166,7 @@ movedPoints(pk)
 --R 
 --R
 --R   (13)  {16,22,19,20,14,17,6,10,15,7,18,12,21,9,23,24}
---R                                                      Type: Set PrimeField 29
+--R                                                    Type: Set(PrimeField(29))
 --E 13
 
 \end{chunk}
@@ -183,7 +183,7 @@ gp1 : PERMGRP PrimeField 29 := [ px , pk ]
 --R    ,
 --R       (6 10)(7 15)(9 21)(12 18)(14 17)(16 22)(19 20)(23 24)
 --R     >
---R                                         Type: PermutationGroup PrimeField 29
+--R                                       Type: PermutationGroup(PrimeField(29))
 --E 14
 
 --S 15 of 51
@@ -196,7 +196,7 @@ gp2 : PERMGRP PrimeField 29 := [ pw , px ]
 --R    ,
 --R       (2 5 8 22 4 14 18)(6 17 21 20 10 16 13)(7 9 12 11 15 23 19)
 --R     >
---R                                         Type: PermutationGroup PrimeField 29
+--R                                       Type: PermutationGroup(PrimeField(29))
 --E 15
 
 --S 16 of 51
@@ -209,7 +209,7 @@ gp3 : PERMGRP PrimeField 29 := [ pw , pk ]
 --R    ,
 --R       (6 10)(7 15)(9 21)(12 18)(14 17)(16 22)(19 20)(23 24)
 --R     >
---R                                         Type: PermutationGroup PrimeField 29
+--R                                       Type: PermutationGroup(PrimeField(29))
 --E 16
 
 \end{chunk}
@@ -260,7 +260,7 @@ m1 := [[1,1,0],[0,1,0],[0,0,1]]
 --R   (21)  |0  1  0|
 --R         |       |
 --R         +0  0  1+
---R                                                    Type: Matrix PrimeField 2
+--R                                                  Type: Matrix(PrimeField(2))
 --E 21
 
 --S 22 of 51
@@ -272,7 +272,7 @@ m2 := [[1,0,0],[0,1,1],[0,0,1]]
 --R   (22)  |0  1  1|
 --R         |       |
 --R         +0  0  1+
---R                                                    Type: Matrix PrimeField 2
+--R                                                  Type: Matrix(PrimeField(2))
 --E 22
 
 --S 23 of 51
@@ -284,7 +284,7 @@ m3 := [[1,0,0],[1,1,0],[0,0,1]]
 --R   (23)  |1  1  0|
 --R         |       |
 --R         +0  0  1+
---R                                                    Type: Matrix PrimeField 2
+--R                                                  Type: Matrix(PrimeField(2))
 --E 23
 
 --S 24 of 51
@@ -296,7 +296,7 @@ m4 := [[1,0,0],[0,1,0],[0,1,1]]
 --R   (24)  |0  1  0|
 --R         |       |
 --R         +0  1  1+
---R                                                    Type: Matrix PrimeField 2
+--R                                                  Type: Matrix(PrimeField(2))
 --E 24
 
 \end{chunk}
@@ -314,7 +314,7 @@ vl := [[0,0,1],[0,1,0],[0,1,1],[1,0,0],[1,0,1],[1,1,0],[1,1,1]]
 --R 
 --R
 --R   (26)  [[0,0,1],[0,1,0],[0,1,1],[1,0,0],[1,0,1],[1,1,0],[1,1,1]]
---R                                               Type: List Vector PrimeField 2
+--R                                            Type: List(Vector(PrimeField(2)))
 --E 26
 
 \end{chunk}
@@ -329,7 +329,7 @@ ll1 : List List Vector PrimeField 2 :=
 --R   (27)
 --R   [[[0,0,1],[0,0,1]], [[0,1,0],[1,1,0]], [[0,1,1],[1,1,1]], [[1,0,0],[1,0,0]],
 --R    [[1,0,1],[1,0,1]], [[1,1,0],[0,1,0]], [[1,1,1],[0,1,1]]]
---R                                          Type: List List Vector PrimeField 2
+--R                                      Type: List(List(Vector(PrimeField(2))))
 --E 28
 
 --S 29 of 51
@@ -340,7 +340,7 @@ ll2 : List List Vector PrimeField 2 :=
 --R   (28)
 --R   [[[0,0,1],[0,1,1]], [[0,1,0],[0,1,0]], [[0,1,1],[0,0,1]], [[1,0,0],[1,0,0]],
 --R    [[1,0,1],[1,1,1]], [[1,1,0],[1,1,0]], [[1,1,1],[1,0,1]]]
---R                                          Type: List List Vector PrimeField 2
+--R                                      Type: List(List(Vector(PrimeField(2))))
 --E 29
 
 --S 30 of 51
@@ -351,7 +351,7 @@ ll3 : List List Vector PrimeField 2 :=
 --R   (29)
 --R   [[[0,0,1],[0,0,1]], [[0,1,0],[0,1,0]], [[0,1,1],[0,1,1]], [[1,0,0],[1,1,0]],
 --R    [[1,0,1],[1,1,1]], [[1,1,0],[1,0,0]], [[1,1,1],[1,0,1]]]
---R                                          Type: List List Vector PrimeField 2
+--R                                      Type: List(List(Vector(PrimeField(2))))
 --E 30
 
 --S 31 of 51
@@ -362,7 +362,7 @@ ll4 : List List Vector PrimeField 2 :=
 --R   (30)
 --R   [[[0,0,1],[0,0,1]], [[0,1,0],[0,1,1]], [[0,1,1],[0,1,0]], [[1,0,0],[1,0,0]],
 --R    [[1,0,1],[1,0,1]], [[1,1,0],[1,1,1]], [[1,1,1],[1,1,0]]]
---R                                          Type: List List Vector PrimeField 2
+--R                                      Type: List(List(Vector(PrimeField(2))))
 --E 31
 
 \end{chunk}
@@ -373,7 +373,7 @@ el1 : PERM Vector PrimeField 2 := coerceListOfPairs ll1
 --R 
 --R
 --R   (31)  ([1,1,0] [0,1,0])([1,1,1] [0,1,1])
---R                                        Type: Permutation Vector PrimeField 2
+--R                                     Type: Permutation(Vector(PrimeField(2)))
 --E 32
 
 --S 33 of 51
@@ -381,7 +381,7 @@ el2 : PERM Vector PrimeField 2 := coerceListOfPairs ll2
 --R 
 --R
 --R   (32)  ([0,1,1] [0,0,1])([1,1,1] [1,0,1])
---R                                        Type: Permutation Vector PrimeField 2
+--R                                     Type: Permutation(Vector(PrimeField(2)))
 --E 33
 
 --S 34 of 51
@@ -389,7 +389,7 @@ el3 : PERM Vector PrimeField 2 := coerceListOfPairs ll3
 --R 
 --R
 --R   (33)  ([1,1,0] [1,0,0])([1,1,1] [1,0,1])
---R                                        Type: Permutation Vector PrimeField 2
+--R                                     Type: Permutation(Vector(PrimeField(2)))
 --E 34
 
 --S 35 of 51
@@ -397,7 +397,7 @@ el4 : PERM Vector PrimeField 2 := coerceListOfPairs ll4
 --R 
 --R
 --R   (34)  ([0,1,1] [0,1,0])([1,1,1] [1,1,0])
---R                                        Type: Permutation Vector PrimeField 2
+--R                                     Type: Permutation(Vector(PrimeField(2)))
 --E 35
 
 \end{chunk}
@@ -408,7 +408,7 @@ eval ( el3 , vl.5 )
 --R 
 --R
 --R   (35)  [1,1,1]
---R                                                    Type: Vector PrimeField 2
+--R                                                  Type: Vector(PrimeField(2))
 --E 36
 
 --S 37 of 51
@@ -416,7 +416,7 @@ el2 * el1
 --R 
 --R
 --R   (36)  ([0,1,0] [1,1,0])([0,1,1] [1,0,1] [1,1,1] [0,0,1])
---R                                        Type: Permutation Vector PrimeField 2
+--R                                     Type: Permutation(Vector(PrimeField(2)))
 --E 37
 
 --S 38 of 51
@@ -424,7 +424,7 @@ movedPoints el4
 --R 
 --R
 --R   (37)  {[1,1,1],[1,1,0],[0,1,1],[0,1,0]}
---R                                                Type: Set Vector PrimeField 2
+--R                                             Type: Set(Vector(PrimeField(2)))
 --E 38
 
 \end{chunk}
@@ -440,7 +440,7 @@ gl : PERMGRP Vector PrimeField 2 := [ el1 , el2 , el3 , el4 ]
 --R    ,
 --R       ([1,1,0] [1,0,0])([1,1,1] [1,0,1]),([0,1,1] [0,1,0])([1,1,1] [1,1,0])
 --R     >
---R                                   Type: PermutationGroup Vector PrimeField 2
+--R                                Type: PermutationGroup(Vector(PrimeField(2)))
 --E 39
 
 \end{chunk}
@@ -462,7 +462,7 @@ setOfVectors : Set Vector PrimeField 2 := brace [ vl.2 , vl.4 , vl.6 ]
 --R 
 --R
 --R   (40)  {[0,1,0],[1,0,0],[1,1,0]}
---R                                                Type: Set Vector PrimeField 2
+--R                                             Type: Set(Vector(PrimeField(2)))
 --E 41
 
 \end{chunk}
@@ -477,7 +477,7 @@ orbit ( gl, setOfVectors )
 --R    {[0,0,1],[1,0,0],[1,0,1]}, {[0,1,1],[1,1,0],[1,0,1]},
 --R    {[0,0,1],[1,1,0],[1,1,1]}, {[1,1,1],[0,1,0],[1,0,1]},
 --R    {[0,0,1],[0,1,0],[0,1,1]}}
---R                                            Type: Set Set Vector PrimeField 2
+--R                                        Type: Set(Set(Vector(PrimeField(2))))
 --E 42
 
 \end{chunk}
@@ -488,7 +488,7 @@ listOfVectors : List Vector PrimeField 2 := parts setOfVectors
 --R 
 --R
 --R   (42)  [[0,1,0],[1,0,0],[1,1,0]]
---R                                               Type: List Vector PrimeField 2
+--R                                            Type: List(Vector(PrimeField(2)))
 --E 43
 
 --S 44 of 51
@@ -517,7 +517,7 @@ orbit ( gl, listOfVectors )
 --R    [[1,1,1],[0,0,1],[1,1,0]], [[0,0,1],[0,1,1],[0,1,0]],
 --R    [[1,1,0],[0,0,1],[1,1,1]], [[0,1,0],[0,1,1],[0,0,1]],
 --R    [[0,1,1],[0,0,1],[0,1,0]], [[0,1,0],[0,0,1],[0,1,1]]}
---R                                           Type: Set List Vector PrimeField 2
+--R                                       Type: Set(List(Vector(PrimeField(2))))
 --E 44
 
 \end{chunk}
@@ -529,7 +529,7 @@ f : PERM INT := cycles [[11,13,15,17],[12,14,16,18],[51,31,21,41],[53,33,23,43],
 --R 
 --R
 --R   (44)  (11 13 15 17)(12 14 16 18)(21 41 51 31)(22 42 52 32)(23 43 53 33)
---R                                                    Type: Permutation Integer
+--R                                                   Type: Permutation(Integer)
 --E 45
 
 --S 46 of 51
@@ -538,7 +538,7 @@ r : PERM INT := cycles [[21,23,25,27],[22,24,26,28],[13,37,67,43],[15,31,61,45],
 --R 
 --R
 --R   (45)  (13 37 67 43)(14 38 68 44)(15 31 61 45)(21 23 25 27)(22 24 26 28)
---R                                                    Type: Permutation Integer
+--R                                                   Type: Permutation(Integer)
 --E 46
 
 \end{chunk}
@@ -549,7 +549,7 @@ Some calculation in Rubik's group:
 --R 
 --R
 --R   (46)  (12 16)(24 28)(32 42)(38 44)
---R                                                    Type: Permutation Integer
+--R                                                   Type: Permutation(Integer)
 --E 47
 
 --S 48 of 51
@@ -570,7 +570,7 @@ rc := rubiksGroup()
 --R    ,
 --R       (25 35 55 45)(26 36 56 46)(27 37 57 47)(61 63 65 67)(62 64 66 68)
 --R     >
---R                                               Type: PermutationGroup Integer
+--R                                              Type: PermutationGroup(Integer)
 --E 48
 
 --S 49 of 51
@@ -588,7 +588,7 @@ orbits rc
 --R   (49)
 --R   {{11,13,15,17,21,23,25,27,31,33,35,37,41,43,45,47,51,53,55,57,61,63,65,67},
 --R    {12,14,16,18,22,24,26,28,32,34,36,38,42,44,46,48,52,54,56,58,62,64,66,68}}
---R                                                        Type: Set Set Integer
+--R                                                      Type: Set(Set(Integer))
 --E 50
 
 \end{chunk}
diff --git a/src/input/perman.input.pamphlet b/src/input/perman.input.pamphlet
index 4b88496..032efdb 100644
--- a/src/input/perman.input.pamphlet
+++ b/src/input/perman.input.pamphlet
@@ -33,7 +33,7 @@ kn n ==
 --S 2 of 3
 permanent(kn(5) :: SQMATRIX(5,INT))
 --R 
---R   Compiling function kn with type PositiveInteger -> Matrix Integer 
+--R   Compiling function kn with type PositiveInteger -> Matrix(Integer) 
 --R
 --R   (2)  44
 --R                                                        Type: PositiveInteger
@@ -49,7 +49,7 @@ permanent(kn(5) :: SQMATRIX(5,INT))
 --R
 --R   (3)
 --R   [0,1,2,9,44,265,1854,14833,133496,1334961,14684570,176214841,2290792932]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 3
 )spool 
 )lisp (bye)
diff --git a/src/input/pfaffian.input.pamphlet b/src/input/pfaffian.input.pamphlet
index 5708851..38c5d45 100644
--- a/src/input/pfaffian.input.pamphlet
+++ b/src/input/pfaffian.input.pamphlet
@@ -97,10 +97,10 @@ The first 8 values computed are:
 --S 2 of 26
 B0 1
 --R 
---R   Compiling function B0 with type PositiveInteger -> Matrix Integer 
+--R   Compiling function B0 with type PositiveInteger -> Matrix(Integer) 
 --R
 --R   (2)  [0]
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 2
 
 --S 3 of 26
@@ -110,7 +110,7 @@ B0 2
 --R        + 0   1+
 --R   (3)  |      |
 --R        +- 1  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 3
 
 --S 4 of 26
@@ -122,7 +122,7 @@ B0 3
 --R   (4)  |- 1  0  0|
 --R        |         |
 --R        + 0   0  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 4
 
 --S 5 of 26
@@ -136,7 +136,7 @@ B0 4
 --R        | 0   0   0   1|
 --R        |              |
 --R        + 0   0  - 1  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 5
 
 --S 6 of 26
@@ -152,7 +152,7 @@ B0 5
 --R        | 0   0  - 1  0  0|
 --R        |                 |
 --R        + 0   0   0   0  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 6
 
 --S 7 of 26
@@ -170,7 +170,7 @@ B0 6
 --R        | 0   0   0   0   0   1|
 --R        |                      |
 --R        + 0   0   0   0  - 1  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 7
 
 --S 8 of 26
@@ -190,7 +190,7 @@ B0 7
 --R        | 0   0   0   0  - 1  0  0|
 --R        |                         |
 --R        + 0   0   0   0   0   0  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 8
 
 --S 9 of 26
@@ -212,7 +212,7 @@ B0 8
 --R        | 0   0   0   0   0   0   0   1|
 --R        |                              |
 --R        + 0   0   0   0   0   0  - 1  0+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 9
 
 --S 10 of 26
@@ -261,20 +261,20 @@ m:Matrix(Integer):=[[0,15],[-15,0]]
 --R         + 0    15+
 --R   (12)  |        |
 --R         +- 15  0 +
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 12
 
 --S 13 of 26
 pfaffian m
 --R 
---R   Compiling function B0 with type Integer -> Matrix Integer 
+--R   Compiling function B0 with type Integer -> Matrix(Integer) 
 --R   The type of the local variable res has changed in the computation.
 --R   We will attempt to interpret the code.
 --R   Cannot compile map: PfChar 
 --R   We will attempt to interpret the code.
 --R
 --R   (13)  15
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 13
 
 --S 14 of 26
@@ -288,7 +288,7 @@ m1:Matrix(Polynomial(Integer)):=[[0,a,b,c],[-a,0,d,e],[-b,-d,0,f],[-c,-e,-f,0]]
 --R         |- b  - d   0   f|
 --R         |                |
 --R         +- c  - e  - f  0+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 14
 
 --S 15 of 26
@@ -296,7 +296,7 @@ pfaffian m1
 --R 
 --R
 --R   (15)  a f - b e + c d
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 15
 
 --S 16 of 26
@@ -318,7 +318,7 @@ m1
 --R         |- b  - d   0   f|
 --R         |                |
 --R         +- c  - e  - f  0+
---R                                              Type: Matrix Polynomial Integer
+--R                                            Type: Matrix(Polynomial(Integer))
 --E 17
 
 --S 18 of 26
@@ -334,7 +334,7 @@ n:=pfaffian m1
 --R 
 --R
 --R   (19)  a f - b e + c d
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 19
 
 --S 20 of 26
@@ -342,7 +342,7 @@ eval(n,['a,'b,'c,'d,'e,'f]::List(Symbol),[a,b,c,d,e,f])
 --R 
 --R
 --R   (20)  63
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 20
 
 \end{chunk}
diff --git a/src/input/pfr.input.pamphlet b/src/input/pfr.input.pamphlet
index 5d93f1e..c594ea6 100644
--- a/src/input/pfr.input.pamphlet
+++ b/src/input/pfr.input.pamphlet
@@ -31,7 +31,7 @@ partialFraction(1,factor factorial 10)
 --R   (1)  --- - -- - -- + -
 --R          8    4    2   7
 --R         2    3    5
---R                            Type: PartialFraction Integer
+--R                           Type: PartialFraction(Integer)
 --E 1
 
 --S 2 of 16
@@ -43,7 +43,7 @@ f := padicFraction %
 --R   - + -- + -- + -- + -- + -- - -- - -- - -- - - - -- + -
 --R   2    4    5    6    7    8    2    3    4   5    2   7
 --R       2    2    2    2    2    3    3    3        5
---R                            Type: PartialFraction Integer
+--R                           Type: PartialFraction(Integer)
 --E 2
 
 --S 3 of 16
@@ -54,7 +54,7 @@ compactFraction %
 --R   (3)  --- - -- - -- + -
 --R          8    4    2   7
 --R         2    3    5
---R                            Type: PartialFraction Integer
+--R                           Type: PartialFraction(Integer)
 --E 3
 
 --S 4 of 16
@@ -81,7 +81,7 @@ t3 := nthFractionalTerm(f,3)
 --R   (6)  --
 --R         5
 --R        2
---R                            Type: PartialFraction Integer
+--R                           Type: PartialFraction(Integer)
 --E 6
 
 --S 7 of 16
@@ -98,7 +98,7 @@ firstDenom t3
 --R
 --R         5
 --R   (8)  2
---R                                   Type: Factored Integer
+--R                                  Type: Factored(Integer)
 --E 8
 
 --S 9 of 16
@@ -106,7 +106,7 @@ g := - 13 + 14 * %i
 --R 
 --R
 --R   (9)  - 13 + 14%i
---R                                    Type: Complex Integer
+--R                                   Type: Complex(Integer)
 --E 9
 
 --S 10 of 16
@@ -116,7 +116,7 @@ g := - 13 + 14 * %i
 --R               %i
 --R   (10)  - ---------
 --R           14 + 13%i
---R                           Type: Fraction Complex Integer
+--R                         Type: Fraction(Complex(Integer))
 --E 10
 
 --S 11 of 16
@@ -126,7 +126,7 @@ partialFraction(1,factor g)
 --R              1         4
 --R   (11)  - ------- + -------
 --R           1 + 2%i   3 + 8%i
---R                    Type: PartialFraction Complex Integer
+--R                  Type: PartialFraction(Complex(Integer))
 --E 11
 
 --S 12 of 16
@@ -136,7 +136,7 @@ partialFraction(1,factor g)
 --R               %i
 --R   (12)  - ---------
 --R           14 + 13%i
---R                           Type: Fraction Complex Integer
+--R                         Type: Fraction(Complex(Integer))
 --E 12
 
 --S 13 of 16
@@ -146,7 +146,7 @@ partialFraction(1,factor g)
 --R            13    14
 --R   (13)  - --- - --- %i
 --R           365   365
---R                           Type: Complex Fraction Integer
+--R                         Type: Complex(Fraction(Integer))
 --E 13
 
 )clear all
@@ -157,7 +157,7 @@ u : FR UP(x,FRAC INT) := reduce(*,[primeFactor(x+i,i) for i in 0..4])
 --R
 --R                      2       3       4
 --R   (1)  (x + 1)(x + 2) (x + 3) (x + 4)
---R  Type: Factored UnivariatePolynomial(x,Fraction Integer)
+--RType: Factored(UnivariatePolynomial(x,Fraction(Integer)))
 --E 14
 
 --S 15 of 16
@@ -178,7 +178,7 @@ partialFraction(1,u)
 --R     ---------------------------------
 --R                         4
 --R                  (x + 4)
---RType: PartialFraction UnivariatePolynomial(x,Fraction Integer)
+--RType: PartialFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 15
 
 --S 16 of 16
@@ -199,7 +199,7 @@ padicFraction %
 --R     ----- + -------- + -------- + --------
 --R     x + 4          2          3          4
 --R             (x + 4)    (x + 4)    (x + 4)
---RType: PartialFraction UnivariatePolynomial(x,Fraction Integer)
+--RType: PartialFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 16
 )spool 
 )lisp (bye)
diff --git a/src/input/pfr1.input.pamphlet b/src/input/pfr1.input.pamphlet
index c774de2..610785c 100644
--- a/src/input/pfr1.input.pamphlet
+++ b/src/input/pfr1.input.pamphlet
@@ -28,7 +28,7 @@ partialFraction(1,factorial 10)
 --R   (1)  --- - -- - -- + -
 --R          8    4    2   7
 --R         2    3    5
---R                                                Type: PartialFraction Integer
+--R                                               Type: PartialFraction(Integer)
 --E 1
 
 --S 2 of 10
@@ -39,7 +39,7 @@ f := padicFraction(%)
 --R   (2)  - + -- + -- + -- + -- + -- - -- - -- - -- - - - -- + -
 --R        2    4    5    6    7    8    2    3    4   5    2   7
 --R            2    2    2    2    2    3    3    3        5
---R                                                Type: PartialFraction Integer
+--R                                               Type: PartialFraction(Integer)
 --E 2
 
 --S 3 of 10
@@ -50,7 +50,7 @@ compactFraction(f)
 --R   (3)  --- - -- - -- + -
 --R          8    4    2   7
 --R         2    3    5
---R                                                Type: PartialFraction Integer
+--R                                               Type: PartialFraction(Integer)
 --E 3
 
 --S 4 of 10
@@ -69,7 +69,7 @@ nthFractionalTerm(f,3)
 --R   (5)  --
 --R         5
 --R        2
---R                                                Type: PartialFraction Integer
+--R                                               Type: PartialFraction(Integer)
 --E 5
 
 --S 6 of 10
@@ -79,7 +79,7 @@ partialFraction(1,- 13 + 14 * %i)
 --R             1         4
 --R   (6)  - ------- + -------
 --R          1 + 2%i   3 + 8%i
---R                                        Type: PartialFraction Complex Integer
+--R                                      Type: PartialFraction(Complex(Integer))
 --E 6
 
 --S 7 of 10
@@ -89,7 +89,7 @@ partialFraction(1,- 13 + 14 * %i)
 --R              %i
 --R   (7)  - ---------
 --R          14 + 13%i
---R                                               Type: Fraction Complex Integer
+--R                                             Type: Fraction(Complex(Integer))
 --E 7
 
 --S 8 of 10
@@ -98,7 +98,7 @@ u : FR UP(x, FRAC INT) := reduce(*,[primeFactor(x+i,i) for i in 1..4])
 --R
 --R                      2       3       4
 --R   (8)  (x + 1)(x + 2) (x + 3) (x + 4)
---R                      Type: Factored UnivariatePolynomial(x,Fraction Integer)
+--R                    Type: Factored(UnivariatePolynomial(x,Fraction(Integer)))
 --E 8
 
 --S 9 of 10
@@ -112,7 +112,7 @@ partialFraction(1,u)
 --R   ----- + -------- + ------------------- + ---------------------------------
 --R   x + 1          2                3                            4
 --R           (x + 2)          (x + 3)                      (x + 4)
---R               Type: PartialFraction UnivariatePolynomial(x,Fraction Integer)
+--R             Type: PartialFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 9
 
 --S 10 of 10
@@ -133,7 +133,7 @@ padicFraction %
 --R     -------- + --------
 --R            3          4
 --R     (x + 4)    (x + 4)
---R               Type: PartialFraction UnivariatePolynomial(x,Fraction Integer)
+--R             Type: PartialFraction(UnivariatePolynomial(x,Fraction(Integer)))
 --E 10
 )spool 
 )lisp (bye)
diff --git a/src/input/pmint.input.pamphlet b/src/input/pmint.input.pamphlet
index dd46aa2..15427e5 100644
--- a/src/input/pmint.input.pamphlet
+++ b/src/input/pmint.input.pamphlet
@@ -205,7 +205,7 @@ t1a:=(x^7-24*x^4-4*x^2+8*x-8)/(x^8+6*x^6+12*x^4+8*x^2)
 --R   (1)  ------------------------
 --R           8     6      4     2
 --R          x  + 6x  + 12x  + 8x
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 1
 
 --S 2 of 60
@@ -217,7 +217,7 @@ t1b:=(4+8*x^2+6*x+3*x^3)/(x*(x^4+4*x^2+4))+log(x)
 --R   (2)  ------------------------------------------
 --R                        5     3
 --R                       x  + 4x  + 4x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 60
@@ -229,7 +229,7 @@ t1c:=integrate(t1a,x)
 --R   (3)  ------------------------------------------
 --R                        5     3
 --R                       x  + 4x  + 4x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 3
 
 --S 4 of 60
@@ -237,7 +237,7 @@ t1d:=t1c-t1b
 --R 
 --R
 --R   (4)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 \end{chunk}
@@ -254,7 +254,7 @@ t2a:=(x-tan(x))/tan(x)^2+tan(x)
 --R   (1)  --------------------
 --R                     2
 --R               tan(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 60
@@ -265,7 +265,7 @@ t2b:=(-x-(1/2)*tan(x)*x^2)/tan(x)+(1/2)*log(1+tan(x)^2)
 --R        tan(x)log(tan(x)  + 1) - x tan(x) - 2x
 --R   (2)  --------------------------------------
 --R                        2tan(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 60
@@ -276,7 +276,7 @@ t2c:=integrate(t2a,x)
 --R        tan(x)log(tan(x)  + 1) - x tan(x) - 2x
 --R   (3)  --------------------------------------
 --R                        2tan(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 7
 
 --S 8 of 60
@@ -284,7 +284,7 @@ t2d:=t2c-t2b
 --R 
 --R
 --R   (4)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 \end{chunk}
@@ -301,7 +301,7 @@ t3a:=(1+x+x*exp(x))*(x+log(x)+exp(x)-1)/((x+log(x)+exp(x))^2*x)
 --R   (1)  ---------------------------------------------------------
 --R                2         x     2               x 2     2  x    3
 --R        x log(x)  + (2x %e  + 2x )log(x) + x (%e )  + 2x %e  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 60
@@ -313,7 +313,7 @@ t3b:=1/(x+log(x)+exp(x))+log(x+log(x)+exp(x))
 --R   (2)  -------------------------------------------
 --R                                 x
 --R                      log(x) + %e  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 60
@@ -325,7 +325,7 @@ t3c:=integrate(t3a,x)
 --R   (3)  -------------------------------------------
 --R                                 x
 --R                      log(x) + %e  + x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 11
 
 --S 12 of 60
@@ -344,7 +344,7 @@ t3d:=t3b-t3a
 --R  /
 --R             2         x     2               x 2     2  x    3
 --R     x log(x)  + (2x %e  + 2x )log(x) + x (%e )  + 2x %e  + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 \end{chunk}
@@ -362,7 +362,7 @@ t4a:=exp(-x^2)*erf(x)/(erf(x)^3-erf(x)^2-erf(x)+1)
 --R   (1)  ------------------------------
 --R              3         2
 --R        erf(x)  - erf(x)  - erf(x) + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 60
@@ -378,7 +378,7 @@ t4b:=-(1/4)*(sqrt(%pi)/(erf(x)-1))-(1/8)*sqrt(%pi)*log(erf(x)+1)+_
 --R       - 2\|%pi
 --R  /
 --R     8erf(x) - 8
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 --S 15 of 60
@@ -390,7 +390,7 @@ t4c:=integrate(t4a,x)
 --R                              erf(x) + 1
 --R   (3)  -------------------------------------------
 --R                        8erf(x) - 8
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 15
 
 --S 16 of 60
@@ -402,7 +402,7 @@ t4d:=t4c-t4b
 --R                                                                  erf(x) + 1
 --R   (4)  ---------------------------------------------------------------------
 --R                                          8
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 16
 
 \end{chunk}
@@ -422,7 +422,7 @@ t5a:=(x-AiryAi(x)*AiryAi(1,x))/(x^2-AiryAi(x)^2)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      AiryAi with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -440,7 +440,7 @@ t5b:=(1/2)*log(x+AiryAi(x))+(1/2)*log(x-AiryAi(x))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      AiryAi with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -451,7 +451,7 @@ t5c:=integrate(t5a,x)
 --R 
 --R
 --R   (1)  t5a x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 19
 
 --S 20 of 60
@@ -459,7 +459,7 @@ t5d:=t5b-t5c
 --R 
 --R
 --R   (2)  - t5a x + t5b
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 20
 
 )clear all
@@ -475,7 +475,7 @@ t5e:=x^2*AiryAi(x)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      AiryAi with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -493,7 +493,7 @@ t5f:=-AiryAi(x)+AiryAi(1,x)*x
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      AiryAi with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -504,7 +504,7 @@ t5g:=integrate(t5e,x)
 --R 
 --R
 --R   (1)  t5e x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 23
 
 --S 24 of 60
@@ -512,7 +512,7 @@ t5h:=t5f-t5g
 --R 
 --R
 --R   (2)  - t5e x + t5f
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 24
 
 \end{chunk}
@@ -532,8 +532,8 @@ t6a:=BesselJ(nu+1,x)/BesselJ(nu,x)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      BesselJ with argument type(s) 
---R                             Polynomial Integer
---R                                 Variable x
+--R                             Polynomial(Integer)
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -551,8 +551,8 @@ t6b:=nu*log(x)-log(BesselJ(nu,x))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      BesselJ with argument type(s) 
---R                                 Variable nu
---R                                 Variable x
+--R                                Variable(nu)
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -563,7 +563,7 @@ t6c:=integrate(t6a,x)
 --R 
 --R
 --R   (1)  t6a x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 27
 
 --S 28 of 60
@@ -571,7 +571,7 @@ t6d:=t6b-t6c
 --R 
 --R
 --R   (2)  - t6a x + t6b
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 28
 
 )clear all
@@ -587,8 +587,8 @@ t6e:=normal(nu*BesselJ(nu,x)/x-BesselJ(nu+1,x))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      BesselJ with argument type(s) 
---R                                 Variable nu
---R                                 Variable x
+--R                                Variable(nu)
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -606,8 +606,8 @@ t6f:=BesselJ(nu,x)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      BesselJ with argument type(s) 
---R                                 Variable nu
---R                                 Variable x
+--R                                Variable(nu)
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -618,7 +618,7 @@ t6g:=integrate(t6e,x)
 --R 
 --R
 --R   (1)  t6e x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 31
 
 --S 32 of 60
@@ -626,7 +626,7 @@ t6h:=t6f-t6g
 --R 
 --R
 --R   (2)  - t6e x + t6f
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 32
 
 \end{chunk}
@@ -646,9 +646,9 @@ t7a:=WhittakerW(mu+1,nu,x)/(WhittakerW(mu,nu,x)*x)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      WhittakerW with argument type(s) 
---R                             Polynomial Integer
---R                                 Variable nu
---R                                 Variable x
+--R                             Polynomial(Integer)
+--R                                Variable(nu)
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -666,9 +666,9 @@ t7b:=(x/2)-mu*log(x)-log(WhattakerW(mu,nu,x))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      WhattakerW with argument type(s) 
---R                                 Variable mu
---R                                 Variable nu
---R                                 Variable x
+--R                                Variable(mu)
+--R                                Variable(nu)
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -679,7 +679,7 @@ t7c:=integrate(t7a,x)
 --R 
 --R
 --R   (1)  t7a x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 35
 
 --S 36 of 60
@@ -687,7 +687,7 @@ t7d:=t7b-t7c
 --R 
 --R
 --R   (2)  - t7a x + t7b
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 36
 
 \end{chunk}
@@ -707,7 +707,7 @@ t8a:=LambertW(x)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -725,7 +725,7 @@ t8b:=(x^2+LambertW(x)^2*x^2-LambertW(x)*x^2)/(x*LambertW(x))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -736,7 +736,7 @@ t8c:=integrate(t8a,x)
 --R 
 --R
 --R   (1)  t8a x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 39
 
 --S 40 of 60
@@ -744,7 +744,7 @@ t8d:=t8b-t8c
 --R 
 --R
 --R   (2)  - t8a x + t8b
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 40
 
 )clear all
@@ -760,7 +760,7 @@ t8e:=sin(LambertW(x))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -782,7 +782,7 @@ t8f:=((1/2)*LambertW(x)*tan((1/2)*LambertW(x))^2*x^2+_
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                                 Variable x
+--R                                 Variable(x)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -793,7 +793,7 @@ t8g:=integrate(t8e,x)
 --R 
 --R
 --R   (1)  t8e x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 43
 
 --S 44 of 60
@@ -801,7 +801,7 @@ t8h:=t8f-t8g
 --R 
 --R
 --R   (2)  - t8e x + t8f
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 44
 
 )clear all
@@ -817,7 +817,7 @@ t8i:=((x^2+2)*LambertW(x^2)^2+x^2*(2*LambertW(x^2)+1))/(x*(1+LambertW(x^2)^3))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -841,7 +841,7 @@ t8j:=((1/2)*x^4*LambertW(x^2)^2+_
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -852,7 +852,7 @@ t8k:=integrate(t8i,x)
 --R 
 --R
 --R   (1)  t8i x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 47
 
 --S 48 of 60
@@ -860,7 +860,7 @@ t8l:=t8j-t8k
 --R 
 --R
 --R   (2)  - t8i x + t8j
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 48
 
 )clear all
@@ -878,7 +878,7 @@ t8m:=(2*LambertW(x^2)*cos(LambertW(x^2))*(a*x+LambertW(x^2))+_
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -897,7 +897,7 @@ t8n:=(2*tan((1/2)*LambertW(x^2)))/(1+tan((1/2)*LambertW(x^2))^2)+_
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                             Polynomial Integer
+--R                             Polynomial(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -908,7 +908,7 @@ t8o:=integrate(t8m,x)
 --R 
 --R
 --R   (1)  t8m x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 51
 
 --S 52 of 60
@@ -916,7 +916,7 @@ t8p:=t8n-t8o
 --R 
 --R
 --R   (2)  - t8m x + t8n
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 52
 
 \end{chunk}
@@ -936,7 +936,7 @@ t9a:=LambertW(exp(x))
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                             Expression Integer
+--R                             Expression(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -954,7 +954,7 @@ t9b:=(1/2)*LambertW(exp(x))*(LambertW(exp(x))+2)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                             Expression Integer
+--R                             Expression(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -965,7 +965,7 @@ t9c:=integrate(t9a,x)
 --R 
 --R
 --R   (1)  t9a x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 55
 
 --S 56 of 60
@@ -973,7 +973,7 @@ t9d:=t9b-t9c
 --R 
 --R
 --R   (2)  - t9a x + t9b
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 56
 
 )clear all
@@ -990,7 +990,7 @@ t9e:=(1+LambertW(exp(x))*(2+cos(LambertW(exp(x)))*(x+LambertW(exp(x)))))/_
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                             Expression Integer
+--R                             Expression(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1009,7 +1009,7 @@ t9f:=(2*tan((1/2)*LambertW(exp(x))))/(1+tan((1/2)LambertW(exp(x)))^2)+_
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      LambertW with argument type(s) 
---R                             Expression Integer
+--R                             Expression(Integer)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1020,7 +1020,7 @@ t9g:=integrate(t9e,x)
 --R 
 --R
 --R   (1)  t9e x
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 59
 
 --S 60 of 60
@@ -1028,7 +1028,7 @@ t9h:=t9f-t9g
 --R 
 --R
 --R   (2)  - t9e x + t9f
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 60
 )spool 
 )lisp (bye)
diff --git a/src/input/poly.input.pamphlet b/src/input/poly.input.pamphlet
index 01a8451..04fedd5 100644
--- a/src/input/poly.input.pamphlet
+++ b/src/input/poly.input.pamphlet
@@ -25,7 +25,7 @@ a := rootOf(a**4+1,a)
 --R 
 --R
 --R   (1)  a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 54
@@ -34,7 +34,7 @@ definingPolynomial a
 --R
 --R         4
 --R   (2)  a  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 54
@@ -42,7 +42,7 @@ b := rootOf(b**2-a-1,b)
 --R 
 --R
 --R   (3)  b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 54
@@ -50,7 +50,7 @@ a + b
 --R 
 --R
 --R   (4)  b + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 54
@@ -59,7 +59,7 @@ a + b
 --R
 --R            3      2                 3      2
 --R   (5)  (10a  + 11a  + 2a - 4)b + 15a  + 10a  + 4a - 10
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 54
@@ -67,7 +67,7 @@ rootOf(c**2+c+1,c)
 --R 
 --R
 --R   (6)  c
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 54
@@ -78,7 +78,7 @@ zeroOf(d**2+d+1,d)
 --R        \|- 3  - 1
 --R   (7)  ----------
 --R             2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 54
@@ -86,7 +86,7 @@ rootOf(e**5-2,e)
 --R 
 --R
 --R   (8)  e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 54
@@ -95,7 +95,7 @@ zeroOf(f**5-2,f)
 --R
 --R        5+-+
 --R   (9)  \|2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 )clear all
@@ -106,7 +106,7 @@ p := 3*x**8 + 2*x**7 + 6*x**2 + 7*x + 2
 --R
 --R          8     7     2
 --R   (1)  3x  + 2x  + 6x  + 7x + 2
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 10
 
 --S 11 of 54
@@ -115,7 +115,7 @@ q := 2*x**13 + 9*x**7 + 2*x**6 + 10*x + 5
 --R
 --R          13     7     6
 --R   (2)  2x   + 9x  + 2x  + 10x + 5
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 11
 
 --S 12 of 54
@@ -124,7 +124,7 @@ gcd(p,q)
 --R
 --R         7
 --R   (3)  x  + 2x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 12
 
 --S 13 of 54
@@ -132,7 +132,7 @@ resultant(p,q,x)
 --R 
 --R
 --R   (4)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 13
 
 )clear all
@@ -143,7 +143,7 @@ p := x**2 + y**2
 --R
 --R         2    2
 --R   (1)  y  + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 14
 
 --S 15 of 54
@@ -152,7 +152,7 @@ eval(p,x=5)
 --R
 --R         2
 --R   (2)  y  + 25
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 15
 
 --S 16 of 54
@@ -161,7 +161,7 @@ eval(p,[x = a + b,y = c + d])
 --R
 --R         2           2    2           2
 --R   (3)  d  + 2c d + c  + b  + 2a b + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 16
 
 --S 17 of 54
@@ -170,7 +170,7 @@ q := x**3 + 5*x - y**4
 --R
 --R           4    3
 --R   (4)  - y  + x  + 5x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 17
 
 --S 18 of 54
@@ -179,7 +179,7 @@ eval(q,[x=y,y=x])
 --R
 --R         3         4
 --R   (5)  y  + 5y - x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 18
 
 --S 19 of 54
@@ -188,7 +188,7 @@ px := eval(p, y = sin(2.0))
 --R
 --R         2
 --R   (6)  x  + 0.8268218104 3180595732
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 19
 
 --S 20 of 54
@@ -196,7 +196,7 @@ eval(px, x = cos(2.0))
 --R 
 --R
 --R   (7)  1.0
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 20
 
 )clear all
@@ -207,7 +207,7 @@ factor(x**3 - 3*x + 2)
 --R
 --R               2
 --R   (1)  (x - 1) (x + 2)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 21
 
 --S 22 of 54
@@ -217,7 +217,7 @@ factor(x**2/4 + x*y + y**2)
 --R             1   2
 --R   (2)  (y + - x)
 --R             2
---R                                   Type: Factored Polynomial Fraction Integer
+--R                                Type: Factored(Polynomial(Fraction(Integer)))
 --E 22
 
 --S 23 of 54
@@ -226,7 +226,7 @@ p := x**3 + x*y + 2*x**2*y**2 + 2*y**3 + 3*x**2*z + 6*x*y**2*z
 --R
 --R             2     2       3     2 2          3
 --R   (3)  (6x y  + 3x )z + 2y  + 2x y  + x y + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 23
 
 --S 24 of 54
@@ -235,7 +235,7 @@ factors := factor p
 --R
 --R           2                  2
 --R   (4)  (2y  + x)(3x z + y + x )
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 24
 
 --S 25 of 54
@@ -244,7 +244,7 @@ nthFactor(factors,1)
 --R
 --R          2
 --R   (5)  2y  + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 25
 
 --S 26 of 54
@@ -253,7 +253,7 @@ nthFactor(factors,2)
 --R
 --R                    2
 --R   (6)  3x z + y + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 26
 
 )clear all
@@ -264,7 +264,7 @@ p := a*x**2 + b*x*y + c*y**2
 --R
 --R           2              2
 --R   (1)  c y  + b x y + a x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 27
 
 --S 28 of 54
@@ -273,7 +273,7 @@ q := 13*x**2 + 3*z
 --R
 --R                2
 --R   (2)  3z + 13x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 28
 
 --S 29 of 54
@@ -282,7 +282,7 @@ p + q
 --R
 --R                2                    2
 --R   (3)  3z + c y  + b x y + (a + 13)x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 29
 
 --S 30 of 54
@@ -291,7 +291,7 @@ p - 3*q
 --R
 --R                  2                    2
 --R   (4)  - 9z + c y  + b x y + (a - 39)x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 30
 
 --S 31 of 54
@@ -304,7 +304,7 @@ p**2 + p*q
 --R   + 
 --R                 3      2        4
 --R     (2a + 13)b x y + (a  + 13a)x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 31
 
 --S 32 of 54
@@ -317,7 +317,7 @@ r := (p + q)**2
 --R   + 
 --R                    2  2 2               3      2              4
 --R     ((2a + 26)c + b )x y  + (2a + 26)b x y + (a  + 26a + 169)x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 32
 
 --S 33 of 54
@@ -332,7 +332,7 @@ p
 --R
 --R         2             2
 --R   (8)  x a + y x b + y c
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 34
 
 --S 35 of 54
@@ -341,7 +341,7 @@ q
 --R
 --R           2
 --R   (9)  13x  + 3z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 35
 
 --S 36 of 54
@@ -354,7 +354,7 @@ r
 --R   + 
 --R      3           3               4 2       2 2       2         4        2     2
 --R   (2y x c + 26y x  + 6z y x)b + y c  + (26y x  + 6z y )c + 169x  + 78z x  + 9z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 36
 
 --S 37 of 54
@@ -369,7 +369,7 @@ p
 --R
 --R            2              2
 --R   (12)  c y  + b x y + a x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 38
 
 --S 39 of 54
@@ -377,7 +377,7 @@ coefficient(q,x,2)
 --R 
 --R
 --R   (13)  13
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 39
 
 --S 40 of 54
@@ -385,7 +385,7 @@ coefficient(r,x,3)
 --R 
 --R
 --R   (14)  (2a + 26)b y
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 40
 
 --S 41 of 54
@@ -394,7 +394,7 @@ c := coefficient(r,z,1)
 --R
 --R             2                      2
 --R   (15)  6c y  + 6b x y + (6a + 78)x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 41
 
 --S 42 of 54
@@ -402,7 +402,7 @@ coefficient(c,x,2)
 --R 
 --R
 --R   (16)  6a + 78
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 42
 
 --S 43 of 54
@@ -410,7 +410,7 @@ coefficient(q**2, [x,z], [2,1])
 --R 
 --R
 --R   (17)  78
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 43
 
 --S 44 of 54
@@ -419,7 +419,7 @@ coefficient(r, [x,y], [2,2])
 --R
 --R                       2
 --R   (18)  (2a + 26)c + b
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 44
 
 
@@ -430,7 +430,7 @@ l := rootsOf(x**4+1,x)
 --R 
 --R
 --R   (1)  [%x0,%x0 %x1,- %x0,- %x0 %x1]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 45
 
 --S 46 of 54
@@ -439,7 +439,7 @@ x0**5
 --R
 --R          5
 --R   (2)  x0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 46
 
 --S 47 of 54
@@ -447,7 +447,7 @@ definingPolynomial x0
 --R 
 --R
 --R   (3)  - x0 + %%var
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 47
 
 --S 48 of 54
@@ -455,7 +455,7 @@ definingPolynomial x1
 --R 
 --R
 --R   (4)  - x1 + %%var
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 48
 
 --S 49 of 54
@@ -463,7 +463,7 @@ definingPolynomial x2
 --R 
 --R
 --R   (5)  - x2 + %%var
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 49
 
 --S 50 of 54
@@ -471,7 +471,7 @@ x3 := last l
 --R 
 --R
 --R   (6)  - %x0 %x1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 50
 
 --S 51 of 54
@@ -479,7 +479,7 @@ x0 + x1 + x2 + x3
 --R 
 --R
 --R   (7)  - %x0 %x1 + x2 + x1 + x0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 51
 
 --S 52 of 54
@@ -487,7 +487,7 @@ x0 * x1 * x2 * x3
 --R 
 --R
 --R   (8)  - x0 x1 x2 %x0 %x1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 52
 
 --S 53 of 54
@@ -499,7 +499,7 @@ zerosOf(y**4+1,y)
 --R   (9)  [----------,----------,------------,------------]
 --R             +-+        +-+         +-+          +-+
 --R            \|2        \|2         \|2          \|2
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 53
 
 --S 54 of 54
@@ -507,7 +507,7 @@ definingPolynomial y1
 --R 
 --R
 --R   (10)  - y1 + %%var
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 54
 )spool 
 )lisp (bye)
diff --git a/src/input/poly1.input.pamphlet b/src/input/poly1.input.pamphlet
index de4fac4..2330824 100644
--- a/src/input/poly1.input.pamphlet
+++ b/src/input/poly1.input.pamphlet
@@ -25,7 +25,7 @@ x + 1
 --R 
 --R
 --R   (1)  x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 46
@@ -33,7 +33,7 @@ z - 2.3
 --R 
 --R
 --R   (2)  z - 2.3
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 2
 
 --S 3 of 46
@@ -43,7 +43,7 @@ y**2 - z + 3/4
 --R               2   3
 --R   (3)  - z + y  + -
 --R                   4
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 3
 
 --S 4 of 46
@@ -52,7 +52,7 @@ y **2 + x*y + y
 --R
 --R         2
 --R   (4)  y  + (x + 1)y
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 4
 
 --S 5 of 46
@@ -70,7 +70,7 @@ p := (y-1)**2 * x * z
 --R
 --R            2
 --R   (6)  (x y  - 2x y + x)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 6
 
 --S 7 of 46
@@ -78,7 +78,7 @@ q := (y-1) * x * (z+5)
 --R 
 --R
 --R   (7)  (x y - x)z + 5x y - 5x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 7
 
 --S 8 of 46
@@ -86,7 +86,7 @@ factor(q)
 --R 
 --R
 --R   (8)  x(y - 1)(z + 5)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 8
 
 --S 9 of 46
@@ -99,7 +99,7 @@ p - q**2
 --R   + 
 --R          2 2      2       2
 --R     - 25x y  + 50x y - 25x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 9
 
 --S 10 of 46
@@ -107,7 +107,7 @@ gcd(p,q)
 --R 
 --R
 --R   (10)  x y - x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 10
 
 --S 11 of 46
@@ -115,7 +115,7 @@ factor %
 --R 
 --R
 --R   (11)  x(y - 1)
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 11
 
 --S 12 of 46
@@ -124,7 +124,7 @@ lcm(p,q)
 --R
 --R             2             2        2
 --R   (12)  (x y  - 2x y + x)z  + (5x y  - 10x y + 5x)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 12
 
 --S 13 of 46
@@ -141,7 +141,7 @@ resultant(p,q,z)
 --R
 --R           2 3      2 2      2      2
 --R   (14)  5x y  - 15x y  + 15x y - 5x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 14
 
 --S 15 of 46
@@ -149,7 +149,7 @@ resultant(p,q,x)
 --R 
 --R
 --R   (15)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 15
 
 --S 16 of 46
@@ -189,7 +189,7 @@ variables p
 --R 
 --R
 --R   (20)  [z,y,x]
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 20
 
 --S 21 of 46
@@ -221,7 +221,7 @@ degree(p,[x,y,z])
 --R 
 --R
 --R   (24)  [1,2,1]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 24
 
 --S 25 of 46
@@ -246,7 +246,7 @@ leadingMonomial p
 --R
 --R            2
 --R   (27)  x y z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 27
 
 --S 28 of 46
@@ -254,7 +254,7 @@ reductum p
 --R 
 --R
 --R   (28)  (- 2x y + x)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 28
 
 --S 29 of 46
@@ -262,7 +262,7 @@ p - leadingMonomial p - reductum p
 --R 
 --R
 --R   (29)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 29
 
 --S 30 of 46
@@ -279,7 +279,7 @@ p
 --R
 --R             2
 --R   (31)  (x y  - 2x y + x)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 31
 
 --S 32 of 46
@@ -288,7 +288,7 @@ eval(p,x,w)
 --R
 --R             2
 --R   (32)  (w y  - 2w y + w)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 32
 
 --S 33 of 46
@@ -297,7 +297,7 @@ eval(p,x,1)
 --R
 --R           2
 --R   (33)  (y  - 2y + 1)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 33
 
 --S 34 of 46
@@ -306,7 +306,7 @@ eval(p,x,y**2 - 1)
 --R
 --R           4     3
 --R   (34)  (y  - 2y  + 2y - 1)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 34
 
 --S 35 of 46
@@ -315,7 +315,7 @@ D(p,x)
 --R
 --R           2
 --R   (35)  (y  - 2y + 1)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 35
 
 --S 36 of 46
@@ -323,7 +323,7 @@ D(p,y)
 --R 
 --R
 --R   (36)  (2x y - 2x)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 36
 
 --S 37 of 46
@@ -332,7 +332,7 @@ D(p,z)
 --R
 --R            2
 --R   (37)  x y  - 2x y + x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 37
 
 --S 38 of 46
@@ -342,7 +342,7 @@ integrate(p,y)
 --R          1    3      2
 --R   (38)  (- x y  - x y  + x y)z
 --R          3
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 38
 
 --S 39 of 46
@@ -351,7 +351,7 @@ qr := monicDivide(p,x+1,x)
 --R
 --R                      2                           2
 --R   (39)  [quotient= (y  - 2y + 1)z,remainder= (- y  + 2y - 1)z]
---R     Type: Record(quotient: Polynomial Integer,remainder: Polynomial Integer)
+--R   Type: Record(quotient: Polynomial(Integer),remainder: Polynomial(Integer))
 --E 39
 
 --S 40 of 46
@@ -360,7 +360,7 @@ qr.remainder
 --R
 --R             2
 --R   (40)  (- y  + 2y - 1)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 40
 
 --S 41 of 46
@@ -368,7 +368,7 @@ p - ((x+1) * qr.quotient + qr.remainder)
 --R 
 --R
 --R   (41)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 41
 
 --S 42 of 46
@@ -378,7 +378,7 @@ p/q
 --R         (y - 1)z
 --R   (42)  --------
 --R           z + 5
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 42
 
 --S 43 of 46
@@ -388,7 +388,7 @@ p/q
 --R               2  2   4
 --R   (43)  - y + - x  + -
 --R               3      5
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 43
 
 --S 44 of 46
@@ -399,7 +399,7 @@ p/q
 --R         - 15y + 10x  + 12
 --R   (44)  -----------------
 --R                 15
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 44
 
 --S 45 of 46
@@ -409,7 +409,7 @@ p/q
 --R               2  2   4
 --R   (45)  - y + - x  + -
 --R               3      5
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 45
 
 --S 46 of 46
@@ -418,7 +418,7 @@ map(numeric,%)
 --R
 --R                                            2
 --R   (46)  - 1.0 y + 0.6666666666 6666666667 x  + 0.8
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 46
 )spool 
 )lisp (bye)
diff --git a/src/input/polycoer.input.pamphlet b/src/input/polycoer.input.pamphlet
index 7723a53..b29a0e7 100644
--- a/src/input/polycoer.input.pamphlet
+++ b/src/input/polycoer.input.pamphlet
@@ -37,7 +37,7 @@ u := (2+3*%i)*x**5 - 7*x**4 +x**2 + 89
 --R
 --R                  5     4    2
 --R   (2)  (2 + 3%i)x  - 7x  + x  + 89
---R                                Type: UnivariatePolynomial(x,Complex Integer)
+--R                               Type: UnivariatePolynomial(x,Complex(Integer))
 --E 2
 
 --S 3 of 41
@@ -52,7 +52,7 @@ m := u
 --R
 --R                  5     4    2
 --R   (4)  (2 + 3%i)x  - 7x  + x  + 89
---R                        Type: MultivariatePolynomial([x,y,z],Complex Integer)
+--R                       Type: MultivariatePolynomial([x,y,z],Complex(Integer))
 --E 4
 
 --S 5 of 41
@@ -61,7 +61,7 @@ m := m*y - z**2
 --R
 --R                    5       4      2          2
 --R   (5)  (2 + 3%i)y x  - 7y x  + y x  + 89y - z
---R                        Type: MultivariatePolynomial([x,y,z],Complex Integer)
+--R                       Type: MultivariatePolynomial([x,y,z],Complex(Integer))
 --E 5
 
 --S 6 of 41
@@ -76,7 +76,7 @@ m1 := m
 --R
 --R           2               5       4      2
 --R   (7)  - z  + (2 + 3%i)y x  - 7y x  + y x  + 89y
---R                  Type: MultivariatePolynomial([r,z,t,x,s,y],Complex Integer)
+--R                 Type: MultivariatePolynomial([r,z,t,x,s,y],Complex(Integer))
 --E 7
 
 --S 8 of 41
@@ -91,7 +91,7 @@ v := u
 --R
 --R                  5     4    2
 --R   (9)  (2 + 3%i)x  - 7x  + x  + 89
---R             Type: DistributedMultivariatePolynomial([x,y,z],Complex Integer)
+--R            Type: DistributedMultivariatePolynomial([x,y,z],Complex(Integer))
 --E 9
 
 --S 10 of 41
@@ -100,7 +100,7 @@ u := v
 --R
 --R                   5     4    2
 --R   (10)  (2 + 3%i)x  - 7x  + x  + 89
---R                                Type: UnivariatePolynomial(x,Complex Integer)
+--R                               Type: UnivariatePolynomial(x,Complex(Integer))
 --E 11
 
 --S 12 of 41
@@ -115,7 +115,7 @@ v1 := v
 --R
 --R                   5     4    2
 --R   (12)  (2 + 3%i)x  - 7x  + x  + 89
---R       Type: DistributedMultivariatePolynomial([r,z,t,x,s,y],Complex Integer)
+--R      Type: DistributedMultivariatePolynomial([r,z,t,x,s,y],Complex(Integer))
 --E 13
 
 --S 14 of 41
@@ -124,7 +124,7 @@ v := m
 --R
 --R                   5      4     2           2
 --R   (13)  (2 + 3%i)x y - 7x y + x y + 89y - z
---R             Type: DistributedMultivariatePolynomial([x,y,z],Complex Integer)
+--R            Type: DistributedMultivariatePolynomial([x,y,z],Complex(Integer))
 --E 14
 
 --S 15 of 41
@@ -133,7 +133,7 @@ v1 := m1
 --R
 --R            2             5      4     2
 --R   (14)  - z  + (2 + 3%i)x y - 7x y + x y + 89y
---R       Type: DistributedMultivariatePolynomial([r,z,t,x,s,y],Complex Integer)
+--R      Type: DistributedMultivariatePolynomial([r,z,t,x,s,y],Complex(Integer))
 --E 15
 
 )clear all
@@ -229,7 +229,7 @@ f := x**2*y - z*x**2 + y*z - x**3*y*z + 3
 --R
 --R               3           2
 --R   (6)  - y z x  + (y - z)x  + y z + 3
---RType: UnivariatePolynomial(x,DistributedMultivariatePolynomial([y,z],Integer))
+--IType: UnivariatePolynomial(x,...
 --E 27
 
 --S 28 of 41
@@ -238,7 +238,7 @@ f := u
 --R
 --R               3           2
 --R   (7)  - y z x  + (y - z)x  + y z + 3
---RType: UnivariatePolynomial(x,DistributedMultivariatePolynomial([y,z],Integer))
+--IType: UnivariatePolynomial(x,...
 --E 28
 
 )clear all
@@ -270,7 +270,7 @@ f := y**2 - w**5*y**2 - z*w + 3
 --R
 --R           2 5          2
 --R   (4)  - y w  - z w + y  + 3
---RType: UnivariatePolynomial(w,DistributedMultivariatePolynomial([y,z],Integer))
+--IType: UnivariatePolynomial(w,...
 --E 32
 
 --S 33 of 41
@@ -279,7 +279,7 @@ f := u
 --R
 --R           2 5          2
 --R   (5)  - y w  - z w + y  + 3
---RType: UnivariatePolynomial(w,DistributedMultivariatePolynomial([y,z],Integer))
+--IType: UnivariatePolynomial(w,...
 --E 33
 
 )clear all
@@ -295,7 +295,7 @@ x1 := 2*a + 3*b - c
 --R 
 --R
 --R   (2)  2a + 3b - c
---R      Type: DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction Integer)
+--R     Type: DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction(Integer))
 --E 35
 
 --S 36 of 41
@@ -303,7 +303,7 @@ x2 := 3 - 3*e + f
 --R 
 --R
 --R   (3)  - 3e + f + 3
---R      Type: DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction Integer)
+--R     Type: DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction(Integer))
 --E 36
 
 --S 37 of 41
@@ -311,7 +311,7 @@ x3 := a + b + c + d + e + f
 --R 
 --R
 --R   (4)  a + b + c + d + e + f
---R      Type: DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction Integer)
+--R     Type: DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction(Integer))
 --E 37
 
 --S 38 of 41
@@ -331,7 +331,7 @@ l1 := [x1,x2,x3]
 --R 
 --R
 --R   (7)  [2a + 3b - c,- 3e + f + 3,a + b + c + d + e + f]
---R Type: List DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction Integer)
+--IType: List(DistributedMultivariatePolynomial([a,b,c,d,e,f],...
 --E 40
 
 --S 41 of 41
@@ -339,7 +339,7 @@ l2 := l1
 --R 
 --R
 --R   (8)  [2a + 3b - c,f - 3e + 3,f + a + b + c + d + e]
---IType: List UnivariatePolynomial(f,DistributedMultivariatePolynomial(...
+--IType: List(UnivariatePolynomial(f,...
 --E 41
 )spool 
 )lisp (bye)
diff --git a/src/input/psgenfcn.input.pamphlet b/src/input/psgenfcn.input.pamphlet
index 3416adc..b348911 100644
--- a/src/input/psgenfcn.input.pamphlet
+++ b/src/input/psgenfcn.input.pamphlet
@@ -76,7 +76,7 @@ f1 := taylor(t/(1 - t - t**2))
 --R
 --R             2     3     4     5     6      7      8      9      10      11
 --R   (5)  t + t  + 2t  + 3t  + 5t  + 8t  + 13t  + 21t  + 34t  + 55t   + O(t  )
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 5
 
 --S 6 of 19
@@ -85,7 +85,7 @@ f2 := taylor(n +-> fibonacci(n),t = 0)
 --R
 --R             2     3     4     5     6      7      8      9      10      11
 --R   (6)  t + t  + 2t  + 3t  + 5t  + 8t  + 13t  + 21t  + 34t  + 55t   + O(t  )
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 6
 
 --S 7 of 19
@@ -106,7 +106,7 @@ g1 := taylor(t/(exp(t) - 1))
 --R       1      1  2    1   4     1    6      1     8       1     10      11
 --R   1 - - t + -- t  - --- t  + ----- t  - ------- t  + -------- t   + O(t  )
 --R       2     12      720      30240      1209600      47900160
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 8
 
 --S 9 of 19
@@ -117,7 +117,7 @@ g2 := taylor(n +-> bernoulli(n)/factorial(n),t = 0)
 --R       1      1  2    1   4     1    6      1     8       1     10      11
 --R   1 - - t + -- t  - --- t  + ----- t  - ------- t  + -------- t   + O(t  )
 --R       2     12      720      30240      1209600      47900160
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 9
 
 --S 10 of 19
@@ -162,14 +162,14 @@ gg1 := taylor(t*exp(t*x)/(exp(t) - 1),t = 0)
 --R     66x   - 330x  + 495x  - 462x  + 330x  - 99x  + 5  10      11
 --R     ------------------------------------------------ t   + O(t  )
 --R                         239500800
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 11
 
 --S 12 of 19
 gg2 := taylor(n +-> bernoulliPolynomial(n)/factorial(n),t = 0)
 --R 
 --R   Compiling function bernoulliPolynomial with type Integer -> 
---R      Expression Integer 
+--R      Expression(Integer) 
 --R
 --R   (12)
 --R                      2                 3     2
@@ -201,7 +201,7 @@ gg2 := taylor(n +-> bernoulliPolynomial(n)/factorial(n),t = 0)
 --R     66x   - 330x  + 495x  - 462x  + 330x  - 99x  + 5  10      11
 --R     ------------------------------------------------ t   + O(t  )
 --R                         239500800
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 12
 
 --S 13 of 19
@@ -219,7 +219,7 @@ h1 := taylor(2*exp(t/2)/(exp(t) + 1))
 --R             1  2    5   4     61   6     277    8      50521    10      11
 --R   (14)  1 - - t  + --- t  - ----- t  + ------- t  - ---------- t   + O(t  )
 --R             8      384      46080      2064384      3715891200
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 14
 
 --S 15 of 19
@@ -229,7 +229,7 @@ h2 := taylor(n +-> euler(n)/(2**n * factorial(n)),t = 0)
 --R             1  2    5   4     61   6     277    8      50521    10      11
 --R   (15)  1 - - t  + --- t  - ----- t  + ------- t  - ---------- t   + O(t  )
 --R             8      384      46080      2064384      3715891200
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 15
 
 --S 16 of 19
@@ -269,14 +269,14 @@ hh1 := taylor(2*exp(t*x)/(exp(t) + 1),t = 0)
 --R     x   - 5x  + 30x  - 126x  + 255x  - 155x  10      11
 --R     --------------------------------------- t   + O(t  )
 --R                     3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 17
 
 --S 18 of 19
 hh2 := taylor(n +-> eulerPolynomial(n)/factorial(n),t = 0)
 --R 
---R   Compiling function eulerPolynomial with type Integer -> Expression 
---R      Integer 
+--R   Compiling function eulerPolynomial with type Integer -> Expression(
+--R      Integer) 
 --R
 --R   (18)
 --R                     2            3     2           4     3
@@ -303,7 +303,7 @@ hh2 := taylor(n +-> eulerPolynomial(n)/factorial(n),t = 0)
 --R     x   - 5x  + 30x  - 126x  + 255x  - 155x  10      11
 --R     --------------------------------------- t   + O(t  )
 --R                     3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),t,0)
 --E 18
 
 --S 19 of 19
diff --git a/src/input/quat.input.pamphlet b/src/input/quat.input.pamphlet
index fdb388c..9c8a801 100644
--- a/src/input/quat.input.pamphlet
+++ b/src/input/quat.input.pamphlet
@@ -32,7 +32,7 @@ q := quatern(2/11,-8,3/4,1)
 --R         2        3
 --R   (1)  -- - 8i + - j + k
 --R        11        4
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 1
 
 \end{chunk}
@@ -47,7 +47,7 @@ real q
 --R         2
 --R   (2)  --
 --R        11
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 2
 
 --S 3 of 25
@@ -55,7 +55,7 @@ imagI q
 --R 
 --R
 --R   (3)  - 8
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 3
 
 --S 4 of 25
@@ -65,7 +65,7 @@ imagJ q
 --R        3
 --R   (4)  -
 --R        4
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 4
 
 --S 5 of 25
@@ -73,7 +73,7 @@ imagK q
 --R 
 --R
 --R   (5)  1
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 5
 
 \end{chunk} 
@@ -86,7 +86,7 @@ inv q
 --R          352     15488      484       1936
 --R   (6)  ------ + ------ i - ----- j - ------ k
 --R        126993   126993     42331     126993
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 6
  
 \end{chunk}
@@ -99,7 +99,7 @@ q**6
 --R          2029490709319345   48251690851     144755072553     48251690851
 --R   (7)  - ---------------- - ----------- i + ------------ j + ----------- k
 --R             7256313856        1288408         41229056         10307264
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 7
 
 --S 8 of 25
@@ -109,7 +109,7 @@ r := quatern(-2,3,23/9,-89)
 --R                   23
 --R   (8)  - 2 + 3i + -- j - 89k
 --R                    9
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 8
 
 --S 9 of 25
@@ -119,7 +119,7 @@ q + r
 --R          20        119
 --R   (9)  - -- - 5i + --- j - 88k
 --R          11         36
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 9
 
 --S 10 of 25
@@ -129,7 +129,7 @@ q - r
 --R         24         65
 --R   (10)  -- - 11i - -- j + 90k
 --R         11         36
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 10
 
 \end{chunk}
@@ -142,7 +142,7 @@ q * r
 --R         14615   20893     140587     16187
 --R   (11)  ----- - ----- i - ------ j - ----- k
 --R          132     396        198       396
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 11
 
 --S 12 of 25
@@ -152,7 +152,7 @@ r * q
 --R         14615   33997     140177     1787
 --R   (12)  ----- + ----- i + ------ j + ---- k
 --R          132     396        198       396
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 12
 
 \end{chunk} 
@@ -164,7 +164,7 @@ i := quatern(0,1,0,0)
 --R 
 --R
 --R   (13)  i
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 13
 
 --S 14 of 25
@@ -172,7 +172,7 @@ j := quatern(0,0,1,0)
 --R 
 --R
 --R   (14)  j
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 14
 
 --S 15 of 25
@@ -180,7 +180,7 @@ k := quatern(0,0,0,1)
 --R 
 --R
 --R   (15)  k
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 15
 
 --S 16 of 25
@@ -188,7 +188,7 @@ i*i
 --R 
 --R
 --R   (16)  - 1
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 16
 
 --S 17 of 25
@@ -196,7 +196,7 @@ j*j
 --R 
 --R
 --R   (17)  - 1
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 17
 
 --S 18 of 25
@@ -204,7 +204,7 @@ k*k
 --R 
 --R
 --R   (18)  - 1
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 18
 
 --S 19 of 25
@@ -212,7 +212,7 @@ i*j
 --R 
 --R
 --R   (19)  k
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 19
 
 --S 20 of 25
@@ -220,7 +220,7 @@ j*k
 --R 
 --R
 --R   (20)  i
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 20
 
 --S 21 of 25
@@ -228,7 +228,7 @@ k*i
 --R 
 --R
 --R   (21)  j
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 21
 
 --S 22 of 25
@@ -238,7 +238,7 @@ q * i
 --R              2         3
 --R   (22)  8 + -- i + j - - k
 --R             11         4
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 22
 
 \end{chunk} 
@@ -251,7 +251,7 @@ norm q
 --R         126993
 --R   (23)  ------
 --R          1936
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 23
 
 --S 24 of 25
@@ -261,7 +261,7 @@ conjugate q
 --R          2        3
 --R   (24)  -- + 8i - - j - k
 --R         11        4
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 24
 
 --S 25 of 25
@@ -271,7 +271,7 @@ q * %
 --R         126993
 --R   (25)  ------
 --R          1936
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 25
 )spool 
 )lisp (bye)
diff --git a/src/input/quat1.input.pamphlet b/src/input/quat1.input.pamphlet
index 987ecb2..94a3462 100644
--- a/src/input/quat1.input.pamphlet
+++ b/src/input/quat1.input.pamphlet
@@ -27,7 +27,7 @@ q := quatern(2/11,-8,3/4,1)
 --R         2        3
 --R   (1)  -- - 8i + - j + k
 --R        11        4
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 1
 
 --S 2 of 11
@@ -37,7 +37,7 @@ q := quatern(2/11,-8,3/4,1)
 --R          2     3
 --R   (2)  [--,- 8,-,1]
 --R         11     4
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 2
 
 --S 3 of 11
@@ -47,7 +47,7 @@ inv q
 --R          352     15488      484       1936
 --R   (3)  ------ + ------ i - ----- j - ------ k
 --R        126993   126993     42331     126993
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 3
 
 --S 4 of 11
@@ -57,7 +57,7 @@ q**6
 --R          2029490709319345   48251690851     144755072553     48251690851
 --R   (4)  - ---------------- - ----------- i + ------------ j + ----------- k
 --R             7256313856        1288408         41229056         10307264
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 4
 
 --S 5 of 11
@@ -67,7 +67,7 @@ r := quatern(-2,3,23/9,-89); q + r
 --R          20        119
 --R   (5)  - -- - 5i + --- j - 88k
 --R          11         36
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 5
 
 --S 6 of 11
@@ -77,7 +77,7 @@ q * r - r * q
 --R          2495             817
 --R   (6)  - ---- i - 1418j - --- k
 --R           18               18
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 6
 
 --S 7 of 11
@@ -85,7 +85,7 @@ i:=quatern(0,1,0,0); j:=quatern(0,0,1,0); k:=quatern(0,0,0,1)
 --R 
 --R
 --R   (7)  k
---R                                                     Type: Quaternion Integer
+--R                                                    Type: Quaternion(Integer)
 --E 7
 
 --S 8 of 11
@@ -95,7 +95,7 @@ i:=quatern(0,1,0,0); j:=quatern(0,0,1,0); k:=quatern(0,0,0,1)
 --R                                2         3
 --R   (8)  [- 1,- 1,- 1,k,i,j,8 + -- i + j - - k]
 --R                               11         4
---R                                       Type: List Quaternion Fraction Integer
+--R                                    Type: List(Quaternion(Fraction(Integer)))
 --E 8
 
 --S 9 of 11
@@ -105,7 +105,7 @@ norm q
 --R        126993
 --R   (9)  ------
 --R         1936
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 9
 
 --S 10 of 11
@@ -115,7 +115,7 @@ conjugate q
 --R          2        3
 --R   (10)  -- + 8i - - j - k
 --R         11        4
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 10
 
 --S 11 of 11
@@ -125,7 +125,7 @@ q * %
 --R         126993
 --R   (11)  ------
 --R          1936
---R                                            Type: Quaternion Fraction Integer
+--R                                          Type: Quaternion(Fraction(Integer))
 --E 11
 )spool 
 )lisp (bye)
diff --git a/src/input/r20abugs.input.pamphlet b/src/input/r20abugs.input.pamphlet
index 3c22272..4606219 100644
--- a/src/input/r20abugs.input.pamphlet
+++ b/src/input/r20abugs.input.pamphlet
@@ -38,7 +38,7 @@ m : Matrix Expression Integer := matrix [[i*x^j for i in 1..3] for j in 1..3]
 --R        |            |
 --R        | 3    3    3|
 --R        +x   2x   3x +
---R                                              Type: Matrix Expression Integer
+--R                                            Type: Matrix(Expression(Integer))
 --E 1
 
 --S 2 of 34
@@ -50,7 +50,7 @@ eval(m,x=0)
 --R   (2)  |0  0  0|
 --R        |       |
 --R        +0  0  0+
---R                                              Type: Matrix Expression Integer
+--R                                            Type: Matrix(Expression(Integer))
 --E 2
 
 \end{chunk}
@@ -110,7 +110,7 @@ r3:=rule(3==%pi) -- biblical approximation
 --R 
 --R
 --R   (1)  3 == %pi
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 9
 
 --S 10 of 34
@@ -142,7 +142,7 @@ sin(atan(sqrt 3)/2)
 --R        1
 --R   (1)  -
 --R        2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 )clear completely
@@ -154,7 +154,7 @@ Fix to poly from Quitte
 R := IntegerMod(4)
 --R 
 --R
---R   (1)  IntegerMod 4
+--R   (1)  IntegerMod(4)
 --R                                                                 Type: Domain
 --E 13
 
@@ -162,7 +162,7 @@ R := IntegerMod(4)
 PolR := UP('X, R)
 --R 
 --R
---R   (2)  UnivariatePolynomial(X,IntegerMod 4)
+--R   (2)  UnivariatePolynomial(X,IntegerMod(4))
 --R                                                                 Type: Domain
 --E 14
 
@@ -171,7 +171,7 @@ X : PolR := monomial(1, 1)
 --R 
 --R
 --R   (3)  X
---R                                   Type: UnivariatePolynomial(X,IntegerMod 4)
+--R                                  Type: UnivariatePolynomial(X,IntegerMod(4))
 --E 15
 
 --S 16 of 34
@@ -180,7 +180,7 @@ a : PolR := 2 * X**2
 --R
 --R          2
 --R   (4)  2X
---R                                   Type: UnivariatePolynomial(X,IntegerMod 4)
+--R                                  Type: UnivariatePolynomial(X,IntegerMod(4))
 --E 16
 
 --S 17 of 34
@@ -189,7 +189,7 @@ b : PolR := X**2 + 2*X + 1
 --R
 --R         2
 --R   (5)  X  + 2X + 1
---R                                   Type: UnivariatePolynomial(X,IntegerMod 4)
+--R                                  Type: UnivariatePolynomial(X,IntegerMod(4))
 --E 17
 
 \end{chunk}
@@ -200,7 +200,7 @@ qr := monicDivide(a, b)
 --R 
 --R
 --R   (6)  [quotient= 2,remainder= 2]
---IType: Record(quotient: UnivariatePolynomial(X,IntegerMod 4),...
+--RType: Record(quotient: UnivariatePolynomial(X,IntegerMod(4)),remainder: UnivariatePolynomial(X,IntegerMod(4)))
 --E 18
 
 --S 19 of 34
@@ -208,7 +208,7 @@ a - (qr.quotient * b + qr.remainder)
 --R 
 --R
 --R   (7)  0
---R                                   Type: UnivariatePolynomial(X,IntegerMod 4)
+--R                                  Type: UnivariatePolynomial(X,IntegerMod(4))
 --E 19
 
 )clear completely
@@ -221,7 +221,7 @@ limit(%e^(1/x^2)/(%e^(1/x^2) + %e^(1/x^4)), x=0)
 --R 
 --R
 --R   (1)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 20
 )clear completely
  
@@ -238,7 +238,7 @@ integrate((sin(t))*sin((%pi-t)/6),t)
 --R                6                   6                  6                  6
 --R   ----------------------------------------------------------------------------
 --R                                        35
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 21
 
 )clear completely
@@ -251,7 +251,7 @@ This used not to return 1.0!
 --R 
 --R
 --R   (1)  1.0
---R                                              Type: Fraction Polynomial Float
+--R                                            Type: Fraction(Polynomial(Float))
 --E 22
 
 )clear completely
@@ -266,7 +266,7 @@ b := D(Ci(x),x)
 --R        cos(x)
 --R   (1)  ------
 --R           x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 23
 
 --S 24 of 34
@@ -274,7 +274,7 @@ integrate(b,x)
 --R 
 --R
 --R   (2)  Ci(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 24
 
 \end{chunk}
@@ -285,7 +285,7 @@ integrate((1 - sin x)/x,x)
 --R 
 --R
 --R   (3)  log(x) - Si(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 25
 
 )clear completely
@@ -298,7 +298,7 @@ limit(erf(x),x=c)
 --R 
 --R
 --R   (1)  erf(c)
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 26
 
 \end{chunk}
@@ -325,7 +325,7 @@ integrate((a + b*x)*exp(-x^2),x)
 --R        a erf(x)\|%pi  - b %e
 --R   (3)  -------------------------
 --R                    2
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 28
 
 \end{chunk}
@@ -342,7 +342,7 @@ laplace(sin(t)^2/t^(3/2),t,s)
 --R                                +---+ 2
 --R                              t\|- 1    +-+
 --R                        4t (%e       ) \|t
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 29
 
 )clear completely
@@ -356,7 +356,7 @@ P:=x^4+x^3+x^2+x+1
 --R
 --R         4    3    2
 --R   (1)  x  + x  + x  + x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 30
 
 --S 31 of 34
@@ -366,7 +366,7 @@ Q:=x^5+x^4+2*x^3+2*x^2+2*x-2+4*sqrt(-1+sqrt(3))
 --R                                     +--------+
 --R         5    4     3     2          | +-+
 --R   (2)  x  + x  + 2x  + 2x  + 2x + 4\|\|3  - 1  - 2
---R                                             Type: Polynomial AlgebraicNumber
+--R                                            Type: Polynomial(AlgebraicNumber)
 --E 31
 
 --S 32 of 34
@@ -379,7 +379,7 @@ int := P/Q
 --R                                     +--------+
 --R         5    4     3     2          | +-+
 --R        x  + x  + 2x  + 2x  + 2x + 4\|\|3  - 1  - 2
---R                                    Type: Fraction Polynomial AlgebraicNumber
+--R                                  Type: Fraction(Polynomial(AlgebraicNumber))
 --E 32
 
 --S 33 of 34
@@ -392,7 +392,7 @@ int2 := int pretend FRAC POLY IAN
 --R                                     +--------+
 --R         5    4     3     2          | +-+
 --R        x  + x  + 2x  + 2x  + 2x + 4\|\|3  - 1  - 2
---R                               Type: Fraction Polynomial InnerAlgebraicNumber
+--R                             Type: Fraction(Polynomial(InnerAlgebraicNumber))
 --E 33
 
 --S 34 of 34
@@ -1603,7 +1603,7 @@ ans:=integrate(int2,x)
 --R                - 33670351123600429986\|3  + 29207247737687098805
 --R           /
 --R              99053573869819283
---R                             Type: Union(Expression InnerAlgebraicNumber,...)
+--R                            Type: Union(Expression(InnerAlgebraicNumber),...)
 --E 34
 )spool 
 )lisp (bye)
diff --git a/src/input/r20bugs.input.pamphlet b/src/input/r20bugs.input.pamphlet
index 2609192..02d34dd 100644
--- a/src/input/r20bugs.input.pamphlet
+++ b/src/input/r20bugs.input.pamphlet
@@ -45,7 +45,7 @@ sum( (x i - mu)**2, i=1..N )
 --R   (2)  >     x(i)  - 2mu x(i) + mu
 --R        --+
 --R        i= 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 27
@@ -57,7 +57,7 @@ D(%,mu)
 --R   (3)  >     - 2x(i) + 2mu
 --R        --+
 --R        i= 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 )clear completely
@@ -67,7 +67,7 @@ z := log(x+.3*%i)
 --R 
 --R
 --R   (1)  log(x + 0.3 %i)
---R                                               Type: Expression Complex Float
+--R                                             Type: Expression(Complex(Float))
 --E 4
 
 --S 5 of 27
@@ -75,7 +75,7 @@ z1 : EXPR Complex Float := z
 --R 
 --R
 --R   (2)  log(x + 0.3 %i)
---R                                               Type: Expression Complex Float
+--R                                             Type: Expression(Complex(Float))
 --E 5
 
 --S 6 of 27
@@ -85,7 +85,7 @@ complexForm(z1)$CTRIGMNP(Float, EXPR Complex Float)
 --R                 2                0.3
 --R   (3)  0.5 log(x  + 0.09) + atan(---)%i
 --R                                   x
---R                                               Type: Complex Expression Float
+--R                                             Type: Complex(Expression(Float))
 --E 6
 
 )clear completely
@@ -97,7 +97,7 @@ acot(-1)
 --R        3%pi
 --R   (1)  ----
 --R          4
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 )clear completely
@@ -107,7 +107,7 @@ sqrt(-1.0::COMPLEX FLOAT)
 --R 
 --R
 --R   (1)  %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 8
 
 --S 9 of 27
@@ -115,7 +115,7 @@ log(x+%i)::EXPR COMPLEX FLOAT
 --R 
 --R
 --R   (2)  log(x + %i)
---R                                               Type: Expression Complex Float
+--R                                             Type: Expression(Complex(Float))
 --E 9
 
 )clear completely
@@ -136,7 +136,7 @@ f:POLY FRAC COMPLEX INT := x^2+y^2
 --R
 --R         2    2
 --R   (1)  y  + x
---R                                    Type: Polynomial Fraction Complex Integer
+--R                                 Type: Polynomial(Fraction(Complex(Integer)))
 --E 11
 
 --S 12 of 27
@@ -144,7 +144,7 @@ factor f
 --R 
 --R
 --R   (2)  (y - %i x)(y + %i x)
---R                           Type: Factored Polynomial Fraction Complex Integer
+--R                       Type: Factored(Polynomial(Fraction(Complex(Integer))))
 --E 12
 
 )clear completely
@@ -154,7 +154,7 @@ acot(-y)
 --R 
 --R
 --R   (1)  acot(- y)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 )clear completely
@@ -166,7 +166,7 @@ a:=matrix [[1,2],[2,-1]]
 --R        +1   2 +
 --R   (1)  |      |
 --R        +2  - 1+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 14
 
 --S 15 of 27
@@ -179,7 +179,7 @@ eigenMatrix a
 --R        |     2          2   |
 --R        |                    |
 --R        +    1          1    +
---R                                   Type: Union(Matrix Expression Integer,...)
+--R                                 Type: Union(Matrix(Expression(Integer)),...)
 --E 15
 
 )clear completely
@@ -198,8 +198,9 @@ positiveRemainder(-1::SINT,-5::SINT)
 complexRoots([u**2-v+1,v**2-4],[u,v],0.01)
 --R 
 --R
---R   (1)  [[1.73046875 %i,- 2.0],[- 1.73046875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
---R                                                Type: List List Complex Float
+--R   (1)
+--R   [[1.732421875 %i,- 2.0],[- 1.732421875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
+--R                                             Type: List(List(Complex(Float)))
 --E 17
 
 --S 18 of 27
@@ -207,7 +208,7 @@ complexRoots([u**2-v+1,v**2-4],[v,u],0.01)
 --R 
 --R
 --R   (2)  [[- 2.0,- 1.73046875 %i],[- 2.0,1.73046875 %i],[2.0,- 1.0],[2.0,1.0]]
---R                                                Type: List List Complex Float
+--R                                             Type: List(List(Complex(Float)))
 --E 18
 
 )clear completely
@@ -243,7 +244,7 @@ limit((x^a-a^x)/(x^x-a^a),x=a)
 --R 
 --R
 --R   (1)  0
---R                        Type: Union(OrderedCompletion Expression Integer,...)
+--R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
 --E 22
 
 )clear completely
@@ -254,7 +255,7 @@ limit((x^a-a^x)/(x^x-a^a),x=a)
 --R
 --R           6      4      2  2        6      2       6      4
 --R   (1)  (4x  + 16x  + 16x )y  + (- 4x  + 16x )y - 8x  - 16x
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 23
 
 --S 24 of 27
@@ -263,7 +264,7 @@ eval(%,x,z)
 --R
 --R           2           6       2       4       2        2
 --R   (2)  (4y  - 4y - 8)z  + (16y  - 16)z  + (16y  + 16y)z
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 24
 
 --S 25 of 27
@@ -271,7 +272,7 @@ exquo(%,expand factor %)
 --R 
 --R
 --R   (3)  1
---R                                          Type: Union(Polynomial Integer,...)
+--R                                         Type: Union(Polynomial(Integer),...)
 --E 25
 
 )clear completely
@@ -281,7 +282,7 @@ log exp z
 --R 
 --R
 --R   (1)  z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 26
 
 --S 27 of 27
@@ -289,7 +290,7 @@ normalize %
 --R 
 --R
 --R   (2)  z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 27
 )spool 
 )lisp (bye)
diff --git a/src/input/r21bugs.input.pamphlet b/src/input/r21bugs.input.pamphlet
index 5411912..a5d34d8 100644
--- a/src/input/r21bugs.input.pamphlet
+++ b/src/input/r21bugs.input.pamphlet
@@ -50,7 +50,7 @@ X : UP('x, Integer) := x
 --R 
 --R
 --R   (2)  [0,0,0,0,0,0,0,0,0,0,...]
---R                              Type: Stream SparseUnivariatePolynomial Integer
+--R                            Type: Stream(SparseUnivariatePolynomial(Integer))
 --E 3
 
 )clear completely
@@ -59,7 +59,7 @@ X : UP('x, Integer) := x
 Fp:=PF 2
 --R 
 --R
---R   (1)  PrimeField 2
+--R   (1)  PrimeField(2)
 --R                                                                 Type: Domain
 --E 4
 
@@ -69,14 +69,14 @@ poly:=createIrreduciblePoly(4)$FFPOLY(Fp)
 --R
 --R         4
 --R   (2)  ?  + ? + 1
---R                                Type: SparseUnivariatePolynomial PrimeField 2
+--R                              Type: SparseUnivariatePolynomial(PrimeField(2))
 --E 5
 
 --S 6 of 95
 Fq:=FFP(Fp, poly)    -- Field with 16 elements
 --R 
 --R
---R   (3)  FiniteFieldExtensionByPolynomial(PrimeField 2,?**4+?+1)
+--R   (3)  FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)
 --R                                                                 Type: Domain
 --E 6
 
@@ -86,7 +86,7 @@ R:=DMP([X,Y,Z],Fq)
 --R
 --R   (4)
 --R  DistributedMultivariatePolynomial([X,Y,Z],FiniteFieldExtensionByPolynomial(Pr
---R  imeField 2,?**4+?+1))
+--R  imeField(2),?^4+?+1))
 --R                                                                 Type: Domain
 --E 7
 
@@ -95,8 +95,8 @@ Q:=FRAC R
 --R 
 --R
 --R   (5)
---R  Fraction DistributedMultivariatePolynomial([X,Y,Z],FiniteFieldExtensionByPoly
---R  nomial(PrimeField 2,?**4+?+1))
+--R  Fraction(DistributedMultivariatePolynomial([X,Y,Z],FiniteFieldExtensionByPoly
+--R  nomial(PrimeField(2),?^4+?+1)))
 --R                                                                 Type: Domain
 --E 8
 
@@ -106,7 +106,7 @@ F:=X**4+X*Z**3
 --R
 --R           3    4
 --R   (6)  X Z  + X
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 9
 
 --S 10 of 95
@@ -115,7 +115,7 @@ G:=X**4+X**2*Y**2+Z**4
 --R
 --R         4    2 2    4
 --R   (7)  Z  + X Y  + X
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 10
 
 --S 11 of 95
@@ -127,7 +127,7 @@ h:Q:=F/G
 --R   (8)  --------------
 --R         4    2 2    4
 --R        X  + X Y  + Z
---IType: Fraction DistributedMultivariatePolynomial([X,Y,Z],...
+--IType: Fraction(DistributedMultivariatePolynomial([X,Y,Z],...
 --E 11
 
 )clear completely
@@ -138,7 +138,7 @@ squareFree ((c^15*e^8+c^23*d^4)::POLY PF 2)
 --R
 --R         15  2    2  4
 --R   (1)  c  (e  + c d)
---R                                       Type: Factored Polynomial PrimeField 2
+--R                                    Type: Factored(Polynomial(PrimeField(2)))
 --E 12
 
 )clear completely
@@ -147,7 +147,7 @@ squareFree ((c^15*e^8+c^23*d^4)::POLY PF 2)
 FiniteFieldExtensionByPolynomial(FF(3,3),1+2*x**2+x**3)
 --R 
 --R
---R   (1)  FiniteFieldExtensionByPolynomial(FiniteField(3,3),?**3+2*?*?+1)
+--R   (1)  FiniteFieldExtensionByPolynomial(FiniteField(3,3),?^3+2*?^2+1)
 --R                                                                 Type: Domain
 --E 13
 
@@ -183,75 +183,75 @@ u:=operator u
 --S 17 of 95
 eval(y x, y, c[1]*x,x)
 --R 
---R   Compiling function %B with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function %B with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R   (3)  c x
 --R         1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 17
 
 --S 18 of 95
 eval(y x, y, D(u t,t),t)
 --R 
---R   Compiling function %C with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function %C with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R         ,
 --R   (4)  u (x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 --S 19 of 95
 eval(y x ,y, integral(u t,t),t)
 --R 
---R   Compiling function %E with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function %E with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R           x
 --R         ++
 --R   (5)   |   u(%D)d%D
 --R        ++
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 95
 eval(y x ,y, integral(u z,z=z0..t),t)
 --R 
---R   Compiling function %F with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function %F with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R           x
 --R         ++
 --R   (6)   |   u(z)dz
 --R        ++
 --R        z0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 20
 
 --S 21 of 95
 eval(y x+D(y x,x), y, u t+ D(u t,t),t)
 --R 
---R   Compiling function %G with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function %G with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R         ,,        ,
 --R   (7)  u  (x) + 2u (x) + u(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 
 --S 22 of 95
 eval(D(y x,x)+y(x),y,D(u x,x)+u(x),x)
 --R 
---R   Compiling function %H with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function %H with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R         ,,        ,
 --R   (8)  u  (x) + 2u (x) + u(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 22
 
 )clear completely
@@ -262,7 +262,7 @@ ps:=x::TS FRAC INT
 --R 
 --R
 --R   (1)  x
---R                                          Type: TaylorSeries Fraction Integer
+--R                                        Type: TaylorSeries(Fraction(Integer))
 --E 23
 
 --S 24 of 95
@@ -270,7 +270,7 @@ D(ps,x) -- fails to find function
 --R 
 --R
 --R   (2)  1
---R                                          Type: TaylorSeries Fraction Integer
+--R                                        Type: TaylorSeries(Fraction(Integer))
 --E 24
 
 --S 25 of 95
@@ -278,7 +278,7 @@ D(ps,[x]) -- works
 --R 
 --R
 --R   (3)  1
---R                                          Type: TaylorSeries Fraction Integer
+--R                                        Type: TaylorSeries(Fraction(Integer))
 --E 25
 
 --S 26 of 95
@@ -286,7 +286,7 @@ D(ps,[y]) -- causes ccl to disappear (at least under windows)
 --R 
 --R
 --R   (4)  0
---R                                          Type: TaylorSeries Fraction Integer
+--R                                        Type: TaylorSeries(Fraction(Integer))
 --E 26
 
 )clear completely
@@ -306,11 +306,11 @@ a | a^2+1
 --R   Your statement has resulted in the following assignments and 
 --R      declaration:
 --R
---I   SAEa := SimpleAlgebraicExtension(Fraction Integer,...
+--R   SAEa := SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(a,Fraction(Integer)),a^2+1)
 --R   a : SAEa := a
 --R
 --R   (2)  a
---IType: SimpleAlgebraicExtension(Fraction Integer,...
+--IType: SimpleAlgebraicExtension(Fraction(Integer),...
 --E 28
 
 \end{chunk}
@@ -345,7 +345,7 @@ eq1 := D(u1(t),t,2) + 5*u1(t) = 2*u2(t)
 --R          ,,
 --R   (3)  u1  (t) + 5u1(t)= 2u2(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 31
 
 --S 32 of 95
@@ -355,7 +355,7 @@ eq2 := D(u2(t),t,2) + 2*u2(t) = 2*u1(t)
 --R          ,,
 --R   (4)  u2  (t) + 2u2(t)= 2u1(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 32
 
 --S 33 of 95
@@ -367,7 +367,7 @@ eq1/2
 --R
 --R   (5)  ----------------= u2(t)
 --R                2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 33
 
 --S 34 of 95
@@ -379,7 +379,7 @@ _rule(rhs %, lhs %)
 --R
 --R   (6)  u2(t) == ----------------
 --R                         2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 34
 
 --S 35 of 95
@@ -391,7 +391,7 @@ _rule(rhs %, lhs %)
 --R
 --R   (7)  ------------------------------
 --R                       2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 35
 
 --S 36 of 95
@@ -403,7 +403,7 @@ eval(%,t=0)
 --R
 --R   (8)  ------------------------------
 --R                       2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 36
 
 )clear completely
@@ -416,7 +416,7 @@ bug := [exp(sqrt(-5))]
 --R            +---+
 --R           \|- 5
 --R   (1)  [%e      ]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 37
 
 --S 38 of 95
@@ -425,7 +425,7 @@ complexForm(bug.1) -- works
 --R
 --R             +-+         +-+
 --R   (2)  cos(\|5 ) + sin(\|5 )%i
---R                                             Type: Complex Expression Integer
+--R                                           Type: Complex(Expression(Integer))
 --E 38
 
 --S 39 of 95
@@ -434,7 +434,7 @@ map(complexForm,bug::List EXPR COMPLEX INT) -- works
 --R
 --R              +-+         +-+
 --R   (3)  [cos(\|5 ) + sin(\|5 )%i]
---R                                        Type: List Complex Expression Integer
+--R                                     Type: List(Complex(Expression(Integer)))
 --E 39
 
 --S 40 of 95
@@ -443,7 +443,7 @@ map(complexForm,bug) -- fails
 --R
 --R              +-+         +-+
 --R   (4)  [cos(\|5 ) + sin(\|5 )%i]
---R                                        Type: List Complex Expression Integer
+--R                                     Type: List(Complex(Expression(Integer)))
 --E 40
 
 )clear completely
@@ -459,18 +459,18 @@ f x == c[1]*exp(x)
 --S 42 of 95
 f x -- works
 --R 
---R   Compiling function f with type Variable x -> Expression Integer 
+--R   Compiling function f with type Variable(x) -> Expression(Integer) 
 --R
 --R            x
 --R   (2)  c %e
 --R         1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 42
 
 --S 43 of 95
 g(x:EXPR(INT)):EXPR(INT) == c[1]*exp(x) 
 --R 
---R   Function declaration g : Expression Integer -> Expression Integer 
+--R   Function declaration g : Expression(Integer) -> Expression(Integer) 
 --R      has been added to workspace.
 --R                                                                   Type: Void
 --E 43
@@ -484,13 +484,13 @@ g x -- fails
 --R      to learn if there is any operation containing " c " in its name.
 --R   Cannot find a definition or applicable library operation named c 
 --R      with argument type(s) 
---R                            List PositiveInteger
+--R                            List(PositiveInteger)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
 --R   AXIOM will attempt to step through and interpret the code.
---R   Compiling function g with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function g with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R   There are no library operations named c 
 --R      Use HyperDoc Browse or issue
 --R                                 )what op c
@@ -499,7 +499,7 @@ g x -- fails
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named c 
 --R      with argument type(s) 
---R                            List PositiveInteger
+--R                            List(PositiveInteger)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -508,7 +508,7 @@ g x -- fails
 --S 45 of 95
 g(x:EXPR(INT)):EXPR(INT) == (c[1]::EXPR INT)*exp(x) 
 --R 
---R   Function declaration g : Expression Integer -> Expression Integer 
+--R   Function declaration g : Expression(Integer) -> Expression(Integer) 
 --R      has been added to workspace.
 --R   Compiled code for g has been cleared.
 --R   1 old definition(s) deleted for function or rule g 
@@ -518,13 +518,13 @@ g(x:EXPR(INT)):EXPR(INT) == (c[1]::EXPR INT)*exp(x)
 --S 46 of 95
 g x -- fails
 --R 
---R   Compiling function g with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function g with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R            x
 --R   (5)  c %e
 --R         1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 )clear completely
@@ -536,11 +536,11 @@ a | a**8+a**4+a**3+a**2+(1::PF 2)
 --R   Your statement has resulted in the following assignments and 
 --R      declaration:
 --R
---I   SAEa := SimpleAlgebraicExtension(PrimeField 2,...
+--I   SAEa := SimpleAlgebraicExtension(PrimeField(2),...
 --R   a : SAEa := a
 --R
 --R   (1)  a
---IType: SimpleAlgebraicExtension(PrimeField 2,...
+--IType: SimpleAlgebraicExtension(PrimeField(2),...
 --E 47
 
 --S 48 of 95
@@ -555,7 +555,7 @@ tt:Matrix SAEa:=[_
 [0,0,0,0,0,0,1,0]];
 --R 
 --R
---IType: Matrix SimpleAlgebraicExtension(PrimeField 2,...
+--IType: Matrix(SimpleAlgebraicExtension(PrimeField(2),...
 --E 48
 
 --S 49 of 95
@@ -577,7 +577,7 @@ T:=transpose tt
 --R        |0  0  0  0  0  0  0  1|
 --R        |                      |
 --R        +1  0  0  0  0  0  0  0+
---IType: Matrix SimpleAlgebraicExtension(PrimeField 2,...
+--IType: Matrix(SimpleAlgebraicExtension(PrimeField(2),...
 --E 49
 
 --S 50 of 95
@@ -599,7 +599,7 @@ T0:=T**91
 --R        |1  1  0  1  0  1  1  1|
 --R        |                      |
 --R        +1  1  1  0  1  0  1  1+
---IType: Matrix SimpleAlgebraicExtension(PrimeField 2,...
+--IType: Matrix(SimpleAlgebraicExtension(PrimeField(2),...
 --E 50
 
 --S 51 of 95
@@ -621,7 +621,7 @@ T1:=T**95
 --R        |0  1  0  1  1  1  0  1|
 --R        |                      |
 --R        +0  0  1  0  1  1  1  0+
---IType: Matrix SimpleAlgebraicExtension(PrimeField 2,...
+--IType: Matrix(SimpleAlgebraicExtension(PrimeField(2),...
 --E 51
 
 )clear completely
@@ -650,7 +650,7 @@ eq1 := D(u1(t),t,2) + 5*u1(t) = 2*u2(t)
 --R          ,,
 --R   (3)  u1  (t) + 5u1(t)= 2u2(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 54
 
 --S 55 of 95
@@ -660,7 +660,7 @@ eq2 := D(u2(t),t,2) + 2*u2(t) = 2*u1(t)
 --R          ,,
 --R   (4)  u2  (t) + 2u2(t)= 2u1(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 55
 
 --S 56 of 95
@@ -672,7 +672,7 @@ eq1/2
 --R
 --R   (5)  ----------------= u2(t)
 --R                2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 56
 
 --S 57 of 95
@@ -684,7 +684,7 @@ _rule(rhs %, lhs %)
 --R
 --R   (6)  u2(t) == ----------------
 --R                         2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 57
 
 --S 58 of 95
@@ -696,7 +696,7 @@ _rule(rhs %, lhs %)
 --R
 --R   (7)  ------------------------------= 2u1(t)
 --R                       2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 58
 
 --S 59 of 95
@@ -708,7 +708,7 @@ rightZero %
 --R
 --R   (8)  -----------------------------= 0
 --R                      2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 59
 
 --S 60 of 95
@@ -718,18 +718,18 @@ rightZero %
 --R            (iv)         ,,
 --R   (9)  - u1    (t) - 7u1  (t) - 6u1(t)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 60
 
 --S 61 of 95
 eval(lhs %,u1,exp(r*t),t)
 --R 
---R   Compiling function %B with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function %B with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R             4     2       r t
 --R   (10)  (- r  - 7r  - 6)%e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 61
 
 --S 62 of 95
@@ -738,7 +738,7 @@ eval(lhs %,u1,exp(r*t),t)
 --R
 --R            4     2
 --R   (11)  - r  - 7r  - 6
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 62
 
 --S 63 of 95
@@ -747,7 +747,7 @@ solve(%,r)
 --R
 --R              +---+       +---+     +---+       +---+
 --R   (12)  [r= \|- 1 ,r= - \|- 1 ,r= \|- 6 ,r= - \|- 6 ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 63
 
 --S 64 of 95
@@ -757,7 +757,7 @@ solve(%,r)
 --R              +---+       +---+     +---+       +---+
 --R            t\|- 1    - t\|- 1    t\|- 6    - t\|- 6
 --R   (13)  [%e       ,%e         ,%e       ,%e         ]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 64
 
 --S 65 of 95
@@ -769,7 +769,7 @@ map(complexForm, %::List EXPR COMPLEX INT)
 --R   [cos(t) + sin(t)%i, cos(t) - sin(t)%i, cos(t\|6 ) + sin(t\|6 )%i,
 --R          +-+          +-+
 --R    cos(t\|6 ) - sin(t\|6 )%i]
---R                                        Type: List Complex Expression Integer
+--R                                     Type: List(Complex(Expression(Integer)))
 --E 65
 
 --S 66 of 95
@@ -778,7 +778,7 @@ map(complexForm, %::List EXPR COMPLEX INT)
 --R
 --R                              +-+        +-+
 --R   (15)  [cos(t),sin(t),cos(t\|6 ),sin(t\|6 )]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 66
 
 --S 67 of 95
@@ -788,7 +788,7 @@ gform:= u1(t)=reduce(+, [c[i]*%.i for i in 1..#%])
 --R                        +-+                       +-+
 --R   (16)  u1(t)= c sin(t\|6 ) + c sin(t) + c cos(t\|6 ) + c cos(t)
 --R                 4              2          3              1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 67
 
 --S 68 of 95
@@ -798,7 +798,7 @@ _rule(lhs %, rhs %)
 --R                          +-+                       +-+
 --R   (17)  u1(t) == c sin(t\|6 ) + c sin(t) + c cos(t\|6 ) + c cos(t)
 --R                   4              2          3              1
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 68
 
 --S 69 of 95
@@ -808,7 +808,7 @@ _rule(lhs %, rhs %)
 --R                   +-+                        +-+
 --R   (18)  - c sin(t\|6 ) + 4c sin(t) - c cos(t\|6 ) + 4c cos(t)= 2u2(t)
 --R            4               2          3               1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 69
 
 --S 70 of 95
@@ -820,7 +820,7 @@ _rule(lhs %, rhs %)
 --R            4               2          3               1
 --R   (19)  -----------------------------------------------------= u2(t)
 --R                                   2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 70
 
 --part c
@@ -831,7 +831,7 @@ inits := [u1(0)=1, eval(D(u1 t,t),t=0)=0, u2(0)=2, eval(D(u2 t,t),t=0)=0]
 --R                     ,                  ,
 --R   (20)  [u1(0)= 1,u1 (0)= 0,u2(0)= 2,u2 (0)= 0]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 71
 
 --S 72 of 95
@@ -841,7 +841,7 @@ eqq := eq1-5*u1(t)
 --R           ,,
 --R   (21)  u1  (t)= 2u2(t) - 5u1(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 72
 
 --S 73 of 95
@@ -851,7 +851,7 @@ eval(eqq,t=0)
 --R           ,,
 --R   (22)  u1  (0)= 2u2(0) - 5u1(0)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 73
 
 --S 74 of 95
@@ -861,7 +861,7 @@ eval(%,inits)
 --R           ,,
 --R   (23)  u1  (0)= - 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 74
 
 --S 75 of 95
@@ -871,7 +871,7 @@ inits:=cons(%,inits)
 --R            ,,                    ,                  ,
 --R   (24)  [u1  (0)= - 1,u1(0)= 1,u1 (0)= 0,u2(0)= 2,u2 (0)= 0]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 75
 
 --S 76 of 95
@@ -881,7 +881,7 @@ D(eqq,t)
 --R           ,,,        ,         ,
 --R   (25)  u1   (t)= 2u2 (t) - 5u1 (t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 76
 
 --S 77 of 95
@@ -891,7 +891,7 @@ eval(%,t=0)
 --R           ,,,        ,         ,
 --R   (26)  u1   (0)= 2u2 (0) - 5u1 (0)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 77
 
 )clear completely
@@ -912,7 +912,7 @@ exp:=D(u t,t)
 --R         ,
 --R   (2)  u (t)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 79
 
 --S 80 of 95
@@ -922,7 +922,7 @@ k:=kernels(exp).1
 --R         ,
 --R   (3)  u (t)
 --R
---R                                              Type: Kernel Expression Integer
+--R                                            Type: Kernel(Expression(Integer))
 --E 80
 
 --S 81 of 95
@@ -930,7 +930,7 @@ l:=argument %
 --R 
 --R
 --R   (4)  [u(%%01),%%01,t]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 81
 
 --S 82 of 95
@@ -946,7 +946,7 @@ l2:=[l.1+l.2,l.2,l.3]
 --R 
 --R
 --R   (6)  [u(%%01) + %%01,%%01,t]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 83
 
 --S 84 of 95
@@ -956,7 +956,7 @@ bug:=evaluate(difop,l2)
 --R         ,
 --R   (7)  u (t) + 1
 --R
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 84
 
 --S 85 of 95
@@ -966,7 +966,7 @@ kernels(bug).1
 --R         ,
 --R   (8)  u (t)
 --R
---R                                              Type: Kernel Expression Integer
+--R                                            Type: Kernel(Expression(Integer))
 --E 85
 
 --S 86 of 95
@@ -974,7 +974,7 @@ argument %
 --R 
 --R
 --R   (9)  [u(%%01),%%01,t]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 86
 
 --S 87 of 95
@@ -984,7 +984,7 @@ eval(bug,t=0)
 --R          ,
 --R   (10)  u (0) + 1
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 87
 
 )clear completely
@@ -1000,7 +1000,7 @@ R := Polynomial(PrimeField(3)) ;
 A := UP('X, R) 
 --R 
 --R
---R   (2)  UnivariatePolynomial(X,Polynomial PrimeField 3)
+--R   (2)  UnivariatePolynomial(X,Polynomial(PrimeField(3)))
 --R                                                                 Type: Domain
 --E 89
 
@@ -1008,7 +1008,7 @@ A := UP('X, R)
 X : A := monomial(1, 1) ;
 --R 
 --R
---R                        Type: UnivariatePolynomial(X,Polynomial PrimeField 3)
+--R                      Type: UnivariatePolynomial(X,Polynomial(PrimeField(3)))
 --E 90
 
 --S 91 of 95
@@ -1017,7 +1017,7 @@ f : A := a*X^3 + b*X^2 + c*X + d
 --R
 --R           3      2
 --R   (4)  a X  + b X  + c X + d
---R                        Type: UnivariatePolynomial(X,Polynomial PrimeField 3)
+--R                      Type: UnivariatePolynomial(X,Polynomial(PrimeField(3)))
 --E 91
 
 --S 92 of 95
@@ -1026,7 +1026,7 @@ discriminant(f)
 --R
 --R          3        3    2 2
 --R   (5)  2b d + 2a c  + b c
---R                                                Type: Polynomial PrimeField 3
+--R                                              Type: Polynomial(PrimeField(3))
 --E 92
 
 --S 93 of 95
@@ -1034,7 +1034,7 @@ s := differentiate f
 --R 
 --R
 --R   (6)  2b X + c
---R                        Type: UnivariatePolynomial(X,Polynomial PrimeField 3)
+--R                      Type: UnivariatePolynomial(X,Polynomial(PrimeField(3)))
 --E 93
 
 --S 94 of 95
@@ -1043,7 +1043,7 @@ resultant(f,s)
 --R
 --R         3       3     2 2
 --R   (7)  b d + a c  + 2b c
---R                                                Type: Polynomial PrimeField 3
+--R                                              Type: Polynomial(PrimeField(3))
 --E 94
 
 --S 95 of 95
diff --git a/src/input/r21bugsbig.input.pamphlet b/src/input/r21bugsbig.input.pamphlet
index 806760b..85ff05f 100644
--- a/src/input/r21bugsbig.input.pamphlet
+++ b/src/input/r21bugsbig.input.pamphlet
@@ -53,7 +53,7 @@ vars : List(Symbol) := [concat("t", i::String)::Symbol for i in 0 ..#UZn-1]
 Zt := DistributedMultivariatePolynomial(vars, Integer) ;   K :=Fraction(Zt) 
 --R 
 --R
---R   (4)  Fraction DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer)
+--R   (4)  Fraction(DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer))
 --E 4 
 
 --S 5 of 22
@@ -77,7 +77,7 @@ t(#t) := 0 ; t
 Zn := IntegerMod(n) 
 --R 
 --R
---R   (7)  IntegerMod 5
+--R   (7)  IntegerMod(5)
 --E 7 
 
 --S 8 of 22
@@ -105,9 +105,9 @@ E := SimpleAlgebraicExtension(K, UP('xi, K), Phi)
 --R 
 --R
 --R   (10)
---R  SimpleAlgebraicExtension(Fraction DistributedMultivariatePolynomial([t0,t1,t2
---R  ,t3],Integer),UnivariatePolynomial(xi,Fraction DistributedMultivariatePolynom
---R  ial([t0,t1,t2,t3],Integer)),xi**4+xi**3+xi*xi+xi+1)
+--R  SimpleAlgebraicExtension(Fraction(DistributedMultivariatePolynomial([t0,t1,t2
+--R  ,t3],Integer)),UnivariatePolynomial(xi,Fraction(DistributedMultivariatePolyno
+--R  mial([t0,t1,t2,t3],Integer))),xi^4+xi^3+xi^2+xi+1)
 --E 10 
 
 --S 11 of 22
@@ -864,86 +864,73 @@ retraction(z : L) : Zt ==
    return zt
 --R 
 --R   Function declaration retraction : SimpleAlgebraicExtension(
---R      SimpleAlgebraicExtension(Fraction 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer),
---R      UnivariatePolynomial(xi,Fraction 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer)),xi**4+
---R      xi**3+xi*xi+xi+1),UnivariatePolynomial(C1,
---R      SimpleAlgebraicExtension(Fraction 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer),
---R      UnivariatePolynomial(xi,Fraction 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer)),xi**4+
---R      xi**3+xi*xi+xi+1)),C1**5+(2*t0**9*t1+(-t0**9*t2)+(-4*t0**8*t1*t1)
---R      +(-9*t0**8*t1*t2)+3*t0**8*t2*t2+7*t0**7*t1**3+24*t0**7*t1*t1*t2+9
---R      *t0**7*t1*t2*t2+(-7*t0**7*t2**3)+(-11*t0**6*t1**4)+(-32*t0**6*t1
---R      **3*t2)+(-35*t0**6*t1*t1*t2*t2)+(-t0**6*t1*t2**3)+8*t0**6*t2**4+
---R      11*t0**5*t1**5+36*t0**5*t1**4*t2+65*t0**5*t1**3*t2*t2+(-6*t0**5*
---R      t1*t2**4)+(-6*t0**5*t2**5)+(-8*t0**4*t1**6)+(-41*t0**4*t1**5*t2)+
---R      (-45*t0**4*t1**4*t2*t2)+(-20*t0**4*t1**3*t2**3)+20*t0**4*t1*t1*t2
---R      **4+(-3*t0**4*t1*t2**5)+4*t0**4*t2**6+6*t0**3*t1**7+26*t0**3*t1**
---R      6*t2+13*t0**3*t1**5*t2*t2+45*t0**3*t1**4*t2**3+(-40*t0**3*t1**3*
---R      t2**4)+11*t0**3*t1*t1*t2**5+(-4*t0**3*t1*t2**6)+(-2*t0**3*t2**7)+
---R      (-3*t0*t0*t1**8)+(-t0*t0*t1**7*t2)+(-31*t0*t0*t1**6*t2*t2)+13*t0*
---R      t0*t1**5*t2**3+(-20*t0*t0*t1**4*t2**4)+47*t0*t0*t1**3*t2**5+(-41*
---R      t0*t0*t1*t1*t2**6)+19*t0*t0*t1*t2**7+(-2*t0*t0*t2**8)+(-t0*t1**9)
---R      +3*t0*t1**8*t2+10*t0*t1**7*t2*t2+(-6*t0*t1**6*t2**3)+(-7*t0*t1**5
---R      *t2**4)+14*t0*t1**4*t2**5+(-22*t0*t1**3*t2**6)+25*t0*t1*t1*t2**7+
---R      (-16*t0*t1*t2**8)+3*t0*t2**9+t1**10+(-4*t1**9*t2)+5*t1**8*t2*t2+(
---R      -5*t1**7*t2**3)+4*t1**6*t2**4+(-4*t1**4*t2**6)+5*t1**3*t2**7+(-5*
---R      t1*t1*t2**8)+4*t1*t2**9+(-t2**10))*xi**3+(t0**9*t1+2*t0**9*t2+(-3
---R      *t0**8*t1*t1)+(-11*t0**8*t1*t2)+(-5*t0**8*t2*t2)+7*t0**7*t1**3+16
---R      *t0**7*t1*t1*t2+26*t0**7*t1*t2*t2+4*t0**7*t2**3+(-8*t0**6*t1**4)+
---R      (-23*t0**6*t1**3*t2)+(-40*t0**6*t1*t1*t2*t2)+(-24*t0**6*t1*t2**3)
---R      +(-4*t0**6*t2**4)+6*t0**5*t1**5+28*t0**5*t1**4*t2+41*t0**5*t1**3*
---R      t2*t2+32*t0**5*t1*t1*t2**3+8*t0**5*t1*t2**4+5*t0**5*t2**5+(-4*t0
---R      **4*t1**6)+(-23*t0**4*t1**5*t2)+(-10*t0**4*t1**4*t2*t2)+(-45*t0**
---R      4*t1**3*t2**3)+5*t0**4*t1*t1*t2**4+(-14*t0**4*t1*t2**5)+(-3*t0**4
---R      *t2**6)+2*t0**3*t1**7+(-t0**3*t1**6*t2)+15*t0**3*t1**5*t2*t2+5*t0
---R      **3*t1**4*t2**3+30*t0**3*t1**3*t2**4+(-13*t0**3*t1*t1*t2**5)+9*t0
---R      **3*t1*t2**6+2*t0*t0*t1**8+6*t0*t0*t1**7*t2+(-14*t0*t0*t1**6*t2*
---R      t2)+4*t0*t0*t1**5*t2**3+(-25*t0*t0*t1**4*t2**4)+27*t0*t0*t1**3*t2
---R      **5+(-19*t0*t0*t1*t1*t2**6)+6*t0*t0*t1*t2**7+(-t0*t0*t2**8)+(-3*
---R      t0*t1**9)+2*t0*t1**8*t2+11*t0*t1**6*t2**3+(-24*t0*t1**5*t2**4)+37
---R      *t0*t1**4*t2**5+(-38*t0*t1**3*t2**6)+25*t0*t1*t1*t2**7+(-9*t0*t1*
---R      t2**8)+t0*t2**9+t1**10+(-2*t1**9*t2)+t1**8*t2*t2+2*t1**7*t2**3+(-
---R      7*t1**6*t2**4)+11*t1**5*t2**5+(-12*t1**4*t2**6)+11*t1**3*t2**7+(-
---R      8*t1*t1*t2**8)+3*t1*t2**9)*xi*xi+(3*t0**9*t1+t0**9*t2+(-8*t0**8*
---R      t1*t1)+(-9*t0**8*t1*t2)+(-t0**8*t2*t2)+11*t0**7*t1**3+25*t0**7*t1
---R      *t1*t2+6*t0**7*t1*t2*t2+(-12*t0**6*t1**4)+(-38*t0**6*t1**3*t2)+(-
---R      19*t0**6*t1*t1*t2*t2)+9*t0**6*t1*t2**3+(-3*t0**6*t2**4)+11*t0**5*
---R      t1**5+37*t0**5*t1**4*t2+27*t0**5*t1**3*t2*t2+(-13*t0**5*t1*t1*t2
---R      **3)+(-14*t0**5*t1*t2**4)+5*t0**5*t2**5+(-7*t0**4*t1**6)+(-24*t0
---R      **4*t1**5*t2)+(-25*t0**4*t1**4*t2*t2)+30*t0**4*t1**3*t2**3+5*t0**
---R      4*t1*t1*t2**4+8*t0**4*t1*t2**5+(-4*t0**4*t2**6)+2*t0**3*t1**7+11*
---R      t0**3*t1**6*t2+4*t0**3*t1**5*t2*t2+5*t0**3*t1**4*t2**3+(-45*t0**3
---R      *t1**3*t2**4)+32*t0**3*t1*t1*t2**5+(-24*t0**3*t1*t2**6)+4*t0**3*
---R      t2**7+t0*t0*t1**8+(-14*t0*t0*t1**6*t2*t2)+15*t0*t0*t1**5*t2**3+(-
---R      10*t0*t0*t1**4*t2**4)+41*t0*t0*t1**3*t2**5+(-40*t0*t0*t1*t1*t2**6
---R      )+26*t0*t0*t1*t2**7+(-5*t0*t0*t2**8)+(-2*t0*t1**9)+2*t0*t1**8*t2+
---R      6*t0*t1**7*t2*t2+(-t0*t1**6*t2**3)+(-23*t0*t1**5*t2**4)+28*t0*t1
---R      **4*t2**5+(-23*t0*t1**3*t2**6)+16*t0*t1*t1*t2**7+(-11*t0*t1*t2**8
---R      )+2*t0*t2**9+t1**10+(-3*t1**9*t2)+2*t1**8*t2*t2+2*t1**7*t2**3+(-4
---R      *t1**6*t2**4)+6*t1**5*t2**5+(-8*t1**4*t2**6)+7*t1**3*t2**7+(-3*t1
---R      *t1*t2**8)+t1*t2**9)*xi+(-t0**10)+4*t0**9*t1+3*t0**9*t2+(-5*t0**8
---R      *t1*t1)+(-16*t0**8*t1*t2)+(-2*t0**8*t2*t2)+5*t0**7*t1**3+25*t0**7
---R      *t1*t1*t2+19*t0**7*t1*t2*t2+(-2*t0**7*t2**3)+(-4*t0**6*t1**4)+(-
---R      22*t0**6*t1**3*t2)+(-41*t0**6*t1*t1*t2*t2)+(-4*t0**6*t1*t2**3)+4*
---R      t0**6*t2**4+14*t0**5*t1**4*t2+47*t0**5*t1**3*t2*t2+11*t0**5*t1*t1
---R      *t2**3+(-3*t0**5*t1*t2**4)+(-6*t0**5*t2**5)+4*t0**4*t1**6+(-7*t0
---R      **4*t1**5*t2)+(-20*t0**4*t1**4*t2*t2)+(-40*t0**4*t1**3*t2**3)+20*
---R      t0**4*t1*t1*t2**4+(-6*t0**4*t1*t2**5)+8*t0**4*t2**6+(-5*t0**3*t1
---R      **7)+(-6*t0**3*t1**6*t2)+13*t0**3*t1**5*t2*t2+45*t0**3*t1**4*t2**
---R      3+(-20*t0**3*t1**3*t2**4)+(-t0**3*t1*t2**6)+(-7*t0**3*t2**7)+5*t0
---R      *t0*t1**8+10*t0*t0*t1**7*t2+(-31*t0*t0*t1**6*t2*t2)+13*t0*t0*t1**
---R      5*t2**3+(-45*t0*t0*t1**4*t2**4)+65*t0*t0*t1**3*t2**5+(-35*t0*t0*
---R      t1*t1*t2**6)+9*t0*t0*t1*t2**7+3*t0*t0*t2**8+(-4*t0*t1**9)+3*t0*t1
---R      **8*t2+(-t0*t1**7*t2*t2)+26*t0*t1**6*t2**3+(-41*t0*t1**5*t2**4)+
---R      36*t0*t1**4*t2**5+(-32*t0*t1**3*t2**6)+24*t0*t1*t1*t2**7+(-9*t0*
---R      t1*t2**8)+(-t0*t2**9)+t1**10+(-t1**9*t2)+(-3*t1**8*t2*t2)+6*t1**7
---R      *t2**3+(-8*t1**6*t2**4)+11*t1**5*t2**5+(-11*t1**4*t2**6)+7*t1**3*
---R      t2**7+(-4*t1*t1*t2**8)+2*t1*t2**9) -> 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer) has been
---R      added to workspace.
+--R      SimpleAlgebraicExtension(Fraction(
+--R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer)),
+--R      UnivariatePolynomial(xi,Fraction(
+--R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer))),xi^4+
+--R      xi^3+xi^2+xi+1),UnivariatePolynomial(C1,SimpleAlgebraicExtension(
+--R      Fraction(DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer)
+--R      ),UnivariatePolynomial(xi,Fraction(
+--R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer))),xi^4+
+--R      xi^3+xi^2+xi+1)),C1^5+((2*t0^9*t1+-1*t0^9*t2+-4*t0^8*t1^2+-9*t0^8
+--R      *t1*t2+3*t0^8*t2^2+7*t0^7*t1^3+24*t0^7*t1^2*t2+9*t0^7*t1*t2^2+-7*
+--R      t0^7*t2^3+-11*t0^6*t1^4+-32*t0^6*t1^3*t2+-35*t0^6*t1^2*t2^2+-1*t0
+--R      ^6*t1*t2^3+8*t0^6*t2^4+11*t0^5*t1^5+36*t0^5*t1^4*t2+65*t0^5*t1^3*
+--R      t2^2+-6*t0^5*t1*t2^4+-6*t0^5*t2^5+-8*t0^4*t1^6+-41*t0^4*t1^5*t2+
+--R      -45*t0^4*t1^4*t2^2+-20*t0^4*t1^3*t2^3+20*t0^4*t1^2*t2^4+-3*t0^4*
+--R      t1*t2^5+4*t0^4*t2^6+6*t0^3*t1^7+26*t0^3*t1^6*t2+13*t0^3*t1^5*t2^2
+--R      +45*t0^3*t1^4*t2^3+-40*t0^3*t1^3*t2^4+11*t0^3*t1^2*t2^5+-4*t0^3*
+--R      t1*t2^6+-2*t0^3*t2^7+-3*t0^2*t1^8+-1*t0^2*t1^7*t2+-31*t0^2*t1^6*
+--R      t2^2+13*t0^2*t1^5*t2^3+-20*t0^2*t1^4*t2^4+47*t0^2*t1^3*t2^5+-41*
+--R      t0^2*t1^2*t2^6+19*t0^2*t1*t2^7+-2*t0^2*t2^8+-1*t0*t1^9+3*t0*t1^8*
+--R      t2+10*t0*t1^7*t2^2+-6*t0*t1^6*t2^3+-7*t0*t1^5*t2^4+14*t0*t1^4*t2^
+--R      5+-22*t0*t1^3*t2^6+25*t0*t1^2*t2^7+-16*t0*t1*t2^8+3*t0*t2^9+t1^10
+--R      +-4*t1^9*t2+5*t1^8*t2^2+-5*t1^7*t2^3+4*t1^6*t2^4+-4*t1^4*t2^6+5*
+--R      t1^3*t2^7+-5*t1^2*t2^8+4*t1*t2^9+-1*t2^10)*xi^3+(t0^9*t1+2*t0^9*
+--R      t2+-3*t0^8*t1^2+-11*t0^8*t1*t2+-5*t0^8*t2^2+7*t0^7*t1^3+16*t0^7*
+--R      t1^2*t2+26*t0^7*t1*t2^2+4*t0^7*t2^3+-8*t0^6*t1^4+-23*t0^6*t1^3*t2
+--R      +-40*t0^6*t1^2*t2^2+-24*t0^6*t1*t2^3+-4*t0^6*t2^4+6*t0^5*t1^5+28*
+--R      t0^5*t1^4*t2+41*t0^5*t1^3*t2^2+32*t0^5*t1^2*t2^3+8*t0^5*t1*t2^4+5
+--R      *t0^5*t2^5+-4*t0^4*t1^6+-23*t0^4*t1^5*t2+-10*t0^4*t1^4*t2^2+-45*
+--R      t0^4*t1^3*t2^3+5*t0^4*t1^2*t2^4+-14*t0^4*t1*t2^5+-3*t0^4*t2^6+2*
+--R      t0^3*t1^7+-1*t0^3*t1^6*t2+15*t0^3*t1^5*t2^2+5*t0^3*t1^4*t2^3+30*
+--R      t0^3*t1^3*t2^4+-13*t0^3*t1^2*t2^5+9*t0^3*t1*t2^6+2*t0^2*t1^8+6*t0
+--R      ^2*t1^7*t2+-14*t0^2*t1^6*t2^2+4*t0^2*t1^5*t2^3+-25*t0^2*t1^4*t2^4
+--R      +27*t0^2*t1^3*t2^5+-19*t0^2*t1^2*t2^6+6*t0^2*t1*t2^7+-1*t0^2*t2^8
+--R      +-3*t0*t1^9+2*t0*t1^8*t2+11*t0*t1^6*t2^3+-24*t0*t1^5*t2^4+37*t0*
+--R      t1^4*t2^5+-38*t0*t1^3*t2^6+25*t0*t1^2*t2^7+-9*t0*t1*t2^8+t0*t2^9+
+--R      t1^10+-2*t1^9*t2+t1^8*t2^2+2*t1^7*t2^3+-7*t1^6*t2^4+11*t1^5*t2^5+
+--R      -12*t1^4*t2^6+11*t1^3*t2^7+-8*t1^2*t2^8+3*t1*t2^9)*xi^2+(3*t0^9*
+--R      t1+t0^9*t2+-8*t0^8*t1^2+-9*t0^8*t1*t2+-1*t0^8*t2^2+11*t0^7*t1^3+
+--R      25*t0^7*t1^2*t2+6*t0^7*t1*t2^2+-12*t0^6*t1^4+-38*t0^6*t1^3*t2+-19
+--R      *t0^6*t1^2*t2^2+9*t0^6*t1*t2^3+-3*t0^6*t2^4+11*t0^5*t1^5+37*t0^5*
+--R      t1^4*t2+27*t0^5*t1^3*t2^2+-13*t0^5*t1^2*t2^3+-14*t0^5*t1*t2^4+5*
+--R      t0^5*t2^5+-7*t0^4*t1^6+-24*t0^4*t1^5*t2+-25*t0^4*t1^4*t2^2+30*t0^
+--R      4*t1^3*t2^3+5*t0^4*t1^2*t2^4+8*t0^4*t1*t2^5+-4*t0^4*t2^6+2*t0^3*
+--R      t1^7+11*t0^3*t1^6*t2+4*t0^3*t1^5*t2^2+5*t0^3*t1^4*t2^3+-45*t0^3*
+--R      t1^3*t2^4+32*t0^3*t1^2*t2^5+-24*t0^3*t1*t2^6+4*t0^3*t2^7+t0^2*t1^
+--R      8+-14*t0^2*t1^6*t2^2+15*t0^2*t1^5*t2^3+-10*t0^2*t1^4*t2^4+41*t0^2
+--R      *t1^3*t2^5+-40*t0^2*t1^2*t2^6+26*t0^2*t1*t2^7+-5*t0^2*t2^8+-2*t0*
+--R      t1^9+2*t0*t1^8*t2+6*t0*t1^7*t2^2+-1*t0*t1^6*t2^3+-23*t0*t1^5*t2^4
+--R      +28*t0*t1^4*t2^5+-23*t0*t1^3*t2^6+16*t0*t1^2*t2^7+-11*t0*t1*t2^8+
+--R      2*t0*t2^9+t1^10+-3*t1^9*t2+2*t1^8*t2^2+2*t1^7*t2^3+-4*t1^6*t2^4+6
+--R      *t1^5*t2^5+-8*t1^4*t2^6+7*t1^3*t2^7+-3*t1^2*t2^8+t1*t2^9)*xi+(-1*
+--R      t0^10+4*t0^9*t1+3*t0^9*t2+-5*t0^8*t1^2+-16*t0^8*t1*t2+-2*t0^8*t2^
+--R      2+5*t0^7*t1^3+25*t0^7*t1^2*t2+19*t0^7*t1*t2^2+-2*t0^7*t2^3+-4*t0^
+--R      6*t1^4+-22*t0^6*t1^3*t2+-41*t0^6*t1^2*t2^2+-4*t0^6*t1*t2^3+4*t0^6
+--R      *t2^4+14*t0^5*t1^4*t2+47*t0^5*t1^3*t2^2+11*t0^5*t1^2*t2^3+-3*t0^5
+--R      *t1*t2^4+-6*t0^5*t2^5+4*t0^4*t1^6+-7*t0^4*t1^5*t2+-20*t0^4*t1^4*
+--R      t2^2+-40*t0^4*t1^3*t2^3+20*t0^4*t1^2*t2^4+-6*t0^4*t1*t2^5+8*t0^4*
+--R      t2^6+-5*t0^3*t1^7+-6*t0^3*t1^6*t2+13*t0^3*t1^5*t2^2+45*t0^3*t1^4*
+--R      t2^3+-20*t0^3*t1^3*t2^4+-1*t0^3*t1*t2^6+-7*t0^3*t2^7+5*t0^2*t1^8+
+--R      10*t0^2*t1^7*t2+-31*t0^2*t1^6*t2^2+13*t0^2*t1^5*t2^3+-45*t0^2*t1^
+--R      4*t2^4+65*t0^2*t1^3*t2^5+-35*t0^2*t1^2*t2^6+9*t0^2*t1*t2^7+3*t0^2
+--R      *t2^8+-4*t0*t1^9+3*t0*t1^8*t2+-1*t0*t1^7*t2^2+26*t0*t1^6*t2^3+-41
+--R      *t0*t1^5*t2^4+36*t0*t1^4*t2^5+-32*t0*t1^3*t2^6+24*t0*t1^2*t2^7+-9
+--R      *t0*t1*t2^8+-1*t0*t2^9+t1^10+-1*t1^9*t2+-3*t1^8*t2^2+6*t1^7*t2^3+
+--R      -8*t1^6*t2^4+11*t1^5*t2^5+-11*t1^4*t2^6+7*t1^3*t2^7+-4*t1^2*t2^8+
+--R      2*t1*t2^9))) -> DistributedMultivariatePolynomial([t0,t1,t2,t3],
+--R      Integer) has been added to workspace.
 --E 17
 
 --S 18 of 22
@@ -3970,85 +3957,73 @@ g : LX := reduce(*, [X - rho for rho in r])
 f : UP('X, Zt) := map(retraction, g)
 --R 
 --R   Compiling function retraction with type SimpleAlgebraicExtension(
---R      SimpleAlgebraicExtension(Fraction 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer),
---R      UnivariatePolynomial(xi,Fraction 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer)),xi**4+
---R      xi**3+xi*xi+xi+1),UnivariatePolynomial(C1,
---R      SimpleAlgebraicExtension(Fraction 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer),
---R      UnivariatePolynomial(xi,Fraction 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer)),xi**4+
---R      xi**3+xi*xi+xi+1)),C1**5+(2*t0**9*t1+(-t0**9*t2)+(-4*t0**8*t1*t1)
---R      +(-9*t0**8*t1*t2)+3*t0**8*t2*t2+7*t0**7*t1**3+24*t0**7*t1*t1*t2+9
---R      *t0**7*t1*t2*t2+(-7*t0**7*t2**3)+(-11*t0**6*t1**4)+(-32*t0**6*t1
---R      **3*t2)+(-35*t0**6*t1*t1*t2*t2)+(-t0**6*t1*t2**3)+8*t0**6*t2**4+
---R      11*t0**5*t1**5+36*t0**5*t1**4*t2+65*t0**5*t1**3*t2*t2+(-6*t0**5*
---R      t1*t2**4)+(-6*t0**5*t2**5)+(-8*t0**4*t1**6)+(-41*t0**4*t1**5*t2)+
---R      (-45*t0**4*t1**4*t2*t2)+(-20*t0**4*t1**3*t2**3)+20*t0**4*t1*t1*t2
---R      **4+(-3*t0**4*t1*t2**5)+4*t0**4*t2**6+6*t0**3*t1**7+26*t0**3*t1**
---R      6*t2+13*t0**3*t1**5*t2*t2+45*t0**3*t1**4*t2**3+(-40*t0**3*t1**3*
---R      t2**4)+11*t0**3*t1*t1*t2**5+(-4*t0**3*t1*t2**6)+(-2*t0**3*t2**7)+
---R      (-3*t0*t0*t1**8)+(-t0*t0*t1**7*t2)+(-31*t0*t0*t1**6*t2*t2)+13*t0*
---R      t0*t1**5*t2**3+(-20*t0*t0*t1**4*t2**4)+47*t0*t0*t1**3*t2**5+(-41*
---R      t0*t0*t1*t1*t2**6)+19*t0*t0*t1*t2**7+(-2*t0*t0*t2**8)+(-t0*t1**9)
---R      +3*t0*t1**8*t2+10*t0*t1**7*t2*t2+(-6*t0*t1**6*t2**3)+(-7*t0*t1**5
---R      *t2**4)+14*t0*t1**4*t2**5+(-22*t0*t1**3*t2**6)+25*t0*t1*t1*t2**7+
---R      (-16*t0*t1*t2**8)+3*t0*t2**9+t1**10+(-4*t1**9*t2)+5*t1**8*t2*t2+(
---R      -5*t1**7*t2**3)+4*t1**6*t2**4+(-4*t1**4*t2**6)+5*t1**3*t2**7+(-5*
---R      t1*t1*t2**8)+4*t1*t2**9+(-t2**10))*xi**3+(t0**9*t1+2*t0**9*t2+(-3
---R      *t0**8*t1*t1)+(-11*t0**8*t1*t2)+(-5*t0**8*t2*t2)+7*t0**7*t1**3+16
---R      *t0**7*t1*t1*t2+26*t0**7*t1*t2*t2+4*t0**7*t2**3+(-8*t0**6*t1**4)+
---R      (-23*t0**6*t1**3*t2)+(-40*t0**6*t1*t1*t2*t2)+(-24*t0**6*t1*t2**3)
---R      +(-4*t0**6*t2**4)+6*t0**5*t1**5+28*t0**5*t1**4*t2+41*t0**5*t1**3*
---R      t2*t2+32*t0**5*t1*t1*t2**3+8*t0**5*t1*t2**4+5*t0**5*t2**5+(-4*t0
---R      **4*t1**6)+(-23*t0**4*t1**5*t2)+(-10*t0**4*t1**4*t2*t2)+(-45*t0**
---R      4*t1**3*t2**3)+5*t0**4*t1*t1*t2**4+(-14*t0**4*t1*t2**5)+(-3*t0**4
---R      *t2**6)+2*t0**3*t1**7+(-t0**3*t1**6*t2)+15*t0**3*t1**5*t2*t2+5*t0
---R      **3*t1**4*t2**3+30*t0**3*t1**3*t2**4+(-13*t0**3*t1*t1*t2**5)+9*t0
---R      **3*t1*t2**6+2*t0*t0*t1**8+6*t0*t0*t1**7*t2+(-14*t0*t0*t1**6*t2*
---R      t2)+4*t0*t0*t1**5*t2**3+(-25*t0*t0*t1**4*t2**4)+27*t0*t0*t1**3*t2
---R      **5+(-19*t0*t0*t1*t1*t2**6)+6*t0*t0*t1*t2**7+(-t0*t0*t2**8)+(-3*
---R      t0*t1**9)+2*t0*t1**8*t2+11*t0*t1**6*t2**3+(-24*t0*t1**5*t2**4)+37
---R      *t0*t1**4*t2**5+(-38*t0*t1**3*t2**6)+25*t0*t1*t1*t2**7+(-9*t0*t1*
---R      t2**8)+t0*t2**9+t1**10+(-2*t1**9*t2)+t1**8*t2*t2+2*t1**7*t2**3+(-
---R      7*t1**6*t2**4)+11*t1**5*t2**5+(-12*t1**4*t2**6)+11*t1**3*t2**7+(-
---R      8*t1*t1*t2**8)+3*t1*t2**9)*xi*xi+(3*t0**9*t1+t0**9*t2+(-8*t0**8*
---R      t1*t1)+(-9*t0**8*t1*t2)+(-t0**8*t2*t2)+11*t0**7*t1**3+25*t0**7*t1
---R      *t1*t2+6*t0**7*t1*t2*t2+(-12*t0**6*t1**4)+(-38*t0**6*t1**3*t2)+(-
---R      19*t0**6*t1*t1*t2*t2)+9*t0**6*t1*t2**3+(-3*t0**6*t2**4)+11*t0**5*
---R      t1**5+37*t0**5*t1**4*t2+27*t0**5*t1**3*t2*t2+(-13*t0**5*t1*t1*t2
---R      **3)+(-14*t0**5*t1*t2**4)+5*t0**5*t2**5+(-7*t0**4*t1**6)+(-24*t0
---R      **4*t1**5*t2)+(-25*t0**4*t1**4*t2*t2)+30*t0**4*t1**3*t2**3+5*t0**
---R      4*t1*t1*t2**4+8*t0**4*t1*t2**5+(-4*t0**4*t2**6)+2*t0**3*t1**7+11*
---R      t0**3*t1**6*t2+4*t0**3*t1**5*t2*t2+5*t0**3*t1**4*t2**3+(-45*t0**3
---R      *t1**3*t2**4)+32*t0**3*t1*t1*t2**5+(-24*t0**3*t1*t2**6)+4*t0**3*
---R      t2**7+t0*t0*t1**8+(-14*t0*t0*t1**6*t2*t2)+15*t0*t0*t1**5*t2**3+(-
---R      10*t0*t0*t1**4*t2**4)+41*t0*t0*t1**3*t2**5+(-40*t0*t0*t1*t1*t2**6
---R      )+26*t0*t0*t1*t2**7+(-5*t0*t0*t2**8)+(-2*t0*t1**9)+2*t0*t1**8*t2+
---R      6*t0*t1**7*t2*t2+(-t0*t1**6*t2**3)+(-23*t0*t1**5*t2**4)+28*t0*t1
---R      **4*t2**5+(-23*t0*t1**3*t2**6)+16*t0*t1*t1*t2**7+(-11*t0*t1*t2**8
---R      )+2*t0*t2**9+t1**10+(-3*t1**9*t2)+2*t1**8*t2*t2+2*t1**7*t2**3+(-4
---R      *t1**6*t2**4)+6*t1**5*t2**5+(-8*t1**4*t2**6)+7*t1**3*t2**7+(-3*t1
---R      *t1*t2**8)+t1*t2**9)*xi+(-t0**10)+4*t0**9*t1+3*t0**9*t2+(-5*t0**8
---R      *t1*t1)+(-16*t0**8*t1*t2)+(-2*t0**8*t2*t2)+5*t0**7*t1**3+25*t0**7
---R      *t1*t1*t2+19*t0**7*t1*t2*t2+(-2*t0**7*t2**3)+(-4*t0**6*t1**4)+(-
---R      22*t0**6*t1**3*t2)+(-41*t0**6*t1*t1*t2*t2)+(-4*t0**6*t1*t2**3)+4*
---R      t0**6*t2**4+14*t0**5*t1**4*t2+47*t0**5*t1**3*t2*t2+11*t0**5*t1*t1
---R      *t2**3+(-3*t0**5*t1*t2**4)+(-6*t0**5*t2**5)+4*t0**4*t1**6+(-7*t0
---R      **4*t1**5*t2)+(-20*t0**4*t1**4*t2*t2)+(-40*t0**4*t1**3*t2**3)+20*
---R      t0**4*t1*t1*t2**4+(-6*t0**4*t1*t2**5)+8*t0**4*t2**6+(-5*t0**3*t1
---R      **7)+(-6*t0**3*t1**6*t2)+13*t0**3*t1**5*t2*t2+45*t0**3*t1**4*t2**
---R      3+(-20*t0**3*t1**3*t2**4)+(-t0**3*t1*t2**6)+(-7*t0**3*t2**7)+5*t0
---R      *t0*t1**8+10*t0*t0*t1**7*t2+(-31*t0*t0*t1**6*t2*t2)+13*t0*t0*t1**
---R      5*t2**3+(-45*t0*t0*t1**4*t2**4)+65*t0*t0*t1**3*t2**5+(-35*t0*t0*
---R      t1*t1*t2**6)+9*t0*t0*t1*t2**7+3*t0*t0*t2**8+(-4*t0*t1**9)+3*t0*t1
---R      **8*t2+(-t0*t1**7*t2*t2)+26*t0*t1**6*t2**3+(-41*t0*t1**5*t2**4)+
---R      36*t0*t1**4*t2**5+(-32*t0*t1**3*t2**6)+24*t0*t1*t1*t2**7+(-9*t0*
---R      t1*t2**8)+(-t0*t2**9)+t1**10+(-t1**9*t2)+(-3*t1**8*t2*t2)+6*t1**7
---R      *t2**3+(-8*t1**6*t2**4)+11*t1**5*t2**5+(-11*t1**4*t2**6)+7*t1**3*
---R      t2**7+(-4*t1*t1*t2**8)+2*t1*t2**9) -> 
---R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer) 
+--R      SimpleAlgebraicExtension(Fraction(
+--R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer)),
+--R      UnivariatePolynomial(xi,Fraction(
+--R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer))),xi^4+
+--R      xi^3+xi^2+xi+1),UnivariatePolynomial(C1,SimpleAlgebraicExtension(
+--R      Fraction(DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer)
+--R      ),UnivariatePolynomial(xi,Fraction(
+--R      DistributedMultivariatePolynomial([t0,t1,t2,t3],Integer))),xi^4+
+--R      xi^3+xi^2+xi+1)),C1^5+((2*t0^9*t1+-1*t0^9*t2+-4*t0^8*t1^2+-9*t0^8
+--R      *t1*t2+3*t0^8*t2^2+7*t0^7*t1^3+24*t0^7*t1^2*t2+9*t0^7*t1*t2^2+-7*
+--R      t0^7*t2^3+-11*t0^6*t1^4+-32*t0^6*t1^3*t2+-35*t0^6*t1^2*t2^2+-1*t0
+--R      ^6*t1*t2^3+8*t0^6*t2^4+11*t0^5*t1^5+36*t0^5*t1^4*t2+65*t0^5*t1^3*
+--R      t2^2+-6*t0^5*t1*t2^4+-6*t0^5*t2^5+-8*t0^4*t1^6+-41*t0^4*t1^5*t2+
+--R      -45*t0^4*t1^4*t2^2+-20*t0^4*t1^3*t2^3+20*t0^4*t1^2*t2^4+-3*t0^4*
+--R      t1*t2^5+4*t0^4*t2^6+6*t0^3*t1^7+26*t0^3*t1^6*t2+13*t0^3*t1^5*t2^2
+--R      +45*t0^3*t1^4*t2^3+-40*t0^3*t1^3*t2^4+11*t0^3*t1^2*t2^5+-4*t0^3*
+--R      t1*t2^6+-2*t0^3*t2^7+-3*t0^2*t1^8+-1*t0^2*t1^7*t2+-31*t0^2*t1^6*
+--R      t2^2+13*t0^2*t1^5*t2^3+-20*t0^2*t1^4*t2^4+47*t0^2*t1^3*t2^5+-41*
+--R      t0^2*t1^2*t2^6+19*t0^2*t1*t2^7+-2*t0^2*t2^8+-1*t0*t1^9+3*t0*t1^8*
+--R      t2+10*t0*t1^7*t2^2+-6*t0*t1^6*t2^3+-7*t0*t1^5*t2^4+14*t0*t1^4*t2^
+--R      5+-22*t0*t1^3*t2^6+25*t0*t1^2*t2^7+-16*t0*t1*t2^8+3*t0*t2^9+t1^10
+--R      +-4*t1^9*t2+5*t1^8*t2^2+-5*t1^7*t2^3+4*t1^6*t2^4+-4*t1^4*t2^6+5*
+--R      t1^3*t2^7+-5*t1^2*t2^8+4*t1*t2^9+-1*t2^10)*xi^3+(t0^9*t1+2*t0^9*
+--R      t2+-3*t0^8*t1^2+-11*t0^8*t1*t2+-5*t0^8*t2^2+7*t0^7*t1^3+16*t0^7*
+--R      t1^2*t2+26*t0^7*t1*t2^2+4*t0^7*t2^3+-8*t0^6*t1^4+-23*t0^6*t1^3*t2
+--R      +-40*t0^6*t1^2*t2^2+-24*t0^6*t1*t2^3+-4*t0^6*t2^4+6*t0^5*t1^5+28*
+--R      t0^5*t1^4*t2+41*t0^5*t1^3*t2^2+32*t0^5*t1^2*t2^3+8*t0^5*t1*t2^4+5
+--R      *t0^5*t2^5+-4*t0^4*t1^6+-23*t0^4*t1^5*t2+-10*t0^4*t1^4*t2^2+-45*
+--R      t0^4*t1^3*t2^3+5*t0^4*t1^2*t2^4+-14*t0^4*t1*t2^5+-3*t0^4*t2^6+2*
+--R      t0^3*t1^7+-1*t0^3*t1^6*t2+15*t0^3*t1^5*t2^2+5*t0^3*t1^4*t2^3+30*
+--R      t0^3*t1^3*t2^4+-13*t0^3*t1^2*t2^5+9*t0^3*t1*t2^6+2*t0^2*t1^8+6*t0
+--R      ^2*t1^7*t2+-14*t0^2*t1^6*t2^2+4*t0^2*t1^5*t2^3+-25*t0^2*t1^4*t2^4
+--R      +27*t0^2*t1^3*t2^5+-19*t0^2*t1^2*t2^6+6*t0^2*t1*t2^7+-1*t0^2*t2^8
+--R      +-3*t0*t1^9+2*t0*t1^8*t2+11*t0*t1^6*t2^3+-24*t0*t1^5*t2^4+37*t0*
+--R      t1^4*t2^5+-38*t0*t1^3*t2^6+25*t0*t1^2*t2^7+-9*t0*t1*t2^8+t0*t2^9+
+--R      t1^10+-2*t1^9*t2+t1^8*t2^2+2*t1^7*t2^3+-7*t1^6*t2^4+11*t1^5*t2^5+
+--R      -12*t1^4*t2^6+11*t1^3*t2^7+-8*t1^2*t2^8+3*t1*t2^9)*xi^2+(3*t0^9*
+--R      t1+t0^9*t2+-8*t0^8*t1^2+-9*t0^8*t1*t2+-1*t0^8*t2^2+11*t0^7*t1^3+
+--R      25*t0^7*t1^2*t2+6*t0^7*t1*t2^2+-12*t0^6*t1^4+-38*t0^6*t1^3*t2+-19
+--R      *t0^6*t1^2*t2^2+9*t0^6*t1*t2^3+-3*t0^6*t2^4+11*t0^5*t1^5+37*t0^5*
+--R      t1^4*t2+27*t0^5*t1^3*t2^2+-13*t0^5*t1^2*t2^3+-14*t0^5*t1*t2^4+5*
+--R      t0^5*t2^5+-7*t0^4*t1^6+-24*t0^4*t1^5*t2+-25*t0^4*t1^4*t2^2+30*t0^
+--R      4*t1^3*t2^3+5*t0^4*t1^2*t2^4+8*t0^4*t1*t2^5+-4*t0^4*t2^6+2*t0^3*
+--R      t1^7+11*t0^3*t1^6*t2+4*t0^3*t1^5*t2^2+5*t0^3*t1^4*t2^3+-45*t0^3*
+--R      t1^3*t2^4+32*t0^3*t1^2*t2^5+-24*t0^3*t1*t2^6+4*t0^3*t2^7+t0^2*t1^
+--R      8+-14*t0^2*t1^6*t2^2+15*t0^2*t1^5*t2^3+-10*t0^2*t1^4*t2^4+41*t0^2
+--R      *t1^3*t2^5+-40*t0^2*t1^2*t2^6+26*t0^2*t1*t2^7+-5*t0^2*t2^8+-2*t0*
+--R      t1^9+2*t0*t1^8*t2+6*t0*t1^7*t2^2+-1*t0*t1^6*t2^3+-23*t0*t1^5*t2^4
+--R      +28*t0*t1^4*t2^5+-23*t0*t1^3*t2^6+16*t0*t1^2*t2^7+-11*t0*t1*t2^8+
+--R      2*t0*t2^9+t1^10+-3*t1^9*t2+2*t1^8*t2^2+2*t1^7*t2^3+-4*t1^6*t2^4+6
+--R      *t1^5*t2^5+-8*t1^4*t2^6+7*t1^3*t2^7+-3*t1^2*t2^8+t1*t2^9)*xi+(-1*
+--R      t0^10+4*t0^9*t1+3*t0^9*t2+-5*t0^8*t1^2+-16*t0^8*t1*t2+-2*t0^8*t2^
+--R      2+5*t0^7*t1^3+25*t0^7*t1^2*t2+19*t0^7*t1*t2^2+-2*t0^7*t2^3+-4*t0^
+--R      6*t1^4+-22*t0^6*t1^3*t2+-41*t0^6*t1^2*t2^2+-4*t0^6*t1*t2^3+4*t0^6
+--R      *t2^4+14*t0^5*t1^4*t2+47*t0^5*t1^3*t2^2+11*t0^5*t1^2*t2^3+-3*t0^5
+--R      *t1*t2^4+-6*t0^5*t2^5+4*t0^4*t1^6+-7*t0^4*t1^5*t2+-20*t0^4*t1^4*
+--R      t2^2+-40*t0^4*t1^3*t2^3+20*t0^4*t1^2*t2^4+-6*t0^4*t1*t2^5+8*t0^4*
+--R      t2^6+-5*t0^3*t1^7+-6*t0^3*t1^6*t2+13*t0^3*t1^5*t2^2+45*t0^3*t1^4*
+--R      t2^3+-20*t0^3*t1^3*t2^4+-1*t0^3*t1*t2^6+-7*t0^3*t2^7+5*t0^2*t1^8+
+--R      10*t0^2*t1^7*t2+-31*t0^2*t1^6*t2^2+13*t0^2*t1^5*t2^3+-45*t0^2*t1^
+--R      4*t2^4+65*t0^2*t1^3*t2^5+-35*t0^2*t1^2*t2^6+9*t0^2*t1*t2^7+3*t0^2
+--R      *t2^8+-4*t0*t1^9+3*t0*t1^8*t2+-1*t0*t1^7*t2^2+26*t0*t1^6*t2^3+-41
+--R      *t0*t1^5*t2^4+36*t0*t1^4*t2^5+-32*t0*t1^3*t2^6+24*t0*t1^2*t2^7+-9
+--R      *t0*t1*t2^8+-1*t0*t2^9+t1^10+-1*t1^9*t2+-3*t1^8*t2^2+6*t1^7*t2^3+
+--R      -8*t1^6*t2^4+11*t1^5*t2^5+-11*t1^4*t2^6+7*t1^3*t2^7+-4*t1^2*t2^8+
+--R      2*t1*t2^9))) -> DistributedMultivariatePolynomial([t0,t1,t2,t3],
+--R      Integer) 
 --R
 --R   (22)
 --R      5
diff --git a/src/input/radff.input.pamphlet b/src/input/radff.input.pamphlet
index e95d902..b916236 100644
--- a/src/input/radff.input.pamphlet
+++ b/src/input/radff.input.pamphlet
@@ -32,7 +32,7 @@ P0 := UP(x, INT)
 P1 := UP(y, FRAC P0)
 --R 
 --R
---R   (2)  UnivariatePolynomial(y,Fraction UnivariatePolynomial(x,Integer))
+--R   (2)  UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Integer)))
 --R                                                                 Type: Domain
 --E 2
 
@@ -45,7 +45,7 @@ R := RADFF(INT, P0, P1, 1 - x**20, 20)
 --R
 --R   (3)
 --R  RadicalFunctionField(Integer,UnivariatePolynomial(x,Integer),UnivariatePolyno
---R  mial(y,Fraction UnivariatePolynomial(x,Integer)),(-x**20)+1,20)
+--R  mial(y,Fraction(UnivariatePolynomial(x,Integer))),(-(x^20))+1,20)
 --R                                                                 Type: Domain
 --E 3
 
@@ -55,7 +55,7 @@ definingPolynomial()$R
 --R
 --R         20    20
 --R   (4)  y   + x   - 1
---R       Type: UnivariatePolynomial(y,Fraction UnivariatePolynomial(x,Integer))
+--R      Type: UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Integer)))
 --E 4
 
 --S 5 of 27
@@ -99,7 +99,7 @@ integralBasisAtInfinity()$R
 --R    --- y  ]
 --R     19
 --R    x
---IType: Vector RadicalFunctionField(Integer,...
+--RType: Vector(RadicalFunctionField(Integer,UnivariatePolynomial(x,Integer),UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Integer))),(-(x^20))+1,20))
 --E 8
 
 --S 9 of 27
@@ -123,7 +123,7 @@ y := generator()$R
 --R 
 --R
 --R   (11)  y
---IType: RadicalFunctionField(Integer,...
+--RType: RadicalFunctionField(Integer,UnivariatePolynomial(x,Integer),UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Integer))),(-(x^20))+1,20)
 --E 11
 
 --S 12 of 27
@@ -132,7 +132,7 @@ norm y
 --R
 --R          20
 --R   (12)  x   - 1
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 12
 
 --S 13 of 27
@@ -140,7 +140,7 @@ trace y
 --R 
 --R
 --R   (13)  0
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 13
 
 \end{chunk}
@@ -152,7 +152,7 @@ R2 := RADFF(INT, P0, P1, 2 * x**2, 4)
 --R
 --R   (14)
 --R  RadicalFunctionField(Integer,UnivariatePolynomial(x,Integer),UnivariatePolyno
---R  mial(y,Fraction UnivariatePolynomial(x,Integer)),2*x*x,4)
+--R  mial(y,Fraction(UnivariatePolynomial(x,Integer))),2*x^2,4)
 --R                                                                 Type: Domain
 --E 14
 
@@ -162,7 +162,7 @@ definingPolynomial()$R2
 --R
 --R          4     2
 --R   (15)  y  - 2x
---R       Type: UnivariatePolynomial(y,Fraction UnivariatePolynomial(x,Integer))
+--R      Type: UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Integer)))
 --E 15
 
 --S 16 of 27
@@ -204,7 +204,7 @@ integralBasis()$R2
 --R              1  2 1  3
 --R   (20)  [1,y,- y ,- y ]
 --R              x    x
---IType: Vector RadicalFunctionField(Integer,...
+--RType: Vector(RadicalFunctionField(Integer,UnivariatePolynomial(x,Integer),UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Integer))),2*x^2,4))
 --E 20
 
 --S 21 of 27
@@ -212,7 +212,7 @@ y := generator()$R2
 --R 
 --R
 --R   (21)  y
---IType: RadicalFunctionField(Integer,...
+--RType: RadicalFunctionField(Integer,UnivariatePolynomial(x,Integer),UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Integer))),2*x^2,4)
 --E 21
 
 --S 22 of 27
@@ -220,7 +220,7 @@ integralCoordinates(y**3)
 --R 
 --R
 --R   (22)  [num= [0,0,0,x],den= 1]
---IType: Record(num: Vector UnivariatePolynomial(x,Integer),...
+--RType: Record(num: Vector(UnivariatePolynomial(x,Integer)),den: UnivariatePolynomial(x,Integer))
 --E 23
 
 --S 24 of 27
@@ -229,7 +229,7 @@ integralRepresents(%.num, %.den)$R2
 --R
 --R          3
 --R   (23)  y
---IType: RadicalFunctionField(Integer,...
+--RType: RadicalFunctionField(Integer,UnivariatePolynomial(x,Integer),UnivariatePolynomial(y,Fraction(UnivariatePolynomial(x,Integer))),2*x^2,4)
 --E 24
 
 --S 25 of 27
@@ -238,7 +238,7 @@ norm y
 --R
 --R             2
 --R   (24)  - 2x
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 25
 
 --S 26 of 27
@@ -246,7 +246,7 @@ trace y
 --R 
 --R
 --R   (25)  0
---R                               Type: Fraction UnivariatePolynomial(x,Integer)
+--R                              Type: Fraction(UnivariatePolynomial(x,Integer))
 --E 26
 
 --S 27 of 27
@@ -261,7 +261,7 @@ regularRepresentation y
 --R         |            |
 --R         |  2         |
 --R         +2x   0  0  0+
---R                        Type: Matrix Fraction UnivariatePolynomial(x,Integer)
+--R                      Type: Matrix(Fraction(UnivariatePolynomial(x,Integer)))
 --E 27
 )spool 
 )lisp (bye)
diff --git a/src/input/radix.input.pamphlet b/src/input/radix.input.pamphlet
index bc790fd..2ce1db4 100644
--- a/src/input/radix.input.pamphlet
+++ b/src/input/radix.input.pamphlet
@@ -25,7 +25,7 @@
 --R 
 --R
 --R   (1)  421
---R                                                       Type: RadixExpansion 5
+--R                                                      Type: RadixExpansion(5)
 --E 1
 
 --S 2 of 17
@@ -34,7 +34,7 @@
 --R
 --R             __
 --R   (2)  0.00110
---R                                                       Type: RadixExpansion 2
+--R                                                      Type: RadixExpansion(2)
 --E 2
 
 --S 3 of 17
@@ -43,7 +43,7 @@
 --R
 --R           __
 --R   (3)  0.012
---R                                                       Type: RadixExpansion 3
+--R                                                      Type: RadixExpansion(3)
 --E 3
 
 --S 4 of 17
@@ -52,7 +52,7 @@
 --R
 --R           __
 --R   (4)  0.152
---R                                                       Type: RadixExpansion 8
+--R                                                      Type: RadixExpansion(8)
 --E 4
 
 --S 5 of 17
@@ -61,7 +61,7 @@
 --R
 --R             _
 --R   (5)  0.2083
---R                                                      Type: RadixExpansion 10
+--R                                                     Type: RadixExpansion(10)
 --E 5
 
 --S 6 of 17
@@ -69,7 +69,7 @@
 --R 
 --R
 --R   (6)  0.26
---R                                                      Type: RadixExpansion 12
+--R                                                     Type: RadixExpansion(12)
 --E 6
 
 --S 7 of 17
@@ -78,7 +78,7 @@
 --R
 --R           _
 --R   (7)  0.35
---R                                                      Type: RadixExpansion 16
+--R                                                     Type: RadixExpansion(16)
 --E 7
 
 --S 8 of 17
@@ -86,7 +86,7 @@
 --R 
 --R
 --R   (8)  0.7I
---R                                                      Type: RadixExpansion 36
+--R                                                     Type: RadixExpansion(36)
 --E 8
 
 --S 9 of 17
@@ -95,7 +95,7 @@
 --R
 --R                    _____
 --R   (9)  0 . 7 34 31 25 12
---R                                                      Type: RadixExpansion 38
+--R                                                     Type: RadixExpansion(38)
 --E 9
 
 --S 10 of 17
@@ -104,7 +104,7 @@ a := (76543/210)::RadixExpansion(8)
 --R
 --R              ____
 --R   (10)  554.37307
---R                                                       Type: RadixExpansion 8
+--R                                                      Type: RadixExpansion(8)
 --E 10
 
 --S 11 of 17
@@ -112,7 +112,7 @@ w := wholeRagits a
 --R 
 --R
 --R   (11)  [5,5,4]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 11
 
 --S 12 of 17
@@ -120,7 +120,7 @@ f0 := prefixRagits a
 --R 
 --R
 --R   (12)  [3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 12
 
 --S 13 of 17
@@ -128,7 +128,7 @@ f1 := cycleRagits a
 --R 
 --R
 --R   (13)  [7,3,0,7]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 13
 
 --S 14 of 17
@@ -137,7 +137,7 @@ u:RadixExpansion(8):=wholeRadix(w)+fractRadix(f0,f1)
 --R
 --R              ____
 --R   (14)  554.37307
---R                                                       Type: RadixExpansion 8
+--R                                                      Type: RadixExpansion(8)
 --E 14
 
 --S 15 of 17
@@ -146,7 +146,7 @@ v: RadixExpansion(12) := fractRadix([1,2,3,11], [0])
 --R
 --R               _
 --R   (15)  0.123B0
---R                                                      Type: RadixExpansion 12
+--R                                                     Type: RadixExpansion(12)
 --E 15
 
 --S 16 of 17
@@ -155,7 +155,7 @@ fractRagits(u)
 --R
 --R              _______
 --R   (16)  [3,7,3,0,7,7]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 16
 
 --S 17 of 17
@@ -165,7 +165,7 @@ a :: Fraction(Integer)
 --R         76543
 --R   (17)  -----
 --R          210
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 17
 )spool 
 )lisp (bye)
diff --git a/src/input/realclos.input.pamphlet b/src/input/realclos.input.pamphlet
index 9127782..f5aab4b 100644
--- a/src/input/realclos.input.pamphlet
+++ b/src/input/realclos.input.pamphlet
@@ -28,7 +28,7 @@ Computing without a table manipulation when creating objects
 Ran := RECLOS(FRAC INT)
 --R 
 --R
---R   (1)  RealClosure Fraction Integer
+--R   (1)  RealClosure(Fraction(Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -40,23 +40,24 @@ of degree 16 of the rational numbers.
 fourSquares(a:Ran,b:Ran,c:Ran,d:Ran):Ran ==
            sqrt(a)+sqrt(b) - sqrt(c)-sqrt(d)
 --R 
---R   Function declaration fourSquares : (RealClosure Fraction Integer,
---R      RealClosure Fraction Integer,RealClosure Fraction Integer,
---R      RealClosure Fraction Integer) -> RealClosure Fraction Integer has
---R      been added to workspace.
+--R   Function declaration fourSquares : (RealClosure(Fraction(Integer)),
+--R      RealClosure(Fraction(Integer)),RealClosure(Fraction(Integer)),
+--R      RealClosure(Fraction(Integer))) -> RealClosure(Fraction(Integer))
+--R      has been added to workspace.
 --R                                                                   Type: Void
 --E 2
 
 --S 3 of 31
 squareDiff := fourSquares(73,548,60,586)
 --R 
---R   Compiling function fourSquares with type (RealClosure Fraction 
---R      Integer,RealClosure Fraction Integer,RealClosure Fraction Integer
---R      ,RealClosure Fraction Integer) -> RealClosure Fraction Integer 
+--R   Compiling function fourSquares with type (RealClosure(Fraction(
+--R      Integer)),RealClosure(Fraction(Integer)),RealClosure(Fraction(
+--R      Integer)),RealClosure(Fraction(Integer))) -> RealClosure(Fraction
+--R      (Integer)) 
 --R
 --R           +---+    +--+    +---+    +--+
 --R   (3)  - \|586  - \|60  + \|548  + \|73
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 3
 
 --S 4 of 31
@@ -69,7 +70,7 @@ recip(squareDiff)
 --R   + 
 --R             +--+ +---+             +--+            +---+            +--+
 --R     (154702\|73 \|548  + 30941947)\|60  + 10238421\|548  + 28051871\|73
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 4
 
 --S 5 of 31
@@ -86,7 +87,7 @@ squareDiff := fourSquares(165,778,86,990)
 --R
 --R           +---+    +--+    +---+    +---+
 --R   (6)  - \|990  - \|86  + \|778  + \|165
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 6
 
 --S 7 of 31
@@ -102,7 +103,7 @@ recip(squareDiff)
 --R   + 
 --R              +---+ +---+              +--+             +---+             +---+
 --R     (1363822\|165 \|778  + 488640503)\|86  + 162460913\|778  + 352774119\|165
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 7
 
 --S 8 of 31
@@ -119,7 +120,7 @@ squareDiff := fourSquares(217,708,226,692)
 --R
 --R           +---+    +---+    +---+    +---+
 --R   (9)  - \|692  - \|226  + \|708  + \|217
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 9
 
 --S 10 of 31
@@ -132,7 +133,7 @@ recip(squareDiff)
 --R   + 
 --R              +---+ +---+             +---+            +---+            +---+
 --R     (- 60898\|217 \|708  - 23869841)\|226  - 13486123\|708  - 24359809\|217
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 10
 
 --S 11 of 31
@@ -149,7 +150,7 @@ squareDiff := fourSquares(155,836,162,820)
 --R
 --R            +---+    +---+    +---+    +---+
 --R   (12)  - \|820  - \|162  + \|836  + \|155
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 12
 
 --S 13 of 31
@@ -162,7 +163,7 @@ recip(squareDiff)
 --R   + 
 --R              +---+ +---+             +---+            +---+            +---+
 --R     (- 85282\|155 \|836  - 30699151)\|162  - 13513901\|836  - 31384703\|155
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 13
 
 --S 14 of 31
@@ -179,7 +180,7 @@ squareDiff := fourSquares(591,772,552,818)
 --R
 --R            +---+    +---+    +---+    +---+
 --R   (15)  - \|818  - \|552  + \|772  + \|591
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 15
 
 --S 16 of 31
@@ -192,7 +193,7 @@ recip(squareDiff)
 --R   + 
 --R            +---+ +---+             +---+            +---+            +---+
 --R     (83438\|591 \|772  + 56359389)\|552  + 47657051\|772  + 54468081\|591
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 16
 
 --S 17 of 31
@@ -209,7 +210,7 @@ squareDiff := fourSquares(434,1053,412,1088)
 --R
 --R            +----+    +---+    +----+    +---+
 --R   (18)  - \|1088  - \|412  + \|1053  + \|434
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 18
 
 --S 19 of 31
@@ -225,7 +226,7 @@ recip(squareDiff)
 --R   + 
 --R           +---+ +----+              +---+            +----+             +---+
 --R   (182782\|434 \|1053  + 123564147)\|412  + 77290639\|1053  + 120391609\|434
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 19
 
 --S 20 of 31
@@ -242,7 +243,7 @@ squareDiff := fourSquares(514,1049,446,1152)
 --R
 --R            +----+    +---+    +----+    +---+
 --R   (21)  - \|1152  - \|446  + \|1049  + \|514
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 21
 
 --S 22 of 31
@@ -258,7 +259,7 @@ recip(squareDiff)
 --R   + 
 --R           +---+ +----+              +---+             +----+             +---+
 --R   (523262\|514 \|1049  + 384227549)\|446  + 250534873\|1049  + 357910443\|514
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 22
 
 --S 23 of 31
@@ -275,7 +276,7 @@ squareDiff := fourSquares(190,1751,208,1698)
 --R
 --R            +----+    +---+    +----+    +---+
 --R   (24)  - \|1698  - \|208  + \|1751  + \|190
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 24
 
 --S 25 of 31
@@ -296,7 +297,7 @@ recip(squareDiff)
 --R   + 
 --R                 +---+
 --R     - 387349387\|190
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 25
 
 --S 26 of 31
@@ -316,7 +317,7 @@ A more complicated test that involve an extension of degree 256
 (s2, s5, s10) := (sqrt(2)$Ran, sqrt(5)$Ran, sqrt(10)$Ran);
 --R 
 --R
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 27
 
 --S 28 of 31
@@ -326,7 +327,7 @@ sqrt(s10+3)*sqrt(s5+2) - sqrt(s10-3)*sqrt(s5-2) = sqrt(10*s2+10)
 --R            +---------+ +--------+    +---------+ +--------+   +-----------+
 --R            | +--+      | +-+         | +--+      | +-+        |   +-+
 --R   (28)  - \|\|10  - 3 \|\|5  - 2  + \|\|10  + 3 \|\|5  + 2 = \|10\|2  + 10
---R                                  Type: Equation RealClosure Fraction Integer
+--R                               Type: Equation(RealClosure(Fraction(Integer)))
 --E 28
 
 --S 29 of 31
@@ -345,7 +346,7 @@ l := allRootsOf((x^2-2)^2-2)$Ran
 --R 
 --R
 --R   (30)  [%A41,%A42,%A43,%A44]
---R                                      Type: List RealClosure Fraction Integer
+--R                                   Type: List(RealClosure(Fraction(Integer)))
 --E 30
 
 --S 31 of 31
@@ -353,7 +354,7 @@ l.1+l.2+l.3+l.4
 --R 
 --R
 --R   (31)  0
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 31
 )spool 
 )lisp (bye)
diff --git a/src/input/reclos.input.pamphlet b/src/input/reclos.input.pamphlet
index 8a2e537..79b4344 100644
--- a/src/input/reclos.input.pamphlet
+++ b/src/input/reclos.input.pamphlet
@@ -24,7 +24,7 @@
 Ran := RECLOS(FRAC INT)
 --R 
 --R
---R   (1)  RealClosure Fraction Integer
+--R   (1)  RealClosure(Fraction(Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -36,23 +36,24 @@ these examples were given to me by J. Abbot
 --S 2 of 70
 fourSquares(a:Ran,b:Ran,c:Ran,d:Ran):Ran == sqrt(a)+sqrt(b) - sqrt(c)-sqrt(d)
 --R 
---R   Function declaration fourSquares : (RealClosure Fraction Integer,
---R      RealClosure Fraction Integer,RealClosure Fraction Integer,
---R      RealClosure Fraction Integer) -> RealClosure Fraction Integer has
---R      been added to workspace.
+--R   Function declaration fourSquares : (RealClosure(Fraction(Integer)),
+--R      RealClosure(Fraction(Integer)),RealClosure(Fraction(Integer)),
+--R      RealClosure(Fraction(Integer))) -> RealClosure(Fraction(Integer))
+--R      has been added to workspace.
 --R                                                                   Type: Void
 --E 2
 
 --S 3 of 70
 squareDiff1 := fourSquares(73,548,60,586)
 --R 
---R   Compiling function fourSquares with type (RealClosure Fraction 
---R      Integer,RealClosure Fraction Integer,RealClosure Fraction Integer
---R      ,RealClosure Fraction Integer) -> RealClosure Fraction Integer 
+--R   Compiling function fourSquares with type (RealClosure(Fraction(
+--R      Integer)),RealClosure(Fraction(Integer)),RealClosure(Fraction(
+--R      Integer)),RealClosure(Fraction(Integer))) -> RealClosure(Fraction
+--R      (Integer)) 
 --R
 --R           +---+    +--+    +---+    +--+
 --R   (3)  - \|586  - \|60  + \|548  + \|73
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 3
 
 --S 4 of 70
@@ -65,7 +66,7 @@ recip(squareDiff1)
 --R   + 
 --R             +--+ +---+             +--+            +---+            +--+
 --R     (154702\|73 \|548  + 30941947)\|60  + 10238421\|548  + 28051871\|73
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 4
 
 --S 5 of 70
@@ -82,7 +83,7 @@ squareDiff2 := fourSquares(165,778,86,990)
 --R
 --R           +---+    +--+    +---+    +---+
 --R   (6)  - \|990  - \|86  + \|778  + \|165
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 6
 
 --S 7 of 70
@@ -98,7 +99,7 @@ recip(squareDiff2)
 --R   + 
 --R              +---+ +---+              +--+             +---+             +---+
 --R     (1363822\|165 \|778  + 488640503)\|86  + 162460913\|778  + 352774119\|165
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 7
 
 --S 8 of 70
@@ -115,7 +116,7 @@ squareDiff3 := fourSquares(217,708,226,692)
 --R
 --R           +---+    +---+    +---+    +---+
 --R   (9)  - \|692  - \|226  + \|708  + \|217
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 9
 
 --S 10 of 70
@@ -128,7 +129,7 @@ recip(squareDiff3)
 --R   + 
 --R              +---+ +---+             +---+            +---+            +---+
 --R     (- 60898\|217 \|708  - 23869841)\|226  - 13486123\|708  - 24359809\|217
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 10
 
 --S 11 of 70
@@ -145,7 +146,7 @@ squareDiff4 := fourSquares(155,836,162,820)
 --R
 --R            +---+    +---+    +---+    +---+
 --R   (12)  - \|820  - \|162  + \|836  + \|155
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 12
 
 --S 13 of 70
@@ -158,7 +159,7 @@ recip(squareDiff4)
 --R   + 
 --R              +---+ +---+             +---+            +---+            +---+
 --R     (- 85282\|155 \|836  - 30699151)\|162  - 13513901\|836  - 31384703\|155
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 13
 
 --S 14 of 70
@@ -175,7 +176,7 @@ squareDiff5 := fourSquares(591,772,552,818)
 --R
 --R            +---+    +---+    +---+    +---+
 --R   (15)  - \|818  - \|552  + \|772  + \|591
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 15
 
 --S 16 of 70
@@ -188,7 +189,7 @@ recip(squareDiff5)
 --R   + 
 --R            +---+ +---+             +---+            +---+            +---+
 --R     (83438\|591 \|772  + 56359389)\|552  + 47657051\|772  + 54468081\|591
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 16
 
 --S 17 of 70
@@ -205,7 +206,7 @@ squareDiff6 := fourSquares(434,1053,412,1088)
 --R
 --R            +----+    +---+    +----+    +---+
 --R   (18)  - \|1088  - \|412  + \|1053  + \|434
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 18
 
 --S 19 of 70
@@ -221,7 +222,7 @@ recip(squareDiff6)
 --R   + 
 --R           +---+ +----+              +---+            +----+             +---+
 --R   (182782\|434 \|1053  + 123564147)\|412  + 77290639\|1053  + 120391609\|434
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 19
 
 --S 20 of 70
@@ -238,7 +239,7 @@ squareDiff7 := fourSquares(514,1049,446,1152)
 --R
 --R            +----+    +---+    +----+    +---+
 --R   (21)  - \|1152  - \|446  + \|1049  + \|514
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 21
 
 --S 22 of 70
@@ -254,7 +255,7 @@ recip(squareDiff7)
 --R   + 
 --R           +---+ +----+              +---+             +----+             +---+
 --R   (523262\|514 \|1049  + 384227549)\|446  + 250534873\|1049  + 357910443\|514
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 22
 
 --S 23 of 70
@@ -271,7 +272,7 @@ squareDiff8 := fourSquares(190,1751,208,1698)
 --R
 --R            +----+    +---+    +----+    +---+
 --R   (24)  - \|1698  - \|208  + \|1751  + \|190
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 24
 
 --S 25 of 70
@@ -292,7 +293,7 @@ recip(squareDiff8)
 --R   + 
 --R                 +---+
 --R     - 387349387\|190
---R                                Type: Union(RealClosure Fraction Integer,...)
+--R                              Type: Union(RealClosure(Fraction(Integer)),...)
 --E 25
 
 --S 26 of 70
@@ -319,7 +320,7 @@ allRootsOf((x-2)*(x-3)*(x-4))$RECLOS(FRAC INT)
 --R 
 --R
 --R   (28)  [2,3,4]
---R                                      Type: List RealClosure Fraction Integer
+--R                                   Type: List(RealClosure(Fraction(Integer)))
 --E 28
 
 \end{chunk}
@@ -331,7 +332,7 @@ l := allRootsOf((x**2-2)**2-2)$Ran
 --R 
 --R
 --R   (29)  [%A33,%A34,%A35,%A36]
---R                                      Type: List RealClosure Fraction Integer
+--R                                   Type: List(RealClosure(Fraction(Integer)))
 --E 29
 
 --S 30 of 70
@@ -339,7 +340,7 @@ l.1+l.2+l.3+l.4
 --R 
 --R
 --R   (30)  0
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 30
 
 --S 31 of 70
@@ -348,7 +349,7 @@ removeDuplicates map(mainDefiningPolynomial,l)
 --R
 --R           4     2
 --R   (31)  [?  - 4?  + 2]
---IType: List Union(SparseUnivariatePolynomial ...
+--RType: List(Union(SparseUnivariatePolynomial(RealClosure(Fraction(Integer))),"failed"))
 --E 31
 
 --S 32 of 70
@@ -356,7 +357,7 @@ map(mainCharacterization,l)
 --R 
 --R
 --R   (32)  [[- 2,- 1[,[- 1,0[,[0,1[,[1,2[]
---IType: List Union(RightOpenIntervalRootCharacterization(...
+--RType: List(Union(RightOpenIntervalRootCharacterization(RealClosure(Fraction(Integer)),SparseUnivariatePolynomial(RealClosure(Fraction(Integer)))),"failed"))
 --E 32
 
 --S 33 of 70
@@ -364,7 +365,7 @@ map(mainCharacterization,l)
 --R 
 --R
 --R   (33)  [0,0]
---R                                      Type: List RealClosure Fraction Integer
+--R                                   Type: List(RealClosure(Fraction(Integer)))
 --E 33
 
 \end{chunk}
@@ -379,7 +380,7 @@ example by prof Kahan at ISSAC'92
 --R
 --R          +--+
 --R   (34)  \|10
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 34
 
 --S 35 of 70
@@ -389,7 +390,7 @@ eq1:=sqrt(s10+3)*sqrt(s5+2) - sqrt(s10-3)*sqrt(s5-2) = sqrt(10*s2+10)
 --R            +---------+ +--------+    +---------+ +--------+   +-----------+
 --R            | +--+      | +-+         | +--+      | +-+        |   +-+
 --R   (35)  - \|\|10  - 3 \|\|5  - 2  + \|\|10  + 3 \|\|5  + 2 = \|10\|2  + 10
---R                                  Type: Equation RealClosure Fraction Integer
+--R                               Type: Equation(RealClosure(Fraction(Integer)))
 --E 35
 
 --S 36 of 70
@@ -410,7 +411,7 @@ eq2:=sqrt(s5+2)*sqrt(s2+1) - sqrt(s5-2)*sqrt(s2-1) = sqrt(2*s10+2)
 --R            +--------+ +--------+    +--------+ +--------+   +----------+
 --R            | +-+      | +-+         | +-+      | +-+        |  +--+
 --R   (37)  - \|\|5  - 2 \|\|2  - 1  + \|\|5  + 2 \|\|2  + 1 = \|2\|10  + 2
---R                                  Type: Equation RealClosure Fraction Integer
+--R                               Type: Equation(RealClosure(Fraction(Integer)))
 --E 37
 
 --S 38 of 70
@@ -433,7 +434,7 @@ s3 := sqrt(3)$Ran
 --R
 --R          +-+
 --R   (39)  \|3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 39
 
 --S 40 of 70
@@ -442,7 +443,7 @@ s7:= sqrt(7)$Ran
 --R
 --R          +-+
 --R   (40)  \|7
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 40
 
 --S 41 of 70
@@ -452,7 +453,7 @@ e1 := sqrt(2*s7-3*s3,3)
 --R          +-------------+
 --R         3|  +-+     +-+
 --R   (41)  \|2\|7  - 3\|3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 41
 
 --S 42 of 70
@@ -462,7 +463,7 @@ e2 := sqrt(2*s7+3*s3,3)
 --R          +-------------+
 --R         3|  +-+     +-+
 --R   (42)  \|2\|7  + 3\|3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 42
 
 \end{chunk}
@@ -475,7 +476,7 @@ ee1:=e2-e1=s3
 --R          +-------------+    +-------------+
 --R         3|  +-+     +-+    3|  +-+     +-+    +-+
 --R   (43)  \|2\|7  + 3\|3   - \|2\|7  - 3\|3  = \|3
---R                                  Type: Equation RealClosure Fraction Integer
+--R                               Type: Equation(RealClosure(Fraction(Integer)))
 --E 43
 
 --S 44 of 70
@@ -495,7 +496,7 @@ pol : UP(x,Ran) := x**4+(7/3)*x**2+30*x-(100/3)
 --R          4   7  2         100
 --R   (45)  x  + - x  + 30x - ---
 --R              3             3
---R                   Type: UnivariatePolynomial(x,RealClosure Fraction Integer)
+--R                 Type: UnivariatePolynomial(x,RealClosure(Fraction(Integer)))
 --E 45
 
 --S 46 of 70
@@ -504,7 +505,7 @@ r1 := sqrt(7633)$Ran
 --R
 --R          +----+
 --R   (46)  \|7633
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 46
 
 \end{chunk}
@@ -518,7 +519,7 @@ alpha := sqrt(5*r1-436,3)/3
 --R         1 3|  +----+
 --R   (47)  - \|5\|7633  - 436
 --R         3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 47
 
 --S 48 of 70
@@ -529,7 +530,7 @@ beta := -sqrt(5*r1+436,3)/3
 --R           1 3|  +----+
 --R   (48)  - - \|5\|7633  + 436
 --R           3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 48
 
 \end{chunk}
@@ -541,7 +542,7 @@ pol.(alpha+beta-1/3)
 --R 
 --R
 --R   (49)  0
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 49
 
 )cl prop qol r2 alpha beta
@@ -552,7 +553,7 @@ r2 := sqrt(153)$Ran
 --R
 --R          +---+
 --R   (50)  \|153
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 50
 
 \end{chunk}
@@ -565,7 +566,7 @@ alpha2 := sqrt(r2-11,5)
 --R          +-----------+
 --R         5| +---+
 --R   (51)  \|\|153  - 11
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 51
 
 --S 52 of 70
@@ -575,7 +576,7 @@ beta2 := -sqrt(r2+11,5)
 --R            +-----------+
 --R           5| +---+
 --R   (52)  - \|\|153  + 11
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 52
 
 --S 53 of 70
@@ -584,7 +585,7 @@ qol : UP(x,Ran) := x**5+10*x**3+20*x+22
 --R
 --R          5      3
 --R   (53)  x  + 10x  + 20x + 22
---R                   Type: UnivariatePolynomial(x,RealClosure Fraction Integer)
+--R                 Type: UnivariatePolynomial(x,RealClosure(Fraction(Integer)))
 --E 53
 
 --S 54 of 70
@@ -592,7 +593,7 @@ qol(alpha2+beta2)
 --R 
 --R
 --R   (54)  0
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 54
 
 --S 55 of 70
@@ -602,7 +603,7 @@ dst1:=sqrt(9+4*s2)=1+2*s2
 --R          +---------+
 --R          |  +-+         +-+
 --R   (55)  \|4\|2  + 9 = 2\|2  + 1
---R                                  Type: Equation RealClosure Fraction Integer
+--R                               Type: Equation(RealClosure(Fraction(Integer)))
 --E 55
 
 --S 56 of 70
@@ -619,7 +620,7 @@ s6:Ran:=sqrt 6
 --R
 --R          +-+
 --R   (57)  \|6
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 57
 
 --S 58 of 70
@@ -629,7 +630,7 @@ dst2:=sqrt(5+2*s6)+sqrt(5-2*s6) = 2*s3
 --R          +-----------+    +---------+
 --R          |    +-+         |  +-+         +-+
 --R   (58)  \|- 2\|6  + 5  + \|2\|6  + 5 = 2\|3
---R                                  Type: Equation RealClosure Fraction Integer
+--R                               Type: Equation(RealClosure(Fraction(Integer)))
 --E 58
 
 --S 59 of 70
@@ -646,7 +647,7 @@ s29:Ran:=sqrt 29
 --R
 --R          +--+
 --R   (60)  \|29
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 60
 
 --S 61 of 70
@@ -658,7 +659,7 @@ dst4:=sqrt(16-2*s29+2*sqrt(55-10*s29)) = sqrt(22+2*s5)-sqrt(11+2*s29)+s5
 --R    |  +--------------+                    +-----------+    +----------+
 --R    |  |     +--+           +--+           |  +--+          |  +-+          +-+
 --R   \|2\|- 10\|29  + 55  - 2\|29  + 16 = - \|2\|29  + 11  + \|2\|5  + 22  + \|5
---R                                  Type: Equation RealClosure Fraction Integer
+--R                               Type: Equation(RealClosure(Fraction(Integer)))
 --E 61
 
 --S 62 of 70
@@ -676,7 +677,7 @@ dst6:=sqrt((112+70*s2)+(46+34*s2)*s5) = (5+4*s2)+(3+s2)*s5
 --R          +--------------------------------+
 --R          |    +-+       +-+      +-+           +-+      +-+     +-+
 --R   (63)  \|(34\|2  + 46)\|5  + 70\|2  + 112 = (\|2  + 3)\|5  + 4\|2  + 5
---R                                  Type: Equation RealClosure Fraction Integer
+--R                               Type: Equation(RealClosure(Fraction(Integer)))
 --E 63
 
 --S 64 of 70
@@ -693,7 +694,7 @@ f3:Ran:=sqrt(3,5)
 --R
 --R         5+-+
 --R   (65)  \|3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 65
 
 --S 66 of 70
@@ -704,7 +705,7 @@ f25:Ran:=sqrt(1/25,5)
 --R          | 1
 --R   (66)  5|--
 --R         \|25
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 66
 
 --S 67 of 70
@@ -715,7 +716,7 @@ f32:Ran:=sqrt(32/5,5)
 --R          |32
 --R   (67)  5|--
 --R         \| 5
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 67
 
 --S 68 of 70
@@ -726,7 +727,7 @@ f27:Ran:=sqrt(27/5,5)
 --R          |27
 --R   (68)  5|--
 --R         \| 5
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 68
 
 --S 69 of 70
@@ -738,7 +739,7 @@ dst5:=sqrt((f32-f27,3)) = f25*(1+f3-f3**2)
 --R          |   |27     |32       5+-+2   5+-+       | 1
 --R   (69)  3|- 5|--  + 5|--  = (- \|3   + \|3  + 1) 5|--
 --R         \|  \| 5    \| 5                         \|25
---R                                  Type: Equation RealClosure Fraction Integer
+--R                               Type: Equation(RealClosure(Fraction(Integer)))
 --E 69
 
 --S 70 of 70
diff --git a/src/input/reclos2.input.pamphlet b/src/input/reclos2.input.pamphlet
index 7d94769..fc6113c 100644
--- a/src/input/reclos2.input.pamphlet
+++ b/src/input/reclos2.input.pamphlet
@@ -59,7 +59,7 @@ LR:=radicalSolve(p^3-p+1/10=0,p)
 --R          3  |------------------
 --R            3|         +-+
 --R            \|      60\|3
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 1
 
 --S 2 of 31
@@ -68,21 +68,21 @@ t2:=map(eq +-> (rhs eq)::Complex Float,LR)
 --R   (2)
 --R   [0.1010312578 8101081769 - 0.6 E -20 %i, - 1.0466805318 046022612,
 --R    0.9456492739 2359144347 + 0.3 E -20 %i]
---R                                                     Type: List Complex Float
+--R                                                   Type: List(Complex(Float))
 --E 2
 
 --S 3 of 31
 t3:=reduce('+, map (eq +-> (rhs eq)::Complex Float, LR))
 --R
 --R   (3)  0.3 E -20 - 0.2 E -20 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 3
 
 --S 4 of 31
 t4:=reduce('*, map (eq +-> (rhs eq)::Complex Float, LR))
 --R
 --R   (4)  - 0.0999999999 9999999999 8 + 0.5405624429 3105340769 E -20 %i
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 4
 
 --S 5 of 31
@@ -90,14 +90,14 @@ t5:=map(eq +-> numeric real rhs eq, LR)
 --R
 --R   (5)
 --R   [- 0.9456492739 2359144347,- 0.1010312578 8101081769,1.0466805318 046022612]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 5
 
 --S 6 of 31
 t6:=map(eq +-> numeric imag rhs eq, LR)
 --R
 --R   (6)  [0.4890347001 0975238235 E -21,- 0.4890347001 0975238235 E -21,0.0]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 6
 
 --S 7 of 31
@@ -113,7 +113,7 @@ t8:=discriminant(p^3-p+1/10)
 --R        373
 --R   (8)  ---
 --R        100
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 8
 
 --S 9 of 31
@@ -132,14 +132,14 @@ t9:=select(p+->rhs(p)::AlgebraicNumber > 0, radicalSolve(p^3-p+1/10=0,p))
 --R                (3\|- 3  - 3)  |------------------
 --R                              3|         +-+
 --R                              \|      60\|3
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 9
 
 --S 10 of 31
 t10:=complexNumeric rhs t9.1
 --R
 --R   (10)  - 1.0466805318 046022612
---R                                                          Type: Complex Float
+--R                                                         Type: Complex(Float)
 --E 10
 
 \end{chunk}
@@ -153,7 +153,7 @@ t11:=select(p+->rhs(p)::AN < 0, radicalSolve(p^2-p+1/10=0,p))
 --R             - \|15  + 5
 --R   (11)  [p= -----------]
 --R                  10
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 11
 
 --S 12 of 31
@@ -162,14 +162,14 @@ t12:=p^3-p+1/10
 --R          3        1
 --R   (12)  p  - p + --
 --R                  10
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 12
 
 --S 13 of 31
 t13:=select(positive?,allRootsOf(t12)$RealClosure(Fraction Integer))
 --R
 --I   (13)  [%B2,%B3]
---R                                      Type: List RealClosure Fraction Integer
+--R                                   Type: List(RealClosure(Fraction(Integer)))
 --E 13
 
 --S 14 of 31
@@ -183,7 +183,7 @@ t14:=approximate(t13.1,1/10^20)::Float
 t15:=eval(t12,p=t14)
 --R
 --R   (15)  0.3 E -20
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 15
 
 --S 16 of 31
@@ -197,7 +197,7 @@ t16:=approximate(t13.2,1/10^20)::Float
 t17:=eval(t12,p=t16)
 --R
 --R   (17)  0.1 E -20
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 17
 
 )clear all
@@ -209,7 +209,7 @@ t1:=(x^3+x^2-4*x-4)/(2*x^2+7*x-4)
 --R   (1)  ----------------
 --R            2
 --R          2x  + 7x - 4
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 18
 
 --S 19 of 31
@@ -220,14 +220,14 @@ t2:=differentiate(t1,x)
 --R   (2)  ----------------------------
 --R          4      3      2
 --R        4x  + 28x  + 33x  - 56x + 16
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 19
 
 --S 20 of 31
 t3:=allRootsOf(numer t2)$RealClosure(Fraction Integer)
 --R
 --I   (3)  [%B4,%B5]
---R                                      Type: List RealClosure Fraction Integer
+--R                                   Type: List(RealClosure(Fraction(Integer)))
 --E 20
 
 --S 21 of 31
@@ -241,7 +241,7 @@ t4:=approximate(t3.1,1/10^20)::Float
 t5:=eval(t2,x=t4)
 --R
 --R   (5)  0.3908839188 6520300529 E -20
---R                                              Type: Fraction Polynomial Float
+--R                                            Type: Fraction(Polynomial(Float))
 --E 22
 
 --S 23 of 31
@@ -255,7 +255,7 @@ t6:=approximate(t3.2,1/10^20)::Float
 t7:=eval(t2,x=t6)
 --R
 --R   (7)  - 0.2158472497 0513415786 E -20
---R                                              Type: Fraction Polynomial Float
+--R                                            Type: Fraction(Polynomial(Float))
 --E 24
 
 )clear all
@@ -268,7 +268,7 @@ t1:=(x^3+x^2-4*x-4)/(2*x^2+7*x-4)
 --R   (1)  ----------------
 --R            2
 --R          2x  + 7x - 4
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 25
 
 --S 26 of 31
@@ -279,14 +279,14 @@ t2:=differentiate(t1,x)
 --R   (2)  ----------------------------
 --R          4      3      2
 --R        4x  + 28x  + 33x  - 56x + 16
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 26
 
 --S 27 of 31
 t3:=allRootsOf(numer t2)$RealClosure(Fraction Integer)
 --R
 --I   (3)  [%B6,%B7]
---R                                      Type: List RealClosure Fraction Integer
+--R                                   Type: List(RealClosure(Fraction(Integer)))
 --E 27
 
 --S 28 of 31
@@ -479,7 +479,7 @@ t4:=radicalSolve(t2)
 --R      /
 --R         4
 --R     ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 28
 
 --S 29 of 31
@@ -493,8 +493,8 @@ bound?(x,s) == _
 
 --S 30 of 31
 t6:=[ (B:=select(x+->bound?(x,s),t4); #B=1 => B.1; error "failed") for s in t3 ]
---R   Compiling function bound? with type (Equation Expression Integer,
---R      RealClosure Fraction Integer) -> Boolean 
+--R   Compiling function bound? with type (Equation(Expression(Integer)),
+--R      RealClosure(Fraction(Integer))) -> Boolean 
 --R
 --R   (6)
 --R   [
@@ -590,14 +590,14 @@ t6:=[ (B:=select(x+->bound?(x,s),t4); #B=1 => B.1; error "failed") for s in t3 ]
 --R      /
 --R         4
 --R     ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 30
 
 --S 31 of 31
 t7:=map(x+->real complexNumeric rhs x,t6)
 --R
 --R   (7)  [- 6.7957899636 620037966,- 1.5241463459 294127044]
---R                                                             Type: List Float
+--R                                                            Type: List(Float)
 --E 31
 
 )spool 
diff --git a/src/input/regset.input.pamphlet b/src/input/regset.input.pamphlet
index 5383d81..b61359d 100644
--- a/src/input/regset.input.pamphlet
+++ b/src/input/regset.input.pamphlet
@@ -31,14 +31,14 @@ ls : List Symbol := [x,y,z,t]
 --R 
 --R
 --R   (2)  [x,y,z,t]
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 2
 
 --S 3 of 34
 V := OVAR(ls)
 --R 
 --R
---R   (3)  OrderedVariableList [x,y,z,t]
+--R   (3)  OrderedVariableList([x,y,z,t])
 --R                                                                 Type: Domain
 --E 3
 
@@ -46,7 +46,7 @@ V := OVAR(ls)
 E := IndexedExponents V
 --R 
 --R
---R   (4)  IndexedExponents OrderedVariableList [x,y,z,t]
+--R   (4)  IndexedExponents(OrderedVariableList([x,y,z,t]))
 --R                                                                 Type: Domain
 --E 4
 
@@ -54,7 +54,8 @@ E := IndexedExponents V
 P := NSMP(R, V)
 --R 
 --R
---R   (5)  NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--R   (5)
+--R   NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --R                                                                 Type: Domain
 --E 5
 
@@ -63,7 +64,7 @@ x: P := 'x
 --R 
 --R
 --R   (6)  x
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 6
 
 --S 7 of 34
@@ -71,7 +72,7 @@ y: P := 'y
 --R 
 --R
 --R   (7)  y
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 7
 
 --S 8 of 34
@@ -79,7 +80,7 @@ z: P := 'z
 --R 
 --R
 --R   (8)  z
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 8
 
 --S 9 of 34
@@ -87,7 +88,7 @@ t: P := 't
 --R 
 --R
 --R   (9)  t
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 9
 
 --S 10 of 34
@@ -95,9 +96,9 @@ T := REGSET(R,E,V,P)
 --R 
 --R
 --R   (10)
---R  RegularTriangularSet(Integer,IndexedExponents OrderedVariableList [x,y,z,t],O
---R  rderedVariableList [x,y,z,t],NewSparseMultivariatePolynomial(Integer,OrderedV
---R  ariableList [x,y,z,t]))
+--R  RegularTriangularSet(Integer,IndexedExponents(OrderedVariableList([x,y,z,t]))
+--R  ,OrderedVariableList([x,y,z,t]),NewSparseMultivariatePolynomial(Integer,Order
+--R  edVariableList([x,y,z,t])))
 --R                                                                 Type: Domain
 --E 10
 
@@ -107,7 +108,7 @@ p1 := x ** 31 - x ** 6 - x - y
 --R
 --R          31    6
 --R   (11)  x   - x  - x - y
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 11
 
 --S 12 of 34
@@ -116,7 +117,7 @@ p2 := x ** 8  - z
 --R
 --R          8
 --R   (12)  x  - z
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 12
 
 --S 13 of 34
@@ -125,7 +126,7 @@ p3 := x ** 10 - t
 --R
 --R          10
 --R   (13)  x   - t
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 13
 
 --S 14 of 34
@@ -134,7 +135,7 @@ lp := [p1, p2, p3]
 --R
 --R           31    6          8      10
 --R   (14)  [x   - x  - x - y,x  - z,x   - t]
---IType: List NewSparseMultivariatePolynomial(...
+--RType: List(NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t])))
 --E 14
 
 --S 15 of 34
@@ -143,7 +144,7 @@ zeroSetSplit(lp)$T
 --R
 --R            5    4      2     3     8     5    3    2   4                2
 --R   (15)  [{z  - t ,t z y  + 2z y - t  + 2t  + t  - t ,(t  - t)x - t y - z }]
---IType: List RegularTriangularSet(Integer,...
+--RType: List(RegularTriangularSet(Integer,IndexedExponents(OrderedVariableList([x,y,z,t])),OrderedVariableList([x,y,z,t]),NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))))
 --E 15
 
 --S 16 of 34
@@ -155,7 +156,7 @@ lts := zeroSetSplit(lp,false)$T
 --R   [{z  - t ,t z y  + 2z y - t  + 2t  + t  - t ,(t  - t)x - t y - z },
 --R      3      5          2     3         2
 --R    {t  - 1,z  - t,t z y  + 2z y + 1,z x  - t}, {t,z,y,x}]
---IType: List RegularTriangularSet(Integer,...
+--RType: List(RegularTriangularSet(Integer,IndexedExponents(OrderedVariableList([x,y,z,t])),OrderedVariableList([x,y,z,t]),NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))))
 --E 16
 
 --S 17 of 34
@@ -163,7 +164,7 @@ lts := zeroSetSplit(lp,false)$T
 --R 
 --R
 --R   (17)  [1,0,0]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 17
 
 --S 18 of 34
@@ -172,7 +173,7 @@ f1 := y**2*z+2*x*y*t-2*x-z
 --R
 --R                          2
 --R   (18)  (2t y - 2)x + z y  - z
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 18
 
 --S 19 of 34
@@ -181,7 +182,7 @@ f2 :=   -x**3*z+ 4*x*y**2*z+ 4*x**2*y*t+ 2*y**3*t+ 4*x**2- 10*y**2+ 4*x*z- 10*y*
 --R
 --R              3              2        2              3      2
 --R   (19)  - z x  + (4t y + 4)x  + (4z y  + 4z)x + 2t y  - 10y  - 10t y + 2
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 19
 
 --S 20 of 34
@@ -190,7 +191,7 @@ f3 :=  2*y*z*t+x*t**2-x-2*z
 --R
 --R           2
 --R   (20)  (t  - 1)x + 2t z y - 2z
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 20
 
 --S 21 of 34
@@ -199,7 +200,7 @@ f4 :=   -x*z**3+ 4*y*z**2*t+ 4*x*z*t**2+ 2*y*t**3+ 4*x*z+ 4*z**2-10*y*t- 10*t**2
 --R
 --R             3      2                2     3             2      2
 --R   (21)  (- z  + (4t  + 4)z)x + (4t z  + 2t  - 10t)y + 4z  - 10t  + 2
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 21
 
 --S 22 of 34
@@ -215,7 +216,7 @@ lf := [f1, f2, f3, f4]
 --R    (t  - 1)x + 2t z y - 2z,
 --R        3      2                2     3             2      2
 --R    (- z  + (4t  + 4)z)x + (4t z  + 2t  - 10t)y + 4z  - 10t  + 2]
---IType: List NewSparseMultivariatePolynomial(...
+--RType: List(NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t])))
 --E 22
 
 --S 23 of 34
@@ -231,7 +232,7 @@ zeroSetSplit(lf)$T
 --R    {t  - 10t  + 10t  - 1,z,(t  - 5t)y - 5t  + 1,x},
 --R      2      2
 --R    {t  + 3,z  - 4,y + t,x - z}]
---IType: List RegularTriangularSet(Integer,...
+--RType: List(RegularTriangularSet(Integer,IndexedExponents(OrderedVariableList([x,y,z,t])),OrderedVariableList([x,y,z,t]),NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))))
 --E 23
 
 --S 24 of 34
@@ -245,7 +246,7 @@ lts2 := zeroSetSplit(lf,false)$T
 --R    {t  - 1,z  - 16z  + 256z  - 256,t y - 1,(z  - 8z)x - 8z  + 16},
 --R       2      2     2                     2      2
 --R    {3t  + 1,z  - 7t  - 1,y + t,x + z}, {t  + 3,z  - 4,y + t,x - z}]
---IType: List RegularTriangularSet(Integer,...
+--RType: List(RegularTriangularSet(Integer,IndexedExponents(OrderedVariableList([x,y,z,t])),OrderedVariableList([x,y,z,t]),NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))))
 --E 24
 
 --S 25 of 34
@@ -253,7 +254,7 @@ lts2 := zeroSetSplit(lf,false)$T
 --R 
 --R
 --R   (25)  [0,0,0,0]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 25
 
 --S 26 of 34
@@ -261,7 +262,7 @@ degrees := [degree(ts) for ts in lts2]
 --R 
 --R
 --R   (26)  [8,16,4,4]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 26
 
 --S 27 of 34
@@ -293,7 +294,7 @@ q1 := 2*(u-1)**2+ 2*(x-z*x+z**2)+ y**2*(x-1)**2- 2*u*x+ 2*y*t*(1-x)*(x-z)+ _
 --R   + 
 --R      2                      2       2          2
 --R     y  + (- 2t z - 4t)y + (t  + 10)z  - 8z + 4t  + 2
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 29
 
 --S 30 of 34
@@ -303,7 +304,7 @@ q2 := t*(2*z+1)*(x-z)+ y*(z+2)*(1-x)+ u*(u-2)*t+ u*(1-2*u)*z*t+ _
 --R
 --R                                               2
 --R   (30)  (- 3z y + 2t z + t)x + (z + 4)y + 4t z  - 7t z
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 30
 
 --S 31 of 34
@@ -312,7 +313,7 @@ q3 := -u**2*(z-1)**2+ 2*z*(z-x)-2*(x-1)
 --R
 --R                         2
 --R   (31)  (- 2z - 2)x - 2z  + 8z - 2
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 31
 
 --S 32 of 34
@@ -326,7 +327,7 @@ q4 :=   u**2+4*(z-x**2)+3*y**2*(x-1)**2- 3*t**2*(z-x)**2 +_
 --R   + 
 --R        2      2         2            2
 --R     (9t  + 4)z  + (- 24t  - 4)z + 12t  + 4
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 32
 
 --S 33 of 34
@@ -353,7 +354,7 @@ lq := [q1, q2, q3, q4]
 --R                           2      2         2            2
 --R       (12t z - 12t)y + (9t  + 4)z  + (- 24t  - 4)z + 12t  + 4
 --R     ]
---IType: List NewSparseMultivariatePolynomial(...
+--RType: List(NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t])))
 --E 33
 
 --S 34 of 34
@@ -547,7 +548,7 @@ zeroSetSplit(lq,true,true)$T
 --R                  2
 --R      (z + 1)x + z  - 4z + 1}
 --R     ]
---IType: List RegularTriangularSet(Integer,...
+--RType: List(RegularTriangularSet(Integer,IndexedExponents(OrderedVariableList([x,y,z,t])),OrderedVariableList([x,y,z,t]),NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))))
 --E 34
 )spool 
 )lisp (bye)
diff --git a/src/input/repa6.input.pamphlet b/src/input/repa6.input.pamphlet
index 80f2b9d..3172e0f 100644
--- a/src/input/repa6.input.pamphlet
+++ b/src/input/repa6.input.pamphlet
@@ -46,7 +46,7 @@ genA6 : List PERM INT := [cycle [1,2,3], cycle [2,3,4,5,6]]
 --R 
 --R
 --R   (1)  [(1 2 3),(2 3 4 5 6)]
---R                                               Type: List Permutation Integer
+--R                                             Type: List(Permutation(Integer))
 --E 1
 
 \end{chunk} 
@@ -67,7 +67,7 @@ pRA6 := permutationRepresentation (genA6, 6)
 --R         |0  0  0  0  1  0| |0  0  0  1  0  0|
 --R         |                | |                |
 --R         +0  0  0  0  0  1+ +0  0  0  0  1  0+
---R                                                    Type: List Matrix Integer
+--R                                                  Type: List(Matrix(Integer))
 --E 2
 
 \end{chunk}
@@ -88,7 +88,7 @@ pRA6m2 : List Matrix PrimeField 2 := pRA6
 --R         |0  0  0  0  1  0| |0  0  0  1  0  0|
 --R         |                | |                |
 --R         +0  0  0  0  0  1+ +0  0  0  0  1  0+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 3
  
 \end{chunk}
@@ -112,7 +112,7 @@ sp0 := meatAxe pRA6m2
 --R          |0  0  0  1  0| |0  0  1  0  0|
 --R          |             | |             |
 --R          +0  0  0  0  1+ +0  0  0  1  0+
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 4
  
 \end{chunk}
@@ -124,7 +124,7 @@ dA6d1 := sp0.2
 --R 
 --R
 --R   (5)  [[1],[1]]
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 5
 
 \end{chunk} 
@@ -153,7 +153,7 @@ sp1 := meatAxe sp0.1
 --R                    |1  0  0  0| |1  1  1  0|
 --R                    |          | |          |
 --R                    +0  0  0  1+ +1  1  1  1+
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 6
  
 \end{chunk}
@@ -171,7 +171,7 @@ dA6d4a := sp1.2
 --R         |1  0  0  0| |1  1  1  0|
 --R         |          | |          |
 --R         +0  0  0  1+ +1  1  1  1+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 7
  
 \end{chunk}
@@ -211,7 +211,7 @@ lambda := [2,2,1,1]
 --R 
 --R
 --R   (9)  [2,2,1,1]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 9
 
 --S 10 of 33
@@ -248,7 +248,7 @@ d2211  := irreducibleRepresentation(lambda, genA6)
 --R    |0  0  0   0    1    0    0    0    0 | | 0   - 1  0   0   0  0   1   0  0|
 --R    |                                     | |                                 |
 --R    +0  0  0   0    0    1    0    0    0 + + 0    0   0  - 1  0  0  - 1  0  0+
---R                                                    Type: List Matrix Integer
+--R                                                  Type: List(Matrix(Integer))
 --E 11
 
 \end{chunk}
@@ -275,7 +275,7 @@ d2211m2 : List Matrix PrimeField 2 := d2211
 --R          |0  0  0  0  1  0  0  0  0| |0  1  0  0  0  0  1  0  0|
 --R          |                         | |                         |
 --R          +0  0  0  0  0  1  0  0  0+ +0  0  0  1  0  0  1  0  0+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 12
 
 \end{chunk} 
@@ -299,7 +299,7 @@ sp2 := meatAxe d2211m2
 --R           |          | |          |   |0  1  0  1  0| |0  0  1  0  1|
 --R           +0  1  0  0+ +0  1  0  1+   |             | |             |
 --R                                       +0  1  1  1  0+ +1  0  0  1  1+
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 13
 
 \end{chunk}
@@ -318,7 +318,7 @@ dA6d4b := sp2.1
 --R          |1  1  0  0| |1  0  1  1|
 --R          |          | |          |
 --R          +0  1  0  0+ +0  1  0  1+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 14
 
 \end{chunk}
@@ -352,7 +352,7 @@ areEquivalent? ( dA6d4a , dA6d4b )
 --R   Representations are not equivalent.
 --R
 --R   (16)  [0]
---R                                                    Type: Matrix PrimeField 2
+--R                                                  Type: Matrix(PrimeField(2))
 --E 16
 
 \end{chunk} 
@@ -427,7 +427,7 @@ dA6d16 := tensorProduct ( dA6d4a , dA6d4b )
 --R    |1  0  1  1  1  0  1  1  1  0  1  1  1  0  1  1|
 --R    |                                              |
 --R    +0  1  0  1  0  1  0  1  0  1  0  1  0  1  0  1+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 17
 
 \end{chunk} 
@@ -530,7 +530,7 @@ sp3 := meatAxe dA6d16
 --R      |                                              |
 --R      +0  1  1  1  0  1  1  1  0  0  0  0  0  1  1  1+
 --R     ]
---R                                          Type: List List Matrix PrimeField 2
+--R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 18
 
 \end{chunk} 
@@ -675,7 +675,7 @@ dA6d16gf4 : List Matrix gf4 := dA6d16
 --R    |1  0  1  1  1  0  1  1  1  0  1  1  1  0  1  1|
 --R    |                                              |
 --R    +0  1  0  1  0  1  0  1  0  1  0  1  0  1  0  1+
---R                                           Type: List Matrix FiniteField(2,2)
+--R                                         Type: List(Matrix(FiniteField(2,2)))
 --E 21
 
 --S 22 of 33
@@ -772,7 +772,7 @@ sp4 := meatAxe dA6d16gf4
 --R      |                                                              |
 --R      +  %A      %A      %A      1       %A      %A      1     %A + 1+
 --R     ]
---R                                      Type: List List Matrix FiniteField(2,2)
+--R                                   Type: List(List(Matrix(FiniteField(2,2))))
 --E 22
 
 \end{chunk}
@@ -813,7 +813,7 @@ dA6d8a : List Matrix gf4  := sp4.1
 --R    |  0       0       1       0       0       1       0       1   |
 --R    |                                                              |
 --R    +  0       %A      0       %A      1     %A + 1  %A + 1    %A  +
---R                                           Type: List Matrix FiniteField(2,2)
+--R                                         Type: List(Matrix(FiniteField(2,2)))
 --E 23
 
 --S 24 of 33
@@ -851,7 +851,7 @@ dA6d8b : List Matrix gf4  := sp4.2
 --R    |  0       1       0       1     %A + 1    0     %A + 1  %A + 1|
 --R    |                                                              |
 --R    +  %A      %A      %A      1       %A      %A      1     %A + 1+
---R                                           Type: List Matrix FiniteField(2,2)
+--R                                         Type: List(Matrix(FiniteField(2,2)))
 --E 24
 
 \end{chunk}
@@ -937,7 +937,7 @@ areEquivalent? ( dA6d8a, dA6d8b )
 --R   Representations are not equivalent.
 --R
 --R   (27)  [0]
---R                                                Type: Matrix FiniteField(2,2)
+--R                                               Type: Matrix(FiniteField(2,2))
 --E 27
 
 \end{chunk} 
@@ -953,7 +953,7 @@ dA6d1
 --R 
 --R
 --R   (28)  [[1],[1]]
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 28
 
 --S 29 of 33
@@ -967,7 +967,7 @@ dA6d4a
 --R          |1  0  0  0| |1  1  1  0|
 --R          |          | |          |
 --R          +0  0  0  1+ +1  1  1  1+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 29
 
 --S 30 of 33
@@ -981,7 +981,7 @@ dA6d4b
 --R          |1  1  0  0| |1  0  1  1|
 --R          |          | |          |
 --R          +0  1  0  0+ +0  1  0  1+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 30
 
 --S 31 of 33
@@ -1019,7 +1019,7 @@ dA6d8a
 --R    |  0       0       1       0       0       1       0       1   |
 --R    |                                                              |
 --R    +  0       %A      0       %A      1     %A + 1  %A + 1    %A  +
---R                                           Type: List Matrix FiniteField(2,2)
+--R                                         Type: List(Matrix(FiniteField(2,2)))
 --E 31
 
 --S 32 of 33
@@ -1057,7 +1057,7 @@ dA6d8b
 --R    |  0       1       0       1     %A + 1    0     %A + 1  %A + 1|
 --R    |                                                              |
 --R    +  %A      %A      %A      1       %A      %A      1     %A + 1+
---R                                           Type: List Matrix FiniteField(2,2)
+--R                                         Type: List(Matrix(FiniteField(2,2)))
 --E 32
 
 \end{chunk} 
@@ -1131,7 +1131,7 @@ dA6d16
 --R    |1  0  1  1  1  0  1  1  1  0  1  1  1  0  1  1|
 --R    |                                              |
 --R    +0  1  0  1  0  1  0  1  0  1  0  1  0  1  0  1+
---R                                               Type: List Matrix PrimeField 2
+--R                                            Type: List(Matrix(PrimeField(2)))
 --E 33
 )spool 
 )lisp (bye)
diff --git a/src/input/risch.input.pamphlet b/src/input/risch.input.pamphlet
index 76cd56a..0fbd5da 100644
--- a/src/input/risch.input.pamphlet
+++ b/src/input/risch.input.pamphlet
@@ -83,7 +83,7 @@ f:=x/(sqrt(x^4+10*x^2-96*x-71))
 --R         +--------------------+
 --R         | 4      2
 --R        \|x  + 10x  - 96x - 71
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 8
@@ -101,7 +101,7 @@ integrate(f,x)
 --R             - 20x  + 128x  - 54x  + 1408x  - 3124x  - 10001
 --R     /
 --R        8
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 2
 
 \end{chunk}
@@ -126,7 +126,7 @@ g:=x/(sqrt(x^4+10*x^2-96*x-72))
 --R         +--------------------+
 --R         | 4      2
 --R        \|x  + 10x  - 96x - 72
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 8
@@ -139,7 +139,7 @@ integrate(g,x)
 --R        ++    +-----------------------+
 --R              |  4       2
 --I             \|%S  + 10%S  - 96%S - 72
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 4
 
 \end{chunk}
@@ -170,7 +170,7 @@ f:=x/(sqrt(x^4+10*x^2-96*x-71))
 --R         +--------------------+
 --R         | 4      2
 --R        \|x  + 10x  - 96x - 71
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 \end{chunk}
@@ -199,7 +199,7 @@ integrate(f,x)
 --R             - 20x  + 128x  - 54x  + 1408x  - 3124x  - 10001
 --R     /
 --R        8
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 6
 
 \end{chunk}
@@ -230,7 +230,7 @@ f:=(x^2+2*x+1+(3*x+1)*sqrt(x+log(x)))/(x*sqrt(x+log(x))*(x+sqrt(x+log(x))))
 --R   (1)  -----------------------------------
 --R           2 +----------+               2
 --R          x \|log(x) + x  + x log(x) + x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 8
diff --git a/src/input/robidoux.input.pamphlet b/src/input/robidoux.input.pamphlet
index 42a64fa..eb40562 100644
--- a/src/input/robidoux.input.pamphlet
+++ b/src/input/robidoux.input.pamphlet
@@ -43,7 +43,7 @@ deq1:=D(X1 t,t)=(1+ cos t /(2+sin t)) * X1 t
 --R          ,     X1(t)sin(t) + X1(t)cos(t) + 2X1(t)
 --R   (2)  X1 (t)= ----------------------------------
 --R                            sin(t) + 2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 2
 
 --S 3 of 15
@@ -52,7 +52,7 @@ solve(deq1,X1,t)
 --R
 --R                                 t            t
 --R   (3)  [particular= 0,basis= [%e sin(t) + 2%e ]]
---IType: Union(Record(particular: Expression Integer,...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 3
 
 --S 4 of 15
@@ -61,7 +61,7 @@ C1*%.basis.1
 --R
 --R             t               t
 --R   (4)  C1 %e sin(t) + 2C1 %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 15
@@ -77,7 +77,7 @@ x1
 --R 
 --R
 --R   (6)  x1 t == C1 exp(t)sin(t) + 2C1 exp(t)
---R                                                      Type: FunctionCalled x1
+--R                                                     Type: FunctionCalled(x1)
 --E 6
 
 --S 7 of 15
@@ -91,12 +91,12 @@ X2:=operator 'X2
 --S 8 of 15
 deq2:=D(X2 t,t)=x1 t - X2 t
 --R 
---R   Compiling function x1 with type Variable t -> Expression Integer 
+--R   Compiling function x1 with type Variable(t) -> Expression(Integer) 
 --R
 --R          ,          t               t
 --R   (8)  X2 (t)= C1 %e sin(t) + 2C1 %e  - X2(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 8
 
 --S 9 of 15
@@ -110,7 +110,7 @@ solve(deq2,X2,t)
 --R                                           5
 --R              - t
 --R    basis= [%e   ]]
---IType: Union(Record(particular: Expression Integer,...
+--RType: Union(Record(particular: Expression(Integer),basis: List(Expression(Integer))),...)
 --E 9
 
 --S 10 of 15
@@ -121,7 +121,7 @@ solve(deq2,X2,t)
 --R         2C1 %e   (%e ) sin(t) + (- C1 cos(t) + 5C1)%e   (%e )
 --R   (10)  ------------------------------------------------------
 --R                                    5
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 15
@@ -132,7 +132,7 @@ simplify %
 --R         2C1 %e sin(t) + (- C1 cos(t) + 5C1)%e
 --R   (11)  --------------------------------------
 --R                            5
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 --S 12 of 15
@@ -143,7 +143,7 @@ simplify %
 --R         2C1 %e sin(t) + (- C1 cos(t) + 5C1)%e  + 5C2 %e
 --R   (12)  --------------------------------------------------
 --R                                  5
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 15
@@ -161,7 +161,7 @@ x2
 --R                 2C1 exp(t)sin(t) + (- C1 cos(t) + 5C1)exp(t) + 5C2 exp(- t)
 --R   (14)  x2 t == -----------------------------------------------------------
 --R                                              5
---R                                                      Type: FunctionCalled x2
+--R                                                     Type: FunctionCalled(x2)
 --E 14
 
 \end{chunk}
@@ -174,7 +174,7 @@ x1 t
 --R
 --R              t               t
 --R   (15)  C1 %e sin(t) + 2C1 %e
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 15
 )spool 
 )lisp (bye)
diff --git a/src/input/roman.input.pamphlet b/src/input/roman.input.pamphlet
index 13f470d..b9e8279 100644
--- a/src/input/roman.input.pamphlet
+++ b/src/input/roman.input.pamphlet
@@ -35,7 +35,7 @@ D(f x,x,7)
 --R         (vii)
 --R   (2)  f     (x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 10
@@ -88,7 +88,7 @@ m := matrix [[1/(i + j) for i in 1..3] for j in 1..3]
 --R        | I    I    I|
 --R        |--    -   --|
 --R        +IV    V   VI+
---R                                           Type: Matrix Fraction RomanNumeral
+--R                                         Type: Matrix(Fraction(RomanNumeral))
 --E 7
 
 --S 8 of 10
@@ -100,7 +100,7 @@ inverse m
 --R   (8)  |- CCXL    CM     - DCCXX|
 --R        |                        |
 --R        +CLXXX   - DCCXX    DC   +
---R                                Type: Union(Matrix Fraction RomanNumeral,...)
+--R                              Type: Union(Matrix(Fraction(RomanNumeral)),...)
 --E 8
 
 --S 9 of 10
diff --git a/src/input/roots.input.pamphlet b/src/input/roots.input.pamphlet
index 783da6f..c7b7dca 100644
--- a/src/input/roots.input.pamphlet
+++ b/src/input/roots.input.pamphlet
@@ -29,7 +29,7 @@ lr:=rootsOf(x**4+1,x)
 --R 
 --R
 --R   (1)  [%x0,%x0 %x1,- %x0,- %x0 %x1]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 1
 
 \end{chunk}
@@ -41,7 +41,7 @@ definingPolynomial %x0
 --R
 --R           4
 --R   (2)  %x0  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 7
@@ -50,7 +50,7 @@ definingPolynomial %x1
 --R
 --R           2
 --R   (3)  %x1  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 \end{chunk}
@@ -62,7 +62,7 @@ lr.1 * lr.2 * lr.3
 --R
 --R             3
 --R   (4)  - %x0 %x1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 7
@@ -70,7 +70,7 @@ lr.1 * lr.2 * lr.3
 --R 
 --R
 --R   (5)  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 \end{chunk}
@@ -81,7 +81,7 @@ lr.1 + lr.2 + lr.3
 --R 
 --R
 --R   (6)  %x0 %x1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 7
@@ -89,7 +89,7 @@ lr.1 + lr.2 + lr.3
 --R 
 --R
 --R   (7)  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 )spool 
 )lisp (bye)
diff --git a/src/input/rubey.input.pamphlet b/src/input/rubey.input.pamphlet
index 7e8396d..0003669 100644
--- a/src/input/rubey.input.pamphlet
+++ b/src/input/rubey.input.pamphlet
@@ -78,47 +78,48 @@ t5 n == reduce(+, [reduce(+, [reduce(+, [reduce(+, [reduce(+,
 --S 7 of 10
 factor t2 4
 --R 
---R   Compiling function mons with type List Symbol -> List Polynomial 
---R      Integer 
---R   Compiling function summ with type List Symbol -> Polynomial Integer 
---R   Compiling function t2 with type PositiveInteger -> Polynomial 
---R      Integer 
+--R   Compiling function mons with type List(Symbol) -> List(Polynomial(
+--R      Integer)) 
+--R   Compiling function summ with type List(Symbol) -> Polynomial(Integer
+--R      ) 
+--R   Compiling function t2 with type PositiveInteger -> Polynomial(
+--R      Integer) 
 --R
 --R            2     2     2     2 2
 --R   (7)  6(x   + x   + x   + x  )
 --R           4     3     2     1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 7
 
 --S 8 of 10
 factor t3 7
 --R 
---R   Compiling function t3 with type PositiveInteger -> Polynomial 
---R      Integer 
+--R   Compiling function t3 with type PositiveInteger -> Polynomial(
+--R      Integer) 
 --R
 --R             2     2     2     2     2     2     2 2
 --R   (8)  60(x   + x   + x   + x   + x   + x   + x  )
 --R            7     6     5     4     3     2     1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 8
 
 --S 9 of 10
 factor t4 10
 --R 
---R   Compiling function t4 with type PositiveInteger -> Polynomial 
---R      Integer 
+--R   Compiling function t4 with type PositiveInteger -> Polynomial(
+--R      Integer) 
 --R
 --R               2     2     2     2     2     2     2     2     2     2 2
 --R   (9)  672(x    + x   + x   + x   + x   + x   + x   + x   + x   + x  )
 --R             10     9     8     7     6     5     4     3     2     1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 9
 
 --S 10 of 10
 factor t5 13
 --R 
---R   Compiling function t5 with type PositiveInteger -> Polynomial 
---R      Integer 
+--R   Compiling function t5 with type PositiveInteger -> Polynomial(
+--R      Integer) 
 --R
 --R   (10)
 --R     7920
@@ -132,7 +133,7 @@ factor t5 13
 --R          2     1
 --R    **
 --R       2
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 10
 
 )spool 
diff --git a/src/input/rules.input.pamphlet b/src/input/rules.input.pamphlet
index f907e73..6a8ec0e 100644
--- a/src/input/rules.input.pamphlet
+++ b/src/input/rules.input.pamphlet
@@ -29,7 +29,7 @@ logrule := rule log(x) + log(y) == log(x * y)
 --R 
 --R
 --R   (1)  log(y) + log(x) + %B == log(x y) + %B
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 1
 
 --S 2 of 21
@@ -37,7 +37,7 @@ f := log sin x + log x
 --R 
 --R
 --R   (2)  log(sin(x)) + log(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 21
@@ -45,7 +45,7 @@ logrule f
 --R 
 --R
 --R   (3)  log(x sin(x))
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 \end{chunk}
@@ -59,7 +59,7 @@ logrules := rule
 --R
 --R                                                                y
 --R   (4)  {log(y) + log(x) + %C == log(x y) + %C,y log(x) == log(x )}
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 4
 
 --S 5 of 21
@@ -67,7 +67,7 @@ f := a * log(sin x) - 2 * log x
 --R 
 --R
 --R   (5)  a log(sin(x)) - 2log(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 21
@@ -79,7 +79,7 @@ logrules f
 --R   (6)  log(-------)
 --R                2
 --R               x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 \end{chunk}
@@ -93,7 +93,7 @@ logrules2 := rule
 --R
 --R                                                                y
 --R   (7)  {log(y) + log(x) + %D == log(x y) + %D,y log(x) == log(x )}
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 7
 
 --S 8 of 21
@@ -104,7 +104,7 @@ logrules2 f
 --R   (8)  a log(sin(x)) + log(--)
 --R                             2
 --R                            x
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 \end{chunk}
@@ -133,7 +133,7 @@ trigLinearize := rule
 --R          n    (- cos(2x) + 1)sin(x)             n    (cos(2x) + 1)cos(x)
 --R    sin(x)  == --------------------------, cos(x)  == ------------------------}
 --R                            2                                     2
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 9
 
 --S 10 of 21
@@ -141,7 +141,7 @@ g := sin(a)*cos(b) + sin(a)*cos(a) + cos(2*a)*cos(3*a)
 --R 
 --R
 --R   (10)  (cos(b) + cos(a))sin(a) + cos(2a)cos(3a)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 21
@@ -151,7 +151,7 @@ trigLinearize g
 --R         sin(b + a) - sin(b - a) + sin(2a) + cos(5a) + cos(a)
 --R   (11)  ----------------------------------------------------
 --R                                   2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 11
 
 \end{chunk}
@@ -165,7 +165,7 @@ eirule := rule integral((?y + exp x)/x,x) == integral(y/x,x) + Ei x
 --R          ++  %e   + y                   y
 --R   (12)   |   -------- d%K  == 'integral(-,x) + 'Ei(x)
 --R         ++      %K                      x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 12
 
 --S 13 of 21
@@ -173,7 +173,7 @@ eirule integral(exp u/u, u)
 --R 
 --R
 --R   (13)  Ei(u)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 
 --S 14 of 21
@@ -184,7 +184,7 @@ eirule integral(sin u + exp u/u, u)
 --R          ++
 --R   (14)   |   sin(%K)d%K  + Ei(u)
 --R         ++
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 14
 
 \end{chunk}
@@ -211,7 +211,7 @@ myrule := rule u(x + y) == u x + v y
 --R 
 --R
 --R   (17)  u(y + x) == 'v(y) + 'u(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 17
 
 --S 18 of 21
@@ -219,7 +219,7 @@ h := u(a + b + c + d)
 --R 
 --R
 --R   (18)  u(d + c + b + a)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 18
 
 --S 19 of 21
@@ -227,7 +227,7 @@ myrule h
 --R 
 --R
 --R   (19)  v(d + c + b) + u(a)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 19
 
 --S 20 of 21
@@ -235,7 +235,7 @@ myrule2 := rule u(:x + y) == u x + v y
 --R 
 --R
 --R   (20)  u(y + x) == 'v(y) + 'u(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 20
 
 --S 21 of 21
@@ -243,7 +243,7 @@ myrule2 h
 --R 
 --R
 --R   (21)  v(c) + v(b) + v(a) + u(d)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 21
 )spool 
 )lisp (bye)
diff --git a/src/input/ruleset.input.pamphlet b/src/input/ruleset.input.pamphlet
index dedd994..de25e38 100644
--- a/src/input/ruleset.input.pamphlet
+++ b/src/input/ruleset.input.pamphlet
@@ -47,7 +47,7 @@ TrigLinearRules := rule
 --R          n    (- cos(2x) + 1)sin(x)             n    (cos(2x) + 1)cos(x)
 --R    sin(x)  == --------------------------, cos(x)  == ------------------------}
 --R                            2                                     2
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 1
 
 --S 2 of 9
@@ -55,7 +55,7 @@ sin(a)*cos(b) + sin(a)*cos(a) + cos(2*a)*cos(3*a)
 --R 
 --R
 --R   (2)  (cos(b) + cos(a))sin(a) + cos(2a)cos(3a)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 9
@@ -65,7 +65,7 @@ TrigLinearRules %
 --R        sin(b + a) - sin(b - a) + sin(2a) + cos(5a) + cos(a)
 --R   (3)  ----------------------------------------------------
 --R                                  2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 9
@@ -73,7 +73,7 @@ sin(a) * sin(2*a) * sin(3*a) * sin(4*a)
 --R 
 --R
 --R   (4)  sin(a)sin(2a)sin(3a)sin(4a)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 9
@@ -83,7 +83,7 @@ TrigLinearRules %
 --R        cos(10a) - cos(8a) - cos(6a) + 1
 --R   (5)  --------------------------------
 --R                        8
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 \end{chunk}
@@ -104,7 +104,7 @@ FLinearRules := rule
 --R 
 --R
 --R   (7)  {f(b + a,x) == 'f(b,x) + 'f(a,x),f(a c,x) == c'f(a,x)}
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 7
 
 --S 8 of 9
@@ -112,7 +112,7 @@ f(2*x + a * log(x) + x * log(x), x)
 --R 
 --R
 --R   (8)  f((x + a)log(x) + 2x,x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 9
@@ -120,7 +120,7 @@ FLinearRules %
 --R 
 --R
 --R   (9)  (f(x,x) + f(a,x))log(x) + 2f(x,x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 )spool 
 )lisp (bye)
diff --git a/src/input/sae.input.pamphlet b/src/input/sae.input.pamphlet
index 5287beb..958feb9 100644
--- a/src/input/sae.input.pamphlet
+++ b/src/input/sae.input.pamphlet
@@ -22,7 +22,7 @@ pol1:=x^2+1
 --R
 --R         2
 --R   (1)  x  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 6
@@ -30,7 +30,7 @@ pol2:=z^3-2
 --R
 --R         3
 --R   (2)  z  - 2
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 2
 
 --S 3 of 6
@@ -49,7 +49,7 @@ primrec:=primitiveElement([pol1,pol2],[x,z])$PrimitiveElement(FRAC(INT))
 --I     ,
 --I           6      4     3       2
 --I    prim= ?  + 27?  + 4?  + 243?  - 108? + 733]
---IType: Record(coef: List Integer,poly: List SparseUnivariatePolynomial ...
+--IType: Record(coef: List(Integer),poly: ...
 --E 3
 
 --S 4 of 6
@@ -58,21 +58,21 @@ Ae:=SAE(FRAC(INT),SparseUnivariatePolynomial(FRAC(INT)),primrec.prim)
 --I   (4)
 --I  SimpleAlgebraicExtension(Fraction Integer,SparseUnivariatePolynomial Fraction
 --I   Integer,?**6+27*?**4+4*?**3+243*?*?+(-108*?)+733)
---I                                                                 Type: Domain
+--R                                                                 Type: Domain
 --E 4
 
 --S 5 of 6
 (primrec.poly.1::Ae)^2
 --R
 --R   (5)  - 1
---IType: SimpleAlgebraicExtension(Fraction Integer,...
+--IType: SimpleAlgebraicExtension(Fraction(Integer),...
 --E 5
 
 --S 6 of 6
 (primrec.poly.2::Ae)^3
 --R
 --R   (6)  2
---IType: SimpleAlgebraicExtension(Fraction Integer,...
+--IType: SimpleAlgebraicExtension(Fraction(Integer),...
 --E 6
 
 )spool 
diff --git a/src/input/seccsc.input.pamphlet b/src/input/seccsc.input.pamphlet
index 105533d..28e2204 100644
--- a/src/input/seccsc.input.pamphlet
+++ b/src/input/seccsc.input.pamphlet
@@ -348,7 +348,7 @@ Dover Publications, Inc. New York 1965. pp186-188
 --R    [1.58,- 108.6538055,- 108.6538054739 3097269,0.2606902731 E -7],
 --R    [1.59,- 52.0765718,- 52.0765717826 07291365,0.1739270863 E -7],
 --R    [1.6,- 34.2471356,- 34.2471356100 18689204,- 0.100186892 E -7]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 \end{chunk}
 In the following table there are 4 columns. The first column
@@ -682,7 +682,7 @@ Dover Publications, Inc. New York 1965. pp186-188
 --R    [1.58,1.0000424,1.0000423552 951549942,- 0.4470484500 58 E -7],
 --R    [1.59,1.0001844,1.0001844188 697576625,0.1886975766 25 E -7],
 --R    [1.6,1.0004266,1.0004265788 504192126,- 0.2114958078 74 E -7]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 2
 
 )spool 
diff --git a/src/input/seg.input.pamphlet b/src/input/seg.input.pamphlet
index a88fbcb..b955415 100644
--- a/src/input/seg.input.pamphlet
+++ b/src/input/seg.input.pamphlet
@@ -25,7 +25,7 @@ s := 3..10
 --R 
 --R
 --R   (1)  3..10
---R                                                Type: Segment PositiveInteger
+--R                                               Type: Segment(PositiveInteger)
 --E 1
 
 --S 2 of 10
@@ -49,7 +49,7 @@ t := 10..3 by -2
 --R 
 --R
 --R   (4)  10..3 by - 2
---R                                                Type: Segment PositiveInteger
+--R                                               Type: Segment(PositiveInteger)
 --E 4
 
 --S 5 of 10
@@ -73,7 +73,7 @@ l := [1..3, 5, 9, 15..11 by -1]
 --R 
 --R
 --R   (7)  [1..3,5..5,9..9,15..11 by - 1]
---R                                           Type: List Segment PositiveInteger
+--R                                         Type: List(Segment(PositiveInteger))
 --E 7
 
 --S 8 of 10
@@ -81,7 +81,7 @@ expand s
 --R 
 --R
 --R   (8)  [3,4,5,6,7,8,9,10]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 8
 
 --S 9 of 10
@@ -89,7 +89,7 @@ expand t
 --R 
 --R
 --R   (9)  [10,8,6,4]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 9
 
 --S 10 of 10
@@ -97,7 +97,7 @@ expand l
 --R 
 --R
 --R   (10)  [1,2,3,5,9,15,14,13,12,11]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 10
 )spool 
 )lisp (bye)
diff --git a/src/input/segbind.input.pamphlet b/src/input/segbind.input.pamphlet
index bf712b5..699b782 100644
--- a/src/input/segbind.input.pamphlet
+++ b/src/input/segbind.input.pamphlet
@@ -25,7 +25,7 @@ x = a..b
 --R 
 --R
 --R   (1)  x= a..b
---R                                                  Type: SegmentBinding Symbol
+--R                                                 Type: SegmentBinding(Symbol)
 --E 1
 
 --S 2 of 6
@@ -36,17 +36,17 @@ sum(i**2, i = 0..n)
 --R        2n  + 3n  + n
 --R   (2)  -------------
 --R              6
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 2
 
 --S 3 of 6
 draw(x**2, x = -2..2)
 --R 
---R   Compiling function %B with type DoubleFloat -> DoubleFloat 
+--I   Compiling function %B with type DoubleFloat -> DoubleFloat 
 --R   Graph data being transmitted to the viewport manager...
 --R   AXIOM2D data being transmitted to the viewport manager...
 --R
---R   (3)  TwoDimensionalViewport: "x*x"
+--R   (3)  TwoDimensionalViewport: "x^2"
 --R                                                 Type: TwoDimensionalViewport
 --E 3
 
@@ -57,7 +57,7 @@ sb := y = 1/2..3/2
 --R            1    3
 --R   (4)  y= (-)..(-)
 --R            2    2
---R                                        Type: SegmentBinding Fraction Integer
+--R                                      Type: SegmentBinding(Fraction(Integer))
 --E 4
 
 --S 5 of 6
@@ -75,7 +75,7 @@ segment(sb)
 --R         1    3
 --R   (6)  (-)..(-)
 --R         2    2
---R                                               Type: Segment Fraction Integer
+--R                                             Type: Segment(Fraction(Integer))
 --E 6
 )spool 
 )lisp (bye)
diff --git a/src/input/series.input.pamphlet b/src/input/series.input.pamphlet
index c125968..caf40d1 100644
--- a/src/input/series.input.pamphlet
+++ b/src/input/series.input.pamphlet
@@ -32,7 +32,7 @@ xT := taylor(x)
 --R 
 --R
 --R   (1)  x
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 1
 
 --S 2 of 20
@@ -42,7 +42,7 @@ sin(tan(xT))
 --R            1  3    1  5    55   7    143  9      11
 --R   (2)  x + - x  - -- x  - ---- x  - ---- x  + O(x  )
 --R            6      40      1008      3456
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 2
 
 --S 3 of 20
@@ -64,7 +64,7 @@ taylor(asec(2+x))
 --R     - ------------- x   + O(x  )
 --R                 +-+
 --R       201553920\|3
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 3
 
 --S 4 of 20
@@ -73,7 +73,7 @@ sec %
 --R
 --R                   11
 --R   (4)  2 + x + O(x  )
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 4
 
 --S 5 of 20
@@ -95,7 +95,7 @@ taylor(sin(x),x = %pi/4)
 --R      \|2        %pi 9     \|2        %pi 10          %pi 11
 --R     ------ (x - ---)  - ------- (x - ---)   + O((x - ---)  )
 --R     725760       4      7257600       4               4
---R                      Type: UnivariateTaylorSeries(Expression Integer,x,pi/4)
+--R                    Type: UnivariateTaylorSeries(Expression(Integer),x,%pi/4)
 --E 5
 
 --S 6 of 20
@@ -103,7 +103,7 @@ xL := laurent(x)
 --R 
 --R
 --R   (6)  x
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,0)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,0)
 --E 6
 
 --S 7 of 20
@@ -113,7 +113,7 @@ xL := laurent(x)
 --R        1      1  3    2   5     1   7     2    9      1382    11      12
 --R   (7)  - x + -- x  + --- x  + ---- x  + ----- x  + --------- x   + O(x  )
 --R        3     45      945      4725      93555      638512875
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,0)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,0)
 --E 7
 
 --S 8 of 20
@@ -123,7 +123,7 @@ laurent(csc(x))
 --R         - 1   1      7   3     31   5     127   7      73    9      10
 --R   (8)  x    + - x + --- x  + ----- x  + ------ x  + ------- x  + O(x  )
 --R               6     360      15120      604800      3421440
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,0)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,0)
 --E 8
 
 --S 9 of 20
@@ -142,7 +142,7 @@ laurent(1/log(x),x = 1)
 --R        3250433         9            10
 --R     - --------- (x - 1)  + O((x - 1)  )
 --R       479001600
---R                        Type: UnivariateLaurentSeries(Expression Integer,x,1)
+--R                       Type: UnivariateLaurentSeries(Expression(Integer),x,1)
 --E 9
 
 --S 10 of 20
@@ -150,7 +150,7 @@ xP := puiseux(x)
 --R 
 --R
 --R   (10)  x
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 10
 
 --S 11 of 20
@@ -162,7 +162,7 @@ sqrt(xP) - sqrt(sin(xP))
 --R          1  2     1   2     1     2      8
 --R   (11)  -- x  - ---- x  + ----- x   + O(x )
 --R         12      1440      24192
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 11
 
 --S 12 of 20
@@ -179,7 +179,7 @@ puiseux(sqrt(1 - cos(x))/x)
 --R     - --------------- x   + O(x  )
 --R                   +-+
 --R       40874803200\|2
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 12
 
 --S 13 of 20
@@ -198,7 +198,7 @@ puiseux(sqrt(1 - tan(x)),x = %pi/2)
 --R        81      %pi 2    1219      %pi 2          %pi 5
 --R     - --- (x - ---)  + ----- (x - ---)  + O((x - ---) )
 --R       640       2      11520       2              2
---R                     Type: UnivariatePuiseuxSeries(Expression Integer,x,pi/2)
+--R                   Type: UnivariatePuiseuxSeries(Expression(Integer),x,%pi/2)
 --E 13
 
 --S 14 of 20
@@ -206,7 +206,7 @@ xS := series(x)
 --R 
 --R
 --R   (14)  x
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 14
 
 --S 15 of 20
@@ -219,7 +219,7 @@ sin(xS)**(1/3) - sin(xS**(1/3))
 --R   1      1   3    31  3      1    3       1      3     1921921    3       3
 --R   - x - --- x  - --- x  - ------ x  + -------- x   - ---------- x   + O(x  )
 --R   6     120      560      362880      39916800       6227020800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 15
 
 --S 16 of 20
@@ -229,7 +229,7 @@ series(log(tan(x)))
 --R                  1  2    7  4    62   6    127   8    146   10      11
 --R   (16)  log(x) + - x  + -- x  + ---- x  + ----- x  + ----- x   + O(x  )
 --R                  3      90      2835      18900      66825
---R                   Type: GeneralUnivariatePowerSeries(Expression Integer,x,0)
+--R                  Type: GeneralUnivariatePowerSeries(Expression(Integer),x,0)
 --E 16
 
 --S 17 of 20
@@ -244,7 +244,7 @@ series(log(cot(x)),x = %pi/2)
 --R      127       %pi 8    146       %pi 10          %pi 11
 --R     ----- (x - ---)  + ----- (x - ---)   + O((x - ---)  )
 --R     18900       2      66825       2               2
---R                Type: GeneralUnivariatePowerSeries(Expression Integer,x,pi/2)
+--R              Type: GeneralUnivariatePowerSeries(Expression(Integer),x,%pi/2)
 --E 17
 
 \end{chunk}
@@ -259,7 +259,7 @@ a:=series(sin x, x=0)
 --R             1  3    1   5     1   7      1    9       1     11      12
 --R   (18)  x - - x  + --- x  - ---- x  + ------ x  - -------- x   + O(x  )
 --R             6      120      5040      362880      39916800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 18
 
 --S 19 of 20
@@ -269,7 +269,7 @@ b:UnivariateTaylorSeries(Fraction Integer,x,0) := a
 --R             1  3    1   5     1   7      1    9      11
 --R   (19)  x - - x  + --- x  - ---- x  + ------ x  + O(x  )
 --R             6      120      5040      362880
---R                           Type: UnivariateTaylorSeries(Fraction Integer,x,0)
+--R                          Type: UnivariateTaylorSeries(Fraction(Integer),x,0)
 --E 19
 
 --S 20 of 20
@@ -279,7 +279,7 @@ univariatePolynomial(b,9)
 --R            1    9     1   7    1   5   1  3
 --R   (20)  ------ x  - ---- x  + --- x  - - x  + x
 --R         362880      5040      120      6
---R                               Type: UnivariatePolynomial(x,Fraction Integer)
+--R                              Type: UnivariatePolynomial(x,Fraction(Integer))
 --E 20
 )spool 
  
diff --git a/src/input/series2.input.pamphlet b/src/input/series2.input.pamphlet
index 4ba3152..5f8f9d2 100644
--- a/src/input/series2.input.pamphlet
+++ b/src/input/series2.input.pamphlet
@@ -35,7 +35,7 @@ f1 := taylor(1 - x**2,x = 0)
 --R
 --R             2
 --R   (1)  1 - x
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 1
 
 --S 2 of 38
@@ -47,7 +47,7 @@ asin f1
 --R   --- - ---- x  - ----- x  - ------ x  - ------- x  - -------- x   + O(x  )
 --R    2     +-+        +-+         +-+          +-+           +-+
 --R         \|2       8\|2       32\|2       512\|2       2048\|2
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 2
 
 --S 3 of 38
@@ -57,7 +57,7 @@ sin %
 --R            1  4    1  6    7   8     5   10      11
 --R   (3)  1 - - x  - -- x  - --- x  - ---- x   + O(x  )
 --R            4      16      768      3072
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 3
 
 --S 4 of 38
@@ -68,7 +68,7 @@ acos f1
 --R   (4)  ---- x  + ----- x  + ------ x  + ------- x  + -------- x   + O(x  )
 --R         +-+        +-+         +-+          +-+           +-+
 --R        \|2       8\|2       32\|2       512\|2       2048\|2
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 4
 
 --S 5 of 38
@@ -78,7 +78,7 @@ cos %
 --R            1  4    1  6    7   8     5   10      11
 --R   (5)  1 - - x  - -- x  - --- x  - ---- x   + O(x  )
 --R            4      16      768      3072
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 5
 
 --S 6 of 38
@@ -87,7 +87,7 @@ f2 := taylor(1 + x**2,x = 0)
 --R
 --R             2
 --R   (6)  1 + x
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 6
 
 --S 7 of 38
@@ -99,7 +99,7 @@ acsc f2
 --R   --- - ---- x  + ----- x  - ------ x  + ------- x  - --------- x   + O(x  )
 --R    2     +-+        +-+         +-+          +-+            +-+
 --R         \|2       8\|2       96\|2       512\|2       10240\|2
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 7
 
 --S 8 of 38
@@ -109,7 +109,7 @@ csc %
 --R            1  4    5  6   287  8   1361  10      11
 --R   (8)  1 + - x  - -- x  + --- x  - ---- x   + O(x  )
 --R            4      16      768      3072
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 8
 
 --S 9 of 38
@@ -120,7 +120,7 @@ asec f2
 --R   (9)  ---- x  - ----- x  + ------ x  - ------- x  + --------- x   + O(x  )
 --R         +-+        +-+         +-+          +-+            +-+
 --R        \|2       8\|2       96\|2       512\|2       10240\|2
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 9
 
 --S 10 of 38
@@ -130,7 +130,7 @@ sec %
 --R             1  4    5  6   287  8   1361  10      11
 --R   (10)  1 + - x  - -- x  + --- x  - ---- x   + O(x  )
 --R             4      16      768      3072
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 10
 
 --S 11 of 38
@@ -139,7 +139,7 @@ f3 := taylor(1 - (x - a)**2,x = a)
 --R
 --R                    2
 --R   (11)  1 - (x - a)
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 11
 
 --S 12 of 38
@@ -156,7 +156,7 @@ asin f3
 --R     - -------- (x - a)   + O((x - a)  )
 --R            +-+
 --R       2048\|2
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 12
 
 --S 13 of 38
@@ -167,7 +167,7 @@ sin %
 --R       1        4    1        6    7         8     5         10            11
 --R   1 - - (x - a)  - -- (x - a)  - --- (x - a)  - ---- (x - a)   + O((x - a)  )
 --R       4            16            768            3072
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 13
 
 --S 14 of 38
@@ -184,7 +184,7 @@ acos f3
 --R     -------- (x - a)   + O((x - a)  )
 --R          +-+
 --R     2048\|2
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 14
 
 --S 15 of 38
@@ -195,7 +195,7 @@ cos %
 --R       1        4    1        6    7         8     5         10            11
 --R   1 - - (x - a)  - -- (x - a)  - --- (x - a)  - ---- (x - a)   + O((x - a)  )
 --R       4            16            768            3072
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 15
 
 --S 16 of 38
@@ -204,7 +204,7 @@ f4 := taylor(1 + (x - a)**2,x = a)
 --R
 --R                    2
 --R   (16)  1 + (x - a)
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 16
 
 --S 17 of 38
@@ -221,7 +221,7 @@ acsc f4
 --R     - --------- (x - a)   + O((x - a)  )
 --R             +-+
 --R       10240\|2
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 17
 
 --S 18 of 38
@@ -232,7 +232,7 @@ csc %
 --R       1        4    5        6   287        8   1361        10            11
 --R   1 + - (x - a)  - -- (x - a)  + --- (x - a)  - ---- (x - a)   + O((x - a)  )
 --R       4            16            768            3072
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 18
 
 --S 19 of 38
@@ -249,7 +249,7 @@ asec f4
 --R     --------- (x - a)   + O((x - a)  )
 --R           +-+
 --R     10240\|2
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 19
 
 --S 20 of 38
@@ -260,7 +260,7 @@ sec %
 --R       1        4    5        6   287        8   1361        10            11
 --R   1 + - (x - a)  - -- (x - a)  + --- (x - a)  - ---- (x - a)   + O((x - a)  )
 --R       4            16            768            3072
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 20
 
 --S 21 of 38
@@ -269,7 +269,7 @@ f5 := taylor(%i + x**2,x = 0)
 --R
 --R               2
 --R   (21)  %i + x
---R                 Type: UnivariateTaylorSeries(Expression Complex Integer,x,0)
+--R               Type: UnivariateTaylorSeries(Expression(Complex(Integer)),x,0)
 --E 21
 
 --S 22 of 38
@@ -300,7 +300,7 @@ asinh f5
 --R     ------------------------------------------------------------ x   + O(x  )
 --R                                +---+
 --R     (2513436672 + 287440896%i)\|2%i  + 2225987584 + 2800893952%i
---R                 Type: UnivariateTaylorSeries(Expression Complex Integer,x,0)
+--R               Type: UnivariateTaylorSeries(Expression(Complex(Integer)),x,0)
 --E 22
 
 --S 23 of 38
@@ -347,7 +347,7 @@ map(normalize,sinh %)
 --R   + 
 --R        11
 --R     O(x  )
---R                 Type: UnivariateTaylorSeries(Expression Complex Integer,x,0)
+--R               Type: UnivariateTaylorSeries(Expression(Complex(Integer)),x,0)
 --E 23
 
 --S 24 of 38
@@ -372,7 +372,7 @@ acosh f1
 --R     ------------------------- x   + O(x  )
 --R              +---+
 --R     18841600\|- 2  - 13475840
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 24
 
 --S 25 of 38
@@ -397,7 +397,7 @@ map(normalize,cosh %)
 --R     ----------------------------------------------- x   + O(x  )
 --R                         +---+
 --R     2942149446728507392\|- 2  + 7713476525184163840
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 25
 
 --S 26 of 38
@@ -422,7 +422,7 @@ asech f2
 --R     --------------------------- x   + O(x  )
 --R               +---+
 --R      77987840\|- 2  - 245063680
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 26
 
 --S 27 of 38
@@ -560,7 +560,7 @@ sech %
 --R   + 
 --R        11
 --R     O(x  )
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 27
 
 --S 28 of 38
@@ -579,7 +579,7 @@ acsch f1
 --R     ----------------- x  + ------------------------- x   + O(x  )
 --R           +-+                        +-+
 --R     52224\|2  + 73856      602664960\|2  + 852296960
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 28
 
 --S 29 of 38
@@ -588,7 +588,7 @@ map(normalize,csch %)
 --R
 --R              2      11
 --R   (29)  1 - x  + O(x  )
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 29
 
 --S 30 of 38
@@ -597,7 +597,7 @@ f6 := taylor(%i + (x - a)**2,x = a)
 --R
 --R                     2
 --R   (30)  %i + (x - a)
---R                 Type: UnivariateTaylorSeries(Expression Complex Integer,x,a)
+--R               Type: UnivariateTaylorSeries(Expression(Complex(Integer)),x,a)
 --E 30
 
 --S 31 of 38
@@ -631,7 +631,7 @@ asinh f6
 --R   + 
 --R              11
 --R     O((x - a)  )
---R                 Type: UnivariateTaylorSeries(Expression Complex Integer,x,a)
+--R               Type: UnivariateTaylorSeries(Expression(Complex(Integer)),x,a)
 --E 31
 
 --S 32 of 38
@@ -681,7 +681,7 @@ map(normalize,sinh %)
 --R   + 
 --R              11
 --R     O((x - a)  )
---R                 Type: UnivariateTaylorSeries(Expression Complex Integer,x,a)
+--R               Type: UnivariateTaylorSeries(Expression(Complex(Integer)),x,a)
 --E 32
 
 --S 33 of 38
@@ -706,7 +706,7 @@ acosh f3
 --R     ------------------------- (x - a)   + O((x - a)  )
 --R              +---+
 --R     18841600\|- 2  - 13475840
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 33
 
 --S 34 of 38
@@ -731,7 +731,7 @@ map(normalize,cosh %)
 --R     ----------------------------------------------- (x - a)   + O((x - a)  )
 --R                         +---+
 --R     2942149446728507392\|- 2  + 7713476525184163840
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 34
 
 --S 35 of 38
@@ -756,7 +756,7 @@ asech f4
 --R     --------------------------- (x - a)   + O((x - a)  )
 --R               +---+
 --R      77987840\|- 2  - 245063680
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 35
 
 --S 36 of 38
@@ -894,7 +894,7 @@ sech %
 --R   + 
 --R              11
 --R     O((x - a)  )
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 36
 
 --S 37 of 38
@@ -919,7 +919,7 @@ acsch f3
 --R     ------------------------- (x - a)   + O((x - a)  )
 --R               +-+
 --R     602664960\|2  + 852296960
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 37
 
 --S 38 of 38
@@ -928,7 +928,7 @@ map(normalize,csch %)
 --R
 --R                    2            11
 --R   (38)  1 - (x - a)  + O((x - a)  )
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,a)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,a)
 --E 38
 )spool 
 )lisp (bye)
diff --git a/src/input/sersolve.input.pamphlet b/src/input/sersolve.input.pamphlet
index 2999dc9..e273297 100644
--- a/src/input/sersolve.input.pamphlet
+++ b/src/input/sersolve.input.pamphlet
@@ -35,14 +35,14 @@ eq := D(y x,x) - x*cos(y x) - exp(x)
 --R         ,                      x
 --R   (2)  y (x) - x cos(y(x)) - %e
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 10
 seriesSolve(eq,y,x=0,y(0) = 0)
 --R 
---R   Compiling function %A with type UnivariateTaylorSeries(Expression 
---R      Integer,x,0) -> UnivariateTaylorSeries(Expression Integer,x,0) 
+--I   Compiling function %A with type UnivariateTaylorSeries(Expression(
+--R      Integer),x,0) -> UnivariateTaylorSeries(Expression(Integer),x,0) 
 --R
 --R   (3)
 --R          2   1  3    1  4    23  5    37  6    61   7    271  8    21617  9
@@ -52,7 +52,7 @@ seriesSolve(eq,y,x=0,y(0) = 0)
 --R      161   10      11
 --R     ----- x   + O(x  )
 --R     10368
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 3
 
 )set streams calculate 10
@@ -61,7 +61,7 @@ seriesSolve(eq,y,x=0,y(0) = 0)
 R := EXPR INT
 --R 
 --R
---R   (4)  Expression Integer
+--R   (4)  Expression(Integer)
 --R                                                                 Type: Domain
 --E 4
 
@@ -69,7 +69,7 @@ R := EXPR INT
 uts := UTS(R,'x,0)
 --R 
 --R
---R   (5)  UnivariateTaylorSeries(Expression Integer,x,0)
+--R   (5)  UnivariateTaylorSeries(Expression(Integer),x,0)
 --R                                                                 Type: Domain
 --E 5
 
@@ -90,8 +90,8 @@ foo y ==
 --S 8 of 10
 y := ode1(foo,0)$UTSODE(R,uts)
 --R 
---R   Compiling function foo with type UnivariateTaylorSeries(Expression 
---R      Integer,x,0) -> UnivariateTaylorSeries(Expression Integer,x,0) 
+--R   Compiling function foo with type UnivariateTaylorSeries(Expression(
+--R      Integer),x,0) -> UnivariateTaylorSeries(Expression(Integer),x,0) 
 --R
 --R   (8)
 --R          2   1  3    1  4    23  5    37  6    61   7    271  8    21617  9
@@ -101,16 +101,16 @@ y := ode1(foo,0)$UTSODE(R,uts)
 --R      161   10      11
 --R     ----- x   + O(x  )
 --R     10368
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 8
 
 --S 9 of 10
 x : uts := x
 --R 
---R   Compiled code for %A has been cleared.
+--I   Compiled code for %A has been cleared.
 --R
 --R   (9)  x
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 9
 
 --S 10 of 10
@@ -125,7 +125,7 @@ x * cos(y) + exp(x)
 --R        841499  10      11
 --R     - ------- x   + O(x  )
 --R       3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 10
 )spool 
 )lisp (bye)
diff --git a/src/input/set.input.pamphlet b/src/input/set.input.pamphlet
index aa86d8e..dd4ab85 100644
--- a/src/input/set.input.pamphlet
+++ b/src/input/set.input.pamphlet
@@ -26,7 +26,7 @@ s := set [x**2-1, y**2-1, z**2-1]
 --R
 --R          2      2      2
 --R   (1)  {x  - 1,y  - 1,z  - 1}
---R                                                 Type: Set Polynomial Integer
+--R                                               Type: Set(Polynomial(Integer))
 --E 1
 
 --S 2 of 20
@@ -35,7 +35,7 @@ t := set [x**i - i+1 for i in 2..10 | prime? i]
 --R
 --R          2      3      5      7
 --R   (2)  {x  - 1,x  - 2,x  - 4,x  - 6}
---R                                                 Type: Set Polynomial Integer
+--R                                               Type: Set(Polynomial(Integer))
 --E 2
 
 --S 3 of 20
@@ -44,7 +44,7 @@ i := intersect(s,t)
 --R
 --R          2
 --R   (3)  {x  - 1}
---R                                                 Type: Set Polynomial Integer
+--R                                               Type: Set(Polynomial(Integer))
 --E 3
 
 --S 4 of 20
@@ -53,7 +53,7 @@ u := union(s,t)
 --R
 --R          2      3      5      7      2      2
 --R   (4)  {x  - 1,x  - 2,x  - 4,x  - 6,y  - 1,z  - 1}
---R                                                 Type: Set Polynomial Integer
+--R                                               Type: Set(Polynomial(Integer))
 --E 4
 
 --S 5 of 20
@@ -62,7 +62,7 @@ difference(s,t)
 --R
 --R          2      2
 --R   (5)  {y  - 1,z  - 1}
---R                                                 Type: Set Polynomial Integer
+--R                                               Type: Set(Polynomial(Integer))
 --E 5
 
 --S 6 of 20
@@ -71,7 +71,7 @@ symmetricDifference(s,t)
 --R
 --R          3      5      7      2      2
 --R   (6)  {x  - 2,x  - 4,x  - 6,y  - 1,z  - 1}
---R                                                 Type: Set Polynomial Integer
+--R                                               Type: Set(Polynomial(Integer))
 --E 6
 
 --S 7 of 20
@@ -111,7 +111,7 @@ gs := set [g for i in 1..11 | primitive?(g := i::PF 11)]
 --R 
 --R
 --R   (11)  {2,6,7,8}
---R                                                      Type: Set PrimeField 11
+--R                                                    Type: Set(PrimeField(11))
 --E 11
 
 --S 12 of 20
@@ -119,7 +119,7 @@ complement gs
 --R 
 --R
 --R   (12)  {1,3,4,5,9,10,0}
---R                                                      Type: Set PrimeField 11
+--R                                                    Type: Set(PrimeField(11))
 --E 12
 
 --S 13 of 20
@@ -127,7 +127,7 @@ a := set [i**2 for i in 1..5]
 --R 
 --R
 --R   (13)  {1,4,9,16,25}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 13
 
 --S 14 of 20
@@ -135,7 +135,7 @@ insert!(32, a)
 --R 
 --R
 --R   (14)  {1,4,9,16,25,32}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 14
 
 --S 15 of 20
@@ -143,7 +143,7 @@ remove!(25, a)
 --R 
 --R
 --R   (15)  {1,4,9,16,32}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 15
 
 --S 16 of 20
@@ -151,7 +151,7 @@ a
 --R 
 --R
 --R   (16)  {1,4,9,16,32}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 16
 
 --S 17 of 20
@@ -159,7 +159,7 @@ b := b0 := set [i**2 for i in 1..5]
 --R 
 --R
 --R   (17)  {1,4,9,16,25}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 17
 
 --S 18 of 20
@@ -167,7 +167,7 @@ b := union(b, {32})
 --R 
 --R
 --R   (18)  {1,4,9,16,25,32}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 18
 
 --S 19 of 20
@@ -175,7 +175,7 @@ b := difference(b, {25})
 --R 
 --R
 --R   (19)  {1,4,9,16,32}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 19
 
 --S 20 of 20
@@ -183,7 +183,7 @@ b0
 --R 
 --R
 --R   (20)  {1,4,9,16,25}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 20
 )spool 
 )lisp (bye)
diff --git a/src/input/sincos.input.pamphlet b/src/input/sincos.input.pamphlet
index f0c2594..bf19cd3 100644
--- a/src/input/sincos.input.pamphlet
+++ b/src/input/sincos.input.pamphlet
@@ -348,7 +348,7 @@ Dover Publications, Inc. New York 1965. pp142-173
 --R    [1.58,0.9999576464 9874005255,0.9999576464 9874005255,0.0],
 --R    [1.59,0.9998156151 3429087198,0.9998156151 3429087198,0.0],
 --R    [1.6,0.9995736030 4150516434,0.9995736030 4150516434,0.0]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 \end{chunk}
 In the following table there are 4 columns. The first column
@@ -682,7 +682,7 @@ Dover Publications, Inc. New York 1965. pp142-173
 --R    [1.58,- 0.0092035432 6880826480 54,- 0.0092035432 6880826480 38,0.2 E -20],
 --R    [1.59,- 0.0192024929 0169256809 5,- 0.0192024929 0169256809 8,- 0.3 E -20],
 --R    [1.6,- 0.0291995223 0128872620 6,- 0.0291995223 0128872620 7,- 0.1 E -20]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 2
  
 )spool 
diff --git a/src/input/sincosex.input.pamphlet b/src/input/sincosex.input.pamphlet
index 6d3dfdf..ef6180c 100644
--- a/src/input/sincosex.input.pamphlet
+++ b/src/input/sincosex.input.pamphlet
@@ -38,7 +38,7 @@ sinCosExpand := rule
 --R    cos(y + x) == - sin(x)sin(y) + cos(x)cos(y),
 --R    sin(n x) == cos(x)sin((n - 1)x) + cos((n - 1)x)sin(x),
 --R    cos(n x) == - sin(x)sin((n - 1)x) + cos(x)cos((n - 1)x)}
---R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--R                           Type: Ruleset(Integer,Integer,Expression(Integer))
 --E 1
 )spool 
 )lisp (bye)
diff --git a/src/input/sinhcosh.input.pamphlet b/src/input/sinhcosh.input.pamphlet
index 7430ff2..e7be057 100644
--- a/src/input/sinhcosh.input.pamphlet
+++ b/src/input/sinhcosh.input.pamphlet
@@ -430,7 +430,7 @@ Dover Publications, Inc. New York 1965. pp213-216
 --R    [1.98,3.552336874,3.5523368739 25059699,- 0.74940301 E -10],
 --R    [1.99,3.589419168,3.5894191684 320213268,0.4320213268 E -9],
 --R    [2.0,3.626860408,3.6268604078 470187677,- 0.152981232 E -9]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 \end{chunk}
 In the following table there are 4 columns. The first column
@@ -845,7 +845,7 @@ Dover Publications, Inc. New York 1965. pp213-216
 --R    [1.98,3.690406111,3.6904061112 359525095,0.2359525095 E -9],
 --R    [1.99,3.726114594,3.7261145938 775451847,- 0.122454815 E -9],
 --R    [2.0,3.762195691,3.7621956910 836314596,0.836314596 E -10]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 2
 
 )spool 
diff --git a/src/input/skew.input.pamphlet b/src/input/skew.input.pamphlet
index eec3255..54635f6 100644
--- a/src/input/skew.input.pamphlet
+++ b/src/input/skew.input.pamphlet
@@ -32,7 +32,7 @@ lv:List Symbol := [x,y,z]
 --R 
 --R
 --R   (1)  [x,y,z]
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 1
 
 \end{chunk}
@@ -53,7 +53,7 @@ macro coefRing == Integer
 R := Expression coefRing
 --R 
 --R
---R   (3)  Expression Integer
+--R   (3)  Expression(Integer)
 --R                                                                 Type: Domain
 --E 3
 
@@ -79,7 +79,7 @@ f:R:=x**2*y*z-5*x**3*y**2*z**5
 --R
 --R            3 2 5    2
 --R   (5)  - 5x y z  + x y z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 36
@@ -88,7 +88,7 @@ g:R:=z**2*y*cos(z)-7*sin(x**3*y**2)*z**2
 --R
 --R            2     3 2       2
 --R   (6)  - 7z sin(x y ) + y z cos(z)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 36
@@ -97,7 +97,7 @@ h:R:=x*y*z-2*x**3*y*z**2
 --R
 --R            3   2
 --R   (7)  - 2x y z  + x y z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 \end{chunk}
@@ -137,7 +137,7 @@ A nice alternate for the assignments above is
 --R 
 --R
 --R   (11)  [dx,dy,dz]
---R                                    Type: List DeRhamComplex(Integer,[x,y,z])
+--R                                   Type: List(DeRhamComplex(Integer,[x,y,z]))
 --E 11
 
 \end{chunk}
@@ -438,7 +438,7 @@ coefficient(gamma, dx*dy)
 --R
 --R            2     3 2       2                                   4 2 5    3
 --R   (34)  (7z sin(x y ) - y z cos(z))cos(tan(x y z) + x y z) - 5x y z  + x y z
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 34
 
 --S 35 of 36
@@ -446,7 +446,7 @@ coefficient(gamma, id)
 --R 
 --R
 --R   (35)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 35
 
 --S 36 of 36
@@ -454,7 +454,7 @@ coefficient(g1,id)
 --R 
 --R
 --R   (36)  a(x,t,y,u,v,z,e)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 36
 )spool 
 )lisp (bye)
diff --git a/src/input/slowint.input.pamphlet b/src/input/slowint.input.pamphlet
index 51c02c5..b7ab413 100644
--- a/src/input/slowint.input.pamphlet
+++ b/src/input/slowint.input.pamphlet
@@ -31,7 +31,7 @@ k := 7/5
 --R        7
 --R   (1)  -
 --R        5
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 1
 
 --S 2 of 5
@@ -44,7 +44,7 @@ mu := sqrt ( ((k-1)*m**2 + 2)/(2*k*m**2 -(k-1)))
 --R   (2)   |-------
 --R         |  2
 --R        \|7m  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 5
@@ -64,7 +64,7 @@ km := 2/ ( (1+(2/(k+1)) * (1-mu**2)/mu)*(2*mu + 1 + 1/(m**2)))
 --R        (17m  - 4m  - 1) |-------  + 7m  + 10m  - 5
 --R                         |  2
 --R                        \|7m  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 5
@@ -84,7 +84,7 @@ f := - 2*m / ((m**2-1)*km)
 --R                  (7m  - 8m  + m) |-------
 --R                                  |  2
 --R                                 \|7m  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 5
@@ -132,7 +132,7 @@ integrate(f,m)
 --R       28log(m)
 --R  /
 --R     28
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 5
 )spool 
 )lisp (bye)
diff --git a/src/input/solveperf.input.pamphlet b/src/input/solveperf.input.pamphlet
index efaa061..2f02241 100644
--- a/src/input/solveperf.input.pamphlet
+++ b/src/input/solveperf.input.pamphlet
@@ -28,7 +28,7 @@ list:=[p,Vr,Vt,e]
 --R 
 --R
 --R   (1)  [p,Vr,Vt,e]
---R                                   Type: List OrderedVariableList [p,Vr,Vt,e]
+--R                                 Type: List(OrderedVariableList([p,Vr,Vt,e]))
 --I                                                   Time: 0.04 (OT) = 0.04 sec
 --E 1
 
@@ -38,7 +38,7 @@ eq1a:=((-Vr^3+Vr^2)*Vt+Vr^3-Vr^2)
 --R
 --R             3     2        3     2
 --R   (2)  (- Vr  + Vr )Vt + Vr  - Vr
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --I                           Time: 0.02 (EV) + 0.04 (OT) + 0.02 (GC) = 0.08 sec
 --E 2
 
@@ -48,7 +48,7 @@ eq1:=((-Vr^3+Vr^2)*Vt+Vr^3-Vr^2)*R*p
 --R
 --R                3       2          3       2
 --R   (3)  ((- R Vr  + R Vr )Vt + R Vr  - R Vr )p
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --I                                                                  Time: 0 sec
 --E 3
 
@@ -58,7 +58,7 @@ eq2:=Vr*Vt^3+Vr*Vt^2-Vr*Vt+Vr*p
 --R
 --R                    3        2
 --R   (4)  Vr p + Vr Vt  + Vr Vt  - Vr Vt
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --I                                                   Time: 0.02 (IN) = 0.02 sec
 --E 4
 
@@ -67,7 +67,7 @@ eq3:=(R*Vr*Vt+R*Vr)*e+((R-1)*Vr+1)*Vt-R*Vr
 --R 
 --R
 --R   (5)  (R Vr Vt + R Vr)e + ((R - 1)Vr + 1)Vt - R Vr
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --I                                                   Time: 0.01 (OT) = 0.01 sec
 --E 5
 
@@ -77,7 +77,7 @@ eq4:=-r^2+(Vt^2)+(Vr^2)
 --R
 --R           2     2     2
 --R   (6)  - r  + Vt  + Vr
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --I                                                                  Time: 0 sec
 --E 6
 
@@ -90,7 +90,7 @@ Eqlista:=[eq1a,eq2,eq3,eq4]
 --R   [(- Vr  + Vr )Vt + Vr  - Vr , Vr p + Vr Vt  + Vr Vt  - Vr Vt,
 --R                                                     2     2     2
 --R    (R Vr Vt + R Vr)e + ((R - 1)Vr + 1)Vt - R Vr, - r  + Vt  + Vr ]
---R                                                Type: List Polynomial Integer
+--R                                              Type: List(Polynomial(Integer))
 --I                                                                  Time: 0 sec
 --E 7
 
@@ -103,7 +103,7 @@ Eqlist:=[eq1,eq2,eq3,eq4]
 --R   [((- R Vr  + R Vr )Vt + R Vr  - R Vr )p, Vr p + Vr Vt  + Vr Vt  - Vr Vt,
 --R                                                     2     2     2
 --R    (R Vr Vt + R Vr)e + ((R - 1)Vr + 1)Vt - R Vr, - r  + Vt  + Vr ]
---R                                                Type: List Polynomial Integer
+--R                                              Type: List(Polynomial(Integer))
 --I                                                                  Time: 0 sec
 --E 8
 
@@ -126,7 +126,7 @@ solve(Eqlista,list)
 --R         2 2             2     2 2
 --R      (4R e  - 4R e + 1)r  - 4R e  + 4R e - 2= 0]
 --R     ]
---R                         Type: List List Equation Fraction Polynomial Integer
+--R                    Type: List(List(Equation(Fraction(Polynomial(Integer)))))
 --I               Time: 0.02 (IN) + 0.87 (EV) + 0.07 (OT) + 0.11 (GC) = 1.07 sec
 --E 9
 
diff --git a/src/input/solvetra.input.pamphlet b/src/input/solvetra.input.pamphlet
index afdff92..93064eb 100644
--- a/src/input/solvetra.input.pamphlet
+++ b/src/input/solvetra.input.pamphlet
@@ -25,7 +25,7 @@ solve(sin(x)-8=0)
 --R 
 --R
 --R   (1)  [x= asin(8)]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 1
 
 --S 2 of 37
@@ -33,7 +33,7 @@ solve(sin(x)-8=0,x)
 --R 
 --R
 --R   (2)  [x= asin(8)]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 2
 
 --S 3 of 37
@@ -41,7 +41,7 @@ solve(sin(x)-8)
 --R 
 --R
 --R   (3)  [x= asin(8)]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 3
 
 --S 4 of 37
@@ -49,7 +49,7 @@ solve(sin(x)-8,x)
 --R 
 --R
 --R   (4)  [x= asin(8)]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 4
 
 --S 5 of 37
@@ -58,7 +58,7 @@ solve(sin(x**2)-2,x)
 --R
 --R               +-------+     +-------+
 --R   (5)  [x= - \|asin(2) ,x= \|asin(2) ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 5
 
 --S 6 of 37
@@ -67,7 +67,7 @@ solve(sin(x**2)-3,x)
 --R
 --R               +-------+     +-------+
 --R   (6)  [x= - \|asin(3) ,x= \|asin(3) ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 6
 
 --S 7 of 37
@@ -78,7 +78,7 @@ solve(sin(x**2)**2-3,x)
 --R          +----------+     +----------+       +------------+     +------------+
 --R          |      +-+       |      +-+         |        +-+       |        +-+
 --R   [x= - \|asin(\|3 ) ,x= \|asin(\|3 ) ,x= - \|- asin(\|3 ) ,x= \|- asin(\|3 ) ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 7
 
 --S 8 of 37
@@ -86,7 +86,7 @@ solve(sin(x+2)-2,x)
 --R 
 --R
 --R   (8)  [x= asin(2) - 2]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 8
 
 --S 9 of 37
@@ -95,7 +95,7 @@ solve(sin(x**2+2)-2,x)
 --R
 --R               +-----------+     +-----------+
 --R   (9)  [x= - \|asin(2) - 2 ,x= \|asin(2) - 2 ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 9
 
 --S 10 of 37
@@ -105,7 +105,7 @@ solve(sin(x)*cos(8)*tan(88)*567-y*3+3,x)
 --R                        y - 1
 --R   (10)  [x= asin(----------------)]
 --R                  189cos(8)tan(88)
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 10
 
 --S 11 of 37
@@ -115,7 +115,7 @@ solve(sin(x-77)*cos(8)*tan(88)*567-y*3+3,x)
 --R                        y - 1
 --R   (11)  [x= asin(----------------) + 77]
 --R                  189cos(8)tan(88)
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 11
 
 --S 12 of 37
@@ -127,7 +127,7 @@ solve(sin(x**2-77)*cos(8)*tan(88)*567-y*3+3,x)
 --R          |           y - 1                 |           y - 1
 --R   [x= -  |asin(----------------) + 77 ,x=  |asin(----------------) + 77 ]
 --R         \|     189cos(8)tan(88)           \|     189cos(8)tan(88)
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 12
 
 --S 13 of 37
@@ -138,7 +138,7 @@ solve(sin(x)*cos(x)-2,x)
 --R                  \|- 15  + 1            \|- 15  - 1
 --R   (13)  [x= atan(-----------),x= - atan(-----------)]
 --R                       4                      4
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 13
 
 --S 14 of 37
@@ -162,7 +162,7 @@ solve(sin(x**3-77)*cos(8)*tan(88)*567-y*3+3,x)
 --R        |           y - 1
 --R    x= 3|asin(----------------) + 77 ]
 --R       \|     189cos(8)tan(88)
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 14
 
 --S 15 of 37
@@ -172,7 +172,7 @@ solve(cos(x)+cos(3*x)+cos(5*x) ,x)
 --R             %pi      %pi    %pi      %pi
 --R   (15)  [x= ---,x= - ---,x= ---,x= - ---]
 --R              3        3      6        6
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 15
 
 --S 16 of 37
@@ -183,7 +183,7 @@ solve(3*tan(3*x)-tan(x)+2,x)
 --R                  \|7  + 2            \|7  - 2
 --R   (16)  [x= atan(--------),x= - atan(--------)]
 --R                      3                   3
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 16
 
 --S 17 of 37
@@ -192,7 +192,7 @@ solve(3*sech(x)**2+4*tanh(x)+1,x)
 --R
 --R                  +---+            +---+            +-+              +-+
 --R   (17)  [x= log(\|- 3 ),x= log(- \|- 3 ),x= - log(\|5 ),x= - log(- \|5 )]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 17
 
 --S 18 of 37
@@ -201,7 +201,7 @@ solve(cosh(x)-3*sinh(x),x)
 --R
 --R                  +-+            +-+
 --R   (18)  [x= log(\|2 ),x= log(- \|2 )]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 18
 
 --S 19 of 37
@@ -212,7 +212,7 @@ solve(2*sinh(x)+6*cosh(x)-5,x)
 --R                 \|- 7  + 5         - \|- 7  + 5
 --R   (19)  [x= log(----------),x= log(------------)]
 --R                      8                   8
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 19
 
 --S 20 of 37
@@ -221,7 +221,7 @@ solve(exp(3*x)-4*exp(x)+3*exp(-x),x)
 --R
 --R                                   +-+            +-+
 --R   (20)  [x= 0,x= log(- 1),x= log(\|3 ),x= log(- \|3 )]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 20
 
 --S 21 of 37
@@ -231,7 +231,7 @@ solve(log(x+1)+log(x-1)-3,x)
 --R                +-------+     +-------+
 --R                |  3          |  3
 --R   (21)  [x= - \|%e  + 1 ,x= \|%e  + 1 ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 21
 
 --S 22 of 37
@@ -242,7 +242,7 @@ solve(sin(x)*cos(x)-2,x)
 --R                  \|- 15  + 1            \|- 15  - 1
 --R   (22)  [x= atan(-----------),x= - atan(-----------)]
 --R                       4                      4
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 22
 
 --S 23 of 37
@@ -266,7 +266,7 @@ solve(- cos(- x + a)*sin(x) + 2*cos(x)*sin(- x + a),x)
 --R                                     a
 --R                                4tan(-)
 --R                                     2
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 23
 
 --S 24 of 37
@@ -277,7 +277,7 @@ solve(sin(x)+cos(x)=2,x)
 --R                   \|- 2  + 1             \|- 2  - 1
 --R   (24)  [x= 2atan(----------),x= - 2atan(----------)]
 --R                        3                      3
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 24
 
 --S 25 of 37
@@ -287,7 +287,7 @@ solve(- cos(- x )*sin(x),x)
 --R             %pi           %pi
 --R   (25)  [x= ---,x= 0,x= - ---]
 --R              2             2
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 25
 
 --S 26 of 37
@@ -301,7 +301,7 @@ solve(- cos(- x + a)*sin(x),x)
 --R                              a                    a
 --R                          tan(-) - 1           tan(-) + 1
 --R                              2                    2
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 26
 
 --S 27 of 37
@@ -313,7 +313,7 @@ solve(log(sqrt(sqrt(sqrt(x+1)+4)+7))+5,x)
 --R   (27)  [x= --------------------------------------------------]
 --R                                      5 8
 --R                                   (%e )
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 27
 
 --S 28 of 37
@@ -323,7 +323,7 @@ solve(2**x-6,x)
 --R             log(6)
 --R   (28)  [x= ------]
 --R             log(2)
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 28
 
 --S 29 of 37
@@ -331,7 +331,7 @@ solve(sqrt(x+1)+sqrt(x+7)+1,x)
 --R 
 --R
 --R   (29)  []
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 29
 
 --S 30 of 37
@@ -341,7 +341,7 @@ solve(sqrt(sin(x))+1,x)
 --R             %pi
 --R   (30)  [x= ---]
 --R              2
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 30
 
 --S 31 of 37
@@ -352,7 +352,7 @@ solve(sqrt(sin(x))+sqrt(cos(x))+1,x)
 --R             %pi          \|- 7  - 1             \|- 7  + 1
 --R   (31)  [x= ---,x= 2atan(----------),x= - 2atan(----------)]
 --R              2                2                      2
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 31
 
 --S 32 of 37
@@ -370,7 +370,7 @@ solve(sqrt(sin(x)+1)+(sin(x)+1)**(1/3)+7,x)
 --R              \|- 3%x111  + 374%x111 + 10409  + %x111 - 187
 --R    x= - asin(---------------------------------------------)]
 --R                                    2
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 32
 
 --S 33 of 37
@@ -378,7 +378,7 @@ solve(sqrt(sqrt(sqrt(1+x)+7)+1)+8-2,x)
 --R 
 --R
 --R   (33)  []
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 33
 
 --S 34 of 37
@@ -396,7 +396,7 @@ solve(sqrt(sin(x)+1)+(sin(x)+5)**(1/3)+7,x)
 --R              \|- 3%x119  + 374%x119 + 11113  + %x119 - 187
 --R    x= - asin(---------------------------------------------)]
 --R                                    2
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 34
 
 --S 35 of 37
@@ -547,7 +547,7 @@ solve(sqrt(sin(x+1))+sqrt(sin(x+7))+1,x)
 --R       + 
 --R         - 7
 --R     ]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 35
 
 --S 36 of 37
@@ -607,7 +607,7 @@ solve(asin(x)+acot(x)-2,x)
 --R         2
 --R     ,
 --R    x= %x135, x= %x134]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 26
 
 --S 37 of 37
@@ -642,7 +642,7 @@ solve(asinh(x)+acoth(x)-2,x)
 --R         2
 --R     ,
 --R    x= %x140, x= %x139]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 37
 )spool 
 )lisp (bye)
diff --git a/src/input/space3.input.pamphlet b/src/input/space3.input.pamphlet
index 06799d7..fa2e284 100644
--- a/src/input/space3.input.pamphlet
+++ b/src/input/space3.input.pamphlet
@@ -29,7 +29,7 @@ space := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 1
 
 --S 2 of 185
@@ -37,7 +37,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 2
 
 --S 3 of 185
@@ -45,7 +45,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 3
 
 --S 4 of 185
@@ -53,7 +53,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 4
 
 --S 5 of 185
@@ -61,7 +61,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 5
 
 --S 6 of 185
@@ -69,7 +69,7 @@ closedCurve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (6)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 6
 
 --S 7 of 185
@@ -77,7 +77,7 @@ closedCurve(space,[[1,1,1],[1,0,0],[0,0,0],[0,1,1]])
 --R 
 --R
 --R   (7)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 7
 
 --S 8 of 185
@@ -85,7 +85,7 @@ cspace := closedCurve([p0,p1,p2,p3])$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (8)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 8
 
 --S 9 of 185
@@ -93,7 +93,7 @@ closedCurve cspace
 --R 
 --R
 --R   (9)  [[1.,1.,1.],[1.,0.,0.],[0.,0.,0.],[0.,1.,1.]]
---R                                                 Type: List Point DoubleFloat
+--R                                               Type: List(Point(DoubleFloat))
 --E 9
 
 )clear all
@@ -103,7 +103,7 @@ space := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 10
 
 --S 11 of 185
@@ -111,7 +111,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 11
 
 --S 12 of 185
@@ -119,7 +119,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 12
 
 --S 13 of 185
@@ -127,7 +127,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 13
 
 --S 14 of 185
@@ -135,7 +135,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 14
 
 --S 15 of 185
@@ -143,7 +143,7 @@ closedCurve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (6)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 15
 
 --S 16 of 185
@@ -159,7 +159,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (8)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 17
 
 --S 18 of 185
@@ -167,7 +167,7 @@ point(space,p0)
 --R 
 --R
 --R   (9)  3-Space with 3 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 18
 
 --S 19 of 185
@@ -176,7 +176,7 @@ components(space)
 --R
 --R   (10)
 --R   [3-Space with 1 component,3-Space with 1 component,3-Space with 1 component]
---R                                            Type: List ThreeSpace DoubleFloat
+--R                                          Type: List(ThreeSpace(DoubleFloat))
 --E 19
 
 --S 20 of 185
@@ -184,7 +184,7 @@ space1 := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (11)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 20
 
 --S 21 of 185
@@ -192,7 +192,7 @@ curve(space1,[p0,p1,p2,p3])
 --R 
 --R
 --R   (12)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 21
 
 --S 22 of 185
@@ -200,7 +200,7 @@ point(space1,p0)
 --R 
 --R
 --R   (13)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 22
 
 --S 23 of 185
@@ -208,7 +208,7 @@ space2 := point(p0)$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (14)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 23
 
 --S 24 of 185
@@ -216,7 +216,7 @@ space3 := curve[p0,p1,p2]$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (15)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 24
 
 --S 25 of 185
@@ -224,7 +224,7 @@ composite [space1,space2,space3]
 --R 
 --R
 --R   (16)  3-Space with 4 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 25
 
 --S 26 of 185
@@ -232,7 +232,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (17)  3-Space with 4 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 26
 
 --S 27 of 185
@@ -240,7 +240,7 @@ point(space,p0)
 --R 
 --R
 --R   (18)  3-Space with 5 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 27
 
 --S 28 of 185
@@ -248,7 +248,7 @@ point(space,p1)
 --R 
 --R
 --R   (19)  3-Space with 6 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 28
 
 --S 29 of 185
@@ -256,7 +256,7 @@ closedCurve(space,[p0,p1,p2])
 --R 
 --R
 --R   (20)  3-Space with 7 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 29
 
 --S 30 of 185
@@ -264,7 +264,7 @@ composite [space1,space2,space3]
 --R 
 --R
 --R   (21)  3-Space with 4 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 30
 
 --S 31 of 185
@@ -272,7 +272,7 @@ composites(space)
 --R 
 --R
 --R   (22)  []
---R                                            Type: List ThreeSpace DoubleFloat
+--R                                          Type: List(ThreeSpace(DoubleFloat))
 --E 31
 
 --S 32 of 185
@@ -280,7 +280,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (23)  3-Space with 8 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 32
 
 --S 33 of 185
@@ -288,7 +288,7 @@ point(space,p0)
 --R 
 --R
 --R   (24)  3-Space with 9 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 33
 
 --S 34 of 185
@@ -296,7 +296,7 @@ space4 := copy space
 --R 
 --R
 --R   (25)  3-Space with 9 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 34
 
 --S 35 of 185
@@ -304,7 +304,7 @@ curve(space,[p0,p1,p2])
 --R 
 --R
 --R   (26)  3-Space with 10 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 35
 
 --S 36 of 185
@@ -312,7 +312,7 @@ point(space,p0)
 --R 
 --R
 --R   (27)  3-Space with 11 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 36
 
 --S 37 of 185
@@ -328,7 +328,7 @@ spNew := create3Space(sub)$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (29)  3-Space with 11 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 38
 
 --S 39 of 185
@@ -336,7 +336,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (30)  3-Space with 12 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 39
 
 --S 40 of 185
@@ -344,7 +344,7 @@ curve(space,[[1,1,1],[1,0,0],[0,0,0],[0,1,1]])
 --R 
 --R
 --R   (31)  3-Space with 13 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 40
 
 --S 41 of 185
@@ -352,7 +352,7 @@ cspace := curve([p0,p1,p2,p3])$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (32)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 41
 
 --S 42 of 185
@@ -360,7 +360,7 @@ curve cspace
 --R 
 --R
 --R   (33)  [[1.,1.,1.],[1.,0.,0.],[0.,0.,0.],[0.,1.,1.]]
---R                                                 Type: List Point DoubleFloat
+--R                                               Type: List(Point(DoubleFloat))
 --E 42
 
 )clear all
@@ -370,7 +370,7 @@ space := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 43
 
 --S 44 of 185
@@ -378,7 +378,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 44
 
 --S 45 of 185
@@ -386,7 +386,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 45
 
 --S 46 of 185
@@ -394,7 +394,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 46
 
 --S 47 of 185
@@ -402,7 +402,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 47
 
 --S 48 of 185
@@ -410,7 +410,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (6)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 48
 
 --S 49 of 185
@@ -428,7 +428,7 @@ space := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 50
 
 --S 51 of 185
@@ -436,7 +436,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 51
 
 --S 52 of 185
@@ -444,7 +444,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 52
 
 --S 53 of 185
@@ -452,7 +452,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 53
 
 --S 54 of 185
@@ -460,7 +460,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 54
 
 --S 55 of 185
@@ -468,7 +468,7 @@ closedCurve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (6)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 55
 
 --S 56 of 185
@@ -476,7 +476,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (7)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 56
 
 --S 57 of 185
@@ -484,7 +484,7 @@ point(space,p0)
 --R 
 --R
 --R   (8)  3-Space with 3 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 57
 
 --S 58 of 185
@@ -492,7 +492,7 @@ point(space,p3)
 --R 
 --R
 --R   (9)  3-Space with 4 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 58
 
 --S 59 of 185
@@ -500,7 +500,7 @@ polygon(space,[p0,p1,p3])
 --R 
 --R
 --R   (10)  3-Space with 5 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 59
 
 --S 60 of 185
@@ -508,7 +508,7 @@ polygon(space,[p0,p2,p3])
 --R 
 --R
 --R   (11)  3-Space with 6 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 60
 
 --S 61 of 185
@@ -516,7 +516,7 @@ lllip(space)
 --R 
 --R
 --R   (12)  [[[1,2,3,4]],[[5,6,7,8]],[[9]],[[10]],[[11],[12,13]],[[14],[15,16]]]
---R                                      Type: List List List NonNegativeInteger
+--R                                   Type: List(List(List(NonNegativeInteger)))
 --E 61
 
 --S 62 of 185
@@ -524,7 +524,7 @@ closedCurve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (13)  3-Space with 7 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 62
 
 --S 63 of 185
@@ -532,7 +532,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (14)  3-Space with 8 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 63
 
 --S 64 of 185
@@ -540,7 +540,7 @@ point(space,p0)
 --R 
 --R
 --R   (15)  3-Space with 9 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 64
 
 --S 65 of 185
@@ -548,7 +548,7 @@ polygon(space,[p0,p1,p3])
 --R 
 --R
 --R   (16)  3-Space with 10 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 65
 
 --S 66 of 185
@@ -563,7 +563,7 @@ llprop(space)
 --R    [Component is closed, not solid], [Component is not closed, not solid],
 --R    [Component is not closed, not solid],
 --R    [Component is not closed, not solid,Component is not closed, not solid]]
---R                                    Type: List List SubSpaceComponentProperty
+--R                                  Type: List(List(SubSpaceComponentProperty))
 --E 66
 
 --S 67 of 185
@@ -576,7 +576,7 @@ lprop(space)
 --R    Component is not closed, not solid, Component is not closed, not solid,
 --R    Component is not closed, not solid, Component is not closed, not solid,
 --R    Component is not closed, not solid, Component is not closed, not solid]
---R                                         Type: List SubSpaceComponentProperty
+--R                                        Type: List(SubSpaceComponentProperty)
 --E 67
 
 --S 68 of 185
@@ -584,7 +584,7 @@ closedCurve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (19)  3-Space with 11 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 68
 
 --S 69 of 185
@@ -592,7 +592,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (20)  3-Space with 12 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 69
 
 --S 70 of 185
@@ -600,7 +600,7 @@ point(space,p0)
 --R 
 --R
 --R   (21)  3-Space with 13 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 70
 
 --S 71 of 185
@@ -608,7 +608,7 @@ polygon(space,[p0,p1,p3])
 --R 
 --R
 --R   (22)  3-Space with 14 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 71
 
 --S 72 of 185
@@ -623,7 +623,7 @@ lp(space)
 --R    [1.,1.,1.], [1.,1.,1.], [1.,0.,0.], [0.,1.,1.], [1.,1.,1.], [1.,0.,0.],
 --R    [0.,0.,0.], [0.,1.,1.], [1.,1.,1.], [1.,0.,0.], [0.,0.,0.], [0.,1.,1.],
 --R    [1.,1.,1.], [1.,1.,1.], [1.,0.,0.], [0.,1.,1.]]
---R                                                 Type: List Point DoubleFloat
+--R                                               Type: List(Point(DoubleFloat))
 --E 72
 
 --S 73 of 185
@@ -641,7 +641,7 @@ space1 := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 74
 
 --S 75 of 185
@@ -649,7 +649,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 75
 
 --S 76 of 185
@@ -657,7 +657,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 76
 
 --S 77 of 185
@@ -665,7 +665,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 77
 
 --S 78 of 185
@@ -673,7 +673,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 78
 
 --S 79 of 185
@@ -681,7 +681,7 @@ curve(space1,[p0,p1,p2,p3])
 --R 
 --R
 --R   (6)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 79
 
 --S 80 of 185
@@ -689,7 +689,7 @@ space2 := copy space1
 --R 
 --R
 --R   (7)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 80
 
 --S 81 of 185
@@ -697,7 +697,7 @@ point(space1,p3)
 --R 
 --R
 --R   (8)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 81
 
 --S 82 of 185
@@ -705,7 +705,7 @@ space3 := copy space1
 --R 
 --R
 --R   (9)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 82
 
 --S 83 of 185
@@ -713,7 +713,7 @@ curve(space3,[p0,p1,p2])
 --R 
 --R
 --R   (10)  3-Space with 3 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 83
 
 --S 84 of 185
@@ -721,7 +721,7 @@ newSpace1 := merge [space1,space2,space3]
 --R 
 --R
 --R   (11)  3-Space with 6 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 84
 
 --S 85 of 185
@@ -729,7 +729,7 @@ newSpace2 := merge(space2,space3)
 --R 
 --R
 --R   (12)  3-Space with 4 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 85
 
 --S 86 of 185
@@ -737,7 +737,7 @@ space := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (13)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 86
 
 --S 87 of 185
@@ -755,7 +755,7 @@ lprop := [prop, prop, prop]
 --R   (15)
 --R   [Component is not closed, not solid, Component is not closed, not solid,
 --R    Component is not closed, not solid]
---R                                         Type: List SubSpaceComponentProperty
+--R                                        Type: List(SubSpaceComponentProperty)
 --E 88
 
 --S 89 of 185
@@ -763,7 +763,7 @@ mesh(space,[[p0,p1,p2],[p1,p2,p3],[p0,p2,p3]],lprop,prop)
 --R 
 --R
 --R   (16)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 89
 
 --S 90 of 185
@@ -771,7 +771,7 @@ mesh(space,[[p0,p1,p2],[p1,p2,p3],[p0,p2,p3]],lprop,prop)
 --R 
 --R
 --R   (17)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 90
 
 --S 91 of 185
@@ -779,7 +779,7 @@ mesh(space,[[p0,p1,p2],[p1,p2,p3],[p0,p2,p3]],closed?(prop),closed?(prop))
 --R 
 --R
 --R   (18)  3-Space with 3 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 91
 
 --S 92 of 185
@@ -795,7 +795,7 @@ mesh(space,[[p0,p1,p2],[p1,p2,p3],[p0,p2,p3]],b,b)
 --R 
 --R
 --R   (20)  3-Space with 4 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 93
 
 --S 94 of 185
@@ -803,7 +803,7 @@ mesh(space,[[p0,p1,p2],[p1,p2,p3],[p0,p2,p3]],closed?(prop),closed?(prop))
 --R 
 --R
 --R   (21)  3-Space with 5 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 94
 
 --S 95 of 185
@@ -813,7 +813,7 @@ mesh(space,[[[1,1,1],[1,0,0],[0,0,0]],_
 --R 
 --R
 --R   (22)  3-Space with 6 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 95
 
 --S 96 of 185
@@ -823,7 +823,7 @@ mesh(space,[[[1,1,1],[1,0,0],[0,0,0]],_
 --R 
 --R
 --R   (23)  3-Space with 7 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 96
 
 )clear all
@@ -833,7 +833,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (1)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 97
 
 --S 98 of 185
@@ -841,7 +841,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 98
 
 --S 99 of 185
@@ -849,7 +849,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 99
 
 --S 100 of 185
@@ -857,7 +857,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 100
 
 --S 101 of 185
@@ -865,7 +865,7 @@ space := mesh([[p0,p1,p2],[p1,p2,p3],[p0,p2,p3]])$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (5)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 101
 
 --S 102 of 185
@@ -875,7 +875,7 @@ space1 := mesh([[p0,p1,p2],_
 --R 
 --R
 --R   (6)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 102
 
 )clear all
@@ -885,7 +885,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (1)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 103
 
 --S 104 of 185
@@ -893,7 +893,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 104
 
 --S 105 of 185
@@ -901,7 +901,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 105
 
 --S 106 of 185
@@ -909,7 +909,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 106
 
 --S 107 of 185
@@ -917,7 +917,7 @@ space := mesh([[p0,p1,p2],[p1,p2,p3],[p0,p2,p3]])$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (5)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 107
 
 --S 108 of 185
@@ -927,7 +927,7 @@ mesh(space)
 --R   (6)
 --R   [[[1.,1.,1.],[0.,0.,0.],[0.,1.,1.]], [[1.,0.,0.],[0.,0.,0.],[0.,1.,1.]],
 --R    [[1.,1.,1.],[1.,0.,0.],[0.,0.,0.]]]
---R                                            Type: List List Point DoubleFloat
+--R                                         Type: List(List(Point(DoubleFloat)))
 --E 108
 
 --S 109 of 185
@@ -935,7 +935,7 @@ s := mesh([[p0,p1,p2],[p1,p2,p3],[p0,p2,p3]])$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (7)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 109
 
 --S 110 of 185
@@ -945,7 +945,7 @@ mesh(s)
 --R   (8)
 --R   [[[1.,1.,1.],[0.,0.,0.],[0.,1.,1.]], [[1.,0.,0.],[0.,0.,0.],[0.,1.,1.]],
 --R    [[1.,1.,1.],[1.,0.,0.],[0.,0.,0.]]]
---R                                            Type: List List Point DoubleFloat
+--R                                         Type: List(List(Point(DoubleFloat)))
 --E 110
 
 --S 111 of 185
@@ -953,7 +953,7 @@ space2 := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (9)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 111
 
 --S 112 of 185
@@ -961,7 +961,7 @@ curve(space2,[p0,p1,p2,p3])
 --R 
 --R
 --R   (10)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 112
 
 --S 113 of 185
@@ -977,7 +977,7 @@ s1 := mesh([[p0,p1,p2],[p1,p2,p3],[p0,p2,p3]])$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (12)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 114
 
 --S 115 of 185
@@ -1001,7 +1001,7 @@ modifyPointData(space2,i,p2)
 --R 
 --R
 --R   (15)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 117
 
 --S 118 of 185
@@ -1009,7 +1009,7 @@ point(space2,p0)
 --R 
 --R
 --R   (16)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 118
 
 --S 119 of 185
@@ -1017,7 +1017,7 @@ curve(space2,[p0,p1,p2,p3])
 --R 
 --R
 --R   (17)  3-Space with 3 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 119
 
 --S 120 of 185
@@ -1035,7 +1035,7 @@ space1 := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 121
 
 --S 122 of 185
@@ -1051,7 +1051,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 123
 
 --S 124 of 185
@@ -1059,7 +1059,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 124
 
 --S 125 of 185
@@ -1067,7 +1067,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 125
 
 --S 126 of 185
@@ -1075,7 +1075,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (6)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 126
 
 --S 127 of 185
@@ -1083,7 +1083,7 @@ curve(space1,[p0,p1,p2,p3])
 --R 
 --R
 --R   (7)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 127
 
 --S 128 of 185
@@ -1091,7 +1091,7 @@ point(space1,p0)
 --R 
 --R
 --R   (8)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 128
 
 --S 129 of 185
@@ -1099,7 +1099,7 @@ space2 := point(p0)$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (9)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 129
 
 --S 130 of 185
@@ -1107,7 +1107,7 @@ space3 := curve [p0,p1,p2]$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (10)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 130
 
 --S 131 of 185
@@ -1115,7 +1115,7 @@ s := composite [space1,space2,space3]
 --R 
 --R
 --R   (11)  3-Space with 4 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 131
 
 --S 132 of 185
@@ -1131,7 +1131,7 @@ space := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (13)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 133
 
 --S 134 of 185
@@ -1139,7 +1139,7 @@ point(space,p0)
 --R 
 --R
 --R   (14)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 134
 
 --S 135 of 185
@@ -1147,7 +1147,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (15)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 135
 
 --S 136 of 185
@@ -1155,7 +1155,7 @@ closedCurve(space,[p0,p1,p2])
 --R 
 --R
 --R   (16)  3-Space with 3 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 136
 
 --S 137 of 185
@@ -1163,7 +1163,7 @@ objects space
 --R 
 --R
 --R   (17)  [points= 1,curves= 2,polygons= 0,constructs= 0]
---IType: Record(points: NonNegativeInteger,...
+--RType: Record(points: NonNegativeInteger,curves: NonNegativeInteger,polygons: NonNegativeInteger,constructs: NonNegativeInteger)
 --E 137
 
 )clear all
@@ -1173,7 +1173,7 @@ s := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 138
 
 --S 139 of 185
@@ -1181,7 +1181,7 @@ p := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 139
 
 --S 140 of 185
@@ -1189,7 +1189,7 @@ point(s,p)
 --R 
 --R
 --R   (3)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 140
 
 --S 141 of 185
@@ -1197,7 +1197,7 @@ point(s,[1,1,1])
 --R 
 --R
 --R   (4)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 141
 
 --S 142 of 185
@@ -1205,7 +1205,7 @@ p0 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 142
 
 --S 143 of 185
@@ -1213,7 +1213,7 @@ point(s,p)
 --R 
 --R
 --R   (6)  3-Space with 3 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 143
 
 --S 144 of 185
@@ -1229,7 +1229,7 @@ point(s,i)
 --R 
 --R
 --R   (8)  3-Space with 4 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 145
 
 --S 146 of 185
@@ -1237,7 +1237,7 @@ p := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (9)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 146
 
 --S 147 of 185
@@ -1245,7 +1245,7 @@ space := point(p)$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (10)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 147
 
 )clear all
@@ -1255,7 +1255,7 @@ s := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 148
 
 --S 149 of 185
@@ -1263,7 +1263,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 149
 
 --S 150 of 185
@@ -1271,7 +1271,7 @@ curve(s,[p0,p0])
 --R 
 --R
 --R   (3)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 150
 
 --S 151 of 185
@@ -1279,7 +1279,7 @@ space1 := point(p0)$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (4)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 151
 
 --S 152 of 185
@@ -1287,7 +1287,7 @@ point(space1)
 --R 
 --R
 --R   (5)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 152
 
 )clear all
@@ -1297,7 +1297,7 @@ s := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 153
 
 --S 154 of 185
@@ -1305,7 +1305,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 154
 
 --S 155 of 185
@@ -1313,7 +1313,7 @@ curve(s,[p0,p0,p0])
 --R 
 --R
 --R   (3)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 155
 
 --S 156 of 185
@@ -1329,7 +1329,7 @@ space := point(p0)$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (5)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 157
 
 --S 158 of 185
@@ -1347,7 +1347,7 @@ space := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 159
 
 --S 160 of 185
@@ -1355,7 +1355,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 160
 
 --S 161 of 185
@@ -1363,7 +1363,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 161
 
 --S 162 of 185
@@ -1371,7 +1371,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 162
 
 --S 163 of 185
@@ -1379,7 +1379,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 163
 
 --S 164 of 185
@@ -1387,7 +1387,7 @@ polygon(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (6)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 164
 
 --S 165 of 185
@@ -1395,7 +1395,7 @@ polygon(space,[[1,1,1],[0,0,-1],[1,0,1]])
 --R 
 --R
 --R   (7)  3-Space with 2 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 165
 
 --S 166 of 185
@@ -1403,7 +1403,7 @@ s := polygon([p0,p1,p2,p3])$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (8)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 166
 
 )clear all
@@ -1413,7 +1413,7 @@ space := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 167
 
 --S 168 of 185
@@ -1421,7 +1421,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 168
 
 --S 169 of 185
@@ -1429,7 +1429,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 169
 
 --S 170 of 185
@@ -1437,7 +1437,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 170
 
 --S 171 of 185
@@ -1445,7 +1445,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 171
 
 --S 172 of 185
@@ -1453,7 +1453,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (6)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 172
 
 --S 173 of 185
@@ -1461,7 +1461,7 @@ s := polygon([p0,p1,p2,p3])$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (7)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 173
 
 --S 174 of 185
@@ -1469,7 +1469,7 @@ polygon s
 --R 
 --R
 --R   (8)  [[1.,0.,0.],[0.,0.,0.],[0.,1.,1.]]
---R                                                 Type: List Point DoubleFloat
+--R                                               Type: List(Point(DoubleFloat))
 --E 174
 
 )clear all
@@ -1479,7 +1479,7 @@ space := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (1)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 175
 
 --S 176 of 185
@@ -1487,7 +1487,7 @@ p0 := point [1,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (2)  [1.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 176
 
 --S 177 of 185
@@ -1495,7 +1495,7 @@ p1 := point [1,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (3)  [1.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 177
 
 --S 178 of 185
@@ -1503,7 +1503,7 @@ p2 := point [0,0,0]$(Point DoubleFloat)
 --R 
 --R
 --R   (4)  [0.,0.,0.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 178
 
 --S 179 of 185
@@ -1511,7 +1511,7 @@ p3 := point [0,1,1]$(Point DoubleFloat)
 --R 
 --R
 --R   (5)  [0.,1.,1.]
---R                                                      Type: Point DoubleFloat
+--R                                                     Type: Point(DoubleFloat)
 --E 179
 
 --S 180 of 185
@@ -1519,7 +1519,7 @@ curve(space,[p0,p1,p2,p3])
 --R 
 --R
 --R   (6)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 180
 
 --S 181 of 185
@@ -1535,7 +1535,7 @@ s := polygon([p0,p1,p2,p3])$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (8)  3-Space with 1 component
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 182
 
 --S 183 of 185
@@ -1543,7 +1543,7 @@ polygon s
 --R 
 --R
 --R   (9)  [[1.,0.,0.],[0.,0.,0.],[0.,1.,1.]]
---R                                                 Type: List Point DoubleFloat
+--R                                               Type: List(Point(DoubleFloat))
 --E 183
 
 --S 184 of 185
@@ -1551,7 +1551,7 @@ space1 := create3Space()$(ThreeSpace DoubleFloat)
 --R 
 --R
 --R   (10)  3-Space with 0 components
---R                                                 Type: ThreeSpace DoubleFloat
+--R                                                Type: ThreeSpace(DoubleFloat)
 --E 184
 
 --S 185 of 185
diff --git a/src/input/spline.input.pamphlet b/src/input/spline.input.pamphlet
index 867d485..aedc088 100644
--- a/src/input/spline.input.pamphlet
+++ b/src/input/spline.input.pamphlet
@@ -228,7 +228,7 @@ incoef:=[_
 --R    [0.0,0.0,0.0,0.0,0.0,0.0,40.0,1.0,0.0,- 40.0,- 1.0,0.0,0.0,0.0,0.0],
 --R    [0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,45.0,1.0,0.0,- 45.0,- 1.0,0.0],
 --R    [1.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 
 \end{chunk}
@@ -242,7 +242,7 @@ vals:Vector(Float):=_
 --R   (2)
 --R   [0.0, 227.04, 227.04, 362.78, 362.78, 517.35, 517.35, 602.97, 602.97,
 --R    901.67, 0.0, 0.0, 0.0, 0.0, 0.0]
---R                                                           Type: Vector Float
+--R                                                          Type: Vector(Float)
 --E 2
 
 --S 3 of 16
@@ -264,7 +264,7 @@ outcoef:=solve(incoef,vals)
 --R        1.6045, - 33.94, 554.41, 0.20905, 28.851, - 152.01]
 --R     ,
 --R    basis= [[0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0]]]
---RType: Record(particular: Union(Vector Float,"failed"),basis: List Vector Float)
+--RType: Record(particular: Union(Vector(Float),"failed"),basis: List(Vector(Float)))
 --E 4
 
 --S 5 of 16
@@ -274,7 +274,7 @@ D:=outcoef.particular
 --R   (5)
 --R   [0.0, 22.704, 0.0, 0.88882, 4.926, 88.888, - 0.1356, 35.66, - 141.6, 1.6045,
 --R    - 33.94, 554.41, 0.20905, 28.851, - 152.01]
---R                                                Type: Union(Vector Float,...)
+--R                                               Type: Union(Vector(Float),...)
 --E 5
 
 --S 6 of 16
@@ -282,7 +282,7 @@ s1:=D.1*t^2+D.2*t+D.3
 --R 
 --R
 --R   (6)  22.704 t
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 6
 
 --S 7 of 16
@@ -291,7 +291,7 @@ s2:=D.4*t^2+D.5*t+D.6
 --R
 --R                 2
 --R   (7)  0.88882 t  + 4.926 t + 88.888
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 7
 
 --S 8 of 16
@@ -300,7 +300,7 @@ s3:=D.7*t^2+D.8*t+D.9
 --R
 --R                  2
 --R   (8)  - 0.1356 t  + 35.66 t - 141.6
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 8
 
 --S 9 of 16
@@ -309,7 +309,7 @@ s4:=D.10*t^2+D.11*t+D.12
 --R
 --R                2
 --R   (9)  1.6045 t  - 33.94 t + 554.41
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 9
 
 --S 10 of 16
@@ -318,7 +318,7 @@ s5:=D.13*t^2+D.14*t+D.15
 --R
 --R                  2
 --R   (10)  0.20905 t  + 28.851 t - 152.01
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 10
 
 \end{chunk}
@@ -340,7 +340,7 @@ s3d:=differentiate(s3,t)
 --R 
 --R
 --R   (12)  - 0.27112 t + 35.66
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 12
 
 --S 13 of 16
@@ -366,7 +366,7 @@ s2i:=integrate(s2,t)
 --R
 --R                  3          2
 --R   (14)  0.29628 t  + 2.463 t  + 88.888 t
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 14
 
 --S 15 of 16
@@ -375,7 +375,7 @@ s3i:=integrate(s3,t)
 --R
 --R                     3          2
 --R   (15)  - 0.045187 t  + 17.83 t  - 141.6 t
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 15
 
 \end{chunk}
diff --git a/src/input/sqmatrix.input.pamphlet b/src/input/sqmatrix.input.pamphlet
index 40cdfa2..74f5bf8 100644
--- a/src/input/sqmatrix.input.pamphlet
+++ b/src/input/sqmatrix.input.pamphlet
@@ -33,7 +33,7 @@ m := squareMatrix [[1,-%i],[%i,4]]
 --R        +1   - %i+
 --R   (1)  |        |
 --R        +%i   4  +
---R                                        Type: SquareMatrix(2,Complex Integer)
+--R                                       Type: SquareMatrix(2,Complex(Integer))
 --E 2
 
 --S 3 of 6
@@ -43,7 +43,7 @@ m*m - m
 --R        + 1   - 4%i+
 --R   (2)  |          |
 --R        +4%i   13  +
---R                                        Type: SquareMatrix(2,Complex Integer)
+--R                                       Type: SquareMatrix(2,Complex(Integer))
 --E 3
 
 --S 4 of 6
@@ -57,7 +57,7 @@ mm := squareMatrix [[m, 1], [1-m, m**2]]
 --R        |+ 0    %i +  + 2   - 5%i+|
 --R        ||         |  |          ||
 --R        ++- %i  - 3+  +5%i   17  ++
---R                        Type: SquareMatrix(2,SquareMatrix(2,Complex Integer))
+--R                       Type: SquareMatrix(2,SquareMatrix(2,Complex(Integer)))
 --E 4
 
 --S 5 of 6
@@ -67,7 +67,7 @@ p := (x + m)**2
 --R         2   + 2   - 2%i+    + 2   - 5%i+
 --R   (4)  x  + |          |x + |          |
 --R             +2%i    8  +    +5%i   17  +
---R                             Type: Polynomial SquareMatrix(2,Complex Integer)
+--R                           Type: Polynomial(SquareMatrix(2,Complex(Integer)))
 --E 5
 
 --S 6 of 6
@@ -79,7 +79,7 @@ p::SquareMatrix(2, ?)
 --R   (5)  |                          |
 --R        |              2           |
 --R        +2%i x + 5%i  x  + 8x + 17 +
---R                             Type: SquareMatrix(2,Polynomial Complex Integer)
+--R                           Type: SquareMatrix(2,Polynomial(Complex(Integer)))
 --E 6
 )spool 
 )lisp (bye)
diff --git a/src/input/sqrt3.input.pamphlet b/src/input/sqrt3.input.pamphlet
index 8082cb4..fb5269c 100644
--- a/src/input/sqrt3.input.pamphlet
+++ b/src/input/sqrt3.input.pamphlet
@@ -87,7 +87,7 @@ x1:=(sqrt(3)$RAN-3)*(sqrt(3)$RAN+1)/6
 --R         1  +-+   1  +-+   1  +-+   1
 --R   (7)  (- \|3  - -)\|3  + - \|3  - -
 --R         6        2        6        2
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 7
 
 --S 8 of 23
@@ -97,7 +97,7 @@ xx1:=-1/sqrt(3)$RAN
 --R          1  +-+
 --R   (8)  - - \|3
 --R          3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 8
 
 --S 9 of 23
@@ -114,7 +114,7 @@ s3:=sqrt(3)$RAN
 --R
 --R          +-+
 --R   (10)  \|3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 10
 
 --S 11 of 23
@@ -124,7 +124,7 @@ s3:=sqrt(3)$RAN
 --R           1  +-+
 --R   (11)  - - \|3
 --R           3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 11
 
 --S 12 of 23
@@ -133,7 +133,7 @@ f3:=sqrt(3,5)$RAN
 --R
 --R         5+-+
 --R   (12)  \|3
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 12
 
 --S 13 of 23
@@ -144,7 +144,7 @@ f25:=sqrt(1/25,5)$RAN
 --R          | 1
 --R   (13)  5|--
 --R         \|25
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 13
 
 --S 14 of 23
@@ -155,7 +155,7 @@ f32:=sqrt(32/5,5)$RAN
 --R          |32
 --R   (14)  5|--
 --R         \| 5
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 14
 
 --S 15 of 23
@@ -166,7 +166,7 @@ f27:=sqrt(27/5,5)$RAN
 --R          |27
 --R   (15)  5|--
 --R         \| 5
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 15
 
 --S 16 of 23
@@ -178,7 +178,7 @@ expr1:=sqrt(f32-f27,3)
 --R          |   |27     |32
 --R   (16)  3|- 5|--  + 5|--
 --R         \|  \| 5    \| 5
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 16
 
 --S 17 of 23
@@ -187,7 +187,7 @@ expr2:=(1+f3-f3^2)
 --R
 --R           5+-+2   5+-+
 --R   (17)  - \|3   + \|3  + 1
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 17
 
 --S 18 of 23
@@ -195,7 +195,7 @@ expr1-f25*expr2
 --R 
 --R
 --R   (18)  0
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 18
 
 --S 19 of 23
@@ -204,7 +204,7 @@ s:=sqrt(190)$RAN+sqrt(1751)$RAN-sqrt(208)$RAN-sqrt(1698)$RAN
 --R
 --R            +----+    +---+    +----+    +---+
 --R   (19)  - \|1698  - \|208  + \|1751  + \|190
---R                                           Type: RealClosure Fraction Integer
+--R                                         Type: RealClosure(Fraction(Integer))
 --E 19
 
 --S 20 of 23
diff --git a/src/input/sregset.input.pamphlet b/src/input/sregset.input.pamphlet
index f1bbb50..2997e44 100644
--- a/src/input/sregset.input.pamphlet
+++ b/src/input/sregset.input.pamphlet
@@ -33,14 +33,14 @@ ls : List Symbol := [x,y,z,t]
 --R 
 --R
 --R   (2)  [x,y,z,t]
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 2
 
 --S 3 of 23
 V := OVAR(ls)
 --R 
 --R
---R   (3)  OrderedVariableList [x,y,z,t]
+--R   (3)  OrderedVariableList([x,y,z,t])
 --R                                                                 Type: Domain
 --E 3
 
@@ -48,7 +48,7 @@ V := OVAR(ls)
 E := IndexedExponents V
 --R 
 --R
---R   (4)  IndexedExponents OrderedVariableList [x,y,z,t]
+--R   (4)  IndexedExponents(OrderedVariableList([x,y,z,t]))
 --R                                                                 Type: Domain
 --E 4
 
@@ -56,7 +56,8 @@ E := IndexedExponents V
 P := NSMP(R, V)
 --R 
 --R
---R   (5)  NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--R   (5)
+--R   NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --R                                                                 Type: Domain
 --E 5
 
@@ -65,7 +66,7 @@ x: P := 'x
 --R 
 --R
 --R   (6)  x
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 6
 
 --S 7 of 23
@@ -73,7 +74,7 @@ y: P := 'y
 --R 
 --R
 --R   (7)  y
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 7
 
 --S 8 of 23
@@ -81,7 +82,7 @@ z: P := 'z
 --R 
 --R
 --R   (8)  z
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 8
 
 --S 9 of 23
@@ -89,7 +90,7 @@ t: P := 't
 --R 
 --R
 --R   (9)  t
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 9
 
 --S 10 of 23
@@ -97,9 +98,9 @@ ST := SREGSET(R,E,V,P)
 --R 
 --R
 --R   (10)
---R  SquareFreeRegularTriangularSet(Integer,IndexedExponents OrderedVariableList [
---R  x,y,z,t],OrderedVariableList [x,y,z,t],NewSparseMultivariatePolynomial(Intege
---R  r,OrderedVariableList [x,y,z,t]))
+--R  SquareFreeRegularTriangularSet(Integer,IndexedExponents(OrderedVariableList([
+--R  x,y,z,t])),OrderedVariableList([x,y,z,t]),NewSparseMultivariatePolynomial(Int
+--R  eger,OrderedVariableList([x,y,z,t])))
 --R                                                                 Type: Domain
 --E 10
 
@@ -109,7 +110,7 @@ p1 := x ** 31 - x ** 6 - x - y
 --R
 --R          31    6
 --R   (11)  x   - x  - x - y
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 11
 
 --S 12 of 23
@@ -118,7 +119,7 @@ p2 := x ** 8  - z
 --R
 --R          8
 --R   (12)  x  - z
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 12
 
 --S 13 of 23
@@ -127,7 +128,7 @@ p3 := x ** 10 - t
 --R
 --R          10
 --R   (13)  x   - t
---R Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))
 --E 13
 
 --S 14 of 23
@@ -136,7 +137,7 @@ lp := [p1, p2, p3]
 --R
 --R           31    6          8      10
 --R   (14)  [x   - x  - x - y,x  - z,x   - t]
---RType: List NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])
+--RType: List(NewSparseMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t])))
 --E 14
 
 --S 15 of 23
@@ -145,7 +146,7 @@ zeroSetSplit(lp)$ST
 --R
 --R            5    4      2     3     8     5    3    2   4                2
 --R   (15)  [{z  - t ,t z y  + 2z y - t  + 2t  + t  - t ,(t  - t)x - t y - z }]
---IType: List SquareFreeRegularTriangularSet(Integer,...
+--IType: List(SquareFreeRegularTriangularSet(Integer,...
 --E 15
 
 --S 16 of 23
@@ -157,7 +158,7 @@ zeroSetSplit(lp,false)$ST
 --R   [{z  - t ,t z y  + 2z y - t  + 2t  + t  - t ,(t  - t)x - t y - z },
 --R      3      5            2    2
 --R    {t  - 1,z  - t,t y + z ,z x  - t}, {t,z,y,x}]
---IType: List SquareFreeRegularTriangularSet(Integer,...
+--IType: List(SquareFreeRegularTriangularSet(Integer,...
 --E 16
 
 --S 17 of 23
@@ -165,9 +166,9 @@ T := REGSET(R,E,V,P)
 --R 
 --R
 --R   (17)
---R  RegularTriangularSet(Integer,IndexedExponents OrderedVariableList [x,y,z,t],O
---R  rderedVariableList [x,y,z,t],NewSparseMultivariatePolynomial(Integer,OrderedV
---R  ariableList [x,y,z,t]))
+--R  RegularTriangularSet(Integer,IndexedExponents(OrderedVariableList([x,y,z,t]))
+--R  ,OrderedVariableList([x,y,z,t]),NewSparseMultivariatePolynomial(Integer,Order
+--R  edVariableList([x,y,z,t])))
 --R                                                                 Type: Domain
 --E 17
 
@@ -180,7 +181,7 @@ lts := zeroSetSplit(lp,false)$T
 --R   [{z  - t ,t z y  + 2z y - t  + 2t  + t  - t ,(t  - t)x - t y - z },
 --R      3      5          2     3         2
 --R    {t  - 1,z  - t,t z y  + 2z y + 1,z x  - t}, {t,z,y,x}]
---IType: List RegularTriangularSet(Integer,...
+--IType: List(RegularTriangularSet(Integer,...
 --E 18
 
 --S 19 of 23
@@ -207,7 +208,7 @@ tower := collectUnder(ts,'y)$T
 --R
 --R           3      5
 --R   (21)  {t  - 1,z  - t}
---IType: RegularTriangularSet(Integer,...
+--IType: RegularTriangularSet(Integer,IndexedExponents(...
 --E 21
 
 --S 22 of 23
@@ -215,11 +216,11 @@ pack := RegularTriangularSetGcdPackage(R,E,V,P,T)
 --R 
 --R
 --R   (22)
---R  RegularTriangularSetGcdPackage(Integer,IndexedExponents OrderedVariableList [
---R  x,y,z,t],OrderedVariableList [x,y,z,t],NewSparseMultivariatePolynomial(Intege
---R  r,OrderedVariableList [x,y,z,t]),RegularTriangularSet(Integer,IndexedExponent
---R  s OrderedVariableList [x,y,z,t],OrderedVariableList [x,y,z,t],NewSparseMultiv
---R  ariatePolynomial(Integer,OrderedVariableList [x,y,z,t])))
+--R  RegularTriangularSetGcdPackage(Integer,IndexedExponents(OrderedVariableList([
+--R  x,y,z,t])),OrderedVariableList([x,y,z,t]),NewSparseMultivariatePolynomial(Int
+--R  eger,OrderedVariableList([x,y,z,t])),RegularTriangularSet(Integer,IndexedExpo
+--R  nents(OrderedVariableList([x,y,z,t])),OrderedVariableList([x,y,z,t]),NewSpars
+--R  eMultivariatePolynomial(Integer,OrderedVariableList([x,y,z,t]))))
 --R                                                                 Type: Domain
 --E 22
 
@@ -229,7 +230,7 @@ toseSquareFreePart(pol,tower)$pack
 --R
 --R                       2          3      5
 --R   (23)  [[val= t y + z ,tower= {t  - 1,z  - t}]]
---IType: List Record(val: NewSparseMultivariatePolynomial(Integer,...
+--IType: List(Record(val: NewSparseMultivariatePolynomial(...
 --E 23
 )spool 
 )lisp (bye)
diff --git a/src/input/stbl.input.pamphlet b/src/input/stbl.input.pamphlet
index 1e64782..7af78af 100644
--- a/src/input/stbl.input.pamphlet
+++ b/src/input/stbl.input.pamphlet
@@ -65,7 +65,7 @@ keys t
 --R 
 --R
 --R   (6)  [4,3]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 6
 
 --S 7 of 7
@@ -73,7 +73,7 @@ entries t
 --R 
 --R
 --R   (7)  ["Number four","Number three"]
---R                                                            Type: List String
+--R                                                           Type: List(String)
 --E 7
 )spool 
 )lisp (bye)
diff --git a/src/input/stream.input.pamphlet b/src/input/stream.input.pamphlet
index 83ceb1c..80dc3ff 100644
--- a/src/input/stream.input.pamphlet
+++ b/src/input/stream.input.pamphlet
@@ -25,7 +25,7 @@ ints := [i for i in 0..]
 --R 
 --R
 --R   (1)  [0,1,2,3,4,5,6,7,8,9,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 1
 
 --S 2 of 12
@@ -43,10 +43,10 @@ f x == [x.1 + x.2, x.1]
 --S 4 of 12
 fibs := [i.2 for i in [generate(f,[1,1])]]
 --R 
---R   Compiling function f with type List Integer -> List Integer 
+--R   Compiling function f with type List(Integer) -> List(Integer) 
 --R
 --R   (4)  [1,1,2,3,5,8,13,21,34,55,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 4
 
 --S 5 of 12
@@ -54,7 +54,7 @@ fibs := [i.2 for i in [generate(f,[1,1])]]
 --R 
 --R
 --R   (5)  [1,3,5,7,9,11,13,15,17,19,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 5
 
 --S 6 of 12
@@ -62,7 +62,7 @@ odds := [2*i+1 for i in ints]
 --R 
 --R
 --R   (6)  [1,3,5,7,9,11,13,15,17,19,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 6
 
 --S 7 of 12
@@ -70,7 +70,7 @@ scan(0,+,odds)
 --R 
 --R
 --R   (7)  [1,4,9,16,25,36,49,64,81,100,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 7
 
 --S 8 of 12
@@ -78,7 +78,7 @@ scan(0,+,odds)
 --R 
 --R
 --R   (8)  [0,3,10,21,36,55,78,105,136,171,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 8
 
 --S 9 of 12
@@ -86,7 +86,7 @@ map(*,ints,odds)
 --R 
 --R
 --R   (9)  [0,3,10,21,36,55,78,105,136,171,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 9
 
 --S 10 of 12
@@ -102,7 +102,7 @@ rest ints
 --R 
 --R
 --R   (11)  [1,2,3,4,5,6,7,8,9,10,...]
---R                                              Type: Stream NonNegativeInteger
+--R                                             Type: Stream(NonNegativeInteger)
 --E 11
 
 --S 12 of 12
diff --git a/src/input/stream2.input.pamphlet b/src/input/stream2.input.pamphlet
index f3cc75a..5deddd1 100644
--- a/src/input/stream2.input.pamphlet
+++ b/src/input/stream2.input.pamphlet
@@ -33,11 +33,11 @@ u==[i+j for i in (-4)..10 | i < 5 for j in 4.. | j < 10]
 --S 2 of 55
 u
 --R 
---R   Compiling body of rule u to compute value of type Stream Integer 
+--R   Compiling body of rule u to compute value of type Stream(Integer) 
 --R   u will cache all previously computed values.
 --R
 --R   (2)  [0,2,4,6,8,10]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 2
 
 --S 3 of 55
@@ -60,11 +60,11 @@ u(m,n)==[i for i in m..n]
 u(3,6)
 --R 
 --R   Compiling function u with type (PositiveInteger,PositiveInteger) -> 
---R      List PositiveInteger 
+--R      List(PositiveInteger) 
 --R   u will cache all previously computed values.
 --R
 --R   (2)  [3,4,5,6]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 5
 
 --S 6 of 55
@@ -98,7 +98,7 @@ u:=[i for i in 0..n]
 --R   n will cache all previously computed values.
 --R
 --R   (2)  [0,1,2,3,4,5,6,7,8,9,10]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 9
 
 --S 10 of 55
@@ -110,12 +110,12 @@ v==[i for i in 0..n]
 --S 11 of 55
 v
 --R 
---R   Compiling body of rule v to compute value of type List 
---R      NonNegativeInteger 
+--R   Compiling body of rule v to compute value of type List(
+--R      NonNegativeInteger) 
 --R   v will cache all previously computed values.
 --R
 --R   (4)  [0,1,2,3,4,5,6,7,8,9,10]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 11
 
 --S 12 of 55
@@ -132,7 +132,7 @@ u
 --R 
 --R
 --R   (6)  [0,1,2,3,4,5,6,7,8,9,10]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 13
 
 --S 14 of 55
@@ -140,12 +140,12 @@ v
 --R 
 --R   Compiling body of rule n to compute value of type PositiveInteger 
 --R   n will cache all previously computed values.
---R   Compiling body of rule v to compute value of type List 
---R      NonNegativeInteger 
+--R   Compiling body of rule v to compute value of type List(
+--R      NonNegativeInteger) 
 --R   v will cache all previously computed values.
 --R
 --R   (7)  [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 14
 
 )clear all
@@ -171,7 +171,7 @@ u:=[[i*j for j in 1..n] for i in 1..m]
 --R 
 --R
 --R   (3)  [[1,2],[2,4],[3,6]]
---R                                              Type: List List PositiveInteger
+--R                                            Type: List(List(PositiveInteger))
 --E 17
 
 --S 18 of 55
@@ -187,7 +187,7 @@ u
 --R 
 --R
 --R   (5)  [[1,2],[2,4],[3,6]]
---R                                              Type: List List PositiveInteger
+--R                                            Type: List(List(PositiveInteger))
 --E 19
 
 )clear all
@@ -228,12 +228,12 @@ m:=3
 --S 24 of 55
 u
 --R 
---R   Compiling body of rule u to compute value of type List 
---R      PositiveInteger 
+--R   Compiling body of rule u to compute value of type List(
+--R      PositiveInteger) 
 --R   u will cache all previously computed values.
 --R
 --R   (4)  [3,4,5,6,7]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 24
 
 --S 25 of 55
@@ -257,7 +257,7 @@ u
 --R 
 --R
 --R   (7)  [3,4,5,6,7]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 27
 
 --S 28 of 55
@@ -280,11 +280,11 @@ m:=-3
 --S 30 of 55
 u
 --R 
---R   Compiling body of rule u to compute value of type List Integer 
+--R   Compiling body of rule u to compute value of type List(Integer) 
 --R   u will cache all previously computed values.
 --R
 --R   (10)  [- 3,- 2,- 1,0,1,2]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 30
 
 --S 31 of 55
@@ -325,12 +325,12 @@ n:=5
 --S 35 of 55
 u
 --R 
---R   Compiling body of rule u to compute value of type List List 
---R      NonNegativeInteger 
+--R   Compiling body of rule u to compute value of type List(List(
+--R      NonNegativeInteger)) 
 --R   u will cache all previously computed values.
 --R
 --R   (3)  [[0],[1,2],[2,3,4],[3,4,5,6],[4,5,6,7,8],[5,6,7,8,9,10]]
---R                                           Type: List List NonNegativeInteger
+--R                                         Type: List(List(NonNegativeInteger))
 --E 35
 
 --S 36 of 55
@@ -346,7 +346,7 @@ u
 --R 
 --R
 --R   (5)  [[0],[1,2],[2,3,4],[3,4,5,6],[4,5,6,7,8],[5,6,7,8,9,10]]
---R                                           Type: List List NonNegativeInteger
+--R                                         Type: List(List(NonNegativeInteger))
 --E 37
 
 --S 38 of 55
@@ -362,7 +362,7 @@ u
 --R 
 --R
 --R   (7)  [[0],[1,2],[2,3,4],[3,4,5,6],[4,5,6,7,8],[5,6,7,8,9,10]]
---R                                           Type: List List NonNegativeInteger
+--R                                         Type: List(List(NonNegativeInteger))
 --E 39
 
 --S 40 of 55
@@ -377,12 +377,12 @@ n:= 0
 --S 41 of 55
 u
 --R 
---R   Compiling body of rule u to compute value of type List List 
---R      NonNegativeInteger 
+--R   Compiling body of rule u to compute value of type List(List(
+--R      NonNegativeInteger)) 
 --R   u will cache all previously computed values.
 --R
 --R   (9)  [[0]]
---R                                           Type: List List NonNegativeInteger
+--R                                         Type: List(List(NonNegativeInteger))
 --E 41
 
 --S 42 of 55
@@ -397,11 +397,12 @@ n:=-1
 --S 43 of 55
 u
 --R 
---R   Compiling body of rule u to compute value of type List List Integer 
+--R   Compiling body of rule u to compute value of type List(List(Integer)
+--R      ) 
 --R   u will cache all previously computed values.
 --R
 --R   (11)  []
---R                                                      Type: List List Integer
+--R                                                    Type: List(List(Integer))
 --E 43
 
 )clear all
@@ -417,8 +418,8 @@ u==[[i+j for i in 0..] for j in 0..]
 --S 45 of 55
 u
 --R 
---R   Compiling body of rule u to compute value of type Stream Stream 
---R      Integer 
+--R   Compiling body of rule u to compute value of type Stream(Stream(
+--R      Integer)) 
 --R   u will cache all previously computed values.
 --R
 --R   (2)
@@ -427,7 +428,7 @@ u
 --R    [4,5,6,7,8,9,10,11,12,13,...], [5,6,7,8,9,10,11,12,13,14,...],
 --R    [6,7,8,9,10,11,12,13,14,15,...], [7,8,9,10,11,12,13,14,15,16,...],
 --R    [8,9,10,11,12,13,14,15,16,17,...], [9,10,11,12,13,14,15,16,17,18,...], ...]
---R                                                  Type: Stream Stream Integer
+--R                                                Type: Stream(Stream(Integer))
 --E 45
 
 )clear all
@@ -442,11 +443,11 @@ u(m,n)==[[i+j for j in 1..m] for i in 1..n]
 u(3,6)
 --R 
 --R   Compiling function u with type (PositiveInteger,PositiveInteger) -> 
---R      List List PositiveInteger 
+--R      List(List(PositiveInteger)) 
 --R   u will cache all previously computed values.
 --R
 --R   (2)  [[2,3,4],[3,4,5],[4,5,6],[5,6,7],[6,7,8],[7,8,9]]
---R                                              Type: List List PositiveInteger
+--R                                            Type: List(List(PositiveInteger))
 --E 47
 
 --S 48 of 55
@@ -454,7 +455,7 @@ reduce(append,u(3,6))
 --R 
 --R
 --R   (3)  [2,3,4,3,4,5,4,5,6,5,6,7,6,7,8,7,8,9]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 48
 
 )clear all
@@ -469,7 +470,7 @@ u(m,n)==[[i*j for j in m..] for i in n..]
 u(3,6)
 --R 
 --R   Compiling function u with type (PositiveInteger,PositiveInteger) -> 
---R      Stream Stream Integer 
+--R      Stream(Stream(Integer)) 
 --R   u will cache all previously computed values.
 --R
 --R   (2)
@@ -481,7 +482,7 @@ u(3,6)
 --R    [39,52,65,78,91,104,117,130,143,156,...],
 --R    [42,56,70,84,98,112,126,140,154,168,...],
 --R    [45,60,75,90,105,120,135,150,165,180,...], ...]
---R                                                  Type: Stream Stream Integer
+--R                                                Type: Stream(Stream(Integer))
 --E 50
 
 )clear all
@@ -496,7 +497,7 @@ u(3,6)
 --R   [[[0,1,2,...],[1,2,3,...],[2,3,4,...],...],
 --R    [[1,2,3,...],[2,3,4,...],[3,4,5,...],...],
 --R    [[2,3,4,...],[3,4,5,...],[4,5,6,...],...], ...]
---R                                           Type: Stream Stream Stream Integer
+--R                                        Type: Stream(Stream(Stream(Integer)))
 --E 51
 
 --S 52 of 55
@@ -518,7 +519,7 @@ n:=5
 --R    [[3,4,5,...],[4,5,6,...],[5,6,7,...],...],
 --R    [[4,5,6,...],[5,6,7,...],[6,7,8,...],...],
 --R    [[5,6,7,...],[6,7,8,...],[7,8,9,...],...]]
---R                                             Type: List Stream Stream Integer
+--R                                          Type: List(Stream(Stream(Integer)))
 --E 53
 
 --S 54 of 55
@@ -526,7 +527,7 @@ n:=5
 --R 
 --R
 --R   (4)  [[[0]],[[1],[2,3]],[[2],[3,4],[4,5,6]],...]
---R                                    Type: Stream List List NonNegativeInteger
+--R                                 Type: Stream(List(List(NonNegativeInteger)))
 --E 54
 
 --S 55 of 55
@@ -537,7 +538,7 @@ n:=5
 --R   [[[0]], [[1],[2,3]], [[2],[3,4],[4,5,6]], [[3],[4,5],[5,6,7],[6,7,8,9]],
 --R    [[4],[5,6],[6,7,8],[7,8,9,10],[8,9,10,11,12]],
 --R    [[5],[6,7],[7,8,9],[8,9,10,11],[9,10,11,12,13],[10,11,12,13,14,15]]]
---R                                      Type: List List List NonNegativeInteger
+--R                                   Type: List(List(List(NonNegativeInteger)))
 --E 55
 )spool 
 )lisp (bye)
diff --git a/src/input/streams.input.pamphlet b/src/input/streams.input.pamphlet
index fe0e1fd..b77e804 100644
--- a/src/input/streams.input.pamphlet
+++ b/src/input/streams.input.pamphlet
@@ -34,7 +34,7 @@ a := [i for i in 1..]
 --R 
 --R
 --R   (1)  [1,2,3,4,5,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 1
 
 --S 2 of 26
@@ -42,7 +42,7 @@ b := [i+1 for i in a]
 --R 
 --R
 --R   (2)  [2,3,4,5,6,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 2
 
 \end{chunk}
@@ -64,7 +64,7 @@ b
 --R 
 --R
 --R   (4)  [2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 4
 
 --S 5 of 26
@@ -72,7 +72,7 @@ a
 --R 
 --R
 --R   (5)  [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 5
 
 \end{chunk}
@@ -83,7 +83,7 @@ first(a,10)
 --R 
 --R
 --R   (6)  [1,2,3,4,5,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 6
 
 \end{chunk}
@@ -94,7 +94,7 @@ rest(a,10)
 --R 
 --R
 --R   (7)  [11,12,13,14,15,16,17,18,19,20,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 7
 
 \end{chunk}
@@ -105,7 +105,7 @@ The stream of odd integers
 --R 
 --R
 --R   (8)  [1,3,5,7,9,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 8
 
 \end{chunk}
@@ -116,7 +116,7 @@ c := [[i,j] for i in a for j in b]
 --R 
 --R
 --R   (9)  [[1,2],[2,3],[3,4],[4,5],[5,6],...]
---R                                            Type: Stream List PositiveInteger
+--R                                          Type: Stream(List(PositiveInteger))
 --E 9
 
 \end{chunk}
@@ -127,7 +127,7 @@ Selecting the first from each pair
 --R 
 --R
 --R   (10)  [1,2,3,4,5,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 10
 
 )set streams calculate 10
@@ -140,7 +140,7 @@ concat([i for i in a while i<7],a)
 --R 
 --R
 --R   (11)  [1,2,3,4,5,6,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 11
 
 --S 12 of 26
@@ -148,7 +148,7 @@ concat(a,a)
 --R 
 --R
 --R   (12)  [1,2,3,4,5,6,7,8,9,10,...]
---R                                                 Type: Stream PositiveInteger
+--R                                                Type: Stream(PositiveInteger)
 --E 12
 
 --S 13 of 26
@@ -166,14 +166,14 @@ upto n == first(a,n)
 --S 15 of 26
 d := [upto n for n in a]
 --R 
---R   Compiling function upto with type NonNegativeInteger -> Stream 
---R      Integer 
+--R   Compiling function upto with type NonNegativeInteger -> Stream(
+--R      Integer) 
 --R
 --R   (15)
 --R   [[1], [1,2], [1,2,3], [1,2,3,4], [1,2,3,4,5], [1,2,3,4,5,6],
 --R    [1,2,3,4,5,6,7], [1,2,3,4,5,6,7,8], [1,2,3,4,5,6,7,8,9],
 --R    [1,2,3,4,5,6,7,8,9,10,...], ...]
---R                                                  Type: Stream Stream Integer
+--R                                                Type: Stream(Stream(Integer))
 --E 15
 
 \end{chunk}
@@ -184,7 +184,7 @@ concat d
 --R 
 --R
 --R   (16)  [1,1,2,1,2,3,1,2,3,4,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 16
 
 \end{chunk}
@@ -206,7 +206,7 @@ scan(0,_+$INT,a)
 --R 
 --R
 --R   (18)  [1,3,6,10,15,21,28,36,45,55,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 18
 
 --S 19 of 26
@@ -214,7 +214,7 @@ scan(0,_+$INT,[2*i-1 for i in a])
 --R 
 --R
 --R   (19)  [1,4,9,16,25,36,49,64,81,100,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 19
 
 --S 20 of 26
@@ -236,11 +236,11 @@ to produce the stream x,f x,f(f x),...
 --S 22 of 26
 fibs := generate(ff,[1,1])
 --R 
---R   Compiling function ff with type List Integer -> List Integer 
+--R   Compiling function ff with type List(Integer) -> List(Integer) 
 --R
 --R   (22)
 --R   [[1,1],[2,1],[3,2],[5,3],[8,5],[13,8],[21,13],[34,21],[55,34],[89,55],...]
---R                                             Type: InfiniteTuple List Integer
+--R                                           Type: InfiniteTuple(List(Integer))
 --E 22
 
 --first([first i for i in fibs], 100)
@@ -281,7 +281,7 @@ generate(mplm,mt)
 --R    |            |, |              |, |                |, |                  |,
 --R    +67449  98302+  +362355  528106+  +1946673  2837134+  +10458075  15241882+
 --R    ...]
---R                                  Type: InfiniteTuple SquareMatrix(2,Integer)
+--R                                 Type: InfiniteTuple(SquareMatrix(2,Integer))
 --E 26
 )spool 
 )lisp (bye)
diff --git a/src/input/string.input.pamphlet b/src/input/string.input.pamphlet
index 46f32e8..540445b 100644
--- a/src/input/string.input.pamphlet
+++ b/src/input/string.input.pamphlet
@@ -97,7 +97,7 @@ hullo.2 := char "u"; [hello, hullo]
 --R 
 --R
 --R   (10)  ["Hello, I'm AXIOM!","Hullo, I'm AXIOM!"]
---R                                                            Type: List String
+--R                                                           Type: List(String)
 --E 10
 
 --S 11 of 35
@@ -145,7 +145,7 @@ split(hello, char " ")
 --R 
 --R
 --R   (16)  ["Hello,","I'm","AXIOM!"]
---R                                                            Type: List String
+--R                                                           Type: List(String)
 --E 16
 
 --S 17 of 35
@@ -160,7 +160,7 @@ split(saidsaw, other)
 --R 
 --R
 --R   (18)  ["alpha","omega"]
---R                                                            Type: List String
+--R                                                           Type: List(String)
 --E 18
 
 --S 19 of 35
diff --git a/src/input/strtbl.input.pamphlet b/src/input/strtbl.input.pamphlet
index e08a301..0c5442c 100644
--- a/src/input/strtbl.input.pamphlet
+++ b/src/input/strtbl.input.pamphlet
@@ -25,7 +25,7 @@ t: StringTable(Integer) := table()
 --R 
 --R
 --R   (1)  table()
---R                                                    Type: StringTable Integer
+--R                                                   Type: StringTable(Integer)
 --E 1
 
 --S 2 of 3
diff --git a/src/input/summation.input.pamphlet b/src/input/summation.input.pamphlet
index 575696a..82b9050 100644
--- a/src/input/summation.input.pamphlet
+++ b/src/input/summation.input.pamphlet
@@ -34,7 +34,7 @@ summation(i^2,i=a..b)^(d-c)
 --I<mrow><msup><mrow><mo>(</mo><mrow><munderover><mo>&#x02211;</mo>...
 --R</math>
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 --S 2 of 5
 summation(i^2^(d-c),i=a..b)
@@ -48,7 +48,7 @@ summation(i^2^(d-c),i=a..b)
 --I<mrow><munderover><mo>&#x02211;</mo><mrow><mrow><mrow><mi>i</mi>...
 --R</math>
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 --S 3 of 5
 sum(operator(f) (i)+1,i=1..n)
@@ -62,7 +62,7 @@ sum(operator(f) (i)+1,i=1..n)
 --I<mrow><munderover><mo>&#x02211;</mo><mrow><mrow><mrow><mi>i</mi>...
 --R</math>
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 --S 4 of 5
 sum(operator(f) (i),i=1..n)+1
@@ -76,7 +76,7 @@ sum(operator(f) (i),i=1..n)+1
 --I<mrow><mo>(</mo><mrow><munderover><mo>&#x02211;</mo><mrow><mrow>...
 --R</math>
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 --S 5 of 5
 sum(operator(f) (i)+1,i=1..n)^3
@@ -90,7 +90,7 @@ sum(operator(f) (i)+1,i=1..n)^3
 --I<mrow><msup><mrow><mo>(</mo><mrow><munderover><mo>&#x02211;</mo>...
 --R</math>
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 )spool 
 )lisp (bye)
diff --git a/src/input/symbol.input.pamphlet b/src/input/symbol.input.pamphlet
index cabe6c0..4dfd817 100644
--- a/src/input/symbol.input.pamphlet
+++ b/src/input/symbol.input.pamphlet
@@ -41,7 +41,7 @@ A := 'a
 --R 
 --R
 --R   (3)  a
---R                                                             Type: Variable a
+--R                                                            Type: Variable(a)
 --E 3
 
 --S 4 of 24
@@ -49,7 +49,7 @@ B := b
 --R 
 --R
 --R   (4)  b
---R                                                             Type: Variable b
+--R                                                            Type: Variable(b)
 --E 4
 
 --S 5 of 24
@@ -58,7 +58,7 @@ x**2 + 1
 --R
 --R         2
 --R   (5)  x  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 5
 
 --S 6 of 24
@@ -165,7 +165,7 @@ scripts U
 --R 
 --R
 --R   (18)  [sub= [1,2,1,2],sup= [],presup= [],presub= [],args= []]
---IType: Record(sub: List OutputForm,sup: List OutputForm,...
+--IType: Record(sub: List(OutputForm),sup: List(OutputForm),...
 --E 18
 
 --S 19 of 24
@@ -181,7 +181,7 @@ scripts X
 --R 
 --R
 --R   (20)  [sub= [],sup= [],presup= [],presub= [],args= []]
---IType: Record(sub: List OutputForm,sup: List OutputForm,...
+--IType: Record(sub: List(OutputForm),sup: List(OutputForm),...
 --E 20
 
 --S 21 of 24
@@ -199,7 +199,7 @@ scripts M
 --R 
 --R
 --R   (22)  [sub= [i,j],sup= [k,l],presup= [0,1],presub= [2],args= [u,v,w]]
---IType: Record(sub: List OutputForm,sup: List OutputForm,...
+--IType: Record(sub: List(OutputForm),sup: List(OutputForm),...
 --E 22
 
 --S 23 of 24
@@ -217,7 +217,7 @@ scripts N
 --R 
 --R
 --R   (24)  [sub= [i,j],sup= [k,l],presup= [0,1],presub= [],args= []]
---IType: Record(sub: List OutputForm,sup: List OutputForm,...
+--IType: Record(sub: List(OutputForm),sup: List(OutputForm),...
 --E 24
 )spool 
 )lisp (bye)
diff --git a/src/input/t111293.input.pamphlet b/src/input/t111293.input.pamphlet
index 273a6df..b6fb3dd 100644
--- a/src/input/t111293.input.pamphlet
+++ b/src/input/t111293.input.pamphlet
@@ -12,7 +12,7 @@
 \eject
 \section{License}
 \begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1991.
+--Coyright The Numerical Algorithms Group Limited 1991.
 \end{chunk}
 \begin{chunk}{*}
 )set break resume
@@ -41,7 +41,7 @@ deq := differentiate(y x, x, 2) + differentiate(y x, x) + y x
 --R         ,,       ,
 --R   (2)  y  (x) + y (x) + y(x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 13
@@ -53,7 +53,7 @@ solve(deq, y, x).basis
 --R             x\|3      2     2    x\|3
 --R   (3)  [cos(-----)%e   ,%e   sin(-----)]
 --R               2                    2
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 3
 
 )clear all
@@ -66,7 +66,7 @@ f := sin
 --R 
 --R
 --R   (1)  sin
---R                                                           Type: Variable sin
+--R                                                          Type: Variable(sin)
 --E 4
 
 --S 5 of 13
@@ -74,7 +74,7 @@ f 5
 --R 
 --R
 --R   (2)  sin(5)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 --S 6 of 13
@@ -94,27 +94,27 @@ g(f,x) == f x
 --S 8 of 13
 g(cos, x)
 --R 
---R   Compiling function g with type (Variable cos,Variable x) -> 
---R      Expression Integer 
+--R   Compiling function g with type (Variable(cos),Variable(x)) -> 
+--R      Expression(Integer) 
 --R
 --R   (5)  cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 8
 
 --S 9 of 13
 g(f, x)
 --R 
---R   Compiling function g with type (Variable sin,Variable x) -> 
---R      Expression Integer 
+--R   Compiling function g with type (Variable(sin),Variable(x)) -> 
+--R      Expression(Integer) 
 --R
 --R   (6)  sin(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 13
 g(log, 8.38)
 --R 
---R   Compiling function g with type (Variable log,Float) -> Float 
+--R   Compiling function g with type (Variable(log),Float) -> Float 
 --R
 --R   (7)  2.1258479144 939916724
 --R                                                                  Type: Float
@@ -127,7 +127,7 @@ sin := [1,2,3,4,5,6,7]
 --R 
 --R
 --R   (1)  [1,2,3,4,5,6,7]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 11
 
 --S 12 of 13
@@ -143,7 +143,7 @@ sin(4)$Expression(Integer)
 --R 
 --R
 --R   (3)  sin(4)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 )spool 
 )lisp (bye)
diff --git a/src/input/table.input.pamphlet b/src/input/table.input.pamphlet
index de26b35..c9c64a1 100644
--- a/src/input/table.input.pamphlet
+++ b/src/input/table.input.pamphlet
@@ -25,7 +25,7 @@ t: Table(Polynomial Integer, String) := table()
 --R 
 --R
 --R   (1)  table()
---R                                       Type: Table(Polynomial Integer,String)
+--R                                      Type: Table(Polynomial(Integer),String)
 --E 1
 
 --S 2 of 18
@@ -98,7 +98,7 @@ keys t
 --R
 --R             3      2
 --R   (10)  [x,x  + 1,x  - 1]
---R                                                Type: List Polynomial Integer
+--R                                              Type: List(Polynomial(Integer))
 --E 10
 
 --S 11 of 18
@@ -154,7 +154,7 @@ members t
 --R 
 --R
 --R   (17)  ["The easiest to factor","Harder to factor"]
---R                                                            Type: List String
+--R                                                           Type: List(String)
 --E 17
 
 --S 18 of 18
diff --git a/src/input/tanatan.input.pamphlet b/src/input/tanatan.input.pamphlet
index c7f72be..1501c8b 100644
--- a/src/input/tanatan.input.pamphlet
+++ b/src/input/tanatan.input.pamphlet
@@ -29,7 +29,7 @@ eq:=2*tan(x)+2*tan(2*x)
 --R 
 --R
 --R   (1)  2tan(2x) + 2tan(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 \end{chunk}
@@ -42,7 +42,7 @@ thesols:=solve(eq,x)
 --R                 2%pi      2%pi    %pi      %pi
 --R   (2)  [x= 0,x= ----,x= - ----,x= ---,x= - ---]
 --R                   3         3      3        3
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 2
 
 \end{chunk}
@@ -53,7 +53,7 @@ theproofs:=[eval(eq,i) for i in thesols]
 --R 
 --R
 --R   (3)  [0,0,0,0,0]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 3
 
 \end{chunk}
@@ -64,7 +64,7 @@ Get the  tower for each expression
 thetowers:=[tower i for i in theproofs];
 --R 
 --R
---R                                    Type: List List Kernel Expression Integer
+--R                                Type: List(List(Kernel(Expression(Integer))))
 --E 4
 
 --S 5 of 9
@@ -90,7 +90,7 @@ thetans:=_
           for i in thetowers] ;
 --R 
 --R
---IType: List List Record(i: Integer,k: Kernel Expression Integer,...
+--IType: List(List(Record(i: Integer,k: Kernel(Expression(Integer)),...
 --E 7
 
 \end{chunk}
@@ -104,7 +104,7 @@ thesubs:=_
             for i in 1..#theproofs];
 --R 
 --R
---RType: List Record(a: List Kernel Expression Integer,b: List Expression Integer)
+--IType: List(Record(a: List(Kernel(Expression(Integer))),b: List(...
 --E 8
 
 \end{chunk}
@@ -115,7 +115,7 @@ thezeros:=[eval(i,j.a,j.b) for i in theproofs for j in thesubs]
 --R 
 --R
 --R   (9)  [0,0,0,0,0]
---R                                                Type: List Expression Integer
+--R                                              Type: List(Expression(Integer))
 --E 9
 )spool 
 )lisp (bye)
diff --git a/src/input/tancot.input.pamphlet b/src/input/tancot.input.pamphlet
index b1cdab0..a5d9c26 100644
--- a/src/input/tancot.input.pamphlet
+++ b/src/input/tancot.input.pamphlet
@@ -348,7 +348,7 @@ Dover Publications, Inc. New York 1965. pp186-188
 --R    [1.58,- 108.6492036,- 108.6492036048 4393447,- 0.484393447 E -8],
 --R    [1.59,- 52.0669696,- 52.0669696509 12563554,- 0.5091256355 4 E -7],
 --R    [1.6,- 34.2325327,- 34.2325327355 57417056,- 0.3555741705 7 E -7]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 \end{chunk}
 In the following table there are 4 columns. The first column
@@ -682,7 +682,7 @@ Dover Publications, Inc. New York 1965. pp186-188
 --R    [1.58,- 0.009203933,- 0.0092039330 8759988693 76,- 0.8759988693 75 E -10],
 --R    [1.59,- 0.019206034,- 0.0192060342 0373002777 9,- 0.2037300277 79 E -9],
 --R    [1.6,- 0.029211978,- 0.0292119781 9994480011 4,- 0.1999448001 14 E -9]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 2
 
 )spool 
diff --git a/src/input/tanhcoth.input.pamphlet b/src/input/tanhcoth.input.pamphlet
index 381a3b5..c6a578d 100644
--- a/src/input/tanhcoth.input.pamphlet
+++ b/src/input/tanhcoth.input.pamphlet
@@ -430,7 +430,7 @@ Dover Publications, Inc. New York 1965. pp213-216
 --R    [1.98,0.96258698,0.9625869800 9129079438,0.9129079438 E -10],
 --R    [1.99,0.96331422,0.9633142186 0451342618,- 0.1395486573 8 E -8],
 --R    [2.0,0.96402758,0.9640275800 7581688395,0.7581688395 E -10]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 1
 \end{chunk}
 In the following table there are 4 columns. The first column
@@ -844,7 +844,7 @@ Dover Publications, Inc. New York 1965. pp213-216
 --R    [1.98,1.0388672,1.0388671576 517282541,- 0.4234827174 59 E -7],
 --R    [1.99,1.0380829,1.0380828816 672411665,- 0.1833275883 35 E -7],
 --R    [2.0,1.0373147,1.0373147207 275480959,0.2072754809 59 E -7]]
---R                                                        Type: List List Float
+--R                                                      Type: List(List(Float))
 --E 2
 
 )spool 
diff --git a/src/input/telford.input.pamphlet b/src/input/telford.input.pamphlet
index 7b3fe26..c506041 100644
--- a/src/input/telford.input.pamphlet
+++ b/src/input/telford.input.pamphlet
@@ -34,14 +34,14 @@ p(n)==((2*n-1)*x*p(n-1)-(n-1)*p(n-2))/n
 
 --S 4 of 5
 p(10)
---R   Compiling function p with type Integer -> Polynomial Fraction 
---R      Integer 
+--R   Compiling function p with type Integer -> Polynomial(Fraction(
+--R      Integer)) 
 --R   Compiling function p as a recurrence relation.
 --R
 --R        46189  10   109395  8   45045  6   15015  4   3465  2    63
 --R   (4)  ----- x   - ------ x  + ----- x  - ----- x  + ---- x  - ---
 --R         256          256        128        128        256      256
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 4
 
 --S 5 of 5
@@ -50,7 +50,7 @@ coefficient(p(10),x,10)
 --R        46189
 --R   (5)  -----
 --R         256
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 5
 
 )spool 
diff --git a/src/input/test.input.pamphlet b/src/input/test.input.pamphlet
index c7f45f4..8e7c83d 100644
--- a/src/input/test.input.pamphlet
+++ b/src/input/test.input.pamphlet
@@ -33,7 +33,7 @@ eq1:= A*x**2 + B*x*y + C*y**2 +D*x + E*y + F
 --R
 --R           2                   2
 --R   (1)  C y  + (B x + E)y + A x  + D x + F
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 188
@@ -49,7 +49,7 @@ eq2:= eval(eq1,[x= xdot*cos(t) - ydot*sin(t), y=xdot*sin(t) + ydot*cos(t)])
 --R   + 
 --R            2                       2       2
 --R     (C ydot  + B xdot ydot + A xdot )cos(t)  + (E ydot + D xdot)cos(t) + F
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 \end{chunk}
@@ -69,7 +69,7 @@ taylor exp x
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 3
 
 --S 4 of 188
@@ -84,7 +84,7 @@ s := %
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                         Type: UnivariateTaylorSeries(Expression Integer,x,0)
+--R                        Type: UnivariateTaylorSeries(Expression(Integer),x,0)
 --E 4
 
 --S 5 of 188
@@ -106,7 +106,7 @@ s::(UTS(EXPR FLOAT, x, 0))
 --R   + 
 --R                                   10      11
 --R     0.2755731922 3985890653 E -6 x   + O(x  )
---R                         Type: UnivariateTaylorSeries(Expression Float,x,0.0)
+--R                        Type: UnivariateTaylorSeries(Expression(Float),x,0.0)
 --E 5
 
 --S 6 of 188
@@ -138,7 +138,7 @@ eval(s,1)
 --R             5 8 65 163 1957 685 109601 98641
 --R   (5)  [1,2,-,-,--,---,----,---,------,-----,...]
 --R             2 3 24  60  720 252  40320 36288
---R                                              Type: Stream Expression Integer
+--R                                            Type: Stream(Expression(Integer))
 --E 7
 
 --S 8 of 188
@@ -149,7 +149,7 @@ eval(s,1)
 --R   [1.0, 2.0, 2.5, 2.6666666666 666666667, 2.7083333333 333333333,
 --R    2.7166666666 666666667, 2.7180555555 555555556, 2.7182539682 53968254,
 --R    2.7182787698 412698413, 2.7182815255 731922399, ...]
---R                                                           Type: Stream Float
+--R                                                          Type: Stream(Float)
 --E 8
 
 \end{chunk}
@@ -165,7 +165,7 @@ s := series(sin(a*x),x=0)
 --R              a   3    a   5    a    7     a     9      a      11      12
 --R   (1)  a x - -- x  + --- x  - ---- x  + ------ x  - -------- x   + O(x  )
 --R               6      120      5040      362880      39916800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 9
 
 --S 10 of 188
@@ -203,7 +203,7 @@ eval(s, 1.0)
 --R       0.0083333333 3333333333 34 a  - 0.1666666666 6666666667 a  + a
 --R     ,
 --R    ...]
---R                                                Type: Stream Expression Float
+--R                                              Type: Stream(Expression(Float))
 --E 10
 
 --S 11 of 188
@@ -218,7 +218,7 @@ s - a*x
 --R   + 
 --R        14
 --R     O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 11
 
 \end{chunk}
@@ -260,7 +260,7 @@ eval(s, 1.0)
 --R       0.0083333333 3333333333 34 a  - 0.1666666666 6666666667 a  + a
 --R     ,
 --R    ...]
---R                                                Type: Stream Expression Float
+--R                                              Type: Stream(Expression(Float))
 --E 12
 
 \end{chunk}
@@ -273,7 +273,7 @@ v := vector [1,2,3]
 --R 
 --R
 --R   (1)  [1,2,3]
---R                                                 Type: Vector PositiveInteger
+--R                                                Type: Vector(PositiveInteger)
 --E 13
 
 --S 14 of 188
@@ -283,7 +283,7 @@ v := vector [1,2,3]
 --R         1   3
 --R   (2)  [-,1,-]
 --R         2   2
---R                                                Type: Vector Fraction Integer
+--R                                              Type: Vector(Fraction(Integer))
 --E 14
 
 --S 15 of 188
@@ -293,7 +293,7 @@ eval(x**2, x=1/2)
 --R        1
 --R   (3)  -
 --R        4
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 15
 
 --S 16 of 188
@@ -301,7 +301,7 @@ eval(x**2, x=0.5)
 --R 
 --R
 --R   (4)  0.25
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 16
 
 --S 17 of 188
@@ -309,7 +309,7 @@ eval(3**x, x=0.5)
 --R 
 --R
 --R   (5)  1.7320508075 688772935
---R                                                       Type: Expression Float
+--R                                                      Type: Expression(Float)
 --E 17
 
 \end{chunk}
@@ -359,11 +359,11 @@ f(5)
 --S 23 of 188
 f(1,x)
 --R 
---R   Compiling function f with type (PositiveInteger,Variable x) -> 
---R      Polynomial Integer 
+--R   Compiling function f with type (PositiveInteger,Variable(x)) -> 
+--R      Polynomial(Integer) 
 --R
 --R   (6)  x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 23
 
 \end{chunk}
@@ -379,7 +379,7 @@ series(n +-> bernoulli(n)/factorial(n), t=0)
 --R       1      1  2    1   4     1    6      1     8       1     10      11
 --R   1 - - t + -- t  - --- t  + ----- t  - ------- t  + -------- t   + O(t  )
 --R       2     12      720      30240      1209600      47900160
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,t,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),t,0)
 --E 24
 
 \end{chunk}
@@ -392,7 +392,7 @@ l := [1,2,-1]
 --R 
 --R
 --R   (1)  [1,2,- 1]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 25
 
 --S 26 of 188
@@ -410,10 +410,10 @@ f x == x
 --S 28 of 188
 map(f, l)
 --R 
---R   Compiling function f with type Integer -> Fraction Integer 
+--R   Compiling function f with type Integer -> Fraction(Integer) 
 --R
 --R   (4)  [1,2,- 1]
---R                                                  Type: List Fraction Integer
+--R                                                Type: List(Fraction(Integer))
 --E 28
 
 \end{chunk}
@@ -461,7 +461,7 @@ groebner [x**2 - y, y**3+1]
 --R
 --R              2  6
 --R   (1)  [y - x ,x  + 1]
---R                                                Type: List Polynomial Integer
+--R                                              Type: List(Polynomial(Integer))
 --E 33
 
 \end{chunk}
@@ -475,7 +475,7 @@ factor x
 --R 
 --R
 --R   (1)  x
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 34
 
 --draw(x, x=-1..1)
@@ -489,28 +489,28 @@ Bracket parsing and empty-set types. Fixed by SCM, verified on 10/30/90
 {}$(List INT)
 --R 
 --RDaly Bug
---R   The function SEQ is not implemented in List Integer .
+--R   The function SEQ is not implemented in List(Integer) .
 --E 35
 
 --S 36 of 188
 brace []  -- {}
 --R
 --R   (1)  {}
---R                                                               Type: Set None
+--R                                                              Type: Set(None)
 --E 36
 
 --S 37 of 188
 brace [1] -- {1}
 --R
 --R   (2)  {1}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 37
 
 --S 38 of 188
 union(brace [], brace [1,2])   -- union({}, {1,2})
 --R
 --R   (3)  {1,2}
---R                                                    Type: Set PositiveInteger
+--R                                                   Type: Set(PositiveInteger)
 --E 38
 
 \end{chunk}
@@ -526,7 +526,7 @@ map(variable, [x,y])
 --R 
 --R
 --R   (1)  [x,y]
---R                         Type: List Union(OrderedVariableList [x,y],"failed")
+--R                       Type: List(Union(OrderedVariableList([x,y]),"failed"))
 --E 39
 
 )set mes test on
@@ -553,17 +553,17 @@ pp(n,x) == if n=0 then 1 else if n<0 then (-1)**n/p(-n,1-x) else p(n,x)
 --S 42 of 188
 pp(-1,x) -- should be 1/(x-1)
 --R 
---R   Compiling function p with type (Integer,Polynomial Integer) -> 
---R      Polynomial Integer 
---R   Compiling function p with type (Integer,Variable x) -> Polynomial 
---R      Integer 
---R   Compiling function pp with type (Integer,Variable x) -> Fraction 
---R      Polynomial Fraction Integer 
+--R   Compiling function p with type (Integer,Polynomial(Integer)) -> 
+--R      Polynomial(Integer) 
+--R   Compiling function p with type (Integer,Variable(x)) -> Polynomial(
+--R      Integer) 
+--R   Compiling function pp with type (Integer,Variable(x)) -> Fraction(
+--R      Polynomial(Fraction(Integer))) 
 --R
 --R          1
 --R   (3)  -----
 --R        x - 1
---R                                   Type: Fraction Polynomial Fraction Integer
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
 --E 42
 
 \end{chunk}
@@ -657,23 +657,23 @@ mp(x,l) ==
 --S 48 of 188
 mp(x, [1,3,4, 2])
 --R 
---R   Compiling function mp with type (Variable x,List PositiveInteger)
---R       -> Polynomial Integer 
+--R   Compiling function mp with type (Variable(x),List(PositiveInteger))
+--R       -> Polynomial(Integer) 
 --R
 --R         3     2
 --R   (2)  x  + 3x  + 4x + 2
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 48
 
 --S 49 of 188
 mp(x, [1,2,-3, 4])
 --R 
---R   Compiling function mp with type (Variable x,List Integer) -> 
---R      Polynomial Integer 
+--R   Compiling function mp with type (Variable(x),List(Integer)) -> 
+--R      Polynomial(Integer) 
 --R
 --R         3     2
 --R   (3)  x  + 2x  - 3x + 4
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 49
 
 \end{chunk}
@@ -732,7 +732,7 @@ f5 n == if n=0 or n=1 then 1 else f5(n-1)+f5(n-2)
 --R   Compiling function f5 with type Integer -> PositiveInteger 
 --R
 --R   (6)  [3,3,3,3,3]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 55
 
 \end{chunk}
@@ -746,7 +746,7 @@ g: GDMP([x,y], INT, DIRPROD(2, NNI)) := x**2 + y
 --R
 --R         2
 --R   (1)  x  + y
---IType: GeneralDistributedMultivariatePolynomial(...
+--RType: GeneralDistributedMultivariatePolynomial([x,y],Integer,DirectProduct(2,NonNegativeInteger))
 --E 56
 
 \end{chunk}
@@ -811,7 +811,7 @@ m = [[1,2],[2,3]]  -- Should return type EQ POLY SQMATRIX(2, INT)
 --R           +1  2+
 --R   (1)  m= |    |
 --R           +2  3+
---R                            Type: Equation Polynomial SquareMatrix(2,Integer)
+--R                          Type: Equation(Polynomial(SquareMatrix(2,Integer)))
 --E 62
 
 --S 63 of 188
@@ -819,7 +819,7 @@ m = [[1,2],[2,3]]  -- Should return type EQ POLY SQMATRIX(2, INT)
 --R 
 --R
 --R   (2)  [1,"asd"]
---R                                                               Type: List Any
+--R                                                              Type: List(Any)
 --E 63
 
 )set mes test off
@@ -889,8 +889,8 @@ t := MPOLY([x,y], INT)
 --R
 --R------------------------------- Operations --------------------------------
 --R
---R ?*? : (Fraction Integer,%) -> %       ?*? : (Integer,%) -> %
---R ?*? : (PositiveInteger,%) -> %        ?*? : (%,Fraction Integer) -> %
+--R ?*? : (Fraction(Integer),%) -> %      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?*? : (%,Fraction(Integer)) -> %
 --R ?*? : (%,Integer) -> %                ?*? : (%,%) -> %
 --R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
 --R ?-? : (%,%) -> %                      -? : % -> %
@@ -899,97 +899,98 @@ t := MPOLY([x,y], INT)
 --R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
 --R 1 : () -> %                           0 : () -> %
 --R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
---R coefficients : % -> List Integer      coerce : % -> OutputForm
---R coerce : Fraction Integer -> %        coerce : Integer -> %
+--R coefficients : % -> List(Integer)     coerce : % -> OutputForm
+--R coerce : Fraction(Integer) -> %       coerce : Integer -> %
 --R coerce : % -> %                       content : % -> Integer
---R convert : % -> InputForm              convert : % -> Pattern Float
---R convert : % -> Pattern Integer        eval : (%,Equation %) -> %
---R eval : (%,List Equation %) -> %       eval : (%,List %,List %) -> %
---R eval : (%,%,%) -> %                   factor : % -> Factored %
---R gcd : List % -> %                     gcd : (%,%) -> %
+--R convert : % -> InputForm              convert : % -> Pattern(Float)
+--R convert : % -> Pattern(Integer)       eval : (%,Equation(%)) -> %
+--R eval : (%,%,%) -> %                   factor : % -> Factored(%)
+--R gcd : List(%) -> %                    gcd : (%,%) -> %
 --R ground : % -> Integer                 ground? : % -> Boolean
 --R hash : % -> SingleInteger             latex : % -> String
---R lcm : List % -> %                     lcm : (%,%) -> %
+--R lcm : List(%) -> %                    lcm : (%,%) -> %
 --R leadingCoefficient : % -> Integer     leadingMonomial : % -> %
 --R max : (%,%) -> %                      min : (%,%) -> %
---R monomial? : % -> Boolean              monomials : % -> List %
+--R monomial? : % -> Boolean              monomials : % -> List(%)
 --R one? : % -> Boolean                   prime? : % -> Boolean
---R primitiveMonomials : % -> List %      primitivePart : % -> %
---R recip : % -> Union(%,"failed")        reductum : % -> %
---R retract : % -> Fraction Integer       retract : % -> Integer
---R sample : () -> %                      squareFree : % -> Factored %
---R squareFreePart : % -> %               unit? : % -> Boolean
---R unitCanonical : % -> %                zero? : % -> Boolean
---R ?~=? : (%,%) -> Boolean              
+--R primitivePart : % -> %                recip : % -> Union(%,"failed")
+--R reductum : % -> %                     retract : % -> Fraction(Integer)
+--R retract : % -> Integer                sample : () -> %
+--R squareFree : % -> Factored(%)         squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
 --R ?*? : (NonNegativeInteger,%) -> %
 --R ?**? : (%,NonNegativeInteger) -> %
---R D : (%,List OrderedVariableList [x,y],List NonNegativeInteger) -> %
---R D : (%,List OrderedVariableList [x,y]) -> %
---R D : (%,OrderedVariableList [x,y],NonNegativeInteger) -> %
---R D : (%,OrderedVariableList [x,y]) -> %
+--R D : (%,List(OrderedVariableList([x,y])),List(NonNegativeInteger)) -> %
+--R D : (%,List(OrderedVariableList([x,y]))) -> %
+--R D : (%,OrderedVariableList([x,y]),NonNegativeInteger) -> %
+--R D : (%,OrderedVariableList([x,y])) -> %
 --R ?^? : (%,NonNegativeInteger) -> %
 --R binomThmExpt : (%,%,NonNegativeInteger) -> %
 --R characteristic : () -> NonNegativeInteger
 --R charthRoot : % -> Union(%,"failed")
---R coefficient : (%,IndexedExponents OrderedVariableList [x,y]) -> Integer
---R coefficient : (%,List OrderedVariableList [x,y],List NonNegativeInteger) -> %
---R coefficient : (%,OrderedVariableList [x,y],NonNegativeInteger) -> %
---R coerce : OrderedVariableList [x,y] -> %
---R conditionP : Matrix % -> Union(Vector %,"failed")
---R content : (%,OrderedVariableList [x,y]) -> %
---R degree : % -> IndexedExponents OrderedVariableList [x,y]
---R degree : (%,List OrderedVariableList [x,y]) -> List NonNegativeInteger
---R degree : (%,OrderedVariableList [x,y]) -> NonNegativeInteger
---R differentiate : (%,List OrderedVariableList [x,y],List NonNegativeInteger) -> %
---R differentiate : (%,List OrderedVariableList [x,y]) -> %
---R differentiate : (%,OrderedVariableList [x,y],NonNegativeInteger) -> %
---R differentiate : (%,OrderedVariableList [x,y]) -> %
---R discriminant : (%,OrderedVariableList [x,y]) -> %
---R eval : (%,List OrderedVariableList [x,y],List Integer) -> %
---R eval : (%,List OrderedVariableList [x,y],List %) -> %
---R eval : (%,OrderedVariableList [x,y],Integer) -> %
---R eval : (%,OrderedVariableList [x,y],%) -> %
+--R coefficient : (%,IndexedExponents(OrderedVariableList([x,y]))) -> Integer
+--R coefficient : (%,List(OrderedVariableList([x,y])),List(NonNegativeInteger)) -> %
+--R coefficient : (%,OrderedVariableList([x,y]),NonNegativeInteger) -> %
+--R coerce : OrderedVariableList([x,y]) -> %
+--R conditionP : Matrix(%) -> Union(Vector(%),"failed")
+--R content : (%,OrderedVariableList([x,y])) -> %
+--R degree : % -> IndexedExponents(OrderedVariableList([x,y]))
+--R degree : (%,List(OrderedVariableList([x,y]))) -> List(NonNegativeInteger)
+--R degree : (%,OrderedVariableList([x,y])) -> NonNegativeInteger
+--R differentiate : (%,List(OrderedVariableList([x,y])),List(NonNegativeInteger)) -> %
+--R differentiate : (%,List(OrderedVariableList([x,y]))) -> %
+--R differentiate : (%,OrderedVariableList([x,y]),NonNegativeInteger) -> %
+--R differentiate : (%,OrderedVariableList([x,y])) -> %
+--R discriminant : (%,OrderedVariableList([x,y])) -> %
+--R eval : (%,List(Equation(%))) -> %
+--R eval : (%,List(OrderedVariableList([x,y])),List(Integer)) -> %
+--R eval : (%,List(OrderedVariableList([x,y])),List(%)) -> %
+--R eval : (%,List(%),List(%)) -> %
+--R eval : (%,OrderedVariableList([x,y]),Integer) -> %
+--R eval : (%,OrderedVariableList([x,y]),%) -> %
 --R exquo : (%,Integer) -> Union(%,"failed")
 --R exquo : (%,%) -> Union(%,"failed")
---I factorPolynomial : SparseUnivariatePolynomial % -> Factored ...
---I factorSquareFreePolynomial : SparseUnivariatePolynomial % -> ...
---I gcdPolynomial : (SparseUnivariatePolynomial %,...
---I isExpt : % -> Union(Record(var: OrderedVariableList [x,y],...
---R isPlus : % -> Union(List %,"failed")
---R isTimes : % -> Union(List %,"failed")
---R mainVariable : % -> Union(OrderedVariableList [x,y],"failed")
+--R factorPolynomial : SparseUnivariatePolynomial(%) -> Factored(SparseUnivariatePolynomial(%))
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial(%) -> Factored(SparseUnivariatePolynomial(%))
+--R gcdPolynomial : (SparseUnivariatePolynomial(%),SparseUnivariatePolynomial(%)) -> SparseUnivariatePolynomial(%)
+--R isExpt : % -> Union(Record(var: OrderedVariableList([x,y]),exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List(%),"failed")
+--R isTimes : % -> Union(List(%),"failed")
+--R mainVariable : % -> Union(OrderedVariableList([x,y]),"failed")
 --R map : ((Integer -> Integer),%) -> %
---I mapExponents : ((IndexedExponents OrderedVariableList [x,y] -> ...
---R minimumDegree : % -> IndexedExponents OrderedVariableList [x,y]
---I minimumDegree : (%,List OrderedVariableList [x,y]) -> ...
---R minimumDegree : (%,OrderedVariableList [x,y]) -> NonNegativeInteger
---I monicDivide : (%,%,OrderedVariableList [x,y]) -> ...
---R monomial : (Integer,IndexedExponents OrderedVariableList [x,y]) -> %
---R monomial : (%,List OrderedVariableList [x,y],List NonNegativeInteger) -> %
---R monomial : (%,OrderedVariableList [x,y],NonNegativeInteger) -> %
---I multivariate : (SparseUnivariatePolynomial Integer,...
---I multivariate : (SparseUnivariatePolynomial %,OrderedVariableList [x,y]) ...
+--R mapExponents : ((IndexedExponents(OrderedVariableList([x,y])) -> IndexedExponents(OrderedVariableList([x,y]))),%) -> %
+--R minimumDegree : % -> IndexedExponents(OrderedVariableList([x,y]))
+--R minimumDegree : (%,List(OrderedVariableList([x,y]))) -> List(NonNegativeInteger)
+--R minimumDegree : (%,OrderedVariableList([x,y])) -> NonNegativeInteger
+--R monicDivide : (%,%,OrderedVariableList([x,y])) -> Record(quotient: %,remainder: %)
+--R monomial : (Integer,IndexedExponents(OrderedVariableList([x,y]))) -> %
+--R monomial : (%,List(OrderedVariableList([x,y])),List(NonNegativeInteger)) -> %
+--R monomial : (%,OrderedVariableList([x,y]),NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial(Integer),OrderedVariableList([x,y])) -> %
+--R multivariate : (SparseUnivariatePolynomial(%),OrderedVariableList([x,y])) -> %
 --R numberOfMonomials : % -> NonNegativeInteger
---I patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> ...
---I patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> ...
---R pomopo! : (%,Integer,IndexedExponents OrderedVariableList [x,y],%) -> %
---R primitivePart : (%,OrderedVariableList [x,y]) -> %
---R reducedSystem : Matrix % -> Matrix Integer
---I reducedSystem : (Matrix %,Vector %) -> ...
---R resultant : (%,%,OrderedVariableList [x,y]) -> %
---R retract : % -> OrderedVariableList [x,y]
---R retractIfCan : % -> Union(Fraction Integer,"failed")
+--R patternMatch : (%,Pattern(Float),PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%)
+--R patternMatch : (%,Pattern(Integer),PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%)
+--R pomopo! : (%,Integer,IndexedExponents(OrderedVariableList([x,y])),%) -> %
+--R primitiveMonomials : % -> List(%)
+--R primitivePart : (%,OrderedVariableList([x,y])) -> %
+--R reducedSystem : Matrix(%) -> Matrix(Integer)
+--R reducedSystem : (Matrix(%),Vector(%)) -> Record(mat: Matrix(Integer),vec: Vector(Integer))
+--R resultant : (%,%,OrderedVariableList([x,y])) -> %
+--R retract : % -> OrderedVariableList([x,y])
+--R retractIfCan : % -> Union(Fraction(Integer),"failed")
 --R retractIfCan : % -> Union(Integer,"failed")
---R retractIfCan : % -> Union(OrderedVariableList [x,y],"failed")
---I solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,...
---I squareFreePolynomial : SparseUnivariatePolynomial % -> ...
+--R retractIfCan : % -> Union(OrderedVariableList([x,y]),"failed")
+--R solveLinearPolynomialEquation : (List(SparseUnivariatePolynomial(%)),SparseUnivariatePolynomial(%)) -> Union(List(SparseUnivariatePolynomial(%)),"failed")
+--R squareFreePolynomial : SparseUnivariatePolynomial(%) -> Factored(SparseUnivariatePolynomial(%))
 --R subtractIfCan : (%,%) -> Union(%,"failed")
---R totalDegree : (%,List OrderedVariableList [x,y]) -> NonNegativeInteger
+--R totalDegree : (%,List(OrderedVariableList([x,y]))) -> NonNegativeInteger
 --R totalDegree : % -> NonNegativeInteger
 --R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
---R univariate : % -> SparseUnivariatePolynomial Integer
---R univariate : (%,OrderedVariableList [x,y]) -> SparseUnivariatePolynomial %
---R variables : % -> List OrderedVariableList [x,y]
+--R univariate : % -> SparseUnivariatePolynomial(Integer)
+--R univariate : (%,OrderedVariableList([x,y])) -> SparseUnivariatePolynomial(%)
+--R variables : % -> List(OrderedVariableList([x,y]))
 --R
 --R
 --E 67
@@ -1054,11 +1055,11 @@ factorp(x**2+x+5,7,1)
 --R      partial) type contains a local variable.
 --R   AXIOM will attempt to step through and interpret the code.
 --R   Compiling function factorp with type (UnivariatePolynomial(x,Integer
---R      ),PositiveInteger,PositiveInteger) -> List UnivariatePolynomial(x
---R      ,Integer) 
+--R      ),PositiveInteger,PositiveInteger) -> List(UnivariatePolynomial(x
+--R      ,Integer)) 
 --R
 --R   (3)  [x + 2,x + 6]
---R                                   Type: List UnivariatePolynomial(x,Integer)
+--R                                  Type: List(UnivariatePolynomial(x,Integer))
 --E 74
 
 \end{chunk}
@@ -1071,7 +1072,7 @@ b:= 1..10
 --R 
 --R
 --R   (1)  1..10
---R                                                Type: Segment PositiveInteger
+--R                                               Type: Segment(PositiveInteger)
 --E 75
 
 --S 76 of 188
@@ -1100,49 +1101,49 @@ macro RN == FRAC INT
 a51:=x+y+z+t+u;
 --R 
 --R
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 78
 
 --S 79 of 188
 a52:=x*y+y*z+z*t+x*u+t*u;
 --R 
 --R
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 79
 
 --S 80 of 188
 a53:=x*y*z+y*z*t+x*y*u+x*t*u+z*t*u;
 --R 
 --R
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 80
 
 --S 81 of 188
 a54:=x*y*z*t+x*y*z*u+x*y*t*u+x*z*t*u+y*z*t*u;
 --R 
 --R
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 81
 
 --S 82 of 188
 a55:=x*y*z*t*u-1;
 --R 
 --R
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 82
 
 --S 83 of 188
 arnborg5: List HDMP([x,y,z,t,u],RN):=[a51,a52,a53,a54,a55];
 --R 
 --R
---IType: List HomogeneousDistributedMultivariatePolynomial(...
+--RType: List(HomogeneousDistributedMultivariatePolynomial([x,y,z,t,u],Fraction(Integer)))
 --E 83
 
 --S 84 of 188
 arnborg5l: List DMP([x,y,z,t,u],RN):=[a51,a52,a53,a54,a55];
 --R 
 --R
---R   Type: List DistributedMultivariatePolynomial([x,y,z,t,u],Fraction Integer)
+--R Type: List(DistributedMultivariatePolynomial([x,y,z,t,u],Fraction(Integer)))
 --E 84
 
 \end{chunk}
@@ -1162,11 +1163,11 @@ factorp(x**2+x+5,7,1)
 --R 
 --R   Cannot compile conversion for types involving local variables. In 
 --R      particular, could not compile the expression involving :: UP(x,PF
---R      #2) 
+--R      (#2)) 
 --R   AXIOM will attempt to step through and interpret the code.
 --R
 --R   (2)  [x + 2,x + 6]
---R                                   Type: List UnivariatePolynomial(x,Integer)
+--R                                  Type: List(UnivariatePolynomial(x,Integer))
 --E 86
 
 \end{chunk}
@@ -1240,7 +1241,7 @@ s::SQMATRIX(2, FRAC INT)
 --R        +1  2+
 --R   (2)  |    |
 --R        +2  3+
---R                                       Type: SquareMatrix(2,Fraction Integer)
+--R                                      Type: SquareMatrix(2,Fraction(Integer))
 --E 92
 
 \end{chunk}
@@ -1252,7 +1253,7 @@ SquareMatric resolve bug
 Mat := SquareMatrix(2, Polynomial Integer)
 --R 
 --R
---R   (1)  SquareMatrix(2,Polynomial Integer)
+--R   (1)  SquareMatrix(2,Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 93
 
@@ -1263,7 +1264,7 @@ s:Mat := matrix [[ 2*x + 1, x], [x, 1]]
 --R        +2x + 1  x+
 --R   (2)  |         |
 --R        +  x     1+
---R                                     Type: SquareMatrix(2,Polynomial Integer)
+--R                                    Type: SquareMatrix(2,Polynomial(Integer))
 --E 94
 
 --S 95 of 188
@@ -1275,7 +1276,7 @@ s**3
 --R   (3)  |                                    |
 --R        |     3     2            3     2     |
 --R        +   5x  + 6x  + 3x     2x  + 3x  + 1 +
---R                                     Type: SquareMatrix(2,Polynomial Integer)
+--R                                    Type: SquareMatrix(2,Polynomial(Integer))
 --E 95
 
 --S 96 of 188
@@ -1285,7 +1286,7 @@ s**3
 --R        +12  5+ 3   +15  6+ 2   +6  3+    +1  0+
 --R   (4)  |     |x  + |     |x  + |    |x + |    |
 --R        +5   2+     +6   3+     +3  0+    +0  1+
---R                                     Type: Polynomial SquareMatrix(2,Integer)
+--R                                    Type: Polynomial(SquareMatrix(2,Integer))
 --E 96
 
 \end{chunk}
@@ -1333,7 +1334,7 @@ x+1::EXPR INT
 --R 
 --R
 --R   (1)  x + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 100
 
 --S 101 of 188
@@ -1341,7 +1342,7 @@ x+1::EXPR INT
 --R 
 --R
 --R   (2)  x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 101
 
 \end{chunk}
@@ -1354,7 +1355,7 @@ solve([[1,2],[2,3]],[-2,3])
 --R 
 --R
 --R   (1)  [particular= [12,- 7],basis= [[0,0]]]
---IType: Record(particular: Union(Vector Fraction Integer,"failed"),...
+--RType: Record(particular: Union(Vector(Fraction(Integer)),"failed"),basis: List(Vector(Fraction(Integer))))
 --E 102
 
 \end{chunk}
@@ -1369,7 +1370,7 @@ eval(m**2, m=[[1,2],[2,3]])
 --R        +5  8 +
 --R   (1)  |     |
 --R        +8  13+
---R                                     Type: Polynomial SquareMatrix(2,Integer)
+--R                                    Type: Polynomial(SquareMatrix(2,Integer))
 --E 103
 
 \end{chunk}
@@ -1390,7 +1391,7 @@ r: Ring
 w: RF INT
 --R 
 --R 
---R   RationalFunction Integer is a package, not a domain, and 
+--R   RationalFunction(Integer) is a package, not a domain, and 
 --R      declarations require domains.
 --E 105
 
@@ -1439,7 +1440,7 @@ p: POLY FLOAT := (x-1)**30
 --R   + 
 --R               3          2
 --R     - 4060.0 x  + 435.0 x  - 30.0 x + 1.0
---R                                                       Type: Polynomial Float
+--R                                                      Type: Polynomial(Float)
 --E 107
 
 --draw(p, x=-1..1)
@@ -1491,7 +1492,7 @@ Bug in evaluateType. fixed by SCM in May 1991
 RFI := FRAC POLY INT
 --R 
 --R
---R   (1)  Fraction Polynomial Integer
+--R   (1)  Fraction(Polynomial(Integer))
 --R                                                                 Type: Domain
 --E 112
 
@@ -1504,7 +1505,7 @@ g:DMP([x,y], RFI) := a**2*x**2/b**2 - c**2*y**2/d**2
 --R   (2)  -- x  - -- y
 --R         2       2
 --R        b       d
---R   Type: DistributedMultivariatePolynomial([x,y],Fraction Polynomial Integer)
+--R Type: DistributedMultivariatePolynomial([x,y],Fraction(Polynomial(Integer)))
 --E 113
 
 --S 114 of 188
@@ -1516,7 +1517,7 @@ factor g
 --R   (3)  -- (x - --- y)(x + --- y)
 --R         2      a d        a d
 --R        b
---IType: Factored DistributedMultivariatePolynomial(...
+--RType: Factored(DistributedMultivariatePolynomial([x,y],Fraction(Polynomial(Integer))))
 --E 114
 
 \end{chunk}
@@ -1580,7 +1581,7 @@ s := series(sin(a*x), x=0)
 --R              a   3    a   5    a    7     a     9      a      11      12
 --R   (1)  a x - -- x  + --- x  - ---- x  + ------ x  - -------- x   + O(x  )
 --R               6      120      5040      362880      39916800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 119
 
 --S 120 of 188
@@ -1595,7 +1596,7 @@ s - a*x
 --R   + 
 --R        14
 --R     O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 120
 
 --S 121 of 188
@@ -1604,7 +1605,7 @@ s - sin(a*x)
 --R
 --R           21
 --R   (3)  O(x  )
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 121
 
 \end{chunk}
@@ -1617,7 +1618,7 @@ sin %i
 --R 
 --R
 --R   (1)  sin(%i)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 122
 
 --S 123 of 188
@@ -1626,7 +1627,7 @@ sin sqrt 2
 --R
 --R             +-+
 --R   (2)  sin(\|2 )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 123
 
 --S 124 of 188
@@ -1635,7 +1636,7 @@ sin sqrt 2
 --R
 --R           +-+
 --R   (3)  %i\|2
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 124
 
 --S 125 of 188
@@ -1644,7 +1645,7 @@ sin(%i*sqrt 2)
 --R
 --R               +-+
 --R   (4)  sin(%i\|2 )
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 125
 
 --S 126 of 188
@@ -1652,7 +1653,7 @@ sin(%i*sqrt 2)
 --R 
 --R
 --R   (5)  %i sin(x)
---R                                             Type: Expression Complex Integer
+--R                                           Type: Expression(Complex(Integer))
 --E 126
 
 --S 127 of 188
@@ -1663,7 +1664,7 @@ sin(x/sqrt(2))
 --R            x\|2
 --R   (6)  sin(-----)
 --R              2
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 127
 
 \end{chunk}
@@ -1687,7 +1688,7 @@ primaryDecomp xx
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      primaryDecomp with argument type(s) 
---R                                 Variable xx
+--R                                Variable(xx)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -1710,7 +1711,7 @@ f l ==
 --S 130 of 188
 f [10,2,53]
 --R 
---R   Compiling function f with type List PositiveInteger -> 
+--R   Compiling function f with type List(PositiveInteger) -> 
 --R      PositiveInteger 
 --R
 --R   (2)  85
@@ -1727,7 +1728,7 @@ g l ==
 --S 132 of 188
 w := g [23,1,341,12] ;
 --R 
---R   Compiling function g with type List PositiveInteger -> (Integer -> 
+--R   Compiling function g with type List(PositiveInteger) -> (Integer -> 
 --R      Integer) 
 --R
 --R                                                   Type: (Integer -> Integer)
@@ -1765,7 +1766,7 @@ a := 2/3
 --R        2
 --R   (1)  -
 --R        3
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 135
 
 )set mes test off
@@ -1784,7 +1785,7 @@ b := x+1
 --R 
 --R
 --R   (2)  x + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 137
 
 --S 138 of 188
@@ -1792,7 +1793,7 @@ b:: EXPR FLOAT
 --R 
 --R
 --R   (3)  x + 1.0
---R                                                       Type: Expression Float
+--R                                                      Type: Expression(Float)
 --E 138
 
 \end{chunk}
@@ -1821,7 +1822,7 @@ f(a,b) == symbol(a,b)
 f('abc,3)
 --R 
 --R   Compiling function symbol with type (Symbol,Integer) -> Symbol 
---R   Compiling function f with type (Variable abc,PositiveInteger) -> 
+--R   Compiling function f with type (Variable(abc),PositiveInteger) -> 
 --R      Symbol 
 --R
 --R   (3)  abc3
@@ -1846,7 +1847,7 @@ y := f(x)
 --R 
 --R
 --R   (2)  f(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 143
 
 --S 144 of 188
@@ -1865,11 +1866,11 @@ eval(y, 'f, foo)
 --R      to learn more about the available operations. Perhaps 
 --R      package-calling the operation or using coercions on the arguments
 --R      will allow you to apply the operation.
---R   Compiling function foo with type Expression Integer -> Expression 
---R      Integer 
+--R   Compiling function foo with type Expression(Integer) -> Expression(
+--R      Integer) 
 --R
 --R   (4)  sin(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 145
 
 \end{chunk}
@@ -1882,7 +1883,7 @@ init()$(PF 3)
 --R 
 --R
 --R   (1)  0
---R                                                           Type: PrimeField 3
+--R                                                          Type: PrimeField(3)
 --E 146
 
 \end{chunk}
@@ -1901,7 +1902,7 @@ DP bug.  Don't know where this came from, but its fixed. DP makes problems:
 dmp := DMP([u1,u2,u3],Fraction INT)
 --R 
 --R
---R   (1)  DistributedMultivariatePolynomial([u1,u2,u3],Fraction Integer)
+--R   (1)  DistributedMultivariatePolynomial([u1,u2,u3],Fraction(Integer))
 --R                                                                 Type: Domain
 --E 147
 
@@ -1911,7 +1912,7 @@ p : dmp := 2*u1**4*u2*u3
 --R
 --R           4
 --R   (2)  2u1 u2 u3
---R         Type: DistributedMultivariatePolynomial([u1,u2,u3],Fraction Integer)
+--R        Type: DistributedMultivariatePolynomial([u1,u2,u3],Fraction(Integer))
 --E 148
 
 --S 149 of 188
@@ -1967,7 +1968,7 @@ m:=matrix [[1,2],[3,4]]
 --R        +1  2+
 --R   (2)  |    |
 --R        +3  4+
---R                                                         Type: Matrix Integer
+--R                                                        Type: Matrix(Integer)
 --E 154
 
 --S 155 of 188
@@ -2015,7 +2016,7 @@ g:=sin(x)+cos(x)
 --R 
 --R
 --R   (2)  sin(x) + cos(x)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 159
 
 --S 160 of 188
@@ -2023,7 +2024,7 @@ k:=kernels(g).1
 --R 
 --R
 --R   (3)  sin(x)
---R                                              Type: Kernel Expression Integer
+--R                                            Type: Kernel(Expression(Integer))
 --E 160
 
 )set mes test off
@@ -2040,8 +2041,8 @@ splitPoly([g],k) -- this is an incorrect call
 --R      will allow you to apply the operation.
 --R   Cannot find a definition or applicable library operation named 
 --R      univariate with argument type(s) 
---R                           List Expression Integer
---R                          Kernel Expression Integer
+--R                          List(Expression(Integer))
+--R                         Kernel(Expression(Integer))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -2056,8 +2057,8 @@ splitPoly([g],k) -- this is an incorrect call
 --R 
 --R   Cannot find a definition or applicable library operation named 
 --R      univariate with argument type(s) 
---R                           List Expression Integer
---R                          Kernel Expression Integer
+--R                          List(Expression(Integer))
+--R                         Kernel(Expression(Integer))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -2069,12 +2070,12 @@ splitPoly([g],k) -- this is an incorrect call
 splitPoly(numer g,k) -- this is a correct call
 --R 
 --R   Compiling function splitPoly with type (SparseMultivariatePolynomial
---R      (Integer,Kernel Expression Integer),Kernel Expression Integer)
---R       -> List SparseMultivariatePolynomial(Integer,Kernel Expression 
---R      Integer) 
+--R      (Integer,Kernel(Expression(Integer))),Kernel(Expression(Integer))
+--R      ) -> List(SparseMultivariatePolynomial(Integer,Kernel(Expression(
+--R      Integer)))) 
 --R
 --R   (4)  [sin(x),cos(x)]
---R   Type: List SparseMultivariatePolynomial(Integer,Kernel Expression Integer)
+--RType: List(SparseMultivariatePolynomial(Integer,Kernel(Expression(Integer))))
 --E 162
 
 \end{chunk}
@@ -2117,7 +2118,7 @@ f x == 1/factorial(x)
 --S 166 of 188
 series(f, x=0)
 --R 
---R   Compiling function f with type Integer -> Expression Integer 
+--R   Compiling function f with type Integer -> Expression(Integer) 
 --R
 --R   (2)
 --R             1  2   1  3    1  4    1   5    1   6     1   7     1    8
@@ -2127,7 +2128,7 @@ series(f, x=0)
 --R        1    9      1     10      11
 --R     ------ x  + ------- x   + O(x  )
 --R     362880      3628800
---R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 166
 
 \end{chunk}
@@ -2174,33 +2175,33 @@ i4 == vb/r4
 --S 173 of 188
 node_a
 --R 
---R   Compiling body of rule i1 to compute value of type Fraction 
---R      Polynomial Integer 
---R   Compiling body of rule i2 to compute value of type Fraction 
---R      Polynomial Integer 
---R   Compiling body of rule i3 to compute value of type Fraction 
---R      Polynomial Integer 
---R   Compiling body of rule nodea to compute value of type Equation 
---R      Fraction Polynomial Integer 
+--R   Compiling body of rule i1 to compute value of type Fraction(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule i2 to compute value of type Fraction(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule i3 to compute value of type Fraction(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule nodea to compute value of type Equation(
+--R      Fraction(Polynomial(Integer))) 
 --R
 --R        (- r1 r3 - r1 r2)vb + ((r2 + r1)r3 + r1 r2)va + (i6 - i5)r1 r2 r3
 --R   (7)  -----------------------------------------------------------------= 0
 --R                                     r1 r2 r3
---R                                   Type: Equation Fraction Polynomial Integer
+--R                                Type: Equation(Fraction(Polynomial(Integer)))
 --E 173
 
 --S 174 of 188
 node_b
 --R 
---R   Compiling body of rule i4 to compute value of type Fraction 
---R      Polynomial Integer 
---R   Compiling body of rule nodeb to compute value of type Equation 
---R      Fraction Polynomial Integer 
+--R   Compiling body of rule i4 to compute value of type Fraction(
+--R      Polynomial(Integer)) 
+--R   Compiling body of rule nodeb to compute value of type Equation(
+--R      Fraction(Polynomial(Integer))) 
 --R
 --R        ((r3 + r2)r4 + r2 r3)vb + (- r3 - r2)r4 va - i6 r2 r3 r4
 --R   (8)  --------------------------------------------------------= 0
 --R                                r2 r3 r4
---R                                   Type: Equation Fraction Polynomial Integer
+--R                                Type: Equation(Fraction(Polynomial(Integer)))
 --E 174
 
 --S 175 of 188
@@ -2224,15 +2225,15 @@ x2 == rhs(ans.1.2)
 --S 178 of 188
 x1       -- (**)
 --R 
---R   Compiling body of rule ans to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
---R   Compiling body of rule x1 to compute value of type Fraction 
---R      Polynomial Integer 
+--R   Compiling body of rule ans to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
+--R   Compiling body of rule x1 to compute value of type Fraction(
+--R      Polynomial(Integer)) 
 --R
 --R         (i5 r1 r3 + i5 r1 r2)r4 + (- i6 + i5)r1 r2 r3
 --R   (12)  ---------------------------------------------
 --R               (r3 + r2)r4 + (r2 + r1)r3 + r1 r2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 178
 
 --S 179 of 188
@@ -2249,19 +2250,19 @@ r1 == 2  -- (***)
 x1       -- (****)
 --R 
 --R   Compiling body of rule r1 to compute value of type PositiveInteger 
---R   Compiling body of rule i1 to compute value of type Polynomial 
---R      Fraction Integer 
---R   Compiling body of rule nodea to compute value of type Equation 
---R      Fraction Polynomial Integer 
---R   Compiling body of rule ans to compute value of type List List 
---R      Equation Fraction Polynomial Integer 
---R   Compiling body of rule x1 to compute value of type Fraction 
---R      Polynomial Integer 
+--R   Compiling body of rule i1 to compute value of type Polynomial(
+--R      Fraction(Integer)) 
+--R   Compiling body of rule nodea to compute value of type Equation(
+--R      Fraction(Polynomial(Integer))) 
+--R   Compiling body of rule ans to compute value of type List(List(
+--R      Equation(Fraction(Polynomial(Integer))))) 
+--R   Compiling body of rule x1 to compute value of type Fraction(
+--R      Polynomial(Integer)) 
 --R
 --R         (2i5 r3 + 2i5 r2)r4 + (- 2i6 + 2i5)r2 r3
 --R   (14)  ----------------------------------------
 --R              (r3 + r2)r4 + (r2 + 2)r3 + 2r2
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 180
 
 \end{chunk}
@@ -2308,7 +2309,7 @@ s
 --R        1
 --R   (3)  -
 --R        2
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 184
 
 )clear all
@@ -2350,11 +2351,11 @@ t x ==
 --S 188 of 188
 t 1
 --R 
---R   Compiling function t with type PositiveInteger -> List 
---R      PositiveInteger 
+--R   Compiling function t with type PositiveInteger -> List(
+--R      PositiveInteger) 
 --R
 --R   (2)  [1]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 188
 )spool 
 )lisp (bye)
diff --git a/src/input/testprob.input.pamphlet b/src/input/testprob.input.pamphlet
index 257db91..85432ad 100644
--- a/src/input/testprob.input.pamphlet
+++ b/src/input/testprob.input.pamphlet
@@ -23,7 +23,7 @@ ex:=(3/7)^(4*x-5)*(7/3)^(2*x-7)=1
 --R         3 4x - 5 7 2x - 7
 --R   (1)  (-)      (-)      = 1
 --R         7        3
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 1
 
 --S 2 of 9
@@ -32,21 +32,21 @@ rule1:=(rule log(7/3)==-log(3/7))
 --R            7           3
 --R   (2)  log(-) == - log(-)
 --R            3           7
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 2
 
 --S 3 of 9
 rule1 rhs solve(map(expandLog,map(log,ex)),x).1
 --R
 --R   (3)  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 9
 rule1 rhs solve(expandLog log lhs ex,x).1
 --R
 --R   (4)  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 9
@@ -55,21 +55,21 @@ rule2:=rule((a/b)^c*(b/a)^d == (a/b)^(c-d))
 --R            a c b d        a - d + c
 --I   (5)  %P (-) (-)  == %P (-)
 --R            b   a          b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--R                       Type: RewriteRule(Integer,Integer,Expression(Integer))
 --E 5
 
 --S 6 of 9
 solve((rule2 lhs ex)=(rhs ex),x)
 --R
 --R   (6)  [x= - 1]
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 6
 
 --S 7 of 9
 res:=solve(ex,x)
 --R
 --R   (7)  []
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 7
 
 \end{chunk}
@@ -93,7 +93,7 @@ eval(ex,x=res1)
 --R         3 4res1 - 5 7 2res1 - 7
 --R   (8)  (-)         (-)         = 1
 --R         7           3
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 9
 )spool 
 )lisp (bye)
diff --git a/src/input/tpiezas001.input.pamphlet b/src/input/tpiezas001.input.pamphlet
index 3b51863..9044305 100644
--- a/src/input/tpiezas001.input.pamphlet
+++ b/src/input/tpiezas001.input.pamphlet
@@ -31,7 +31,7 @@ t1a:=(a+b)^3 + (a+c)^3 + (a+d)^3 + (a-b)^3 + (a-c)^3 + (a-d)^3
 --R
 --R            2       2       2     3
 --R   (1)  6a d  + 6a c  + 6a b  + 6a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 1
 
 --S 2 of 91
@@ -40,7 +40,7 @@ t1b:=6*a*(a^2+b^2+c^2+d^2)
 --R
 --R            2       2       2     3
 --R   (2)  6a d  + 6a c  + 6a b  + 6a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 2
 
 --S 3 of 91
@@ -48,7 +48,7 @@ t1a-t1b
 --R 
 --R
 --R   (3)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 3
 
 \end{chunk}
@@ -76,7 +76,7 @@ t2b(k)==6*(a^2+b^2+c^2+d^2)^(k/2)
 --S 6 of 91
 t2a(k)
 --R 
---R   Compiling function t2a with type Variable k -> Expression Integer 
+--R   Compiling function t2a with type Variable(k) -> Expression(Integer) 
 --R
 --R   (6)
 --R            k          k          k          k          k          k
@@ -84,41 +84,41 @@ t2a(k)
 --R   + 
 --R            k            k            k            k            k            k
 --R   (- b + a)  + (- c + b)  + (- c + a)  + (- d + c)  + (- d + b)  + (- d + a)
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 91
 t2b(k)
 --R 
---R   Compiling function t2b with type Variable k -> Expression Integer 
+--R   Compiling function t2b with type Variable(k) -> Expression(Integer) 
 --R
 --R                            k
 --R                            -
 --R           2    2    2    2 2
 --R   (7)  6(d  + c  + b  + a )
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 --S 8 of 91
 t2a(2)
 --R 
---R   Compiling function t2a with type PositiveInteger -> Polynomial 
---R      Integer 
+--R   Compiling function t2a with type PositiveInteger -> Polynomial(
+--R      Integer) 
 --R
 --R          2     2     2     2
 --R   (8)  6d  + 6c  + 6b  + 6a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 8
 
 --S 9 of 91
 t2b(2)
 --R 
---R   Compiling function t2b with type PositiveInteger -> Expression 
---R      Integer 
+--R   Compiling function t2b with type PositiveInteger -> Expression(
+--R      Integer) 
 --R
 --R          2     2     2     2
 --R   (9)  6d  + 6c  + 6b  + 6a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 9
 
 --S 10 of 91
@@ -126,7 +126,7 @@ t2a(2)-t2b(2)
 --R 
 --R
 --R   (10)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 10
 
 --S 11 of 91
@@ -136,7 +136,7 @@ t2a(4)
 --R   (11)
 --R     4       2      2      2  2     4       2      2  2     4      2 2     4
 --R   6d  + (12c  + 12b  + 12a )d  + 6c  + (12b  + 12a )c  + 6b  + 12a b  + 6a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 11
 
 --S 12 of 91
@@ -146,7 +146,7 @@ t2b(4)
 --R   (12)
 --R     4       2      2      2  2     4       2      2  2     4      2 2     4
 --R   6d  + (12c  + 12b  + 12a )d  + 6c  + (12b  + 12a )c  + 6b  + 12a b  + 6a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 12
 
 --S 13 of 91
@@ -154,7 +154,7 @@ t2a(4)-t2b(4)
 --R 
 --R
 --R   (13)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 13
 \end{chunk}
 
@@ -170,7 +170,7 @@ t3a1 := (a+b)^2 - (a-b)^2
 --R 
 --R
 --R   (14)  4a b
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 14
 
 --S 15 of 91
@@ -178,7 +178,7 @@ t3b1 := 4*a*b
 --R 
 --R
 --R   (15)  4a b
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 15
 
 --S 16 of 91
@@ -186,7 +186,7 @@ t3a1-t3b1
 --R 
 --R
 --R   (16)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 16
 
 --S 17 of 91
@@ -194,7 +194,7 @@ t3a2 := (a+b+c)^3 - (a-b+c)^3 - (a+b-c)^3 + (a-b-c)^3
 --R 
 --R
 --R   (17)  24a b c
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 17
 
 --S 18 of 91
@@ -202,7 +202,7 @@ t3b2 := 24*a*b*c
 --R 
 --R
 --R   (18)  24a b c
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 18
 
 --S 19 of 91
@@ -210,7 +210,7 @@ t3a2-t3b2
 --R 
 --R
 --R   (19)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 19
 
 --S 20 of 91
@@ -219,7 +219,7 @@ t3a3 := (a+b+c+d)^4 - (a-b+c+d)^4 - (a+b-c+d)^4 - (a+b+c-d)^4
 --R 
 --R
 --R   (20)  192a b c d
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 20
 
 --S 21 of 91
@@ -227,7 +227,7 @@ t3b3 := 192*a*b*c*d
 --R 
 --R
 --R   (21)  192a b c d
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 21
 
 --S 22 of 91
@@ -235,7 +235,7 @@ t3a3-t3b3
 --R 
 --R
 --R   (22)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 22
 
 \end{chunk}
@@ -265,8 +265,8 @@ bitlist(size:Integer):List List INT ==
     result:=cons(t1,result)
   result
 --R 
---R   Function declaration bitlist : Integer -> List List Integer has been
---R      added to workspace.
+--R   Function declaration bitlist : Integer -> List(List(Integer)) has 
+--R      been added to workspace.
 --R                                                                   Type: Void
 --E 23
 
@@ -276,10 +276,10 @@ These are the test cases.
 --S 24 of 91
 bitlist(1)
 --R 
---R   Compiling function bitlist with type Integer -> List List Integer 
+--R   Compiling function bitlist with type Integer -> List(List(Integer)) 
 --R
 --R   (24)  []
---R                                                      Type: List List Integer
+--R                                                    Type: List(List(Integer))
 --E 24
 
 --S 25 of 91
@@ -289,7 +289,7 @@ bitlist(2)
 --I   Compiling function G7332 with type NonNegativeInteger -> Boolean 
 --R
 --R   (25)  [[0],[1]]
---R                                                      Type: List List Integer
+--R                                                    Type: List(List(Integer))
 --E 25
 
 --S 26 of 91
@@ -297,7 +297,7 @@ bitlist(3)
 --R 
 --R
 --R   (26)  [[0,0],[0,1],[1,0],[1,1]]
---R                                                      Type: List List Integer
+--R                                                    Type: List(List(Integer))
 --E 26
 
 --S 27 of 91
@@ -305,7 +305,7 @@ bitlist(4)
 --R 
 --R
 --R   (27)  [[0,0,0],[0,0,1],[0,1,0],[0,1,1],[1,0,0],[1,0,1],[1,1,0],[1,1,1]]
---R                                                      Type: List List Integer
+--R                                                    Type: List(List(Integer))
 --E 27
 
 \end{chunk}
@@ -315,8 +315,8 @@ Now we need a function to generate a list of subscripted symbols
 --S 28 of 91
 symgen(var:Symbol,size:PI):List Symbol == [var.[i] for i in size..1 by -1]
 --R 
---R   Function declaration symgen : (Symbol,PositiveInteger) -> List 
---R      Symbol has been added to workspace.
+--R   Function declaration symgen : (Symbol,PositiveInteger) -> List(
+--R      Symbol) has been added to workspace.
 --R                                                                   Type: Void
 --E 28
 
@@ -324,11 +324,11 @@ symgen(var:Symbol,size:PI):List Symbol == [var.[i] for i in size..1 by -1]
 symgen('a,4)
 --R 
 --R   Compiling function symgen with type (Symbol,PositiveInteger) -> List
---R      Symbol 
+--R      (Symbol) 
 --R
 --R   (29)  [a ,a ,a ,a ]
 --R           4  3  2  1
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 29
 
 \end{chunk}
@@ -349,8 +349,8 @@ term(size:PI,signs:List INT):Polynomial Integer ==
        else ( t1:=t1+syms.(i+1) ; sign:=sign*-1 )
   sign*(t1^size)
 --R 
---R   Function declaration term : (PositiveInteger,List Integer) -> 
---R      Polynomial Integer has been added to workspace.
+--R   Function declaration term : (PositiveInteger,List(Integer)) -> 
+--R      Polynomial(Integer) has been added to workspace.
 --R                                                                   Type: Void
 --E 30
 \end{chunk}
@@ -360,13 +360,13 @@ Now we test it by hand for the case $n=4$
 --S 31 of 91
 factor term(4,[0,0,0])
 --R 
---R   Compiling function term with type (PositiveInteger,List Integer) -> 
---R      Polynomial Integer 
+--R   Compiling function term with type (PositiveInteger,List(Integer))
+--R       -> Polynomial(Integer) 
 --R
 --R                              4
 --R   (31)  - (x  - x  - x  - x )
 --R             4    3    2    1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 31
 
 --S 32 of 91
@@ -376,7 +376,7 @@ factor term(4,[0,0,1])
 --R                            4
 --R   (32)  (x  - x  - x  + x )
 --R           4    3    2    1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 32
 
 --S 33 of 91
@@ -386,7 +386,7 @@ factor term(4,[0,1,0])
 --R                            4
 --R   (33)  (x  - x  + x  - x )
 --R           4    3    2    1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 33
 
 --S 34 of 91
@@ -396,7 +396,7 @@ factor term(4,[0,1,1])
 --R                              4
 --R   (34)  - (x  - x  + x  + x )
 --R             4    3    2    1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 34
 
 --S 35 of 91
@@ -406,7 +406,7 @@ factor term(4,[1,0,0])
 --R                            4
 --R   (35)  (x  + x  - x  - x )
 --R           4    3    2    1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 35
 
 --S 36 of 91
@@ -416,7 +416,7 @@ factor term(4,[1,0,1])
 --R                              4
 --R   (36)  - (x  + x  - x  + x )
 --R             4    3    2    1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 36
 
 --S 37 of 91
@@ -426,7 +426,7 @@ factor term(4,[1,1,0])
 --R                              4
 --R   (37)  - (x  + x  + x  - x )
 --R             4    3    2    1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 37
 
 --S 38 of 91
@@ -436,7 +436,7 @@ factor term(4,[1,1,1])
 --R                            4
 --R   (38)  (x  + x  + x  + x )
 --R           4    3    2    1
---R                                            Type: Factored Polynomial Integer
+--R                                          Type: Factored(Polynomial(Integer))
 --E 38
 
 \end{chunk}
@@ -447,7 +447,7 @@ map(x+->factor(term(1,x)),bitlist(1))
 --R 
 --R
 --R   (39)  []
---R                                       Type: List Factored Polynomial Integer
+--R                                    Type: List(Factored(Polynomial(Integer)))
 --E 39
 
 --S 40 of 91
@@ -457,7 +457,7 @@ map(x+->factor(term(2,x)),bitlist(2))
 --R                     2          2
 --R   (40)  [- (x  - x ) ,(x  + x ) ]
 --R              2    1     2    1
---R                                       Type: List Factored Polynomial Integer
+--R                                    Type: List(Factored(Polynomial(Integer)))
 --E 40
 
 --S 41 of 91
@@ -467,7 +467,7 @@ map(x+->factor(term(3,x)),bitlist(3))
 --R                        3                 3                 3               3
 --R   (41)  [(x  - x  - x ) ,- (x  - x  + x ) ,- (x  + x  - x ) ,(x  + x  + x ) ]
 --R            3    2    1       3    2    1       3    2    1     3    2    1
---R                                       Type: List Factored Polynomial Integer
+--R                                    Type: List(Factored(Polynomial(Integer)))
 --E 41
 
 --S 42 of 91
@@ -484,7 +484,7 @@ map(x+->factor(term(4,x)),bitlist(4))
 --R                         4                     4
 --R    - (x  + x  + x  - x ) , (x  + x  + x  + x ) ]
 --R        4    3    2    1      4    3    2    1
---R                                       Type: List Factored Polynomial Integer
+--R                                    Type: List(Factored(Polynomial(Integer)))
 --E 42
 
 \end{chunk}
@@ -496,8 +496,8 @@ lhs(size:PI):POLY(INT) ==
   size = 1 => 0::POLY(INT)
   reduce(+,map(x+->term(size,x),bitlist(size)))
 --R 
---R   Function declaration lhs : PositiveInteger -> Polynomial Integer has
---R      been added to workspace.
+--R   Function declaration lhs : PositiveInteger -> Polynomial(Integer) 
+--R      has been added to workspace.
 --R                                                                   Type: Void
 --E 43
 
@@ -510,8 +510,8 @@ rhs(size:PI):POLY(INT) ==
  bound:PI:=(size-1)
  factorial(size)*2^bound*reduce(*,symgen('x,size))@POLY(INT)
 --R 
---R   Function declaration rhs : PositiveInteger -> Polynomial Integer has
---R      been added to workspace.
+--R   Function declaration rhs : PositiveInteger -> Polynomial(Integer) 
+--R      has been added to workspace.
 --R                                                                   Type: Void
 --E 44
 
@@ -527,29 +527,29 @@ map(x+->factor term(2,x),bitlist(2))
 --R                     2          2
 --R   (45)  [- (x  - x ) ,(x  + x ) ]
 --R              2    1     2    1
---R                                       Type: List Factored Polynomial Integer
+--R                                    Type: List(Factored(Polynomial(Integer)))
 --E 45
 
 --S 46 of 91
 lhs(2)
 --R 
---R   Compiling function lhs with type PositiveInteger -> Polynomial 
---R      Integer 
+--R   Compiling function lhs with type PositiveInteger -> Polynomial(
+--R      Integer) 
 --R
 --R   (46)  4x x
 --R           1 2
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 46
 
 --S 47 of 91
 rhs(2)
 --R 
---R   Compiling function rhs with type PositiveInteger -> Polynomial 
---R      Integer 
+--R   Compiling function rhs with type PositiveInteger -> Polynomial(
+--R      Integer) 
 --R
 --R   (47)  4x x
 --R           1 2
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 47
 
 --S 48 of 91
@@ -557,7 +557,7 @@ lhs(2)-rhs(2)
 --R 
 --R
 --R   (48)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 48
 
 \end{chunk}
@@ -572,7 +572,7 @@ map(x+->factor term(3,x),bitlist(3))
 --R                        3                 3                 3               3
 --R   (49)  [(x  - x  - x ) ,- (x  - x  + x ) ,- (x  + x  - x ) ,(x  + x  + x ) ]
 --R            3    2    1       3    2    1       3    2    1     3    2    1
---R                                       Type: List Factored Polynomial Integer
+--R                                    Type: List(Factored(Polynomial(Integer)))
 --E 49
 
 --S 50 of 91
@@ -581,7 +581,7 @@ lhs(3)
 --R
 --R   (50)  24x x x
 --R            1 2 3
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 50
 
 --S 51 of 91
@@ -590,7 +590,7 @@ rhs(3)
 --R
 --R   (51)  24x x x
 --R            1 2 3
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 51
 
 --S 52 of 91
@@ -598,7 +598,7 @@ lhs(3)-rhs(3)
 --R 
 --R
 --R   (52)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 52
 
 \end{chunk}
@@ -620,7 +620,7 @@ map(x+->factor term(4,x),bitlist(4))
 --R                         4                     4
 --R    - (x  + x  + x  - x ) , (x  + x  + x  + x ) ]
 --R        4    3    2    1      4    3    2    1
---R                                       Type: List Factored Polynomial Integer
+--R                                    Type: List(Factored(Polynomial(Integer)))
 --E 53
 
 --S 54 of 91
@@ -629,7 +629,7 @@ lhs(4)
 --R
 --R   (54)  192x x x x
 --R             1 2 3 4
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 54
 
 --S 55 of 91
@@ -638,7 +638,7 @@ rhs(4)
 --R
 --R   (55)  192x x x x
 --R             1 2 3 4
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 55
 
 --S 56 of 91
@@ -646,7 +646,7 @@ lhs(4)-rhs(4)
 --R 
 --R
 --R   (56)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 56
 
 \end{chunk}
@@ -668,7 +668,7 @@ symgen2(var1:Symbol,var2:Symbol,size:PI):List POLY INT ==
   [(var1.[i]*var2.[i]) for i in size..1 by -1]
 --R 
 --R   Function declaration symgen2 : (Symbol,Symbol,PositiveInteger) -> 
---R      List Polynomial Integer has been added to workspace.
+--R      List(Polynomial(Integer)) has been added to workspace.
 --R                                                                   Type: Void
 --E 57
 
@@ -676,11 +676,11 @@ symgen2(var1:Symbol,var2:Symbol,size:PI):List POLY INT ==
 symgen2('a,'b,4)
 --R 
 --R   Compiling function symgen2 with type (Symbol,Symbol,PositiveInteger)
---R       -> List Polynomial Integer 
+--R       -> List(Polynomial(Integer)) 
 --R
 --R   (58)  [a b ,a b ,a b ,a b ]
 --R           4 4  3 3  2 2  1 1
---R                                                Type: List Polynomial Integer
+--R                                              Type: List(Polynomial(Integer))
 --E 58
 
 \end{chunk}
@@ -704,7 +704,7 @@ symgen3(var1:Symbol,var2:Symbol,size:PI):LIST POLY INT ==
   result
 --R 
 --R   Function declaration symgen3 : (Symbol,Symbol,PositiveInteger) -> 
---R      List Polynomial Integer has been added to workspace.
+--R      List(Polynomial(Integer)) has been added to workspace.
 --R                                                                   Type: Void
 --E 59
 
@@ -712,14 +712,14 @@ symgen3(var1:Symbol,var2:Symbol,size:PI):LIST POLY INT ==
 symgen3('a,'b,4)
 --R 
 --R   Compiling function symgen3 with type (Symbol,Symbol,PositiveInteger)
---R       -> List Polynomial Integer 
+--R       -> List(Polynomial(Integer)) 
 --R
 --R   (60)
 --R   [0, a b  - a b , a b  - a b , a b  - a b , 0, a b  - a b , a b  - a b , 0,
 --R        3 4    4 3   2 4    4 2   1 4    4 1      2 3    3 2   1 3    3 1
 --R    a b  - a b , 0]
 --R     1 2    2 1
---R                                                Type: List Polynomial Integer
+--R                                              Type: List(Polynomial(Integer))
 --E 60
 
 \end{chunk}
@@ -744,8 +744,8 @@ lagrange(size:PI):POLY(INT) ==
   print ["rhs=",rhs]
   lhs-rhs
 --R 
---R   Function declaration lagrange : PositiveInteger -> Polynomial 
---R      Integer has been added to workspace.
+--R   Function declaration lagrange : PositiveInteger -> Polynomial(
+--R      Integer) has been added to workspace.
 --R                                                                   Type: Void
 --E 61
 
@@ -757,8 +757,8 @@ lagrange(2)
 --R 
 --R   Function definition for lhs is being overwritten.
 --R   Function definition for rhs is being overwritten.
---R   Compiling function lagrange with type PositiveInteger -> Polynomial 
---R      Integer 
+--R   Compiling function lagrange with type PositiveInteger -> Polynomial(
+--R      Integer) 
 --R            2     2
 --R   ["t1=",a   + a  ]
 --R           2     1
@@ -779,7 +779,7 @@ lagrange(2)
 --R             2     1   2      2     1   1
 --R
 --R   (62)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 62
 
 \end{chunk}
@@ -815,7 +815,7 @@ lagrange(3)
 --R             3     2     1   3      3     2     1   2      3     2     1   1
 --R
 --R   (63)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 63
 
 \end{chunk}{*}
@@ -833,7 +833,7 @@ p:=m^2+3*n^3
 --R
 --R          3    2
 --R   (1)  3n  + m
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 64
 
 --S 65 of 91
@@ -842,7 +842,7 @@ q:=m^2-3*n^3
 --R
 --R            3    2
 --R   (2)  - 3n  + m
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 65
 
 --S 66 of 91
@@ -851,7 +851,7 @@ r:=36*m^2*n^3
 --R
 --R           2 3
 --R   (3)  36m n
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 66
 
 --S 67 of 91
@@ -864,7 +864,7 @@ lhs:=(p^3+q*r)^3 + (-p^3+p*r)^3 + (-q*r)^3
 --R   + 
 --R          14 6       16 3
 --R     3888m  n  + 216m  n
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 67
 
 --S 68 of 91
@@ -877,7 +877,7 @@ rhs:=m*(6*m*n*p^2)^3
 --R   + 
 --R          14 6       16 3
 --R     3888m  n  + 216m  n
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 68
 
 --S 69 of 91
@@ -885,7 +885,7 @@ lhs-rhs
 --R 
 --R
 --R   (6)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 69
 
 \end{chunk}
@@ -903,7 +903,7 @@ b:=c^8-d^8
 --R
 --R           8    8
 --R   (1)  - d  + c
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 70
 
 --S 71 of 91
@@ -912,7 +912,7 @@ lhs:=((2*a+b)*c^3*d)^4+(2*a*c^4-b*d^4)^4-(2*a*c^4+b*d^4)^4-((2*a-b)*c^3*d)^4
 --R
 --R             4 36        12 28        20 20        28 12        36 4
 --R   (2)  16a c d   - 64a c  d   + 96a c  d   - 64a c  d   + 16a c  d
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 71
 
 --S 72 of 91
@@ -921,7 +921,7 @@ rhs:=a*(2*b*c*d)^4
 --R
 --R             4 36        12 28        20 20        28 12        36 4
 --R   (3)  16a c d   - 64a c  d   + 96a c  d   - 64a c  d   + 16a c  d
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 72
 
 --S 73 of 91
@@ -929,7 +929,7 @@ lhs-rhs
 --R 
 --R
 --R   (4)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 73
 
 \end{chunk}
@@ -945,7 +945,7 @@ u:=a^2*c-b^3
 --R
 --R         2     3
 --R   (1)  a c - b
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 74
 
 --S 75 of 91
@@ -954,7 +954,7 @@ x:=a^2*b-a*c^2
 --R
 --R             2    2
 --R   (2)  - a c  + a b
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 75
 
 --S 76 of 91
@@ -963,7 +963,7 @@ y:=a^3-b^2*c
 --R
 --R           2     3
 --R   (3)  - b c + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 76
 
 --S 77 of 91
@@ -972,7 +972,7 @@ z:=b*c^2-a*b^2
 --R
 --R           2      2
 --R   (4)  b c  - a b
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 77
 
 --S 78 of 91
@@ -980,7 +980,7 @@ u^2*x+x^2*y+y^2*z+z^2*u
 --R 
 --R
 --R   (5)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 78
 
 \end{chunk}
@@ -996,7 +996,7 @@ c:=a^2-2*a*b+2*b^2
 --R
 --R          2           2
 --R   (1)  2b  - 2a b + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 79
 
 --S 80 of 91
@@ -1005,7 +1005,7 @@ u:=a*b+b^2+c
 --R
 --R          2          2
 --R   (2)  3b  - a b + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 80
 
 --S 81 of 91
@@ -1014,7 +1014,7 @@ x:=3*(a*b-b^2+c)
 --R
 --R          2            2
 --R   (3)  3b  - 3a b + 3a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 81
 
 --S 82 of 91
@@ -1023,7 +1023,7 @@ y:=a*b-3*b^2-c
 --R
 --R            2           2
 --R   (4)  - 5b  + 3a b - a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 82
 
 --S 83 of 91
@@ -1032,7 +1032,7 @@ z:=3*(a*b-b^2-c)
 --R
 --R            2            2
 --R   (5)  - 9b  + 9a b - 3a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 83
 
 --S 84 of 91
@@ -1040,7 +1040,7 @@ u^2*x+x^2*y+y^2*z+z^2*u
 --R 
 --R
 --R   (6)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 84
 
 \end{chunk}
@@ -1056,7 +1056,7 @@ c:=a^3*b-1
 --R
 --R         3
 --R   (1)  a b - 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 85
 
 --S 86 of 91
@@ -1065,7 +1065,7 @@ d:=a*b^2+1
 --R
 --R           2
 --R   (2)  a b  + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 86
 
 --S 87 of 91
@@ -1074,7 +1074,7 @@ u:=c
 --R
 --R         3
 --R   (3)  a b - 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 87
 
 --S 88 of 91
@@ -1083,7 +1083,7 @@ x:=a^2*d
 --R
 --R         3 2    2
 --R   (4)  a b  + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 88
 
 --S 89 of 91
@@ -1092,7 +1092,7 @@ y:=-a*b*c
 --R
 --R           4 2
 --R   (5)  - a b  + a b
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 89
 
 --S 90 of 91
@@ -1101,7 +1101,7 @@ z:=a*d
 --R
 --R         2 2
 --R   (6)  a b  + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 90
 
 --S 91 of 91
@@ -1109,7 +1109,7 @@ u^2*x+x^2*y+y^2*z+z^2*u
 --R 
 --R
 --R   (7)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 91
 
 )spool 
diff --git a/src/input/tpiezas002.input.pamphlet b/src/input/tpiezas002.input.pamphlet
index 04c0d4a..650fe91 100644
--- a/src/input/tpiezas002.input.pamphlet
+++ b/src/input/tpiezas002.input.pamphlet
@@ -58,7 +58,7 @@ c:=sqrt(a^2+b^2)
 --R         +-------+
 --R         | 2    2
 --R   (1)  \|b  + a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 1
 
 --S 2 of 71
@@ -68,7 +68,7 @@ t1:=(a+2*b+2*c)^2
 --R                  +-------+
 --R                  | 2    2      2            2
 --R   (2)  (8b + 4a)\|b  + a   + 8b  + 4a b + 5a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2
 
 --S 3 of 71
@@ -78,7 +78,7 @@ t2:=(2*a+b+2*c)^2
 --R                  +-------+
 --R                  | 2    2      2            2
 --R   (3)  (4b + 8a)\|b  + a   + 5b  + 4a b + 8a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3
 
 --S 4 of 71
@@ -88,7 +88,7 @@ t3:=(2*a+2*b+3*c)^2
 --R                    +-------+
 --R                    | 2    2       2             2
 --R   (4)  (12b + 12a)\|b  + a   + 13b  + 8a b + 13a
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 4
 
 --S 5 of 71
@@ -96,7 +96,7 @@ t1+t2-t3
 --R 
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 5
 
 \end{chunk}
@@ -124,40 +124,40 @@ f(a,b,c)==[(a+2*b+2*c),(2*a+b+2*c),(2*a+2*b+3*c)]
 f(5,12,13)
 --R 
 --R   Compiling function f with type (PositiveInteger,PositiveInteger,
---R      PositiveInteger) -> List PositiveInteger 
+--R      PositiveInteger) -> List(PositiveInteger) 
 --R
 --R   (2)  [55,48,73]
---R                                                   Type: List PositiveInteger
+--R                                                  Type: List(PositiveInteger)
 --E 7
 
 --S 8 of 71
 f(-5,12,13)
 --R 
 --R   Compiling function f with type (Integer,PositiveInteger,
---R      PositiveInteger) -> List Integer 
+--R      PositiveInteger) -> List(Integer) 
 --R
 --R   (3)  [45,28,53]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 8
 
 --S 9 of 71
 f(5,-12,13)
 --R 
 --R   Compiling function f with type (PositiveInteger,Integer,
---R      PositiveInteger) -> List Integer 
+--R      PositiveInteger) -> List(Integer) 
 --R
 --R   (4)  [7,24,25]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 9
 
 --S 10 of 71
 f(-5,-12,13)
 --R 
 --R   Compiling function f with type (Integer,Integer,PositiveInteger) -> 
---R      List Integer 
+--R      List(Integer) 
 --R
 --R   (5)  [- 3,4,5]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 10
 
 \end{chunk}
@@ -171,7 +171,7 @@ x:=(a^2-b^2)
 --R
 --R           2    2
 --R   (1)  - b  + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 11
 
 --S 12 of 71
@@ -179,7 +179,7 @@ y:=(2*a*b)
 --R 
 --R
 --R   (2)  2a b
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 12
 
 --S 13 of 71
@@ -188,7 +188,7 @@ z:=(a^2+b^2)
 --R
 --R         2    2
 --R   (3)  b  + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 13
 
 --S 14 of 71
@@ -196,7 +196,7 @@ x^2+y^2-z^2
 --R 
 --R
 --R   (4)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 14
 
 \end{chunk}
@@ -210,7 +210,7 @@ term, as in the first term of
 --R 
 --R
 --R   (1)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 15
 
 \end{chunk}
@@ -225,7 +225,7 @@ n:=2*(m^2+m)
 --R
 --R          2
 --R   (1)  2m  + 2m
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 16
 
 --S 17 of 71
@@ -233,7 +233,7 @@ n:=2*(m^2+m)
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 17
 
 )clear all
@@ -244,7 +244,7 @@ n:=4*m^2-1
 --R
 --R          2
 --R   (1)  4m  - 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 18
 
 --S 19 of 71
@@ -252,7 +252,7 @@ n:=4*m^2-1
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 19
 
 --S 20 of 71
@@ -260,7 +260,7 @@ n:=4*m^2-1
 --R 
 --R
 --R   (3)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 20
 
 --S 21 of 71
@@ -268,7 +268,7 @@ n:=4*m^2-1
 --R 
 --R
 --R   (4)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 21
 
 \end{chunk}
@@ -290,7 +290,7 @@ t0:=quatern(a,b,c,d)^3
 --R   + 
 --R           2    3       2     2           3       2    2     2
 --R     (- c d  - c  + (- b  + 3a )c)j + (- d  + (- c  - b  + 3a )d)k
---R                                          Type: Quaternion Polynomial Integer
+--R                                        Type: Quaternion(Polynomial(Integer))
 --E 22
 
 --S 23 of 71
@@ -299,7 +299,7 @@ A:=real t0
 --R
 --R              2       2       2    3
 --R   (2)  - 3a d  - 3a c  - 3a b  + a
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 23
 
 --S 24 of 71
@@ -308,7 +308,7 @@ B:=imagI t0
 --R
 --R             2      2    3     2
 --R   (3)  - b d  - b c  - b  + 3a b
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 24
 
 --S 25 of 71
@@ -317,7 +317,7 @@ C:=imagJ t0
 --R
 --R             2    3       2     2
 --R   (4)  - c d  - c  + (- b  + 3a )c
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 25
 
 --S 26 of 71
@@ -326,7 +326,7 @@ D:=imagK t0
 --R
 --R           3       2    2     2
 --R   (5)  - d  + (- c  - b  + 3a )d
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 26
 
 --S 27 of 71
@@ -334,7 +334,7 @@ A^2+B^2+C^2+D^2 - (a^2+b^2+c^2+d^2)^3
 --R 
 --R
 --R   (6)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 27
 
 \end{chunk}
@@ -354,7 +354,7 @@ d:=(b^2+3*c^2)/(2*c)
 --R        3c  + b
 --R   (1)  --------
 --R           2c
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 28
 
 --S 29 of 71
@@ -364,7 +364,7 @@ a:=sqrt(10*c^2+b^2)
 --R         +---------+
 --R         |   2    2
 --R   (2)  \|10c  + b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 29
 
 --S 30 of 71
@@ -372,7 +372,7 @@ a:=sqrt(10*c^2+b^2)
 --R 
 --R
 --R   (3)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 30
 
 \end{chunk}
@@ -387,7 +387,7 @@ p:=2*n^2
 --R
 --R          2
 --R   (1)  2n
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 31
 
 --S 32 of 71
@@ -396,7 +396,7 @@ q:=n^2-1
 --R
 --R         2
 --R   (2)  n  - 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 32
 
 --S 33 of 71
@@ -407,7 +407,7 @@ d:=(b^2+q*c^2)/(2*c)
 --R        c n  - c  + b
 --R   (3)  --------------
 --R              2c
---R                                            Type: Fraction Polynomial Integer
+--R                                          Type: Fraction(Polynomial(Integer))
 --E 33
 
 --S 34 of 71
@@ -417,7 +417,7 @@ a:=sqrt(n*(n^2+1)*c^2 + (n-1)*b^2)
 --R         +----------------------+
 --R         | 2 3     2    2      2
 --R   (4)  \|c n  + (c  + b )n - b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 34
 
 --S 35 of 71
@@ -425,7 +425,7 @@ a:=sqrt(n*(n^2+1)*c^2 + (n-1)*b^2)
 --R 
 --R
 --R   (5)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 35
 
 \end{chunk}
@@ -439,7 +439,7 @@ a:=u^2-v^2-w^2
 --R
 --R           2    2    2
 --R   (1)  - w  - v  + u
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 36
 
 --S 37 of 71
@@ -447,7 +447,7 @@ b:=2*u*v
 --R 
 --R
 --R   (2)  2u v
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 37
 
 --S 38 of 71
@@ -456,7 +456,7 @@ p:=u^2+v^2+w^2
 --R
 --R         2    2    2
 --R   (3)  w  + v  + u
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 38
 
 --S 39 of 71
@@ -464,7 +464,7 @@ q:=2*u*w
 --R 
 --R
 --R   (4)  2u w
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 39
 
 --S 40 of 71
@@ -474,7 +474,7 @@ c:=sqrt(4*u*w*(u^2+v^2+w^2)-d^2)
 --R         +---------------------------+
 --R         |    3        2     3      2
 --R   (5)  \|4u w  + (4u v  + 4u )w - d
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 40
 
 --S 41 of 71
@@ -482,7 +482,7 @@ c:=sqrt(4*u*w*(u^2+v^2+w^2)-d^2)
 --R 
 --R
 --R   (6)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 41
 
 \end{chunk}
@@ -497,7 +497,7 @@ q:=3*p+2*r+1
 --R 
 --R
 --R   (1)  2r + 3p + 1
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 42
 
 --S 43 of 71
@@ -507,7 +507,7 @@ r:=sqrt(p^2+(p+1)^2)
 --R         +------------+
 --R         |  2
 --R   (2)  \|2p  + 2p + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 43
 
 --S 44 of 71
@@ -517,7 +517,7 @@ q^2 + (q+1)^2 - (p+q+r+1)^2
 --R                        +------------+
 --R                        |  2               2
 --R   (3)  (- 4r - 8p - 4)\|2p  + 2p + 1  + 4r  + (8p + 4)r
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 44
 
 \end{chunk}
@@ -533,7 +533,7 @@ e:=sqrt(c^2+d^2)
 --R         +-------+
 --R         | 2    2
 --R   (1)  \|d  + c
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 45
 
 --S 46 of 71
@@ -541,7 +541,7 @@ e:=sqrt(c^2+d^2)
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 46
 
 \end{chunk}
@@ -558,7 +558,7 @@ a:=sqrt(c^2+d^2-b^2)
 --R         +------------+
 --R         | 2    2    2
 --R   (1)  \|d  + c  - b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 47
 
 --S 48 of 71
@@ -566,7 +566,7 @@ a:=sqrt(c^2+d^2-b^2)
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 48
 
 \end{chunk}
@@ -583,7 +583,7 @@ a:=sqrt(c^2+d^2-b^2)
 --R         +------------+
 --R         | 2    2    2
 --R   (1)  \|d  + c  - b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 49
 
 --S 50 of 71
@@ -591,7 +591,7 @@ a:=sqrt(c^2+d^2-b^2)
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 50
 
 \end{chunk}
@@ -606,7 +606,7 @@ a:=sqrt(c^2+d^2-b^2)
 --R         +------------+
 --R         | 2    2    2
 --R   (1)  \|d  + c  - b
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 51
 
 --S 52 of 71
@@ -620,7 +620,7 @@ t1:=(a*c^3 - 3*b*c^2*d - 3*a*c*d^2 + b*d^3)^2
 --R   + 
 --R        4      2 2  4        6      2 4  2    8    2 6
 --R     (3c  - 15b c )d  + (- 5c  + 15b c )d  + c  - b c
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 52
 
 --S 53 of 71
@@ -634,7 +634,7 @@ t2:=(b*c^3 + 3*a*c^2*d - 3*b*c*d^2 - a*d^3)^2
 --R   + 
 --R        4      2 2  4      6      2 4  2    2 6
 --R     (3c  + 15b c )d  + (9c  - 15b c )d  + b c
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 53
 
 --S 54 of 71
@@ -642,7 +642,7 @@ t1+t2-(a^2+b^2)^4
 --R 
 --R
 --R   (4)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 54
 
 \end{chunk}
@@ -658,7 +658,7 @@ a:=(p^2+q^2)*(r^2+s^2)
 --R
 --R          2    2  2     2    2  2
 --R   (1)  (q  + p )s  + (q  + p )r
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 55
 
 --S 56 of 71
@@ -667,7 +667,7 @@ b:=(p*r+q*s)^2 + (p*s-q*r)^2
 --R
 --R          2    2  2     2    2  2
 --R   (2)  (q  + p )s  + (q  + p )r
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 56
 
 --S 57 of 71
@@ -675,7 +675,7 @@ a-b
 --R 
 --R
 --R   (3)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 57
 
 --S 58 of 71
@@ -684,7 +684,7 @@ c:=(p*r-q*s)^2 + (p*s+q*r)^2
 --R
 --R          2    2  2     2    2  2
 --R   (4)  (q  + p )s  + (q  + p )r
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 58
 
 --S 59 of 71
@@ -692,7 +692,7 @@ a-c
 --R 
 --R
 --R   (5)  0
---R                                                     Type: Polynomial Integer
+--R                                                    Type: Polynomial(Integer)
 --E 59
 
 \end{chunk}
@@ -709,7 +709,7 @@ p:=sqrt(1+2*q^2)
 --R         +-------+
 --R         |  2
 --R   (1)  \|2q  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 60
 
 --S 61 of 71
@@ -717,7 +717,7 @@ p:=sqrt(1+2*q^2)
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 61
 
 )clear all
@@ -729,7 +729,7 @@ p:=sqrt(-1+2*q^2)
 --R         +-------+
 --R         |  2
 --R   (1)  \|2q  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 62
 
 --S 63 of 71
@@ -737,7 +737,7 @@ p:=sqrt(-1+2*q^2)
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 63
 
 \end{chunk}
@@ -754,7 +754,7 @@ p:=sqrt(1+d*q^2)
 --R         +--------+
 --R         |   2
 --R   (1)  \|d q  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 64
 
 --S 65 of 71
@@ -762,7 +762,7 @@ p:=sqrt(1+d*q^2)
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 65
 
 )clear all
@@ -774,7 +774,7 @@ p:=sqrt(-1+d*q^2)
 --R         +--------+
 --R         |   2
 --R   (1)  \|d q  - 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 66
 
 --S 67 of 71
@@ -782,7 +782,7 @@ p:=sqrt(-1+d*q^2)
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 67
 
 \end{chunk}
@@ -798,7 +798,7 @@ p:=sqrt(1+3*q^2)
 --R         +-------+
 --R         |  2
 --R   (1)  \|3q  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 68
 
 --S 69 of 71
@@ -806,7 +806,7 @@ p^4 + (q^2-1)^3 - (q^3+3*q)^2
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 69
 
 )clear all
@@ -818,7 +818,7 @@ p:=sqrt(1+3*d*q^2)
 --R         +---------+
 --R         |    2
 --R   (1)  \|3d q  + 1
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 70
 
 --S 71 of 71
@@ -826,7 +826,7 @@ p^4 + (d*q^2-1)^3 - d*(d*q^3+3*q)^2
 --R 
 --R
 --R   (2)  0
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 71
 
 )spool 
diff --git a/src/input/tsetcatvermeer.input.pamphlet b/src/input/tsetcatvermeer.input.pamphlet
index f44188a..e864a16 100644
--- a/src/input/tsetcatvermeer.input.pamphlet
+++ b/src/input/tsetcatvermeer.input.pamphlet
@@ -28,7 +28,7 @@
 ls : List Symbol := [w,v,u,y,x];
 --R 
 --R
---R                                                            Type: List Symbol
+--R                                                           Type: List(Symbol)
 --E 1
 
 --S 2 of 21
@@ -73,84 +73,84 @@ LP := List(P);
 x: P := 'x;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 7
 
 --S 8 of 21
 y: P := 'y;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 8
 
 --S 9 of 21
 u: P := 'u;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 9
 
 --S 10 of 21
 v: P := 'v;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 10
 
 --S 11 of 21
 w: P := 'w;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 11
 
 --S 12 of 21
 p1 := (x - u) ** 2 + (y - v) ** 2 - 1 ;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 12
 
 --S 13 of 21
 p2 := v ** 2 - u ** 3 ;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 13
 
 --S 14 of 21
 p3 := 2 * v * (x - u) + 3 * u ** 2 * (y - v) ;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 14
 
 --S 15 of 21
 f1 := (3 * w * u ** 2 - 1) ;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 15
 
 --S 16 of 21
 f2 := (2 * w * v - 1) ;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 16
 
 --S 17 of 21
 p4 := f1 * f2 ;
 --R 
 --R
---RType: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [w,v,u,y,x])
+--IType: NewSparseMultivariatePolynomial(Integer,...
 --E 17
 
 --S 18 of 21
 lp := [p1,p2,p3,p4] ;
 --R 
 --R
---IType: List NewSparseMultivariatePolynomial(...
+--IType: List(NewSparseMultivariatePolynomial(Integer,...
 --E 18
 
 --S 19 of 21
@@ -158,9 +158,9 @@ T := REGSET(R,E,V,P)
 --R 
 --R
 --R   (19)
---R  RegularTriangularSet(Integer,IndexedExponents OrderedVariableList [w,v,u,y,x]
---R  ,OrderedVariableList [w,v,u,y,x],NewSparseMultivariatePolynomial(Integer,Orde
---R  redVariableList [w,v,u,y,x]))
+--R  RegularTriangularSet(Integer,IndexedExponents(OrderedVariableList([w,v,u,y,x]
+--R  )),OrderedVariableList([w,v,u,y,x]),NewSparseMultivariatePolynomial(Integer,O
+--R  rderedVariableList([w,v,u,y,x])))
 --R                                                                 Type: Domain
 --E 19
 
@@ -195,7 +195,7 @@ zeroSetSplit(lp)$T
 --R         2                   2                    2  2           2
 --R      (3u  + 2u - 2x)v - 3y u , ((4u - 4x)v - 6y u )w  + (2v + 3u )w - 1}
 --R     ]
---IType: List RegularTriangularSet(Integer,...
+--IType: List(RegularTriangularSet(Integer,IndexedExponents(...
 --E 20
 
 --S 21 of 21
@@ -265,7 +265,7 @@ zeroSetSplit(lp,false)$T
 --R        2          2             2
 --R      6v  - 2u - 3x  + 2x + 3, 3u w - 1}
 --R     ]
---IType: List RegularTriangularSet(Integer,...
+--IType: List(RegularTriangularSet(Integer,IndexedExponents(...
 --E 21
 )spool 
 )lisp (bye)
diff --git a/src/input/tutchap1.input.pamphlet b/src/input/tutchap1.input.pamphlet
index 8937ae8..f35e797 100644
--- a/src/input/tutchap1.input.pamphlet
+++ b/src/input/tutchap1.input.pamphlet
@@ -54,7 +54,7 @@
 --R        4
 --R   (4)  -
 --R        3
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 4
 
 --S 5 of 19
@@ -62,7 +62,7 @@
 --R 
 --R
 --R   (5)  1
---R                                                       Type: Fraction Integer
+--R                                                      Type: Fraction(Integer)
 --E 5
 
 --S 6 of 19
diff --git a/src/input/typetower.input.pamphlet b/src/input/typetower.input.pamphlet
index 356a05b..c8fb736 100644
--- a/src/input/typetower.input.pamphlet
+++ b/src/input/typetower.input.pamphlet
@@ -27,7 +27,7 @@ the Galois field with 3 elements.
 F:=PrimeField 3
 --R 
 --R
---R   (1)  PrimeField 3
+--R   (1)  PrimeField(3)
 --R                                                                 Type: Domain
 --E 1
 
@@ -35,7 +35,7 @@ F:=PrimeField 3
 P:=UnivariatePolynomial(x,F)
 --R 
 --R
---R   (2)  UnivariatePolynomial(x,PrimeField 3)
+--R   (2)  UnivariatePolynomial(x,PrimeField(3))
 --R                                                                 Type: Domain
 --E 2
 
@@ -43,7 +43,7 @@ P:=UnivariatePolynomial(x,F)
 S:=SquareMatrix(2,P)
 --R 
 --R
---R   (3)  SquareMatrix(2,UnivariatePolynomial(x,PrimeField 3))
+--R   (3)  SquareMatrix(2,UnivariatePolynomial(x,PrimeField(3)))
 --R                                                                 Type: Domain
 --E 3
 
@@ -52,7 +52,7 @@ R:=UnivariatePolynomial(z,S)
 --R 
 --R
 --R   (4)
---R   UnivariatePolynomial(z,SquareMatrix(2,UnivariatePolynomial(x,PrimeField 3)))
+--R   UnivariatePolynomial(z,SquareMatrix(2,UnivariatePolynomial(x,PrimeField(3))))
 --R                                                                 Type: Domain
 --E 4
 
@@ -69,7 +69,7 @@ s1:S:=matrix [[2*x+1,x^2-1],[0,x-1]]
 --R   (5)  |2x + 1  x  + 2|
 --R        |              |
 --R        +  0     x + 2 +
---R                   Type: SquareMatrix(2,UnivariatePolynomial(x,PrimeField 3))
+--R                  Type: SquareMatrix(2,UnivariatePolynomial(x,PrimeField(3)))
 --E 5
 
 --S 6 of 17
@@ -80,7 +80,7 @@ s2:=transpose s1
 --R   (6)  |             |
 --R        | 2           |
 --R        +x  + 2  x + 2+
---R                   Type: SquareMatrix(2,UnivariatePolynomial(x,PrimeField 3))
+--R                  Type: SquareMatrix(2,UnivariatePolynomial(x,PrimeField(3)))
 --E 6
 
 \end{chunk}
@@ -95,7 +95,7 @@ r:R:=z^2+s1*z+s2
 --R   (7)  z  + |2x + 1  x  + 2|z + |             |
 --R             |              |    | 2           |
 --R             +  0     x + 2 +    +x  + 2  x + 2+
---IType: UnivariatePolynomial(z,SquareMatrix(2,...
+--RType: UnivariatePolynomial(z,SquareMatrix(2,UnivariatePolynomial(x,PrimeField(3))))
 --E 7
 
 \end{chunk}
@@ -106,7 +106,7 @@ r+2*r
 --R 
 --R
 --R   (8)  0
---IType: UnivariatePolynomial(z,SquareMatrix(2,...
+--RType: UnivariatePolynomial(z,SquareMatrix(2,UnivariatePolynomial(x,PrimeField(3))))
 --E 8
 
 \end{chunk}
@@ -143,7 +143,7 @@ r2:=r*r
 --R     |                      |
 --R     |             2        |
 --R     +    0       x  + x + 1+
---IType: UnivariatePolynomial(z,SquareMatrix(2,...
+--RType: UnivariatePolynomial(z,SquareMatrix(2,UnivariatePolynomial(x,PrimeField(3))))
 --E 10
 
 \end{chunk}
@@ -164,8 +164,8 @@ gcd(r2,r)
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named gcd 
 --R      with argument type(s) 
---RUnivariatePolynomial(z,SquareMatrix(2,UnivariatePolynomial(x,PrimeField 3)))
---RUnivariatePolynomial(z,SquareMatrix(2,UnivariatePolynomial(x,PrimeField 3)))
+--RUnivariatePolynomial(z,SquareMatrix(2,UnivariatePolynomial(x,PrimeField(3))))
+--RUnivariatePolynomial(z,SquareMatrix(2,UnivariatePolynomial(x,PrimeField(3))))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -189,7 +189,7 @@ p1:=s1(1,1)
 --R 
 --R
 --R   (11)  2x + 1
---R                                   Type: UnivariatePolynomial(x,PrimeField 3)
+--R                                  Type: UnivariatePolynomial(x,PrimeField(3))
 --E 12
 
 --S 13 of 17
@@ -198,7 +198,7 @@ ps:=s1(1,2)
 --R
 --R          2
 --R   (12)  x  + 2
---R                                   Type: UnivariatePolynomial(x,PrimeField 3)
+--R                                  Type: UnivariatePolynomial(x,PrimeField(3))
 --E 13
 
 --S 14 of 17
@@ -206,7 +206,7 @@ gcd(p1,p2)
 --R 
 --R
 --R   (13)  1
---R          Type: UnivariatePolynomial(p2,UnivariatePolynomial(x,PrimeField 3))
+--R         Type: UnivariatePolynomial(p2,UnivariatePolynomial(x,PrimeField(3)))
 --E 14
 
 \end{chunk}
diff --git a/src/input/uniseg.input.pamphlet b/src/input/uniseg.input.pamphlet
index f280b44..df807b8 100644
--- a/src/input/uniseg.input.pamphlet
+++ b/src/input/uniseg.input.pamphlet
@@ -25,7 +25,7 @@ pints  := 1..
 --R 
 --R
 --R   (1)  1..
---R                                       Type: UniversalSegment PositiveInteger
+--R                                      Type: UniversalSegment(PositiveInteger)
 --E 1
 
 --S 2 of 9
@@ -33,7 +33,7 @@ nevens := (0..) by -2
 --R 
 --R
 --R   (2)  0.. by - 2
---R                                    Type: UniversalSegment NonNegativeInteger
+--R                                   Type: UniversalSegment(NonNegativeInteger)
 --E 2
 
 --S 3 of 9
@@ -41,7 +41,7 @@ useg: UniversalSegment(Integer) := 3..10
 --R 
 --R
 --R   (3)  3..10
---R                                               Type: UniversalSegment Integer
+--R                                              Type: UniversalSegment(Integer)
 --E 3
 
 --S 4 of 9
@@ -73,7 +73,7 @@ expand pints
 --R 
 --R
 --R   (7)  [1,2,3,4,5,6,7,8,9,10,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 7
 
 --S 8 of 9
@@ -81,7 +81,7 @@ expand nevens
 --R 
 --R
 --R   (8)  [0,- 2,- 4,- 6,- 8,- 10,- 12,- 14,- 16,- 18,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 8
 
 --S 9 of 9
@@ -89,7 +89,7 @@ expand [1, 3, 10..15, 100..]
 --R 
 --R
 --R   (9)  [1,3,10,11,12,13,14,15,100,101,...]
---R                                                         Type: Stream Integer
+--R                                                        Type: Stream(Integer)
 --E 9
 )spool 
 )lisp (bye)
diff --git a/src/input/unittest1.input.pamphlet b/src/input/unittest1.input.pamphlet
index bbed31e..7630505 100644
--- a/src/input/unittest1.input.pamphlet
+++ b/src/input/unittest1.input.pamphlet
@@ -480,6 +480,7 @@ Unit test the user level commands
 
 --S 36 of 97
 )show SQMATRIX
+--R 
 --R SquareMatrix(ndim: NonNegativeInteger,R: Ring)  is a domain constructor
 --R Abbreviation for SquareMatrix is SQMATRIX 
 --R This constructor is not exposed in this frame.
@@ -494,23 +495,23 @@ Unit test the user level commands
 --R D : % -> % if R has DIFRING           D : (%,(R -> R)) -> %
 --R 1 : () -> %                           0 : () -> %
 --R ?^? : (%,PositiveInteger) -> %        antisymmetric? : % -> Boolean
---R coerce : % -> Matrix R                coerce : R -> %
+--R coerce : % -> Matrix(R)               coerce : R -> %
 --R coerce : Integer -> %                 coerce : % -> OutputForm
 --R copy : % -> %                         diagonal? : % -> Boolean
---R diagonalMatrix : List R -> %          diagonalProduct : % -> R
+--R diagonalMatrix : List(R) -> %         diagonalProduct : % -> R
 --R elt : (%,Integer,Integer) -> R        elt : (%,Integer,Integer,R) -> R
 --R empty : () -> %                       empty? : % -> Boolean
 --R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
---R latex : % -> String                   listOfLists : % -> List List R
+--R latex : % -> String                   listOfLists : % -> List(List(R))
 --R map : ((R -> R),%) -> %               map : (((R,R) -> R),%,%) -> %
---R matrix : List List R -> %             maxColIndex : % -> Integer
+--R matrix : List(List(R)) -> %           maxColIndex : % -> Integer
 --R maxRowIndex : % -> Integer            minColIndex : % -> Integer
 --R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
 --R nrows : % -> NonNegativeInteger       one? : % -> Boolean
 --R qelt : (%,Integer,Integer) -> R       recip : % -> Union(%,"failed")
 --R retract : % -> R                      sample : () -> %
 --R scalarMatrix : R -> %                 square? : % -> Boolean
---R squareMatrix : Matrix R -> %          symmetric? : % -> Boolean
+--R squareMatrix : Matrix(R) -> %         symmetric? : % -> Boolean
 --R trace : % -> R                        transpose : % -> %
 --R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
 --R #? : % -> NonNegativeInteger if $ has finiteAggregate
@@ -521,55 +522,55 @@ Unit test the user level commands
 --R ?**? : (%,NonNegativeInteger) -> %
 --R ?/? : (%,R) -> % if R has FIELD
 --R D : (%,NonNegativeInteger) -> % if R has DIFRING
---R D : (%,Symbol) -> % if R has PDRING SYMBOL
---R D : (%,List Symbol) -> % if R has PDRING SYMBOL
---R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
---R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING(SYMBOL)
+--R D : (%,List(Symbol)) -> % if R has PDRING(SYMBOL)
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
+--R D : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R D : (%,(R -> R),NonNegativeInteger) -> %
 --R ?^? : (%,NonNegativeInteger) -> %
 --R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
 --R characteristic : () -> NonNegativeInteger
---R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R coerce : Fraction(Integer) -> % if R has RETRACT(FRAC(INT))
 --R column : (%,Integer) -> DirectProduct(ndim,R)
---R convert : % -> InputForm if R has KONVERT INFORM
+--R convert : % -> InputForm if R has KONVERT(INFORM)
 --R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
 --R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
---R determinant : % -> R if R has commutative *
+--R determinant : % -> R if R has commutative(*)
 --R diagonal : % -> DirectProduct(ndim,R)
 --R differentiate : % -> % if R has DIFRING
 --R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
---R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
---R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
---R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
---I differentiate : (%,List Symbol,List NonNegativeInteger) -> ...
+--R differentiate : (%,Symbol) -> % if R has PDRING(SYMBOL)
+--R differentiate : (%,List(Symbol)) -> % if R has PDRING(SYMBOL)
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
+--R differentiate : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R differentiate : (%,(R -> R),NonNegativeInteger) -> %
 --R differentiate : (%,(R -> R)) -> %
---R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
---R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
---R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
---R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List(R),List(R)) -> % if R has EVALAB(R) and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB(R) and R has SETCAT
+--R eval : (%,Equation(R)) -> % if R has EVALAB(R) and R has SETCAT
+--R eval : (%,List(Equation(R))) -> % if R has EVALAB(R) and R has SETCAT
 --R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
 --R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
 --R inverse : % -> Union(%,"failed") if R has FIELD
 --R less? : (%,NonNegativeInteger) -> Boolean
 --R map! : ((R -> R),%) -> % if $ has shallowlyMutable
 --R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
---R members : % -> List R if $ has finiteAggregate
---R minordet : % -> R if R has commutative *
+--R members : % -> List(R) if $ has finiteAggregate
+--R minordet : % -> R if R has commutative(*)
 --R more? : (%,NonNegativeInteger) -> Boolean
---R nullSpace : % -> List DirectProduct(ndim,R) if R has INTDOM
+--R nullSpace : % -> List(DirectProduct(ndim,R)) if R has INTDOM
 --R nullity : % -> NonNegativeInteger if R has INTDOM
---R parts : % -> List R if $ has finiteAggregate
+--R parts : % -> List(R) if $ has finiteAggregate
 --R rank : % -> NonNegativeInteger if R has INTDOM
---R reducedSystem : Matrix % -> Matrix R
---R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
---I reducedSystem : (Matrix %,Vector %) -> ...
---R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
---R retract : % -> Fraction Integer if R has RETRACT FRAC INT
---R retract : % -> Integer if R has RETRACT INT
+--R reducedSystem : Matrix(%) -> Matrix(R)
+--R reducedSystem : (Matrix(%),Vector(%)) -> Record(mat: Matrix(R),vec: Vector(R))
+--R reducedSystem : (Matrix(%),Vector(%)) -> Record(mat: Matrix(Integer),vec: Vector(Integer)) if R has LINEXP(INT)
+--R reducedSystem : Matrix(%) -> Matrix(Integer) if R has LINEXP(INT)
+--R retract : % -> Fraction(Integer) if R has RETRACT(FRAC(INT))
+--R retract : % -> Integer if R has RETRACT(INT)
 --R retractIfCan : % -> Union(R,"failed")
---R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
---R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction(Integer),"failed") if R has RETRACT(FRAC(INT))
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT(INT)
 --R row : (%,Integer) -> DirectProduct(ndim,R)
 --R rowEchelon : % -> % if R has EUCDOM
 --R size? : (%,NonNegativeInteger) -> Boolean
@@ -584,6 +585,7 @@ Unit test the user level commands
 
 --S 38 of 97
 )show SQMATRIX
+--R 
 --R SquareMatrix(ndim: NonNegativeInteger,R: Ring)  is a domain constructor
 --R Abbreviation for SquareMatrix is SQMATRIX 
 --R This constructor is exposed in this frame.
@@ -598,23 +600,23 @@ Unit test the user level commands
 --R D : % -> % if R has DIFRING           D : (%,(R -> R)) -> %
 --R 1 : () -> %                           0 : () -> %
 --R ?^? : (%,PositiveInteger) -> %        antisymmetric? : % -> Boolean
---R coerce : % -> Matrix R                coerce : R -> %
+--R coerce : % -> Matrix(R)               coerce : R -> %
 --R coerce : Integer -> %                 coerce : % -> OutputForm
 --R copy : % -> %                         diagonal? : % -> Boolean
---R diagonalMatrix : List R -> %          diagonalProduct : % -> R
+--R diagonalMatrix : List(R) -> %         diagonalProduct : % -> R
 --R elt : (%,Integer,Integer) -> R        elt : (%,Integer,Integer,R) -> R
 --R empty : () -> %                       empty? : % -> Boolean
 --R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
---R latex : % -> String                   listOfLists : % -> List List R
+--R latex : % -> String                   listOfLists : % -> List(List(R))
 --R map : ((R -> R),%) -> %               map : (((R,R) -> R),%,%) -> %
---R matrix : List List R -> %             maxColIndex : % -> Integer
+--R matrix : List(List(R)) -> %           maxColIndex : % -> Integer
 --R maxRowIndex : % -> Integer            minColIndex : % -> Integer
 --R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
 --R nrows : % -> NonNegativeInteger       one? : % -> Boolean
 --R qelt : (%,Integer,Integer) -> R       recip : % -> Union(%,"failed")
 --R retract : % -> R                      sample : () -> %
 --R scalarMatrix : R -> %                 square? : % -> Boolean
---R squareMatrix : Matrix R -> %          symmetric? : % -> Boolean
+--R squareMatrix : Matrix(R) -> %         symmetric? : % -> Boolean
 --R trace : % -> R                        transpose : % -> %
 --R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
 --R #? : % -> NonNegativeInteger if $ has finiteAggregate
@@ -625,55 +627,55 @@ Unit test the user level commands
 --R ?**? : (%,NonNegativeInteger) -> %
 --R ?/? : (%,R) -> % if R has FIELD
 --R D : (%,NonNegativeInteger) -> % if R has DIFRING
---R D : (%,Symbol) -> % if R has PDRING SYMBOL
---R D : (%,List Symbol) -> % if R has PDRING SYMBOL
---R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
---R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING(SYMBOL)
+--R D : (%,List(Symbol)) -> % if R has PDRING(SYMBOL)
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
+--R D : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R D : (%,(R -> R),NonNegativeInteger) -> %
 --R ?^? : (%,NonNegativeInteger) -> %
 --R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
 --R characteristic : () -> NonNegativeInteger
---R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R coerce : Fraction(Integer) -> % if R has RETRACT(FRAC(INT))
 --R column : (%,Integer) -> DirectProduct(ndim,R)
---R convert : % -> InputForm if R has KONVERT INFORM
+--R convert : % -> InputForm if R has KONVERT(INFORM)
 --R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
 --R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
---R determinant : % -> R if R has commutative *
+--R determinant : % -> R if R has commutative(*)
 --R diagonal : % -> DirectProduct(ndim,R)
 --R differentiate : % -> % if R has DIFRING
 --R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
---R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
---R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
---R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
---I differentiate : (%,List Symbol,List NonNegativeInteger) -> ...
+--R differentiate : (%,Symbol) -> % if R has PDRING(SYMBOL)
+--R differentiate : (%,List(Symbol)) -> % if R has PDRING(SYMBOL)
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
+--R differentiate : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R differentiate : (%,(R -> R),NonNegativeInteger) -> %
 --R differentiate : (%,(R -> R)) -> %
---R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
---R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
---R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
---R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List(R),List(R)) -> % if R has EVALAB(R) and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB(R) and R has SETCAT
+--R eval : (%,Equation(R)) -> % if R has EVALAB(R) and R has SETCAT
+--R eval : (%,List(Equation(R))) -> % if R has EVALAB(R) and R has SETCAT
 --R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
 --R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
 --R inverse : % -> Union(%,"failed") if R has FIELD
 --R less? : (%,NonNegativeInteger) -> Boolean
 --R map! : ((R -> R),%) -> % if $ has shallowlyMutable
 --R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
---R members : % -> List R if $ has finiteAggregate
---R minordet : % -> R if R has commutative *
+--R members : % -> List(R) if $ has finiteAggregate
+--R minordet : % -> R if R has commutative(*)
 --R more? : (%,NonNegativeInteger) -> Boolean
---R nullSpace : % -> List DirectProduct(ndim,R) if R has INTDOM
+--R nullSpace : % -> List(DirectProduct(ndim,R)) if R has INTDOM
 --R nullity : % -> NonNegativeInteger if R has INTDOM
---R parts : % -> List R if $ has finiteAggregate
+--R parts : % -> List(R) if $ has finiteAggregate
 --R rank : % -> NonNegativeInteger if R has INTDOM
---R reducedSystem : Matrix % -> Matrix R
---R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
---I reducedSystem : (Matrix %,Vector %) -> ...
---R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
---R retract : % -> Fraction Integer if R has RETRACT FRAC INT
---R retract : % -> Integer if R has RETRACT INT
+--R reducedSystem : Matrix(%) -> Matrix(R)
+--R reducedSystem : (Matrix(%),Vector(%)) -> Record(mat: Matrix(R),vec: Vector(R))
+--R reducedSystem : (Matrix(%),Vector(%)) -> Record(mat: Matrix(Integer),vec: Vector(Integer)) if R has LINEXP(INT)
+--R reducedSystem : Matrix(%) -> Matrix(Integer) if R has LINEXP(INT)
+--R retract : % -> Fraction(Integer) if R has RETRACT(FRAC(INT))
+--R retract : % -> Integer if R has RETRACT(INT)
 --R retractIfCan : % -> Union(R,"failed")
---R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
---R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction(Integer),"failed") if R has RETRACT(FRAC(INT))
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT(INT)
 --R row : (%,Integer) -> DirectProduct(ndim,R)
 --R rowEchelon : % -> % if R has EUCDOM
 --R size? : (%,NonNegativeInteger) -> Boolean
@@ -712,6 +714,7 @@ Unit test the user level commands
 
 --S 41 of 97
 )show SQMATRIX
+--R 
 --R SquareMatrix(ndim: NonNegativeInteger,R: Ring)  is a domain constructor
 --R Abbreviation for SquareMatrix is SQMATRIX 
 --R This constructor is not exposed in this frame.
@@ -726,23 +729,23 @@ Unit test the user level commands
 --R D : % -> % if R has DIFRING           D : (%,(R -> R)) -> %
 --R 1 : () -> %                           0 : () -> %
 --R ?^? : (%,PositiveInteger) -> %        antisymmetric? : % -> Boolean
---R coerce : % -> Matrix R                coerce : R -> %
+--R coerce : % -> Matrix(R)               coerce : R -> %
 --R coerce : Integer -> %                 coerce : % -> OutputForm
 --R copy : % -> %                         diagonal? : % -> Boolean
---R diagonalMatrix : List R -> %          diagonalProduct : % -> R
+--R diagonalMatrix : List(R) -> %         diagonalProduct : % -> R
 --R elt : (%,Integer,Integer) -> R        elt : (%,Integer,Integer,R) -> R
 --R empty : () -> %                       empty? : % -> Boolean
 --R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
---R latex : % -> String                   listOfLists : % -> List List R
+--R latex : % -> String                   listOfLists : % -> List(List(R))
 --R map : ((R -> R),%) -> %               map : (((R,R) -> R),%,%) -> %
---R matrix : List List R -> %             maxColIndex : % -> Integer
+--R matrix : List(List(R)) -> %           maxColIndex : % -> Integer
 --R maxRowIndex : % -> Integer            minColIndex : % -> Integer
 --R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
 --R nrows : % -> NonNegativeInteger       one? : % -> Boolean
 --R qelt : (%,Integer,Integer) -> R       recip : % -> Union(%,"failed")
 --R retract : % -> R                      sample : () -> %
 --R scalarMatrix : R -> %                 square? : % -> Boolean
---R squareMatrix : Matrix R -> %          symmetric? : % -> Boolean
+--R squareMatrix : Matrix(R) -> %         symmetric? : % -> Boolean
 --R trace : % -> R                        transpose : % -> %
 --R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
 --R #? : % -> NonNegativeInteger if $ has finiteAggregate
@@ -753,55 +756,55 @@ Unit test the user level commands
 --R ?**? : (%,NonNegativeInteger) -> %
 --R ?/? : (%,R) -> % if R has FIELD
 --R D : (%,NonNegativeInteger) -> % if R has DIFRING
---R D : (%,Symbol) -> % if R has PDRING SYMBOL
---R D : (%,List Symbol) -> % if R has PDRING SYMBOL
---R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
---R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING(SYMBOL)
+--R D : (%,List(Symbol)) -> % if R has PDRING(SYMBOL)
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
+--R D : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R D : (%,(R -> R),NonNegativeInteger) -> %
 --R ?^? : (%,NonNegativeInteger) -> %
 --R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
 --R characteristic : () -> NonNegativeInteger
---R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R coerce : Fraction(Integer) -> % if R has RETRACT(FRAC(INT))
 --R column : (%,Integer) -> DirectProduct(ndim,R)
---R convert : % -> InputForm if R has KONVERT INFORM
+--R convert : % -> InputForm if R has KONVERT(INFORM)
 --R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
 --R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
---R determinant : % -> R if R has commutative *
+--R determinant : % -> R if R has commutative(*)
 --R diagonal : % -> DirectProduct(ndim,R)
 --R differentiate : % -> % if R has DIFRING
 --R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
---R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
---R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
---R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
---I differentiate : (%,List Symbol,List NonNegativeInteger) -> ...
+--R differentiate : (%,Symbol) -> % if R has PDRING(SYMBOL)
+--R differentiate : (%,List(Symbol)) -> % if R has PDRING(SYMBOL)
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
+--R differentiate : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R differentiate : (%,(R -> R),NonNegativeInteger) -> %
 --R differentiate : (%,(R -> R)) -> %
---R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
---R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
---R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
---R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List(R),List(R)) -> % if R has EVALAB(R) and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB(R) and R has SETCAT
+--R eval : (%,Equation(R)) -> % if R has EVALAB(R) and R has SETCAT
+--R eval : (%,List(Equation(R))) -> % if R has EVALAB(R) and R has SETCAT
 --R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
 --R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
 --R inverse : % -> Union(%,"failed") if R has FIELD
 --R less? : (%,NonNegativeInteger) -> Boolean
 --R map! : ((R -> R),%) -> % if $ has shallowlyMutable
 --R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
---R members : % -> List R if $ has finiteAggregate
---R minordet : % -> R if R has commutative *
+--R members : % -> List(R) if $ has finiteAggregate
+--R minordet : % -> R if R has commutative(*)
 --R more? : (%,NonNegativeInteger) -> Boolean
---R nullSpace : % -> List DirectProduct(ndim,R) if R has INTDOM
+--R nullSpace : % -> List(DirectProduct(ndim,R)) if R has INTDOM
 --R nullity : % -> NonNegativeInteger if R has INTDOM
---R parts : % -> List R if $ has finiteAggregate
+--R parts : % -> List(R) if $ has finiteAggregate
 --R rank : % -> NonNegativeInteger if R has INTDOM
---R reducedSystem : Matrix % -> Matrix R
---R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
---I reducedSystem : (Matrix %,Vector %) -> ...
---R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
---R retract : % -> Fraction Integer if R has RETRACT FRAC INT
---R retract : % -> Integer if R has RETRACT INT
+--R reducedSystem : Matrix(%) -> Matrix(R)
+--R reducedSystem : (Matrix(%),Vector(%)) -> Record(mat: Matrix(R),vec: Vector(R))
+--R reducedSystem : (Matrix(%),Vector(%)) -> Record(mat: Matrix(Integer),vec: Vector(Integer)) if R has LINEXP(INT)
+--R reducedSystem : Matrix(%) -> Matrix(Integer) if R has LINEXP(INT)
+--R retract : % -> Fraction(Integer) if R has RETRACT(FRAC(INT))
+--R retract : % -> Integer if R has RETRACT(INT)
 --R retractIfCan : % -> Union(R,"failed")
---R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
---R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction(Integer),"failed") if R has RETRACT(FRAC(INT))
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT(INT)
 --R row : (%,Integer) -> DirectProduct(ndim,R)
 --R rowEchelon : % -> % if R has EUCDOM
 --R size? : (%,NonNegativeInteger) -> Boolean
@@ -1071,9 +1074,11 @@ Unit test the user level commands
 
 --S 60 of 97
 )display operations rotatex
+--R 
 --R
 --RThere is one exposed function called rotatex :
---R   [1] D1 -> DenavitHartenbergMatrix D1 from DenavitHartenbergMatrix D1
+--R   [1] D1 -> DenavitHartenbergMatrix(D1) from DenavitHartenbergMatrix(
+--R            D1)
 --R            if D1 has Join(Field,TranscendentalFunctionCategory)
 --R
 --RExamples of rotatex from DenavitHartenbergMatrix
diff --git a/src/input/unittest4.input.pamphlet b/src/input/unittest4.input.pamphlet
index 5b3cfbe..1d58604 100644
--- a/src/input/unittest4.input.pamphlet
+++ b/src/input/unittest4.input.pamphlet
@@ -51,7 +51,7 @@ gcdPolynomial((3*x^2+6)::SUP(FRAC(INT)),(9*x^3+12)::SUP(FRAC(INT)))$FRAC(POLY(IN
 --R  <1 (|FRAC;gcdPolynomial;3Sup;35!1| (0 . 12))
 --R
 --R   (2)  1
---R                 Type: SparseUnivariatePolynomial Fraction Polynomial Integer
+--R              Type: SparseUnivariatePolynomial(Fraction(Polynomial(Integer)))
 --E 4
 
 )spool
diff --git a/src/input/zimmbron.input.pamphlet b/src/input/zimmbron.input.pamphlet
index 62f5be3..13e1e8b 100644
--- a/src/input/zimmbron.input.pamphlet
+++ b/src/input/zimmbron.input.pamphlet
@@ -33,7 +33,7 @@ y' := D(y x, x)
 --R         ,
 --R   (2)  y (x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 2 
 
 --S 3 of 143
@@ -43,7 +43,7 @@ y'' := D(y', x)
 --R         ,,
 --R   (3)  y  (x)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 3 
 
 --S 4 of146
@@ -69,7 +69,7 @@ y1' := D(y1 t, t)
 --R          ,
 --R   (6)  y1 (t)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 6
 
 --S 7 of 143
@@ -79,7 +79,7 @@ y2' := D(y2 t, t)
 --R          ,
 --R   (7)  y2 (t)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 7
 
 \end{chunk}
@@ -93,7 +93,7 @@ eq := (x^4 - x^3) * y' + 2 * x^4 * y x = x^3/3 + C
 --R          4    3  ,        4      x  + 3C
 --R   (8)  (x  - x )y (x) + 2x y(x)= -------
 --R                                     3
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 8
 
 --S 9 of 143
@@ -105,7 +105,7 @@ solve(eq,y,x)
 --R   (9)  [particular= ------------------,basis= [-----------]]
 --R                        4      3      2          2
 --R                     12x  - 24x  + 12x          x  - 2x + 1
---IType: Union(Record(particular: Expression Integer,
+--IType: Union(Record(particular: Expression(Integer),basis: ...
 --E 9
 
 \end{chunk}
@@ -120,7 +120,7 @@ eq := - y' / 2 + y x = sin x
 --R
 --R   (10)  ---------------= sin(x)
 --R                2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 10
 
 --S 11 of 143
@@ -130,7 +130,7 @@ solve(eq,y,x)
 --R                      4sin(x) + 2cos(x)           2x
 --R   (11)  [particular= -----------------,basis= [%e  ]]
 --R                              5
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),basis: ...
 --E 11
 
 \end{chunk}
@@ -143,7 +143,7 @@ eq := y' = y x / (y x * log y x + x)
 --R          ,            y(x)
 --R   (12)  y (x)= -----------------
 --R                y(x)log(y(x)) + x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 12
 
 --S 13 of 143
@@ -154,7 +154,7 @@ solve(eq,y,x)
 --R         y(x)log(y(x))  - 2x
 --R   (13)  -------------------
 --R                2y(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 13
 
 \end{chunk}
@@ -167,7 +167,7 @@ eq := 2*(y x)*y'**2-2*x*y'-y x=0
 --R               ,   2      ,
 --R   (14)  2y(x)y (x)  - 2xy (x) - y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 14
 
 --S 15 of 143
@@ -192,7 +192,7 @@ eq := y' + y x = y(x)^3 * sin x
 --R          ,                3
 --R   (15)  y (x) + y(x)= y(x) sin(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 16
 
 --S 17 of 143
@@ -204,7 +204,7 @@ solve(eq,y,x)
 --R   (16)  ---------------------------------
 --R                          2  2x
 --R                     5y(x) %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 17
 
 \end{chunk}
@@ -233,7 +233,7 @@ eq := y' + P x * y x = Q x * y(x)^n
 --R          ,                        n
 --R   (19)  y (x) + P(x)y(x)= Q(x)y(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 20
 
 --S 21 of 143
@@ -266,7 +266,7 @@ eq := y' + P x * y x = Q x * y(x)^2
 --R          ,                        2
 --R   (21)  y (x) + P(x)y(x)= Q(x)y(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 22
 
 --S 23 of 143
@@ -291,7 +291,7 @@ eq := y' + P x * y x = Q x * y(x)^(2/3)
 --R          ,                    3+----+2
 --R   (22)  y (x) + P(x)y(x)= Q(x)\|y(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 24
 
 --S 25 of 143
@@ -325,7 +325,7 @@ eq := y' + P x * y x = Q x * y(x)^3
 --R          ,                        3
 --R   (24)  y (x) + P(x)y(x)= Q(x)y(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 26
 
 --S 27 of 143
@@ -350,7 +350,7 @@ eq := (x^2-1)*y'^2-2*x*y(x)*y'+y(x)^2-1=0
 --R           2      ,   2           ,          2
 --R   (25)  (x  - 1)y (x)  - 2x y(x)y (x) + y(x)  - 1= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 28
 
 --S 29 of 143
@@ -391,7 +391,7 @@ eq := f(x*y'-y(x))=g(y')
 --R             ,                ,
 --R   (28)  f(xy (x) - y(x))= g(y (x))
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 32
 
 --S 33 of 143
@@ -418,7 +418,7 @@ eq := y' = (3 * x^2 - y(x)^2 - 7) / (exp y x + 2 * x * y x + 1)
 --R   (29)  y (x)= --------------------
 --R                  y(x)
 --R                %e     + 2x y(x) + 1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 34
 
 --S 35 of 143
@@ -427,7 +427,7 @@ solve(eq,y,x)
 --R
 --R           y(x)         2           3
 --R   (30)  %e     + x y(x)  + y(x) - x  + 7x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 35
 
 \end{chunk}
@@ -442,7 +442,7 @@ eq := y' = (2 * x^3 * y x - y(x)^4) / (x^4 - 2 * x * y(x)^3)
 --R   (31)  y (x)= ---------------
 --R                        3    4
 --R                 2x y(x)  - x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 36
 
 --S 37 of 143
@@ -463,7 +463,7 @@ eq := y'*(y'+y(x))=x*(x+y(x))
 --R          ,   2        ,               2
 --R   (33)  y (x)  + y(x)y (x)= x y(x) + x
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 38
 
 --S 39 of 143
@@ -489,7 +489,7 @@ eq := y' = x / (x^2 * y(x)^2 + y(x)^5)
 --R   (34)  y (x)= ---------------
 --R                    5    2    2
 --R                y(x)  + x y(x)
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 40
 
 --S 41 of 143
@@ -503,7 +503,7 @@ solve(eq,y,x)
 --R         (- 2y(x)  - 2x  - 3)%e
 --R   (35)  ------------------------------
 --R                        4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 41
 
 \end{chunk}
@@ -516,7 +516,7 @@ eq := y(x)=2*x*y'-a*y'^3
 --R                    ,   3      ,
 --R   (36)  y(x)= - a y (x)  + 2xy (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 42
 
 --S 43 of 143
@@ -541,7 +541,7 @@ eq := y(x)=2*x*y'-y'^2
 --R                  ,   2      ,
 --R   (37)  y(x)= - y (x)  + 2xy (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 44
 
 --S 45 of 143
@@ -566,7 +566,7 @@ eq := y' = exp x * y(x)^2 - y x + exp(-x)
 --R          ,         2  x     - x
 --R   (38)  y (x)= y(x) %e  + %e    - y(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 46
 
 --S 47 of 143
@@ -587,7 +587,7 @@ eq := y' = y(x)^2 - x * y x + 1
 --R          ,         2
 --R   (40)  y (x)= y(x)  - x y(x) + 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 48
 
 --S 49 of 143
@@ -610,7 +610,7 @@ solve(eq,y,x)
 --R                                  - --
 --R                                     2
 --R                      (y(x) - x)%e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 49
 
 \end{chunk}
@@ -625,7 +625,7 @@ eq := y' = (9 * x^8 + 1) / (y(x)^2 + 1)
 --R   (42)  y (x)= ---------
 --R                    2
 --R                y(x)  + 1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 50
 
 --S 51 of 143
@@ -636,7 +636,7 @@ solve(eq,y,x)
 --R         y(x)  + 3y(x) - 3x  - 3x
 --R   (43)  ------------------------
 --R                     3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 51
 
 \end{chunk}
@@ -649,7 +649,7 @@ eq := y(x) = 2*x*y'+y(x)*y'^2
 --R                    ,   2      ,
 --R   (44)  y(x)= y(x)y (x)  + 2xy (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 52
 
 --S 53 of 143
@@ -674,7 +674,7 @@ eq := x = y(x)*y'-x*y'^2
 --R                 ,   2        ,
 --R   (45)  x= - x y (x)  + y(x)y (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 54
 
 --S 55 of 143
@@ -699,7 +699,7 @@ eq := y''*(a*x+b)^2+4*y'*(a*x+b)*a+2*y(x)*a^2 = 0
 --R           2 2             2  ,,         2          ,        2
 --R   (46)  (a x  + 2a b x + b )y  (x) + (4a x + 4a b)y (x) + 2a y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 56
 
 --S 57 of 143
@@ -710,7 +710,7 @@ solve(eq,y,x)
 --R   (47)  [particular= 0,basis= [------------------,------------------]]
 --R                                 2 2             2  2 2             2
 --R                                a x  + 2a b x + b  a x  + 2a b x + b
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),basis: ...
 --E 57
 
 \end{chunk}
@@ -723,7 +723,7 @@ eq := (x^2-x)*y'' + (2*x^2+4*x-3)*y' + 8*x*y(x) = 1
 --R           2      ,,         2           ,
 --R   (48)  (x  - x)y  (x) + (2x  + 4x - 3)y (x) + 8x y(x)= 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 58
 
 --S 59 of 143
@@ -735,7 +735,7 @@ solve(eq,y,x)
 --R   (49)  [particular= ------------------,basis= [-------------,-----------]]
 --R                         4      3      2          4     3    2  2
 --R                      12x  - 24x  + 12x          x  - 2x  + x  x  - 2x + 1
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),basis: ...
 --E 59
 
 \end{chunk}
@@ -748,7 +748,7 @@ eq := (x^2-x)*y'' + (1-2*x^2)*y' + (4*x-2)*y(x) = 0
 --R           2      ,,           2      ,
 --R   (50)  (x  - x)y  (x) + (- 2x  + 1)y (x) + (4x - 2)y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 60
 
 --S 61 of 143
@@ -757,7 +757,7 @@ solve(eq,y,x)
 --R
 --R                                 2   2x
 --R   (51)  [particular= 0,basis= [x ,%e  ]]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),basis: ...
 --E 61
 
 \end{chunk}
@@ -770,7 +770,7 @@ eq := y''-y' = 2*y(x)*y'
 --R          ,,       ,           ,
 --R   (52)  y  (x) - y (x)= 2y(x)y (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 62
 
 --S 63 of 143
@@ -798,7 +798,7 @@ eq := y''/y(x)-y'^2/y(x)^2-1+1/y(x)^3 = 0
 --R   (53)  ------------------------------------= 0
 --R                             3
 --R                         y(x)
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 64
 
 --S 65 of 143
@@ -823,7 +823,7 @@ eq := y'' + 2 * x * y' = 2 * x
 --R          ,,         ,
 --R   (54)  y  (x) + 2xy (x)= 2x
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 66
 
 --S 67 of 143
@@ -831,7 +831,7 @@ solve(eq,y,x)
 --R 
 --R
 --R   (55)  [particular= x,basis= [1,erf(x)]]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),basis: ...
 --E 67
 
 \end{chunk}
@@ -846,7 +846,7 @@ eq := 2*y(x)*y''-y'^2 = (y'-x*y'')^2/3
 --R               ,,       ,   2
 --R   (56)  2y(x)y  (x) - y (x) = ----------------------------------
 --R                                                3
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 68
 
 --S 69 of 143
@@ -871,7 +871,7 @@ eq := x*y'' = 2*y(x)*y'
 --R           ,,           ,
 --R   (57)  xy  (x)= 2y(x)y (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 70
 
 --S 71 of 143
@@ -896,7 +896,7 @@ eq := (1-x)*(y(x)*y''-y'^2)+x^2*y(x)^2 = 0
 --R                       ,,              ,   2    2    2
 --R   (58)  (- x + 1)y(x)y  (x) + (x - 1)y (x)  + x y(x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 72
 
 --S 73 of 143
@@ -921,7 +921,7 @@ eq := x*y(x)*y''+x*y'^2+y(x)*y'=0
 --R                ,,         ,   2        ,
 --R   (59)  x y(x)y  (x) + x y (x)  + y(x)y (x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 74
 
 --S 75 of 143
@@ -946,7 +946,7 @@ eq := y''^2-2*y'*y''+2*y(x)*y'-y(x)^2=0
 --R          ,,   2     ,    ,,            ,          2
 --R   (60)  y  (x)  - 2y (x)y  (x) + 2y(x)y (x) - y(x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 76
 
 --S 77 of 143
@@ -990,7 +990,7 @@ eq := (x^3/2-x^2)*y'' + (2*x^2-3*x+1)*y' + (x-1)*y(x) = 0
 --R
 --R   (61)  -----------------------------------------------------= 0
 --R                                   2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 78
 
 --S 79 of 143
@@ -1005,7 +1005,7 @@ solve(eq,y,x)
 --R    basis= [%e    |------- ,%e    |-------  |   %e   |---------- d%M ]]
 --R                  | 2             | 2      ++        |  4      3
 --R                 \|x  - 2x       \|x  - 2x          \|%M  - 2%M
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 79
 
 \end{chunk}
@@ -1018,7 +1018,7 @@ eq := y'' - 2 * x * y' + 2 * y x = 3
 --R          ,,         ,
 --R   (63)  y  (x) - 2xy (x) + 2y(x)= 3
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 80
 
 --S 81 of 143
@@ -1031,7 +1031,7 @@ solve(eq,y,x)
 --R   (64)  [particular= -,basis= [x,x |   ----- d%M ]]
 --R                      2            ++      2
 --R                                         %M
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 81
 
 \end{chunk}
@@ -1044,7 +1044,7 @@ eq := sqrt(x) * y'' + 2 * x * y' + 3 * y x = 0
 --R          +-+ ,,         ,
 --R   (65)  \|x y  (x) + 2xy (x) + 3y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 82
 
 --S 83 of 143
@@ -1052,7 +1052,7 @@ solve(eq,y,x)
 --R 
 --R
 --R   (66)  [particular= 0,basis= []]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 83
 
 \end{chunk}
@@ -1066,7 +1066,7 @@ eq := x^2*y''+3*x*y'+2*y(x)=1/y(x)^3/x^4
 --R   (67)  x y  (x) + 3xy (x) + 2y(x)= -------
 --R                                      4    3
 --R                                     x y(x)
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 84
 
 --S 85 of 143
@@ -1094,7 +1094,7 @@ eq := y'' - 2 / x^2 * y x = 7 * x^4 + 3 * x^3
 --R   (68)  ----------------= 7x  + 3x
 --R                 2
 --R                x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 86
 
 --S 97 of 143
@@ -1105,7 +1105,7 @@ solve(eq,y,x)
 --R                      3x  + 2x  - 7x  + 14         x  - 1 x  + 2
 --R   (69)  [particular= --------------------,basis= [------,------]]
 --R                               12x                    x      x
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 97
 
 \end{chunk}
@@ -1118,7 +1118,7 @@ eq := y'' + y x = csc x
 --R          ,,
 --R   (70)  y  (x) + y(x)= csc(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 88
 
 --S 89 of 143
@@ -1130,7 +1130,7 @@ solve(eq,y,x)
 --R   [particular= sin(x)log(----------) - sin(x)log(----------) - x cos(x),
 --R                          cos(x) + 1              cos(x) + 1
 --R    basis= [cos(x),sin(x)]]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 89
 
 \end{chunk}
@@ -1152,7 +1152,7 @@ eq := D(y x,x,7) - 14 * D(y x,x,6) + 80 * D(y x,x,5) - _
 --R
 --R     =
 --R     0
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 90
 
 --S 91 of 143
@@ -1161,7 +1161,7 @@ solve(eq,y,x)
 --R
 --R                                  4x   3x   2x     2x   x     x  2  x
 --R   (73)  [particular= 0,basis= [%e  ,%e  ,%e  ,x %e  ,%e ,x %e ,x %e ]]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 91
 
 \end{chunk}
@@ -1177,7 +1177,7 @@ eq := D(y x,x,4) - 4/x^2 * y'' + 8/x^3 * y' -8/x^4 * y x = 0
 --R   (74)  ----------------------------------------= 0
 --R                             4
 --R                            x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 92
 
 --S 93 of 143
@@ -1197,7 +1197,7 @@ solve(eq,y,x)
 --R        --------------------]
 --R                  x
 --R     ]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 93
 
 \end{chunk}
@@ -1220,7 +1220,7 @@ eq := (1+x+x^2)*D(y x,x,3) + (3+6*x)*y'' + 6*y' = 6*x
 --R           2          ,,,               ,,        ,
 --R   (76)  (x  + x + 1)y   (x) + (6x + 3)y  (x) + 6y (x)= 6x
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 94
 
 --S 95 of 143
@@ -1232,7 +1232,7 @@ solve(eq,y,x)
 --R   (77)  [particular= ------------,basis= [----------,----------,1]]
 --R                        2                   2          2
 --R                      4x  + 4x + 4         x  + x + 1 x  + x + 1
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 95
 
 \end{chunk}
@@ -1245,7 +1245,7 @@ eq := (y'^2+1)*D(y(x),x,3)-3*y'*y''^2 = 0
 --R           ,   2      ,,,        ,    ,,   2
 --R   (78)  (y (x)  + 1)y   (x) - 3y (x)y  (x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 96
 
 --S 97 of 143
@@ -1270,7 +1270,7 @@ eq := 3*y''*D(y(x),x,4)-5*D(y(x),x,3)^2 = 0
 --R           ,,    (iv)        ,,,   2
 --R   (79)  3y  (x)y    (x) - 5y   (x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 98
 
 --S 99 of 143
@@ -1295,7 +1295,7 @@ eq := y'+a*y(x-1) = 0
 --R          ,
 --R   (80)  y (x) + a y(x - 1)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 100
 
 --S 101 of 143
@@ -1306,7 +1306,7 @@ solve(eq,y,x)
 --R          ++
 --R   (81)   |   a y(%M - 1)d%M  + y(x)
 --R         ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 101
 
 \end{chunk}
@@ -1318,7 +1318,7 @@ eq := D(y(x,a),x,1) = a*y(x,a)
 --R
 --R   (82)  y  (x,a)= a y(x,a)
 --R          ,1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 102
 
 --S 103 of 143
@@ -1343,7 +1343,7 @@ eq := D(y x,x,4) = sin x
 --R          (iv)
 --R   (83)  y    (x)= sin(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 104
 
 --S 105 of 143
@@ -1351,7 +1351,7 @@ ini := [0, 0, 0, 0]
 --R 
 --R
 --R   (84)  [0,0,0,0]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 105
 
 --S 106 of 143
@@ -1362,7 +1362,7 @@ solve(eq,y,x=0,ini)
 --R         6sin(x) + x  - 6x
 --R   (85)  -----------------
 --R                 6
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 106
 
 \end{chunk}
@@ -1375,7 +1375,7 @@ eq := x * y'' + y' + 2 * x * y x = 0
 --R           ,,       ,
 --R   (86)  xy  (x) + y (x) + 2x y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 107
 
 --S 108 of 143
@@ -1396,7 +1396,7 @@ eq := x*y'^2-y(x)^2+1=0
 --R            ,   2       2
 --R   (88)  x y (x)  - y(x)  + 1= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 109
 
 --S 110 of 143
@@ -1420,7 +1420,7 @@ eq := y' = sqrt((y(x)^2-1)/x)
 --R          ,      |y(x)  - 1
 --R   (89)  y (x)=  |---------
 --R                \|    x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 111
 
 --S 112 of 143
@@ -1445,7 +1445,7 @@ eq := y''+y(x)*y'^3 = 0
 --R          ,,           ,   3
 --R   (90)  y  (x) + y(x)y (x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 113
 
 --S 114 of 143
@@ -1497,7 +1497,7 @@ x' := D(x(t),t)
 --R         ,
 --R   (4)  x (t)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 118
 
 --S 119 of 143
@@ -1507,7 +1507,7 @@ y' := D(y(t),t)
 --R         ,
 --R   (5)  y (t)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 119
 
 --S 120 of 143
@@ -1517,7 +1517,7 @@ z' := D(z(t),t)
 --R         ,
 --R   (6)  z (t)
 --R
---R                                                     Type: Expression Integer
+--R                                                    Type: Expression(Integer)
 --E 120
 
 --S 121 of 143
@@ -1527,7 +1527,7 @@ sys:=[x'=-3*y(t)*z(t),y'=3*x(t)*z(t),z'=-x(t)*y(t)]
 --R          ,                  ,                ,
 --R   (7)  [x (t)= - 3y(t)z(t),y (t)= 3x(t)z(t),z (t)= - x(t)y(t)]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 121
 
 --S 122 of 143
@@ -1568,7 +1568,7 @@ eq1 := x'=a(t)*(y(t)^2-x(t)^2)+2*b(t)*x(t)*y(t)+2*c*x(t)
 --R          ,             2                           2
 --R   (10)  x (t)= a(t)y(t)  + 2b(t)x(t)y(t) - a(t)x(t)  + 2c x(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 125
 
 --S 126 of 143
@@ -1578,7 +1578,7 @@ eq2 := y'=b(t)*(y(t)^2-x(t)^2)-2*a(t)*x(t)*y(t)+2*c*y(t)
 --R          ,             2                                    2
 --R   (11)  y (t)= b(t)y(t)  + (- 2a(t)x(t) + 2c)y(t) - b(t)x(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 126
 
 --S 127 of 143
@@ -1603,7 +1603,7 @@ eq1 := x'=x(t)*(1+cos(t)/(2+sin(t)))
 --R          ,     x(t)sin(t) + x(t)cos(t) + 2x(t)
 --R   (12)  x (t)= -------------------------------
 --R                           sin(t) + 2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 128
 
 --S 129 of 143
@@ -1613,7 +1613,7 @@ eq2 := y'=x(t)-y(t)
 --R          ,
 --R   (13)  y (t)= - y(t) + x(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 129
 
 --S 130 of 143
@@ -1634,7 +1634,7 @@ eq1 := x' = 9*x(t)+2*y(t)
 --R          ,
 --R   (15)  x (t)= 2y(t) + 9x(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 131
 
 --S 132 of 143
@@ -1644,7 +1644,7 @@ eq2 := y' = x(t)+8*y(t)
 --R          ,
 --R   (16)  y (t)= 8y(t) + x(t)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 132
 
 --S 133 of 143
@@ -1655,7 +1655,7 @@ solve([eq1,eq2],[x,y],t)
 --R                                       10t %e        7t     7t
 --R   (17)  [particular= [0,0],basis= [[%e   ,-----],[%e  ,- %e  ]]]
 --R                                             2
---IType: Union(Record(particular: Vector Expression Integer,...
+--IType: Union(Record(particular: Vector(Expression(Integer)),...
 --E 133
 
 \end{chunk}
@@ -1668,7 +1668,7 @@ eq1 := x'-x(t)+2*y(t)=0
 --R          ,
 --R   (18)  x (t) + 2y(t) - x(t)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 134
 
 --S 135 of 143
@@ -1678,7 +1678,7 @@ eq2 := D(x(t),t,2)-2*y'=2*t-cot(2*t)
 --R          ,,        ,
 --R   (19)  x  (t) - 2y (t)= - cot(2t) + 2t
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 135
 
 --S 136 of 143
@@ -1705,7 +1705,7 @@ eq1 := x' = -x(t)/t/(t^2+1)+y(t)/t^2/(t^2+1)+1/t
 --R   (20)  x (t)= ----------------------
 --R                         4    2
 --R                        t  + t
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 137
 
 --S 138 of 143
@@ -1717,7 +1717,7 @@ eq2 := y' = -t^2*x(t)/(t^2+1)+(2*t^2+1)*y(t)/t/(t^2+1)+1
 --R   (21)  y (t)= -------------------------------
 --R                              3
 --R                             t  + t
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 138
 
 --S 139 of 143
@@ -1727,7 +1727,7 @@ solve([eq1,eq2],[x,y],t)
 --R                                                         1    2
 --R   (22)  [particular= [log(t) - 1,t log(t) - t],basis= [[-,- t ],[1,t]]]
 --R                                                         t
---IType: Union(Record(particular: Vector Expression Integer,...
+--IType: Union(Record(particular: Vector(Expression(Integer)),...
 --E 139
 
 )clear all
@@ -1752,7 +1752,7 @@ a0 := 104/25*x^10+(274/25-22/15*s)*x^8+(7754/75-68/15*s)*x^6
 --R        104  10   - 110\|- 222  + 822  8   - 340\|- 222  + 7754  6
 --R   (2)  --- x   + ------------------- x  + -------------------- x
 --R         25                75                       75
---R                                             Type: Polynomial AlgebraicNumber
+--R                                            Type: Polynomial(AlgebraicNumber)
 --E 141
 
 --S 142 of 143
@@ -1769,7 +1769,7 @@ a0 := a0+(11248/75-194/15*s)*x^4+(29452/75-296/5*s)*x^2-10952/5-148/3*s
 --R   - 970\|- 222  + 11248  4   - 4440\|- 222  + 29452  2   - 740\|- 222  - 32856
 --R   --------------------- x  + ---------------------- x  + ---------------------
 --R             75                         75                          15
---R                                             Type: Polynomial AlgebraicNumber
+--R                                            Type: Polynomial(AlgebraicNumber)
 --E 142
 
 --S 143 of 143
@@ -1779,7 +1779,7 @@ a2 := x^12+2*x^10+151/3*x^8+296/3*x^6+5920/9*x^4+10952/9*x^2+5476/9
 --R         12     10   151  8   296  6   5920  4   10952  2   5476
 --R   (4)  x   + 2x   + --- x  + --- x  + ---- x  + ----- x  + ----
 --R                      3        3         9         9          9
---R                                            Type: Polynomial Fraction Integer
+--R                                          Type: Polynomial(Fraction(Integer))
 --E 143
 
 \end{chunk}
diff --git a/src/input/zimmer.input.pamphlet b/src/input/zimmer.input.pamphlet
index fb25ed7..5a34908 100644
--- a/src/input/zimmer.input.pamphlet
+++ b/src/input/zimmer.input.pamphlet
@@ -37,7 +37,7 @@ ode := (x^4-x^3)*D(u x,x) + 2*x^4*u(x) = x^3/3 + C
 --R          4    3  ,        4      x  + 3C
 --R   (2)  (x  - x )u (x) + 2x u(x)= -------
 --R                                     3
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 2
 
 --S 3 of 177
@@ -49,7 +49,7 @@ solve(ode,u,x)
 --R   (3)  [particular= ------------------,basis= [-----------]]
 --R                        4      3      2          2
 --R                     12x  - 24x  + 12x          x  - 2x + 1
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 3
 
 )clear all
@@ -72,7 +72,7 @@ ode := -D(u x,x)/2 + u(x) = sin(x)
 --R
 --R   (2)  ---------------= sin(x)
 --R               2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 5
 
 --S 6 of 177
@@ -82,7 +82,7 @@ solve(ode,u,x)
 --R                     4sin(x) + 2cos(x)           2x
 --R   (3)  [particular= -----------------,basis= [%e  ]]
 --R                             5
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 6
 
 )clear all
@@ -103,7 +103,7 @@ ode := D(y x,x) = y(x)/(y(x)*log(y(x)) + x)
 --R         ,            y(x)
 --R   (2)  y (x)= -----------------
 --R               y(x)log(y(x)) + x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 8
 
 --S 9 of 177
@@ -114,7 +114,7 @@ solve(ode,y,x)
 --R        y(x)log(y(x))  - 2x
 --R   (3)  -------------------
 --R               2y(x)
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 9
 
 )clear all
@@ -135,7 +135,7 @@ ode := 2*y(x)*D(y x,x)^2 -2*x*D(y x,x)-y(x) = 0
 --R              ,   2      ,
 --R   (2)  2y(x)y (x)  - 2xy (x) - y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 11
 
 --S 12 of 177
@@ -168,7 +168,7 @@ ode := D(y x,x) + y(x) = y(x)^3*sin(x)
 --R         ,                3
 --R   (2)  y (x) + y(x)= y(x) sin(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 14
 
 --S 15 of 177
@@ -180,7 +180,7 @@ solve(ode,y,x)
 --R   (3)  ---------------------------------
 --R                         2  2x
 --R                    5y(x) %e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 15
 
 )clear all 
@@ -217,7 +217,7 @@ ode := D(y x,x) + P(x)*y(x) = Q(x)*y(x)^n
 --R         ,                        n
 --R   (4)  y (x) + P(x)y(x)= Q(x)y(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 19
 
 --S 20 of 177
@@ -237,7 +237,7 @@ solve(eval(ode,n=1),y,x)
 --I                                  |   (Q(%J) - P(%J))d%J
 --R                                 ++
 --R   (6)  [particular= 0,basis= [%e                        ]]
---IType: Union(Record(particular: Expression Integer,basis: ...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 21
 
 --S 22 of 177
@@ -294,7 +294,7 @@ ode := (x^2-1)*D(y x,x)^2 - 2*x*y(x)*D(y x,x)+(y x)^2 - 1 = 0
 --R          2      ,   2           ,          2
 --R   (2)  (x  - 1)y (x)  - 2x y(x)y (x) + y(x)  - 1= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 27
 
 --S 28 of 177
@@ -343,7 +343,7 @@ ode := f(x*D(y x,x) - y(x)) = g(D(y x,x))
 --R            ,                ,
 --R   (4)  f(xy (x) - y(x))= g(y (x))
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 32
 
 --S 33 of 177
@@ -378,7 +378,7 @@ ode := D(y x,x)  = (3*x^2-y(x)^2-7)/(exp(y(x))+2*x*y(x)+1)
 --R   (2)  y (x)= --------------------
 --R                 y(x)
 --R               %e     + 2x y(x) + 1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 35
 
 --S 36 of 177
@@ -387,7 +387,7 @@ solve(ode,y,x)
 --R
 --R          y(x)         2           3
 --R   (3)  %e     + x y(x)  + y(x) - x  + 7x
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 36
 
 )clear all
@@ -410,7 +410,7 @@ ode := D(y x,x)  = (2*x^3*y(x) - (y x)^4)/(x^4 - 2*x*(y x)^3)
 --R   (2)  y (x)= ---------------
 --R                       3    4
 --R                2x y(x)  - x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 38
 
 --S 39 of 177
@@ -439,7 +439,7 @@ ode := D(y x,x)*(D(y x,x) + y(x)) = x*(x + y(x))
 --R         ,   2        ,               2
 --R   (2)  y (x)  + y(x)y (x)= x y(x) + x
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 41
 
 --S 42 of 177
@@ -473,7 +473,7 @@ ode := D(y x,x) = x/(x^2*(y x)^2 + (y x)^5)
 --R   (2)  y (x)= ---------------
 --R                   5    2    2
 --R               y(x)  + x y(x)
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 44
 
 --S 45 of 177
@@ -487,7 +487,7 @@ solve(ode,y,x)
 --R        (- 2y(x)  - 2x  - 3)%e
 --R   (3)  ------------------------------
 --R                       4
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 45
 
 )clear all
@@ -508,7 +508,7 @@ ode := y(x) = 2*x*D(y x,x) - a*D(y x,x)^3
 --R                   ,   3      ,
 --R   (2)  y(x)= - a y (x)  + 2xy (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 47
 
 --S 48 of 177
@@ -541,7 +541,7 @@ ode := y(x) = 2*x*D(y x,x) - D(y x,x)^3
 --R                 ,   3      ,
 --R   (2)  y(x)= - y (x)  + 2xy (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 50
 
 --S 51 of 177
@@ -574,7 +574,7 @@ ode := D(y x,x) = exp(x)*(y x)^2 - y(x) + exp(-x)
 --R         ,         2  x     - x
 --R   (2)  y (x)= y(x) %e  + %e    - y(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 53
 
 --S 54 of 177
@@ -603,7 +603,7 @@ ode := D(y x,x) = (y x)^2 - x*y(x) + 1
 --R         ,         2
 --R   (2)  y (x)= y(x)  - x y(x) + 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 56
 
 --S 57 of 177
@@ -626,7 +626,7 @@ solve(ode,y,x)
 --R                                 - --
 --R                                    2
 --R                     (y(x) - x)%e
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 57
 
 )clear all
@@ -649,7 +649,7 @@ ode := D(y x,x) = (9*x^8 + 1)/((y x)^2 +1)
 --R   (2)  y (x)= ---------
 --R                   2
 --R               y(x)  + 1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 59
 
 --S 60 of 177
@@ -660,7 +660,7 @@ solve(ode,y,x)
 --R        y(x)  + 3y(x) - 3x  - 3x
 --R   (3)  ------------------------
 --R                    3
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 60
 
 )clear all
@@ -681,7 +681,7 @@ ode := y(x)=2*x*D(y x,x) + y(x)*D(y x,x)^2
 --R                   ,   2      ,
 --R   (2)  y(x)= y(x)y (x)  + 2xy (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 62
 
 --S 63 of 177
@@ -714,7 +714,7 @@ ode := x = y(x)*D(y x,x) - x*D(y x,x)^2
 --R                ,   2        ,
 --R   (2)  x= - x y (x)  + y(x)y (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 65
 
 --S 66 of 177
@@ -748,7 +748,7 @@ ode := D(y x,x,2)*(a*x+b)^2+4*D(y x,x)*(a*x+b)*a+2*y(x)*a^2=0
 --R          2 2             2  ,,         2          ,        2
 --R   (2)  (a x  + 2a b x + b )y  (x) + (4a x + 4a b)y (x) + 2a y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 68
 
 --S 69 of 177
@@ -759,7 +759,7 @@ solve(ode,y,x)
 --R   (3)  [particular= 0,basis= [------------------,------------------]]
 --R                                2 2             2  2 2             2
 --R                               a x  + 2a b x + b  a x  + 2a b x + b
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 69
 
 )clear all
@@ -779,7 +779,7 @@ ode := (x^2 - x)*D(u x,x,2) + (2*x^2+4*x-3)*D(u x,x) + 8*x*u(x)=1
 --R          2      ,,         2           ,
 --R   (2)  (x  - x)u  (x) + (2x  + 4x - 3)u (x) + 8x u(x)= 1
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 71
 
 --S 72 of 177
@@ -791,7 +791,7 @@ solve(ode,u,x)
 --R   (3)  [particular= ------------------,basis= [-------------,-----------]]
 --R                        4      3      2          4     3    2  2
 --R                     12x  - 24x  + 12x          x  - 2x  + x  x  - 2x + 1
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 72
 
 )clear all
@@ -811,7 +811,7 @@ ode := (x^2 - x)*D(w x,x,2) + (1-2*x^2)*D(w x,x) + (4*x - 2)*w(x) = 0
 --R          2      ,,           2      ,
 --R   (2)  (x  - x)w  (x) + (- 2x  + 1)w (x) + (4x - 2)w(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 74
 
 --S 75 of 177
@@ -820,7 +820,7 @@ solve(ode,w,x)
 --R
 --R                                2   2x
 --R   (3)  [particular= 0,basis= [x ,%e  ]]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 75
 
 )clear all 
@@ -840,7 +840,7 @@ ode := D(y x,x,2) - D(y x,x) = 2*y(x)*D(y x,x)
 --R         ,,       ,           ,
 --R   (2)  y  (x) - y (x)= 2y(x)y (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 77
 
 --S 78 of 177
@@ -875,7 +875,7 @@ ode := D(y x,x,2)/y(x) - D(y x,x)^2/y(x)^2 -1 + y(x)^(-3) = 0
 --R   (2)  ------------------------------------= 0
 --R                            3
 --R                        y(x)
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 80
 
 --S 81 of 177
@@ -908,7 +908,7 @@ ode :=  D(y x,x,2) + 2*x*D(y x,x) = 2*x
 --R         ,,         ,
 --R   (2)  y  (x) + 2xy (x)= 2x
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 83
 
 --S 84 of 177
@@ -916,7 +916,7 @@ solve(ode,y,x)
 --R 
 --R
 --R   (3)  [particular= x,basis= [1,erf(x)]]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 84
 
 )clear all
@@ -938,7 +938,7 @@ ode := 2*y(x)*D(y x,x,2) - D(y x,x)^2 = (D(y x,x) - x*D(y x,x,2))^2/3
 --R              ,,       ,   2
 --R   (2)  2y(x)y  (x) - y (x) = ----------------------------------
 --R                                               3
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 86
 
 --S 87 of 177
@@ -971,7 +971,7 @@ ode := x*D(y x,x,2) = 2*y(x)*D(y x,x)
 --R          ,,           ,
 --R   (2)  xy  (x)= 2y(x)y (x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 89
 
 --S 90 of 177
@@ -1004,7 +1004,7 @@ ode := (1-x)*(y(x)*D(y x,x,2) - D(y x,x)^2) + x^2*y(x)^2 = 0
 --R                      ,,              ,   2    2    2
 --R   (2)  (- x + 1)y(x)y  (x) + (x - 1)y (x)  + x y(x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 92
 
 --S 93 of 177
@@ -1036,7 +1036,7 @@ ode := x*y(x)*D(y x,x,2) + x*D(y x,x)^2 + y(x)*D(y x,x) = 0
 --R               ,,         ,   2        ,
 --R   (2)  x y(x)y  (x) + x y (x)  + y(x)y (x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 95
 
 --S 96 of 177
@@ -1068,7 +1068,7 @@ ode := D(y x,x,2)^2 - 2*D(y x,x,2)*D(y x,x) + 2*y(x)*D(y x,x) -y(x)^2 = 0
 --R         ,,   2     ,    ,,            ,          2
 --R   (2)  y  (x)  - 2y (x)y  (x) + 2y(x)y (x) - y(x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 98
 
 --S 99 of 177
@@ -1102,7 +1102,7 @@ ode := (x^3/2-x^2)*D(y x,x,2) + (2*x^2-3*x+1)*D(y x,x) + (x-1)*y(x) = 0
 --R
 --R   (2)  -----------------------------------------------------= 0
 --R                                  2
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 101
 
 --S 102 of 177
@@ -1117,7 +1117,7 @@ solve(ode,y,x)
 --I    basis= [%e    |------- ,%e    |-------  |   %e   |---------- d%J ]]
 --R                  | 2             | 2      ++        |  4      3
 --I                 \|x  - 2x       \|x  - 2x          \|%J  - 2%J
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 102
 
 )clear all
@@ -1137,7 +1137,7 @@ ode := D(y x,x,2) - 2*x*D(y x,x) + 2*y(x) = 3
 --R         ,,         ,
 --R   (2)  y  (x) - 2xy (x) + 2y(x)= 3
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 104
 
 --S 105 of 177
@@ -1150,7 +1150,7 @@ solve(ode,y,x)
 --I   (3)  [particular= -,basis= [x,x |   ----- d%J ]]
 --R                     2            ++      2
 --I                                        %J
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 105
 
 )clear all
@@ -1170,7 +1170,7 @@ ode := sqrt(x)*D(y x,x,2) + 2*x*D(y x,x) + 3*y(x) = 0
 --R         +-+ ,,         ,
 --R   (2)  \|x y  (x) + 2xy (x) + 3y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 107
 
 --S 108 of 177
@@ -1178,7 +1178,7 @@ solve(ode,y,x)
 --R 
 --R
 --R   (3)  [particular= 0,basis= []]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 108
 
 )clear all
@@ -1199,7 +1199,7 @@ ode := x^2*D(y x,x,2) + 3*x*D(y x,x) = 1/(x^4*y(x)^3)
 --R   (2)  x y  (x) + 3xy (x)= -------
 --R                             4    3
 --R                            x y(x)
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 110
 
 --S 111 of 177
@@ -1234,7 +1234,7 @@ ode := D(y x,x,2) - 2/x^2*y(x) = 7*x^4 +3*x^3
 --R   (2)  ----------------= 7x  + 3x
 --R                2
 --R               x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 113
 
 --S 114 of 177
@@ -1245,7 +1245,7 @@ solve(ode,y,x)
 --R                     3x  + 2x  - 7x  + 14         x  - 1 x  + 2
 --R   (3)  [particular= --------------------,basis= [------,------]]
 --R                              12x                    x      x
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 114
 
 )clear all
@@ -1265,7 +1265,7 @@ ode := D(y x,x,2) +y(x) = csc(x)
 --R         ,,
 --R   (2)  y  (x) + y(x)= csc(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 116
 
 --S 117 of 177
@@ -1277,7 +1277,7 @@ solve(ode,y,x)
 --R   [particular= sin(x)log(----------) - sin(x)log(----------) - x cos(x),
 --R                          cos(x) + 1              cos(x) + 1
 --R    basis= [cos(x),sin(x)]]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 117
 
 -- Higher Order Equations
@@ -1307,7 +1307,7 @@ ode := D(y x,x,7) - 14*D(y x,x,6) +80*D(y x,x,5) -242*D(y x,x,4) + _
 --R
 --R     =
 --R     0
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 119
 
 --S 120 of 177
@@ -1316,7 +1316,7 @@ solve(ode,y,x)
 --R
 --R                                 4x   3x   2x     2x   x     x  2  x
 --R   (3)  [particular= 0,basis= [%e  ,%e  ,%e  ,x %e  ,%e ,x %e ,x %e ]]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 120
 
 )clear all
@@ -1339,7 +1339,7 @@ ode := D(y x,x,4) -4/x^2*D(y x,x,2) + 8/x^3*D(y x,x) -8/x^4*D(y x,x) = 0
 --R   (2)  --------------------------------------= 0
 --R                           4
 --R                          x
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 122
 
 --S 123 of 177
@@ -1347,7 +1347,7 @@ solve(ode,y,x)
 --R 
 --R
 --R   (3)  [particular= 0,basis= [1]]
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 123
 
 )clear all
@@ -1367,7 +1367,7 @@ ode := (1+x+x^2)*D(y x,x,3) + (3+6*x)*D(y x,x,2) +6*D(y x,x) = 6*x
 --R          2          ,,,               ,,        ,
 --R   (2)  (x  + x + 1)y   (x) + (6x + 3)y  (x) + 6y (x)= 6x
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 125
 
 --S 126 of 177
@@ -1379,7 +1379,7 @@ solve(ode,y,x)
 --R   (3)  [particular= ------------,basis= [----------,----------,1]]
 --R                       2                   2          2
 --R                     4x  + 4x + 4         x  + x + 1 x  + x + 1
---IType: Union(Record(particular: Expression Integer,...
+--IType: Union(Record(particular: Expression(Integer),...
 --E 126
 
 )clear all
@@ -1399,7 +1399,7 @@ ode := (D(y x,x)^2 +1)*D(y x,x,3) - 3*D(y x,x)*D(y x,x,2) = 0
 --R          ,   2      ,,,        ,    ,,
 --R   (2)  (y (x)  + 1)y   (x) - 3y (x)y  (x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 128
 
 --S 129 of 177
@@ -1431,7 +1431,7 @@ ode := 3*D(y x,x,2)*D(y x,x,4) - 5*D(y x,x,3)^2 = 0
 --R          ,,    (iv)        ,,,   2
 --R   (2)  3y  (x)y    (x) - 5y   (x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 131
 
 --S 132 of 177
@@ -1465,7 +1465,7 @@ ode := D(y t,t) + a*y(t-1) = 0
 --R         ,
 --R   (2)  y (t) + a y(t - 1)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 134
 
 --S 135 of 177
@@ -1476,7 +1476,7 @@ solve(ode,y,t)
 --R         ++
 --I   (3)   |   a y(%J - 1)d%J  + y(t)
 --R        ++
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 135
 
 )clear all
@@ -1496,7 +1496,7 @@ ode := D(y(x,a),x) = a*y(x,a)
 --R
 --R   (2)  y  (x,a)= a y(x,a)
 --R         ,1
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 137
 
 --S 138 of 177
@@ -1529,7 +1529,7 @@ ode := D(y x,x,4) = sin(x)
 --R         (iv)
 --R   (2)  y    (x)= sin(x)
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 140
 
 --S 141 of 177
@@ -1540,7 +1540,7 @@ solve(ode,y,x=0,[0,0,0,0])
 --R        6sin(x) + x  - 6x
 --R   (3)  -----------------
 --R                6
---R                                          Type: Union(Expression Integer,...)
+--R                                         Type: Union(Expression(Integer),...)
 --E 141
 
 )clear all
@@ -1560,7 +1560,7 @@ ode := x*D(y x,x,2) + D(y x,x) +2*x*y(x) =0
 --R          ,,       ,
 --R   (2)  xy  (x) + y (x) + 2x y(x)= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 143
 
 --S 144 of 177
@@ -1588,7 +1588,7 @@ ode := x*D(y x,x)^2 -(y x)^2 + 1 = 0
 --R           ,   2       2
 --R   (2)  x y (x)  - y(x)  + 1= 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 146
 
 --S 147 of 177
@@ -1620,7 +1620,7 @@ ode := D(y x,x,2) + y(x)*D(y x,x)^3 = 0
 --R         ,,           ,   3
 --R   (2)  y  (x) + y(x)y (x) = 0
 --R
---R                                            Type: Equation Expression Integer
+--R                                          Type: Equation(Expression(Integer))
 --E 149
 
 --S 150 of 177
@@ -1670,7 +1670,7 @@ odes := [D(x t,t) = -3*y(t)*z(t), D(y t,t) = 3*x(t)*z(t), D(z t,t) = -x(t)*y(t)]
 --R          ,                  ,                ,
 --R   (4)  [x (t)= - 3y(t)z(t),y (t)= 3x(t)z(t),z (t)= - x(t)y(t)]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 154
 
 --S 155 of 177
@@ -1731,7 +1731,7 @@ odes := [D(x t,t) = a(t)*((y t)^2 - (x t)^2) + 2*b(t)*x(t)*y(t) + 2*c*x(t),
 --R     ,             2                                    2
 --R    y (t)= b(t)y(t)  + (- 2a(t)x(t) + 2c)y(t) - b(t)x(t) ]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 160
 
 --S 161 of 177
@@ -1771,7 +1771,7 @@ odes := [D(x t,t) = x(t)*(1+cos(t)/(2+sin(t))), D(y t,t) = x(t) - y(t)]
 --R          ,     x(t)sin(t) + x(t)cos(t) + 2x(t)  ,
 --R   (3)  [x (t)= -------------------------------,y (t)= - y(t) + x(t)]
 --R                           sin(t) + 2
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 164
 
 --S 165 of 177
@@ -1807,7 +1807,7 @@ odes := [D(x t,t) = 9*x(t) + 2*y(t), D(y t,t) = x(t) + 8*y(t)]
 --R          ,                    ,
 --R   (3)  [x (t)= 2y(t) + 9x(t),y (t)= 8y(t) + x(t)]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 168
 
 --S 169 of 177
@@ -1818,7 +1818,7 @@ solve(odes,[x,y],t)
 --R                                      10t %e        7t     7t
 --R   (4)  [particular= [0,0],basis= [[%e   ,-----],[%e  ,- %e  ]]]
 --R                                            2
---IType: Union(Record(particular: Vector Expression Integer,...
+--IType: Union(Record(particular: Vector(Expression(Integer)),...
 --E 169
 
 )clear all
@@ -1846,7 +1846,7 @@ odes := [D(x t,t) - x(t) - 2*y(t) = 0, D(x t,t,2) - 2*D(y t,t) = 2*t - cos(2*t)]
 --R          ,                       ,,        ,
 --R   (3)  [x (t) - 2y(t) - x(t)= 0,x  (t) - 2y (t)= - cos(2t) + 2t]
 --R
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 172
 
 --S 173 of 177
@@ -1890,7 +1890,7 @@ odes := [D(y1 x,x) = -1/(x*(x^2 + 1))*y1(x) + 1/(x^2*(x^2 + 1))*y2(x)+1/x,_
 --R   [y1 (x)= ------------------------,y2 (x)= ---------------------------------]
 --R                      4    2                                3
 --R                     x  + x                                x  + x
---R                                       Type: List Equation Expression Integer
+--R                                    Type: List(Equation(Expression(Integer)))
 --E 176
 
 --S 177 of 177
@@ -1900,7 +1900,7 @@ solve(odes,[y1,y2],x)
 --R                                                        1    2
 --R   (4)  [particular= [log(x) - 1,x log(x) - x],basis= [[-,- x ],[1,x]]]
 --R                                                        x
---IType: Union(Record(particular: Vector Expression Integer,...
+--IType: Union(Record(particular: Vector(Expression(Integer)),basis: ...
 --E 177
 
 )spool
diff --git a/src/interp/format.lisp.pamphlet b/src/interp/format.lisp.pamphlet
index 0c76b8b..a16c391 100644
--- a/src/interp/format.lisp.pamphlet
+++ b/src/interp/format.lisp.pamphlet
@@ -5,579 +5,606 @@
 \author{The Axiom Team}
 \maketitle
 \begin{abstract}
+Note that this is a merger of my code for handling examples and Waldek's
+code which fixes bug 7217 bad title generated in Axiom 3D output.
 \end{abstract}
 \eject
 \tableofcontents
 \eject
 \begin{chunk}{*}
-(IN-PACKAGE "BOOT" )
-
-;--% Functions for display formatting system objects
-;-- some of these are redundant and should be compacted
-;$formatSigAsTeX := 1
-
-(SPADLET |$formatSigAsTeX| 1) 
-
-;--% Formatting modemaps
-;sayModemap m ==
-;  -- sayMSG formatModemap displayTranModemap m
-;  sayMSG formatModemap old2NewModemaps displayTranModemap m
-
+ 
+; )package "BOOT"
+ 
+(IN-PACKAGE "BOOT")
+ 
+; $formatSigAsTeX := 1
+ 
+(EVAL-WHEN (EVAL LOAD) (SETQ |$formatSigAsTeX| 1))
+ 
+; sayModemap m ==
+;   -- sayMSG formatModemap displayTranModemap m
+;   sayMSG formatModemap old2NewModemaps displayTranModemap m
+ 
 (DEFUN |sayModemap| (|m|)
-  (|sayMSG|
-      (|formatModemap| (|old2NewModemaps| (|displayTranModemap| |m|)))))
-
-;sayModemapWithNumber(m,n) ==
-;  msg := reverse cleanUpSegmentedMsg reverse ["%i","%i",'" ",
-;    STRCONC(lbrkSch(),object2String n,rbrkSch()),
-;      :formatModemap displayTranModemap m,"%u","%u"]
-;  sayMSG flowSegmentedMsg(reverse msg,$LINELENGTH,3)
-
+  (PROG ()
+    (RETURN
+     (|sayMSG|
+      (|formatModemap| (|old2NewModemaps| (|displayTranModemap| |m|)))))))
+ 
+; sayModemapWithNumber(m,n) ==
+;   msg := reverse cleanUpSegmentedMsg reverse ["%i","%i",'" ",
+;     STRCONC(lbrkSch(),object2String n,rbrkSch()),
+;       :formatModemap displayTranModemap m,"%u","%u"]
+;   sayMSG flowSegmentedMsg(reverse msg,$LINELENGTH,3)
+ 
 (DEFUN |sayModemapWithNumber| (|m| |n|)
   (PROG (|msg|)
-    (DECLARE (SPECIAL $LINELENGTH))
-    (RETURN
-      (PROGN
-        (SPADLET |msg|
-                 (REVERSE (|cleanUpSegmentedMsg|
-                              (REVERSE (CONS '|%i|
-                                        (CONS '|%i|
-                                         (CONS " "
-                                          (CONS
-                                           (STRCONC (|lbrkSch|)
-                                            (|object2String| |n|)
-                                            (|rbrkSch|))
-                                           (APPEND
-                                            (|formatModemap|
-                                             (|displayTranModemap| |m|))
-                                            (CONS '|%u|
-                                             (CONS '|%u| NIL)))))))))))
-        (|sayMSG| (|flowSegmentedMsg| (REVERSE |msg|) $LINELENGTH 3))))))
-
-;displayOpModemaps(op,modemaps) ==
-;  TERPRI()
-;  count:= #modemaps
-;  phrase:= (count=1 => 'modemap;'modemaps)
-;  sayMSG ['%b,count,'%d,phrase,'" for",'%b,op,'%d,'":"]
-;  for modemap in modemaps repeat sayModemap modemap
-
+    (RETURN
+     (PROGN
+      (SETQ |msg|
+              (REVERSE
+               (|cleanUpSegmentedMsg|
+                (REVERSE
+                 (CONS '|%i|
+                       (CONS '|%i|
+                             (CONS " "
+                                   (CONS
+                                    (STRCONC (|lbrkSch|) (|object2String| |n|)
+                                     (|rbrkSch|))
+                                    (APPEND
+                                     (|formatModemap|
+                                      (|displayTranModemap| |m|))
+                                     (CONS '|%u| (CONS '|%u| NIL)))))))))))
+      (|sayMSG| (|flowSegmentedMsg| (REVERSE |msg|) $LINELENGTH 3))))))
+ 
+; displayOpModemaps(op,modemaps) ==
+;   TERPRI()
+;   count:= #modemaps
+;   phrase:= (count=1 => 'modemap;'modemaps)
+;   sayMSG ['%b,count,'%d,phrase,'" for",'%b,op,'%d,'":"]
+;   for modemap in modemaps repeat sayModemap modemap
+ 
 (DEFUN |displayOpModemaps| (|op| |modemaps|)
   (PROG (|count| |phrase|)
     (RETURN
-      (SEQ (PROGN
-             (TERPRI)
-             (SPADLET |count| (|#| |modemaps|))
-             (SPADLET |phrase|
-                      (COND
-                        ((EQL |count| 1) '|modemap|)
-                        ('T '|modemaps|)))
-             (|sayMSG|
-                 (CONS '|%b|
-                       (CONS |count|
-                             (CONS '|%d|
-                                   (CONS |phrase|
-                                    (CONS " for"
-                                     (CONS '|%b|
-                                      (CONS |op|
-                                       (CONS '|%d|
-                                        (CONS ":" NIL))))))))))
-             (DO ((G166070 |modemaps| (CDR G166070))
-                  (|modemap| NIL))
-                 ((OR (ATOM G166070)
-                      (PROGN (SETQ |modemap| (CAR G166070)) NIL))
-                  NIL)
-               (SEQ (EXIT (|sayModemap| |modemap|)))))))))
-
-;displayTranModemap (mm is [[x,:sig],[pred,:y],:z]) ==
-;  -- The next 8 lines are a HACK to deal with the "partial" definition
-;  -- JHD/RSS
-;  if pred is ['partial,:pred'] then
-;    [b,:c]:=sig
-;    sig:=[['Union,b,'"failed"],:c]
-;    mm:=[[x,:sig],[pred',:y],:z]
-;  else if pred = 'partial then
-;    [b,:c]:=sig
-;    sig:=[['Union,b,'"failed"],:c]
-;    mm:=[[x,:sig],y,:z]
-;  mm' := EQSUBSTLIST('(m n p q r s t i j k l),
-;    MSORT listOfPredOfTypePatternIds pred,mm)
-;  EQSUBSTLIST('(D D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 D12 D13 D14),
-;    MSORT listOfPatternIds [sig,[pred,:y]],mm')
-
+     (PROGN
+      (TERPRI)
+      (SETQ |count| (LENGTH |modemaps|))
+      (SETQ |phrase| (COND ((EQL |count| 1) '|modemap|) (#1='T '|modemaps|)))
+      (|sayMSG|
+       (LIST '|%b| |count| '|%d| |phrase| " for" '|%b| |op| '|%d| ":"))
+      ((LAMBDA (|bfVar#1| |modemap|)
+         (LOOP
+          (COND
+           ((OR (ATOM |bfVar#1|) (PROGN (SETQ |modemap| (CAR |bfVar#1|)) NIL))
+            (RETURN NIL))
+           (#1# (|sayModemap| |modemap|)))
+          (SETQ |bfVar#1| (CDR |bfVar#1|))))
+       |modemaps| NIL)))))
+ 
+; displayTranModemap (mm is [[x,:sig],[pred,:y],:z]) ==
+;   -- The next 8 lines are a HACK to deal with the "partial" definition
+;   -- JHD/RSS
+;   if pred is ['partial,:pred'] then
+;     [b,:c]:=sig
+;     sig:=[['Union,b,'"failed"],:c]
+;     mm:=[[x,:sig],[pred',:y],:z]
+;   else if pred = 'partial then
+;     [b,:c]:=sig
+;     sig:=[['Union,b,'"failed"],:c]
+;     mm:=[[x,:sig],y,:z]
+;   mm' := EQSUBSTLIST('(m n p q r s t i j k l),
+;     MSORT listOfPredOfTypePatternIds pred,mm)
+;   EQSUBSTLIST('(D D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 D12 D13 D14),
+;     MSORT listOfPatternIds [sig,[pred,:y]],mm')
+ 
 (DEFUN |displayTranModemap| (|mm|)
-  (PROG (|x| |pred| |y| |z| |pred'| |b| |c| |sig| |mm'|)
-    (RETURN
-      (PROGN
-        (SPADLET |x| (CAAR |mm|))
-        (SPADLET |sig| (CDAR |mm|))
-        (SPADLET |pred| (CAADR |mm|))
-        (SPADLET |y| (CDADR |mm|))
-        (SPADLET |z| (CDDR |mm|))
-        (COND
-          ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|partial|)
-                (PROGN (SPADLET |pred'| (QCDR |pred|)) 'T))
-           (SPADLET |b| (CAR |sig|)) (SPADLET |c| (CDR |sig|))
-           (SPADLET |sig|
-                    (CONS (CONS '|Union|
-                                (CONS |b|
-                                      (CONS "failed" NIL)))
-                          |c|))
-           (SPADLET |mm|
-                    (CONS (CONS |x| |sig|)
-                          (CONS (CONS |pred'| |y|) |z|))))
-          ((BOOT-EQUAL |pred| '|partial|) (SPADLET |b| (CAR |sig|))
-           (SPADLET |c| (CDR |sig|))
-           (SPADLET |sig|
-                    (CONS (CONS '|Union|
-                                (CONS |b|
-                                      (CONS "failed" NIL)))
-                          |c|))
-           (SPADLET |mm| (CONS (CONS |x| |sig|) (CONS |y| |z|))))
-          ('T NIL))
-        (SPADLET |mm'|
-                 (EQSUBSTLIST
-                     '(|m| |n| |p| |q| |r| |s| |t| |i| |j| |k| |l|)
-                     (MSORT (|listOfPredOfTypePatternIds| |pred|))
-                     |mm|))
-        (EQSUBSTLIST
-            '(D D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 D12 D13 D14)
-            (MSORT (|listOfPatternIds|
-                       (CONS |sig| (CONS (CONS |pred| |y|) NIL))))
-            |mm'|)))))
-
-;listOfPredOfTypePatternIds p ==
-;  p is ['AND,:lp] or p is ['OR,:lp] =>
-;    UNIONQ([:listOfPredOfTypePatternIds p1 for p1 in lp],NIL)
-;  p is [op,a,.] and op = 'ofType =>
-;    isPatternVar a => [a]
-;    nil
-;  nil
-
+  (PROG (|x| |sig| |pred| |y| |z| |pred'| |b| |c| |mm'|)
+    (RETURN
+     (PROGN
+      (SETQ |x| (CAAR . #1=(|mm|)))
+      (SETQ |sig| (CDAR . #1#))
+      (SETQ |pred| (CAADR . #2=(|mm|)))
+      (SETQ |y| (CDADR . #2#))
+      (SETQ |z| (CDDR . #2#))
+      (COND
+       ((AND (CONSP |pred|) (EQ (CAR |pred|) '|partial|)
+             (PROGN (SETQ |pred'| (CDR |pred|)) 'T))
+        (SETQ |b| (CAR |sig|)) (SETQ |c| (CDR |sig|))
+        (SETQ |sig| (CONS (LIST '|Union| |b| "failed") |c|))
+        (SETQ |mm| (CONS (CONS |x| |sig|) (CONS (CONS |pred'| |y|) |z|))))
+       ((EQ |pred| '|partial|) (SETQ |b| (CAR |sig|)) (SETQ |c| (CDR |sig|))
+        (SETQ |sig| (CONS (LIST '|Union| |b| "failed") |c|))
+        (SETQ |mm| (CONS (CONS |x| |sig|) (CONS |y| |z|)))))
+      (SETQ |mm'|
+              (EQSUBSTLIST '(|m| |n| |p| |q| |r| |s| |t| |i| |j| |k| |l|)
+               (MSORT (|listOfPredOfTypePatternIds| |pred|)) |mm|))
+      (EQSUBSTLIST '(D D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 D12 D13 D14)
+       (MSORT (|listOfPatternIds| (LIST |sig| (CONS |pred| |y|)))) |mm'|)))))
+ 
+; listOfPredOfTypePatternIds p ==
+;   p is ['AND,:lp] or p is ['OR,:lp] =>
+;     UNIONQ([:listOfPredOfTypePatternIds p1 for p1 in lp],NIL)
+;   p is [op,a,.] and op = 'ofType =>
+;     isPatternVar a => [a]
+;     nil
+;   nil
+ 
 (DEFUN |listOfPredOfTypePatternIds| (|p|)
   (PROG (|lp| |op| |ISTMP#1| |a| |ISTMP#2|)
     (RETURN
-      (SEQ (COND
-             ((OR (AND (CONSP |p|) (EQ (QCAR |p|) 'AND)
-                       (PROGN (SPADLET |lp| (QCDR |p|)) 'T))
-                  (AND (CONSP |p|) (EQ (QCAR |p|) 'OR)
-                       (PROGN (SPADLET |lp| (QCDR |p|)) 'T)))
-              (UNIONQ (PROG (G166148)
-                        (SPADLET G166148 NIL)
-                        (RETURN
-                          (DO ((G166153 |lp| (CDR G166153))
-                               (|p1| NIL))
-                              ((OR (ATOM G166153)
-                                   (PROGN
-                                     (SETQ |p1| (CAR G166153))
-                                     NIL))
-                               G166148)
-                            (SEQ (EXIT (SETQ G166148
-                                        (APPEND G166148
-                                         (|listOfPredOfTypePatternIds|
-                                          |p1|))))))))
-                      NIL))
-             ((AND (CONSP |p|)
-                   (PROGN
-                     (SPADLET |op| (QCAR |p|))
-                     (SPADLET |ISTMP#1| (QCDR |p|))
-                     (AND (CONSP |ISTMP#1|)
-                          (PROGN
-                            (SPADLET |a| (QCAR |ISTMP#1|))
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (EQ (QCDR |ISTMP#2|) NIL)))))
-                   (BOOT-EQUAL |op| '|ofType|))
-              (COND ((|isPatternVar| |a|) (CONS |a| NIL)) ('T NIL)))
-             ('T NIL))))))
-
-;removeIsDomains pred ==
-;  pred is ['isDomain,a,b] => true
-;  pred is ['AND,:predl] =>
-;    MKPF([x for x in predl | x isnt ['isDomain,:.]],'AND)
-;  pred
-
+     (COND
+      ((OR
+        (AND (CONSP |p|) (EQ (CAR |p|) 'AND)
+             (PROGN (SETQ |lp| (CDR |p|)) #1='T))
+        (AND (CONSP |p|) (EQ (CAR |p|) 'OR) (PROGN (SETQ |lp| (CDR |p|)) #1#)))
+       (UNIONQ
+        ((LAMBDA (|bfVar#3| |bfVar#2| |p1|)
+           (LOOP
+            (COND
+             ((OR (ATOM |bfVar#2|) (PROGN (SETQ |p1| (CAR |bfVar#2|)) NIL))
+              (RETURN (NREVERSE |bfVar#3|)))
+             (#1#
+              (SETQ |bfVar#3|
+                      (APPEND (REVERSE (|listOfPredOfTypePatternIds| |p1|))
+                              |bfVar#3|))))
+            (SETQ |bfVar#2| (CDR |bfVar#2|))))
+         NIL |lp| NIL)
+        NIL))
+      ((AND (CONSP |p|)
+            (PROGN
+             (SETQ |op| (CAR |p|))
+             (SETQ |ISTMP#1| (CDR |p|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |a| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)))))
+            (EQ |op| '|ofType|))
+       (COND ((|isPatternVar| |a|) (LIST |a|)) (#1# NIL)))
+      (#1# NIL)))))
+ 
+; removeIsDomains pred ==
+;   pred is ['isDomain,a,b] => true
+;   pred is ['AND,:predl] =>
+;     MKPF([x for x in predl | x isnt ['isDomain,:.]],'AND)
+;   pred
+ 
 (DEFUN |removeIsDomains| (|pred|)
   (PROG (|ISTMP#1| |a| |ISTMP#2| |b| |predl|)
     (RETURN
-      (SEQ (COND
-             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|isDomain|)
-                   (PROGN
-                     (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (CONSP |ISTMP#1|)
-                          (PROGN
-                            (SPADLET |a| (QCAR |ISTMP#1|))
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (EQ (QCDR |ISTMP#2|) NIL)
-                                 (PROGN
-                                   (SPADLET |b| (QCAR |ISTMP#2|))
-                                   'T))))))
-              'T)
-             ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'AND)
-                   (PROGN (SPADLET |predl| (QCDR |pred|)) 'T))
-              (MKPF (PROG (G166191)
-                      (SPADLET G166191 NIL)
-                      (RETURN
-                        (DO ((G166197 |predl| (CDR G166197))
-                             (|x| NIL))
-                            ((OR (ATOM G166197)
-                                 (PROGN
-                                   (SETQ |x| (CAR G166197))
-                                   NIL))
-                             (NREVERSE0 G166191))
-                          (SEQ (EXIT (COND
-                                       ((NULL
-                                         (AND (CONSP |x|)
-                                          (EQ (QCAR |x|) '|isDomain|)))
-                                        (SETQ G166191
-                                         (CONS |x| G166191)))))))))
-                    'AND))
-             ('T |pred|))))))
-
-;canRemoveIsDomain? pred ==
-;  -- returns nil OR an alist for substitutions of domains ordered so that
-;  -- after substituting for each pair in turn, no left-hand names remain
-;  alist :=
-;    pred is ['isDomain,a,b] => [[a,:b],:alist]
-;    pred is ['AND,:predl] =>
-;      [[a,:b] for pred in predl | pred is ['isDomain,a,b]]
-;  findSubstitutionOrder? alist
-
+     (COND
+      ((AND (CONSP |pred|) (EQ (CAR |pred|) '|isDomain|)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |pred|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |a| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |b| (CAR |ISTMP#2|)) #1='T))))))
+       T)
+      ((AND (CONSP |pred|) (EQ (CAR |pred|) 'AND)
+            (PROGN (SETQ |predl| (CDR |pred|)) #1#))
+       (MKPF
+        ((LAMBDA (|bfVar#5| |bfVar#4| |x|)
+           (LOOP
+            (COND
+             ((OR (ATOM |bfVar#4|) (PROGN (SETQ |x| (CAR |bfVar#4|)) NIL))
+              (RETURN (NREVERSE |bfVar#5|)))
+             (#1#
+              (AND (NOT (AND (CONSP |x|) (EQ (CAR |x|) '|isDomain|)))
+                   (SETQ |bfVar#5| (CONS |x| |bfVar#5|)))))
+            (SETQ |bfVar#4| (CDR |bfVar#4|))))
+         NIL |predl| NIL)
+        'AND))
+      (#1# |pred|)))))
+ 
+; canRemoveIsDomain? pred ==
+;   -- returns nil OR an alist for substitutions of domains ordered so that
+;   -- after substituting for each pair in turn, no left-hand names remain
+;   alist :=
+;     pred is ['isDomain,a,b] => [[a,:b],:alist]
+;     pred is ['AND,:predl] =>
+;       [[a,:b] for pred in predl | pred is ['isDomain,a,b]]
+;   findSubstitutionOrder? alist
+ 
 (DEFUN |canRemoveIsDomain?| (|pred|)
-  (PROG (|predl| |ISTMP#1| |a| |ISTMP#2| |b| |alist|)
+  (PROG (|ISTMP#1| |a| |ISTMP#2| |b| |predl| |alist|)
     (RETURN
-      (SEQ (PROGN
-             (SPADLET |alist|
-                      (COND
-                        ((AND (CONSP |pred|)
-                              (EQ (QCAR |pred|) '|isDomain|)
-                              (PROGN
-                                (SPADLET |ISTMP#1| (QCDR |pred|))
-                                (AND (CONSP |ISTMP#1|)
-                                     (PROGN
-                                       (SPADLET |a| (QCAR |ISTMP#1|))
-                                       (SPADLET |ISTMP#2|
-                                        (QCDR |ISTMP#1|))
-                                       (AND (CONSP |ISTMP#2|)
-                                        (EQ (QCDR |ISTMP#2|) NIL)
-                                        (PROGN
-                                          (SPADLET |b|
-                                           (QCAR |ISTMP#2|))
-                                          'T))))))
-                         (CONS (CONS |a| |b|) |alist|))
-                        ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'AND)
-                              (PROGN
-                                (SPADLET |predl| (QCDR |pred|))
-                                'T))
-                         (PROG (G166251)
-                           (SPADLET G166251 NIL)
-                           (RETURN
-                             (DO ((G166257 |predl| (CDR G166257))
-                                  (|pred| NIL))
-                                 ((OR (ATOM G166257)
-                                      (PROGN
-                                        (SETQ |pred| (CAR G166257))
-                                        NIL))
-                                  (NREVERSE0 G166251))
-                               (SEQ (EXIT
-                                     (COND
-                                       ((AND (CONSP |pred|)
-                                         (EQ (QCAR |pred|) '|isDomain|)
-                                         (PROGN
-                                           (SPADLET |ISTMP#1|
-                                            (QCDR |pred|))
-                                           (AND (CONSP |ISTMP#1|)
-                                            (PROGN
-                                              (SPADLET |a|
-                                               (QCAR |ISTMP#1|))
-                                              (SPADLET |ISTMP#2|
-                                               (QCDR |ISTMP#1|))
-                                              (AND (CONSP |ISTMP#2|)
-                                               (EQ (QCDR |ISTMP#2|)
-                                                NIL)
-                                               (PROGN
-                                                 (SPADLET |b|
-                                                  (QCAR |ISTMP#2|))
-                                                 'T))))))
-                                        (SETQ G166251
-                                         (CONS (CONS |a| |b|)
-                                          G166251))))))))))))
-             (|findSubstitutionOrder?| |alist|))))))
-
-;findSubstitutionOrder? alist == fn(alist,nil) where
-;  -- returns NIL or an appropriate substituion order
-;  fn(alist,res) ==
-;    null alist => NREVERSE res
-;    choice := or/[x for (x:=[a,:b]) in alist | null containedRight(a,alist)] =>
-;      fn(DELETE(choice,alist),[choice,:res])
-;    nil
-
+     (PROGN
+      (SETQ |alist|
+              (COND
+               ((AND (CONSP |pred|) (EQ (CAR |pred|) '|isDomain|)
+                     (PROGN
+                      (SETQ |ISTMP#1| (CDR |pred|))
+                      (AND (CONSP |ISTMP#1|)
+                           (PROGN
+                            (SETQ |a| (CAR |ISTMP#1|))
+                            (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                            (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                                 (PROGN (SETQ |b| (CAR |ISTMP#2|)) #1='T))))))
+                (CONS (CONS |a| |b|) |alist|))
+               ((AND (CONSP |pred|) (EQ (CAR |pred|) 'AND)
+                     (PROGN (SETQ |predl| (CDR |pred|)) #1#))
+                ((LAMBDA (|bfVar#7| |bfVar#6| |pred|)
+                   (LOOP
+                    (COND
+                     ((OR (ATOM |bfVar#6|)
+                          (PROGN (SETQ |pred| (CAR |bfVar#6|)) NIL))
+                      (RETURN (NREVERSE |bfVar#7|)))
+                     (#1#
+                      (AND (CONSP |pred|) (EQ (CAR |pred|) '|isDomain|)
+                           (PROGN
+                            (SETQ |ISTMP#1| (CDR |pred|))
+                            (AND (CONSP |ISTMP#1|)
+                                 (PROGN
+                                  (SETQ |a| (CAR |ISTMP#1|))
+                                  (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                                  (AND (CONSP |ISTMP#2|)
+                                       (EQ (CDR |ISTMP#2|) NIL)
+                                       (PROGN
+                                        (SETQ |b| (CAR |ISTMP#2|))
+                                        #1#)))))
+                           (SETQ |bfVar#7| (CONS (CONS |a| |b|) |bfVar#7|)))))
+                    (SETQ |bfVar#6| (CDR |bfVar#6|))))
+                 NIL |predl| NIL))))
+      (|findSubstitutionOrder?| |alist|)))))
+ 
+; findSubstitutionOrder? alist == fn(alist,nil) where
+;   -- returns NIL or an appropriate substituion order
+;   fn(alist,res) ==
+;     null alist => NREVERSE res
+;     choice := or/[x for (x:=[a,:b]) in alist | null containedRight(a,alist)] =>
+;       fn(delete(choice,alist),[choice,:res])
+;     nil
+ 
+(DEFUN |findSubstitutionOrder?| (|alist|)
+  (PROG () (RETURN (|findSubstitutionOrder?,fn| |alist| NIL))))
 (DEFUN |findSubstitutionOrder?,fn| (|alist| |res|)
   (PROG (|a| |b| |choice|)
     (RETURN
-      (SEQ (IF (NULL |alist|) (EXIT (NREVERSE |res|)))
-           (IF (SPADLET |choice|
-                        (PROG (G166281)
-                          (SPADLET G166281 NIL)
-                          (RETURN
-                            (DO ((G166289 NIL G166281)
-                                 (G166290 |alist| (CDR G166290))
-                                 (|x| NIL))
-                                ((OR G166289 (ATOM G166290)
-                                     (PROGN
-                                       (SETQ |x| (CAR G166290))
-                                       NIL)
-                                     (PROGN
-                                       (PROGN
-                                         (SPADLET |a| (CAR |x|))
-                                         (SPADLET |b| (CDR |x|))
-                                         |x|)
-                                       NIL))
-                                 G166281)
-                              (SEQ (EXIT
-                                    (COND
-                                      ((NULL
-                                        (|containedRight| |a| |alist|))
-                                       (SETQ G166281
-                                        (OR G166281 |x|))))))))))
-               (EXIT (|findSubstitutionOrder?,fn|
-                         (|delete| |choice| |alist|)
-                         (CONS |choice| |res|))))
-           (EXIT NIL)))))
-
-(DEFUN |findSubstitutionOrder?| (|alist|)
-  (|findSubstitutionOrder?,fn| |alist| NIL))
-
-;containedRight(x,alist)== or/[CONTAINED(x,y) for [.,:y] in alist]
-
+     (COND ((NULL |alist|) (NREVERSE |res|))
+           ((SETQ |choice|
+                    ((LAMBDA (|bfVar#9| |bfVar#8| |x|)
+                       (LOOP
+                        (COND
+                         ((OR (ATOM |bfVar#8|)
+                              (PROGN (SETQ |x| (CAR |bfVar#8|)) NIL))
+                          (RETURN |bfVar#9|))
+                         (#1='T
+                          (AND (CONSP |x|)
+                               (PROGN
+                                (SETQ |a| (CAR |x|))
+                                (SETQ |b| (CDR |x|))
+                                #1#)
+                               (NULL (|containedRight| |a| |alist|))
+                               (PROGN
+                                (SETQ |bfVar#9| |x|)
+                                (COND (|bfVar#9| (RETURN |bfVar#9|)))))))
+                        (SETQ |bfVar#8| (CDR |bfVar#8|))))
+                     NIL |alist| NIL))
+            (|findSubstitutionOrder?,fn| (|delete| |choice| |alist|)
+             (CONS |choice| |res|)))
+           (#1# NIL)))))
+ 
+; containedRight(x,alist)== or/[CONTAINED(x,y) for [.,:y] in alist]
+ 
 (DEFUN |containedRight| (|x| |alist|)
   (PROG (|y|)
     (RETURN
-      (SEQ (PROG (G166312)
-             (SPADLET G166312 NIL)
-             (RETURN
-               (DO ((G166319 NIL G166312)
-                    (G166320 |alist| (CDR G166320))
-                    (G166309 NIL))
-                   ((OR G166319 (ATOM G166320)
-                        (PROGN (SETQ G166309 (CAR G166320)) NIL)
-                        (PROGN
-                          (PROGN
-                            (SPADLET |y| (CDR G166309))
-                            G166309)
-                          NIL))
-                    G166312)
-                 (SEQ (EXIT (SETQ G166312
-                                  (OR G166312 (CONTAINED |x| |y|))))))))))))
-
-;removeIsDomainD pred ==
-;  pred is ['isDomain,'D,D] =>
-;    [D,nil]
-;  pred is ['AND,:preds] =>
-;    D := nil
-;    for p in preds while not D repeat
-;      p is ['isDomain,'D,D1] =>
-;        D := D1
-;        npreds := DELETE(['isDomain,'D,D1],preds)
-;    D =>
-;      1 = #npreds => [D,first npreds]
-;      [D,['AND,:npreds]]
-;    nil
-;  nil
-
+     ((LAMBDA (|bfVar#12| |bfVar#11| |bfVar#10|)
+        (LOOP
+         (COND
+          ((OR (ATOM |bfVar#11|)
+               (PROGN (SETQ |bfVar#10| (CAR |bfVar#11|)) NIL))
+           (RETURN |bfVar#12|))
+          (#1='T
+           (AND (CONSP |bfVar#10|) (PROGN (SETQ |y| (CDR |bfVar#10|)) #1#)
+                (PROGN
+                 (SETQ |bfVar#12| (CONTAINED |x| |y|))
+                 (COND (|bfVar#12| (RETURN |bfVar#12|)))))))
+         (SETQ |bfVar#11| (CDR |bfVar#11|))))
+      NIL |alist| NIL))))
+ 
+; DEFPARAMETER($Dmarker, "<Dmarker>")
+ 
+(DEFPARAMETER |$Dmarker| '|<Dmarker>|)
+ 
+; removeIsDomainD pred ==
+;   pred is ['isDomain, =$Dmarker, D] =>
+;     [D,nil]
+;   pred is ['AND,:preds] =>
+;     D := nil
+;     for p in preds while not D repeat
+;       p is ['isDomain, =$Dmarker, D1] =>
+;         D := D1
+;         npreds := delete(['isDomain, $Dmarker, D1], preds)
+;     D =>
+;       1 = #npreds => [D,first npreds]
+;       [D,['AND,:npreds]]
+;     nil
+;   nil
+ 
 (DEFUN |removeIsDomainD| (|pred|)
-  (PROG (|preds| |ISTMP#1| |ISTMP#2| D1 D |npreds|)
+  (PROG (|ISTMP#1| |ISTMP#2| D |preds| D1 |npreds|)
     (RETURN
-      (SEQ (COND
-             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|isDomain|)
-                   (PROGN
-                     (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'D)
-                          (PROGN
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (EQ (QCDR |ISTMP#2|) NIL)
-                                 (PROGN
-                                   (SPADLET D (QCAR |ISTMP#2|))
-                                   'T))))))
-              (CONS D (CONS NIL NIL)))
-             ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'AND)
-                   (PROGN (SPADLET |preds| (QCDR |pred|)) 'T))
-              (SPADLET D NIL)
-              (SEQ (DO ((G166369 |preds| (CDR G166369)) (|p| NIL))
-                       ((OR (ATOM G166369)
-                            (PROGN (SETQ |p| (CAR G166369)) NIL)
-                            (NULL (NULL D)))
-                        NIL)
-                     (SEQ (EXIT (COND
-                                  ((AND (CONSP |p|)
-                                    (EQ (QCAR |p|) '|isDomain|)
-                                    (PROGN
-                                      (SPADLET |ISTMP#1| (QCDR |p|))
-                                      (AND (CONSP |ISTMP#1|)
-                                       (EQ (QCAR |ISTMP#1|) 'D)
-                                       (PROGN
-                                         (SPADLET |ISTMP#2|
-                                          (QCDR |ISTMP#1|))
-                                         (AND (CONSP |ISTMP#2|)
-                                          (EQ (QCDR |ISTMP#2|) NIL)
-                                          (PROGN
-                                            (SPADLET D1
-                                             (QCAR |ISTMP#2|))
-                                            'T))))))
-                                   (EXIT
-                                    (PROGN
-                                      (SPADLET D D1)
-                                      (SPADLET |npreds|
-                                       (|delete|
-                                        (CONS '|isDomain|
-                                         (CONS 'D (CONS D1 NIL)))
-                                        |preds|)))))))))
-                   (COND
-                     (D (EXIT (COND
-                                ((EQL 1 (|#| |npreds|))
-                                 (CONS D (CONS (CAR |npreds|) NIL)))
-                                ('T
-                                 (CONS D
-                                       (CONS (CONS 'AND |npreds|) NIL)))))))
-                   NIL))
-             ('T NIL))))))
-
-;formatModemap modemap ==
-;  [[dc,target,:sl],pred,:.]:= modemap
-;  if alist := canRemoveIsDomain? pred then
-;    dc:= substInOrder(alist,dc)
-;    pred:= substInOrder(alist,removeIsDomains pred)
-;    target:= substInOrder(alist,target)
-;    sl:= substInOrder(alist,sl)
-;  else if removeIsDomainD pred is [D,npred] then
-;    pred := SUBST(D,'D,npred)
-;    target := SUBST(D,'D,target)
-;    sl := SUBST(D,'D,sl)
-;  predPart:= formatIf pred
-;  targetPart:= prefix2String target
-;  argTypeList:=
-;    null sl => nil
-;    concat(prefix2String first sl,fn(rest sl)) where
-;      fn l ==
-;        null l => nil
-;        concat(",",prefix2String first l,fn rest l)
-;  argPart:=
-;    #sl<2 => argTypeList
-;    ['"_(",:argTypeList,'"_)"]
-;  fromPart:=
-;    if dc = 'D and D
-;      then concat('%b,'"from",'%d,prefix2String D)
-;      else concat('%b,'"from",'%d,prefix2String dc)
-;  firstPart:= concat('" ",argPart,'" -> ",targetPart)
-;  sayWidth firstPart + sayWidth fromPart > 74 => --allow 5 spaces for " [n]"
-;    fromPart:= concat('" ",fromPart)
-;    secondPart :=
-;      sayWidth fromPart + sayWidth predPart < 75 =>
-;        concat(fromPart,predPart)
-;      concat(fromPart,'%l,predPart)
-;    concat(firstPart,'%l,secondPart)
-;  firstPart:= concat(firstPart,fromPart)
-;  sayWidth firstPart + sayWidth predPart < 80 =>
-;    concat(firstPart,predPart)
-;  concat(firstPart,'%l,predPart)
-
-(DEFUN |formatModemap,fn| (|l|)
-  (SEQ (IF (NULL |l|) (EXIT NIL))
-       (EXIT (|concat| '|,| (|prefix2String| (CAR |l|))
-                 (|formatModemap,fn| (CDR |l|))))))
-
-(DEFUN |formatModemap| (|modemap|)
-  (PROG (|alist| |dc| |ISTMP#1| D |ISTMP#2| |npred| |pred| |target|
-                 |sl| |predPart| |targetPart| |argTypeList| |argPart|
-                 |fromPart| |secondPart| |firstPart|)
-    (RETURN
-      (PROGN
-        (SPADLET |dc| (CAAR |modemap|))
-        (SPADLET |target| (CADAR |modemap|))
-        (SPADLET |sl| (CDDAR |modemap|))
-        (SPADLET |pred| (CADR |modemap|))
-        (COND
-          ((SPADLET |alist| (|canRemoveIsDomain?| |pred|))
-           (SPADLET |dc| (|substInOrder| |alist| |dc|))
-           (SPADLET |pred|
-                    (|substInOrder| |alist| (|removeIsDomains| |pred|)))
-           (SPADLET |target| (|substInOrder| |alist| |target|))
-           (SPADLET |sl| (|substInOrder| |alist| |sl|)))
-          ((PROGN
-             (SPADLET |ISTMP#1| (|removeIsDomainD| |pred|))
-             (AND (CONSP |ISTMP#1|)
+     (COND
+      ((AND (CONSP |pred|) (EQ (CAR |pred|) '|isDomain|)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |pred|))
+             (AND (CONSP |ISTMP#1|) (EQUAL (CAR |ISTMP#1|) |$Dmarker|)
                   (PROGN
-                    (SPADLET D (QCAR |ISTMP#1|))
-                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                    (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
-                         (PROGN (SPADLET |npred| (QCAR |ISTMP#2|)) 'T)))))
-           (SPADLET |pred| (MSUBST D 'D |npred|))
-           (SPADLET |target| (MSUBST D 'D |target|))
-           (SPADLET |sl| (MSUBST D 'D |sl|)))
-          ('T NIL))
-        (SPADLET |predPart| (|formatIf| |pred|))
-        (SPADLET |targetPart| (|prefix2String| |target|))
-        (SPADLET |argTypeList|
-                 (COND
-                   ((NULL |sl|) NIL)
-                   ('T
-                    (|concat| (|prefix2String| (CAR |sl|))
-                        (|formatModemap,fn| (CDR |sl|))))))
-        (SPADLET |argPart|
-                 (COND
-                   ((QSLESSP (|#| |sl|) 2) |argTypeList|)
-                   ('T
-                    (CONS "(" (APPEND |argTypeList| (CONS ")" NIL))))))
-        (SPADLET |fromPart|
-                 (COND
-                   ((AND (BOOT-EQUAL |dc| 'D) D)
-                    (|concat| '|%b| "from" '|%d|
-                        (|prefix2String| D)))
-                   ('T
-                    (|concat| '|%b| "from" '|%d|
-                        (|prefix2String| |dc|)))))
-        (SPADLET |firstPart|
-                 (|concat| " " |argPart| " -> " |targetPart|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ D (CAR |ISTMP#2|)) #1='T))))))
+       (LIST D NIL))
+      ((AND (CONSP |pred|) (EQ (CAR |pred|) 'AND)
+            (PROGN (SETQ |preds| (CDR |pred|)) #1#))
+       (PROGN
+        (SETQ D NIL)
+        ((LAMBDA (|bfVar#13| |p|)
+           (LOOP
+            (COND
+             ((OR (ATOM |bfVar#13|) (PROGN (SETQ |p| (CAR |bfVar#13|)) NIL) D)
+              (RETURN NIL))
+             (#1#
+              (COND
+               ((AND (CONSP |p|) (EQ (CAR |p|) '|isDomain|)
+                     (PROGN
+                      (SETQ |ISTMP#1| (CDR |p|))
+                      (AND (CONSP |ISTMP#1|) (EQUAL (CAR |ISTMP#1|) |$Dmarker|)
+                           (PROGN
+                            (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                            (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                                 (PROGN (SETQ D1 (CAR |ISTMP#2|)) #1#))))))
+                (IDENTITY
+                 (PROGN
+                  (SETQ D D1)
+                  (SETQ |npreds|
+                          (|delete| (LIST '|isDomain| |$Dmarker| D1)
+                           |preds|))))))))
+            (SETQ |bfVar#13| (CDR |bfVar#13|))))
+         |preds| NIL)
         (COND
-          ((> (PLUS (|sayWidth| |firstPart|) (|sayWidth| |fromPart|))
-              74)
-           (SPADLET |fromPart| (|concat| " " |fromPart|))
-           (SPADLET |secondPart|
-                    (COND
-                      ((> 75
-                          (PLUS (|sayWidth| |fromPart|)
-                                (|sayWidth| |predPart|)))
-                       (|concat| |fromPart| |predPart|))
-                      ('T (|concat| |fromPart| '|%l| |predPart|))))
-           (|concat| |firstPart| '|%l| |secondPart|))
-          ('T (SPADLET |firstPart| (|concat| |firstPart| |fromPart|))
-           (COND
-             ((> 80
-                 (PLUS (|sayWidth| |firstPart|)
-                       (|sayWidth| |predPart|)))
-              (|concat| |firstPart| |predPart|))
-             ('T (|concat| |firstPart| '|%l| |predPart|)))))))))
-
-;substInOrder(alist,x) ==
-;  alist is [[a,:b],:y] => substInOrder(y,SUBST(b,a,x))
-;  x
-
+         (D
+          (COND ((EQL 1 (LENGTH |npreds|)) (LIST D (CAR |npreds|)))
+                (#1# (LIST D (CONS 'AND |npreds|)))))
+         (#1# NIL))))
+      (#1# NIL)))))
+ 
+; formatModemap modemap ==
+;   [[dc,target,:sl],pred,:.]:= modemap
+;   if alist := canRemoveIsDomain? pred then
+;     dc:= substInOrder(alist,dc)
+;     pred:= substInOrder(alist,removeIsDomains pred)
+;     target:= substInOrder(alist,target)
+;     sl:= substInOrder(alist,sl)
+;   else if removeIsDomainD pred is [D,npred] then
+;     pred := SUBST(D, $Dmarker, npred)
+;     target := SUBST(D, $Dmarker, target)
+;     sl := SUBST(D, $Dmarker, sl)
+;   predPart:= formatIf pred
+;   targetPart:= prefix2String target
+;   argTypeList:=
+;     null sl => nil
+;     concat(prefix2String first sl,fn(rest sl)) where
+;       fn l ==
+;         null l => nil
+;         concat(",",prefix2String first l,fn rest l)
+;   argPart:=
+;     #sl<2 => argTypeList
+;     ['"_(",:argTypeList,'"_)"]
+;   fromPart:=
+;     if dc = $Dmarker and D
+;       then concat('%b,'"from",'%d,prefix2String D)
+;       else concat('%b,'"from",'%d,prefix2String dc)
+;   firstPart:= concat('" ",argPart,'" -> ",targetPart)
+;   sayWidth firstPart + sayWidth fromPart > 74 => --allow 5 spaces for " [n]"
+;     fromPart:= concat('" ",fromPart)
+;     secondPart :=
+;       sayWidth fromPart + sayWidth predPart < 75 =>
+;         concat(fromPart,predPart)
+;       concat(fromPart,'%l,predPart)
+;     concat(firstPart,'%l,secondPart)
+;   firstPart:= concat(firstPart,fromPart)
+;   sayWidth firstPart + sayWidth predPart < 80 =>
+;     concat(firstPart,predPart)
+;   concat(firstPart,'%l,predPart)
+ 
+(DEFUN |formatModemap| (|modemap|)
+  (PROG (|dc| |target| |sl| |pred| |alist| |ISTMP#1| D |ISTMP#2| |npred|
+         |predPart| |targetPart| |argTypeList| |argPart| |fromPart| |firstPart|
+         |secondPart|)
+    (RETURN
+     (PROGN
+      (SETQ |dc| (CAAR . #1=(|modemap|)))
+      (SETQ |target| (CADAR . #1#))
+      (SETQ |sl| (CDDAR . #1#))
+      (SETQ |pred| (CADR |modemap|))
+      (COND
+       ((SETQ |alist| (|canRemoveIsDomain?| |pred|))
+        (SETQ |dc| (|substInOrder| |alist| |dc|))
+        (SETQ |pred| (|substInOrder| |alist| (|removeIsDomains| |pred|)))
+        (SETQ |target| (|substInOrder| |alist| |target|))
+        (SETQ |sl| (|substInOrder| |alist| |sl|)))
+       ((PROGN
+         (SETQ |ISTMP#1| (|removeIsDomainD| |pred|))
+         (AND (CONSP |ISTMP#1|)
+              (PROGN
+               (SETQ D (CAR |ISTMP#1|))
+               (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+               (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                    (PROGN (SETQ |npred| (CAR |ISTMP#2|)) #2='T)))))
+        (SETQ |pred| (SUBST D |$Dmarker| |npred|))
+        (SETQ |target| (SUBST D |$Dmarker| |target|))
+        (SETQ |sl| (SUBST D |$Dmarker| |sl|))))
+      (SETQ |predPart| (|formatIf| |pred|))
+      (SETQ |targetPart| (|prefix2String| |target|))
+      (SETQ |argTypeList|
+              (COND ((NULL |sl|) NIL)
+                    (#2#
+                     (|concat| (|prefix2String| (CAR |sl|))
+                      (|formatModemap,fn| (CDR |sl|))))))
+      (SETQ |argPart|
+              (COND ((< (LENGTH |sl|) 2) |argTypeList|)
+                    (#2# (CONS "(" (APPEND |argTypeList| (CONS ")" NIL))))))
+      (SETQ |fromPart|
+              (COND
+               ((AND (EQUAL |dc| |$Dmarker|) D)
+                (|concat| '|%b| "from" '|%d| (|prefix2String| D)))
+               (#2# (|concat| '|%b| "from" '|%d| (|prefix2String| |dc|)))))
+      (SETQ |firstPart| (|concat| " " |argPart| " -> " |targetPart|))
+      (COND
+       ((< 74 (+ (|sayWidth| |firstPart|) (|sayWidth| |fromPart|)))
+        (PROGN
+         (SETQ |fromPart| (|concat| " " |fromPart|))
+         (SETQ |secondPart|
+                 (COND
+                  ((< (+ (|sayWidth| |fromPart|) (|sayWidth| |predPart|)) 75)
+                   (|concat| |fromPart| |predPart|))
+                  (#2# (|concat| |fromPart| '|%l| |predPart|))))
+         (|concat| |firstPart| '|%l| |secondPart|)))
+       (#2#
+        (PROGN
+         (SETQ |firstPart| (|concat| |firstPart| |fromPart|))
+         (COND
+          ((< (+ (|sayWidth| |firstPart|) (|sayWidth| |predPart|)) 80)
+           (|concat| |firstPart| |predPart|))
+          (#2# (|concat| |firstPart| '|%l| |predPart|))))))))))
+(DEFUN |formatModemap,fn| (|l|)
+  (PROG ()
+    (RETURN
+     (COND ((NULL |l|) NIL)
+           ('T
+            (|concat| '|,| (|prefix2String| (CAR |l|))
+             (|formatModemap,fn| (CDR |l|))))))))
+ 
+; substInOrder(alist,x) ==
+;   alist is [[a, :b], :y] => substInOrder(y, substitute(b, a, x))
+;   x
+ 
 (DEFUN |substInOrder| (|alist| |x|)
   (PROG (|ISTMP#1| |a| |b| |y|)
     (RETURN
-      (COND
-        ((AND (CONSP |alist|)
-              (PROGN
-                (SPADLET |ISTMP#1| (QCAR |alist|))
-                (AND (CONSP |ISTMP#1|)
-                     (PROGN
-                       (SPADLET |a| (QCAR |ISTMP#1|))
-                       (SPADLET |b| (QCDR |ISTMP#1|))
-                       'T)))
-              (PROGN (SPADLET |y| (QCDR |alist|)) 'T))
-         (|substInOrder| |y| (MSUBST |b| |a| |x|)))
-        ('T |x|)))))
+     (COND
+      ((AND (CONSP |alist|)
+            (PROGN
+             (SETQ |ISTMP#1| (CAR |alist|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |a| (CAR |ISTMP#1|))
+                   (SETQ |b| (CDR |ISTMP#1|))
+                   #1='T)))
+            (PROGN (SETQ |y| (CDR |alist|)) #1#))
+       (|substInOrder| |y| (MSUBST |b| |a| |x|)))
+      (#1# |x|)))))
+ 
+; sayMms(op, mms, label) ==
+;     m := # mms
+;     sayMSG
+;         m = 1 =>
+;             ['"There is one", :bright label, '"function called",
+;               :bright op, '":"]
+;         ['"There are ", m, :bright label, '"functions called",
+;             :bright op, '":"]
+;     for mm in mms for i in 1.. repeat
+;         sayModemapWithNumber(mm, i)
+ 
+(DEFUN |sayMms| (|op| |mms| |label|)
+  (PROG (|m|)
+    (RETURN
+     (PROGN
+      (SETQ |m| (LENGTH |mms|))
+      (|sayMSG|
+       (COND
+        ((EQL |m| 1)
+         (CONS "There is one"
+               (APPEND (|bright| |label|)
+                       (CONS "function called"
+                             (APPEND (|bright| |op|) (CONS ":" NIL))))))
+        (#1='T
+         (CONS "There are "
+               (CONS |m|
+                     (APPEND (|bright| |label|)
+                             (CONS "functions called"
+                                   (APPEND (|bright| |op|)
+                                           (CONS ":" NIL)))))))))
+      ((LAMBDA (|bfVar#14| |mm| |i|)
+         (LOOP
+          (COND
+           ((OR (ATOM |bfVar#14|) (PROGN (SETQ |mm| (CAR |bfVar#14|)) NIL))
+            (RETURN NIL))
+           (#1# (|sayModemapWithNumber| |mm| |i|)))
+          (SETQ |bfVar#14| (CDR |bfVar#14|))
+          (SETQ |i| (+ |i| 1))))
+       |mms| NIL 1)))))
+ 
+; reportOpSymbol op1 ==
+;   op := (STRINGP op1 => INTERN op1; op1)
+;   modemaps := getAllModemapsFromDatabase(op,nil)
+;   null modemaps =>
+;     ok := true
+;     sayKeyedMsg("S2IF0010",[op1])
+;     if SIZE PNAME op1 < 3 then
+;       x := UPCASE queryUserKeyedMsg("S2IZ0060",[op1])
+;       null MEMQ(STRING2ID_-N(x,1),'(Y YES)) =>
+;         ok := nil
+;         sayKeyedMsg("S2IZ0061",[op1])
+;     ok => apropos [op1]
+;   sayNewLine()
+;   -- filter modemaps on whether they are exposed
+;   mmsE := mmsU := NIL
+;   for mm in modemaps repeat
+;     isFreeFunctionFromMm(mm) or isExposedConstructor getDomainFromMm(mm) => mmsE := [mm,:mmsE]
+;     mmsU := [mm,:mmsU]
+;   if mmsE then
+;     sayMms(op, mmsE, '"exposed")
+;   if mmsU then
+;     if mmsE then sayNewLine()
+;     sayMms(op,mmsU,'"unexposed")
+;   nil
+ 
+;(DEFUN |reportOpSymbol| (|op1|)
+;  (PROG (|op| |modemaps| |ok| |x| |mmsU| |mmsE|)
+;    (RETURN
+;     (PROGN
+;      (SETQ |op| (COND ((STRINGP |op1|) (INTERN |op1|)) (#1='T |op1|)))
+;      (SETQ |modemaps| (|getAllModemapsFromDatabase| |op| NIL))
+;      (COND
+;       ((NULL |modemaps|)
+;        (PROGN
+;         (SETQ |ok| T)
+;         (|sayKeyedMsg| 'S2IF0010 (LIST |op1|))
+;         (COND
+;          ((< (SIZE (PNAME |op1|)) 3)
+;           (SETQ |x| (UPCASE (|queryUserKeyedMsg| 'S2IZ0060 (LIST |op1|))))
+;           (COND
+;            ((NULL (MEMQ (STRING2ID-N |x| 1) '(Y YES)))
+;             (PROGN (SETQ |ok| NIL) (|sayKeyedMsg| 'S2IZ0061 (LIST |op1|)))))))
+;         (COND (|ok| (|apropos| (LIST |op1|))))))
+;       (#1#
+;        (PROGN
+;         (|sayNewLine|)
+;         (SETQ |mmsE| (SETQ |mmsU| NIL))
+;         ((LAMBDA (|bfVar#15| |mm|)
+;            (LOOP
+;             (COND
+;              ((OR (ATOM |bfVar#15|) (PROGN (SETQ |mm| (CAR |bfVar#15|)) NIL))
+;               (RETURN NIL))
+;              (#1#
+;               (COND
+;                ((OR (|isFreeFunctionFromMm| |mm|)
+;                     (|isExposedConstructor| (|getDomainFromMm| |mm|)))
+;                 (SETQ |mmsE| (CONS |mm| |mmsE|)))
+;                (#1# (SETQ |mmsU| (CONS |mm| |mmsU|))))))
+;             (SETQ |bfVar#15| (CDR |bfVar#15|))))
+;          |modemaps| NIL)
+;         (COND (|mmsE| (|sayMms| |op| |mmsE| "exposed")))
+;         (COND
+;          (|mmsU| (COND (|mmsE| (|sayNewLine|)))
+;           (|sayMms| |op| |mmsU| "unexposed")))
+;         NIL)))))))
 
 ;reportOpSymbol op1 ==
 ;  op := (STRINGP op1 => INTERN op1; op1)
@@ -725,2354 +752,2424 @@
                                        (SAYEXAMPLE (CADR |export|)))))))))
                 NIL)))))))
 
-;formatOpType (form:=[op,:argl]) ==
-;  null argl => unabbrev op
-;  form2String [unabbrev op, :argl]
-
+ 
+; formatOpType (form:=[op,:argl]) ==
+;   null argl => unabbrev op
+;   form2String [unabbrev op, :argl]
+ 
 (DEFUN |formatOpType| (|form|)
   (PROG (|op| |argl|)
     (RETURN
-      (PROGN
-        (SPADLET |op| (CAR |form|))
-        (SPADLET |argl| (CDR |form|))
-        (COND
-          ((NULL |argl|) (|unabbrev| |op|))
-          ('T (|form2String| (CONS (|unabbrev| |op|) |argl|))))))))
-
-;formatOperationAlistEntry (entry:= [op,:modemaps]) ==
-;  -- alist has entries of the form: ((op sig) . pred)
-;  -- opsig on this list => op is defined only when the predicate is true
-;  ans:= nil
-;  for [sig,.,:predtail] in modemaps repeat
-;    pred := (predtail is [p,:.] => p; 'T)
-;    -- operation is always defined
-;    ans :=
-;      [concat(formatOpSignature(op,sig),formatIf pred),:ans]
-;  ans
-
+     (PROGN
+      (SETQ |op| (CAR |form|))
+      (SETQ |argl| (CDR |form|))
+      (COND ((NULL |argl|) (|unabbrev| |op|))
+            ('T (|form2String| (CONS (|unabbrev| |op|) |argl|))))))))
+ 
+; formatOperationAlistEntry (entry:= [op,:modemaps]) ==
+;   -- alist has entries of the form: ((op sig) . pred)
+;   -- opsig on this list => op is defined only when the predicate is true
+;   ans:= nil
+;   for [sig,.,:predtail] in modemaps repeat
+;     pred := (predtail is [p,:.] => p; 'T)
+;     -- operation is always defined
+;     ans :=
+;       [concat(formatOpSignature(op,sig),formatIf pred),:ans]
+;   ans
+ 
 (DEFUN |formatOperationAlistEntry| (|entry|)
-  (PROG (|op| |modemaps| |sig| |predtail| |p| |pred| |ans|)
-    (RETURN
-      (SEQ (PROGN
-             (SPADLET |op| (CAR |entry|))
-             (SPADLET |modemaps| (CDR |entry|))
-             (SPADLET |ans| NIL)
-             (DO ((G166585 |modemaps| (CDR G166585))
-                  (G166559 NIL))
-                 ((OR (ATOM G166585)
-                      (PROGN (SETQ G166559 (CAR G166585)) NIL)
-                      (PROGN
-                        (PROGN
-                          (SPADLET |sig| (CAR G166559))
-                          (SPADLET |predtail| (CDDR G166559))
-                          G166559)
-                        NIL))
-                  NIL)
-               (SEQ (EXIT (PROGN
-                            (SPADLET |pred|
-                                     (COND
-                                       ((AND (CONSP |predtail|)
-                                         (PROGN
-                                           (SPADLET |p|
-                                            (QCAR |predtail|))
-                                           'T))
-                                        |p|)
-                                       ('T 'T)))
-                            (SPADLET |ans|
-                                     (CONS
-                                      (|concat|
-                                       (|formatOpSignature| |op| |sig|)
-                                       (|formatIf| |pred|))
-                                      |ans|))))))
-             |ans|)))))
-
-
-;formatOperation([[op,sig],.,[fn,.,n]],domain) ==
-;  opSigString := formatOpSignature(op,sig)
-;  INTEGERP n and Undef = KAR domain.n =>
-;    if INTEGERP $commentedOps then $commentedOps := $commentedOps + 1
-;    concat(" --",opSigString)
-;  opSigString
-
-(DEFUN |formatOperation| (G166605 |domain|)
+  (PROG (|op| |modemaps| |ans| |sig| |ISTMP#1| |predtail| |p| |pred|)
+    (RETURN
+     (PROGN
+      (SETQ |op| (CAR |entry|))
+      (SETQ |modemaps| (CDR |entry|))
+      (SETQ |ans| NIL)
+      ((LAMBDA (|bfVar#17| |bfVar#16|)
+         (LOOP
+          (COND
+           ((OR (ATOM |bfVar#17|)
+                (PROGN (SETQ |bfVar#16| (CAR |bfVar#17|)) NIL))
+            (RETURN NIL))
+           (#1='T
+            (AND (CONSP |bfVar#16|)
+                 (PROGN
+                  (SETQ |sig| (CAR |bfVar#16|))
+                  (SETQ |ISTMP#1| (CDR |bfVar#16|))
+                  (AND (CONSP |ISTMP#1|)
+                       (PROGN (SETQ |predtail| (CDR |ISTMP#1|)) #1#)))
+                 (PROGN
+                  (SETQ |pred|
+                          (COND
+                           ((AND (CONSP |predtail|)
+                                 (PROGN (SETQ |p| (CAR |predtail|)) #1#))
+                            |p|)
+                           (#1# 'T)))
+                  (SETQ |ans|
+                          (CONS
+                           (|concat| (|formatOpSignature| |op| |sig|)
+                            (|formatIf| |pred|))
+                           |ans|))))))
+          (SETQ |bfVar#17| (CDR |bfVar#17|))))
+       |modemaps| NIL)
+      |ans|))))
+ 
+; formatOperation([[op,sig],.,[fn,.,n]],domain) ==
+;   opSigString := formatOpSignature(op,sig)
+;   INTEGERP n and function Undef = KAR domain.n =>
+;     if INTEGERP $commentedOps then $commentedOps := $commentedOps + 1
+;     concat(" --",opSigString)
+;   opSigString
+ 
+(DEFUN |formatOperation| (|bfVar#18| |domain|)
   (PROG (|op| |sig| |fn| |n| |opSigString|)
-    (DECLARE (SPECIAL |$commentedOps|))
-    (RETURN
-      (PROGN
-        (SPADLET |op| (CAAR G166605))
-        (SPADLET |sig| (CADAR G166605))
-        (SPADLET |fn| (CAADDR G166605))
-        (SPADLET |n| (CADR (CDADDR G166605)))
-        (SPADLET |opSigString| (|formatOpSignature| |op| |sig|))
-        (COND
-          ((AND (INTEGERP |n|)
-                (BOOT-EQUAL |Undef| (KAR (ELT |domain| |n|))))
-           (COND
-             ((INTEGERP |$commentedOps|)
-              (SPADLET |$commentedOps| (PLUS |$commentedOps| 1))))
-           (|concat| '| --| |opSigString|))
-          ('T |opSigString|))))))
-
-;formatOpSignature(op,sig) ==
-;  concat('%b,formatOpSymbol(op,sig),'%d,": ",formatSignature sig)
-
+    (RETURN
+     (PROGN
+      (SETQ |op| (CAAR . #1=(|bfVar#18|)))
+      (SETQ |sig| (CADAR . #1#))
+      (SETQ |fn| (CAADDR . #2=(|bfVar#18|)))
+      (SETQ |n| (CADR (CDADDR . #2#)))
+      (SETQ |opSigString| (|formatOpSignature| |op| |sig|))
+      (COND
+       ((AND (INTEGERP |n|) (EQUAL #'|Undef| (KAR (ELT |domain| |n|))))
+        (PROGN
+         (COND
+          ((INTEGERP |$commentedOps|)
+           (SETQ |$commentedOps| (+ |$commentedOps| 1))))
+         (|concat| '| --| |opSigString|)))
+       ('T |opSigString|))))))
+ 
+; formatOpSignature(op,sig) ==
+;   concat('%b,formatOpSymbol(op,sig),'%d,": ",formatSignature sig)
+ 
 (DEFUN |formatOpSignature| (|op| |sig|)
-  (|concat| '|%b| (|formatOpSymbol| |op| |sig|) '|%d| '|: |
-      (|formatSignature| |sig|)))
-
-;formatOpConstant op ==
-;  concat('%b,formatOpSymbol(op,'($)),'%d,'": constant")
-
+  (PROG ()
+    (RETURN
+     (|concat| '|%b| (|formatOpSymbol| |op| |sig|) '|%d| '|: |
+      (|formatSignature| |sig|)))))
+ 
+; formatOpConstant op ==
+;   concat('%b,formatOpSymbol(op,'($)),'%d,'": constant")
+ 
 (DEFUN |formatOpConstant| (|op|)
-  (|concat| '|%b| (|formatOpSymbol| |op| '($)) '|%d|
-      ": constant"))
-
-;formatOpSymbol(op,sig) ==
-;  if op = 'Zero then op := "0"
-;  else if op = 'One then op := "1"
-;  null sig => op
-;  quad := specialChar 'quad
-;  n := #sig
-;  (op = 'elt) and (n = 3) =>
-;    (CADR(sig) = '_$) =>
-;      STRINGP (sel := CADDR(sig)) =>
-;        [quad,".",sel]
-;      [quad,".",quad]
-;    op
-;  STRINGP op or GET(op,"Led") or GET(op,"Nud") =>
-;    n = 3 =>
-;      if op = 'SEGMENT then op := '".."
-;      op = 'in => [quad,'" ",op,'" ",quad]
-;-- stop exquo from being displayed as infix (since it is not accepted
-;-- as such by the interpreter)
-;      op = 'exquo => op
-;      [quad,op,quad]
-;    n = 2 =>
-;      not GET(op,"Nud") => [quad,op]
-;      [op,quad]
-;    op
-;  op
-
+  (PROG ()
+    (RETURN (|concat| '|%b| (|formatOpSymbol| |op| '($)) '|%d| ": constant"))))
+ 
+; formatOpSymbol(op,sig) ==
+;   if op = 'Zero then op := "0"
+;   else if op = 'One then op := "1"
+;   null sig => op
+;   quad := specialChar 'quad
+;   n := #sig
+;   (op = 'elt) and (n = 3) =>
+;     (CADR(sig) = '_$) =>
+;       STRINGP (sel := CADDR(sig)) =>
+;         [quad,".",sel]
+;       [quad,".",quad]
+;     op
+;   STRINGP op or GETL(op,"Led") or GETL(op,"Nud") =>
+;     n = 3 =>
+;       if op = 'SEGMENT then op := '".."
+;       op = "in" => [quad, '" ", op, '" ", quad]
+; -- stop exquo from being displayed as infix (since it is not accepted
+; -- as such by the interpreter)
+;       op = 'exquo => op
+;       [quad,op,quad]
+;     n = 2 =>
+;       not GETL(op,"Nud") => [quad,op]
+;       [op,quad]
+;     op
+;   op
+ 
 (DEFUN |formatOpSymbol| (|op| |sig|)
   (PROG (|quad| |n| |sel|)
     (RETURN
-      (PROGN
-        (COND
-          ((BOOT-EQUAL |op| '|Zero|) (SPADLET |op| '|0|))
-          ((BOOT-EQUAL |op| '|One|) (SPADLET |op| '|1|))
-          ('T NIL))
-        (COND
-          ((NULL |sig|) |op|)
-          ('T (SPADLET |quad| (|specialChar| '|quad|))
-           (SPADLET |n| (|#| |sig|))
-           (COND
-             ((AND (BOOT-EQUAL |op| '|elt|) (EQL |n| 3))
-              (COND
-                ((BOOT-EQUAL (CADR |sig|) '$)
-                 (COND
-                   ((STRINGP (SPADLET |sel| (CADDR |sig|)))
-                    (CONS |quad|
-                          (CONS (INTERN "." "BOOT") (CONS |sel| NIL))))
-                   ('T
-                    (CONS |quad|
-                          (CONS (INTERN "." "BOOT") (CONS |quad| NIL))))))
-                ('T |op|)))
-             ((OR (STRINGP |op|) (GETL |op| '|Led|) (GETL |op| '|Nud|))
+     (PROGN
+      (COND ((EQ |op| '|Zero|) (SETQ |op| '|0|))
+            ((EQ |op| '|One|) (SETQ |op| '|1|)))
+      (COND ((NULL |sig|) |op|)
+            (#1='T
+             (PROGN
+              (SETQ |quad| (|specialChar| '|quad|))
+              (SETQ |n| (LENGTH |sig|))
               (COND
-                ((EQL |n| 3)
-                 (COND
-                   ((BOOT-EQUAL |op| 'SEGMENT)
-                    (SPADLET |op| "..")))
-                 (COND
-                   ((BOOT-EQUAL |op| '|in|)
-                    (CONS |quad|
-                          (CONS " "
-                                (CONS |op|
-                                      (CONS " " (CONS |quad| NIL))))))
-                   ((BOOT-EQUAL |op| '|exquo|) |op|)
-                   ('T (CONS |quad| (CONS |op| (CONS |quad| NIL))))))
-                ((EQL |n| 2)
-                 (COND
-                   ((NULL (GETL |op| '|Nud|))
-                    (CONS |quad| (CONS |op| NIL)))
-                   ('T (CONS |op| (CONS |quad| NIL)))))
-                ('T |op|)))
-             ('T |op|))))))))
-
-;formatAttribute x ==
-;  atom x => ["  ",x]
-;  x is [op,:argl] =>
-;    for x in argl repeat
-;      argPart:= NCONC(argPart,concat(",",formatAttributeArg x))
-;    argPart => concat("  ",op,"_(",rest argPart,"_)")
-;    ["  ",op]
-
+               ((AND (EQ |op| '|elt|) (EQL |n| 3))
+                (COND
+                 ((EQ (CADR |sig|) '$)
+                  (COND
+                   ((STRINGP (SETQ |sel| (CADDR |sig|)))
+                    (LIST |quad| '|.| |sel|))
+                   (#1# (LIST |quad| '|.| |quad|))))
+                 (#1# |op|)))
+               ((OR (STRINGP |op|) (GETL |op| '|Led|) (GETL |op| '|Nud|))
+                (COND
+                 ((EQL |n| 3)
+                  (PROGN
+                   (COND ((EQ |op| 'SEGMENT) (SETQ |op| "..")))
+                   (COND ((EQ |op| '|in|) (LIST |quad| " " |op| " " |quad|))
+                         ((EQ |op| '|exquo|) |op|)
+                         (#1# (LIST |quad| |op| |quad|)))))
+                 ((EQL |n| 2)
+                  (COND ((NULL (GETL |op| '|Nud|)) (LIST |quad| |op|))
+                        (#1# (LIST |op| |quad|))))
+                 (#1# |op|)))
+               (#1# |op|)))))))))
+ 
+; formatAttribute x ==
+;   atom x => ["  ",x]
+;   x is [op,:argl] =>
+;     for x in argl repeat
+;       argPart:= NCONC(argPart,concat(",",formatAttributeArg x))
+;     argPart => concat("  ",op,"_(",rest argPart,"_)")
+;     ["  ",op]
+ 
 (DEFUN |formatAttribute| (|x|)
   (PROG (|op| |argl| |argPart|)
     (RETURN
-      (SEQ (COND
-             ((ATOM |x|) (CONS '|  | (CONS |x| NIL)))
-             ((AND (CONSP |x|)
-                   (PROGN
-                     (SPADLET |op| (QCAR |x|))
-                     (SPADLET |argl| (QCDR |x|))
-                     'T))
-              (DO ((G166656 |argl| (CDR G166656)) (|x| NIL))
-                  ((OR (ATOM G166656)
-                       (PROGN (SETQ |x| (CAR G166656)) NIL))
-                   NIL)
-                (SEQ (EXIT (SPADLET |argPart|
-                                    (NCONC |argPart|
-                                     (|concat| '|,|
-                                      (|formatAttributeArg| |x|)))))))
-              (COND
-                (|argPart|
-                    (|concat| '|  | |op| '|(| (CDR |argPart|) '|)|))
-                ('T (CONS '|  | (CONS |op| NIL))))))))))
-
-;formatAttributeArg x ==
-;  STRINGP x and x ='"*" => "_"*_""
-;  atom x => formatOpSymbol (x,nil)
-;  x is [":",op,["Mapping",:sig]] =>
-;    concat('%b,formatOpSymbol(op,sig),": ",'%d,formatMapping sig)
-;  prefix2String0 x
-
+     (COND ((ATOM |x|) (LIST '|  | |x|))
+           ((AND (CONSP |x|)
+                 (PROGN (SETQ |op| (CAR |x|)) (SETQ |argl| (CDR |x|)) #1='T))
+            (PROGN
+             ((LAMBDA (|bfVar#19| |x|)
+                (LOOP
+                 (COND
+                  ((OR (ATOM |bfVar#19|)
+                       (PROGN (SETQ |x| (CAR |bfVar#19|)) NIL))
+                   (RETURN NIL))
+                  (#1#
+                   (SETQ |argPart|
+                           (NCONC |argPart|
+                                  (|concat| '|,|
+                                   (|formatAttributeArg| |x|))))))
+                 (SETQ |bfVar#19| (CDR |bfVar#19|))))
+              |argl| NIL)
+             (COND (|argPart| (|concat| '|  | |op| '|(| (CDR |argPart|) '|)|))
+                   (#1# (LIST '|  | |op|)))))))))
+ 
+; formatAttributeArg x ==
+;   STRINGP x and x ='"*" => "_"*_""
+;   atom x => formatOpSymbol (x,nil)
+;   x is [":",op,["Mapping",:sig]] =>
+;     concat('%b,formatOpSymbol(op,sig),": ",'%d,formatMapping sig)
+;   prefix2String0 x
+ 
 (DEFUN |formatAttributeArg| (|x|)
   (PROG (|ISTMP#1| |op| |ISTMP#2| |ISTMP#3| |sig|)
     (RETURN
-      (COND
-        ((AND (STRINGP |x|) (BOOT-EQUAL |x| "*")) '|"*"|)
-        ((ATOM |x|) (|formatOpSymbol| |x| NIL))
-        ((AND (CONSP |x|) (EQ (QCAR |x|) '|:|)
-              (PROGN
-                (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (CONSP |ISTMP#1|)
-                     (PROGN
-                       (SPADLET |op| (QCAR |ISTMP#1|))
-                       (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
-                            (PROGN
-                              (SPADLET |ISTMP#3| (QCAR |ISTMP#2|))
+     (COND ((AND (STRINGP |x|) (EQUAL |x| "*")) '|"*"|)
+           ((ATOM |x|) (|formatOpSymbol| |x| NIL))
+           ((AND (CONSP |x|) (EQ (CAR |x|) '|:|)
+                 (PROGN
+                  (SETQ |ISTMP#1| (CDR |x|))
+                  (AND (CONSP |ISTMP#1|)
+                       (PROGN
+                        (SETQ |op| (CAR |ISTMP#1|))
+                        (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                        (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                             (PROGN
+                              (SETQ |ISTMP#3| (CAR |ISTMP#2|))
                               (AND (CONSP |ISTMP#3|)
-                                   (EQ (QCAR |ISTMP#3|) '|Mapping|)
+                                   (EQ (CAR |ISTMP#3|) '|Mapping|)
                                    (PROGN
-                                     (SPADLET |sig| (QCDR |ISTMP#3|))
-                                     'T))))))))
-         (|concat| '|%b| (|formatOpSymbol| |op| |sig|) '|: | '|%d|
+                                    (SETQ |sig| (CDR |ISTMP#3|))
+                                    #1='T))))))))
+            (|concat| '|%b| (|formatOpSymbol| |op| |sig|) '|: | '|%d|
              (|formatMapping| |sig|)))
-        ('T (|prefix2String0| |x|))))))
-
-;formatMapping sig ==
-;  "STRCONC"/concat("Mapping(",formatSignature sig,")")
-
+           (#1# (|prefix2String0| |x|))))))
+ 
+; formatMapping sig ==
+;   "STRCONC"/concat("Mapping(",formatSignature sig,")")
+ 
 (DEFUN |formatMapping| (|sig|)
   (PROG ()
     (RETURN
-      (SEQ (PROG (G166704)
-             (SPADLET G166704 "")
-             (RETURN
-               (DO ((G166709
-                        (|concat| '|Mapping(| (|formatSignature| |sig|)
-                            '|)|)
-                        (CDR G166709))
-                    (G166703 NIL))
-                   ((OR (ATOM G166709)
-                        (PROGN (SETQ G166703 (CAR G166709)) NIL))
-                    G166704)
-                 (SEQ (EXIT (SETQ G166704
-                                  (STRCONC G166704 G166703)))))))))))
-
-;dollarPercentTran x ==
-;    -- Translate $ to %. We actually return %% so that the message
-;    -- printer will display a single %
-;    x is [y,:z] =>
-;        y1 := dollarPercentTran y
-;        z1 := dollarPercentTran z
-;        EQ(y, y1) and EQ(z, z1) => x
-;        [y1, :z1]
-;    x = "$" or x = '"$" => "%%"
-;    x
-
+     ((LAMBDA (|bfVar#20| |bfVar#22| |bfVar#21|)
+        (LOOP
+         (COND
+          ((OR (ATOM |bfVar#22|)
+               (PROGN (SETQ |bfVar#21| (CAR |bfVar#22|)) NIL))
+           (RETURN |bfVar#20|))
+          ('T (SETQ |bfVar#20| (STRCONC |bfVar#20| |bfVar#21|))))
+         (SETQ |bfVar#22| (CDR |bfVar#22|))))
+      "" (|concat| '|Mapping(| (|formatSignature| |sig|) '|)|) NIL))))
+ 
+; dollarPercentTran x ==
+;     -- Translate $ to %. We actually return %% so that the message
+;     -- printer will display a single %
+;     x is [y,:z] =>
+;         y1 := dollarPercentTran y
+;         z1 := dollarPercentTran z
+;         EQ(y, y1) and EQ(z, z1) => x
+;         [y1, :z1]
+;     x = "$" or x = '"$" => "%%"
+;     x
+ 
 (DEFUN |dollarPercentTran| (|x|)
   (PROG (|y| |z| |y1| |z1|)
     (RETURN
-      (COND
-        ((AND (CONSP |x|)
-              (PROGN
-                (SPADLET |y| (QCAR |x|))
-                (SPADLET |z| (QCDR |x|))
-                'T))
-         (SPADLET |y1| (|dollarPercentTran| |y|))
-         (SPADLET |z1| (|dollarPercentTran| |z|))
-         (COND
-           ((AND (EQ |y| |y1|) (EQ |z| |z1|)) |x|)
-           ('T (CONS |y1| |z1|))))
-        ((OR (BOOT-EQUAL |x| '$) (BOOT-EQUAL |x| "$"))
-         '%%)
-        ('T |x|)))))
-
-;formatSignatureAsTeX sig ==
-;  $formatSigAsTeX: local := 2
-;  formatSignature0 sig
-
-(DEFUN |formatSignatureAsTeX| (|sig|)
-  (PROG (|$formatSigAsTeX|)
-    (DECLARE (SPECIAL |$formatSigAsTeX|))
-    (RETURN
-      (PROGN (SPADLET |$formatSigAsTeX| 2) (|formatSignature0| |sig|)))))
-
-;formatSignature sig ==
-;  $formatSigAsTeX: local := 1
-;  formatSignature0 sig
-
+     (COND
+      ((AND (CONSP |x|)
+            (PROGN (SETQ |y| (CAR |x|)) (SETQ |z| (CDR |x|)) #1='T))
+       (PROGN
+        (SETQ |y1| (|dollarPercentTran| |y|))
+        (SETQ |z1| (|dollarPercentTran| |z|))
+        (COND ((AND (EQ |y| |y1|) (EQ |z| |z1|)) |x|) (#1# (CONS |y1| |z1|)))))
+      ((OR (EQ |x| '$) (EQUAL |x| "$")) '%%) (#1# |x|)))))
+ 
+; formatSignature sig ==
+;   $formatSigAsTeX: local := 1
+;   formatSignature0 sig
+ 
 (DEFUN |formatSignature| (|sig|)
   (PROG (|$formatSigAsTeX|)
     (DECLARE (SPECIAL |$formatSigAsTeX|))
-    (RETURN
-      (PROGN (SPADLET |$formatSigAsTeX| 1) (|formatSignature0| |sig|)))))
-
-;formatSignatureArgs sml ==
-;  $formatSigAsTeX: local := 1
-;  formatSignatureArgs0 sml
-
+    (RETURN (PROGN (SETQ |$formatSigAsTeX| 1) (|formatSignature0| |sig|)))))
+ 
+; formatSignatureArgs sml ==
+;   $formatSigAsTeX: local := 1
+;   formatSignatureArgs0 sml
+ 
 (DEFUN |formatSignatureArgs| (|sml|)
   (PROG (|$formatSigAsTeX|)
     (DECLARE (SPECIAL |$formatSigAsTeX|))
-    (RETURN
-      (PROGN
-        (SPADLET |$formatSigAsTeX| 1)
-        (|formatSignatureArgs0| |sml|)))))
-
-;formatSignature0 sig ==
-;  null sig => "() -> ()"
-;  INTEGERP sig => '"hashcode"
-;  [tm,:sml] := sig
-;  sourcePart:= formatSignatureArgs0 sml
-;  targetPart:= prefix2String0 tm
-;  dollarPercentTran concat(sourcePart,concat(" -> ",targetPart))
-
+    (RETURN (PROGN (SETQ |$formatSigAsTeX| 1) (|formatSignatureArgs0| |sml|)))))
+ 
+; formatSignature0 sig ==
+;   null sig => "() -> ()"
+;   INTEGERP sig => '"hashcode"
+;   [tm,:sml] := sig
+;   sourcePart:= formatSignatureArgs0 sml
+;   targetPart:= prefix2String0 tm
+;   dollarPercentTran concat(sourcePart,concat(" -> ",targetPart))
+ 
 (DEFUN |formatSignature0| (|sig|)
   (PROG (|tm| |sml| |sourcePart| |targetPart|)
     (RETURN
-      (COND
-        ((NULL |sig|) '|() -> ()|)
-        ((INTEGERP |sig|) "hashcode")
-        ('T (SPADLET |tm| (CAR |sig|)) (SPADLET |sml| (CDR |sig|))
-         (SPADLET |sourcePart| (|formatSignatureArgs0| |sml|))
-         (SPADLET |targetPart| (|prefix2String0| |tm|))
-         (|dollarPercentTran|
-             (|concat| |sourcePart| (|concat| '| -> | |targetPart|))))))))
-
-;formatSignatureArgs0(sml) ==
-;-- formats the arguments of a signature
-;  null sml => ["_(_)"]
-;  null rest sml => prefix2String0 first sml
-;  argList:= prefix2String0 first sml
-;  for m in rest sml repeat
-;    argList:= concat(argList,concat(",",prefix2String0 m))
-;  concat("_(",concat(argList,"_)"))
-
+     (COND ((NULL |sig|) '|() -> ()|) ((INTEGERP |sig|) "hashcode")
+           ('T
+            (PROGN
+             (SETQ |tm| (CAR |sig|))
+             (SETQ |sml| (CDR |sig|))
+             (SETQ |sourcePart| (|formatSignatureArgs0| |sml|))
+             (SETQ |targetPart| (|prefix2String0| |tm|))
+             (|dollarPercentTran|
+              (|concat| |sourcePart| (|concat| '| -> | |targetPart|)))))))))
+ 
+; formatSignatureArgs0(sml) ==
+; -- formats the arguments of a signature
+;   null sml => ["_(_)"]
+;   null rest sml => prefix2String0 first sml
+;   argList:= prefix2String0 first sml
+;   for m in rest sml repeat
+;     argList:= concat(argList,concat(",",prefix2String0 m))
+;   concat("_(",concat(argList,"_)"))
+ 
 (DEFUN |formatSignatureArgs0| (|sml|)
   (PROG (|argList|)
     (RETURN
-      (SEQ (COND
-             ((NULL |sml|) (CONS '|()| NIL))
-             ((NULL (CDR |sml|)) (|prefix2String0| (CAR |sml|)))
-             ('T (SPADLET |argList| (|prefix2String0| (CAR |sml|)))
-              (DO ((G166767 (CDR |sml|) (CDR G166767)) (|m| NIL))
-                  ((OR (ATOM G166767)
-                       (PROGN (SETQ |m| (CAR G166767)) NIL))
-                   NIL)
-                (SEQ (EXIT (SPADLET |argList|
-                                    (|concat| |argList|
-                                     (|concat| '|,|
-                                      (|prefix2String0| |m|)))))))
-              (|concat| '|(| (|concat| |argList| '|)|))))))))
-
-;--% Conversions to string form
-;expr2String x ==
-;  atom (u:= prefix2String0 x) => u
-;  "STRCONC"/[atom2String y for y in u]
-
+     (COND ((NULL |sml|) (LIST '|()|))
+           ((NULL (CDR |sml|)) (|prefix2String0| (CAR |sml|)))
+           (#1='T
+            (PROGN
+             (SETQ |argList| (|prefix2String0| (CAR |sml|)))
+             ((LAMBDA (|bfVar#23| |m|)
+                (LOOP
+                 (COND
+                  ((OR (ATOM |bfVar#23|)
+                       (PROGN (SETQ |m| (CAR |bfVar#23|)) NIL))
+                   (RETURN NIL))
+                  (#1#
+                   (SETQ |argList|
+                           (|concat| |argList|
+                            (|concat| '|,| (|prefix2String0| |m|))))))
+                 (SETQ |bfVar#23| (CDR |bfVar#23|))))
+              (CDR |sml|) NIL)
+             (|concat| '|(| (|concat| |argList| '|)|))))))))
+ 
+; expr2String x ==
+;   atom (u:= prefix2String0 x) => u
+;   "STRCONC"/[atom2String y for y in u]
+ 
 (DEFUN |expr2String| (|x|)
   (PROG (|u|)
     (RETURN
-      (SEQ (COND
-             ((ATOM (SPADLET |u| (|prefix2String0| |x|))) |u|)
-             ('T
-              (PROG (G166779)
-                (SPADLET G166779 "")
-                (RETURN
-                  (DO ((G166784 |u| (CDR G166784)) (|y| NIL))
-                      ((OR (ATOM G166784)
-                           (PROGN (SETQ |y| (CAR G166784)) NIL))
-                       G166779)
-                    (SEQ (EXIT (SETQ G166779
-                                     (STRCONC G166779
-                                      (|atom2String| |y|))))))))))))))
-
-;-- exports (this is a badly named bit of sillyness)
-;prefix2StringAsTeX form ==
-;  form2StringAsTeX form
-
-(DEFUN |prefix2StringAsTeX| (|form|) (|form2StringAsTeX| |form|))
-
-;prefix2String form ==
-;  form2String form
-
-(DEFUN |prefix2String| (|form|) (|form2String| |form|)) 
-
-;-- local version
-;prefix2String0 form ==
-;  form2StringLocal form
-
-(DEFUN |prefix2String0| (|form|) (|form2StringLocal| |form|)) 
-
-;--  SUBRP form => formWrapId BPINAME form
-;--  atom form =>
-;--    form=$EmptyMode or form=$quadSymbol => formWrapId specialChar 'quad
-;--    STRINGP form => formWrapId form
-;--    IDENTP form =>
-;--      constructor? form => app2StringWrap(formWrapId form, [form])
-;--      formWrapId form
-;--    formWrapId STRINGIMAGE form
-;form2StringWithWhere u ==
-;  $permitWhere : local := true
-;  $whereList: local := nil
-;  s:= form2String u
-;  $whereList => concat(s,'%b,'"where",'%d,"%i",$whereList,"%u")
-;  s
-
+     (COND ((ATOM (SETQ |u| (|prefix2String0| |x|))) |u|)
+           (#1='T
+            ((LAMBDA (|bfVar#25| |bfVar#24| |y|)
+               (LOOP
+                (COND
+                 ((OR (ATOM |bfVar#24|)
+                      (PROGN (SETQ |y| (CAR |bfVar#24|)) NIL))
+                  (RETURN |bfVar#25|))
+                 (#1#
+                  (SETQ |bfVar#25| (STRCONC |bfVar#25| (|atom2String| |y|)))))
+                (SETQ |bfVar#24| (CDR |bfVar#24|))))
+             "" |u| NIL))))))
+ 
+; prefix2StringAsTeX form ==
+;   form2StringAsTeX form
+ 
+(DEFUN |prefix2StringAsTeX| (|form|)
+  (PROG () (RETURN (|form2StringAsTeX| |form|))))
+ 
+; prefix2String form ==
+;   $formatSigAsTeX: local := 1
+;   form2StringLocal form
+ 
+(DEFUN |prefix2String| (|form|)
+  (PROG (|$formatSigAsTeX|)
+    (DECLARE (SPECIAL |$formatSigAsTeX|))
+    (RETURN (PROGN (SETQ |$formatSigAsTeX| 1) (|form2StringLocal| |form|)))))
+ 
+; prefix2String0 form ==
+;   form2StringLocal form
+ 
+(DEFUN |prefix2String0| (|form|) (PROG () (RETURN (|form2StringLocal| |form|))))
+ 
+; form2StringWithWhere u ==
+;   $permitWhere : local := true
+;   $whereList: local := nil
+;   s:= form2String u
+;   $whereList => concat(s,'%b,'"where",'%d,"%i",$whereList,"%u")
+;   s
+ 
 (DEFUN |form2StringWithWhere| (|u|)
-  (PROG (|$permitWhere| |$whereList| |s|)
-    (DECLARE (SPECIAL |$permitWhere| |$whereList|))
+  (PROG (|$whereList| |$permitWhere| |s|)
+    (DECLARE (SPECIAL |$whereList| |$permitWhere|))
     (RETURN
-      (PROGN
-        (SPADLET |$permitWhere| 'T)
-        (SPADLET |$whereList| NIL)
-        (SPADLET |s| (|form2String| |u|))
-        (COND
-          (|$whereList|
-              (|concat| |s| '|%b| "where" '|%d| '|%i| |$whereList|
-                  '|%u|))
-          ('T |s|))))))
-
-;form2StringWithPrens form ==
-;  null (argl := rest form) => [first form]
-;  null rest argl => [first form,"(",first argl,")"]
-;  form2String form
-
+     (PROGN
+      (SETQ |$permitWhere| T)
+      (SETQ |$whereList| NIL)
+      (SETQ |s| (|form2String| |u|))
+      (COND
+       (|$whereList|
+        (|concat| |s| '|%b| "where" '|%d| '|%i| |$whereList| '|%u|))
+       ('T |s|))))))
+ 
+; form2StringWithPrens form ==
+;   null (argl := rest form) => [first form]
+;   null rest argl => [first form,"(",first argl,")"]
+;   form2String form
+ 
 (DEFUN |form2StringWithPrens| (|form|)
   (PROG (|argl|)
     (RETURN
-      (COND
-        ((NULL (SPADLET |argl| (CDR |form|))) (CONS (CAR |form|) NIL))
-        ((NULL (CDR |argl|))
-         (CONS (CAR |form|)
-               (CONS '|(| (CONS (CAR |argl|) (CONS '|)| NIL)))))
-        ('T (|form2String| |form|))))))
-
-;formString u ==
-;  x := form2String u
-;  atom x => STRINGIMAGE x
-;  "STRCONC"/[STRINGIMAGE y for y in x]
-
+     (COND ((NULL (SETQ |argl| (CDR |form|))) (LIST (CAR |form|)))
+           ((NULL (CDR |argl|)) (LIST (CAR |form|) '|(| (CAR |argl|) '|)|))
+           ('T (|form2String| |form|))))))
+ 
+; formString u ==
+;   x := form2String u
+;   atom x => STRINGIMAGE x
+;   "STRCONC"/[STRINGIMAGE y for y in x]
+ 
 (DEFUN |formString| (|u|)
   (PROG (|x|)
     (RETURN
-      (SEQ (PROGN
-             (SPADLET |x| (|form2String| |u|))
-             (COND
-               ((ATOM |x|) (STRINGIMAGE |x|))
-               ('T
-                (PROG (G166821)
-                  (SPADLET G166821 "")
-                  (RETURN
-                    (DO ((G166826 |x| (CDR G166826)) (|y| NIL))
-                        ((OR (ATOM G166826)
-                             (PROGN (SETQ |y| (CAR G166826)) NIL))
-                         G166821)
-                      (SEQ (EXIT (SETQ G166821
-                                       (STRCONC G166821
-                                        (STRINGIMAGE |y|)))))))))))))))
-
-;form2String u ==
-;  $formatSigAsTeX: local := 1
-;  form2StringLocal u
-
+     (PROGN
+      (SETQ |x| (|form2String| |u|))
+      (COND ((ATOM |x|) (STRINGIMAGE |x|))
+            (#1='T
+             ((LAMBDA (|bfVar#27| |bfVar#26| |y|)
+                (LOOP
+                 (COND
+                  ((OR (ATOM |bfVar#26|)
+                       (PROGN (SETQ |y| (CAR |bfVar#26|)) NIL))
+                   (RETURN |bfVar#27|))
+                  (#1#
+                   (SETQ |bfVar#27| (STRCONC |bfVar#27| (STRINGIMAGE |y|)))))
+                 (SETQ |bfVar#26| (CDR |bfVar#26|))))
+              "" |x| NIL)))))))
+ 
+; tpd -- moved to bookvol5
+; unparseInputForm u ==
+;   $formatSigAsTeX: local := 1
+;   $InteractiveMode: local := false
+;   form2StringLocal u
+ 
+;(DEFUN |unparseInputForm| (|u|)
+;  (PROG (|$InteractiveMode| |$formatSigAsTeX|)
+;    (DECLARE (SPECIAL |$InteractiveMode| |$formatSigAsTeX|))
+;    (RETURN
+;     (PROGN
+;      (SETQ |$formatSigAsTeX| 1)
+;      (SETQ |$InteractiveMode| NIL)
+;      (|form2StringLocal| |u|)))))
+ 
+; form2String u ==
+;   $formatSigAsTeX: local := 1
+;   form2StringLocal u
+ 
 (DEFUN |form2String| (|u|)
   (PROG (|$formatSigAsTeX|)
     (DECLARE (SPECIAL |$formatSigAsTeX|))
-    (RETURN
-      (PROGN (SPADLET |$formatSigAsTeX| 1) (|form2StringLocal| |u|)))))
-
-;form2StringAsTeX u ==
-;  $formatSigAsTeX: local := 2
-;  form2StringLocal u
-
+    (RETURN (PROGN (SETQ |$formatSigAsTeX| 1) (|form2StringLocal| |u|)))))
+ 
+; form2StringAsTeX u ==
+;   $formatSigAsTeX: local := 2
+;   form2StringLocal u
+ 
 (DEFUN |form2StringAsTeX| (|u|)
   (PROG (|$formatSigAsTeX|)
     (DECLARE (SPECIAL |$formatSigAsTeX|))
-    (RETURN
-      (PROGN (SPADLET |$formatSigAsTeX| 2) (|form2StringLocal| |u|)))))
-
-;form2StringLocal u ==
-;--+
-;  $NRTmonitorIfTrue : local := nil
-;  $fortInts2Floats  : local := nil
-;  form2String1 u
-
+    (RETURN (PROGN (SETQ |$formatSigAsTeX| 2) (|form2StringLocal| |u|)))))
+ 
+; form2StringLocal u ==
+; --+
+;   $NRTmonitorIfTrue : local := nil
+;   $fortInts2Floats  : local := nil
+;   form2String1 u
+ 
 (DEFUN |form2StringLocal| (|u|)
-  (PROG (|$NRTmonitorIfTrue| |$fortInts2Floats|)
-    (DECLARE (SPECIAL |$NRTmonitorIfTrue| |$fortInts2Floats|))
-    (RETURN
-      (PROGN
-        (SPADLET |$NRTmonitorIfTrue| NIL)
-        (SPADLET |$fortInts2Floats| NIL)
-        (|form2String1| |u|)))))
-
-;constructorName con ==
-;  $abbreviateTypes => abbreviate con
-;  con
-
+  (PROG (|$fortInts2Floats| |$NRTmonitorIfTrue|)
+    (DECLARE (SPECIAL |$fortInts2Floats| |$NRTmonitorIfTrue|))
+    (RETURN
+     (PROGN
+      (SETQ |$NRTmonitorIfTrue| NIL)
+      (SETQ |$fortInts2Floats| NIL)
+      (|form2String1| |u|)))))
+ 
+; constructorName con ==
+;   $abbreviateTypes => abbreviate con
+;   con
+ 
 (DEFUN |constructorName| (|con|)
-  (DECLARE (SPECIAL |$abbreviateTypes|))
-  (COND (|$abbreviateTypes| (|abbreviate| |con|)) ('T |con|)))
-
-;form2String1 u ==
-;  ATOM u =>
-;    u=$EmptyMode or u=$quadSymbol => formWrapId specialChar 'quad
-;    IDENTP u =>
-;      constructor? u => app2StringWrap(formWrapId u, [u])
-;      u
-;    SUBRP u => formWrapId BPINAME u
-;    STRINGP u => formWrapId u
-;    WRITE_-TO_-STRING formWrapId u
-;  u1 := u
-;  op := CAR u
-;  argl := CDR u
-;  op='Join or op= 'mkCategory => formJoin1(op,argl)
-;  $InteractiveMode and (u:= constructor? op) =>
-;    null argl => app2StringWrap(formWrapId constructorName op, u1)
-;    op = "NTuple"  => [ form2String1 first argl, "*"]
-;    op = "Map"     => ["(",:formatSignature0 [argl.1,argl.0],")"]
-;    op = 'Record => record2String(argl)
-;    null (conSig := getConstructorSignature op) =>
-;      application2String(constructorName op,[form2String1(a) for a in argl], u1)
-;    ml := rest conSig
-;    if not freeOfSharpVars ml then
-;      ml:=SUBLIS([[pvar,:val] for pvar in $FormalMapVariableList
-;        for val in argl], ml)
-;    argl:= formArguments2String(argl,ml)
-;      -- extra null check to handle mutable domain hack.
-;    null argl => constructorName op
-;    application2String(constructorName op,argl, u1)
-;  op = "Mapping" => ["(",:formatSignature argl,")"]
-;  op = "Record" => record2String(argl)
-;  op = 'Union  =>
-;    application2String(op,[form2String1 x for x in argl], u1)
-;  op = ":" =>
-;      null argl => [ '":" ]
-;      null rest argl => [ '":", form2String1 first argl ]
-;      formDecl2String(argl.0,argl.1)
-;  op = "#" and CONSP argl and LISTP CAR argl =>
-;    STRINGIMAGE SIZE CAR argl
-;  op = 'Join => formJoin2String argl
-;  op = "ATTRIBUTE" => form2String1 first argl
-;  op='Zero => 0
-;  op='One => 1
-;  op = 'AGGLST => tuple2String argl
-;  op = 'BRACKET =>
-;    argl' := form2String1 first argl
-;    ["[",:(atom argl' => [argl']; argl'),"]"]
-;  op = "SIGNATURE" =>
-;     [operation,sig] := argl
-;     concat(operation,": ",formatSignature sig)
-;  op = 'COLLECT => formCollect2String argl
-;  op = 'construct =>
-;    concat(lbrkSch(),
-;           tuple2String [form2String1 x for x in argl],rbrkSch())
-;  op = "SEGMENT" =>
-;    null argl => '".."
-;    lo := form2String1 first argl
-;    argl := rest argl
-;    (null argl) or null (first argl) => [lo, '".."]
-;    [lo, '"..", form2String1 first argl]
-;  isBinaryInfix op => fortexp0 [op,:argl]
-;  -- COMPILED_-FUNCTION_-P(op) => form2String1 coerceMap2E(u1,NIL)
-;  application2String(op,[form2String1 x for x in argl], u1)
-
+  (PROG ()
+    (RETURN (COND (|$abbreviateTypes| (|abbreviate| |con|)) ('T |con|)))))
+ 
+; DEFPARAMETER($justUnparseType, false)
+ 
+(DEFPARAMETER |$justUnparseType| NIL)
+ 
+; form2String1 u ==
+;   ATOM u =>
+;     u=$EmptyMode or u=$quadSymbol => formWrapId specialChar 'quad
+;     IDENTP u =>
+;       constructor? u => app2StringWrap(formWrapId u, [u])
+;       u
+;     SUBRP u => formWrapId BPINAME u
+;     STRINGP u => formWrapId u
+;     WRITE_-TO_-STRING formWrapId u
+;   u1 := u
+;   op := CAR u
+;   argl := CDR u
+;   op='Join or op= 'mkCategory => formJoin1(op,argl)
+;   $InteractiveMode and (u:= constructor? op) =>
+;     null argl => app2StringWrap(formWrapId constructorName op, u1)
+;     op = "NTuple"  => [ form2String1 first argl, "*"]
+;     op = "Map"     => ["(",:formatSignature0 [argl.1,argl.0],")"]
+;     op = 'Record => record2String(argl)
+;     $justUnparseType or null(conSig := getConstructorSignature op) =>
+;       application2String(constructorName op,[form2String1(a) for a in argl], u1)
+;     ml := rest conSig
+;     if not freeOfSharpVars ml then
+;       ml:=SUBLIS([[pvar,:val] for pvar in $FormalMapVariableList
+;         for val in argl], ml)
+;     argl:= formArguments2String(argl,ml)
+;       -- extra null check to handle mutable domain hack.
+;     null argl => constructorName op
+;     application2String(constructorName op,argl, u1)
+;   op = "Mapping" => ["(",:formatSignature argl,")"]
+;   op = "Record" => record2String(argl)
+;   op = 'Union  =>
+;     application2String(op,[form2String1 x for x in argl], u1)
+;   op = ":" =>
+;       null argl => [ '":" ]
+;       null rest argl => [ '":", form2String1 first argl ]
+;       formDecl2String(argl.0,argl.1)
+;   op = "#" and PAIRP argl and LISTP CAR argl =>
+;     STRINGIMAGE SIZE CAR argl
+;   op = 'Join => formJoin2String argl
+;   op = "ATTRIBUTE" => form2String1 first argl
+;   op='Zero => 0
+;   op='One => 1
+;   op = 'AGGLST => tuple2String argl
+;   op = 'BRACKET =>
+;     argl' := form2String1 first argl
+;     ["[",:(atom argl' => [argl']; argl'),"]"]
+;   op = "SIGNATURE" =>
+;      [operation,sig] := argl
+;      concat(operation,": ",formatSignature sig)
+;   op = 'COLLECT => formCollect2String argl
+;   op = 'construct =>
+;     concat(lbrkSch(),
+;            tuple2String [form2String1 x for x in argl],rbrkSch())
+;   op = "SEGMENT" =>
+;     null argl => '".."
+;     lo := form2String1 first argl
+;     argl := rest argl
+;     (null argl) or null (first argl) => [lo, '".."]
+;     [lo, '"..", form2String1 first argl]
+;   op = "MATRIX" => matrix2String argl
+;   u1 is ["ROOT", arg1] =>
+;      concat("sqrt(", appOrParen(arg1),")")
+;   u1 is ["ROOT", arg1, arg2] =>
+;      concat("nthRoot(", appOrParen(arg1),",",appOrParen(arg2),")")
+;      --concat(appOrParen(arg1), '"^", appOrParen(["OVER",1,arg2]))
+;   u1 is ["$elt", t, f] =>
+;      concat(form2String1 f, '"$", form2String1 t)
+;   #argl = 2 and (isBinaryInfix op or op = "::" or op = '"::"_
+;      or op = "@" or op = '"@" or op = "pretend" or op = '"pretend"_
+;      or op = "OVER" or op = '"OVER") =>
+;           binop2String [op,:argl]
+;   application2String(op,[form2String1 x for x in argl], u1)
+ 
 (DEFUN |form2String1| (|u|)
-  (PROG (|u1| |op| |conSig| |ml| |argl'| |operation| |sig| |lo| |argl|)
-    (DECLARE (SPECIAL |$FormalMapVariableList| |$InteractiveMode|
-                      |$quadSymbol| |$EmptyMode|))
-    (RETURN
-      (SEQ (COND
-             ((ATOM |u|)
-              (COND
-                ((OR (BOOT-EQUAL |u| |$EmptyMode|)
-                     (BOOT-EQUAL |u| |$quadSymbol|))
-                 (|formWrapId| (|specialChar| '|quad|)))
-                ((IDENTP |u|)
-                 (COND
-                   ((|constructor?| |u|)
-                    (|app2StringWrap| (|formWrapId| |u|)
-                        (CONS |u| NIL)))
-                   ('T |u|)))
-                ((SUBRP |u|) (|formWrapId| (BPINAME |u|)))
-                ((STRINGP |u|) (|formWrapId| |u|))
-                ('T (WRITE-TO-STRING (|formWrapId| |u|)))))
-             ('T (SPADLET |u1| |u|) (SPADLET |op| (CAR |u|))
-              (SPADLET |argl| (CDR |u|))
-              (COND
-                ((OR (BOOT-EQUAL |op| '|Join|)
-                     (BOOT-EQUAL |op| '|mkCategory|))
-                 (|formJoin1| |op| |argl|))
-                ((AND |$InteractiveMode|
-                      (SPADLET |u| (|constructor?| |op|)))
-                 (COND
-                   ((NULL |argl|)
-                    (|app2StringWrap|
-                        (|formWrapId| (|constructorName| |op|)) |u1|))
-                   ((BOOT-EQUAL |op| '|NTuple|)
-                    (CONS (|form2String1| (CAR |argl|)) (CONS '* NIL)))
-                   ((BOOT-EQUAL |op| '|Map|)
-                    (CONS '|(|
-                          (APPEND (|formatSignature0|
-                                      (CONS (ELT |argl| 1)
-                                       (CONS (ELT |argl| 0) NIL)))
-                                  (CONS '|)| NIL))))
-                   ((BOOT-EQUAL |op| '|Record|)
-                    (|record2String| |argl|))
-                   ((NULL (SPADLET |conSig|
-                                   (|getConstructorSignature| |op|)))
-                    (|application2String| (|constructorName| |op|)
-                        (PROG (G166881)
-                          (SPADLET G166881 NIL)
-                          (RETURN
-                            (DO ((G166886 |argl| (CDR G166886))
-                                 (|a| NIL))
-                                ((OR (ATOM G166886)
-                                     (PROGN
-                                       (SETQ |a| (CAR G166886))
-                                       NIL))
-                                 (NREVERSE0 G166881))
-                              (SEQ (EXIT
-                                    (SETQ G166881
-                                     (CONS (|form2String1| |a|)
-                                      G166881)))))))
-                        |u1|))
-                   ('T (SPADLET |ml| (CDR |conSig|))
-                    (COND
-                      ((NULL (|freeOfSharpVars| |ml|))
-                       (SPADLET |ml|
-                                (SUBLIS (PROG (G166897)
-                                          (SPADLET G166897 NIL)
-                                          (RETURN
-                                            (DO
-                                             ((G166903
-                                               |$FormalMapVariableList|
-                                               (CDR G166903))
-                                              (|pvar| NIL)
-                                              (G166904 |argl|
-                                               (CDR G166904))
-                                              (|val| NIL))
-                                             ((OR (ATOM G166903)
-                                               (PROGN
-                                                 (SETQ |pvar|
-                                                  (CAR G166903))
-                                                 NIL)
-                                               (ATOM G166904)
-                                               (PROGN
-                                                 (SETQ |val|
-                                                  (CAR G166904))
-                                                 NIL))
-                                              (NREVERSE0 G166897))
-                                              (SEQ
-                                               (EXIT
-                                                (SETQ G166897
-                                                 (CONS
-                                                  (CONS |pvar| |val|)
-                                                  G166897)))))))
-                                        |ml|))))
-                    (SPADLET |argl|
-                             (|formArguments2String| |argl| |ml|))
-                    (COND
-                      ((NULL |argl|) (|constructorName| |op|))
-                      ('T
-                       (|application2String| (|constructorName| |op|)
-                           |argl| |u1|))))))
-                ((BOOT-EQUAL |op| '|Mapping|)
-                 (CONS '|(|
-                       (APPEND (|formatSignature| |argl|)
-                               (CONS '|)| NIL))))
-                ((BOOT-EQUAL |op| '|Record|) (|record2String| |argl|))
-                ((BOOT-EQUAL |op| '|Union|)
-                 (|application2String| |op|
-                     (PROG (G166917)
-                       (SPADLET G166917 NIL)
-                       (RETURN
-                         (DO ((G166922 |argl| (CDR G166922))
-                              (|x| NIL))
-                             ((OR (ATOM G166922)
-                                  (PROGN
-                                    (SETQ |x| (CAR G166922))
-                                    NIL))
-                              (NREVERSE0 G166917))
-                           (SEQ (EXIT (SETQ G166917
-                                       (CONS (|form2String1| |x|)
-                                        G166917)))))))
-                     |u1|))
-                ((BOOT-EQUAL |op| '|:|)
-                 (COND
-                   ((NULL |argl|) (CONS ":" NIL))
-                   ((NULL (CDR |argl|))
-                    (CONS ":"
-                          (CONS (|form2String1| (CAR |argl|)) NIL)))
-                   ('T
-                    (|formDecl2String| (ELT |argl| 0) (ELT |argl| 1)))))
-                ((AND (BOOT-EQUAL |op| '|#|) (CONSP |argl|)
-                      (LISTP (CAR |argl|)))
-                 (STRINGIMAGE (SIZE (CAR |argl|))))
-                ((BOOT-EQUAL |op| '|Join|) (|formJoin2String| |argl|))
-                ((BOOT-EQUAL |op| 'ATTRIBUTE)
-                 (|form2String1| (CAR |argl|)))
-                ((BOOT-EQUAL |op| '|Zero|) 0)
-                ((BOOT-EQUAL |op| '|One|) 1)
-                ((BOOT-EQUAL |op| 'AGGLST) (|tuple2String| |argl|))
-                ((BOOT-EQUAL |op| 'BRACKET)
-                 (SPADLET |argl'| (|form2String1| (CAR |argl|)))
-                 (CONS '[
-                       (APPEND (COND
-                                 ((ATOM |argl'|) (CONS |argl'| NIL))
-                                 ('T |argl'|))
-                               (CONS '] NIL))))
-                ((BOOT-EQUAL |op| 'SIGNATURE)
-                 (SPADLET |operation| (CAR |argl|))
-                 (SPADLET |sig| (CADR |argl|))
-                 (|concat| |operation| '|: | (|formatSignature| |sig|)))
-                ((BOOT-EQUAL |op| 'COLLECT)
-                 (|formCollect2String| |argl|))
-                ((BOOT-EQUAL |op| '|construct|)
-                 (|concat| (|lbrkSch|)
-                     (|tuple2String|
-                         (PROG (G166932)
-                           (SPADLET G166932 NIL)
-                           (RETURN
-                             (DO ((G166937 |argl| (CDR G166937))
-                                  (|x| NIL))
-                                 ((OR (ATOM G166937)
-                                      (PROGN
-                                        (SETQ |x| (CAR G166937))
-                                        NIL))
-                                  (NREVERSE0 G166932))
-                               (SEQ (EXIT
-                                     (SETQ G166932
-                                      (CONS (|form2String1| |x|)
-                                       G166932))))))))
-                     (|rbrkSch|)))
-                ((BOOT-EQUAL |op| 'SEGMENT)
+  (PROG (|u1| |op| |argl| |conSig| |ml| |argl'| |operation| |sig| |lo|
+         |ISTMP#1| |arg1| |ISTMP#2| |arg2| |t| |f|)
+    (RETURN
+     (COND
+      ((ATOM |u|)
+       (COND
+        ((OR (EQUAL |u| |$EmptyMode|) (EQUAL |u| |$quadSymbol|))
+         (|formWrapId| (|specialChar| '|quad|)))
+        ((IDENTP |u|)
+         (COND
+          ((|constructor?| |u|)
+           (|app2StringWrap| (|formWrapId| |u|) (LIST |u|)))
+          (#1='T |u|)))
+        ((SUBRP |u|) (|formWrapId| (BPINAME |u|)))
+        ((STRINGP |u|) (|formWrapId| |u|))
+        (#1# (WRITE-TO-STRING (|formWrapId| |u|)))))
+      (#1#
+       (PROGN
+        (SETQ |u1| |u|)
+        (SETQ |op| (CAR |u|))
+        (SETQ |argl| (CDR |u|))
+        (COND
+         ((OR (EQ |op| '|Join|) (EQ |op| '|mkCategory|))
+          (|formJoin1| |op| |argl|))
+         ((AND |$InteractiveMode| (SETQ |u| (|constructor?| |op|)))
+          (COND
+           ((NULL |argl|)
+            (|app2StringWrap| (|formWrapId| (|constructorName| |op|)) |u1|))
+           ((EQ |op| '|NTuple|) (LIST (|form2String1| (CAR |argl|)) '*))
+           ((EQ |op| '|Map|)
+            (CONS '|(|
+                  (APPEND
+                   (|formatSignature0| (LIST (ELT |argl| 1) (ELT |argl| 0)))
+                   (CONS '|)| NIL))))
+           ((EQ |op| '|Record|) (|record2String| |argl|))
+           ((OR |$justUnparseType|
+                (NULL (SETQ |conSig| (|getConstructorSignature| |op|))))
+            (|application2String| (|constructorName| |op|)
+             ((LAMBDA (|bfVar#29| |bfVar#28| |a|)
+                (LOOP
                  (COND
-                   ((NULL |argl|) "..")
-                   ('T (SPADLET |lo| (|form2String1| (CAR |argl|)))
-                    (SPADLET |argl| (CDR |argl|))
-                    (COND
-                      ((OR (NULL |argl|) (NULL (CAR |argl|)))
-                       (CONS |lo| (CONS ".." NIL)))
-                      ('T
-                       (CONS |lo|
-                             (CONS ".."
-                                   (CONS (|form2String1| (CAR |argl|))
-                                    NIL))))))))
-                ((|isBinaryInfix| |op|)
-                 (|fortexp0| (CONS |op| |argl|)))
-                ('T
-                 (|application2String| |op|
-                     (PROG (G166947)
-                       (SPADLET G166947 NIL)
-                       (RETURN
-                         (DO ((G166952 |argl| (CDR G166952))
-                              (|x| NIL))
-                             ((OR (ATOM G166952)
-                                  (PROGN
-                                    (SETQ |x| (CAR G166952))
-                                    NIL))
-                              (NREVERSE0 G166947))
-                           (SEQ (EXIT (SETQ G166947
-                                       (CONS (|form2String1| |x|)
-                                        G166947)))))))
-                     |u1|)))))))))
-
-;formWrapId id ==
-;  $formatSigAsTeX = 1 => id
-;  $formatSigAsTeX = 2 =>
-;    sep := '"`"
-;    FORMAT(NIL,'"\verb~a~a~a",sep, id, sep)
-;  error "Bad formatSigValue"
-
-(DEFUN |formWrapId| (|id|)
-  (PROG (|sep|)
-    (DECLARE (SPECIAL |$formatSigAsTeX|))
+                  ((OR (ATOM |bfVar#28|)
+                       (PROGN (SETQ |a| (CAR |bfVar#28|)) NIL))
+                   (RETURN (NREVERSE |bfVar#29|)))
+                  (#1#
+                   (SETQ |bfVar#29| (CONS (|form2String1| |a|) |bfVar#29|))))
+                 (SETQ |bfVar#28| (CDR |bfVar#28|))))
+              NIL |argl| NIL)
+             |u1|))
+           (#1#
+            (PROGN
+             (SETQ |ml| (CDR |conSig|))
+             (COND
+              ((NULL (|freeOfSharpVars| |ml|))
+               (SETQ |ml|
+                       (SUBLIS
+                        ((LAMBDA
+                             (|bfVar#32| |bfVar#30| |pvar| |bfVar#31| |val|)
+                           (LOOP
+                            (COND
+                             ((OR (ATOM |bfVar#30|)
+                                  (PROGN (SETQ |pvar| (CAR |bfVar#30|)) NIL)
+                                  (ATOM |bfVar#31|)
+                                  (PROGN (SETQ |val| (CAR |bfVar#31|)) NIL))
+                              (RETURN (NREVERSE |bfVar#32|)))
+                             (#1#
+                              (SETQ |bfVar#32|
+                                      (CONS (CONS |pvar| |val|) |bfVar#32|))))
+                            (SETQ |bfVar#30| (CDR |bfVar#30|))
+                            (SETQ |bfVar#31| (CDR |bfVar#31|))))
+                         NIL |$FormalMapVariableList| NIL |argl| NIL)
+                        |ml|))))
+             (SETQ |argl| (|formArguments2String| |argl| |ml|))
+             (COND ((NULL |argl|) (|constructorName| |op|))
+                   (#1#
+                    (|application2String| (|constructorName| |op|) |argl|
+                     |u1|)))))))
+         ((EQ |op| '|Mapping|)
+          (CONS '|(| (APPEND (|formatSignature| |argl|) (CONS '|)| NIL))))
+         ((EQ |op| '|Record|) (|record2String| |argl|))
+         ((EQ |op| '|Union|)
+          (|application2String| |op|
+           ((LAMBDA (|bfVar#34| |bfVar#33| |x|)
+              (LOOP
+               (COND
+                ((OR (ATOM |bfVar#33|) (PROGN (SETQ |x| (CAR |bfVar#33|)) NIL))
+                 (RETURN (NREVERSE |bfVar#34|)))
+                (#1# (SETQ |bfVar#34| (CONS (|form2String1| |x|) |bfVar#34|))))
+               (SETQ |bfVar#33| (CDR |bfVar#33|))))
+            NIL |argl| NIL)
+           |u1|))
+         ((EQ |op| '|:|)
+          (COND ((NULL |argl|) (LIST ":"))
+                ((NULL (CDR |argl|)) (LIST ":" (|form2String1| (CAR |argl|))))
+                (#1# (|formDecl2String| (ELT |argl| 0) (ELT |argl| 1)))))
+         ((AND (EQ |op| '|#|) (CONSP |argl|) (LISTP (CAR |argl|)))
+          (STRINGIMAGE (SIZE (CAR |argl|))))
+         ((EQ |op| '|Join|) (|formJoin2String| |argl|))
+         ((EQ |op| 'ATTRIBUTE) (|form2String1| (CAR |argl|)))
+         ((EQ |op| '|Zero|) 0) ((EQ |op| '|One|) 1)
+         ((EQ |op| 'AGGLST) (|tuple2String| |argl|))
+         ((EQ |op| 'BRACKET)
+          (PROGN
+           (SETQ |argl'| (|form2String1| (CAR |argl|)))
+           (CONS '[
+                 (APPEND (COND ((ATOM |argl'|) (LIST |argl'|)) (#1# |argl'|))
+                         (CONS '] NIL)))))
+         ((EQ |op| 'SIGNATURE)
+          (PROGN
+           (SETQ |operation| (CAR |argl|))
+           (SETQ |sig| (CADR |argl|))
+           (|concat| |operation| '|: | (|formatSignature| |sig|))))
+         ((EQ |op| 'COLLECT) (|formCollect2String| |argl|))
+         ((EQ |op| '|construct|)
+          (|concat| (|lbrkSch|)
+           (|tuple2String|
+            ((LAMBDA (|bfVar#36| |bfVar#35| |x|)
+               (LOOP
+                (COND
+                 ((OR (ATOM |bfVar#35|)
+                      (PROGN (SETQ |x| (CAR |bfVar#35|)) NIL))
+                  (RETURN (NREVERSE |bfVar#36|)))
+                 (#1#
+                  (SETQ |bfVar#36| (CONS (|form2String1| |x|) |bfVar#36|))))
+                (SETQ |bfVar#35| (CDR |bfVar#35|))))
+             NIL |argl| NIL))
+           (|rbrkSch|)))
+         ((EQ |op| 'SEGMENT)
+          (COND ((NULL |argl|) "..")
+                (#1#
+                 (PROGN
+                  (SETQ |lo| (|form2String1| (CAR |argl|)))
+                  (SETQ |argl| (CDR |argl|))
+                  (COND
+                   ((OR (NULL |argl|) (NULL (CAR |argl|))) (LIST |lo| ".."))
+                   (#1# (LIST |lo| ".." (|form2String1| (CAR |argl|)))))))))
+         ((EQ |op| 'MATRIX) (|matrix2String| |argl|))
+         ((AND (CONSP |u1|) (EQ (CAR |u1|) 'ROOT)
+               (PROGN
+                (SETQ |ISTMP#1| (CDR |u1|))
+                (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                     (PROGN (SETQ |arg1| (CAR |ISTMP#1|)) #1#))))
+          (|concat| '|sqrt(| (|appOrParen| |arg1|) '|)|))
+         ((AND (CONSP |u1|) (EQ (CAR |u1|) 'ROOT)
+               (PROGN
+                (SETQ |ISTMP#1| (CDR |u1|))
+                (AND (CONSP |ISTMP#1|)
+                     (PROGN
+                      (SETQ |arg1| (CAR |ISTMP#1|))
+                      (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                      (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                           (PROGN (SETQ |arg2| (CAR |ISTMP#2|)) #1#))))))
+          (|concat| '|nthRoot(| (|appOrParen| |arg1|) '|,|
+           (|appOrParen| |arg2|) '|)|))
+         ((AND (CONSP |u1|) (EQ (CAR |u1|) '|$elt|)
+               (PROGN
+                (SETQ |ISTMP#1| (CDR |u1|))
+                (AND (CONSP |ISTMP#1|)
+                     (PROGN
+                      (SETQ |t| (CAR |ISTMP#1|))
+                      (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                      (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                           (PROGN (SETQ |f| (CAR |ISTMP#2|)) #1#))))))
+          (|concat| (|form2String1| |f|) "$" (|form2String1| |t|)))
+         ((AND (EQL (LENGTH |argl|) 2)
+               (OR (|isBinaryInfix| |op|) (EQ |op| '|::|) (EQUAL |op| "::")
+                   (EQ |op| '@) (EQUAL |op| "@") (EQ |op| '|pretend|)
+                   (EQUAL |op| "pretend") (EQ |op| 'OVER) (EQUAL |op| "OVER")))
+          (|binop2String| (CONS |op| |argl|)))
+         (#1#
+          (|application2String| |op|
+           ((LAMBDA (|bfVar#38| |bfVar#37| |x|)
+              (LOOP
+               (COND
+                ((OR (ATOM |bfVar#37|) (PROGN (SETQ |x| (CAR |bfVar#37|)) NIL))
+                 (RETURN (NREVERSE |bfVar#38|)))
+                (#1# (SETQ |bfVar#38| (CONS (|form2String1| |x|) |bfVar#38|))))
+               (SETQ |bfVar#37| (CDR |bfVar#37|))))
+            NIL |argl| NIL)
+           |u1|)))))))))
+ 
+; matrix2String x ==
+;   concat(lbrkSch(),
+;     tuple2String [outtranRow x.i for i in 0..MAXINDEX x],rbrkSch()) where
+;       outtranRow x ==
+;         concat(lbrkSch(),
+;           tuple2String [form2String1 x.i for i in 0..MAXINDEX x], rbrkSch())
+ 
+(DEFUN |matrix2String| (|x|)
+  (PROG ()
     (RETURN
-      (COND
-        ((EQL |$formatSigAsTeX| 1) |id|)
-        ((EQL |$formatSigAsTeX| 2) (SPADLET |sep| "`")
-         (FORMAT NIL "\\verb~a~a~a" |sep| |id| |sep|))
-        ('T (|error| '|Bad formatSigValue|))))))
-
-;formArguments2String(argl,ml) == [fn(x,m) for x in argl for m in ml] where
-;  fn(x,m) ==
-;    x=$EmptyMode or x=$quadSymbol => specialChar 'quad
-;    STRINGP(x) or IDENTP(x) => x
-;    x is [ ='_:,:.] => form2String1 x
-;    isValidType(m) and CONSP(m) and
-;      (GETDATABASE(first(m),'CONSTRUCTORKIND) = 'domain) =>
-;        (x' := coerceInteractive(objNewWrap(x,m),$OutputForm)) =>
-;          form2String1 objValUnwrap x'
+     (|concat| (|lbrkSch|)
+      (|tuple2String|
+       ((LAMBDA (|bfVar#40| |bfVar#39| |i|)
+          (LOOP
+           (COND ((> |i| |bfVar#39|) (RETURN (NREVERSE |bfVar#40|)))
+                 ('T
+                  (SETQ |bfVar#40|
+                          (CONS (|matrix2String,outtranRow| (ELT |x| |i|))
+                                |bfVar#40|))))
+           (SETQ |i| (+ |i| 1))))
+        NIL (MAXINDEX |x|) 0))
+      (|rbrkSch|)))))
+(DEFUN |matrix2String,outtranRow| (|x|)
+  (PROG ()
+    (RETURN
+     (|concat| (|lbrkSch|)
+      (|tuple2String|
+       ((LAMBDA (|bfVar#42| |bfVar#41| |i|)
+          (LOOP
+           (COND ((> |i| |bfVar#41|) (RETURN (NREVERSE |bfVar#42|)))
+                 ('T
+                  (SETQ |bfVar#42|
+                          (CONS (|form2String1| (ELT |x| |i|)) |bfVar#42|))))
+           (SETQ |i| (+ |i| 1))))
+        NIL (MAXINDEX |x|) 0))
+      (|rbrkSch|)))))
+ 
+; binop2String x ==
+;     $curExpr : local := x
+;     x is ["=", arg1, arg2] or x is ['"=", arg1, arg2] =>
+;         concat(sumOrParen(arg1), '"=", sumOrParen(arg2))
+;     sumOrParen(x)
+ 
+(DEFUN |binop2String| (|x|)
+  (PROG (|$curExpr| |arg2| |ISTMP#2| |arg1| |ISTMP#1|)
+    (DECLARE (SPECIAL |$curExpr|))
+    (RETURN
+     (PROGN
+      (SETQ |$curExpr| |x|)
+      (COND
+       ((OR
+         (AND (CONSP |x|) (EQ (CAR |x|) '=)
+              (PROGN
+               (SETQ |ISTMP#1| (CDR |x|))
+               (AND (CONSP |ISTMP#1|)
+                    (PROGN
+                     (SETQ |arg1| (CAR |ISTMP#1|))
+                     (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                     (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                          (PROGN (SETQ |arg2| (CAR |ISTMP#2|)) #1='T))))))
+         (AND (CONSP |x|) (EQUAL (CAR |x|) '"=")
+              (PROGN
+               (SETQ |ISTMP#1| (CDR |x|))
+               (AND (CONSP |ISTMP#1|)
+                    (PROGN
+                     (SETQ |arg1| (CAR |ISTMP#1|))
+                     (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                     (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                          (PROGN (SETQ |arg2| (CAR |ISTMP#2|)) #1#)))))))
+        (|concat| (|sumOrParen| |arg1|) "=" (|sumOrParen| |arg2|)))
+       (#1# (|sumOrParen| |x|)))))))
+ 
+; sumOrParen(x) ==
+;    x is [op, arg1, arg2] =>
+;        op = "+" or op = '"+" =>
+;     concat(sumOrParen(arg1), '"+", productOrParen(arg2))
+;        op = "-" or op = '"-" =>
+;            concat(sumOrParen(arg1), '"-", productOrParen(arg2))
+;        op = "/" or op = '"/" or op = "OVER" or op = '"OVER" =>
+;            concat(appOrParen(arg1), '"/", appOrParen(arg2))
+;        productOrParen(x)
+;    productOrParen(x)
+ 
+(DEFUN |sumOrParen| (|x|)
+  (PROG (|op| |ISTMP#1| |arg1| |ISTMP#2| |arg2|)
+    (RETURN
+     (COND
+      ((AND (CONSP |x|)
+            (PROGN
+             (SETQ |op| (CAR |x|))
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |arg1| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |arg2| (CAR |ISTMP#2|)) #1='T))))))
+       (COND
+        ((OR (EQ |op| '+) (EQUAL |op| "+"))
+         (|concat| (|sumOrParen| |arg1|) "+" (|productOrParen| |arg2|)))
+        ((OR (EQ |op| '-) (EQUAL |op| "-"))
+         (|concat| (|sumOrParen| |arg1|) "-" (|productOrParen| |arg2|)))
+        ((OR (EQ |op| '/) (EQUAL |op| "/") (EQ |op| 'OVER) (EQUAL |op| "OVER"))
+         (|concat| (|appOrParen| |arg1|) "/" (|appOrParen| |arg2|)))
+        (#1# (|productOrParen| |x|))))
+      (#1# (|productOrParen| |x|))))))
+ 
+; productOrParen(x) ==
+;    x is [op, arg1, arg2] =>
+;        op = "*" or op ='"*" =>
+;            concat(productOrParen(arg1), '"*",  powerOrParen(arg2))
+;        powerOrParen(x)
+;    powerOrParen(x)
+ 
+(DEFUN |productOrParen| (|x|)
+  (PROG (|op| |ISTMP#1| |arg1| |ISTMP#2| |arg2|)
+    (RETURN
+     (COND
+      ((AND (CONSP |x|)
+            (PROGN
+             (SETQ |op| (CAR |x|))
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |arg1| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |arg2| (CAR |ISTMP#2|)) #1='T))))))
+       (COND
+        ((OR (EQ |op| '*) (EQUAL |op| "*"))
+         (|concat| (|productOrParen| |arg1|) "*" (|powerOrParen| |arg2|)))
+        (#1# (|powerOrParen| |x|))))
+      (#1# (|powerOrParen| |x|))))))
+ 
+; powerOrParen(x) ==
+;    x is [op, arg1, arg2] =>
+;       op = "**" or op = '"**" or op = "^" or op = '"^"  =>
+;            concat(coerceOrParen(arg1), '"^", coerceOrParen(arg2))
+;       coerceOrParen(x)
+;    coerceOrParen(x)
+ 
+(DEFUN |powerOrParen| (|x|)
+  (PROG (|op| |ISTMP#1| |arg1| |ISTMP#2| |arg2|)
+    (RETURN
+     (COND
+      ((AND (CONSP |x|)
+            (PROGN
+             (SETQ |op| (CAR |x|))
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |arg1| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |arg2| (CAR |ISTMP#2|)) #1='T))))))
+       (COND
+        ((OR (EQ |op| '**) (EQUAL |op| "**") (EQ |op| '^) (EQUAL |op| "^"))
+         (|concat| (|coerceOrParen| |arg1|) "^" (|coerceOrParen| |arg2|)))
+        (#1# (|coerceOrParen| |x|))))
+      (#1# (|coerceOrParen| |x|))))))
+ 
+; coerceOrParen(x) ==
+;    x is [op, arg1, arg2] =>
+;       op = "::" or op = '"::" =>
+;            concat(coerceOrParen(arg1), '"::", appOrParen(arg2))
+;       op = "@" or op = '"@" =>
+;            concat(coerceOrParen(arg1), '"@", appOrParen(arg2))
+;       op = "pretend" or op = '"pretend" =>
+;            concat(coerceOrParen(arg1), '" ", '"pretend", '" ",_
+;             appOrParen(arg2))
+;       appOrParen(x)
+;    appOrParen(x)
+ 
+(DEFUN |coerceOrParen| (|x|)
+  (PROG (|op| |ISTMP#1| |arg1| |ISTMP#2| |arg2|)
+    (RETURN
+     (COND
+      ((AND (CONSP |x|)
+            (PROGN
+             (SETQ |op| (CAR |x|))
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |arg1| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |arg2| (CAR |ISTMP#2|)) #1='T))))))
+       (COND
+        ((OR (EQ |op| '|::|) (EQUAL |op| "::"))
+         (|concat| (|coerceOrParen| |arg1|) "::" (|appOrParen| |arg2|)))
+        ((OR (EQ |op| '@) (EQUAL |op| "@"))
+         (|concat| (|coerceOrParen| |arg1|) "@" (|appOrParen| |arg2|)))
+        ((OR (EQ |op| '|pretend|) (EQUAL |op| "pretend"))
+         (|concat| (|coerceOrParen| |arg1|) " " "pretend" " "
+          (|appOrParen| |arg2|)))
+        (#1# (|appOrParen| |x|))))
+      (#1# (|appOrParen| |x|))))))
+ 
+; appOrParen(x) ==
+;    SYMBOLP(x) => formWrapId x
+;    INTEGERP(x) => WRITE_-TO_-STRING x
+;    -- Kludge to avoid extra parentheses printing a SparseUnivariatePolynomial
+;    x = '"?" => formWrapId x
+;    ATOM(x) => concat('"(", form2String1(x), '")")
+;    [op, :argl] := x
+;    (op = "-" or op = '"-") and #argl = 1 =>
+;        concat('"(", '"-", appOrParen(first argl), '")")
+;    EQ(x, $curExpr) => BREAK()
+;    op is ["$elt", f, t] =>
 ;        form2String1 x
+;    -- Put parenthesis around anything special
+;    not(SYMBOLP op) or GET(op, "Led") or GET(op, "Nud")_
+;      or op= 'mkCategory or op = "SEGMENT" _
+;      or op = 'construct or op = 'COLLECT or op = "SIGNATURE"_
+;      or op = 'BRACKET or op = 'AGGLST or op = "ATTRIBUTE"_
+;      or op = "#" =>
+;         concat('"(", form2String1(x), '")")
+;    op = "Zero" => '"0"
+;    op = "One" => '"1"
 ;    form2String1 x
-
-(DEFUN |formArguments2String,fn| (|x| |m|)
-  (PROG (|x'|)
-    (DECLARE (SPECIAL |$OutputForm| |$quadSymbol| |$EmptyMode|))
-    (RETURN
-      (SEQ (IF (OR (BOOT-EQUAL |x| |$EmptyMode|)
-                   (BOOT-EQUAL |x| |$quadSymbol|))
-               (EXIT (|specialChar| '|quad|)))
-           (IF (OR (STRINGP |x|) (IDENTP |x|)) (EXIT |x|))
-           (IF (AND (CONSP |x|) (EQUAL (QCAR |x|) '|:|))
-               (EXIT (|form2String1| |x|)))
-           (IF (AND (AND (|isValidType| |m|) (CONSP |m|))
-                    (BOOT-EQUAL
-                        (GETDATABASE (CAR |m|) 'CONSTRUCTORKIND)
-                        '|domain|))
-               (EXIT (SEQ (IF (SPADLET |x'|
-                                       (|coerceInteractive|
-                                        (|objNewWrap| |x| |m|)
-                                        |$OutputForm|))
-                              (EXIT (|form2String1|
-                                     (|objValUnwrap| |x'|))))
-                          (EXIT (|form2String1| |x|)))))
-           (EXIT (|form2String1| |x|))))))
-
+ 
+(DEFUN |appOrParen| (|x|)
+  (PROG (|op| |argl| |ISTMP#1| |f| |ISTMP#2| |t|)
+    (RETURN
+     (COND ((SYMBOLP |x|) (|formWrapId| |x|))
+           ((INTEGERP |x|) (WRITE-TO-STRING |x|))
+           ((EQUAL |x| "?") (|formWrapId| |x|))
+           ((ATOM |x|) (|concat| "(" (|form2String1| |x|) ")"))
+           (#1='T
+            (PROGN
+             (SETQ |op| (CAR |x|))
+             (SETQ |argl| (CDR |x|))
+             (COND
+              ((AND (OR (EQ |op| '-) (EQUAL |op| "-")) (EQL (LENGTH |argl|) 1))
+               (|concat| "(" "-" (|appOrParen| (CAR |argl|)) ")"))
+              ((EQ |x| |$curExpr|) (BREAK))
+              ((AND (CONSP |op|) (EQ (CAR |op|) '|$elt|)
+                    (PROGN
+                     (SETQ |ISTMP#1| (CDR |op|))
+                     (AND (CONSP |ISTMP#1|)
+                          (PROGN
+                           (SETQ |f| (CAR |ISTMP#1|))
+                           (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                           (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                                (PROGN (SETQ |t| (CAR |ISTMP#2|)) #1#))))))
+               (|form2String1| |x|))
+              ((OR (NULL (SYMBOLP |op|)) (GET |op| '|Led|) (GET |op| '|Nud|)
+                   (EQ |op| '|mkCategory|) (EQ |op| 'SEGMENT)
+                   (EQ |op| '|construct|) (EQ |op| 'COLLECT)
+                   (EQ |op| 'SIGNATURE) (EQ |op| 'BRACKET) (EQ |op| 'AGGLST)
+                   (EQ |op| 'ATTRIBUTE) (EQ |op| '|#|))
+               (|concat| "(" (|form2String1| |x|) ")"))
+              ((EQ |op| '|Zero|) "0") ((EQ |op| '|One|) "1")
+              (#1# (|form2String1| |x|)))))))))
+ 
+; formWrapId id ==
+;   $formatSigAsTeX = 1 => id
+;   $formatSigAsTeX = 2 =>
+;     sep := '"`"
+;     FORMAT(NIL,'"\verb~a~a~a",sep, id, sep)
+;   error "Bad formatSigValue"
+ 
+(DEFUN |formWrapId| (|id|)
+  (PROG (|sep|)
+    (RETURN
+     (COND ((EQL |$formatSigAsTeX| 1) |id|)
+           ((EQL |$formatSigAsTeX| 2)
+            (PROGN
+             (SETQ |sep| "`")
+             (FORMAT NIL "\\verb~a~a~a" |sep| |id| |sep|)))
+           ('T (|error| '|Bad formatSigValue|))))))
+ 
+; formArguments2String(argl,ml) == [fn(x,m) for x in argl for m in ml] where
+;   fn(x,m) ==
+;     x=$EmptyMode or x=$quadSymbol => specialChar 'quad
+;     STRINGP(x) or IDENTP(x) => x
+;     x is [ ='_:,:.] => form2String1 x
+;     isValidType(m) and PAIRP(m) and
+;       (GETDATABASE(first(m),'CONSTRUCTORKIND) = 'domain) =>
+;         (x' := coerceInteractive(objNewWrap(x,m),$OutputForm)) =>
+;           form2String1 objValUnwrap x'
+;         form2String1 x
+;     form2String1 x
+ 
 (DEFUN |formArguments2String| (|argl| |ml|)
   (PROG ()
     (RETURN
-      (SEQ (PROG (G166997)
-             (SPADLET G166997 NIL)
-             (RETURN
-               (DO ((G167003 |argl| (CDR G167003)) (|x| NIL)
-                    (G167004 |ml| (CDR G167004)) (|m| NIL))
-                   ((OR (ATOM G167003)
-                        (PROGN (SETQ |x| (CAR G167003)) NIL)
-                        (ATOM G167004)
-                        (PROGN (SETQ |m| (CAR G167004)) NIL))
-                    (NREVERSE0 G166997))
-                 (SEQ (EXIT (SETQ G166997
-                                  (CONS (|formArguments2String,fn| |x|
-                                         |m|)
-                                        G166997)))))))))))
-
-;formDecl2String(left,right) ==
-;  $declVar: local := left
-;  whereBefore := $whereList
-;  ls:= form2StringLocal left
-;  rs:= form2StringLocal right
-;  NE($whereList,whereBefore) and $permitWhere => ls
-;  concat(form2StringLocal ls,'": ",rs)
-
-(DEFUN |formDecl2String| (|left| |right|)
-  (PROG (|$declVar| |whereBefore| |ls| |rs|)
-    (DECLARE (SPECIAL |$declVar| |$permitWhere| |$whereList|))
-    (RETURN
-      (PROGN
-        (SPADLET |$declVar| |left|)
-        (SPADLET |whereBefore| |$whereList|)
-        (SPADLET |ls| (|form2StringLocal| |left|))
-        (SPADLET |rs| (|form2StringLocal| |right|))
-        (COND
-          ((AND (NE |$whereList| |whereBefore|) |$permitWhere|) |ls|)
+     ((LAMBDA (|bfVar#45| |bfVar#43| |x| |bfVar#44| |m|)
+        (LOOP
+         (COND
+          ((OR (ATOM |bfVar#43|) (PROGN (SETQ |x| (CAR |bfVar#43|)) NIL)
+               (ATOM |bfVar#44|) (PROGN (SETQ |m| (CAR |bfVar#44|)) NIL))
+           (RETURN (NREVERSE |bfVar#45|)))
           ('T
-           (|concat| (|form2StringLocal| |ls|) ": " |rs|)))))))
-
-;formJoin1(op,u) ==
-;  if op = 'Join then [:argl,last] := u else (argl := nil; last := [op,:u])
-;  last is [id,.,:r] and id in '(mkCategory CATEGORY) =>
-;    $permitWhere = true =>
-;      opList:= formatJoinKey(r,id)
-;      $whereList:= concat($whereList,"%l",$declVar,": ",
-;        formJoin2 argl,'%b,'"with",'%d,"%i",opList,"%u")
-;      formJoin2 argl
-;    opList:= formatJoinKey(r,id)
-;    suffix := concat('%b,'"with",'%d,"%i",opList,"%u")
-;    concat(formJoin2 argl,suffix)
-;  formJoin2 u
-
+           (SETQ |bfVar#45|
+                   (CONS (|formArguments2String,fn| |x| |m|) |bfVar#45|))))
+         (SETQ |bfVar#43| (CDR |bfVar#43|))
+         (SETQ |bfVar#44| (CDR |bfVar#44|))))
+      NIL |argl| NIL |ml| NIL))))
+(DEFUN |formArguments2String,fn| (|x| |m|)
+  (PROG (|x'|)
+    (RETURN
+     (COND
+      ((OR (EQUAL |x| |$EmptyMode|) (EQUAL |x| |$quadSymbol|))
+       (|specialChar| '|quad|))
+      ((OR (STRINGP |x|) (IDENTP |x|)) |x|)
+      ((AND (CONSP |x|) (EQUAL (CAR |x|) '|:|)) (|form2String1| |x|))
+      ((AND (|isValidType| |m|) (CONSP |m|)
+            (EQ (GETDATABASE (CAR |m|) 'CONSTRUCTORKIND) '|domain|))
+       (COND
+        ((SETQ |x'| (|coerceInteractive| (|objNewWrap| |x| |m|) |$OutputForm|))
+         (|form2String1| (|objValUnwrap| |x'|)))
+        (#1='T (|form2String1| |x|))))
+      (#1# (|form2String1| |x|))))))
+ 
+; formDecl2String(left,right) ==
+;   $declVar: local := left
+;   whereBefore := $whereList
+;   ls:= form2StringLocal left
+;   rs:= form2StringLocal right
+;   NE($whereList,whereBefore) and $permitWhere => ls
+;   concat(form2StringLocal ls,'": ",rs)
+ 
+(DEFUN |formDecl2String| (|left| |right|)
+  (PROG (|$declVar| |rs| |ls| |whereBefore|)
+    (DECLARE (SPECIAL |$declVar|))
+    (RETURN
+     (PROGN
+      (SETQ |$declVar| |left|)
+      (SETQ |whereBefore| |$whereList|)
+      (SETQ |ls| (|form2StringLocal| |left|))
+      (SETQ |rs| (|form2StringLocal| |right|))
+      (COND ((AND (NE |$whereList| |whereBefore|) |$permitWhere|) |ls|)
+            ('T (|concat| (|form2StringLocal| |ls|) ": " |rs|)))))))
+ 
+; formJoin1(op,u) ==
+;   if op = 'Join then [:argl,last] := u else (argl := nil; last := [op,:u])
+;   last is [id, :r] and id in '(mkCategory CATEGORY) =>
+;     if id = "CATEGORY" then r := rest(r)
+;     $abbreviateJoin = true => concat(formJoin2 argl,'%b,'"with",'%d,'"...")
+;     $permitWhere = true =>
+;       opList:= formatJoinKey(r,id)
+;       $whereList:= concat($whereList,"%l",$declVar,": ",
+;         formJoin2 argl,'%b,'"with",'%d,"%i",opList,"%u")
+;       formJoin2 argl
+;     opList:= formatJoinKey(r,id)
+;     suffix := concat('%b,'"with",'%d,"%i",opList,"%u")
+;     concat(formJoin2 argl,suffix)
+;   formJoin2 u
+ 
 (DEFUN |formJoin1| (|op| |u|)
-  (PROG (|LETTMP#1| |argl| |last| |id| |ISTMP#1| |r| |opList| |suffix|)
-    (DECLARE (SPECIAL |$declVar| |$whereList| |$permitWhere|))
+  (PROG (|LETTMP#1| |last| |argl| |id| |r| |opList| |suffix|)
     (RETURN
-      (PROGN
-        (COND
-          ((BOOT-EQUAL |op| '|Join|) (SPADLET |LETTMP#1| (REVERSE |u|))
-           (SPADLET |last| (CAR |LETTMP#1|))
-           (SPADLET |argl| (NREVERSE (CDR |LETTMP#1|))) |u|)
-          ('T (SPADLET |argl| NIL) (SPADLET |last| (CONS |op| |u|))))
-        (COND
-          ((AND (CONSP |last|)
-                (PROGN
-                  (SPADLET |id| (QCAR |last|))
-                  (SPADLET |ISTMP#1| (QCDR |last|))
-                  (AND (CONSP |ISTMP#1|)
-                       (PROGN (SPADLET |r| (QCDR |ISTMP#1|)) 'T)))
-                (|member| |id| '(|mkCategory| CATEGORY)))
-           (COND
-             ((BOOT-EQUAL |$permitWhere| 'T)
-              (SPADLET |opList| (|formatJoinKey| |r| |id|))
-              (SPADLET |$whereList|
-                       (|concat| |$whereList| '|%l| |$declVar| '|: |
-                           (|formJoin2| |argl|) '|%b|
-                           "with" '|%d| '|%i| |opList|
-                           '|%u|))
-              (|formJoin2| |argl|))
-             ('T (SPADLET |opList| (|formatJoinKey| |r| |id|))
-              (SPADLET |suffix|
-                       (|concat| '|%b| "with" '|%d| '|%i|
-                           |opList| '|%u|))
-              (|concat| (|formJoin2| |argl|) |suffix|))))
-          ('T (|formJoin2| |u|)))))))
-
-;formatJoinKey(r,key) ==
-;  key = 'mkCategory =>
-;    r is [opPart,catPart,:.] =>
-;      opString :=
-;        opPart is [='LIST,:u] =>
-;          "append"/[concat("%l",formatOpSignature(op,sig),formatIf pred)
-;            for [='QUOTE,[[op,sig],pred]] in u]
-;        nil
-;      catString :=
-;        catPart is [='LIST,:u] =>
-;          "append"/[concat("%l",'" ",form2StringLocal con,formatIf pred)
-;            for [='QUOTE,[con,pred]] in u]
-;        nil
-;      concat(opString,catString)
-;    '"?? unknown mkCategory format ??"
-;  -- otherwise we have the CATEGORY form
-;  "append"/[fn for x in r] where fn ==
-;    x is ['SIGNATURE,op,sig] => concat("%l",formatOpSignature(op,sig))
-;    x is ['ATTRIBUTE,a] => concat("%l",formatAttribute a)
-;    x
-
+     (PROGN
+      (COND
+       ((EQ |op| '|Join|) (SETQ |LETTMP#1| (REVERSE |u|))
+        (SETQ |last| (CAR |LETTMP#1|))
+        (SETQ |argl| (NREVERSE (CDR |LETTMP#1|))) |u|)
+       (#1='T (SETQ |argl| NIL) (SETQ |last| (CONS |op| |u|))))
+      (COND
+       ((AND (CONSP |last|)
+             (PROGN (SETQ |id| (CAR |last|)) (SETQ |r| (CDR |last|)) #1#)
+             (|member| |id| '(|mkCategory| CATEGORY)))
+        (PROGN
+         (COND ((EQ |id| 'CATEGORY) (SETQ |r| (CDR |r|))))
+         (COND
+;  |$abbreviateJoin| is always nil -- tpd
+;          ((EQUAL |$abbreviateJoin| T)
+;           (|concat| (|formJoin2| |argl|) '|%b| "with" '|%d| "..."))
+          ((EQUAL |$permitWhere| T)
+           (PROGN
+            (SETQ |opList| (|formatJoinKey| |r| |id|))
+            (SETQ |$whereList|
+                    (|concat| |$whereList| '|%l| |$declVar| '|: |
+                     (|formJoin2| |argl|) '|%b| "with" '|%d| '|%i| |opList|
+                     '|%u|))
+            (|formJoin2| |argl|)))
+          (#1#
+           (PROGN
+            (SETQ |opList| (|formatJoinKey| |r| |id|))
+            (SETQ |suffix| (|concat| '|%b| "with" '|%d| '|%i| |opList| '|%u|))
+            (|concat| (|formJoin2| |argl|) |suffix|))))))
+       (#1# (|formJoin2| |u|)))))))
+ 
+; formatJoinKey(r,key) ==
+;   key = 'mkCategory =>
+;     r is [opPart,catPart,:.] =>
+;       opString :=
+;         opPart is [='LIST,:u] =>
+;           "append"/[concat("%l",formatOpSignature(op,sig),formatIf pred)
+;             for [='QUOTE,[[op,sig],pred]] in u]
+;         nil
+;       catString :=
+;         catPart is [='LIST,:u] =>
+;           "append"/[concat("%l",'" ",form2StringLocal con,formatIf pred)
+;             for [='QUOTE,[con,pred]] in u]
+;         nil
+;       concat(opString,catString)
+;     '"?? unknown mkCategory format ??"
+;   -- otherwise we have the CATEGORY form
+;   "append"/[fn for x in r] where fn ==
+;     x is ['SIGNATURE,op,sig] => concat("%l",formatOpSignature(op,sig))
+;     x is ['ATTRIBUTE,a] => concat("%l",formatAttribute a)
+;     x
+ 
 (DEFUN |formatJoinKey| (|r| |key|)
-  (PROG (|opPart| |catPart| |opString| |u| |con| |pred| |catString|
-            |op| |ISTMP#2| |sig| |ISTMP#1| |a|)
+  (PROG (|opPart| |ISTMP#1| |catPart| |u| |ISTMP#2| |ISTMP#3| |op| |ISTMP#4|
+         |sig| |ISTMP#5| |pred| |opString| |con| |catString| |a|)
     (RETURN
-      (SEQ (COND
-             ((BOOT-EQUAL |key| '|mkCategory|)
-              (COND
-                ((AND (CONSP |r|)
-                      (PROGN
-                        (SPADLET |opPart| (QCAR |r|))
-                        (SPADLET |ISTMP#1| (QCDR |r|))
-                        (AND (CONSP |ISTMP#1|)
-                             (PROGN
-                               (SPADLET |catPart| (QCAR |ISTMP#1|))
-                               'T))))
-                 (SPADLET |opString|
-                          (COND
-                            ((AND (CONSP |opPart|)
-                                  (EQUAL (QCAR |opPart|) 'LIST)
-                                  (PROGN
-                                    (SPADLET |u| (QCDR |opPart|))
-                                    'T))
-                             (PROG (G167117)
-                               (SPADLET G167117 NIL)
-                               (RETURN
-                                 (DO ((G167123 |u| (CDR G167123))
-                                      (G167068 NIL))
-                                     ((OR (ATOM G167123)
-                                       (PROGN
-                                         (SETQ G167068
-                                          (CAR G167123))
-                                         NIL)
-                                       (PROGN
-                                         (PROGN
-                                           (COND
-                                             ((EQUAL 'QUOTE
-                                               (CAR G167068))
-                                              'QUOTE))
-                                           (SPADLET |op|
-                                            (CAAADR G167068))
-                                           (SPADLET |sig|
-                                            (CAR (CDAADR G167068)))
-                                           (SPADLET |pred|
-                                            (CADADR G167068))
-                                           G167068)
-                                         NIL))
-                                      G167117)
-                                   (SEQ
-                                    (EXIT
-                                     (SETQ G167117
-                                      (APPEND G167117
-                                       (|concat| '|%l|
-                                        (|formatOpSignature| |op|
-                                         |sig|)
-                                        (|formatIf| |pred|))))))))))
-                            ('T NIL)))
-                 (SPADLET |catString|
-                          (COND
-                            ((AND (CONSP |catPart|)
-                                  (EQUAL (QCAR |catPart|) 'LIST)
-                                  (PROGN
-                                    (SPADLET |u| (QCDR |catPart|))
-                                    'T))
-                             (PROG (G167130)
-                               (SPADLET G167130 NIL)
-                               (RETURN
-                                 (DO ((G167136 |u| (CDR G167136))
-                                      (G167075 NIL))
-                                     ((OR (ATOM G167136)
-                                       (PROGN
-                                         (SETQ G167075
-                                          (CAR G167136))
-                                         NIL)
-                                       (PROGN
-                                         (PROGN
-                                           (COND
-                                             ((EQUAL 'QUOTE
-                                               (CAR G167075))
-                                              'QUOTE))
-                                           (SPADLET |con|
-                                            (CAADR G167075))
-                                           (SPADLET |pred|
-                                            (CADADR G167075))
-                                           G167075)
-                                         NIL))
-                                      G167130)
-                                   (SEQ
-                                    (EXIT
-                                     (SETQ G167130
-                                      (APPEND G167130
-                                       (|concat| '|%l| " "
-                                        (|form2StringLocal| |con|)
-                                        (|formatIf| |pred|))))))))))
-                            ('T NIL)))
-                 (|concat| |opString| |catString|))
-                ('T "?? unknown mkCategory format ??")))
-             ('T
-              (PROG (G167143)
-                (SPADLET G167143 NIL)
-                (RETURN
-                  (DO ((G167159 |r| (CDR G167159)) (|x| NIL))
-                      ((OR (ATOM G167159)
-                           (PROGN (SETQ |x| (CAR G167159)) NIL))
-                       G167143)
-                    (SEQ (EXIT (SETQ G167143
-                                     (APPEND G167143
-                                      (COND
-                                        ((AND (CONSP |x|)
-                                          (EQ (QCAR |x|) 'SIGNATURE)
+     (COND
+      ((EQ |key| '|mkCategory|)
+       (COND
+        ((AND (CONSP |r|)
+              (PROGN
+               (SETQ |opPart| (CAR |r|))
+               (SETQ |ISTMP#1| (CDR |r|))
+               (AND (CONSP |ISTMP#1|)
+                    (PROGN (SETQ |catPart| (CAR |ISTMP#1|)) #1='T))))
+         (PROGN
+          (SETQ |opString|
+                  (COND
+                   ((AND (CONSP |opPart|) (EQUAL (CAR |opPart|) 'LIST)
+                         (PROGN (SETQ |u| (CDR |opPart|)) #1#))
+                    ((LAMBDA (|bfVar#48| |bfVar#47| |bfVar#46|)
+                       (LOOP
+                        (COND
+                         ((OR (ATOM |bfVar#47|)
+                              (PROGN (SETQ |bfVar#46| (CAR |bfVar#47|)) NIL))
+                          (RETURN |bfVar#48|))
+                         (#1#
+                          (AND (CONSP |bfVar#46|)
+                               (EQUAL (CAR |bfVar#46|) 'QUOTE)
+                               (PROGN
+                                (SETQ |ISTMP#1| (CDR |bfVar#46|))
+                                (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                                     (PROGN
+                                      (SETQ |ISTMP#2| (CAR |ISTMP#1|))
+                                      (AND (CONSP |ISTMP#2|)
+                                           (PROGN
+                                            (SETQ |ISTMP#3| (CAR |ISTMP#2|))
+                                            (AND (CONSP |ISTMP#3|)
+                                                 (PROGN
+                                                  (SETQ |op| (CAR |ISTMP#3|))
+                                                  (SETQ |ISTMP#4|
+                                                          (CDR |ISTMP#3|))
+                                                  (AND (CONSP |ISTMP#4|)
+                                                       (EQ (CDR |ISTMP#4|) NIL)
+                                                       (PROGN
+                                                        (SETQ |sig|
+                                                                (CAR
+                                                                 |ISTMP#4|))
+                                                        #1#)))))
+                                           (PROGN
+                                            (SETQ |ISTMP#5| (CDR |ISTMP#2|))
+                                            (AND (CONSP |ISTMP#5|)
+                                                 (EQ (CDR |ISTMP#5|) NIL)
+                                                 (PROGN
+                                                  (SETQ |pred| (CAR |ISTMP#5|))
+                                                  #1#)))))))
+                               (SETQ |bfVar#48|
+                                       (APPEND |bfVar#48|
+                                               (|concat| '|%l|
+                                                (|formatOpSignature| |op|
+                                                 |sig|)
+                                                (|formatIf| |pred|)))))))
+                        (SETQ |bfVar#47| (CDR |bfVar#47|))))
+                     NIL |u| NIL))
+                   (#1# NIL)))
+          (SETQ |catString|
+                  (COND
+                   ((AND (CONSP |catPart|) (EQUAL (CAR |catPart|) 'LIST)
+                         (PROGN (SETQ |u| (CDR |catPart|)) #1#))
+                    ((LAMBDA (|bfVar#51| |bfVar#50| |bfVar#49|)
+                       (LOOP
+                        (COND
+                         ((OR (ATOM |bfVar#50|)
+                              (PROGN (SETQ |bfVar#49| (CAR |bfVar#50|)) NIL))
+                          (RETURN |bfVar#51|))
+                         (#1#
+                          (AND (CONSP |bfVar#49|)
+                               (EQUAL (CAR |bfVar#49|) 'QUOTE)
+                               (PROGN
+                                (SETQ |ISTMP#1| (CDR |bfVar#49|))
+                                (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                                     (PROGN
+                                      (SETQ |ISTMP#2| (CAR |ISTMP#1|))
+                                      (AND (CONSP |ISTMP#2|)
+                                           (PROGN
+                                            (SETQ |con| (CAR |ISTMP#2|))
+                                            (SETQ |ISTMP#3| (CDR |ISTMP#2|))
+                                            (AND (CONSP |ISTMP#3|)
+                                                 (EQ (CDR |ISTMP#3|) NIL)
+                                                 (PROGN
+                                                  (SETQ |pred| (CAR |ISTMP#3|))
+                                                  #1#)))))))
+                               (SETQ |bfVar#51|
+                                       (APPEND |bfVar#51|
+                                               (|concat| '|%l| " "
+                                                (|form2StringLocal| |con|)
+                                                (|formatIf| |pred|)))))))
+                        (SETQ |bfVar#50| (CDR |bfVar#50|))))
+                     NIL |u| NIL))
+                   (#1# NIL)))
+          (|concat| |opString| |catString|)))
+        (#1# "?? unknown mkCategory format ??")))
+      (#1#
+       ((LAMBDA (|bfVar#53| |bfVar#52| |x|)
+          (LOOP
+           (COND
+            ((OR (ATOM |bfVar#52|) (PROGN (SETQ |x| (CAR |bfVar#52|)) NIL))
+             (RETURN |bfVar#53|))
+            (#1#
+             (SETQ |bfVar#53|
+                     (APPEND |bfVar#53|
+                             (COND
+                              ((AND (CONSP |x|) (EQ (CAR |x|) 'SIGNATURE)
+                                    (PROGN
+                                     (SETQ |ISTMP#1| (CDR |x|))
+                                     (AND (CONSP |ISTMP#1|)
                                           (PROGN
-                                            (SPADLET |ISTMP#1|
-                                             (QCDR |x|))
-                                            (AND (CONSP |ISTMP#1|)
-                                             (PROGN
-                                               (SPADLET |op|
-                                                (QCAR |ISTMP#1|))
-                                               (SPADLET |ISTMP#2|
-                                                (QCDR |ISTMP#1|))
-                                               (AND (CONSP |ISTMP#2|)
-                                                (EQ (QCDR |ISTMP#2|)
-                                                 NIL)
+                                           (SETQ |op| (CAR |ISTMP#1|))
+                                           (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                                           (AND (CONSP |ISTMP#2|)
+                                                (EQ (CDR |ISTMP#2|) NIL)
                                                 (PROGN
-                                                  (SPADLET |sig|
-                                                   (QCAR |ISTMP#2|))
-                                                  'T))))))
-                                         (|concat| '|%l|
-                                          (|formatOpSignature| |op|
-                                           |sig|)))
-                                        ((AND (CONSP |x|)
-                                          (EQ (QCAR |x|) 'ATTRIBUTE)
+                                                 (SETQ |sig| (CAR |ISTMP#2|))
+                                                 #1#))))))
+                               (|concat| '|%l|
+                                (|formatOpSignature| |op| |sig|)))
+                              ((AND (CONSP |x|) (EQ (CAR |x|) 'ATTRIBUTE)
+                                    (PROGN
+                                     (SETQ |ISTMP#1| (CDR |x|))
+                                     (AND (CONSP |ISTMP#1|)
+                                          (EQ (CDR |ISTMP#1|) NIL)
                                           (PROGN
-                                            (SPADLET |ISTMP#1|
-                                             (QCDR |x|))
-                                            (AND (CONSP |ISTMP#1|)
-                                             (EQ (QCDR |ISTMP#1|) NIL)
-                                             (PROGN
-                                               (SPADLET |a|
-                                                (QCAR |ISTMP#1|))
-                                               'T))))
-                                         (|concat| '|%l|
-                                          (|formatAttribute| |a|)))
-                                        ('T |x|)))))))))))))))
-
-;formJoin2 argl ==
-;-- argl is a list of categories NOT containing a "with"
-;  null argl => '""
-;  1=#argl => form2StringLocal argl.0
-;  application2String('Join,[form2StringLocal x for x in argl], NIL)
-
+                                           (SETQ |a| (CAR |ISTMP#1|))
+                                           #1#))))
+                               (|concat| '|%l| (|formatAttribute| |a|)))
+                              (#1# |x|))))))
+           (SETQ |bfVar#52| (CDR |bfVar#52|))))
+        NIL |r| NIL))))))
+ 
+; formJoin2 argl ==
+; -- argl is a list of categories NOT containing a "with"
+;   null argl => '""
+;   1=#argl => form2StringLocal argl.0
+;   application2String('Join,[form2StringLocal x for x in argl], NIL)
+ 
 (DEFUN |formJoin2| (|argl|)
   (PROG ()
     (RETURN
-      (SEQ (COND
-             ((NULL |argl|) "")
-             ((EQL 1 (|#| |argl|)) (|form2StringLocal| (ELT |argl| 0)))
-             ('T
-              (|application2String| '|Join|
-                  (PROG (G167194)
-                    (SPADLET G167194 NIL)
-                    (RETURN
-                      (DO ((G167199 |argl| (CDR G167199))
-                           (|x| NIL))
-                          ((OR (ATOM G167199)
-                               (PROGN (SETQ |x| (CAR G167199)) NIL))
-                           (NREVERSE0 G167194))
-                        (SEQ (EXIT (SETQ G167194
-                                    (CONS (|form2StringLocal| |x|)
-                                     G167194)))))))
-                  NIL)))))))
-
-;formJoin2String (u:=[:argl,last]) ==
-;  last is ["CATEGORY",.,:atsigList] =>
-;    postString:= concat("_(",formTuple2String atsigList,"_)")
-;    #argl=1 => concat(first argl,'" with ",postString)
-;    concat(application2String('Join,argl, NIL)," with ",postString)
-;  application2String('Join,u, NIL)
-
+     (COND ((NULL |argl|) "")
+           ((EQL 1 (LENGTH |argl|)) (|form2StringLocal| (ELT |argl| 0)))
+           (#1='T
+            (|application2String| '|Join|
+             ((LAMBDA (|bfVar#55| |bfVar#54| |x|)
+                (LOOP
+                 (COND
+                  ((OR (ATOM |bfVar#54|)
+                       (PROGN (SETQ |x| (CAR |bfVar#54|)) NIL))
+                   (RETURN (NREVERSE |bfVar#55|)))
+                  (#1#
+                   (SETQ |bfVar#55|
+                           (CONS (|form2StringLocal| |x|) |bfVar#55|))))
+                 (SETQ |bfVar#54| (CDR |bfVar#54|))))
+              NIL |argl| NIL)
+             NIL))))))
+ 
+; formJoin2String (u:=[:argl,last]) ==
+;   last is ["CATEGORY",.,:atsigList] =>
+;     postString:= concat("_(",formTuple2String atsigList,"_)")
+;     #argl=1 => concat(first argl,'" with ",postString)
+;     concat(application2String('Join,argl, NIL)," with ",postString)
+;   application2String('Join,u, NIL)
+ 
 (DEFUN |formJoin2String| (|u|)
   (PROG (|LETTMP#1| |last| |argl| |ISTMP#1| |atsigList| |postString|)
     (RETURN
-      (PROGN
-        (SPADLET |LETTMP#1| (REVERSE |u|))
-        (SPADLET |last| (CAR |LETTMP#1|))
-        (SPADLET |argl| (NREVERSE (CDR |LETTMP#1|)))
-        (COND
-          ((AND (CONSP |last|) (EQ (QCAR |last|) 'CATEGORY)
-                (PROGN
-                  (SPADLET |ISTMP#1| (QCDR |last|))
-                  (AND (CONSP |ISTMP#1|)
-                       (PROGN
-                         (SPADLET |atsigList| (QCDR |ISTMP#1|))
-                         'T))))
-           (SPADLET |postString|
-                    (|concat| '|(| (|formTuple2String| |atsigList|)
-                        '|)|))
-           (COND
-             ((EQL (|#| |argl|) 1)
-              (|concat| (CAR |argl|) " with "
-                  |postString|))
-             ('T
-              (|concat| (|application2String| '|Join| |argl| NIL)
-                  '| with | |postString|))))
-          ('T (|application2String| '|Join| |u| NIL)))))))
-
-;formCollect2String [:itl,body] ==
-;  ["_(",body,:"append"/[formIterator2String x for x in itl],"_)"]
-
-(DEFUN |formCollect2String| (G167238)
+     (PROGN
+      (SETQ |LETTMP#1| (REVERSE |u|))
+      (SETQ |last| (CAR |LETTMP#1|))
+      (SETQ |argl| (NREVERSE (CDR |LETTMP#1|)))
+      (COND
+       ((AND (CONSP |last|) (EQ (CAR |last|) 'CATEGORY)
+             (PROGN
+              (SETQ |ISTMP#1| (CDR |last|))
+              (AND (CONSP |ISTMP#1|)
+                   (PROGN (SETQ |atsigList| (CDR |ISTMP#1|)) #1='T))))
+        (PROGN
+         (SETQ |postString|
+                 (|concat| '|(| (|formTuple2String| |atsigList|) '|)|))
+         (COND
+          ((EQL (LENGTH |argl|) 1)
+           (|concat| (CAR |argl|) " with " |postString|))
+          (#1#
+           (|concat| (|application2String| '|Join| |argl| NIL) '| with |
+            |postString|)))))
+       (#1# (|application2String| '|Join| |u| NIL)))))))
+ 
+; formCollect2String [:itl,body] ==
+;   ["_(",body,:"append"/[formIterator2String x for x in itl],"_)"]
+ 
+(DEFUN |formCollect2String| (|bfVar#58|)
   (PROG (|LETTMP#1| |body| |itl|)
     (RETURN
-      (SEQ (PROGN
-             (SPADLET |LETTMP#1| (REVERSE G167238))
-             (SPADLET |body| (CAR |LETTMP#1|))
-             (SPADLET |itl| (NREVERSE (CDR |LETTMP#1|)))
-             (CONS '|(|
-                   (CONS |body|
-                         (APPEND (PROG (G167249)
-                                   (SPADLET G167249 NIL)
-                                   (RETURN
-                                     (DO
-                                      ((G167254 |itl|
-                                        (CDR G167254))
-                                       (|x| NIL))
-                                      ((OR (ATOM G167254)
-                                        (PROGN
-                                          (SETQ |x| (CAR G167254))
-                                          NIL))
-                                       G167249)
-                                       (SEQ
-                                        (EXIT
-                                         (SETQ G167249
-                                          (APPEND G167249
-                                           (|formIterator2String| |x|))))))))
-                                 (CONS '|)| NIL)))))))))
-
-;formIterator2String x ==
-;  x is ["STEP",y,s,.,:l] =>
-;    tail:= (l is [f] => form2StringLocal f; nil)
-;    concat("for ",y," in ",s,'"..",tail)
-;  x is ["tails",y] => concat("tails ",formatIterator y)
-;  x is ["reverse",y] => concat("reverse ",formatIterator y)
-;  x is ["|",y,p] => concat(formatIterator y," | ",form2StringLocal p)
-;  x is ["until",p] => concat("until ",form2StringLocal p)
-;  x is ["while",p] => concat("while ",form2StringLocal p)
-;  systemErrorHere "formatIterator"
-
+     (PROGN
+      (SETQ |LETTMP#1| (REVERSE |bfVar#58|))
+      (SETQ |body| (CAR |LETTMP#1|))
+      (SETQ |itl| (NREVERSE (CDR |LETTMP#1|)))
+      (CONS '|(|
+            (CONS |body|
+                  (APPEND
+                   ((LAMBDA (|bfVar#57| |bfVar#56| |x|)
+                      (LOOP
+                       (COND
+                        ((OR (ATOM |bfVar#56|)
+                             (PROGN (SETQ |x| (CAR |bfVar#56|)) NIL))
+                         (RETURN |bfVar#57|))
+                        ('T
+                         (SETQ |bfVar#57|
+                                 (APPEND |bfVar#57|
+                                         (|formIterator2String| |x|)))))
+                       (SETQ |bfVar#56| (CDR |bfVar#56|))))
+                    NIL |itl| NIL)
+                   (CONS '|)| NIL))))))))
+ 
+; formIterator2String x ==
+;   x is ["STEP",y,s,.,:l] =>
+;     tail:= (l is [f] => form2StringLocal f; nil)
+;     concat("for ",y," in ",s,'"..",tail)
+;   x is ["tails",y] => concat("tails ",formatIterator y)
+;   x is ["reverse",y] => concat("reverse ",formatIterator y)
+;   x is ["|",y,p] => concat(formatIterator y," | ",form2StringLocal p)
+;   x is ["until",p] => concat("until ",form2StringLocal p)
+;   x is ["while",p] => concat("while ",form2StringLocal p)
+;   systemErrorHere "formatIterator"
+ 
 (DEFUN |formIterator2String| (|x|)
-  (PROG (|s| |ISTMP#3| |l| |f| |tail| |y| |ISTMP#2| |ISTMP#1| |p|)
+  (PROG (|ISTMP#1| |y| |ISTMP#2| |s| |ISTMP#3| |l| |f| |tail| |p|)
     (RETURN
-      (COND
-        ((AND (CONSP |x|) (EQ (QCAR |x|) 'STEP)
-              (PROGN
-                (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (CONSP |ISTMP#1|)
-                     (PROGN
-                       (SPADLET |y| (QCAR |ISTMP#1|))
-                       (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (CONSP |ISTMP#2|)
-                            (PROGN
-                              (SPADLET |s| (QCAR |ISTMP#2|))
-                              (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (CONSP |ISTMP#3|)
-                                   (PROGN
-                                     (SPADLET |l| (QCDR |ISTMP#3|))
-                                     'T))))))))
-         (SPADLET |tail|
-                  (COND
-                    ((AND (CONSP |l|) (EQ (QCDR |l|) NIL)
-                          (PROGN (SPADLET |f| (QCAR |l|)) 'T))
-                     (|form2StringLocal| |f|))
-                    ('T NIL)))
-         (|concat| '|for | |y| '| in | |s| ".." |tail|))
-        ((AND (CONSP |x|) (EQ (QCAR |x|) '|tails|)
-              (PROGN
-                (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                     (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
-         (|concat| '|tails | (|formatIterator| |y|)))
-        ((AND (CONSP |x|) (EQ (QCAR |x|) '|reverse|)
-              (PROGN
-                (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                     (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
-         (|concat| '|reverse | (|formatIterator| |y|)))
-        ((AND (CONSP |x|) (EQ (QCAR |x|) '|\||)
-              (PROGN
-                (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (CONSP |ISTMP#1|)
-                     (PROGN
-                       (SPADLET |y| (QCAR |ISTMP#1|))
-                       (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
-                            (PROGN (SPADLET |p| (QCAR |ISTMP#2|)) 'T))))))
-         (|concat| (|formatIterator| |y|) '| \| |
-             (|form2StringLocal| |p|)))
-        ((AND (CONSP |x|) (EQ (QCAR |x|) '|until|)
-              (PROGN
-                (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                     (PROGN (SPADLET |p| (QCAR |ISTMP#1|)) 'T))))
-         (|concat| '|until | (|form2StringLocal| |p|)))
-        ((AND (CONSP |x|) (EQ (QCAR |x|) '|while|)
-              (PROGN
-                (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                     (PROGN (SPADLET |p| (QCAR |ISTMP#1|)) 'T))))
-         (|concat| '|while | (|form2StringLocal| |p|)))
-        ('T (|systemErrorHere| '|formatIterator|))))))
-
-;tuple2String argl ==
-;  null argl => nil
-;  string := first argl
-;  if string in '("failed" "nil" "prime" "sqfr" "irred")
-;    then string := STRCONC('"_"",string,'"_"")
-;    else string :=
-;      ATOM string => object2String string
-;      [f x for x in string] where
-;        f x ==
-;          ATOM x => object2String x
-;          -- [f CAR x,:f CDR x]
-;          [f y for y in x]
-;  for x in rest argl repeat
-;    if x in '("failed" "nil" "prime" "sqfr" "irred") then
-;      x := STRCONC('"_"",x,'"_"")
-;    string:= concat(string,concat(",",f x))
-;  string
-
-(DEFUN |tuple2String,f| (|x|)
-  (PROG ()
-    (RETURN
-      (SEQ (IF (ATOM |x|) (EXIT (|object2String| |x|)))
-           (EXIT (PROG (G167364)
-                   (SPADLET G167364 NIL)
-                   (RETURN
-                     (DO ((G167369 |x| (CDR G167369)) (|y| NIL))
-                         ((OR (ATOM G167369)
-                              (PROGN (SETQ |y| (CAR G167369)) NIL))
-                          (NREVERSE0 G167364))
-                       (SEQ (EXIT (SETQ G167364
-                                        (CONS (|tuple2String,f| |y|)
-                                         G167364))))))))))))
-
-(DEFUN |tuple2String| (|argl|)
+     (COND
+      ((AND (CONSP |x|) (EQ (CAR |x|) 'STEP)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |y| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|)
+                        (PROGN
+                         (SETQ |s| (CAR |ISTMP#2|))
+                         (SETQ |ISTMP#3| (CDR |ISTMP#2|))
+                         (AND (CONSP |ISTMP#3|)
+                              (PROGN (SETQ |l| (CDR |ISTMP#3|)) #1='T))))))))
+       (PROGN
+        (SETQ |tail|
+                (COND
+                 ((AND (CONSP |l|) (EQ (CDR |l|) NIL)
+                       (PROGN (SETQ |f| (CAR |l|)) #1#))
+                  (|form2StringLocal| |f|))
+                 (#1# NIL)))
+        (|concat| '|for | |y| '| in | |s| ".." |tail|)))
+      ((AND (CONSP |x|) (EQ (CAR |x|) '|tails|)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                  (PROGN (SETQ |y| (CAR |ISTMP#1|)) #1#))))
+       (|concat| '|tails | (|formatIterator| |y|)))
+      ((AND (CONSP |x|) (EQ (CAR |x|) '|reverse|)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                  (PROGN (SETQ |y| (CAR |ISTMP#1|)) #1#))))
+       (|concat| '|reverse | (|formatIterator| |y|)))
+      ((AND (CONSP |x|) (EQ (CAR |x|) '|\||)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |y| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |p| (CAR |ISTMP#2|)) #1#))))))
+       (|concat| (|formatIterator| |y|) '| \| | (|form2StringLocal| |p|)))
+      ((AND (CONSP |x|) (EQ (CAR |x|) '|until|)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                  (PROGN (SETQ |p| (CAR |ISTMP#1|)) #1#))))
+       (|concat| '|until | (|form2StringLocal| |p|)))
+      ((AND (CONSP |x|) (EQ (CAR |x|) '|while|)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                  (PROGN (SETQ |p| (CAR |ISTMP#1|)) #1#))))
+       (|concat| '|while | (|form2StringLocal| |p|)))
+      (#1# (|systemErrorHere| '|formatIterator|))))))
+ 
+; tuple2String argl ==
+;   fn1 argl where
+;     fn1 argl ==
+;         null argl => nil
+;         string := first argl
+;         if member(string, '("failed" "nil" "prime" "sqfr" "irred"))
+;             then string := STRCONC('"_"", string, '"_"")
+;             else string :=
+;                 ATOM string => object2String string
+;                 [fn2 x for x in string]
+;         for x in rest argl repeat
+;             if member(x, '("failed" "nil" "prime" "sqfr" "irred")) then
+;                 x := STRCONC('"_"", x, '"_"")
+;             string := concat(string, concat(",", fn2 x))
+;         string
+;     fn2 x ==
+;       ATOM x => object2String x
+;       -- [fn2 CAR x, :f CDR x]
+;       [fn2 y for y in x]
+ 
+(DEFUN |tuple2String| (|argl|) (PROG () (RETURN (|tuple2String,fn1| |argl|))))
+(DEFUN |tuple2String,fn1| (|argl|)
   (PROG (|string|)
     (RETURN
-      (SEQ (COND
-             ((NULL |argl|) NIL)
-             ('T (SPADLET |string| (CAR |argl|))
-              (COND
-                ((|member| |string|
-                     '("failed" "nil" "prime" "sqfr" "irred"))
-                 (SPADLET |string| (STRCONC "\"" |string| "\"")))
-                ('T
-                 (SPADLET |string|
-                          (COND
-                            ((ATOM |string|)
-                             (|object2String| |string|))
-                            ('T
-                             (PROG (G167387)
-                               (SPADLET G167387 NIL)
-                               (RETURN
-                                 (DO ((G167392 |string|
-                                       (CDR G167392))
-                                      (|x| NIL))
-                                     ((OR (ATOM G167392)
-                                       (PROGN
-                                         (SETQ |x| (CAR G167392))
+     (COND ((NULL |argl|) NIL)
+           (#1='T
+            (PROGN
+             (SETQ |string| (CAR |argl|))
+             (COND
+              ((|member| |string| '("failed" "nil" "prime" "sqfr" "irred"))
+               (SETQ |string| (STRCONC "\"" |string| "\"")))
+              (#1#
+               (SETQ |string|
+                       (COND ((ATOM |string|) (|object2String| |string|))
+                             (#1#
+                              ((LAMBDA (|bfVar#60| |bfVar#59| |x|)
+                                 (LOOP
+                                  (COND
+                                   ((OR (ATOM |bfVar#59|)
+                                        (PROGN
+                                         (SETQ |x| (CAR |bfVar#59|))
                                          NIL))
-                                      (NREVERSE0 G167387))
-                                   (SEQ
-                                    (EXIT
-                                     (SETQ G167387
-                                      (CONS (|tuple2String,f| |x|)
-                                       G167387))))))))))))
-              (DO ((G167403 (CDR |argl|) (CDR G167403)) (|x| NIL))
-                  ((OR (ATOM G167403)
-                       (PROGN (SETQ |x| (CAR G167403)) NIL))
-                   NIL)
-                (SEQ (EXIT (PROGN
-                             (COND
-                               ((|member| |x|
-                                    '("failed" "nil" "prime" "sqfr"
-                                      "irred"))
-                                (SPADLET |x|
-                                         (STRCONC "\"" |x|
-                                          "\""))))
-                             (SPADLET |string|
-                                      (|concat| |string|
-                                       (|concat| '|,|
-                                        (|tuple2String,f| |x|))))))))
-              |string|))))))
-
-;script2String s ==
-;  null s => '""   -- just to be safe
-;  if not CONSP s then s := [s]
-;  linearFormatForm(CAR s, CDR s)
-
+                                    (RETURN (NREVERSE |bfVar#60|)))
+                                   (#1#
+                                    (SETQ |bfVar#60|
+                                            (CONS (|tuple2String,fn2| |x|)
+                                                  |bfVar#60|))))
+                                  (SETQ |bfVar#59| (CDR |bfVar#59|))))
+                               NIL |string| NIL))))))
+             ((LAMBDA (|bfVar#61| |x|)
+                (LOOP
+                 (COND
+                  ((OR (ATOM |bfVar#61|)
+                       (PROGN (SETQ |x| (CAR |bfVar#61|)) NIL))
+                   (RETURN NIL))
+                  (#1#
+                   (PROGN
+                    (COND
+                     ((|member| |x| '("failed" "nil" "prime" "sqfr" "irred"))
+                      (SETQ |x| (STRCONC "\"" |x| "\""))))
+                    (SETQ |string|
+                            (|concat| |string|
+                             (|concat| '|,| (|tuple2String,fn2| |x|)))))))
+                 (SETQ |bfVar#61| (CDR |bfVar#61|))))
+              (CDR |argl|) NIL)
+             |string|))))))
+(DEFUN |tuple2String,fn2| (|x|)
+  (PROG ()
+    (RETURN
+     (COND ((ATOM |x|) (|object2String| |x|))
+           (#1='T
+            ((LAMBDA (|bfVar#63| |bfVar#62| |y|)
+               (LOOP
+                (COND
+                 ((OR (ATOM |bfVar#62|)
+                      (PROGN (SETQ |y| (CAR |bfVar#62|)) NIL))
+                  (RETURN (NREVERSE |bfVar#63|)))
+                 (#1#
+                  (SETQ |bfVar#63|
+                          (CONS (|tuple2String,fn2| |y|) |bfVar#63|))))
+                (SETQ |bfVar#62| (CDR |bfVar#62|))))
+             NIL |x| NIL))))))
+ 
+; script2String s ==
+;   null s => '""   -- just to be safe
+;   if not PAIRP s then s := [s]
+;   linearFormatForm(CAR s, CDR s)
+ 
 (DEFUN |script2String| (|s|)
-  (COND
-    ((NULL |s|) "")
-    ('T (COND ((NULL (CONSP |s|)) (SPADLET |s| (CONS |s| NIL))))
-     (|linearFormatForm| (CAR |s|) (CDR |s|)))))
-
-;linearFormatName x ==
-;  atom x => x
-;  linearFormat x
-
+  (PROG ()
+    (RETURN
+     (COND ((NULL |s|) "")
+           ('T
+            (PROGN
+             (COND ((NULL (CONSP |s|)) (SETQ |s| (LIST |s|))))
+             (|linearFormatForm| (CAR |s|) (CDR |s|))))))))
+ 
+; linearFormatName x ==
+;   atom x => x
+;   linearFormat x
+ 
 (DEFUN |linearFormatName| (|x|)
-  (COND ((ATOM |x|) |x|) ('T (|linearFormat| |x|))))
-
-;linearFormat x ==
-;  atom x => x
-;  x is [op,:argl] and atom op =>
-;    argPart:=
-;      argl is [a,:l] => [a,:"append"/[[",",x] for x in l]]
-;      nil
-;    [op,"(",:argPart,")"]
-;  [linearFormat y for y in x]
-
+  (PROG () (RETURN (COND ((ATOM |x|) |x|) ('T (|linearFormat| |x|))))))
+ 
+; linearFormat x ==
+;   atom x => x
+;   x is [op,:argl] and atom op =>
+;     argPart:=
+;       argl is [a,:l] => [a,:"append"/[[",",x] for x in l]]
+;       nil
+;     [op,"(",:argPart,")"]
+;   [linearFormat y for y in x]
+ 
 (DEFUN |linearFormat| (|x|)
   (PROG (|op| |argl| |a| |l| |argPart|)
     (RETURN
-      (SEQ (COND
-             ((ATOM |x|) |x|)
-             ((AND (CONSP |x|)
-                   (PROGN
-                     (SPADLET |op| (QCAR |x|))
-                     (SPADLET |argl| (QCDR |x|))
-                     'T)
-                   (ATOM |op|))
-              (SPADLET |argPart|
-                       (COND
-                         ((AND (CONSP |argl|)
-                               (PROGN
-                                 (SPADLET |a| (QCAR |argl|))
-                                 (SPADLET |l| (QCDR |argl|))
-                                 'T))
-                          (CONS |a|
-                                (PROG (G167436)
-                                  (SPADLET G167436 NIL)
-                                  (RETURN
-                                    (DO
-                                     ((G167441 |l| (CDR G167441))
-                                      (|x| NIL))
-                                     ((OR (ATOM G167441)
-                                       (PROGN
-                                         (SETQ |x| (CAR G167441))
-                                         NIL))
-                                      G167436)
-                                      (SEQ
-                                       (EXIT
-                                        (SETQ G167436
-                                         (APPEND G167436
-                                          (CONS '|,| (CONS |x| NIL)))))))))))
-                         ('T NIL)))
-              (CONS |op|
-                    (CONS '|(| (APPEND |argPart| (CONS '|)| NIL)))))
-             ('T
-              (PROG (G167451)
-                (SPADLET G167451 NIL)
-                (RETURN
-                  (DO ((G167456 |x| (CDR G167456)) (|y| NIL))
-                      ((OR (ATOM G167456)
-                           (PROGN (SETQ |y| (CAR G167456)) NIL))
-                       (NREVERSE0 G167451))
-                    (SEQ (EXIT (SETQ G167451
-                                     (CONS (|linearFormat| |y|)
-                                      G167451)))))))))))))
-
-;numOfSpadArguments id ==
-;  char("*") = (s:= PNAME id).0 =>
-;      +/[n for i in 1.. while INTEGERP (n:=PARSE_-INTEGER PNAME s.i)]
-;  keyedSystemError("S2IF0012",[id])
-
+     (COND ((ATOM |x|) |x|)
+           ((AND (CONSP |x|)
+                 (PROGN (SETQ |op| (CAR |x|)) (SETQ |argl| (CDR |x|)) #1='T)
+                 (ATOM |op|))
+            (PROGN
+             (SETQ |argPart|
+                     (COND
+                      ((AND (CONSP |argl|)
+                            (PROGN
+                             (SETQ |a| (CAR |argl|))
+                             (SETQ |l| (CDR |argl|))
+                             #1#))
+                       (CONS |a|
+                             ((LAMBDA (|bfVar#65| |bfVar#64| |x|)
+                                (LOOP
+                                 (COND
+                                  ((OR (ATOM |bfVar#64|)
+                                       (PROGN (SETQ |x| (CAR |bfVar#64|)) NIL))
+                                   (RETURN |bfVar#65|))
+                                  (#1#
+                                   (SETQ |bfVar#65|
+                                           (APPEND |bfVar#65|
+                                                   (LIST '|,| |x|)))))
+                                 (SETQ |bfVar#64| (CDR |bfVar#64|))))
+                              NIL |l| NIL)))
+                      (#1# NIL)))
+             (CONS |op| (CONS '|(| (APPEND |argPart| (CONS '|)| NIL))))))
+           (#1#
+            ((LAMBDA (|bfVar#67| |bfVar#66| |y|)
+               (LOOP
+                (COND
+                 ((OR (ATOM |bfVar#66|)
+                      (PROGN (SETQ |y| (CAR |bfVar#66|)) NIL))
+                  (RETURN (NREVERSE |bfVar#67|)))
+                 (#1#
+                  (SETQ |bfVar#67| (CONS (|linearFormat| |y|) |bfVar#67|))))
+                (SETQ |bfVar#66| (CDR |bfVar#66|))))
+             NIL |x| NIL))))))
+ 
+; numOfSpadArguments id ==
+;   char("*") = (s:= PNAME id).0 =>
+;       +/[n for i in 1.. while INTEGERP (n:=PARSE_-INTEGER PNAME s.i)]
+;   keyedSystemError("S2IF0012",[id])
+ 
 (DEFUN |numOfSpadArguments| (|id|)
   (PROG (|s| |n|)
     (RETURN
-      (SEQ (COND
-             ((BOOT-EQUAL (|char| '*)
-                  (ELT (SPADLET |s| (PNAME |id|)) 0))
-              (PROG (G167473)
-                (SPADLET G167473 0)
-                (RETURN
-                  (DO ((|i| 1 (QSADD1 |i|)))
-                      ((NULL (INTEGERP
-                                 (SPADLET |n|
-                                          (PARSE-INTEGER
-                                           (PNAME (ELT |s| |i|))))))
-                       G167473)
-                    (SEQ (EXIT (SETQ G167473 (PLUS G167473 |n|))))))))
-             ('T (|keyedSystemError| 'S2IF0012 (CONS |id| NIL))))))))
-
-;linearFormatForm(op,argl) ==
-;  s:= PNAME op
-;  indexList:= [PARSE_-INTEGER PNAME d for i in 1.. while
-;    (DIGITP (d:= s.(maxIndex:= i)))]
-;  cleanOp:= INTERN ("STRCONC"/[PNAME s.i for i in maxIndex..MAXINDEX s])
-;  fnArgs:=
-;    indexList.0 > 0 =>
-;      concat('"(",formatArgList take(-indexList.0,argl),'")")
-;    nil
-;  if #indexList > 1 then
-;    scriptArgs:= formatArgList take(indexList.1,argl)
-;    argl := drop(indexList.1,argl)
-;    for i in rest rest indexList repeat
-;      subArglist:= take(i,argl)
-;      argl:= drop(i,argl)
-;      scriptArgs:= concat(scriptArgs,";",formatArgList subArglist)
-;  scriptArgs:=
-;    scriptArgs => concat(specialChar 'lbrk,scriptArgs, specialChar 'rbrk)
-;    nil
-;  l := [(STRINGP f => f; STRINGIMAGE f) for f in
-;       concat(cleanOp,scriptArgs,fnArgs)]
-;  "STRCONC"/l
-
+     (COND
+      ((EQUAL (|char| '*) (ELT (SETQ |s| (PNAME |id|)) 0))
+       ((LAMBDA (|bfVar#68| |i|)
+          (LOOP
+           (COND
+            ((NOT (INTEGERP (SETQ |n| (PARSE-INTEGER (PNAME (ELT |s| |i|))))))
+             (RETURN |bfVar#68|))
+            (#1='T (SETQ |bfVar#68| (+ |bfVar#68| |n|))))
+           (SETQ |i| (+ |i| 1))))
+        0 1))
+      (#1# (|keyedSystemError| 'S2IF0012 (LIST |id|)))))))
+ 
+; linearFormatForm(op,argl) ==
+;   s:= PNAME op
+;   indexList:= [PARSE_-INTEGER PNAME d for i in 1.. while
+;     (DIGITP (d:= s.(maxIndex:= i)))]
+;   cleanOp:= INTERN ("STRCONC"/[PNAME s.i for i in maxIndex..MAXINDEX s])
+;   fnArgs:=
+;     indexList.0 > 0 =>
+;       concat('"(",formatArgList take(-indexList.0,argl),'")")
+;     nil
+;   if #indexList > 1 then
+;     scriptArgs:= formatArgList take(indexList.1,argl)
+;     argl := DROP(indexList.1,argl)
+;     for i in rest rest indexList repeat
+;       subArglist:= take(i,argl)
+;       argl:= DROP(i,argl)
+;       scriptArgs:= concat(scriptArgs,";",formatArgList subArglist)
+;   scriptArgs:=
+;     scriptArgs => concat(specialChar 'lbrk,scriptArgs, specialChar 'rbrk)
+;     nil
+;   l := [(STRINGP f => f; STRINGIMAGE f) for f in
+;        concat(cleanOp,scriptArgs,fnArgs)]
+;   "STRCONC"/l
+ 
 (DEFUN |linearFormatForm| (|op| |argl|)
-  (PROG (|s| |maxIndex| |d| |indexList| |cleanOp| |fnArgs| |subArglist|
-             |scriptArgs| |l|)
-    (RETURN
-      (SEQ (PROGN
-             (SPADLET |s| (PNAME |op|))
-             (SPADLET |indexList|
-                      (PROG (G167500)
-                        (SPADLET G167500 NIL)
-                        (RETURN
-                          (DO ((|i| 1 (QSADD1 |i|)))
-                              ((NULL (DIGITP
-                                      (SPADLET |d|
-                                       (ELT |s|
-                                        (SPADLET |maxIndex| |i|)))))
-                               (NREVERSE0 G167500))
-                            (SEQ (EXIT (SETQ G167500
-                                        (CONS
-                                         (PARSE-INTEGER (PNAME |d|))
-                                         G167500))))))))
-             (SPADLET |cleanOp|
-                      (INTERN (PROG (G167509)
-                                (SPADLET G167509 "")
-                                (RETURN
-                                  (DO ((G167514 (MAXINDEX |s|))
-                                       (|i| |maxIndex| (+ |i| 1)))
-                                      ((> |i| G167514) G167509)
-                                    (SEQ
-                                     (EXIT
-                                      (SETQ G167509
-                                       (STRCONC G167509
-                                        (PNAME (ELT |s| |i|)))))))))))
-             (SPADLET |fnArgs|
-                      (COND
-                        ((> (ELT |indexList| 0) 0)
-                         (|concat| "("
-                             (|formatArgList|
-                                 (TAKE (SPADDIFFERENCE
-                                        (ELT |indexList| 0))
-                                       |argl|))
-                             ")"))
-                        ('T NIL)))
-             (COND
-               ((> (|#| |indexList|) 1)
-                (SPADLET |scriptArgs|
-                         (|formatArgList|
-                             (TAKE (ELT |indexList| 1) |argl|)))
-                (SPADLET |argl| (DROP (ELT |indexList| 1) |argl|))
-                (DO ((G167524 (CDR (CDR |indexList|))
-                         (CDR G167524))
-                     (|i| NIL))
-                    ((OR (ATOM G167524)
-                         (PROGN (SETQ |i| (CAR G167524)) NIL))
-                     NIL)
-                  (SEQ (EXIT (PROGN
-                               (SPADLET |subArglist| (TAKE |i| |argl|))
-                               (SPADLET |argl| (DROP |i| |argl|))
-                               (SPADLET |scriptArgs|
-                                        (|concat| |scriptArgs| '|;|
-                                         (|formatArgList| |subArglist|)))))))))
-             (SPADLET |scriptArgs|
-                      (COND
-                        (|scriptArgs|
-                            (|concat| (|specialChar| '|lbrk|)
-                                |scriptArgs| (|specialChar| '|rbrk|)))
-                        ('T NIL)))
-             (SPADLET |l|
-                      (PROG (G167534)
-                        (SPADLET G167534 NIL)
-                        (RETURN
-                          (DO ((G167539
-                                   (|concat| |cleanOp| |scriptArgs|
-                                    |fnArgs|)
-                                   (CDR G167539))
-                               (|f| NIL))
-                              ((OR (ATOM G167539)
-                                   (PROGN
-                                     (SETQ |f| (CAR G167539))
-                                     NIL))
-                               (NREVERSE0 G167534))
-                            (SEQ (EXIT (SETQ G167534
-                                        (CONS
-                                         (COND
-                                           ((STRINGP |f|) |f|)
-                                           ('T (STRINGIMAGE |f|)))
-                                         G167534))))))))
-             (PROG (G167545)
-               (SPADLET G167545 "")
-               (RETURN
-                 (DO ((G167550 |l| (CDR G167550)) (G167488 NIL))
-                     ((OR (ATOM G167550)
-                          (PROGN (SETQ G167488 (CAR G167550)) NIL))
-                      G167545)
-                   (SEQ (EXIT (SETQ G167545
-                                    (STRCONC G167545 G167488))))))))))))
-
-;formatArgList l ==
-;  null l => nil
-;  acc:= linearFormat first l
-;  for x in rest l repeat
-;    acc:= concat(acc,",",linearFormat x)
-;  acc
-
+  (PROG (|s| |maxIndex| |d| |indexList| |cleanOp| |fnArgs| |scriptArgs|
+         |subArglist| |l|)
+    (RETURN
+     (PROGN
+      (SETQ |s| (PNAME |op|))
+      (SETQ |indexList|
+              ((LAMBDA (|bfVar#69| |i|)
+                 (LOOP
+                  (COND
+                   ((NOT (DIGITP (SETQ |d| (ELT |s| (SETQ |maxIndex| |i|)))))
+                    (RETURN (NREVERSE |bfVar#69|)))
+                   (#1='T
+                    (SETQ |bfVar#69|
+                            (CONS (PARSE-INTEGER (PNAME |d|)) |bfVar#69|))))
+                  (SETQ |i| (+ |i| 1))))
+               NIL 1))
+      (SETQ |cleanOp|
+              (INTERN
+               ((LAMBDA (|bfVar#71| |bfVar#70| |i|)
+                  (LOOP
+                   (COND ((> |i| |bfVar#70|) (RETURN |bfVar#71|))
+                         (#1#
+                          (SETQ |bfVar#71|
+                                  (STRCONC |bfVar#71| (PNAME (ELT |s| |i|))))))
+                   (SETQ |i| (+ |i| 1))))
+                #2="" (MAXINDEX |s|) |maxIndex|)))
+      (SETQ |fnArgs|
+              (COND
+               ((< 0 (ELT |indexList| 0))
+                (|concat| "("
+                 (|formatArgList| (TAKE (- (ELT |indexList| 0)) |argl|)) ")"))
+               (#1# NIL)))
+      (COND
+       ((< 1 (LENGTH |indexList|))
+        (SETQ |scriptArgs| (|formatArgList| (TAKE (ELT |indexList| 1) |argl|)))
+        (SETQ |argl| (DROP (ELT |indexList| 1) |argl|))
+        ((LAMBDA (|bfVar#72| |i|)
+           (LOOP
+            (COND
+             ((OR (ATOM |bfVar#72|) (PROGN (SETQ |i| (CAR |bfVar#72|)) NIL))
+              (RETURN NIL))
+             (#1#
+              (PROGN
+               (SETQ |subArglist| (TAKE |i| |argl|))
+               (SETQ |argl| (DROP |i| |argl|))
+               (SETQ |scriptArgs|
+                       (|concat| |scriptArgs| '|;|
+                        (|formatArgList| |subArglist|))))))
+            (SETQ |bfVar#72| (CDR |bfVar#72|))))
+         (CDR (CDR |indexList|)) NIL)))
+      (SETQ |scriptArgs|
+              (COND
+               (|scriptArgs|
+                (|concat| (|specialChar| '|lbrk|) |scriptArgs|
+                 (|specialChar| '|rbrk|)))
+               (#1# NIL)))
+      (SETQ |l|
+              ((LAMBDA (|bfVar#74| |bfVar#73| |f|)
+                 (LOOP
+                  (COND
+                   ((OR (ATOM |bfVar#73|)
+                        (PROGN (SETQ |f| (CAR |bfVar#73|)) NIL))
+                    (RETURN (NREVERSE |bfVar#74|)))
+                   (#1#
+                    (SETQ |bfVar#74|
+                            (CONS
+                             (COND ((STRINGP |f|) |f|) (#1# (STRINGIMAGE |f|)))
+                             |bfVar#74|))))
+                  (SETQ |bfVar#73| (CDR |bfVar#73|))))
+               NIL (|concat| |cleanOp| |scriptArgs| |fnArgs|) NIL))
+      ((LAMBDA (|bfVar#75| |bfVar#77| |bfVar#76|)
+         (LOOP
+          (COND
+           ((OR (ATOM |bfVar#77|)
+                (PROGN (SETQ |bfVar#76| (CAR |bfVar#77|)) NIL))
+            (RETURN |bfVar#75|))
+           (#1# (SETQ |bfVar#75| (STRCONC |bfVar#75| |bfVar#76|))))
+          (SETQ |bfVar#77| (CDR |bfVar#77|))))
+       #2# |l| NIL)))))
+ 
+; formatArgList l ==
+;   null l => nil
+;   acc:= linearFormat first l
+;   for x in rest l repeat
+;     acc:= concat(acc,",",linearFormat x)
+;   acc
+ 
 (DEFUN |formatArgList| (|l|)
   (PROG (|acc|)
     (RETURN
-      (SEQ (COND
-             ((NULL |l|) NIL)
-             ('T (SPADLET |acc| (|linearFormat| (CAR |l|)))
-              (DO ((G167580 (CDR |l|) (CDR G167580)) (|x| NIL))
-                  ((OR (ATOM G167580)
-                       (PROGN (SETQ |x| (CAR G167580)) NIL))
-                   NIL)
-                (SEQ (EXIT (SPADLET |acc|
-                                    (|concat| |acc| '|,|
-                                     (|linearFormat| |x|))))))
-              |acc|))))))
-
-;formTuple2String argl ==
-;  null argl => nil
-;  string:= form2StringLocal first argl
-;  for x in rest argl repeat
-;    string:= concat(string,concat(",",form2StringLocal x))
-;  string
-
+     (COND ((NULL |l|) NIL)
+           (#1='T
+            (PROGN
+             (SETQ |acc| (|linearFormat| (CAR |l|)))
+             ((LAMBDA (|bfVar#78| |x|)
+                (LOOP
+                 (COND
+                  ((OR (ATOM |bfVar#78|)
+                       (PROGN (SETQ |x| (CAR |bfVar#78|)) NIL))
+                   (RETURN NIL))
+                  (#1#
+                   (SETQ |acc| (|concat| |acc| '|,| (|linearFormat| |x|)))))
+                 (SETQ |bfVar#78| (CDR |bfVar#78|))))
+              (CDR |l|) NIL)
+             |acc|))))))
+ 
+; formTuple2String argl ==
+;   null argl => nil
+;   string:= form2StringLocal first argl
+;   for x in rest argl repeat
+;     string:= concat(string,concat(",",form2StringLocal x))
+;   string
+ 
 (DEFUN |formTuple2String| (|argl|)
   (PROG (|string|)
     (RETURN
-      (SEQ (COND
-             ((NULL |argl|) NIL)
-             ('T (SPADLET |string| (|form2StringLocal| (CAR |argl|)))
-              (DO ((G167595 (CDR |argl|) (CDR G167595)) (|x| NIL))
-                  ((OR (ATOM G167595)
-                       (PROGN (SETQ |x| (CAR G167595)) NIL))
-                   NIL)
-                (SEQ (EXIT (SPADLET |string|
-                                    (|concat| |string|
-                                     (|concat| '|,|
-                                      (|form2StringLocal| |x|)))))))
-              |string|))))))
-
-;isInternalFunctionName(op) ==
-;  (not IDENTP(op)) or (op = "*") or (op = "**") => NIL
-;  (1 = SIZE(op':= PNAME op)) or (char("*") ^= op'.0) => NIL
-;  -- if there is a semicolon in the name then it is the name of
-;  -- a compiled spad function
-;  null (e := STRPOS('"_;",op',1,NIL)) => NIL
-;  (char(" ") = (y := op'.1)) or (char("*") = y) => NIL
-;  table := MAKETRTTABLE('"0123456789",NIL)
-;  s := STRPOSL(table,op',1,true)
-;  null(s) or s > e => NIL
-;  SUBSTRING(op',s,e-s)
-
+     (COND ((NULL |argl|) NIL)
+           (#1='T
+            (PROGN
+             (SETQ |string| (|form2StringLocal| (CAR |argl|)))
+             ((LAMBDA (|bfVar#79| |x|)
+                (LOOP
+                 (COND
+                  ((OR (ATOM |bfVar#79|)
+                       (PROGN (SETQ |x| (CAR |bfVar#79|)) NIL))
+                   (RETURN NIL))
+                  (#1#
+                   (SETQ |string|
+                           (|concat| |string|
+                            (|concat| '|,| (|form2StringLocal| |x|))))))
+                 (SETQ |bfVar#79| (CDR |bfVar#79|))))
+              (CDR |argl|) NIL)
+             |string|))))))
+ 
+; isInternalFunctionName(op) ==
+;   (not IDENTP(op)) or (op = "*") or (op = "**") => NIL
+;   (1 = SIZE(op':= PNAME op)) or (char("*") ~= op'.0) => NIL
+;   -- if there is a semicolon in the name then it is the name of
+;   -- a compiled spad function
+;   null (e := STRPOS('"_;",op',1,NIL)) => NIL
+;   (char(" ") = (y := op'.1)) or (char("*") = y) => NIL
+;   table := MAKETRTTABLE('"0123456789",NIL)
+;   s := STRPOSL(table,op',1,true)
+;   null(s) or s > e => NIL
+;   SUBSTRING(op',s,e-s)
+ 
 (DEFUN |isInternalFunctionName| (|op|)
   (PROG (|op'| |e| |y| |table| |s|)
     (RETURN
-      (COND
-        ((OR (NULL (IDENTP |op|)) (BOOT-EQUAL |op| '*)
-             (BOOT-EQUAL |op| '**))
-         NIL)
-        ((OR (EQL 1 (SIZE (SPADLET |op'| (PNAME |op|))))
-             (NEQUAL (|char| '*) (ELT |op'| 0)))
-         NIL)
-        ((NULL (SPADLET |e| (STRPOS ";" |op'| 1 NIL)))
-         NIL)
-        ((OR (BOOT-EQUAL (|char| '| |) (SPADLET |y| (ELT |op'| 1)))
-             (BOOT-EQUAL (|char| '*) |y|))
-         NIL)
-        ('T
-         (SPADLET |table| (MAKETRTTABLE "0123456789" NIL))
-         (SPADLET |s| (STRPOSL |table| |op'| 1 'T))
-         (COND
-           ((OR (NULL |s|) (> |s| |e|)) NIL)
-           ('T (SUBSTRING |op'| |s| (SPADDIFFERENCE |e| |s|)))))))))
-
-;application2String(op,argl, linkInfo) ==
-;  null argl =>
-;    (op' := isInternalFunctionName(op)) => op'
-;    app2StringWrap(formWrapId op, linkInfo)
-;  1=#argl =>
-;    first argl is ["<",:.] => concat(op,first argl)
-;    concat(app2StringWrap(formWrapId op, linkInfo)," ",first argl)
-;--op in '(UP SM) =>
-;--  newop:= (op = "UP" => "P";"M")
-;--  concat(newop,concat(lbrkSch(),argl.0,rbrkSch(),argl.1))
-;--op='RM  =>concat("M",concat(lbrkSch(),
-;--                     argl.0,",",argl.1,rbrkSch(),argl.2))
-;--op='MP =>concat("P",concat(argl.0,argl.1))
-;  op='SEGMENT =>
-;    null argl => '".."
-;    (null rest argl) or (null first rest argl) =>
-;      concat(first argl, '"..")
-;    concat(first argl, concat('"..", first rest argl))
-;  concat(app2StringWrap(formWrapId op, linkInfo) ,
-;                        concat("_(",concat(tuple2String argl,"_)")))
-
+     (COND ((OR (NULL (IDENTP |op|)) (EQ |op| '*) (EQ |op| '**)) NIL)
+           ((OR (EQL 1 (SIZE (SETQ |op'| (PNAME |op|))))
+                (NOT (EQUAL (|char| '*) (ELT |op'| 0))))
+            NIL)
+           ((NULL (SETQ |e| (STRPOS ";" |op'| 1 NIL))) NIL)
+           ((OR (EQUAL (|char| '| |) (SETQ |y| (ELT |op'| 1)))
+                (EQUAL (|char| '*) |y|))
+            NIL)
+           (#1='T
+            (PROGN
+             (SETQ |table| (MAKETRTTABLE "0123456789" NIL))
+             (SETQ |s| (STRPOSL |table| |op'| 1 T))
+             (COND ((OR (NULL |s|) (< |e| |s|)) NIL)
+                   (#1# (SUBSTRING |op'| |s| (- |e| |s|))))))))))
+ 
+; application2String(op,argl, linkInfo) ==
+;   op is ["$elt", t, f] =>
+;       concat(application2String(f, argl, linkInfo), '"$", _
+;              form2String1 t)
+;   null argl =>
+;     (op' := isInternalFunctionName(op)) => op'
+;     app2StringWrap(formWrapId op, linkInfo)
+;   1=#argl =>
+;     first argl is ["<",:.] => concat(op,first argl)
+;     concat(app2StringWrap(formWrapId op, linkInfo), '"(", first argl, '")")
+; --op in '(UP SM) =>
+; --  newop:= (op = "UP" => "P";"M")
+; --  concat(newop,concat(lbrkSch(),argl.0,rbrkSch(),argl.1))
+; --op='RM  =>concat("M",concat(lbrkSch(),
+; --                     argl.0,",",argl.1,rbrkSch(),argl.2))
+; --op='MP =>concat("P",concat(argl.0,argl.1))
+;   op='SEGMENT =>
+;     null argl => '".."
+;     (null rest argl) or (null first rest argl) =>
+;       concat(first argl, '"..")
+;     concat(first argl, concat('"..", first rest argl))
+;   concat(app2StringWrap(formWrapId op, linkInfo) ,
+;                         concat("_(",concat(tuple2String argl,"_)")))
+ 
 (DEFUN |application2String| (|op| |argl| |linkInfo|)
-  (PROG (|op'| |ISTMP#1|)
+  (PROG (|ISTMP#1| |t| |ISTMP#2| |f| |op'|)
     (RETURN
-      (COND
-        ((NULL |argl|)
-         (COND
-           ((SPADLET |op'| (|isInternalFunctionName| |op|)) |op'|)
-           ('T (|app2StringWrap| (|formWrapId| |op|) |linkInfo|))))
-        ((EQL 1 (|#| |argl|))
-         (COND
-           ((PROGN
-              (SPADLET |ISTMP#1| (CAR |argl|))
-              (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '<)))
-            (|concat| |op| (CAR |argl|)))
-           ('T
-            (|concat| (|app2StringWrap| (|formWrapId| |op|) |linkInfo|)
-                '| | (CAR |argl|)))))
-        ((BOOT-EQUAL |op| 'SEGMENT)
-         (COND
-           ((NULL |argl|) "..")
-           ((OR (NULL (CDR |argl|)) (NULL (CAR (CDR |argl|))))
-            (|concat| (CAR |argl|) ".."))
-           ('T
-            (|concat| (CAR |argl|)
-                (|concat| ".." (CAR (CDR |argl|)))))))
-        ('T
-         (|concat| (|app2StringWrap| (|formWrapId| |op|) |linkInfo|)
-             (|concat| '|(| (|concat| (|tuple2String| |argl|) '|)|))))))))
-
-;app2StringConcat0(x,y) ==
-;  FORMAT(NIL, '"~a ~a", x, y)
-
-(DEFUN |app2StringConcat0| (|x| |y|) (FORMAT NIL "~a ~a" |x| |y|)) 
-
-;app2StringWrap(string, linkInfo) ==
-;  not linkInfo => string
-;  $formatSigAsTeX = 1 => string
-;  $formatSigAsTeX = 2 =>
-;    str2 :=  "app2StringConcat0"/form2Fence linkInfo
-;    sep := '"`"
-;    FORMAT(NIL, '"\lispLink{\verb!(|conPage| '~a)!}{~a}",
-;          str2, string)
-;  error "Bad value for $formatSigAsTeX"
-
+     (COND
+      ((AND (CONSP |op|) (EQ (CAR |op|) '|$elt|)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |op|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |t| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |f| (CAR |ISTMP#2|)) #1='T))))))
+       (|concat| (|application2String| |f| |argl| |linkInfo|) "$"
+        (|form2String1| |t|)))
+      ((NULL |argl|)
+       (COND ((SETQ |op'| (|isInternalFunctionName| |op|)) |op'|)
+             (#1# (|app2StringWrap| (|formWrapId| |op|) |linkInfo|))))
+      ((EQL 1 (LENGTH |argl|))
+       (COND
+        ((PROGN
+          (SETQ |ISTMP#1| (CAR |argl|))
+          (AND (CONSP |ISTMP#1|) (EQ (CAR |ISTMP#1|) '<)))
+         (|concat| |op| (CAR |argl|)))
+        (#1#
+         (|concat| (|app2StringWrap| (|formWrapId| |op|) |linkInfo|) "("
+          (CAR |argl|) ")"))))
+      ((EQ |op| 'SEGMENT)
+       (COND ((NULL |argl|) "..")
+             ((OR (NULL (CDR |argl|)) (NULL (CAR (CDR |argl|))))
+              (|concat| (CAR |argl|) ".."))
+             (#1# (|concat| (CAR |argl|) (|concat| ".." (CAR (CDR |argl|)))))))
+      (#1#
+       (|concat| (|app2StringWrap| (|formWrapId| |op|) |linkInfo|)
+        (|concat| '|(| (|concat| (|tuple2String| |argl|) '|)|))))))))
+ 
+; app2StringConcat0(x,y) ==
+;   FORMAT(NIL, '"~a ~a", x, y)
+ 
+(DEFUN |app2StringConcat0| (|x| |y|)
+  (PROG () (RETURN (FORMAT NIL "~a ~a" |x| |y|))))
+ 
+; app2StringWrap(string, linkInfo) ==
+;   not linkInfo => string
+;   $formatSigAsTeX = 1 => string
+;   $formatSigAsTeX = 2 =>
+;     str2 :=  "app2StringConcat0"/form2Fence linkInfo
+;     sep := '"`"
+;     FORMAT(NIL, '"\lispLink{\verb!(|conPage| '~a)!}{~a}",
+;           str2, string)
+;   error "Bad value for $formatSigAsTeX"
+ 
 (DEFUN |app2StringWrap| (|string| |linkInfo|)
-  (PROG (|str2| |sep|)
-    (DECLARE (SPECIAL |$formatSigAsTeX|))
+  (PROG (|bfVar#82| |str2| |sep|)
     (RETURN
-      (SEQ (COND
-             ((NULL |linkInfo|) |string|)
-             ((EQL |$formatSigAsTeX| 1) |string|)
-             ((EQL |$formatSigAsTeX| 2)
-              (SPADLET |str2|
-                       (PROG (G167632 G167633)
-                         (SPADLET G167632 'G167632)
-                         (RETURN
-                           (DO ((G167640 (|form2Fence| |linkInfo|)
-                                    (CDR G167640))
-                                (G167629 NIL))
-                               ((OR (ATOM G167640)
-                                    (PROGN
-                                      (SETQ G167629 (CAR G167640))
-                                      NIL))
-                                (THETACHECK G167632 'G167632
-                                    '|app2StringConcat0|))
-                             (SEQ (EXIT (PROGN
-                                          (SPADLET G167633 G167629)
-                                          (SETQ G167632
-                                           (COND
-                                             ((EQ G167632 'G167632)
-                                              G167633)
-                                             ('T
-                                              (|app2StringConcat0|
-                                               G167632 G167633)))))))))))
-              (SPADLET |sep| "`")
-              (FORMAT NIL "\\lispLink{\\verb!(|conPage| '~a)!}{~a}"
-                      |str2| |string|))
-             ('T (|error| '|Bad value for $formatSigAsTeX|)))))))
-
-;record2String x ==
-;  argPart := NIL
-;  for [":",a,b] in x repeat argPart:=
-;    concat(argPart,",",a,": ",form2StringLocal b)
-;  null argPart => '"Record()"
-;  concat("Record_(",rest argPart,"_)")
-
+     (COND ((NULL |linkInfo|) |string|) ((EQL |$formatSigAsTeX| 1) |string|)
+           ((EQL |$formatSigAsTeX| 2)
+            (PROGN
+             (SETQ |str2|
+                     (PROGN
+                      (SETQ |bfVar#82| (|form2Fence| |linkInfo|))
+                      ((LAMBDA (|bfVar#80| |bfVar#83| |bfVar#81|)
+                         (LOOP
+                          (COND
+                           ((OR (ATOM |bfVar#83|)
+                                (PROGN (SETQ |bfVar#81| (CAR |bfVar#83|)) NIL))
+                            (RETURN |bfVar#80|))
+                           (#1='T
+                            (SETQ |bfVar#80|
+                                    (|app2StringConcat0| |bfVar#80|
+                                     |bfVar#81|))))
+                          (SETQ |bfVar#83| (CDR |bfVar#83|))))
+                       (CAR |bfVar#82|) (CDR |bfVar#82|) NIL)))
+             (SETQ |sep| "`")
+             (FORMAT NIL "\\lispLink{\\verb!(|conPage| '~a)!}{~a}" |str2|
+                     |string|)))
+           (#1# (|error| '|Bad value for $formatSigAsTeX|))))))
+ 
+; record2String x ==
+;   argPart := NIL
+;   for [":",a,b] in x repeat argPart:=
+;     concat(argPart,",",a,": ",form2StringLocal b)
+;   null argPart => '"Record()"
+;   concat("Record_(",rest argPart,"_)")
+ 
 (DEFUN |record2String| (|x|)
-  (PROG (|a| |b| |argPart|)
-    (RETURN
-      (SEQ (PROGN
-             (SPADLET |argPart| NIL)
-             (DO ((G167662 |x| (CDR G167662)) (G167653 NIL))
-                 ((OR (ATOM G167662)
-                      (PROGN (SETQ G167653 (CAR G167662)) NIL)
-                      (PROGN
-                        (PROGN
-                          (SPADLET |a| (CADR G167653))
-                          (SPADLET |b| (CADDR G167653))
-                          G167653)
-                        NIL))
-                  NIL)
-               (SEQ (EXIT (SPADLET |argPart|
-                                   (|concat| |argPart| '|,| |a| '|: |
-                                    (|form2StringLocal| |b|))))))
-             (COND
-               ((NULL |argPart|) "Record()")
-               ('T (|concat| '|Record(| (CDR |argPart|) '|)|))))))))
-
-;plural(n,string) ==
-;  suffix:=
-;    n = 1 => '""
-;    '"s"
-;  [:bright n,string,suffix]
-
+  (PROG (|argPart| |ISTMP#1| |a| |ISTMP#2| |b|)
+    (RETURN
+     (PROGN
+      (SETQ |argPart| NIL)
+      ((LAMBDA (|bfVar#85| |bfVar#84|)
+         (LOOP
+          (COND
+           ((OR (ATOM |bfVar#85|)
+                (PROGN (SETQ |bfVar#84| (CAR |bfVar#85|)) NIL))
+            (RETURN NIL))
+           (#1='T
+            (AND (CONSP |bfVar#84|) (EQ (CAR |bfVar#84|) '|:|)
+                 (PROGN
+                  (SETQ |ISTMP#1| (CDR |bfVar#84|))
+                  (AND (CONSP |ISTMP#1|)
+                       (PROGN
+                        (SETQ |a| (CAR |ISTMP#1|))
+                        (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                        (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                             (PROGN (SETQ |b| (CAR |ISTMP#2|)) #1#)))))
+                 (SETQ |argPart|
+                         (|concat| |argPart| '|,| |a| '|: |
+                          (|form2StringLocal| |b|))))))
+          (SETQ |bfVar#85| (CDR |bfVar#85|))))
+       |x| NIL)
+      (COND ((NULL |argPart|) "Record()")
+            (#1# (|concat| '|Record(| (CDR |argPart|) '|)|)))))))
+ 
+; plural(n,string) ==
+;   suffix:=
+;     n = 1 => '""
+;     '"s"
+;   [:bright n,string,suffix]
+ 
 (DEFUN |plural| (|n| |string|)
   (PROG (|suffix|)
     (RETURN
-      (PROGN
-        (SPADLET |suffix| (COND ((EQL |n| 1) "") ('T "s")))
-        (APPEND (|bright| |n|) (CONS |string| (CONS |suffix| NIL)))))))
-
-;formatIf pred ==
-;  not pred => nil
-;  pred in '(T (QUOTE T)) => nil
-;  concat('%b,'"if",'%d,pred2English pred)
-
+     (PROGN
+      (SETQ |suffix| (COND ((EQL |n| 1) "") ('T "s")))
+      (APPEND (|bright| |n|) (CONS |string| (CONS |suffix| NIL)))))))
+ 
+; formatIf pred ==
+;   not pred => nil
+;   pred in '(T (QUOTE T)) => nil
+;   concat('%b,'"if",'%d,pred2English pred)
+ 
 (DEFUN |formatIf| (|pred|)
-  (COND
-    ((NULL |pred|) NIL)
-    ((|member| |pred| '(T 'T)) NIL)
-    ('T (|concat| '|%b| "if" '|%d| (|pred2English| |pred|)))))
-
-;formatPredParts s ==
-;  s is ['QUOTE,s1] => formatPredParts s1
-;  s is ['LIST,:s1] => [formatPredParts s2 for s2 in s1]
-;  s is ['devaluate,s1] => formatPredParts s1
-;  s is ['getDomainView,s1,.] => formatPredParts s1
-;  s is ['SUBST,a,b,c] =>    -- this is a signature
-;    s1 := formatPredParts SUBST(formatPredParts a,b,c)
-;    s1 isnt [fun,sig] => s1
-;    ['SIGNATURE,fun,[formatPredParts(r) for r in sig]]
-;  s
-
-(DEFUN |formatPredParts| (|s|)
-  (PROG (|a| |ISTMP#2| |b| |ISTMP#3| |c| |s1| |fun| |ISTMP#1| |sig|)
+  (PROG ()
     (RETURN
-      (SEQ (COND
-             ((AND (CONSP |s|) (EQ (QCAR |s|) 'QUOTE)
-                   (PROGN
-                     (SPADLET |ISTMP#1| (QCDR |s|))
-                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (SPADLET |s1| (QCAR |ISTMP#1|)) 'T))))
-              (|formatPredParts| |s1|))
-             ((AND (CONSP |s|) (EQ (QCAR |s|) 'LIST)
-                   (PROGN (SPADLET |s1| (QCDR |s|)) 'T))
-              (PROG (G167753)
-                (SPADLET G167753 NIL)
-                (RETURN
-                  (DO ((G167758 |s1| (CDR G167758)) (|s2| NIL))
-                      ((OR (ATOM G167758)
-                           (PROGN (SETQ |s2| (CAR G167758)) NIL))
-                       (NREVERSE0 G167753))
-                    (SEQ (EXIT (SETQ G167753
-                                     (CONS (|formatPredParts| |s2|)
-                                      G167753))))))))
-             ((AND (CONSP |s|) (EQ (QCAR |s|) '|devaluate|)
-                   (PROGN
-                     (SPADLET |ISTMP#1| (QCDR |s|))
-                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (SPADLET |s1| (QCAR |ISTMP#1|)) 'T))))
-              (|formatPredParts| |s1|))
-             ((AND (CONSP |s|) (EQ (QCAR |s|) '|getDomainView|)
-                   (PROGN
-                     (SPADLET |ISTMP#1| (QCDR |s|))
-                     (AND (CONSP |ISTMP#1|)
-                          (PROGN
-                            (SPADLET |s1| (QCAR |ISTMP#1|))
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (EQ (QCDR |ISTMP#2|) NIL))))))
-              (|formatPredParts| |s1|))
-             ((AND (CONSP |s|) (EQ (QCAR |s|) 'SUBST)
-                   (PROGN
-                     (SPADLET |ISTMP#1| (QCDR |s|))
-                     (AND (CONSP |ISTMP#1|)
-                          (PROGN
-                            (SPADLET |a| (QCAR |ISTMP#1|))
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (PROGN
-                                   (SPADLET |b| (QCAR |ISTMP#2|))
-                                   (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (CONSP |ISTMP#3|)
-                                    (EQ (QCDR |ISTMP#3|) NIL)
-                                    (PROGN
-                                      (SPADLET |c| (QCAR |ISTMP#3|))
-                                      'T))))))))
-              (SPADLET |s1|
-                       (|formatPredParts|
-                           (MSUBST (|formatPredParts| |a|) |b| |c|)))
-              (COND
-                ((NULL (AND (CONSP |s1|)
-                            (PROGN
-                              (SPADLET |fun| (QCAR |s1|))
-                              (SPADLET |ISTMP#1| (QCDR |s1|))
-                              (AND (CONSP |ISTMP#1|)
-                                   (EQ (QCDR |ISTMP#1|) NIL)
-                                   (PROGN
-                                     (SPADLET |sig| (QCAR |ISTMP#1|))
-                                     'T)))))
-                 |s1|)
-                ('T
-                 (CONS 'SIGNATURE
-                       (CONS |fun|
-                             (CONS (PROG (G167768)
-                                     (SPADLET G167768 NIL)
-                                     (RETURN
-                                       (DO
-                                        ((G167773 |sig|
-                                          (CDR G167773))
-                                         (|r| NIL))
-                                        ((OR (ATOM G167773)
-                                          (PROGN
-                                            (SETQ |r| (CAR G167773))
-                                            NIL))
-                                         (NREVERSE0 G167768))
-                                         (SEQ
-                                          (EXIT
-                                           (SETQ G167768
-                                            (CONS
-                                             (|formatPredParts| |r|)
-                                             G167768)))))))
-                                   NIL))))))
-             ('T |s|))))))
-
-;pred2English x ==
-;  x is ['IF,cond,thenClause,elseClause] =>
-;    c := concat('"if ",pred2English cond)
-;    t := concat('" then ",pred2English thenClause)
-;    e := concat('" else ",pred2English elseClause)
-;    concat(c,t,e)
-;  x is ['AND,:l] =>
-;    tail:="append"/[concat(bright '"and",pred2English x) for x in rest l]
-;    concat(pred2English first l,tail)
-;  x is ['OR,:l] =>
-;    tail:= "append"/[concat(bright '"or",pred2English x) for x in rest l]
-;    concat(pred2English first l,tail)
-;  x is ['NOT,l] =>
-;    concat('"not ",pred2English l)
-;  x is [op,a,b] and op in '(has ofCategory) =>
-;    concat(pred2English a,'%b,'"has",'%d,form2String abbreviate b)
-;  x is [op,a,b] and op in '(HasSignature HasAttribute HasCategory) =>
-;    concat(prefix2String0 formatPredParts a,'%b,'"has",'%d,
-;      prefix2String0 formatPredParts b)
-;  x is [op,a,b] and op in '(ofType getDomainView) =>
-;    if b is ['QUOTE,b'] then b := b'
-;    concat(pred2English a,'": ",form2String abbreviate b)
-;  x is [op,a,b] and op in '(isDomain domainEqual) =>
-;    concat(pred2English a,'" = ",form2String abbreviate b)
-;  x is [op,:.] and (translation := LASSOC(op,'(
-;    (_< . " < ") (_<_= . " <= ")
-;      (_> . " > ") (_>_= . " >= ") (_=  . " = ") (_^_= . " _^_= ")))) =>
-;        concat(pred2English a,translation,pred2English b)
-;  x is ['ATTRIBUTE,form] =>
-;    concat("attribute: ",form2String form)
-;  form2String x
-
+     (COND ((NULL |pred|) NIL) ((|member| |pred| '(T 'T)) NIL)
+           ('T (|concat| '|%b| "if" '|%d| (|pred2English| |pred|)))))))
+ 
+; formatPredParts s ==
+;   s is ['QUOTE,s1] => formatPredParts s1
+;   s is ['LIST,:s1] => [formatPredParts s2 for s2 in s1]
+;   s is ['devaluate,s1] => formatPredParts s1
+;   s is ['getDomainView,s1,.] => formatPredParts s1
+;   s is ['SUBST,a,b,c] =>    -- this is a signature
+;     BREAK()
+;     s1 := formatPredParts substitute(formatPredParts a,b,c)
+;     s1 isnt [fun,sig] => s1
+;     ['SIGNATURE,fun,[formatPredParts(r) for r in sig]]
+;   s
+ 
+(DEFUN |formatPredParts| (|s|)
+  (PROG (|ISTMP#1| |s1| |ISTMP#2| |a| |b| |ISTMP#3| |c| |fun| |sig|)
+    (RETURN
+     (COND
+      ((AND (CONSP |s|) (EQ (CAR |s|) 'QUOTE)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |s|))
+             (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                  (PROGN (SETQ |s1| (CAR |ISTMP#1|)) #1='T))))
+       (|formatPredParts| |s1|))
+      ((AND (CONSP |s|) (EQ (CAR |s|) 'LIST) (PROGN (SETQ |s1| (CDR |s|)) #1#))
+       ((LAMBDA (|bfVar#87| |bfVar#86| |s2|)
+          (LOOP
+           (COND
+            ((OR (ATOM |bfVar#86|) (PROGN (SETQ |s2| (CAR |bfVar#86|)) NIL))
+             (RETURN (NREVERSE |bfVar#87|)))
+            (#1# (SETQ |bfVar#87| (CONS (|formatPredParts| |s2|) |bfVar#87|))))
+           (SETQ |bfVar#86| (CDR |bfVar#86|))))
+        NIL |s1| NIL))
+      ((AND (CONSP |s|) (EQ (CAR |s|) '|devaluate|)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |s|))
+             (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                  (PROGN (SETQ |s1| (CAR |ISTMP#1|)) #1#))))
+       (|formatPredParts| |s1|))
+      ((AND (CONSP |s|) (EQ (CAR |s|) '|getDomainView|)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |s|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |s1| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL))))))
+       (|formatPredParts| |s1|))
+      ((AND (CONSP |s|) (EQ (CAR |s|) 'SUBST)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |s|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |a| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|)
+                        (PROGN
+                         (SETQ |b| (CAR |ISTMP#2|))
+                         (SETQ |ISTMP#3| (CDR |ISTMP#2|))
+                         (AND (CONSP |ISTMP#3|) (EQ (CDR |ISTMP#3|) NIL)
+                              (PROGN (SETQ |c| (CAR |ISTMP#3|)) #1#))))))))
+       (PROGN
+        (BREAK)
+        (SETQ |s1|
+                (|formatPredParts|
+                 (|substitute| (|formatPredParts| |a|) |b| |c|)))
+        (COND
+         ((NOT
+           (AND (CONSP |s1|)
+                (PROGN
+                 (SETQ |fun| (CAR |s1|))
+                 (SETQ |ISTMP#1| (CDR |s1|))
+                 (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                      (PROGN (SETQ |sig| (CAR |ISTMP#1|)) #1#)))))
+          |s1|)
+         (#1#
+          (LIST 'SIGNATURE |fun|
+                ((LAMBDA (|bfVar#89| |bfVar#88| |r|)
+                   (LOOP
+                    (COND
+                     ((OR (ATOM |bfVar#88|)
+                          (PROGN (SETQ |r| (CAR |bfVar#88|)) NIL))
+                      (RETURN (NREVERSE |bfVar#89|)))
+                     (#1#
+                      (SETQ |bfVar#89|
+                              (CONS (|formatPredParts| |r|) |bfVar#89|))))
+                    (SETQ |bfVar#88| (CDR |bfVar#88|))))
+                 NIL |sig| NIL))))))
+      (#1# |s|)))))
+ 
+; pred2English x ==
+;   x is ['IF,cond,thenClause,elseClause] =>
+;     c := concat('"if ",pred2English cond)
+;     t := concat('" then ",pred2English thenClause)
+;     e := concat('" else ",pred2English elseClause)
+;     concat(c,t,e)
+;   x is ['AND,:l] =>
+;     tail:="append"/[concat(bright '"and",pred2English x) for x in rest l]
+;     concat(pred2English first l,tail)
+;   x is ['OR,:l] =>
+;     tail:= "append"/[concat(bright '"or",pred2English x) for x in rest l]
+;     concat(pred2English first l,tail)
+;   x is ['NOT,l] =>
+;     concat('"not ",pred2English l)
+;   x is [op,a,b] and op in '(has ofCategory) =>
+;     concat(pred2English a,'%b,'"has",'%d,form2String abbreviate b)
+;   x is [op,a,b] and op in '(HasSignature HasCategory) =>
+;     concat(prefix2String0 formatPredParts a,'%b,'"has",'%d,
+;       prefix2String0 formatPredParts b)
+;   x is [op,a,b] and op in '(ofType getDomainView) =>
+;     if b is ['QUOTE,b'] then b := b'
+;     concat(pred2English a,'": ",form2String abbreviate b)
+;   x is [op,a,b] and op in '(isDomain domainEqual) =>
+;     concat(pred2English a,'" = ",form2String abbreviate b)
+;   x is [op,:.] and (translation := LASSOC(op,'(
+;     (_< . " < ") (_<_= . " <= ")
+;       (_> . " > ") (_>_= . " >= ") (_=  . " = ") (_^_= . " _^_= ")))) =>
+;         concat(pred2English a,translation,pred2English b)
+;   x is ['ATTRIBUTE,form] =>
+;     concat("attribute: ",form2String form)
+;   form2String x
+ 
 (DEFUN |pred2English| (|x|)
-  (PROG (|cond| |thenClause| |ISTMP#3| |elseClause| |c| |t| |e| |tail|
-                |l| |b'| |a| |ISTMP#2| |b| |op| |translation| |ISTMP#1|
-                |form|)
+  (PROG (|ISTMP#1| |cond| |ISTMP#2| |thenClause| |ISTMP#3| |elseClause| |c| |t|
+         |e| |l| |tail| |op| |a| |b| |b'| |translation| |form|)
     (RETURN
-      (SEQ (COND
-             ((AND (CONSP |x|) (EQ (QCAR |x|) 'IF)
-                   (PROGN
-                     (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (CONSP |ISTMP#1|)
-                          (PROGN
-                            (SPADLET |cond| (QCAR |ISTMP#1|))
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (PROGN
-                                   (SPADLET |thenClause|
-                                    (QCAR |ISTMP#2|))
-                                   (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (CONSP |ISTMP#3|)
-                                    (EQ (QCDR |ISTMP#3|) NIL)
-                                    (PROGN
-                                      (SPADLET |elseClause|
-                                       (QCAR |ISTMP#3|))
-                                      'T))))))))
-              (SPADLET |c| (|concat| "if " (|pred2English| |cond|)))
-              (SPADLET |t|
-                       (|concat| " then "
-                           (|pred2English| |thenClause|)))
-              (SPADLET |e|
-                       (|concat| " else "
-                           (|pred2English| |elseClause|)))
-              (|concat| |c| |t| |e|))
-             ((AND (CONSP |x|) (EQ (QCAR |x|) 'AND)
-                   (PROGN (SPADLET |l| (QCDR |x|)) 'T))
-              (SPADLET |tail|
-                       (PROG (G167949)
-                         (SPADLET G167949 NIL)
-                         (RETURN
-                           (DO ((G167954 (CDR |l|) (CDR G167954))
-                                (|x| NIL))
-                               ((OR (ATOM G167954)
-                                    (PROGN
-                                      (SETQ |x| (CAR G167954))
-                                      NIL))
-                                G167949)
-                             (SEQ (EXIT (SETQ G167949
-                                         (APPEND G167949
-                                          (|concat| (|bright| "and")
-                                           (|pred2English| |x|))))))))))
-              (|concat| (|pred2English| (CAR |l|)) |tail|))
-             ((AND (CONSP |x|) (EQ (QCAR |x|) 'OR)
-                   (PROGN (SPADLET |l| (QCDR |x|)) 'T))
-              (SPADLET |tail|
-                       (PROG (G167960)
-                         (SPADLET G167960 NIL)
-                         (RETURN
-                           (DO ((G167965 (CDR |l|) (CDR G167965))
-                                (|x| NIL))
-                               ((OR (ATOM G167965)
-                                    (PROGN
-                                      (SETQ |x| (CAR G167965))
-                                      NIL))
-                                G167960)
-                             (SEQ (EXIT (SETQ G167960
-                                         (APPEND G167960
-                                          (|concat| (|bright| "or")
-                                           (|pred2English| |x|))))))))))
-              (|concat| (|pred2English| (CAR |l|)) |tail|))
-             ((AND (CONSP |x|) (EQ (QCAR |x|) 'NOT)
-                   (PROGN
-                     (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (SPADLET |l| (QCAR |ISTMP#1|)) 'T))))
-              (|concat| "not " (|pred2English| |l|)))
-             ((AND (CONSP |x|)
-                   (PROGN
-                     (SPADLET |op| (QCAR |x|))
-                     (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (CONSP |ISTMP#1|)
-                          (PROGN
-                            (SPADLET |a| (QCAR |ISTMP#1|))
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (EQ (QCDR |ISTMP#2|) NIL)
-                                 (PROGN
-                                   (SPADLET |b| (QCAR |ISTMP#2|))
-                                   'T)))))
-                   (|member| |op| '(|has| |ofCategory|)))
-              (|concat| (|pred2English| |a|) '|%b| "has"
-                  '|%d| (|form2String| (|abbreviate| |b|))))
-             ((AND (CONSP |x|)
-                   (PROGN
-                     (SPADLET |op| (QCAR |x|))
-                     (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (CONSP |ISTMP#1|)
-                          (PROGN
-                            (SPADLET |a| (QCAR |ISTMP#1|))
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (EQ (QCDR |ISTMP#2|) NIL)
-                                 (PROGN
-                                   (SPADLET |b| (QCAR |ISTMP#2|))
-                                   'T)))))
-                   (|member| |op|
-                       '(|HasSignature| |HasAttribute| |HasCategory|)))
-              (|concat| (|prefix2String0| (|formatPredParts| |a|))
-                  '|%b| "has" '|%d|
-                  (|prefix2String0| (|formatPredParts| |b|))))
-             ((AND (CONSP |x|)
-                   (PROGN
-                     (SPADLET |op| (QCAR |x|))
-                     (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (CONSP |ISTMP#1|)
-                          (PROGN
-                            (SPADLET |a| (QCAR |ISTMP#1|))
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (EQ (QCDR |ISTMP#2|) NIL)
-                                 (PROGN
-                                   (SPADLET |b| (QCAR |ISTMP#2|))
-                                   'T)))))
-                   (|member| |op| '(|ofType| |getDomainView|)))
-              (COND
-                ((AND (CONSP |b|) (EQ (QCAR |b|) 'QUOTE)
-                      (PROGN
-                        (SPADLET |ISTMP#1| (QCDR |b|))
-                        (AND (CONSP |ISTMP#1|)
-                             (EQ (QCDR |ISTMP#1|) NIL)
-                             (PROGN
-                               (SPADLET |b'| (QCAR |ISTMP#1|))
-                               'T))))
-                 (SPADLET |b| |b'|)))
-              (|concat| (|pred2English| |a|) ": "
-                  (|form2String| (|abbreviate| |b|))))
-             ((AND (CONSP |x|)
-                   (PROGN
-                     (SPADLET |op| (QCAR |x|))
-                     (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (CONSP |ISTMP#1|)
-                          (PROGN
-                            (SPADLET |a| (QCAR |ISTMP#1|))
-                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (CONSP |ISTMP#2|)
-                                 (EQ (QCDR |ISTMP#2|) NIL)
-                                 (PROGN
-                                   (SPADLET |b| (QCAR |ISTMP#2|))
-                                   'T)))))
-                   (|member| |op| '(|isDomain| |domainEqual|)))
-              (|concat| (|pred2English| |a|) " = "
-                  (|form2String| (|abbreviate| |b|))))
-             ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) 'T)
-                   (SPADLET |translation|
-                            (LASSOC |op|
-                                    '((< . " < ") (<= . " <= ")
-                                      (> . " > ") (>= . " >= ")
-                                      (= . " = ") (^= . " ^= ")))))
-              (|concat| (|pred2English| |a|) |translation|
-                  (|pred2English| |b|)))
-             ((AND (CONSP |x|) (EQ (QCAR |x|) 'ATTRIBUTE)
-                   (PROGN
-                     (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (SPADLET |form| (QCAR |ISTMP#1|)) 'T))))
-              (|concat| '|attribute: | (|form2String| |form|)))
-             ('T (|form2String| |x|)))))))
-
-;object2String x ==
-;  STRINGP x => x
-;  IDENTP x  => PNAME x
-;  NULL x    => '""
-;  CONSP  x  => STRCONC(object2String first x, object2String rest x)
-;  WRITE_-TO_-STRING x
-
+     (COND
+      ((AND (CONSP |x|) (EQ (CAR |x|) 'IF)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |cond| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|)
+                        (PROGN
+                         (SETQ |thenClause| (CAR |ISTMP#2|))
+                         (SETQ |ISTMP#3| (CDR |ISTMP#2|))
+                         (AND (CONSP |ISTMP#3|) (EQ (CDR |ISTMP#3|) NIL)
+                              (PROGN
+                               (SETQ |elseClause| (CAR |ISTMP#3|))
+                               #1='T))))))))
+       (PROGN
+        (SETQ |c| (|concat| "if " (|pred2English| |cond|)))
+        (SETQ |t| (|concat| " then " (|pred2English| |thenClause|)))
+        (SETQ |e| (|concat| " else " (|pred2English| |elseClause|)))
+        (|concat| |c| |t| |e|)))
+      ((AND (CONSP |x|) (EQ (CAR |x|) 'AND) (PROGN (SETQ |l| (CDR |x|)) #1#))
+       (PROGN
+        (SETQ |tail|
+                ((LAMBDA (|bfVar#91| |bfVar#90| |x|)
+                   (LOOP
+                    (COND
+                     ((OR (ATOM |bfVar#90|)
+                          (PROGN (SETQ |x| (CAR |bfVar#90|)) NIL))
+                      (RETURN |bfVar#91|))
+                     (#1#
+                      (SETQ |bfVar#91|
+                              (APPEND |bfVar#91|
+                                      (|concat| (|bright| "and")
+                                       (|pred2English| |x|))))))
+                    (SETQ |bfVar#90| (CDR |bfVar#90|))))
+                 NIL (CDR |l|) NIL))
+        (|concat| (|pred2English| (CAR |l|)) |tail|)))
+      ((AND (CONSP |x|) (EQ (CAR |x|) 'OR) (PROGN (SETQ |l| (CDR |x|)) #1#))
+       (PROGN
+        (SETQ |tail|
+                ((LAMBDA (|bfVar#93| |bfVar#92| |x|)
+                   (LOOP
+                    (COND
+                     ((OR (ATOM |bfVar#92|)
+                          (PROGN (SETQ |x| (CAR |bfVar#92|)) NIL))
+                      (RETURN |bfVar#93|))
+                     (#1#
+                      (SETQ |bfVar#93|
+                              (APPEND |bfVar#93|
+                                      (|concat| (|bright| "or")
+                                       (|pred2English| |x|))))))
+                    (SETQ |bfVar#92| (CDR |bfVar#92|))))
+                 NIL (CDR |l|) NIL))
+        (|concat| (|pred2English| (CAR |l|)) |tail|)))
+      ((AND (CONSP |x|) (EQ (CAR |x|) 'NOT)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                  (PROGN (SETQ |l| (CAR |ISTMP#1|)) #1#))))
+       (|concat| "not " (|pred2English| |l|)))
+      ((AND (CONSP |x|)
+            (PROGN
+             (SETQ |op| (CAR |x|))
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |a| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |b| (CAR |ISTMP#2|)) #1#)))))
+            (|member| |op| '(|has| |ofCategory|)))
+       (|concat| (|pred2English| |a|) '|%b| "has" '|%d|
+        (|form2String| (|abbreviate| |b|))))
+      ((AND (CONSP |x|)
+            (PROGN
+             (SETQ |op| (CAR |x|))
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |a| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |b| (CAR |ISTMP#2|)) #1#)))))
+            (|member| |op| '(|HasSignature| |HasCategory|)))
+       (|concat| (|prefix2String0| (|formatPredParts| |a|)) '|%b| "has" '|%d|
+        (|prefix2String0| (|formatPredParts| |b|))))
+      ((AND (CONSP |x|)
+            (PROGN
+             (SETQ |op| (CAR |x|))
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |a| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |b| (CAR |ISTMP#2|)) #1#)))))
+            (|member| |op| '(|ofType| |getDomainView|)))
+       (PROGN
+        (COND
+         ((AND (CONSP |b|) (EQ (CAR |b|) 'QUOTE)
+               (PROGN
+                (SETQ |ISTMP#1| (CDR |b|))
+                (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                     (PROGN (SETQ |b'| (CAR |ISTMP#1|)) #1#))))
+          (SETQ |b| |b'|)))
+        (|concat| (|pred2English| |a|) ": "
+         (|form2String| (|abbreviate| |b|)))))
+      ((AND (CONSP |x|)
+            (PROGN
+             (SETQ |op| (CAR |x|))
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|)
+                  (PROGN
+                   (SETQ |a| (CAR |ISTMP#1|))
+                   (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                   (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
+                        (PROGN (SETQ |b| (CAR |ISTMP#2|)) #1#)))))
+            (|member| |op| '(|isDomain| |domainEqual|)))
+       (|concat| (|pred2English| |a|) " = "
+        (|form2String| (|abbreviate| |b|))))
+      ((AND (CONSP |x|) (PROGN (SETQ |op| (CAR |x|)) #1#)
+            (SETQ |translation|
+                    (LASSOC |op|
+                     '((< . " < ") (<= . " <= ") (> . " > ") (>= . " >= ")
+                       (= . " = ") (^= . " ^= ")))))
+       (|concat| (|pred2English| |a|) |translation| (|pred2English| |b|)))
+      ((AND (CONSP |x|) (EQ (CAR |x|) 'ATTRIBUTE)
+            (PROGN
+             (SETQ |ISTMP#1| (CDR |x|))
+             (AND (CONSP |ISTMP#1|) (EQ (CDR |ISTMP#1|) NIL)
+                  (PROGN (SETQ |form| (CAR |ISTMP#1|)) #1#))))
+       (|concat| '|attribute: | (|form2String| |form|)))
+      (#1# (|form2String| |x|))))))
+ 
+; mathObject2String x ==
+;   CHARACTERP x => COERCE([x],'STRING)
+;   object2String x
+ 
+(DEFUN |mathObject2String| (|x|)
+  (PROG ()
+    (RETURN
+     (COND ((CHARACTERP |x|) (COERCE (LIST |x|) 'STRING))
+           ('T (|object2String| |x|))))))
+ 
+; object2String x ==
+;   STRINGP x => x
+;   IDENTP x  => PNAME x
+;   NULL x    => '""
+;   PAIRP  x  => STRCONC(object2String first x, object2String rest x)
+;   WRITE_-TO_-STRING x
+ 
 (DEFUN |object2String| (|x|)
-  (COND
-    ((STRINGP |x|) |x|)
-    ((IDENTP |x|) (PNAME |x|))
-    ((NULL |x|) "")
-    ((CONSP |x|)
-     (STRCONC (|object2String| (CAR |x|)) (|object2String| (CDR |x|))))
-    ('T (WRITE-TO-STRING |x|))))
-
-;object2Identifier x ==
-;  IDENTP x  => x
-;  STRINGP x => INTERN x
-;  INTERN WRITE_-TO_-STRING x
-
+  (PROG ()
+    (RETURN
+     (COND ((STRINGP |x|) |x|) ((IDENTP |x|) (PNAME |x|)) ((NULL |x|) "")
+           ((CONSP |x|)
+            (STRCONC (|object2String| (CAR |x|)) (|object2String| (CDR |x|))))
+           ('T (WRITE-TO-STRING |x|))))))
+ 
+; object2Identifier x ==
+;   IDENTP x  => x
+;   STRINGP x => INTERN x
+;   INTERN WRITE_-TO_-STRING x
+ 
 (DEFUN |object2Identifier| (|x|)
-  (COND
-    ((IDENTP |x|) |x|)
-    ((STRINGP |x|) (INTERN |x|))
-    ('T (INTERN (WRITE-TO-STRING |x|)))))
-
-;blankList x == "append"/[[BLANK,y] for y in x]
-
-(DEFUN |blankList| (|x|)
   (PROG ()
     (RETURN
-      (SEQ (PROG (G168026)
-             (SPADLET G168026 NIL)
-             (RETURN
-               (DO ((G168031 |x| (CDR G168031)) (|y| NIL))
-                   ((OR (ATOM G168031)
-                        (PROGN (SETQ |y| (CAR G168031)) NIL))
-                    G168026)
-                 (SEQ (EXIT (SETQ G168026
-                                  (APPEND G168026
-                                          (CONS BLANK (CONS |y| NIL)))))))))))))
-
-;--keyStuff ::= keynumber | [ one or more keySeqs ]
-;--keySeq   ::= keynumber optargList optdbn
-;--optARgL  ::= [ 0 or more arguments ] | nothing at all
-;--optDbn   ::= ['dbN , databaseName ] | nothing at all
-;pkey keyStuff ==
-;    if not CONSP keyStuff then keyStuff := [keyStuff]
-;    allMsgs := ['" "]
-;    while not null keyStuff repeat
-;        dbN := NIL
-;        argL := NIL
-;        key := first keyStuff
-;        keyStuff := IFCDR keyStuff
-;        next := IFCAR keyStuff
-;        while CONSP next repeat
-;            if CAR next = 'dbN then dbN := CADR next
-;            else argL := next
-;            keyStuff  := IFCDR keyStuff
-;            next      := IFCAR keyStuff
-;        oneMsg  := returnStLFromKey(key,argL,dbN)
-;        allMsgs := ['" ", :NCONC (oneMsg,allMsgs)]
-;    allMsgs
-
-(DEFUN |pkey| (|keyStuff|)
-  (PROG (|key| |dbN| |argL| |next| |oneMsg| |allMsgs|)
+     (COND ((IDENTP |x|) |x|) ((STRINGP |x|) (INTERN |x|))
+           ('T (INTERN (WRITE-TO-STRING |x|)))))))
+ 
+; blankList x == "append"/[[BLANK,y] for y in x]
+ 
+(DEFUN |blankList| (|x|)
+  (PROG ()
     (RETURN
-      (SEQ (PROGN
-             (COND
-               ((NULL (CONSP |keyStuff|))
-                (SPADLET |keyStuff| (CONS |keyStuff| NIL))))
-             (SPADLET |allMsgs| (CONS " " NIL))
-             (DO () ((NULL (NULL (NULL |keyStuff|))) NIL)
-               (SEQ (EXIT (PROGN
-                            (SPADLET |dbN| NIL)
-                            (SPADLET |argL| NIL)
-                            (SPADLET |key| (CAR |keyStuff|))
-                            (SPADLET |keyStuff| (IFCDR |keyStuff|))
-                            (SPADLET |next| (IFCAR |keyStuff|))
-                            (DO () ((NULL (CONSP |next|)) NIL)
-                              (SEQ (EXIT
-                                    (PROGN
-                                      (COND
-                                        ((BOOT-EQUAL (CAR |next|)
-                                          '|dbN|)
-                                         (SPADLET |dbN| (CADR |next|)))
-                                        ('T (SPADLET |argL| |next|)))
-                                      (SPADLET |keyStuff|
-                                       (IFCDR |keyStuff|))
-                                      (SPADLET |next|
-                                       (IFCAR |keyStuff|))))))
-                            (SPADLET |oneMsg|
-                                     (|returnStLFromKey| |key| |argL|
-                                      |dbN|))
-                            (SPADLET |allMsgs|
-                                     (CONS " "
-                                      (NCONC |oneMsg| |allMsgs|)))))))
-             |allMsgs|)))))
-
-;string2Float s ==
-;  -- takes a string, calls the parser on it and returns a float object
-;  p := ncParseFromString s
-;  p isnt [["$elt", FloatDomain, "float"], x, y, z] =>
-;    systemError '"string2Float: did not get a float expression"
-;  flt := getFunctionFromDomain("float", FloatDomain,
-;    [$Integer, $Integer, $PositiveInteger])
-;  SPADCALL(x, y, z, flt)
-
+     ((LAMBDA (|bfVar#95| |bfVar#94| |y|)
+        (LOOP
+         (COND
+          ((OR (ATOM |bfVar#94|) (PROGN (SETQ |y| (CAR |bfVar#94|)) NIL))
+           (RETURN |bfVar#95|))
+          ('T (SETQ |bfVar#95| (APPEND |bfVar#95| (LIST BLANK |y|)))))
+         (SETQ |bfVar#94| (CDR |bfVar#94|))))
+      NIL |x| NIL))))
+ 
+; string2Float s ==
+;   -- takes a string, calls the parser on it and returns a float object
+;   p := ncParseFromString s
+;   p isnt [["$elt", FloatDomain, "float"], x, y, z] =>
+;     systemError '"string2Float: did not get a float expression"
+;   flt := getFunctionFromDomain("float", FloatDomain,
+;     [$Integer, $Integer, $PositiveInteger])
+;   SPADCALL(x, y, z, flt)
+ 
 (DEFUN |string2Float| (|s|)
   (PROG (|p| |ISTMP#1| |ISTMP#2| |FloatDomain| |ISTMP#3| |ISTMP#4| |x|
-             |ISTMP#5| |y| |ISTMP#6| |z| |flt|)
-    (DECLARE (SPECIAL |$PositiveInteger| |$Integer| |$elt|))
+         |ISTMP#5| |y| |ISTMP#6| |z| |flt|)
     (RETURN
-      (PROGN
-        (SPADLET |p| (|ncParseFromString| |s|))
-        (COND
-          ((NULL (AND (CONSP |p|)
-                      (PROGN
-                        (SPADLET |ISTMP#1| (QCAR |p|))
-                        (AND (CONSP |ISTMP#1|)
-                             (EQ (QCAR |ISTMP#1|) '|$elt|)
-                             (PROGN
-                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (CONSP |ISTMP#2|)
-                                    (PROGN
-                                      (SPADLET |FloatDomain|
-                                       (QCAR |ISTMP#2|))
-                                      (SPADLET |ISTMP#3|
-                                       (QCDR |ISTMP#2|))
-                                      (AND (CONSP |ISTMP#3|)
-                                       (EQ (QCDR |ISTMP#3|) NIL)
-                                       (EQ (QCAR |ISTMP#3|) '|float|)))))))
-                      (PROGN
-                        (SPADLET |ISTMP#4| (QCDR |p|))
-                        (AND (CONSP |ISTMP#4|)
-                             (PROGN
-                               (SPADLET |x| (QCAR |ISTMP#4|))
-                               (SPADLET |ISTMP#5| (QCDR |ISTMP#4|))
-                               (AND (CONSP |ISTMP#5|)
-                                    (PROGN
-                                      (SPADLET |y| (QCAR |ISTMP#5|))
-                                      (SPADLET |ISTMP#6|
-                                       (QCDR |ISTMP#5|))
-                                      (AND (CONSP |ISTMP#6|)
-                                       (EQ (QCDR |ISTMP#6|) NIL)
-                                       (PROGN
-                                         (SPADLET |z| (QCAR |ISTMP#6|))
-                                         'T)))))))))
-           (|systemError|
-               "string2Float: did not get a float expression"))
-          ('T
-           (SPADLET |flt|
-                    (|getFunctionFromDomain| '|float| |FloatDomain|
-                        (CONS |$Integer|
-                              (CONS |$Integer|
-                                    (CONS |$PositiveInteger| NIL)))))
-           (SPADCALL |x| |y| |z| |flt|)))))))
-
-;form2Fence form ==
-;  -- body of dbMkEvalable
-;  [op, :.] := form
-;  kind := GETDATABASE(op,'CONSTRUCTORKIND)
-;  kind = 'category => form2Fence1 form
-;  form2Fence1 mkEvalable form
-
+     (PROGN
+      (SETQ |p| (|ncParseFromString| |s|))
+      (COND
+       ((NOT
+         (AND (CONSP |p|)
+              (PROGN
+               (SETQ |ISTMP#1| (CAR |p|))
+               (AND (CONSP |ISTMP#1|) (EQ (CAR |ISTMP#1|) '|$elt|)
+                    (PROGN
+                     (SETQ |ISTMP#2| (CDR |ISTMP#1|))
+                     (AND (CONSP |ISTMP#2|)
+                          (PROGN
+                           (SETQ |FloatDomain| (CAR |ISTMP#2|))
+                           (SETQ |ISTMP#3| (CDR |ISTMP#2|))
+                           (AND (CONSP |ISTMP#3|) (EQ (CDR |ISTMP#3|) NIL)
+                                (EQ (CAR |ISTMP#3|) '|float|)))))))
+              (PROGN
+               (SETQ |ISTMP#4| (CDR |p|))
+               (AND (CONSP |ISTMP#4|)
+                    (PROGN
+                     (SETQ |x| (CAR |ISTMP#4|))
+                     (SETQ |ISTMP#5| (CDR |ISTMP#4|))
+                     (AND (CONSP |ISTMP#5|)
+                          (PROGN
+                           (SETQ |y| (CAR |ISTMP#5|))
+                           (SETQ |ISTMP#6| (CDR |ISTMP#5|))
+                           (AND (CONSP |ISTMP#6|) (EQ (CDR |ISTMP#6|) NIL)
+                                (PROGN
+                                 (SETQ |z| (CAR |ISTMP#6|))
+                                 #1='T)))))))))
+        (|systemError| "string2Float: did not get a float expression"))
+       (#1#
+        (PROGN
+         (SETQ |flt|
+                 (|getFunctionFromDomain| '|float| |FloatDomain|
+                  (LIST |$Integer| |$Integer| |$PositiveInteger|)))
+         (SPADCALL |x| |y| |z| |flt|))))))))
+ 
+; form2Fence form ==
+;   -- body of dbMkEvalable
+;   [op, :.] := form
+;   kind := GETDATABASE(op,'CONSTRUCTORKIND)
+;   kind = 'category => form2Fence1 form
+;   form2Fence1 mkEvalable form
+ 
 (DEFUN |form2Fence| (|form|)
   (PROG (|op| |kind|)
     (RETURN
-      (PROGN
-        (SPADLET |op| (CAR |form|))
-        (SPADLET |kind| (GETDATABASE |op| 'CONSTRUCTORKIND))
-        (COND
-          ((BOOT-EQUAL |kind| '|category|) (|form2Fence1| |form|))
-          ('T (|form2Fence1| (|mkEvalable| |form|))))))))
-
-;form2Fence1 x ==
-;  x is [op,:argl] =>
-;    op = 'QUOTE => ['"(QUOTE ",:form2FenceQuote first argl,'")"]
-;    ['"(", FORMAT(NIL, '"|~a|", op),:"append"/[form2Fence1 y for y in argl],'")"]
-;  IDENTP x => FORMAT(NIL, '"|~a|", x)
-;--  [x]
-;  ['"  ", x]
-
+     (PROGN
+      (SETQ |op| (CAR |form|))
+      (SETQ |kind| (GETDATABASE |op| 'CONSTRUCTORKIND))
+      (COND ((EQ |kind| '|category|) (|form2Fence1| |form|))
+            ('T (|form2Fence1| (|mkEvalable| |form|))))))))
+ 
+; form2Fence1 x ==
+;   x is [op,:argl] =>
+;     op = 'QUOTE => ['"(QUOTE ",:form2FenceQuote first argl,'")"]
+;     ['"(", FORMAT(NIL, '"|~a|", op),:"append"/[form2Fence1 y for y in argl],'")"]
+;   IDENTP x => FORMAT(NIL, '"|~a|", x)
+; --  [x]
+;   ['"  ", x]
+ 
 (DEFUN |form2Fence1| (|x|)
   (PROG (|op| |argl|)
     (RETURN
-      (SEQ (COND
-             ((AND (CONSP |x|)
-                   (PROGN
-                     (SPADLET |op| (QCAR |x|))
-                     (SPADLET |argl| (QCDR |x|))
-                     'T))
-              (COND
-                ((BOOT-EQUAL |op| 'QUOTE)
-                 (CONS "(QUOTE "
-                       (APPEND (|form2FenceQuote| (CAR |argl|))
-                               (CONS ")" NIL))))
-                ('T
-                 (CONS "("
-                       (CONS (FORMAT NIL "|~a|" |op|)
-                             (APPEND (PROG (G168166)
-                                       (SPADLET G168166 NIL)
-                                       (RETURN
-                                         (DO
-                                          ((G168171 |argl|
-                                            (CDR G168171))
-                                           (|y| NIL))
-                                          ((OR (ATOM G168171)
-                                            (PROGN
-                                              (SETQ |y|
-                                               (CAR G168171))
-                                              NIL))
-                                           G168166)
-                                           (SEQ
-                                            (EXIT
-                                             (SETQ G168166
-                                              (APPEND G168166
-                                               (|form2Fence1| |y|))))))))
-                                     (CONS ")" NIL)))))))
-             ((IDENTP |x|) (FORMAT NIL "|~a|" |x|))
-             ('T (CONS "  " (CONS |x| NIL))))))))
-
-;form2FenceQuote x ==
-;  NUMBERP x => [STRINGIMAGE x]
-;  SYMBOLP x => [FORMAT(NIL, '"|~a|", x)]
-;  atom    x => '"??"
-;  ['"(",:form2FenceQuote first x,:form2FenceQuoteTail rest x]
-
+     (COND
+      ((AND (CONSP |x|)
+            (PROGN (SETQ |op| (CAR |x|)) (SETQ |argl| (CDR |x|)) #1='T))
+       (COND
+        ((EQ |op| 'QUOTE)
+         (CONS "(QUOTE "
+               (APPEND (|form2FenceQuote| (CAR |argl|)) (CONS ")" NIL))))
+        (#1#
+         (CONS "("
+               (CONS (FORMAT NIL "|~a|" |op|)
+                     (APPEND
+                      ((LAMBDA (|bfVar#97| |bfVar#96| |y|)
+                         (LOOP
+                          (COND
+                           ((OR (ATOM |bfVar#96|)
+                                (PROGN (SETQ |y| (CAR |bfVar#96|)) NIL))
+                            (RETURN |bfVar#97|))
+                           (#1#
+                            (SETQ |bfVar#97|
+                                    (APPEND |bfVar#97| (|form2Fence1| |y|)))))
+                          (SETQ |bfVar#96| (CDR |bfVar#96|))))
+                       NIL |argl| NIL)
+                      (CONS ")" NIL)))))))
+      ((IDENTP |x|) (FORMAT NIL "|~a|" |x|)) (#1# (LIST "  " |x|))))))
+ 
+; form2FenceQuote x ==
+;   NUMBERP x => [STRINGIMAGE x]
+;   SYMBOLP x => [FORMAT(NIL, '"|~a|", x)]
+;   atom    x => '"??"
+;   ['"(",:form2FenceQuote first x,:form2FenceQuoteTail rest x]
+ 
 (DEFUN |form2FenceQuote| (|x|)
-  (COND
-    ((NUMBERP |x|) (CONS (STRINGIMAGE |x|) NIL))
-    ((SYMBOLP |x|) (CONS (FORMAT NIL "|~a|" |x|) NIL))
-    ((ATOM |x|) "??")
-    ('T
-     (CONS "("
-           (APPEND (|form2FenceQuote| (CAR |x|))
-                   (|form2FenceQuoteTail| (CDR |x|)))))))
-
-;form2FenceQuoteTail x ==
-;  null x => ['")"]
-;  atom x => ['" . ",:form2FenceQuote x,'")"]
-;  ['" ",:form2FenceQuote first x,:form2FenceQuoteTail rest x]
-
+  (PROG ()
+    (RETURN
+     (COND ((NUMBERP |x|) (LIST (STRINGIMAGE |x|)))
+           ((SYMBOLP |x|) (LIST (FORMAT NIL "|~a|" |x|))) ((ATOM |x|) "??")
+           ('T
+            (CONS "("
+                  (APPEND (|form2FenceQuote| (CAR |x|))
+                          (|form2FenceQuoteTail| (CDR |x|)))))))))
+ 
+; form2FenceQuoteTail x ==
+;   null x => ['")"]
+;   atom x => ['" . ",:form2FenceQuote x,'")"]
+;   ['" ",:form2FenceQuote first x,:form2FenceQuoteTail rest x]
+ 
 (DEFUN |form2FenceQuoteTail| (|x|)
-  (COND
-    ((NULL |x|) (CONS ")" NIL))
-    ((ATOM |x|)
-     (CONS " . "
-           (APPEND (|form2FenceQuote| |x|) (CONS ")" NIL))))
-    ('T
-     (CONS " "
-           (APPEND (|form2FenceQuote| (CAR |x|))
-                   (|form2FenceQuoteTail| (CDR |x|)))))))
-
-;form2StringList u ==
-;  atom (r := form2String u) => [r]
-;  r
-
+  (PROG ()
+    (RETURN
+     (COND ((NULL |x|) (LIST ")"))
+           ((ATOM |x|)
+            (CONS " . " (APPEND (|form2FenceQuote| |x|) (CONS ")" NIL))))
+           ('T
+            (CONS " "
+                  (APPEND (|form2FenceQuote| (CAR |x|))
+                          (|form2FenceQuoteTail| (CDR |x|)))))))))
+ 
+; form2StringList u ==
+;   atom (r := form2String u) => [r]
+;   r
+ 
 (DEFUN |form2StringList| (|u|)
   (PROG (|r|)
     (RETURN
-      (COND
-        ((ATOM (SPADLET |r| (|form2String| |u|))) (CONS |r| NIL))
-        ('T |r|)))))
-
+     (COND ((ATOM (SETQ |r| (|form2String| |u|))) (LIST |r|)) ('T |r|)))))
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
